﻿// Generated by Construct 2, the HTML5 game and app creator :: http://www.scirra.com
/*! CocoonJSExtensions - v2.0.0 - 2014-07-23 www.ludei.com */(function() {
    // There should not be a CocoonJS object when this code is executed.
    // if (typeof window.CocoonJS !== 'undefined') throw("This is strange, a CocoonJS object already exists when trying to create it.");

    /**
     * The basic object for all the CocoonJS related specific APIs === extensions.
     * @namespace
     */
    CocoonJS = window.CocoonJS ? window.CocoonJS : {};

    CocoonJS.nativeExtensionObjectAvailable = typeof window.ext !== 'undefined';

    /**
     * This type represents a 2D size structure with horizontal and vertical values.
     * @class
     */
    CocoonJS.Size = {
        /**
         * The horizontal size value.
         */
        width: 0,

        /**
         * The vertical size value.
         */
        height: 0
    };

    /**
     * This utility function allows to create an object oriented like hierarchy between two functions using their prototypes.
     * This function adds a "superclass" and a "__super" attributes to the subclass and it's functions to reference the super class.
     * @param {function} subc The subclass function.
     * @param {function} superc The superclass function.
     */
    CocoonJS.extend = function(subc, superc) {
        var subcp = subc.prototype;

        // Class pattern.
        var CocoonJSExtendHierarchyChainClass = function() {};
        CocoonJSExtendHierarchyChainClass.prototype = superc.prototype;

        subc.prototype = new CocoonJSExtendHierarchyChainClass(); // chain prototypes.
        subc.superclass = superc.prototype;
        subc.prototype.constructor = subc;

        // Reset constructor. See Object Oriented Javascript for an in-depth explanation of this.
        if (superc.prototype.constructor === Object.prototype.constructor) {
            superc.prototype.constructor = superc;
        }

        // Check all the elements in the subclass prototype and add them to the chain object's prototype.
        for (var method in subcp) {
            if (subcp.hasOwnProperty(method)) {
                subc.prototype[method] = subcp[method];

                // // tenemos en super un metodo con igual nombre.
                // if ( superc.prototype[method]) 
                // {
                //     subc.prototype[method]= (function(fn, fnsuper) 
                //     {
                //         return function() 
                //         {
                //             var prevMethod= this.__super;

                //             this.__super= fnsuper;

                //             var retValue= fn.apply(
                //                     this,
                //                     Array.prototype.slice.call(arguments) );

                //             this.__super= prevMethod;

                //             return retValue;
                //         };
                //     })(subc.prototype[method], superc.prototype[method]);
                // }
            }
        }
    }

    /**
     * IMPORTANT: This function should only be used by Ludei.
     * This function allows a call to the native extension object function reusing the same arguments object.
     * Why is interesting to use this function instead of calling the native object's function directly?
     * As the CocoonJS object functions expicitly receive parameters, if they are not present and the native call is direcly mapped,
     * undefined arguments are passed to the native side. Some native functions do not check the parameters validation
     * correctly (just check the number of parameters passed).
     * Another solution instead of using this function call is to correctly check if the parameters are valid (not undefined) to make the
     * call, but it takes more work than using this approach.
     * @static
     * @param {string} nativeExtensionObjectName The name of the native extension object name. The object that is a member of the 'ext' object.
     * @param {string} nativeFunctionName The name of the function to be called inside the native extension object.
     * @param {object} arguments The arguments object of the CocoonJS extension object function. It contains all the arguments passed to the CocoonJS extension object function and these are the ones that will be passed to the native call too.
     * @param {boolean} [async] A flag to indicate if the makeCall (false or undefined) or the makeCallAsync function should be used to perform the native call.
     * @returns Whatever the native function call returns.
     */
    CocoonJS.makeNativeExtensionObjectFunctionCall = function(nativeExtensionObjectName, nativeFunctionName, args, async) {
        if (CocoonJS.nativeExtensionObjectAvailable) {
            var argumentsArray = Array.prototype.slice.call(args);
            argumentsArray.unshift(nativeFunctionName);
            var nativeExtensionObject = ext[nativeExtensionObjectName];
            var makeCallFunction = async ? nativeExtensionObject.makeCallAsync : nativeExtensionObject.makeCall;
            var ret = makeCallFunction.apply(nativeExtensionObject, argumentsArray);
            var finalRet = ret;
            if (typeof ret === "string") {
                try {
                    finalRet = JSON.parse(ret);
                } catch (error) {}
            }
            return finalRet;
        }
    };

    /**
     * Returns an object retrieved from a path specified by a dot specified text path starting from a given base object.
     * It could be useful to find the reference of an object from a defined base object. For example the base object could be window and the
     * path could be "CocoonJS.App" or "document.body".
     * @param {Object} baseObject The object to start from to find the object using the given text path.
     * @param {string} objectPath The path in the form of a text using the dot notation. i.e. "document.body"
     * For example:
     * var body = getObjectFromPath(window, "document.body");
     */
    CocoonJS.getObjectFromPath = function(baseObject, objectPath) {
        var parts = objectPath.split('.');
        var obj = baseObject;
        for (var i = 0, len = parts.length; i < len; ++i) {
            obj[parts[i]] = obj[parts[i]] || undefined;
            obj = obj[parts[i]];
        }
        return obj;
    };

    /**
     * Returns the key for a value in a dictionary. It looks for an specific value inside a dictionary and returns the corresponding key.
     * @param {Object} dictionary The dictionary to look for the value in and get the corresponding key.
     * @param {Object} value The value to look for inside the dictionary and return it's corresponding key.
     * @return The key that corresponds to the given value it is has been found or null.
     */
    CocoonJS.getKeyForValueInDictionary = function(dictionary, value) {
        var finalKey = null;
        for (var key in dictionary) {
            if (dictionary[key] === value) {
                finalKey = key;
                break;
            }
        }
        return finalKey;
    }

    /**
     * Finds a string inside a given array of strings by looking for a given substring. It can also
     * specify if the search must be performed taking care or not of the case sensitivity.
     * @param {Array} stringArray The array of strings in which to to look for the string.
     * @param {string} subString The substring to look for inside all the strings of the array.
     * @param {boolean} caseSensitive A flag to indicate if the search must be performed taking case of the
     * case sensitiveness (true) or not (false).
     * @return {string} The string that has been found or null if the substring is not inside any of the string of the array.
     */
    CocoonJS.findStringInStringArrayThatIsIndexOf = function(stringArray, subString, caseSensitive) {
        var foundString = null;
        subString = caseSensitive ? subString : subString.toUpperCase();
        for (var i = 0; foundString == null && i < stringArray.length; i++) {
            foundString = caseSensitive ? stringArray[i] : stringArray[i].toUpperCase();
            foundString = foundString.indexOf(subString) >= 0 ? stringArray[i] : null;
        }
        return foundString;
    };

    /**
     * A class that represents objects to handle events. Event handlers have always the same structure:
     * Mainly they provide the addEventListener and removeEventListener functions.
     * Both functions receive a callback function that will be added or removed. All the added callback
     * functions will be called when the event takes place.
     * Additionally they also allow the addEventListenerOnce and notifyEventListeners functions.
     * @constructor
     * @param {string} nativeExtensionObjectName The name of the native extension object (inside the ext object) to be used.
     * @param {string} cocoonJSExtensionObjectName The name of the sugarized extension object.
     * @param {string} nativeEventName The name of the native event inside the ext object.
     * @param {number} [chainFunction] An optional function used to preprocess the listener callbacks. This function, if provided,
     * will be called before any of the other listeners.
     */
    CocoonJS.EventHandler = function(nativeExtensionObjectName, cocoonJSExtensionObjectName, nativeEventName, chainFunction) {
        this.listeners = [];
        this.listenersOnce = [];
        this.chainFunction = chainFunction;

        /**
         * Adds a callback function so it can be called when the event takes place.
         * @param {function} listener The callback function to be added to the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
         */
        this.addEventListener = function(listener) {
            if (chainFunction) {
                var f = function() {
                    chainFunction.call(this, arguments.callee.sourceListener, Array.prototype.slice.call(arguments));
                };
                listener.CocoonJSEventHandlerChainFunction = f;
                f.sourceListener = listener;
                listener = f;
            }

            var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListener(nativeEventName, listener);
            }
            var indexOfListener = this.listeners.indexOf(listener);
            if (indexOfListener < 0) {
                this.listeners.push(listener);
            }
        };

        this.addEventListenerOnce = function(listener) {
            if (chainFunction) {
                var f = function() {
                    chainFunction(arguments.callee.sourceListener, Array.prototype.slice.call(arguments));
                };
                f.sourceListener = listener;
                listener = f;
            }

            var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListenerOnce(nativeEventName, listener);
            } else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0) {
                    this.listenersOnce.push(listener);
                }
            }
        };

        /**
         * Removes a callback function that was added to the event handler so it won't be called when the event takes place.
         * @param {function} listener The callback function to be removed from the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
         */
        this.removeEventListener = function(listener) {

            if (chainFunction) {
                listener = listener.CocoonJSEventHandlerChainFunction;
                delete listener.CocoonJSEventHandlerChainFunction;
            }

            var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].removeEventListener(nativeEventName, listener);
            } else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener >= 0) {
                    this.listeners.splice(indexOfListener, 1);
                }
            }
        };

        this.notifyEventListeners = function() {
            var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            var argumentsArray = Array.prototype.slice.call(arguments);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].notifyEventListeners(nativeEventName, argumentsArray);
            } else {
                var listeners = Array.prototype.slice.call(this.listeners);
                var listenersOnce = Array.prototype.slice.call(this.listenersOnce);
                var _this = this;
                // Notify listeners after a while ;) === do not block this thread.
                setTimeout(function() {
                    for (var i = 0; i < listeners.length; i++) {
                        listeners[i].apply(_this, argumentsArray);
                    }
                    for (var i = 0; i < listenersOnce.length; i++) {
                        listenersOnce[i].apply(_this, argumentsArray);
                    }
                }, 0);

                _this.listenersOnce = [];
            }
        };
        return this;
    };

    /**
     * A simple timer class. Update it every loop iteration and get values from accumulated time to elapsed time in seconds or milliseconds.
     */
    CocoonJS.Timer = function() {
        this.reset();
        return this;
    };

    CocoonJS.Timer.prototype = {
        currentTimeInMillis: 0,
        lastTimeInMillis: 0,
        elapsedTimeInMillis: 0,
        elapsedTimeInSeconds: 0,
        accumTimeInMillis: 0,

        /**
		Resets the timer to 0.
		*/
        reset: function() {
            this.currentTimeInMillis = this.lastTimeInMillis = new Date().getTime();
            this.accumTimeInMillis = this.elapsedTimeInMillis = this.elapsedTimeInSeconds = 0;
        },

        /**
		Updates the timer calculating the elapsed time between update calls.
		*/
        update: function() {
            this.currentTimeInMillis = new Date().getTime();
            this.elapsedTimeInMillis = this.currentTimeInMillis - this.lastTimeInMillis;
            this.elapsedTimeInSeconds = this.elapsedTimeInMillis / 1000.0;
            this.lastTimeInMillis = this.currentTimeInMillis;
            this.accumTimeInMillis += this.elapsedTimeInMillis;
        }
    };

})();;(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents all the basic functionalities available in the CocoonJS extension API.
     * @namespace
     */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_APP !== 'undefined';

    /**
     * The predefined possible layouts for the FPS overlay.
     * @namespace
     * @enum
     */
    CocoonJS.App.FPSLayout = {
        TOP_LEFT:'top-left',
        TOP_RIGHT:'top-right',
        BOTTOM_LEFT:'bottom-left',
        BOTTOM_RIGHT:'bottom-right'
    };

    /**
    * The predefined possible orientations. there can be a bit level combination of them using the OR operator.
    * @namespace
    * @enum
    */
    CocoonJS.App.Orientations = {
        PORTRAIT : 1,
        PORTRAIT_UPSIDE_DOWN : 2,
        LANDSCAPE_LEFT : 4,
        LANDSCAPE_RIGHT : 8,
        PORTRAIT : 1 | 2,
        LANDSCAPE : 4 | 8,
        BOTH : 1 | 2 | 4 | 8
    };

    /**
     * Contains all the possible values to specify the input keyboard type to be used when introducing text.
     * @namespace
     * @enum
     */
    CocoonJS.App.KeyboardType = {
        /**
         * Represents a generic text input keyboard.
         */
        TEXT:"text",

        /**
         * Represents a number like input keyboard.
         */
        NUMBER:"num",

        /**
         * Represents a phone like input keyboard.
         */
        PHONE:"phone",

        /**
         * Represents an email like input keyboard.
         */
        EMAIL:"email",

        /**
         * Represents an URL like input keyboard.
         */
        URL:"url"
    };

    /**
     * The storage types to be used with file system related operations.
     * @namespace
     * @enum
     */
    CocoonJS.App.StorageType = {
        /**
         * Represents the application storage. The application storage is the place where all the resources that come with the application are stored.
         */
        APP_STORAGE:"APP_STORAGE",

        /**
         * Represents the internal storage. The internal storage is a different storage space that the application storage and only the data that the application has stored
         * in it will be in this storage. It is internal to the platform/device.
         */
        INTERNAL_STORAGE:"INTERNAL_STORAGE",

        /**
         * Represents an external storage. The external storage is similar to the internal storage in the sense that it only contains information that the application has written
         * in it but it represents an external storage device like a SD-CARD. If there is no exrernal storage, it will represent the same as the internal storage.
         */
        EXTERNAL_STORAGE:"EXTERNAL_STORAGE",

        /**
         * Represents the temporal storage. Same as the internal and external storage spaces in the sense that it only contains information that the application has written
         * in it but the main difference is that the information in this storage may dissapear without notice.
         */
        TEMPORARY_STORAGE:"TEMPORARY_STORAGE"
    };

    /**
     * The capture types to capture screenshots using CocoonJS native capabilities.
     * @namespace
     * @enum
     */
    CocoonJS.App.CaptureType = {
        /**
         Captures everything, both the CocoonJS GL hardware accelerated surface and the system views (like the WebView).
         */
        EVERYTHING:0,

        /**
         * Captures just the CocoonJS GL hardware accelerated surface.
         */
        JUST_COCOONJS_GL_SURFACE:1,

        /**
         * Captures just the sustem views (like the webview)
         */
        JUST_SYSTEM_VIEWS:2
    };

    /**
     * @ignore
     * Forward service might not be available if only one JS service is included
     */
    function isNativeBridgeServiceAvailable(){
        if (CocoonJS.App.forward.nativeAvailable === 'boolean') {
            //cached value
            return CocoonJS.App.forward.nativeAvailable;
        }
        else {
            var available = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forwardAvailable", arguments);
            available = !!available;
            CocoonJS.App.forward.nativeAvailable = available;
            return available;
        }

    }

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It waits until the code is executed and the result of it is returned === synchronous.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @return {string} The result of the execution of the passed JavaScript code in the different JavaScript environment.
     */
    CocoonJS.App.forward = function (javaScriptCode) {
        if (CocoonJS.App.nativeExtensionObjectAvailable && isNativeBridgeServiceAvailable()) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forward", arguments);
        }
        else {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                var frame = window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'];
                if (frame) {
                    return frame.window.eval(javaScriptCode);
                }
            }
        }
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It is asyncrhonous so it does not wait until the code is executed and the result of it is returned. Instead, it calls a callback function when the execution has finished to pass the result.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @param {function} [returnCallback] A function callback that will be called when the passed JavaScript code is executed in a different thread to pass the result of the execution in the different JavaScript environment.
     */
    CocoonJS.App.forwardAsync = function (javaScriptCode, returnCallback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable && isNativeBridgeServiceAvailable()) {
            if (typeof returnCallback !== 'undefined') {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode, returnCallback);
            }
            else {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode);
            }
        }
        else {
            setTimeout(function() {
                var res;
                if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                    res = window.parent.eval(javaScriptCode);
                }
                else {
                    var frame = window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'];
                    if (frame) {
                        res = frame.window.eval(javaScriptCode);
                    }
                }
                typeof(returnCallback) === "function" && returnCallback.call(this, res);
            }, 1);
        }
    };

    /**
     * Pops up a text dialog so the user can introduce some text and the application can get it back. It is the first approach CocoonJS has taken to be able to introduce
     * text input in a easy way. The dialog execution events are passed to the application through the {@link CocoonJS.App.onTextDialogFinished} and the {@link CocoonJS.App.onTextDialogCancelled} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [text] Default value is "". The initial text to be introduced in the text input field.
     * @param {CocoonJS.App.KeyboardType} [keyboardType] Default value is {@link CocoonJS.App.KeyboardType.TEXT}. The keyboard type to be used when the text has to be introduced.
     * @param {string} [cancelButtonText] Default value is "". The text to be displayed in the cancel button of the dialog.
     * @param {string} [okButtonText] Default value is "". The text to be displayed in the ok button of the dialog.
     * @see CocoonJS.App.onTextDialogFinished
     * @see CocoonJS.App.onTextDialogCancelled
     */
    CocoonJS.App.showTextDialog = function (title, message, text, keyboardType, cancelButtonText, okButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showTextDialog", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            if (!text) {
                text = "";
            }
            setTimeout(function() {
                var result = prompt(message, text);
                var eventObject = result ? CocoonJS.App.onTextDialogFinished : CocoonJS.App.onTextDialogCancelled;
                eventObject.notifyEventListeners(result);
            }, 0);
        }
    };

    /**
     * Pops up a message dialog so the user can decide between a yes or no like confirmation. The message box execution events are passed to the application through the {@link CocoonJS.App.onMessageBoxConfirmed} and the {@link CocoonJS.App.onMessageBoxDenied} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [confirmButtonText] Default value is "Yes". The text to be displayed for the confirm button.
     * @param {string} [denyButtonText] Default value is "No". The text to be displayed for the deny button.
     * @see CocoonJS.App.onMessageBoxConfirmed
     * @see CocoonJS.App.onMessageBoxDenied
     */
    CocoonJS.App.showMessageBox = function (title, message, confirmButtonText, denyButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showMessageBox", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            setTimeout(function() {
                var result = confirm(message);
                var eventObject = result ? CocoonJS.App.onMessageBoxConfirmed : CocoonJS.App.onMessageBoxDenied;
                eventObject.notifyEventListeners();
            }, 0);
        }
    };

    /**
     * It allows to load a new JavaScript/HTML5 resource that can be loaded either locally (inside the platform/device storage) or using a remote URL.
     * @function
     * @param {string} path A path to a resource stored in the platform or in a URL to a remote resource.
     * @param {CocoonJS.App.StorageType} [storageType] If the path argument represents a locally stored resource, the developer can specify the storage where it is stored. If no value is passes, the {@link CocoonJS.App.StorageType.APP_STORAGE} value is used by default.
     */
    CocoonJS.App.load = function (path, storageType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "loadPath", arguments);
        }
        else if (!navigator.isCocoonJS) {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function (event) {
                if (xhr.readyState === 4) {
                    if (xhr.status === 200) {
                        // TODO: As window load event is not being called (WHY???), I have decided to call the listeners directly
                        // var callback= function(event){
                        //     window.removeEventListener("load", callback);
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInCocoonJSSucceed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                        // };
                        // window.addEventListener("load", callback);
                        window.location.href = path;
                    }
                    else if (xhr.status === 404) {
                        this.onreadystatechange = null;
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInCocoonJSFailed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the current context.
     * @function
     */
    CocoonJS.App.reload = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "reload", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.location.reload();
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.location.reload();
            }
        }
    };

    /**
     * Opens a given URL using a system service that is able to open it. For example, open a HTTP URL using the system WebBrowser.+
     * @function
     * @param {string} url The URL to be opened by a system service.
     */
    CocoonJS.App.openURL = function (url) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "openURL", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            window.open(url, '_blank');
        }
    }

    /**
     * Opens a given share native window to share some specific text content in any system specific social sharing options. For example, Twitter, Facebook, SMS, Mail, ...
     * @function
     * @param {string} textToShare The text content that will be shared.
     */
    CocoonJS.App.share = function(textToShare) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "share", arguments, true);
        }
        else {
            // TODO: Is there something we could do to share in a browser?
        }
    }

    /**
     * Forces the app to be finished.
     * @function
     */
    CocoonJS.App.forceToFinish = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forceToFinish", arguments);
        }
        else if (!navigator.isCocoonJS) {
            window.close();
        }
    }

    /**
     * Enables or disables the auto lock to control if the screen keeps on after an inactivity period.
     * When the auto lock is enabled and the application has no user input for a short period, the system puts the device into a "sleep” state where the screen dims or turns off.
     * When the auto lock is disabled the screen keeps on even when there is no user input for long times.
     * @param enabled A boolean value that controls whether to enable or disable the auto lock.
     */
    CocoonJS.App.setAutoLockEnabled = function (enabled) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setAutoLockEnabled", arguments);
        }
    }

    /**
     * Creates a canvas element that is automatically resized to the screen size. When the app is being executed
     * inside CocoonJS. This canvas is optimized for rendering so it is higly recommended to use it if it fits
     * your app needs. If your app uses one canvas as the main canvas where all other canvases and images are displayed, Ludei recommends to
     * call this function in order to create this main canvas. A usual 2x performance gain is achieved by doing so
     * depending on the device and the graphics card driver.
     * @function
     * @return {object} The canvas object that should be used as the main canvas and that is resized to the screen resolution.
     */
    CocoonJS.App.createScreenCanvas = function () {
        var screenCanvas;
        if (navigator.isCocoonJS) {
            screenCanvas = document.createElement("screencanvas");
        }
        else if (!navigator.isCocoonJS) {
            screenCanvas = document.createElement("canvas");
            screenCanvas.width = window.innerWidth;
            screenCanvas.height = window.innerHeight;
        }
        return screenCanvas;
    };

    CocoonJS.App.addADivToDisableInput = function() {
        var div = document.createElement("div");
        div.id = "CocoonJSInputBlockingDiv";
        div.style.left = 0;
        div.style.top = 0;
        div.style.width = "100%";
        div.style.height = "100%";
        div.style.position = "absolute";
        div.style.backgroundColor = 'transparent';
        div.style.border = "0px solid #000"; 
        div.style.zIndex = 999999999;
        document.body.appendChild(div);
    };

    CocoonJS.App.removeTheDivToEnableInput = function() {
        var div = document.getElementById("CocoonJSInputBlockingDiv");
        if (div) document.body.removeChild(div);
    };

    /**
     * Disables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.disableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "CocoonJSView");
        }
        else if (!navigator.isCocoonJS) {
            if (!CocoonJS.App.EmulatedWebViewIFrame) {
                CocoonJS.App.forwardEventsToCocoonJSEnabled = false;
                CocoonJS.App.forwardAsync("CocoonJS && CocoonJS.App && CocoonJS.App.disableTouchInCocoonJS();");
            }
            else {
                // CocoonJS.App.addADivToDisableInput();
            }
        }
    };

    /**
     * Enables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.enableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "CocoonJSView");
        }
        else if (!navigator.isCocoonJS) {
            if (!CocoonJS.App.EmulatedWebViewIFrame) {
                CocoonJS.App.forwardEventsToCocoonJSEnabled = true;
                CocoonJS.App.forwardAsync("CocoonJS && CocoonJS.App.enableTouchInCocoonJS();");
            }
            else {
                // CocoonJS.App.removeTheDivToEnableInput();
            }
        }
    };

    /**
     * Disables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.disableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "WebView");
        }
        else if (!navigator.isCocoonJS) {
            if (!CocoonJS.App.EmulatedWebViewIFrame) {
                CocoonJS.App.addADivToDisableInput();
            }
            else {
                CocoonJS.App.forwardAsync("CocoonJS && CocoonJS.App.disableTouchInTheWebView();");
            }
        }
    };

    /**
     * Enables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.enableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "WebView");
        }
        else if (!navigator.isCocoonJS) {
            if (!CocoonJS.App.EmulatedWebViewIFrame) {
                CocoonJS.App.removeTheDivToEnableInput();
            }
            else {
                CocoonJS.App.forwardAsync("CocoonJS && CocoonJS.App.enableTouchInTheWebView();");
            }
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the accelerometer updates.
     * It defines the rate at which the devicemotion events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setAccelerometerUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setAccelerometerUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for accelerometer related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for accelerometer related events.
     */
    CocoonJS.App.getAccelerometerUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getAccelerometerUpdateIntervalInSeconds");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the gyroscope updates.
     * It defines the rate at which the devicemotion and deviceorientation events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setGyroscopeUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setGyroscopeUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for gyroscope related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for gyroscope related events.
     */
    CocoonJS.App.getGyroscopeUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("getGyroscopeUpdateIntervalInSeconds");
        }
    };


    /**
     * Setups a origin proxy for a given typeName. What this means is that after calling this function the environment that makes this call will suddenly
     * have a way of creating instances of the given typeName and those instances will act as a transparent proxy to counterpart instances in the destination environment.
     * Manipulating attributes, calling funcitions or handling events will all be performed in the destination environment but the developer will think they will be
     * happening in the origin environment.
     * IMPORTANT NOTE: These proxies only work with types that use attributes and function parameters and return types that are primitive like numbers, strings or arrays.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} [attributeNames] A list of the names of the attributes to be proxified.
     * @param {array} [functionNames] A list of the names of the functions to be proxified.
     * @param {array} [eventHandlerNames] A list of the names of the event handlers to be proxified (onXXXX like attributes that represent callbacks).
     * A valid typeName and at least one valid array for attribute, function or event handler names is mandatory.
     */
    CocoonJS.App.setupOriginProxyType = function (typeName, attributeNames, functionNames, eventHandlerNames) {
        // Control the parameters.
        if (!typeName) throw "The given typeName must be valid.";
        if (!attributeNames && !functionNames && !eventHandlerNames) throw "There is no point on setting up a proxy for no attributes, functions nor eventHandlers.";
        attributeNames = attributeNames ? attributeNames : [];
        functionNames = functionNames ? functionNames : [];
        eventHandlerNames = eventHandlerNames ? eventHandlerNames : [];

        // The parent object will be the window. It could be another object but careful, the destination side should know about this.
        // TODO: Specify the parentObject as a parameter, obtain it's path from the window object and pass it to the destination environment so it knows about it.
        var parentObject = window;

        // Setup the destination side too.
        var jsCode = "CocoonJS.App.setupDestinationProxyType(" + JSON.stringify(typeName) + ", " + JSON.stringify(eventHandlerNames) + ");";
        CocoonJS.App.forward(jsCode);

        var originalType = parentObject[typeName];

        // Constructor. This will be the new proxified type in the origin environment. Instances of this type will be created by the developer without knowing that they are
        // internally calling to their counterparts in the destination environment.
        parentObject[typeName] = function () {
            var _this = this;

            // Each proxy object will have a origin object inside with all the necessary information to be a proxy to the destination.
            this._cocoonjs_proxy_object_data = {};
            // The id is obtained calling to the destination side to create an instance of the type.
            var jsCode = "CocoonJS.App.newDestinationProxyObject(" + JSON.stringify(typeName) + ");";
            this._cocoonjs_proxy_object_data.id = CocoonJS.App.forward(jsCode);
            // The eventHandlers dictionary contains objects of the type { eventHandlerName : string, eventHandler : function } to be able to make the callbacks when the 
            // webview makes the corresponding calls.
            this._cocoonjs_proxy_object_data.eventHandlers = {};
            // Also store the typename inside each instance.
            this._cocoonjs_proxy_object_data.typeName = typeName;
            // A dictionary to store the event handlers
            this._cocoonjs_proxy_object_data.eventListeners = {};

            // TODO: eventHandlers and eventListeners should be in the same list ;)

            // Store all the proxy instances in a list that belongs to the type itself.
            parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[this._cocoonjs_proxy_object_data.id] = this;

            // Create a setter and a getter for all the attribute names that have been specified. When the attributes are accessed (set or get) a call to the destination counterpart will be performed.
            for (var i = 0; i < attributeNames.length; i++) {
                (function (attributeName) {
                    _this.__defineSetter__(attributeName, function (value) {
                        var jsCode = "CocoonJS.App.setDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ", " + JSON.stringify(value) + ");";
                        return CocoonJS.App.forward(jsCode);
                    });
                    _this.__defineGetter__(attributeName, function () {
                        var jsCode = "CocoonJS.App.getDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ");";
                        return CocoonJS.App.forward(jsCode);
                    });
                })(attributeNames[i]);
            }

            // Create a function that performs a call to the destination environment counterpart for all the function names that have been specified.
            for (var i = 0; i < functionNames.length; i++) {
                (function (functionName) {
                    _this[functionName] = function () {
                        // Get the arguments as an array and add the typeName, the proxy id and the functionName before all the other arguments before making the call to the destination counterpart.
                        var argumentsArray = Array.prototype.slice.call(arguments);
                        argumentsArray.unshift(functionName);
                        argumentsArray.unshift(this._cocoonjs_proxy_object_data.id);
                        argumentsArray.unshift(typeName);
                        // Use the array to create the correct function call.
                        var jsCode = "CocoonJS.App.callDestinationProxyObjectFunction(";
                        for (var i = 0; i < argumentsArray.length; i++) {
                            // The second argument (the id) should not be stringified
                            jsCode += (i !== 1 ? JSON.stringify(argumentsArray[i]) : argumentsArray[i]) + (i < argumentsArray.length - 1 ? ", " : "");
                        }
                        jsCode += ");";
                        // TODO: This next call should be synchronous but it seems that some customers are experiencing some crash issues. Making it async solves these crashes.
                        // Another possible solution could be to be able to specify which calls could be async and which sync in the proxification array.
                        var ret = CocoonJS.App.forwardAsync(jsCode);
                        return ret;
                    };
                })(functionNames[i]);
            }

            // Create a setter and getter for all the event handler names that have been specified. When the event handlers are accessed, store them inside the corresponding position on the eventHandlers
            // array so they can be called when the destination environment makes the corresponding callback call.
            for (var i = 0; i < eventHandlerNames.length; i++) {
                (function (eventHandlerName) {
                    _this.__defineSetter__(eventHandlerName, function (value) {
                        _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName] = value;
                    });
                    _this.__defineGetter__(eventHandlerName, function () {
                        return _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                    });
                })(eventHandlerNames[i]);
            }

            // Setup the add and remove event listeners in the proxy object
            _this.addEventListener = function (eventTypeName, eventCallback) {
                var addEventCallback = true;
                // Check for the eventListeners
                var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                if (eventListeners) {
                    // As the eventListeners were already added, check that the same callback has not been added.
                    addEventCallback = eventListeners.indexOf(eventCallback) < 0;
                }
                else {
                    // There are no event listeners, so add the one and add the listeners array for the specific event type name
                    eventListeners = [];
                    _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = eventListeners;

                    // Forward the call so the other end registers a event listener (only one is needed).
                    var jsCode = "CocoonJS.App.addDestinationProxyObjectEventListener(" + JSON.stringify(_this._cocoonjs_proxy_object_data.typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                    CocoonJS.App.forwardAsync(jsCode);
                }
                // Only if the alforithm above specify so, add the eventcallback and notify the destination environment to do the same
                if (addEventCallback) {
                    eventListeners.push(eventCallback);
                }
            };

            _this.removeEventListener = function (eventTypeName, eventCallback) {
                // Check for the eventListeners
                var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                if (eventListeners) {
                    var eventCallbackIndex = eventListeners.indexOf(eventCallback);
                    if (eventCallbackIndex >= 0) {
                        eventListeners.splice(eventCallbackIndex, 1);
                    }
                }
            };

            // Return the proxy instance.
            return this;
        };

        // The type will contain a proxy data structure to store all the instances that are created so they are available when the destination environment calls back. 
        parentObject[typeName]._cocoonjs_proxy_type_data =
        {
            originalType:originalType,
            proxyObjects:[]
        };

        /**
         * Deletes a proxy instance from both the CocoonJS environment structures and also deleting it's webview environment counterpart.
         * This function should be manually called whenever a proxy instance won't be accessed anymore.
         * @param {object} object The proxy object to be deleted.
         */
        parentObject[typeName]._cocoonjs_proxy_type_data.deleteProxyObject = function (object) {
            var proxyObjectKey = CocoonJS.getKeyForValueInDictionary(this.proxyObjects, object);
            if (proxyObjectKey) {
                var jsCode = "CocoonJS.App.deleteDestinationProxyObject(" + JSON.stringify(typeName) + ", " + object._cocoonjs_proxy_object_data.id + ");";
                CocoonJS.App.forwardAsync(jsCode);
                object._cocoonjs_proxy_object_data = null;
                delete this.proxyObjects[proxyObjectKey];
            }
        };

        /**
         * Calls a event handler for the given proxy object id and eventHandlerName.
         * @param {number} id The id to be used to look for the proxy object for which to make the call to it's event handler.
         * @param {string} eventHandlerName The name of the handler to be called.
         * NOTE: Events are a complex thing in the HTML specification. This function just performs a call but at least provides a
         * structure to the event passing the target (the proxy object).
         * TODO: The destination should serialize the event object as far as it can so many parameters can be passed to the origin
         * side. Using JSON.stringify in the destination side and parse in origin side maybe? Still must add the target to the event structure though.
         */
        parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler = function (id, eventHandlerName) {
            var object = this.proxyObjects[id];
            var eventHandler = object._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
            if (eventHandler) {
                eventHandler({ target:object });
            }
        };

        parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners = function (id, eventTypeName) {
            var object = this.proxyObjects[id];
            var eventListeners = object._cocoonjs_proxy_object_data.eventListeners[eventTypeName].slice();
            for (var i = 0; i < eventListeners.length; i++) {
                eventListeners[i]({ target:object });
            }
        };
    };

    /**
     * Takes down the proxification of a type and restores it to it's original type. Do not worry if you pass a type name that is not proxified yet. The
     * function will handle it correctly for compativility reasons.
     * @param {string} typeName The name of the type to be deproxified (take down the proxification and restore the type to it's original state)
     */
    CocoonJS.App.takedownOriginProxyType = function (typeName) {
        var parentObject = window;
        if (parentObject[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
            parentObject[typeName] = parentObject[typeName]._cocoonjs_proxy_type_data.originalType;
        }
    };

    /**
     * Deletes everything related to a proxy object in both environments. Do not worry of you do not pass a proxified object to the
     * function. For compatibility reasons, you can still have calls to this function even when no poxification of a type has been done.
     * @param {object} object The proxified object to be deleted.
     */
    CocoonJS.App.deleteOriginProxyObject = function (object) {
        var parentObject = window;
        if (object && object._cocoonjs_proxy_object_data) {
            parentObject[object._cocoonjs_proxy_object_data.typeName]._cocoonjs_proxy_type_data.deleteProxyObject(object);
        }
    };

    /**
     * @ignore
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when an event handler need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventHandlerName The name of the event handler to be called.
     */
    CocoonJS.App.callOriginProxyObjectEventHandler = function (typeName, id, eventHandlerName) {
        var parentObject = window;
        parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler(id, eventHandlerName);
    };

    /**
     * @ignore
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when all the event listeners related to a specific event need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventTypeName The name of the event type to call the listeners related to it.
     */
    CocoonJS.App.callOriginProxyObjectEventListeners = function (typeName, id, eventTypeName) {
        var parentObject = window;
        parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners(id, eventTypeName);
    };

    /**
     * @ignore
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Setups all the structures that are needed to proxify a destination type to an origin type.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} eventHandlerNames An array with al the event handlers to be proxified. Needed in order to be able to create callbacks for all the event handlers
     * and call to the CocoonJS counterparts accordingly.
     */
    CocoonJS.App.setupDestinationProxyType = function (typeName, eventHandlerNames) {
        var parentObject = window;

        // Add a cocoonjs structure to the destination proxified type to store some useful information like all the proxy instances that are created, plus the id counter 
        // and the names of all the event handlers and some utility functions.
        parentObject[typeName]._cocoonjs_proxy_type_data =
        {
            nextId:0,
            proxyObjects:{},
            eventHandlerNames:eventHandlerNames
        }
    };

    /**
     * @ignore
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Takes down the proxy type at the destination environment. Just removes the data structure related to proxies that was added to the type when proxification tool place.
     * @param {string} typeName The name of the type to take the proxification down.
     */
    CocoonJS.App.takedownDestinationProxyType = function (typeName) {
        var parentObject = window;
        if (parent[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
            delete parentObject[typeName]._cocoonjs_proxy_type_data;
        }
    };

    /**
     * @ignore
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Creates a new destination object instance and generates a id to reference it from the original environment.
     * @param {string} typeName The name of the type to be proxified and to generate an instance.
     * @return The id to be used from the original environment to identify the corresponding destination object instance.
     */
    CocoonJS.App.newDestinationProxyObject = function (typeName) {
        var parentObject = window;

        var proxyObject = new parentObject[typeName]();
        // Also store some additional information in the proxy object
        proxyObject._cocoonjs_proxy_object_data = {};
        // Like the type name, that could be useful late ;)
        proxyObject._cocoonjs_proxy_object_data.typeName = typeName;
        // Caculate the id for the object. It will be returned to the origin environment so this object can be referenced later
        var proxyObjectId = parentObject[typeName]._cocoonjs_proxy_type_data.nextId;
        // Store the created object in the structure defined in the setup of proxification with an id associated to it
        parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[proxyObjectId] = proxyObject;
        // Also store the id inside the proxy object itself
        proxyObject._cocoonjs_proxy_object_data.id = proxyObjectId;
        // Calculate a new id for the next object.
        parentObject[typeName]._cocoonjs_proxy_type_data.nextId++;

        // Setup all the event handlers.
        for (var i = 0; i < parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames.length; i++) {
            (function (eventHandlerName) {
                proxyObject[eventHandlerName] = function (event) {
                    var proxyObject = this; // event.target;
                    // var eventHandlerName = CocoonJS.getKeyForValueInDictionary(proxyObject, this); // Avoid closures ;)
                    var jsCode = "CocoonJS.App.callOriginProxyObjectEventHandler(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventHandlerName) + ");";
                    CocoonJS.App.forwardAsync(jsCode);
                };
            })(parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames[i]);
        }

        // Add the dictionary where the event listeners (callbacks) will be added.
        proxyObject._cocoonjs_proxy_object_data.eventListeners = {};

        return proxyObjectId;
    };

    /**
     * @ignore
     * NOTE: This function should never be directly called. It will be called from the origin environement whenever it is needed to work with proxy objects.
     * Calls a function of a destination object idetified by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} functionName The name of the function to be called.
     * @return Whatever the function call returns.
     */
    CocoonJS.App.callDestinationProxyObjectFunction = function (typeName, id, functionName) {
        var parentObject = window;
        var argumentsArray = Array.prototype.slice.call(arguments);
        argumentsArray.splice(0, 3);
        var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
        var result = proxyObject[functionName].apply(proxyObject, argumentsArray);
        return result;
    };

    /**
     * @ignore
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Sets a value to the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be set.
     * @param {unknown} attributeValue The value to be set to the attribute.
     */
    CocoonJS.App.setDestinationProxyObjectAttribute = function (typeName, id, attributeName, attributeValue) {
        var parentObject = window;
        var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
        proxyObject[attributeName] = attributeValue;
    };

    /**
     * @ignore
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Retrieves the value of the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be retrieved.
     */
    CocoonJS.App.getDestinationProxyObjectAttribute = function (typeName, id, attributeName) {
        var parentObject = window;
        var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
        return proxyObject[attributeName];
    };

    /**
     * @ignore
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Deletes a proxy object identifying it using it's typeName and id. Deleting a proxy object mainly means to remove the instance from the global structure
     * that hold all the instances.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     */
    CocoonJS.App.deleteDestinationProxyObject = function (typeName, id) {
        var parentObject = window;
        delete parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
    };

    /**
     * @ignore
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     */
    CocoonJS.App.addDestinationProxyObjectEventListener = function (typeName, id, eventTypeName) {
        var parentObject = window;
        // Look for the proxy object
        var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];

        var callback = function (event) {
            var proxyObject = this; // event.target;
            // var eventTypeName = CocoonJS.getKeyForValueInDictionary(proxyObject._cocoonjs_proxy_object_data.eventListeners, this); // Avoid closures ;)
            // TODO: Is there a way to retrieve the callbackId without a closure?
            var jsCode = "CocoonJS.App.callOriginProxyObjectEventListeners(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
            CocoonJS.App.forwardAsync(jsCode);
        };

        proxyObject._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = callback;

        // Finally add the event listener callback to the proxy object
        proxyObject.addEventListener(eventTypeName, callback);
    };

    // TODO: We could add a removeDestinationProxyObjectEventListener although it seems that is not completely necessary.

    /**
     * Proxifies the XMLHttpRequest type for the environment where this call is made. After calling this function, all the new objects
     * of XMLHttpRequest that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyXHR = function () {
        var ATTRIBUTE_NAMES =
            [
                "timeout",
                "withCredentials",
                "upload",
                "status",
                "statusText",
                "responseType",
                "response",
                "responseText",
                "responseXML",
                "readyState"
            ];
        var FUNCTION_NAMES =
            [
                "open",
                "setRequestHeader",
                "send",
                "abort",
                "getResponseHeader",
                "getAllResponseHeaders",
                "overrideMimeType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onloadstart",
                "onprogress",
                "onabort",
                "onerror",
                "onload",
                "ontimeout",
                "onloadend",
                "onreadystatechange"
            ];
        CocoonJS.App.setupOriginProxyType("XMLHttpRequest", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Proxifies the Audio type for the environment where this call is made. After calling this function, all the new objects
     * of Audio that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyAudio = function () {
        var ATTRIBUTE_NAMES =
            [
                "src",
                "loop",
                "volume",
                "preload"
            ];
        var FUNCTION_NAMES =
            [
                "play",
                "pause",
                "load",
                "canPlayType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onended",
                "oncanplay",
                "oncanplaythrough",
                "onerror"
            ];
        CocoonJS.App.setupOriginProxyType("Audio", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Captures a image of the screen synchronously and saves it to a file. Sync mode allows to capture the screen in the middle of a frame rendering.
     * @param {string} fileName Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} storageType The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @return The URL of the saved file.
     * @throws exception if the image fails to be stored or there is another error.
     * @see CocoonJS.App.onCaptureScreenSucceeded
     * @see CocoonJS.App.onCaptureScreenFailed
     */
    CocoonJS.App.captureScreen = function (fileName, storageType, captureType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("captureScreen", fileName, storageType, captureType);
        }
    };

    /**
     * Captures a image of the screen asynchronously and saves it to a file.
     * Async mode captures a final frame as soon as possible.
     * @param {string} Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} [storageType] The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface, 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @param {function} callback. Response callback, check the error property to monitor errors. Check the 'url' property to get the URL of the saved Image
     */
    CocoonJS.App.captureScreenAsync = function (fileName, storageType, captureType, callback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCallAsync("captureScreen", fileName, storageType, captureType, callback);
        }
    };

    /**
     * Returns the device UUID
     * @return {string} The device UUID
     */
    CocoonJS.App.getDeviceId = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceId");
        }
    };

    /**
     * Structure that defines the getDeviceInfo returned information
     */
    CocoonJS.App.DeviceInfo = {

        /**
        * The operating system name (ios, android,...)
        * @type string
        */
        os: null,

        /**
        * The operating system version (4.2.2, 5.0,...)
        * @type string
        */
        version: null,

        /**
        * The operating system screen density in dpi
        * @type string
        */
        dpi: null,

        /**
        * The device manufacturer (apple, samsung, lg,...)
        * @type string
        */
        brand: null,

        /**
        * The device model (iPhone 4S, SAMSUNG-SGH-I997, SAMSUNG-SGH-I997R, etc)
        * @type string
        */
        model: null,

        /**
        * The phone IMEI
        * Android: The phone IMEI is returned or null if the device has not telepohny
        * iOS: null is returned as we cannot get the IMEI in iOS, no public API available for that yet.
        * @type string
        */
        imei: null,

        /**
        * The platform Id
        * Android: The ANDROID_ID is used.
        * iOS: The OpenUDID is used as there is no Android ANDROID_ID equivalent in iOS
        * @type string
        */
        platformId: null,

        /**
        * The Odin generated id https://code.google.com/p/odinmobile/
        * @type string
        */
        odin: null,

        /**
        * The OpenUDID generated Id https://github.com/ylechelle/OpenUDID
        * @type string
        */
        openudid: null
    };

    /**
     * Returns the device Info
     * @return {CocoonJS.App.DeviceInfo} The device Info
     */
    CocoonJS.App.getDeviceInfo = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceInfo");
        }
    };

    /**
     *
     * @constructor
     */
    CocoonJS.App.WebDialog = function() {

        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            this.webDialogID = window.ext.IDTK_APP.makeCall("createWebDialog");
        }
        else {
            var iframe = document.createElement("iframe");
            iframe.id = "CocoonJSWebDialogIFrame";
            iframe.name = "CocoonJSWebDialogIFrame";
            iframe.style.cssText = "position:fixed;left:0;top:0;bottom:0;right:0; width:100%; height:100%;margin:0;padding:0;";
            var me = this;
            iframe.onload = function(){
                me.iframeloaded = true;
                var js = "CocoonJS = {}; CocoonJS.WebDialog = {}; CocoonJS.WebDialog.close = function()" +
                    "{" +
                    "   window.parent.CocoonJSCloseWebDialog();" +
                    "};";
                me.evalIframe(js);
                for (var i = 0; i < me.pendingEvals.length; ++i) {
                    me.evalIframe(me.pendingEvals[i]);
                }
                me.pendingEvals = [];
            }
            iframe.onerror = function(){
                me.close();
            }
            this.iframe = iframe;
            this.pendingEvals = [];

            window.CocoonJSCloseWebDialog = function() {
               me.close();
            }
        }

    }

    CocoonJS.App.WebDialog.prototype = {

        show: function(url, callback) {
            this.closeCallback = function() {
                CocoonJS.App.enableTouchInCocoonJS();
                if (callback)
                    callback();
            }
            if (CocoonJS.App.nativeExtensionObjectAvailable) {
                CocoonJS.App.disableTouchInCocoonJS();
                return window.ext.IDTK_APP.makeCallAsync("showWebDialog", this.webDialogID, url, this.closeCallback);
            }
            else {
                this.iframe.src = url;
                document.body.appendChild(this.iframe);
            }

        },
        close: function() {
            if (CocoonJS.App.nativeExtensionObjectAvailable) {
                return window.ext.IDTK_APP.makeCallAsync("closeWebDialog", this.webDialogID);
            }
            else {
                if (this.iframe.parentNode) {
                    this.iframe.parentNode.removeChild(this.iframe);
                }
            }
            if (this.closeCallback)
                this.closeCallback();
        },
        evalIframe: function(js) {
            window.frames["CocoonJSWebDialogIFrame"].eval(js);
        },
        eval: function(js) {
            if (CocoonJS.App.nativeExtensionObjectAvailable) {
                return window.ext.IDTK_APP.makeCallAsync("evalWebDialog", this.webDialogID, js);
            }
            else {
                if (this.iframeloaded)
                    this.evalIframe(js);
                else
                    this.pendingEvals.push(js);
            }
        }

    };


    /**
    * Retrieves the preferred orientation that has been set in the system.
    * @return {number} The preferred orientation in the system as a combination of the possible {@link CocoonJS.App.Orientations}
    */
    CocoonJS.App.getPreferredOrientation = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getPreferredOrientation");
        }
        else {
            return 0;
        }
    };

    /**
    * Sets the preferred orientation in the system.
    * @param {number} preferredOrientation The preferred orientation to be set. A combinatio of the possible {@link CocoonJS.App.Orientations}
    */
    CocoonJS.App.setPreferredOrientation = function(preferredOrientation) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("setPreferredOrientation", preferredOrientation);
        }
    }

    /**
    * Queries if a file exists in the specified path and storage type. If none or unknown storage type is specified, the TEMPORARY_STORAGE is used as default.
    * @param {string} path The relative path to look for inside the storage of the underlying system.
    * @param {CocoonJS.App.StorageType} storageType The storage type where to look for the specified path inside the system.
    */
    CocoonJS.App.existsPath = function(path, storageType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("existsPath", path, storageType);
        }
        return false;
    }

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function's documentation is represented by {@link CocoonJS.App.OnTextDialogFinishedListener}
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogFinished = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogfinish");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogCancelled = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogcancel");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxConfirmed = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxconfirmed");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxDenied = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxdenied");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is suspended.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onSuspended = new CocoonJS.EventHandler("IDTK_APP", "App", "onsuspended");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is suspending.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onSuspending = new CocoonJS.EventHandler("IDTK_APP", "App", "onsuspending");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is activated.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onActivated = new CocoonJS.EventHandler("IDTK_APP", "App", "onactivated");

})();
;(function()
{
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before adding more functionalities to an extension.");
    if (typeof window.CocoonJS.App === 'undefined' || window.CocoonJS.App === null) throw("The CocoonJS.App object must exist and be valid before adding more functionalities to it.");

    /**
    * This namespace represents all the basic functionalities available in the CocoonJS extension API.
    * @namespace
    */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewSucceed} event calls.
     * @name OnLoadInTheWebViewSucceedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load has completed successfully.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewSucceedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    * @param {string} pageURL A string that represents the page URL loaded.
    */
    CocoonJS.App.onLoadInTheWebViewSucceed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpageload");

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewFailed} event calls.
     * @name OnLoadInTheWebViewFailedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load fails.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewFailedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    */
    CocoonJS.App.onLoadInTheWebViewFailed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpagefail");

    function checkEmulatedWebViewReady() {
        var emulatedWB = CocoonJS.App.EmulatedWebView;
        if (emulatedWB) {
            return; //ready
        }

        emulatedWB = document.createElement('div'); 
        emulatedWB.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewDiv'); 
        emulatedWB.style.width = 0; 
        emulatedWB.style.height = 0; 
        emulatedWB.style.position = "absolute"; 
        emulatedWB.style.left = 0; 
        emulatedWB.style.top = 0;
        emulatedWB.style.backgroundColor = 'transparent';
        emulatedWB.style.border = "0px solid #000"; 

        var frame = document.createElement("IFRAME");
        frame.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
        frame.setAttribute('name', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
        frame.style.width = 0; 
        frame.style.height = 0; 
        frame.frameBorder = 0;
        frame.allowtransparency = true;

        emulatedWB.appendChild(frame);
        CocoonJS.App.EmulatedWebView = emulatedWB;
        CocoonJS.App.EmulatedWebViewIFrame = frame;

        if(!document.body) {
            document.body = document.createElement("body");
        }
        document.body.appendChild(CocoonJS.App.EmulatedWebView);
    }

    /**
    * Pauses the CocoonJS JavaScript execution loop.
    * @function
    * @augments CocoonJS.App
    */
    CocoonJS.App.pause = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "pause", arguments);
        }
    };

    /**
    * Resumes the CocoonJS JavaScript execution loop.
    * @static
    * @function
    */
    CocoonJS.App.resume = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "resume", arguments);
        }
    };

    /**
    * Loads a resource in the WebView environment from the CocoonJS environment.
    * @function
    * @param {string} path The path to the resource. It can be a remote URL or a path to a local file.
    * @param {CocoonJS.App.StorageType} [storageType] An optional parameter to specify at which storage in the device the file path is stored. By default, APP_STORAGE is used.
    * @see CocoonJS.App.load
    * @see CocoonJS.App.onLoadInTheWebViewSucceed
    * @see CocoonJS.App.onLoadInTheWebViewFailed
    */
    CocoonJS.App.loadInTheWebView = function(path, storageType)
    {
        if (navigator.isCocoonJS && CocoonJS.App.nativeExtensionObjectAvailable)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "loadInTheWebView", arguments)
        }
        else
        {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function(event) {
                if (xhr.readyState === 4)
                {
                    if ((xhr.status >= 200 && xhr.status <=299) || xhr.status === 0)
                    {

                        checkEmulatedWebViewReady();
                        var callback= function(event){
                            CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners(path);
                            CocoonJS.App.EmulatedWebViewIFrame.removeEventListener("load", callback);
                        };

                        CocoonJS.App.EmulatedWebViewIFrame.addEventListener(
                            "load", 
                            callback
                        );
                        CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.href= path;
                    }
                    else
                    {
                        this.onreadystatechange = null;
                        CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners(path);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the WebView context.
     * @function
     */
    CocoonJS.App.reloadWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable && navigator.isCocoonJS)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "reloadWebView", arguments);
        }
        else
        {
            checkEmulatedWebViewReady();
            CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.reload();
        }
    };

    /**
    * Shows the webview.
    * @function
    * @param {int} x The top lef x coordinate of the rectangle where the webview will be shown.
    * @param {int} y The top lef y coordinate of the rectangle where the webview will be shown.
    * @param {width} y The width of the rectangle where the webview will be shown.
    * @param {height} y The height of the rectangle where the webview will be shown.
    */
    CocoonJS.App.showTheWebView = function(x, y, width, height)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable && navigator.isCocoonJS)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showTheWebView", arguments)
        }
        else
        {
            checkEmulatedWebViewReady();
            CocoonJS.App.EmulatedWebViewIFrame.style.width = (width ? width/window.devicePixelRatio : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebViewIFrame.style.height = (height ? height/window.devicePixelRatio : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.left = (x ? x : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.top = (y ? y : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.width = (width ? width/window.devicePixelRatio : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebView.style.height = (height ? height/window.devicePixelRatio : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.display = "block";

            console.log(CocoonJS.App.EmulatedWebViewIFrame.style.cssText);
        }
    };

    /**
    * Hides the webview.
    * @function
    */
    CocoonJS.App.hideTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('hide');";
            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            checkEmulatedWebViewReady();
            CocoonJS.App.EmulatedWebView.style.display = "none";
        }
    };

    /**
    * Marks a audio file to be used as music by the system. CocoonJS, internally, differentiates among music files and sound files.
    * Music files are usually bigger in size and longer in duration that sound files. There can only be just one music file 
    * playing at a specific given time. The developer can mark as many files as he/she wants to be treated as music. When the corresponding
    * HTML5 audio object is used, the system will automatically know how to treat the audio resource as music or as sound.
    * Note that it is not mandatory to use this function. The system automatically tries to identify if a file is suitable to be treated as music
    * or as sound by checking file size and duration thresholds. It is recommended, though, that the developer specifies him/herself what he/she considers
    * to be music.
    * @function
    * @param {string} audioFilePath The same audio file path that will be used to create HTML5 audio objects.
    */
    CocoonJS.App.markAsMusic = function(audioFilePath)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "addForceMusic", arguments);
        }
    };

    /**
    * Activates or deactivates the antialas functionality from the CocoonJS rendering.
    * @function
    * @param {boolean} enable A flag that indicates if the antialas should be activated (true) or deactivated (false).
    */
    CocoonJS.App.setAntialias = function(enable)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultAntialias", arguments);
        }
    };

    /**
    * Sets a callback function that will be called whenever the system tries to finish the app.
    * The developer can specify how the system will react to the finish of the app by returning a
    * boolean value in the callback function: true means, close the app, false means that the developer
    * will handle the app close.
    * A common example of this is the back button in Android devices. When the back button is pressed, this
    * callback will be called and the system will react depending on the developers choice finishing, or not,
    * the application.
    * @function
    * @param {function} appShouldFinishCallback A function object that will be called when the system
    * determines that the app should be finished. This function must return a true or a false value
    * depending on what the developer wants: true === finish the app, false === do not close the app.
    */
    CocoonJS.App.setAppShouldFinishCallback = function(appShouldFinishCallback)
    {
        if (navigator.isCocoonJS)
        {
            window.onidtkappfinish = appShouldFinishCallback;
        }
    }

    /**
    * Sets the texture reduction options. The texture reduction is a process that allows big images to be reduced/scaled down when they are loaded.
    * Although the quality of the images may decrease, it can be very useful in low end devices or those with limited amount of memory.
    * The function sets the threshold on image size (width or height) that will be used in order to know if an image should be reduced or not.
    * It also allows to specify a list of strings to identify in which images file paths should be applied (when they meet the size threshold requirement) 
    * The developer will still think that the image is of the original size. CocoonJS handles all of the internals to be able to show the image correctly.
    * IMPORTANT NOTE: This function should be called when the application is initialized before any image is set to be loaded for obvious reasons ;).
    * and in which sould be forbid (even if they meet the threshold requirement).
    * @function
    * @param {number} sizeThreshold This parameter specifies the minimun size (either width or height) that an image should have in order to be reduced.
    * @param {string or array} [applyTo] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it will be reduced. This parameter can also be null.
    * @param {string or array} [forbidFor] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it won't be reduced. This parameter should be used in order to mantain the 
    * quality of some images even they meet the size threshold requirement.
    */
    CocoonJS.App.setTextureReduction = function(sizeThreshold, applyTo, forbidFor)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultTextureReducerThreshold", arguments);
        }
    };


    /**
    * Prints to the console the memory usage of the currently alive textures
    * @function
    */
    CocoonJS.App.logMemoryInfo = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "logMemoryInfo", arguments);
        }
    };

    /**
    * Enable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.enableFPSInTheWebView = function(fpsLayout, textColor)
    {
        if (!CocoonJS.App.fpsInTheWebViewEnabled)
        {
            fpsLayout = fpsLayout ? fpsLayout : CocoonJS.App.FPSLayout.TOP_RIGHT;
            textColor = textColor ? textColor : "white";
            var jsCode = "" +
                "(function()" +
                "{" +
                    "var COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES = ['js/CocoonJSExtensions/CocoonJS.js', 'js/CocoonJSExtensions/CocoonJS_App.js', 'js/CocoonJSExtensions/CocoonJS_App_ForWebView.js'];" +
                    "var loadedScriptCounter = 0;" + 
                    "var loadedScriptFunction = function() " +
                    "{ " +
                        "loadedScriptCounter++;"+
                        "if (loadedScriptCounter >= COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length)"+
                        "{"+
                            "CocoonJS.App.enableFPS(" + JSON.stringify(fpsLayout) + ", " + JSON.stringify(textColor) + ");"+
                        "}"+
                    "};"+
                    "for (var i = 0; i < COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length; i++)"+
                    "{"+
                        "var s = document.createElement('script');"+
                        "s.onload = loadedScriptFunction;"+
                        "s.src = COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES[i];"+
                        "document.body.appendChild(s);"+
                    "}" +
                "})();";
            setTimeout(function()
            {
                CocoonJS.App.forward(jsCode);
            }, 3000);
            CocoonJS.App.fpsInTheWebViewEnabled = true;
        }
    };

    /**
    * Disable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.disableFPSInTheWebView = function()
    {
        // TODO: Implement this function.
    };

    /**
     * Setups the internal text texture cache size.
     * The CocoonJS Canvas+ environment is very inefficient when it comes to drawing texts.
     * In order to improve the performance, a text texture cache is used internally. Once a text is drawn
     * a texture is stored that matches that text and that text configuration. If the same text is called to 
     * be drawn, this cached texture would be used. 
     * This function allows to set the size of the cache. A value of 0 would mean that no cache
     * will be used. 
     * @param size The size of the text cache.
     */
    CocoonJS.App.setTextCacheSize = function (size) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setTextCacheSize", arguments);
        }
    }

    CocoonJS.App.forwardedEventFromTheWebView = function(eventName, eventDataString) {
        var eventData = JSON.parse(eventDataString);
        eventData.target = window;
        var event = new Event(eventName);
        for (var att in eventData) {
            event[att] = eventData[att];
        }
        event.target = window;
        window.dispatchEvent(event);
        var canvases = document.getElementsByTagName("canvas");
        for (var i = 0; i < canvases.length; i++) {
            event.target = canvases[i];
            canvases[i].dispatchEvent(event);
        }
    }

    
})();
;(function(){
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before adding more functionalities to an extension.");
    if (typeof window.CocoonJS.App === 'undefined' || window.CocoonJS.App === null) throw("The CocoonJS.App object must exist and be valid before adding more functionalities to it.");
    if (navigator.isCocoonJS) return;

    /**
    * This namespace represents all the basic functionalities available in the CocoonJS extension API.
    * @namespace
    */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.App.nativeExtensionObjectAvailable;

    /**
    * Shows a transparent WebView on top of the CocoonJS hardware accelerated environment rendering context.
    * @function
    * @param {number} [x] The horizontal position where to show the WebView.
    * @param {number} [y] The vertical position where to show the WebView.
    * @param {number} [width] The horitonzal size of the WebView.
    * @param {number} [height] the vertical size of the WebView.
    */
    CocoonJS.App.show = function(x, y, width, height)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "show", arguments);
        }
        else
        {
            var div = window.parent.document.getElementById('CocoonJS_App_ForCocoonJS_WebViewDiv');
            div.style.left = (x ? x : div.style.left)+'px';
            div.style.top = (y ? y : div.style.top)+'px';
            div.style.width = (width ? width/window.devicePixelRatio : window.parent.innerWidth)+'px';
            div.style.height = (height ? height/window.devicePixelRatio : window.parent.innerHeight)+'px';
            div.style.display = "block";
            var iframe = window.parent.document.getElementById('CocoonJS_App_ForCocoonJS_WebViewIFrame');
            iframe.style.width = (width ? width/window.devicePixelRatio : window.parent.innerWidth)+'px';
            iframe.style.height = (height ? height/window.devicePixelRatio : window.parent.innerHeight)+'px';
        }
    };

    /**
    * Hides the transparent WebView on top of the CocoonJS hardware acceleration environment rendering contect.
    * @function
    */
    CocoonJS.App.hide = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "hide", arguments);
        }
        else
        {
            window.parent.document.getElementById('CocoonJS_App_ForCocoonJS_WebViewDiv').style.display = "none";
        }
    };

    /**
    * Loads a resource in the CocoonJS environment from the CocoonJS environment. 
    * @function
    * @param {string} path The path to the resource. It can be a remote URL or a path to a local file.
    * @param {CocoonJS.App.StorageType} [storageType] An optional parameter to specify at which storage in the device the file path is stored. By default, APP_STORAGE is used.
    * @see CocoonJS.App.load
    */
    CocoonJS.App.loadInCocoonJS = function(path, storageType)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('loadPath'";
            if (typeof path !== 'undefined')
            {
                javaScriptCodeToForward += ", '" + path + "'";
                if (typeof storageType !== 'undefined')
                {
                    javaScriptCodeToForward += ", '" + storageType + "'";
                }
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else
        {
            CocoonJS.App.forwardAsync("CocoonJS.App.load('" + path + "');");
        }
    };

    /**
     * Reloads the last loaded path in the CocoonJS context.
     * @function
     */
    CocoonJS.App.reloadCocoonJS = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.App.forwardAsync("ext.IDTK_APP.makeCall('reload');");
        }
        else if (!navigator.isCocoonJS)
        {
            window.parent.location.reload();
        }
    };

    /**
    * This function allows to forward console messages from the WebView to the CocoonJS
    * debug console. What it does is to change the console object for a new one
    * with all it's methods (log, error, info, debug and warn) forwarding their
    * messages to the CocoonJS environment.
    * The original console object is stored in the CocoonJS.App.originalConsole property.
    * @function
    */
    CocoonJS.App.proxifyConsole = function() 
    {
        if (!CocoonJS.nativeExtensionObjectAvailable) return;

        if (typeof CocoonJS.App.originalConsole === 'undefined')
        {
            CocoonJS.App.originalConsole = window.console;
        }
        var functions = ["log", "error", "info", "debug", "warn"];

        var newConsole = {};
        for (var i = 0; i < functions.length; i++)
        {
            newConsole[functions[i]] = function(functionName)
            {
                return function(message)
                {
                    var jsCode = "console." + functionName + "(" + JSON.stringify(message) + ");";
                    CocoonJS.App.originalConsole.log(jsCode);
                    ext.IDTK_APP.makeCallAsync("forward", jsCode);
                };
            }(functions[i]);
        }
        if (!newConsole.assert) {
            newConsole.assert = function assert() {
                if (arguments.length > 0 && !arguments[0]) {
                    var str = 'Assertion failed: ' + (arguments.length > 1 ? arguments[1] : '');
                    newConsole.error(str);
                }
            }
        }        
        window.console = newConsole;
    };

    /**
    * This function restores the original console object and removes the proxified console object.
    * @function
    */
    CocoonJS.App.deproxifyConsole = function()
    {
        if (window.navigator.isCocoonJS || !CocoonJS.nativeExtensionObjectAvailable) return;
        if (typeof CocoonJS.App.originalConsole !== 'undefined')
        {
            window.console = CocoonJS.App.originalConsole;
            CocoonJS.App.originalConsole = undefined;
        }
    };

    /**
    * Everytime the page is loaded, proxify the console.
    * @ignore
    */
    window.addEventListener("load", function()
    {
        CocoonJS.App.proxifyConsole();

        // Only if we are completely outside CocoonJS (or CocoonJS' webview),
        // setup event forwarding from the webview (iframe) to CocoonJS.
        if (!CocoonJS.App.nativeExtensionObjectAvailable) {
            CocoonJS.App.forwardEventsToCocoonJSEnabled = true;
            var EVENT_ATTRIBUTES = [ 'timeStamp', 'button', 'type', 'x', 'y', 'pageX', 'pageY', 'clientX', 'clientY', 'offsetX', 'offsetY'];
            var EVENTS = [ "dblclick", "touchmove", "mousemove", "touchend", "touchcancel", "mouseup", "touchstart", "mousedown", "release", "dragleft", "dragright", "swipeleft", "swiperight" ];
            function forwardEventToCocoonJS(eventName, event) {
                var eventData = {};
                var att, i;
                for (var att in event) {
                    i = EVENT_ATTRIBUTES.indexOf(att);
                    if (i >= 0) {
                        eventData[att] = event[att];
                    }
                }
                var jsCode = "CocoonJS && CocoonJS.App && CocoonJS.App.forwardedEventFromTheWebView && CocoonJS.App.forwardedEventFromTheWebView(" + JSON.stringify(eventName) + ", '" + JSON.stringify(eventData) + "');";
                CocoonJS.App.forward(jsCode);
            }
            for (i = 0; i < EVENTS.length; i++) {
                window.addEventListener(EVENTS[i], (function(eventName) {
                    return function(event) {
                        if (CocoonJS.App.forwardEventsToCocoonJSEnabled) {
                            forwardEventToCocoonJS(eventName, event);
                        }
                    };
                })(EVENTS[i]));
            }
        }

    });

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInCocoonJSSucceed} event calls.
     * @name OnLoadInCocoonJSSucceedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in CocoonJS.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the CocoonJS load has completed successfully.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInCocoonJSSucceedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    * @param {string} pageURL A string that represents the page URL loaded.
    */
    CocoonJS.App.onLoadInCocoonJSSucceed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpageload");

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInCocoonJSFailed} event calls.
     * @name OnLoadInCocoonJSFailedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in CocoonJS.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the CocoonJS load fails.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInCocoonJSFailedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    */
    CocoonJS.App.onLoadInCocoonJSFailed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpagefail");

})();;(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Advertisement extension API.
    * @namespace
    */
    CocoonJS.Ad = {};

    CocoonJS.Ad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_AD !== 'undefined';

    /**
    * The predefined possible layouts for a banner ad.
    * @namespace 
    */
	CocoonJS.Ad.BannerLayout = 
	{
		/**
		* Specifies that the banner must be shown in the top of the screen and vertically centered.
		*/
	    TOP_CENTER      : "TOP_CENTER",

		/**
		* Specifies that the banner must be shown in the bottom of the screen and vertically centered.
		*/
	    BOTTOM_CENTER   : "BOTTOM_CENTER"
	};

	/**
    * A rectangle object that contains the banner dimensions
    * @namespace 
    * @constructor
    * @param {int} x The top lef x coordinate of the rectangle.
    * @param {int} y The top lef y coordinate of the rectangle.
    * @param {width} y The rectangle width.
    * @param {height} y The rectangle height.
    */
	CocoonJS.Ad.Rectangle = function(x, y, width, height) 
	{
		/**
		* The top lef x coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.x = x;

		/**
		* The top lef y coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.y = y;

	    /**
		* The rectangle width
		* @field 
		* @type {int}
		*/
	    this.width = width;

	    /**
		* The rectangle height
		* @field 
		* @type {int}
		*/
	    this.height = height;
	};

	CocoonJS.Ad.Banner = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
    	* The callback function does not receive any parameter.
    	* @param {number} width The banner width
    	* @param {number} height The banner height
    	* @static
    	* @event
    	*/
		this.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener(args[1], args[2]);
    		}
    	});
	};

	CocoonJS.Ad.Banner.prototype = {

		/**
		* Shows a banner ad if available.
		* @function
		*/
		showBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", [this.id], true);
			}
		},

		/**
		* Hides the banner ad if it was being shown.
		* @function
		*/
		hideBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", [this.id], true);
			}
		},

		/**
		* Refreshes the banner.
		* @function
		*/
		refreshBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", [this.id], true);
			}
		},

		/**
		* Gets the rectangle representing the banner screen position.
		* @function
		* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
		*/
		getRectangle : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", [this.id]);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* @function
		* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
		*/
		setRectangle : function(rect)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", [this.id, rect],true);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* You can use this method if you want to have better control of the banner screen positioning.
		* @function
		* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
		*/
		setBannerLayout : function(bannerLayout)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", [this.id, bannerLayout],true);
			}
		}
	};

	CocoonJS.Ad.Fullscreen = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
		this.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

    	/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});
	};

	CocoonJS.Ad.Fullscreen.prototype = {

		/**
		* Shows a full screen ad if available.
		* @function
		* @see CocoonJS.Ad.onFullScreenShown
		* @see CocoonJS.Ad.onFullScreenHidden
		*/
		showFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", [this.id], true);
			}
		},

		/**
		* Refreshes the fullscreen.
		* @function
		*/
		refreshFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", [this.id], true);
			}
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Ad.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "requestInitialization", arguments, true);
		}
	};

	/**
	* Creates a new banner ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createBanner = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createBanner", [parameters]);
			var banner = new CocoonJS.Ad.Banner(adId);

			return banner;
		}
	};

	/**
	* Releases a banner.
	* @function
	* @param {object} The banner ad object to be released.
	*/
	CocoonJS.Ad.releaseBanner = function(banner)
	{
		if (typeof banner === "undefined") {
            throw "The banner ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseBanner", [banner.id]);
		}
	};

	/**
	* Creates a new fullscreen ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createFullscreen = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createFullscreen", [parameters]);
			var fullscreen = new CocoonJS.Ad.Fullscreen(adId);

			return fullscreen;
		}
	};

	/**
	* Releases a fullscreen ad.
	* @function
	* @param {object} The fullscreen ad object to be released.
	*/
	CocoonJS.Ad.releaseFullscreen = function(fullscreen)
	{
		if (typeof fullscreen === "undefined") {
            throw "The fullscreen ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseFullscreen", [fullscreen.id]);
		}
	};

	/**
	* Shows a banner ad if available.
	* @function
	* @see CocoonJS.Ad.setBannerLayout
	* @see CocoonJS.Ad.onBannerShown
	*/
	CocoonJS.Ad.showBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", arguments, true);
		}
	};

	/**
	* Hides the banner ad if it was being shown.
	* @function
	*/
	CocoonJS.Ad.hideBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", arguments, true);
		}
	};

	/**
	* Refreshes the banner.
	* @function
	*/
	CocoonJS.Ad.refreshBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", arguments, true);
		}
	};

	/**
	* Shows a full screen ad if available.
	* @function
	* @see CocoonJS.Ad.onFullScreenShown
	* @see CocoonJS.Ad.onFullScreenHidden
	*/
	CocoonJS.Ad.showFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", arguments, true);
		}
	};

	/**
	* Refreshes the fullscreen.
	* @function
	*/
	CocoonJS.Ad.refreshFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", arguments, true);
		}
	};

	/**
	* Makes a request to preload a banner ad.
	* @function
	*/
	CocoonJS.Ad.preloadBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadBanner", arguments, true);
		}
	};

	/**
	* Makes a request to preload a full screen ad.
	* @function
	*/
	CocoonJS.Ad.preloadFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadFullScreen", arguments, true);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* @function
	* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.setRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", arguments, true);
		}
	};

	/**
	* Gets the rectangle representing the banner screen position.
	* @function
	* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.getRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", arguments);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* You can use this method if you want to have better control of the banner screen positioning.
	* @function
	* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
	*/
	CocoonJS.Ad.setBannerLayout = function(bannerLayout)
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", arguments, true);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide"); 

	/**
	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
	* The callback function does not receive any parameter.
	* @param {number} width The banner width
	* @param {number} height The banner height
	* @static
	* @event
	*/
	CocoonJS.Ad.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready"); 

})();;(function() {

    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * @namespace
     */
    CocoonJS.Social = {};

    /**
     * This class provides an abstraction API for all the Social Services
     * Each Social service has it's own official API but can also be used within this API interface
     * @class
     */
    CocoonJS.Social.SocialService = function() {
        /**
         * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login status changes
         * The callback parameters: loggedIn status (boolean) and error
         * @memberOf CocoonJS.Social.SocialService
         */
        this.onLoginStatusChanged = new CocoonJS.EventHandler("", "dummy", "onLoginStatusChanged");

        return this;
    }

    CocoonJS.Social.SocialService.prototype = {

        /**
         * Check if the user is logged in.
         * @return {boolean} true if the user is still logged in, false otherwise.
         */
        isLoggedIn: function() {
             return false;
        },

        /**
         * Authenticate the user
         * @param {function} callback. The callback function. Response params: loggedIn(boolean) and error
         */
        login : function(callback) {
            if (callback)
                callback(false, {message:"Not implemented!"});
        },

        /**
         * Log the user out of your application.
         * @param {function} [callback] The callback function. Response params: error
         */
        logout: function(callback) {
            if (callback)
                callback({message:"Not implemented!"});
        },

        /**
         * Returns the information of the currently logged in user.
         * @return {@link CocoonJS.Social.User}
         */
        getLoggedInUser : function() {
            return null;
        },

        /**
         * Checks if the current logged in user has publish permissions
         * @param callback The callback function. Response params: permissions granted and error
         */
        hasPublishPermissions: function(callback) {
            callback(true);
        },

        /**
         * Requests publish permissions for the current logged in user
         * @param callback The callback function. Response params: granted and error
         */
        requestPublishPermissions: function(callback) {
            if (callback)
                callback(true, null);
        },
        /**
         * Retrieves user information for a specific user ID.
         * @param {function} callback The callback function. Response params: {@link CocoonJS.Social.User} and error.
         * @param {string} [userID] The id of the user to retrieve the information from. If no userID is specified, the currently logged in user is assumed.
         */
        requestUser: function(callback, userID) {
            callback(null, {message:"Not implemented!"});
        },
        /**
         * Request to retrieve the profile image of a user
         * @param {function} callback The callback function. Response params: ImageURL and error.
         * @param {string} [userID] The id of the user to get the image for. If no userID is specified, the currently logged user is used.
         * @param {CocoonJS.Social.ImageSize} [imageSize] The desired size of the image. Default value: SMALL.
         */
        requestUserImage : function(callback, userID, imageSize) {
            callback("", {message:"Not implemented!"})
        },

        /**
         * Retrieves user friends for a specific user ID.
         * @param {function} callback The callback function. Response params: Array of {@link CocoonJS.Social.User} and error.
         * @param {string} [userID] The id of the user to retrieve the information from. If no userID is specified, the currently logged in user is assumed.
         */
        requestFriends: function(callback, userID) {
            callback([], {message:"Not implemented!"});
        },

        /**
         * Shares a message without the intervention of the user
         * This action might require publish permissions. If the user has not publish permissions they are automatically requested.
         * @param {CocoonJS.Social.Message} message A object representing the information to be published.
         * @param {function} [callback] The callback function. Response params: error
         */
        publishMessage: function(message, callback) {
            callback({message:"Not implemented!"});
        },

        /**
         * Presents a native/web dialog that allows the user to share a message
         * @param {CocoonJS.Social.Message} message A object representing the information to be published.
         * @param {function} [callback] The callback function. Response params: error
         */
        publishMessageWithDialog: function(message, callback) {
            callback({message:"Not implemented!"});
        }
    }


    /**
     * This class extends the Social Service API with an extended Social Gaming abstraction API (achievements, leaderboards, etc.)
     * @class
     */
    CocoonJS.Social.SocialGamingService = function() {
        CocoonJS.Social.SocialGamingService.superclass.constructor.call(this);
        return this;
    }

    CocoonJS.Social.SocialGamingService.prototype = {

        _cachedAchievements: null,
        _achievementsMap: null,
        _leaderboardsTemplate: null,
        _achievementsTemplate: null,

        /**
         * Retrieves the score for a user from a specific leaderboard
         * @param {function} callback The callback function. Response params: {@link CocoonJS.Social.Score} and error.
         * @param {CocoonJS.Social.ScoreParams} [params] The params to retrieve the score. If no params are specified, the currently logged in user and the default leaderboard are assumed.
         */
        requestScore: function(callback, params) {
            callback(null, {message:"Not implemented!"})
        },

        /**
         * Submits the score for a user to a specific leaderboard
         * @param {number} score the score to submit
         * @param {function} [callback] The callback function. Response params: error.
         * @param {CocoonJS.Social.ScoreParams} [params] The params to submit the score. If no params are specified, the currently logged in user and the default leaderboard are assumed.
         */
        submitScore: function(score, callback, params ) {
            if (callback)
                callback({message:"Not implemented!"})
        },

        /**
         * Shows a modal leaderboard view using a platform dependant view.
         * @param {CocoonJS.Social.ScoreParams} [params] The params to choose the leaderboard and other settings. If no params are specified the default leaderboard id and settings will be assumed.
         * @param {function} [callback] The callback function invoked when the modal leaderboard view is closed by the user. Response params: error.
         * @see setTemplates
         */
        showLeaderboard : function(callback, params) {
            if (callback)
                callback({message:"Not implemented!"})
        },

        /**
         * Retrieves all the achievements of the application.
         * @param {function} callback The callback function. Response params: array of {@link CocoonJS.Social.Achievement} and error.
         */
        requestAllAchievements : function(callback) {
            callback([], {message:"Not implemented!"})
        },

        /**
         * Retrieves the achievements earned by a user.
         * @param {function} callback The callback function. Response params: array of {@link CocoonJS.Social.Achievement} and error.
         * @param {string} [userId] The id of the user to retrieve the information from. If no userID is specified, the currently logged in user is assumed.
         */
        requestAchievements : function(callback, userID) {
            callback([], {message:"Not implemented!"})
        },
        /**
         * Submits the achievement for the current logged In user
         * @param achievementID The achievement ID to submit
         * @param callback [callback] The callback function. Response params: error.
         */
        submitAchievement: function(achievementID, callback) {
            if (callback)
                callback({message:"Not implemented!"})
        },
        /**
         * Resets all the achievements of the current logged in user
         * @param {function} [callback] The callback function. Response params: error.
         */
        resetAchievements : function(callback) {
            if (callback)
                callback([], {message:"Not implemented!"})
        },
        /**
         * Shows a modal achievements view using a platform dependant view.
         * @param {function} [callback] The callback function invoked when the modal achievements view is closed by the user. Response params: error.
         * @see setTemplates
         */
        showAchievements : function(callback) {
            if (!this._achievementsTemplate)
                throw "Please, provide a html template for achievements with the setTemplates method";
            var dialog = new CocoonJS.App.WebDialog();
            var callbackSent = false;
            dialog.show(this._achievementsTemplate, function(error) {
                dialog.closed = true;
                if (!callbackSent && callback)
                    callback(error);
            });
            var me = this;
            this.requestAchievements(function(achievements, error){
                if (dialog.closed)
                    return;
                if (error) {
                    callbackSent = true;
                    if (callback)
                        callback(error);
                    return;
                }

                var achs = [];
                if (me._cachedAchievements) {
                    for (var i = 0; i < me._cachedAchievements.length; ++i) {
                        var ach = me._cachedAchievements[i];
                        achs.push(ach);
                        if (achievements && achievements.length) {
                            for (var j = 0; j< achievements.length; ++j) {
                                if (achievements[j].achievementID === ach.achievementID) {
                                    ach.achieved = true;
                                    break;
                                }
                            }
                        }
                    }
                }
                var js = "addAchievements(" + JSON.stringify(achs) + ");";
                dialog.eval(js);
            });
        },

        /**
         * Set the map for using custom achievement IDs.
         * The map must be a customID to realID map (accessing map.customID must return the real achievement ID)
         * Whenever this map is enabled users are able to submit achievements with the real achievement ID or with the custom one.
         * @params {object} map The achievements map. A null map disables this feature.
         */
        setAchievementsMap: function(map) {
            this._achievementsMap = map;
            if (this._cachedAchievements) {
               this.syncAchievementsMap(this._cachedAchievements);
            }
        },

        /**
         * Provides some templates to be used in the leaderboards and achievements views
         * Some social services (like Facebook) don't have a native view to show achievements or leaderboards views, and use html templates instead
         * @param {string} leaderboardsTemplate relative path to the leaderboards template
         * @param {string} achievementsTemplate relative path to the achievements template
         * @see showAchievements
         * @see showLeaderboard
         */
        setTemplates: function(leaderboardsTemplate, achievementsTemplate) {
            this._leaderboardsTemplate = leaderboardsTemplate;
            this._achievementsTemplate = achievementsTemplate;
        },

        //Internal utility methods

        /**
         * @ignore
         */
        setCachedAchievements: function(achievements) {
            this._cachedAchievements = achievements;
            if (achievements && this._achievementsMap) {
                this.syncAchievementsMap(this._cachedAchievements);
            }
        },

        /**
         * @ignore
         */
        findAchievement: function(id) {
            if (!this._cachedAchievements)
                return null;
            for (var i = 0; i < this._cachedAchievements.length; ++i) {
                if (id === this._cachedAchievements[i].achievementID) {
                    return this._cachedAchievements[i];
                }
            }
            return null;
        },

        /**
         * @ignore
         */
        translateAchievementID: function(id) {
            if (this._achievementsMap) {
                for (var customID in this._achievementsMap) {
                    if (customID == id) { //important: compare with double equal, because id can be numeric
                        return this._achievementsMap[customID];
                    }
                }
            }
            return id;
        },
        /**
         * @ignore
         * @param {array} achievements array of achievements
         */
        syncAchievementsMap: function(achievements) {
            if (!this._achievementsMap)
                return;
            for (var i = 0; i< achievements.length; ++i) {
                for (var customID in this._achievementsMap) {
                     if (this._achievementsMap[customID] === achievements[i].achievementID) {
                         achievements[i].customID = customID;
                     }
                }
            }

        }
    }

    /**
     * @ignore
     */
    CocoonJS.extend(CocoonJS.Social.SocialGamingService, CocoonJS.Social.SocialService);


    /**
     * This enumeration represents the possible images to be obtained for a user in the social gaming extension.
     * @namespace
     * @enum
     */
    CocoonJS.Social.ImageSize =
    {
        /**
         * Represent a thumbnail like image size.
         */
        THUMB : "thumb",
        /**
         * Represents the small image size.
         */
        SMALL : "small",
        /**
         * Represents the medium image size.
         */
        MEDIUM : "medium",
        /**
         * Represents the large image size.
         */
        LARGE : "large"
    };


    /**
     * The data structure that represents the information of a user inside the social gaming extension.
     * @class
     * @constructor
     * @param {string} userID The id of the user.
     * @param {string} userName The user name of the user.
     */
    CocoonJS.Social.User = function(userID, userName, userImage)
    {
        /**
         * The id of the user.
         * @field
         * @type string
         */
        this.userID = userID;
        /**
         * The user name of the user.
         * @field
         * @type string
         */
        this.userName = userName;

        /**
         * The user image URL
         * If the image URL is not provided by default fetch it using requestUserImage method.
         * @field
         * @type {string}
         */
        this.userImage = userImage;

        return this;
    };

    /**
     * This type represents a message to be published.
     * @class
     * @constructor
     * @param {string} message The message to be published.
     * @param {string} mediaURL An URL to a media (image, video, ...)
     * @param {string} linkURL An URL to add to the message so the user can click on that link to get more information.
     * @param {string} linkText The text that will appear in the message link.
     * @param {string} linkCaption The text caption that will appear in the message link.
     */
    CocoonJS.Social.Message = function(message, mediaURL, linkURL, linkText, linkCaption)
    {
        /**
         * The message to be published.
         * @field
         * @type string
         */
        this.message = message;
        /**
         * An URL to a media (image, video, ...)
         * @field
         * @type string
         */
        this.mediaURL = mediaURL;
        /**
         * An URL to add to the message so the user can click on that link to get more information.
         * @field
         * @type string
         */
        this.linkURL = linkURL;
        /**
         * The text that will appear in the message link.
         * @field
         * @type string
         */
        this.linkText = linkText;
        /**
         * The text caption that will appear in the message link.
         * @field
         * @type string
         */
        this.linkCaption = linkCaption;

        return this;
    };


    /**
     * The data structure that represents the information of the user score in the application.
     * @class
     * @constructor
     * @param {string} userID The user id.
     * @param {number} score The score of the user.
     * @param {string} userName The name of the user.
     * @param {string} imageURL The url of the user image.
     * @param {number} leaderboardID The id of the leaderboard the score belongs to.
     */
    CocoonJS.Social.Score = function(userID, score, userName, imageURL, leaderboardID)
    {
        /**
         * The user id.
         * @type string
         */
        this.userID = userID;
        /**
         * The score of the user.
         * @type number
         */
        this.score = score || 0;
        /**
         * The name of the user.
         * @type string
         */
        this.userName = userName;
        /**
         * The url of the user image.
         * @type string
         */
        this.imageURL = imageURL;
        /**
         * The id of the leaderboard the score belongs to.
         * @type string
         */
        this.leaderboardID = leaderboardID;

        return this;
    };

    /**
     * The data structure that represents params to retrieve or submit scores
     * @class
     * @constructor
     * @param {string} userID The user id. If no userID is specified the current logged in user is assumed.
     * @param {string} leaderboardID The leaderboard ID. If no leaderboard is specified the default leaderboard is assumed.
     * @param {boolean} [friendScope = false] If enabled the query will get only scores from friends in the social network
     * @param {CocoonJS.Social.TimeScope} [timeScope=0] The time scope for the scores.
     */
    CocoonJS.Social.ScoreParams = function(userID, leaderboardID, friends, timeScope) {
        /**
         * The user id.
         * @type string
         */
        this.userID = userID;
        /**
         * The id of the leaderboard.
         * @type string
         */
        this.leaderboardID = leaderboardID;

        /**
         * Friends scope
         * @type {boolean}
         */
        this.friends = !!friends;

        /**
         * The time scope
         * @type {number}
         */
        this.timeScope = timeScope || 2;
    }

    /**
     * @enum
     * This enumeration represents the possible Time Scopes for a leaderboad query.
     */
    CocoonJS.Social.TimeScope =
    {
        ALL_TIME: 0,
        WEEK: 1,
        TODAY:2
    };

    /**
     * The data structure that represents the information of an achievement in the application.
     * @class
     * @constructor
     * @param {string} achievementID The id of the achievement info.
     * @param {string} title The title of the achievement.
     * @param {string} description The description of the achievement.
     * @param {string} imageURL The url to the image representing the achievement.
     * @param {number} points The points value of the achievement
     */
    CocoonJS.Social.Achievement = function(achievementID, title, description, imageURL, points)
    {
        /**
         * The id of the achievement.
         * @type string
         */
        this.achievementID = achievementID;
        /**
         * The optional custom id of the achievement defined by the user.
         * @type string
         */
        this.customID = achievementID;
        /**
         * The title of the achievement.
         * @type string
         */
        this.title = title;
        /**
         * The description of the achievement.
         * @type string
         */
        this.description = description;
        /**
         * The url to the image representing the achievement.
         * @type string
         */
        this.imageURL = imageURL;
        /**
         * The points value of the achievement
         * @type number
         */
        this.points = points || 0;

        return this;
    };

})();(function(){

    // The CocoonJS and CocoonJS.Social must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating the extension types.");
    if (typeof window.CocoonJS.Social === 'undefined' || window.CocoonJS.Social === null) throw("The CocoonJS.Social object must exist and be valid before creating the extension types.");

    /**
     * @class
     * @constructor
     * Represents a type that mimics the original GameCenter API (somehow ;)) with the addition of the possibility to 
     * retrieve an abstract high level interface API to handle a SocialGamingService (APIs defined by Ludei) and multiplayer support.
     */
    CocoonJS.Social.GameCenterExtension = function() {
        this.nativeExtensionName = "IDTK_SRV_GAMECENTER";
        this.extensionName = "Social.GameCenter";
        this.nativeExtensionObjectAvailable =  CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[this.nativeExtensionName] !== 'undefined';

        var me = this;
        if (this.nativeExtensionObjectAvailable) {
            this.onGameCenterLoginStateChanged = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onGameCenterLoginStateChanged");

            this.onGameCenterLoginStateChanged.addEventListener(function(localPlayer,error){
                me._currentPlayer = localPlayer;
            });
        }
        return this;
    };

    CocoonJS.Social.GameCenterExtension.prototype = {

        _currentPlayer: null,

        /**
         * Return a CocoonJS SocialGaming interface for the Game Center Extension
         * You can use the Game Center extension in two ways, with 1:1 official API equivalent or with the CocoonJS Social API abstraction
         * @see CocoonJS.Social.SocialGamingService
         * @returns {CocoonJS.Social.SocialGamingService}
         */
        getSocialInterface: function() {
            if (!this._socialService) {
                this._socialService = new CocoonJS.Social.SocialGamingServiceGameCenter(this);
            }
            return this._socialService;
        },

        /**
         * Return a CocoonJS Multiplayer interface for the Game Center Extension
         * @returns {CocoonJS.Multiplayer.MultiplayerService}
         */
        getMultiplayerInterface: function() {
            return CocoonJS.Multiplayer.GameCenter;
        },

        isLoggedIn: function() {
            return this._currentPlayer && this._currentPlayer.isAuthenticated;
        },

        /**
         * Authenticate the user
         * @params {function} callback The callback function. Response params: CocoonJS.Social.GameCenter.LocalPlayer and error.
         */
        login: function(callback) {
            var me = this;
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "login", [function(response, error) {
                    me._currentPlayer = response;
                    if (callback) {
                        callback(response,error);
                    }
                }], true);
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Synchronous accessor for the current authResponse
         * @returns {CocoonJS.Social.GameCenter.LocalPlayer} current Local Player data
         */
        getLocalPlayer: function() {
            if (this._currentPlayer)
                return this._currentPlayer;
            if (this.nativeExtensionObjectAvailable) {
                this._currentPlayer = CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getLocalPlayer", []);
                return this._currentPlayer;
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Load the players for the provided identifiers.
         * @param {array} playerIDs Array of player identifiers
         * @param {function} callback The callback function. Response params: CocoonJS.Social.GameCenter.Player array and error
         */
        loadPlayers: function(playerIDs, callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "loadPlayers", [playerIDs, callback], true);
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Load the friends for the current logged in user.
         * @param {function} callback The callback function. Response params: CocoonJS.Social.GameCenter.Player array and error
         */
        loadFriends: function(callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "loadFriends", [callback], true);
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Load the earned achievements for the current logged in user.
         * @param {function} callback The callback function. Response params: CocoonJS.Social.GameCenter.Achievements array and error
         */
        loadAchievements: function(callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "loadAchievements", [callback], true);
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Load the application achievement descriptions
         * @param {function} callback The callback function. Response params: CocoonJS.Social.GameCenter.AchievementDescription array and error
         */
        loadAchievementDescriptions: function(callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "loadAchievementDescriptions", [callback], true);
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Load the application achievement descriptions
         * @param {function} callback The callback function. Response params: CocoonJS.Social.GameCenter.Leaderboard object and error
         * @param {CocoonJS.Social.GameCenter.Leaderboard} [query] Optional query parameters
         */
        loadScores: function(callback, query) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "loadScores", [query,callback], true);
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Report user score to the server
         * @param {CocoonJS.Social.GameCenter.Score} score definition of the score and it's category (leaderboardID).
         * If no category is specified the default one is used.
         * @param {function} callback The callback function. Response params: error
         */
        submitScore: function(score, callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitScore", [score,callback], true);
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Report user earned achievements to the server
         * @param {array} achievements Array of CocoonJS.Social.GameCenter.Achievement objects
         * @param {function} callback The callback function. Response params: error
         */
        submitAchievements: function(achievements, callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitAchievements", [achievements,callback], true);
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Resets all the achievements of the current logged in user
         * @param {function} [callback] The callback function. Response params: error.
         */
        resetAchievements : function(callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "resetAchievements", [callback], true);
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Shows a native view with the standard user interface for achievements
         * @param {function} callback The callback function when the view is closed by the user. Response params: error
         */
        showAchievements: function(callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showAchievements", [callback], true);
            }
            else {
                throw "Game Center not available";
            }
        },
        /**
         * Shows a native view with the standard user interface for leaderboards
         * @param {function} callback The callback function when the view is closed by the user. Response params: error
         * @param {CocoonJS.Social.GameCenter.Leaderboard} [query] Optional parameters
         */
        showLeaderboards: function(callback, query) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showLeaderboards", [query, callback], true);
            }
            else {
                throw "Game Center not available";
            }
        }
    };

    /**
     * @namespace
     * This is the global variable that enables access to the GameCenter API mimic and the high level abstract API
     * to handle Social and Multiplayer aspects created by Ludei.
     * @see CocoonJS.Social.GameCenterExtension
     */
    CocoonJS.Social.GameCenter = new CocoonJS.Social.GameCenterExtension();

    /**
     * @class
     * The data structure that represents the information of a Game Center player (Readonly)
     */
    CocoonJS.Social.GameCenter.Player = function() {
        /**
         * The identifier of the player.
         * @type string
         */
        this.playerID = "";
        /**
         * The alias of the player.
         * @type string
         */
        this.alias = "";
        /**
         * True if the user is friend of the local player
         * @type boolean
         */
        this.isFriend = false;
    }

    /**
     * @class
     * The data structure that represents the information of the Game Center Local Player (Readonly)
     */
    CocoonJS.Social.GameCenter.LocalPlayer = function() {
        /**
         * The identifier of the player.
         * @type string
         */
        this.playerID = "";
        /**
         * The alias of the player.
         * @type string
         */
        this.alias = "";
        /**
         * Indicates the authentication state of the current player
         * @type boolean
         */
        this.isAuthenticated = false;
    }

    /**
     * The data structure that represents an earned achievement by the user
     * @class
     * @constructor
     * @param {string} identifier The id of the achievement.
     * @param {number} [percentComplete] The percentage on which the achievement has been completed. 100% by default.
     */
    CocoonJS.Social.GameCenter.Achievement = function(identifier, percentComplete) {
        /**
         * The identifier of the achievement.
         * @type string
         */
        this.identifier = identifier;
        /**
         * Percentage of achievement complete (from 0 to 100)
         * @type number
         */
        this.percentComplete = percentComplete;
        /**
         *  Date the achievement was last reported (unix time)
         * @type number
         */
        this.lastReportedDate = 0;
    }

    /**
     * @class
     * The data structure that represents achievements defined by the application (Readonly)
     */
    CocoonJS.Social.GameCenter.AchievementDescription = function() {
        /**
         * The identifier of the achievement.
         * @type string
         */
        this.identifier = "";
        /**
         * The title of the achievement
         * @type string
         */
        this.title = "";
        /**
         * The description for an achieved achievement
         * @type string
         */
        this.achievedDescription = "";
        /**
         * The description for an unachieved achievement.
         * @type string
         */
        this.achievedDescription = "";

        /**
         * The maximum points of the achievement
         * @type number
         */
        this.maximumPoints = 0;
    }

    /**
     * @class
     * @constructor
     * The data structure that a score in the leaderboards
     * @param {number} value The value of the score.
     * @param {string} category The category where the score is associated.
     */
    CocoonJS.Social.GameCenter.Score = function(value,category) {
        /**
         * The score value as a 64bit integer.
         * @type number
         */
        this.value = value;
        /**
         * Leaderboard category
         * @type string
         */
        this.category = category;
        /**
         * The identifier of the player that recorded the score
         * @type string
         */
        this.playerID = "";
        /**
         * The rank of the player within the leaderboard
         * @type number
         */
        this.rank = 0;
    }

    /**
     * @class
     * @constructor
     * The data structure that represents the set of high scores for the current game
     * @param {string} category The category of the leaderboard.
     * @param {array} payerIDs
     * @param {CocoonJS.Social.GameCenter.TimeScope} timeScope
     * @param {CocoonJS.Social.GameCenter.PayerScope} payerScope
     * @param {number} rangeStart
     * @param {number} rangeLength
     */
    CocoonJS.Social.GameCenter.Leaderboard = function(category, playerIDs, timeScope, playerScope, rangeStart, rangeLength) {
        /**
         * leaderboard category (query parameter)
         * @type string
         */
        this.category = category;
        /**
         * Player identifiers array (query parameter)
         * @type string
         */
        this.playerIDs = category;
        /**
         * Time scope (query parameter)
         * @type CocoonJS.Social.GameCenter.TimeScope
         */
        this.timeScope = timeScope;
        /**
         * Player scope (query parameter)
         * @type CocoonJS.Social.GameCenter.PlayerScope
         */
        this.playerScope = playerScope;
        /**
         * Leaderboards start at index 1 and the length should be less than 100 (query parameter)
         * @type number
         */
        this.rangeStart = rangeStart;
        /**
         * Leaderboards start at index 1 and the length should be less than 100 (query parameter)
         * @type number
         */
        this.rangeLength = rangeLength;
        /**
         * Scores array (response parameter)
         * @type Array of CocoonJS.Social.GameCenter.Score
         */
        this.scores = [];
        /**
         * Local player score (response parameter)
         * @type CocoonJS.Social.GameCenter.Score
         */
        this.localPlayerScore = [];
        /**
         * Localized category title
         * @type string
         */
        this.localizedTitle = localizedTitle;
    }

    /**
     * @enum
     * This enumeration represents the possible Time Scopes for a leaderboad query.
     */
    CocoonJS.Social.GameCenter.TimeScope =
    {
        TODAY: 0,
        WEEK: 1,
        ALL_TIME:2
    };

    /**
     * @enum
     * This enumeration represents the possible Player Scopes for a leaderboad query.
     */
    CocoonJS.Social.GameCenter.PlayerScope =
    {
        GLOBAL: 0,
        FRIENDS: 1
    };


    //Social API Interface
    CocoonJS.Social.SocialGamingServiceGameCenter = function(gcExtension) {
        CocoonJS.Social.SocialGamingServiceGameCenter.superclass.constructor.call(this);
        this.gc = gcExtension;
        var me = this;
        this.gc.onGameCenterLoginStateChanged.addEventListener(function(localPlayer, error){
            me.onLoginStatusChanged.notifyEventListeners(localPlayer.isAuthenticated,error);
        });
        return this;
    }

    CocoonJS.Social.SocialGamingServiceGameCenter.prototype =  {

        _cachedAchievements: null,

        isLoggedIn: function() {
            return this.gc.isLoggedIn();
        },
        login : function(callback) {
            this.gc.login(function(localPlayer, error){
                if (callback)
                    callback(localPlayer.isAuthenticated, error);
            });
        },
        logout: function(callback) {
            if (callback)
                callback({message:"User has to logout from the Game Center APP"});
        },
        getLoggedInUser : function() {
            return fromGCPLayerToCocoonUser(this.gc._currentPlayer ? this.gc._currentPlayer : this.gc.getLocalPlayer());
        },

        requestUser: function(callback, userId) {
            if (userId) {
                this.gc.loadPlayers([userId], function(response, error) {
                    var user = response && response.length ? fromGCPLayerToCocoonUser(response[0]) : null;
                    callback(user, error);
                });
            }
            else {
                var me = this;
                setTimeout(function(){
                    callback(me.getLoggedInUser());
                })
            }
        },
        requestFriends: function(callback, userId) {
            this.gc.loadFriends(function(friends, error){
                var users = [];
                if (friends && friends.length) {
                    for (var i= 0; i< friends.length; ++i) {
                        users.push(fromGCPLayerToCocoonUser(friends[i]));
                    }
                }
                callback(users, error);
            });
        },
        requestScore: function(callback, params) {
            var query = {};
            var options = params || {};
            if (options.leaderboardID)
                query.category = options.leaderboardID;
            query.playerIDs = [options.userID || this.getLoggedInUser().userID];

            this.gc.loadScores(function(response, error) {
                var gcScore = null;
                if (options.userID && response && response.scores && response.scores.length)
                    gcScore = response.scores[0];
                else if (response && response.localPlayerScore)
                    gcScore = response.localPlayerScore;
                var loadedScore = gcScore ? new CocoonJS.Social.Score(gcScore.playerID, gcScore.value, "","", gcScore.category) : null;
                callback(loadedScore,error);
            }, query);
        },

        submitScore: function(score, callback, params) {
            var options = params || {};
            this.gc.submitScore({value:score, category:options.leaderboardID || ""}, function(error){
                if (callback)
                    callback(error);
            });
        },

        showLeaderboard : function(callback, params) {
            var options = params || {};
            this.gc.showLeaderboards(function(error){
                if (callback)
                    callback(error);
            }, {category:options.leaderboardID || ""});
        },
        //internal utility function
        prepareAchievements: function(reload, callback) {

            if (!this._cachedAchievements || reload) {
                var me = this;
                this.gc.loadAchievementDescriptions(function(response, error){
                    if (error) {
                        callback([],error);
                    }
                    else {
                       var achievements = [];
                       if (response && response.length) {
                           for (var i = 0; i < response.length; i++) {
                               achievements.push(fromGCAchievementDescriptionToCocoonAchievement(response[i]))
                           }
                       }
                       me.setCachedAchievements(achievements);
                       callback(achievements, null);
                    }

                });
            }
            else {
                callback(this._cachedAchievements, null);
            }
        },

        requestAllAchievements : function(callback) {
            this.prepareAchievements(true, callback);
        },

        requestAchievements : function(callback, userID) {
            var me = this;
            this.prepareAchievements(false, function(allAchievements, error){
                if (error) {
                    callback([], error);
                    return;
                }
                me.gc.loadAchievements(function(response, error){
                    if (!error) {
                        var achievements = [];
                        if (response && response.length) {
                            for (var i = 0; i < response.length; i++) {
                                var ach = me.findAchievement(response[i].identifier);
                                if (ach)
                                    achievements.push(ach);
                            }
                        }
                        callback(achievements, null);
                    }
                    else {
                        callback([], response.error);
                    }

                });
            });
        },
        submitAchievement: function(achievementID, callback) {
            if (achievementID === null || typeof achievementID === 'undefined')
                throw "No achievementID specified";
            var achID = this.translateAchievementID(achievementID);
            this.gc.submitAchievements([{identifier:achID, percentComplete:100}], callback);
        },
        resetAchievements : function(callback) {
            this.gc.resetAchievements(callback);
        },
        showAchievements : function(callback) {
            this.gc.showAchievements(function(error){
                if (callback)
                    callback(error);
            });
        }
    }

    CocoonJS.extend(CocoonJS.Social.SocialGamingServiceGameCenter, CocoonJS.Social.SocialGamingService);

    /**
     * @ignore
     */
    function fromGCPLayerToCocoonUser(player){
        return new CocoonJS.Social.User(player.playerID, player.alias);
    }
    /**
     * @ignore
     */
    function fromGCAchievementDescriptionToCocoonAchievement(ach) {
        return new CocoonJS.Social.Achievement(ach.identifier,ach.title, ach.achievedDescription,"", ach.maximumPoints);
    }
})();
;(function() {

    // The CocoonJS and CocoonJS.Social must exist before creating the extension.
    if (!window.CocoonJS) throw("The CocoonJS object must exist and be valid before creating the extension types.");
    if (!window.CocoonJS.Social) throw("The CocoonJS.Social object must exist and be valid before creating the extension types.");

    /**
     * @class
     * @constructor
     * Represents a type that mimics the original Google Play Games API with the addition of the possibility to
     * retrieve an abstract high level interface API to handle a SocialGamingService (APIs defined by Ludei).
     * Original Google Play Games API: https://developers.google.com/api-client-library/javascript/referencedocs/
     */
    CocoonJS.Social.GooglePlayGamesExtension = function (){
        this.nativeExtensionName = "IDTK_SRV_GOOGLE_PLAY_GAMES";
        this.extensionName = "Social.GooglePlayGames";
        this.nativeExtensionObjectAvailable =  CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[this.nativeExtensionName] !== 'undefined';

        this.auth = new CocoonJS.Social.GooglePlayGamesAuthExtension(this);
        this.client = new CocoonJS.Social.GooglePlayGamesClientExtension(this);
        this.defaultScopes = ["https://www.googleapis.com/auth/games","https://www.googleapis.com/auth/plus.login"];
        this.gamesAPI = "/games/v1";
        this.plusAPI = "/plus/v1";

        this.onSessionChanged = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSessionChanged");

        CocoonJS.Social.GooglePlayGames = this; //the object it's being created but the addEventListener needs it now
        var me = this;
        this.onSessionChanged.addEventListener(function(session, error) {
            me.token = fromSessionToAuthTokenObject(session,error);
            if (session && session.access_token) {
                //fetch user data
                me.client.request({path: me.gamesAPI + "/players/me", callback: function(response) {
                    me.currentPlayer = response;
                }});
            }
        });

        return this;
    };

    CocoonJS.Social.GooglePlayGamesExtension.prototype = {

        token: null,
        settings: {},
        socialService: null,
        currentPlayer: null,
        initialized: false,

        auth: null,
        client: null,

        /**
         * Initializes the service and tries to restore the last session
         * @param {Object} params Initialization options
         * params.clientId {string} The application clientID. Omit if its already provided in the native application via cloud configuration.
         * params.defaultLeaderboard {string} The default leaderboard ID. You can omit it if you specify the leaderboardID in all the score queries or submits
         * params.showAchievementNotifications {boolean} Enable or disable the native view notifications when an achievement is unlocked.
         */
        init: function(params) {
            if (!params || typeof params !== 'object')
                throw "Invalid params argument";
            this.settings = params;
            this.initialized = true;
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "init", [this.settings.clientId], true);
            }
            else {

                var me = this;
                var initWebAPi = function() {
                    gapi.auth.authorize({immediate: true, scope: me.defaultScopes, client_id:me.settings.clientId},function(response) {
                        me.token = response;
                        if (response && response.access_token) {
                            me.onSessionChanged.notifyEventListeners(response);
                        }
                    })
                }

                if (!window.gapi) {
                    window.onGapiLoadCallback = function() {
                        //initialization timeout recommended by google to avoid some race conditions
                        window.setTimeout(initWebAPi, 1);
                    }
                    var script = document.createElement("script");
                    script.src = "https://apis.google.com/js/client.js?onload=onGapiLoadCallback";
                    document.getElementsByTagName('head')[0].appendChild(script);
                }
                else {
                    initWebAPi();
                }
            }
        },

        /**
         * Return a CocoonJS SocialGaming interface for the Google Play Games Extension
         * You can use the Google Play Games extension in two ways, with the official SDK API equivalent or with the CocoonJS Social API abstraction
         * @see CocoonJS.Social.SocialGamingService
         * @returns {CocoonJS.Social.SocialGamingService}
         */
        getSocialInterface: function() {

            if (!this.initialized) {
                throw "You must call init() before getting the Social Interface";
            }
            if (!this.socialService) {
                this.socialService = new CocoonJS.Social.SocialGamingServiceGooglePlayGames(this);
            }
            return this.socialService;
        },

        /**
         * Return a CocoonJS Multiplayer interface for the Game Center Extension
         * @returns {CocoonJS.Multiplayer.MultiplayerService}
         */
        getMultiplayerInterface: function() {
            return CocoonJS.Multiplayer.GooglePlayGames;
        },

        share: function() {


            window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;

        }

    };

    CocoonJS.Social.GooglePlayGamesAuthExtension = function(extension) {
        this.extension = extension;
        return this;
    }

    CocoonJS.Social.GooglePlayGamesAuthExtension.prototype = {
        /**
         * Initiates the OAuth 2.0 authorization process.
         * The browser displays a popup window prompting the user authenticate and authorize.
         * After the user authorizes, the popup closes and the callback function fires.
         * @param {object} A key/value map of parameters for the request (client_id, inmediate, response_type, scope)
         * @param {function} callback The function to call once the login process is complete. The function takes an OAuth 2.0 token object as its only parameter.
         */
        authorize: function(params, callback) {
            var me = this;
            if (this.extension.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.extension.nativeExtensionName, "authorize", [params, function(response, error) {
                    me.extension.token = fromSessionToAuthTokenObject(response,error);
                    if (callback) {
                        callback(me.extension.token);
                    }
                }], true);
            }
            else {
                gapi.auth.authorize(params, function(response){
                    me.extension.token = response;
                    me.extension.onSessionChanged.notifyEventListeners(response, response ? response.error : null);
                    if (callback)
                        callback(response);
                });
            }
        },

        /**
         * Log the user out of the application
         * @param callback
         */
        disconnect: function(callback) {

            if (this.extension.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.extension.nativeExtensionName, "disconnect", [callback], true);
            }
            else {
                //TODO
                if (callback)
                    callback({error: "Not implemented yet"});
            }
        },

        /**
         *  Initializes the authorization feature. Call this when the client loads to prevent popup blockers from blocking the auth window on gapi.auth.authorize calls.
         *  @param {Function} callback A callback to execute when the auth feature is ready to make authorization calls
         */
        init: function(callback) {

            if (this.extension.nativeExtensionObjectAvailable) {
                callback();
            }
            else {
                gapi.auth.init(callback);
            }
        },

        /**
         * Retrieves the OAuth 2.0 token for the application.
         */
        getToken: function() {
            if (this.extension.nativeExtensionObjectAvailable) {
                return this.extension.token;
            }
            else {
                return gapi.auth.getToken();
            }
        },
        /*
         * Retrieves the OAuth 2.0 token for the application.
         */
        setToken: function(token) {
            if (this.extension.nativeExtensionObjectAvailable) {
                this.extension.token = token;
            }
            else {
                gapi.auth.setToken(token);
            }
        }
    }


    CocoonJS.Social.GooglePlayGamesClientExtension = function(extension) {
        this.extension = extension;
        return this;
    }

    CocoonJS.Social.GooglePlayGamesClientExtension.prototype = {

        /**
         * Sets the API key for the application, which can be found in the Developer Console. Some APIs require this to be set in order to work.
         * @param apiKey The API key to set
         */
        setApiKey: function(apiKey) {
            if (this.extension.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.extension.nativeExtensionName, "setApiKey", [apiKey],true);
            }
            else {
                gapi.client.setApiKey(apiKey);
            }
        },

        /**
         * Creates a HTTP request for making RESTful requests.
         * @param {object} args (More info: https://developers.google.com/api-client-library/javascript/reference/referencedocs#gapiclientrequest)
         * @return {object} If no callback is supplied, a request object is returned. The request can then be executed using gapi.client.HttpRequest.execute(callback).
         */
        request: function(args) {
            if (this.extension.nativeExtensionObjectAvailable) {
                if (args.callback) {
                    CocoonJS.makeNativeExtensionObjectFunctionCall(this.extension.nativeExtensionName, "request", [args, function(response,error){
                        var result = response;
                        if (error) {
                            result = response || {};
                            result.error = error;
                        }
                        args.callback(result);
                    }],true);
                    return null;
                }
                else {
                    var me = this;
                    //return a function to mimic the HttpRequest class
                    var httpRequest =  {
                        execute: function(callback) {
                            CocoonJS.makeNativeExtensionObjectFunctionCall(me.extension.nativeExtensionName, "request", [args, function(response, error){
                                var result = response;
                                if (error) {
                                    result = response || {};
                                    result.error = error;
                                }
                                callback(result);
                            }],true);
                        }
                    };
                    return httpRequest;
                }
            }
            else {
                return gapi.client.request(args);
            }
        }
    }

    /**
     * @namespace
     * This is the global variable that enables access to the Google Play Games API mimic and the high level abstract API
     * to handle Social aspects, created by Ludei.
     * @see CocoonJS.Social.GooglePlayGamesExtension
     */
    CocoonJS.Social.GooglePlayGames = new CocoonJS.Social.GooglePlayGamesExtension();


    /**
     * @ignore
     */
    function fromSessionToAuthTokenObject(response, error) {
        var obj = response || {};
        return {
            access_token: response.access_token,
            state: response.state,
            error: error,
            expires_in: response.expirationDate ? response.expirationDate - Date.now() : 0,
            player_id: response.playerId
        }
    }


    CocoonJS.Social.SocialGamingServiceGooglePlayGames = function (apiObject) {
        CocoonJS.Social.SocialGamingServiceGooglePlayGames.superclass.constructor.call(this);
        this.gapi = apiObject;
        var me = this;

        this.gapi.onSessionChanged.addEventListener(function(session){
            var obj = session || {};
            me.onLoginStatusChanged.notifyEventListeners(!!obj.access_token, obj.error);
        });

        return this;
    }

    CocoonJS.Social.SocialGamingServiceGooglePlayGames.prototype =  {

        isLoggedIn: function() {
            return (this.gapi.token && this.gapi.token.access_token) ? true: false;
        },
        login : function(callback) {
            var me = this;
            this.gapi.auth.authorize({client_id:this.gapi.settings.clientId, scope: this.gapi.defaultScopes}, function(response) {
                if (callback) {
                    callback(me.isLoggedIn(),response.error);
                }
            });
        },
        logout: function(callback) {
            this.gapi.auth.disconnect(callback);
        },
        getLoggedInUser : function() {
            return this.gapi.currentPlayer ? fromGPUserToCocoonUser(this.gapi.currentPlayer) : null;
        },
        requestUser: function(callback, userId) {
            var playerId = userId || "me";
            this.gapi.client.request({path: this.gapi.gamesAPI + "/players/" + playerId, callback: function(response) {
                var user = response && !response.error ? fromGPPlayerToCocoonUser(response) : null;
                callback(user, response.error);
            }});
        },
        requestUserImage: function(callback, userID, imageSize) {
            this.requestUser(function(user, error){
                if (user && user.userImage) {
                    var pixelSize = fromImageSizeToGPSize(imageSize || CocoonJS.Social.ImageSize.MEDIUM);
                    if (user.userImage.indexOf("sz=") ===  -1) {
                        user.userImage+="?sz=" + pixelSize;
                    }
                    else {
                        user.userImage = user.userImage.replace(/sz=\d+/g,"sz=" + pixelSize);
                    }
                }
                callback(user ? user.userImage : null, error);
            }, userID);

        },
        requestFriends: function(callback, userId) {
            var params = { orderBy: "best"};
            var playerId = userId || "me";
            this.gapi.client.request({path: this.gapi.plusAPI + "/people/" + playerId + "/people/visible", params: params, callback: function(response) {
                if (response && !response.error) {
                    var friends = [];
                    for (var i = 0; i< response.items.length; ++i) {
                        friends.push(fromGPPersonToCocoonUser(response.items[i]));
                    }
                    callback(friends);
                }
                else {
                    callback([], response ? response.error : null);
                }
            }});
        },

        publishMessage: function(message, callback) {
            if (callback)
                callback("Not supported... use publishMessageWithDialog method instead");
        },

        publishMessageWithDialog: function(message, callback) {

            if (this.gapi.nativeExtensionObjectAvailable) {
                var params = {
                    prefilledText: message.message,
                    mediaUrl: message.mediaURL,
                    mediaTitle: message.linkCaption,
                    mediaDescription: message.linkText,
                    url: message.linkURL
                }

                CocoonJS.makeNativeExtensionObjectFunctionCall(this.gapi.nativeExtensionName, "shareMessage", [params, callback], true)
            }
            else {

                var me = this;
                var share = function() {
                    var options = {
                        contenturl: 'https://plus.google.com/pages/',
                        contentdeeplinkid: '/pages',
                        clientid: me.gapi.settings.clientId,
                        cookiepolicy: 'single_host_origin',
                        prefilltext: message.message,
                        calltoactionlabel: 'CREATE',
                        calltoactionurl: 'http://plus.google.com/pages/create',
                        calltoactiondeeplinkid: '/pages/create'
                    };

                    gapi.interactivepost.render('sharePost', options);
                }

                if (!gapi.interactivepost) {
                    var script = document.createElement('script'); script.type = 'text/javascript'; script.async = true;
                    script.src = 'https://apis.google.com/js/plusone.js';
                    script.onload = function() {
                        share();
                    }
                    document.getElementsByTagName('head')[0].appendChild(script);
                }
                else {
                    share();
                }
            }
        },

        requestScore: function(callback, params) {
            params = params || {};
            var playerId = params.userID || "me";
            var leaderboardID = params.leaderboardID || this.gapi.settings.defaultLeaderboard;
            if (!leaderboardID)
                throw "leaderboardID not provided in the params. You can also set the default leaderboard in the init method";

            this.gapi.client.request({path: this.gapi.gamesAPI + "/players/" + playerId + "/leaderboards/" + leaderboardID + "/scores/ALL_TIME", callback: function(response) {
                if (response && response.error) {
                    callback(null, response.error)
                }
                else if (response && response.items && response.items.length > 0) {
                    var item = response.items[0];
                    var data = new CocoonJS.Social.Score(playerId, item.scoreValue,"","", item.leaderboard_id);
                    callback(data, null);
                }
                else {
                    //No score has been submitted yet for the user
                    callback(null,null);
                }
            }});

        },

        submitScore: function(score, callback, params) {
            params = params || {};
            var leaderboardID = params.leaderboardID || this.gapi.settings.defaultLeaderboard;
            if (!leaderboardID)
                throw "leaderboardID not provided in the params. You can also set the default leaderboard in the init method";


            this.gapi.client.request({path: this.gapi.gamesAPI + "/leaderboards/" + leaderboardID + "/scores",
                                      method: "POST", params:{score: score}, callback: function(response) {
                    if (callback) {
                        callback(response ? response.error : null);
                    }
            }});

        },

        showLeaderboard : function(callback, params) {
            params = params || {};
            var leaderboardID = params.leaderboardID || this.gapi.settings.defaultLeaderboard;
            if (!leaderboardID)
                throw "leaderboardID not provided in the params. You can also set the default leaderboard in the init method";

            var ios = /(iPad|iPhone|iPod)/ig.test( navigator.userAgent );
            if (!ios && this.gapi.nativeExtensionObjectAvailable) {
                var timeScope = params.timeScope || 0;
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.gapi.nativeExtensionName, "showLeaderboard", [leaderboardID, timeScope, callback], true);
            }
            else {
                if (!this._leaderboardsTemplate)
                    throw "Please, provide a html template for leaderboards with the setTemplates method";
                var dialog = new CocoonJS.App.WebDialog();
                var callbackSent = false;
                dialog.show(this._leaderboardsTemplate, function(error) {
                    dialog.closed = true;
                    if (!callbackSent && callback)
                        callback(error);
                });
                var me = this;
                var collection = params.friends ? "SOCIAL" : "PUBLIC";
                var timeSpan = "ALL_TIME";
                if (params.timeScope === CocoonJS.Social.TimeScope.WEEK) {
                    timeSpan = "WEEKLY";
                }
                else if (params.timeScope === CocoonJS.Social.TimeScope.TODAY) {
                    timeSpan = "DAILY";
                }
                this.gapi.client.request({path: this.gapi.gamesAPI + "/leaderboards/" + leaderboardID + "/window/" + collection,
                    method: "GET", params:{timeSpan: timeSpan}, callback: function(response) {
                        if (dialog.closed)
                            return;
                        if (response.error) {
                            if (callback) {
                                callbackSent = true;
                                callback(response.error);
                                dialog.close();
                            }
                            return;
                        }
                        var scores = [];
                        var items = [];
                        if (response && response.items) {
                            items = response.items.slice(0);
                        }
                        if (response && response.playerScore) {
                            items.push(response.playerScore);
                        }
                        for (var i = 0; i< items.length; ++i) {
                            var item = items[i];
                            var score = fromGPScoreToCocoonScore(item, leaderboardID);
                            score.imageURL+="?sz=50";
                            score.position = item.scoreRank || i + 1;
                            score.me = false;
                            scores.push(score);
                        }
                        var js = "addScores(" + JSON.stringify(scores) + ")";
                        dialog.eval(js);
                    }});
            }
        },

        //internal utility function
        prepareAchievements: function(reload, callback) {
            if (!this._cachedAchievements || reload) {
                var me = this;
                this.gapi.client.request({path: this.gapi.gamesAPI + "/achievements", callback: function(response) {
                    if (response && !response.error) {
                        var achievements = [];
                        if (response && response.items) {
                            for (var i = 0; i < response.items.length; i++) {
                                achievements.push(fromGPAchievementToCocoonAchievement(response.items[i]))
                            }
                        }
                        me.setCachedAchievements(achievements);
                        callback(achievements, null);
                    }
                    else {
                        callback([], response ? response.error : null);
                    }
                }});
            }
            else {
                callback(this._cachedAchievements, null);
            }
        },

        requestAllAchievements : function(callback) {
            this.prepareAchievements(true, callback);
        },

        requestAchievements : function(callback, userID) {
            var me = this;
            this.prepareAchievements(false, function(allAchievements, error){
                if (error) {
                    callback([], error);
                    return;
                }
                var playerID = userID || "me";
                me.gapi.client.request({path: me.gapi.gamesAPI + "/players/" + playerID + "/achievements",
                                        params: {state: "UNLOCKED"}, callback: function(response) {
                    if (response && !response.error) {
                        var achievements = [];
                        if (response.items) {
                            for (var i = 0; i < response.items.length; i++) {
                                var ach = me.findAchievement(response.items[i].id);
                                if (ach)
                                    achievements.push(ach);
                            }
                        }
                        callback(achievements, null);
                    }
                    else {
                        callback([], response ? response.error : null);
                    }
                }});

            });
        },
        submitAchievement: function(achievementID, callback) {
            if (achievementID === null || typeof achievementID === 'undefined')
                throw "No achievementID specified";
            var achID = this.translateAchievementID(achievementID);
            if (this.gapi.nativeExtensionObjectAvailable) {
                //native API allows to show a native notification view. (REST API doesn't)
                var showNotification = !!this.gapi.settings.showAchievementNotifications;
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.gapi.nativeExtensionName, "unlockAchievement", [achID, showNotification, callback], true);
            }
            else {
                //REST api
                this.gapi.client.request({path: this.gapi.gamesAPI + "/achievements/" + achID + "/unlock",
                    method: "POST", callback: function(response) {
                        if (callback) {
                            callback(response ? response.error : null);
                        }
                    }});
            }
        },
        resetAchievements : function(callback) {
            this.gapi.client.request({path: "/games/v1management/achievements/reset",
                method: "POST", callback: function(response) {
                    if (callback) {
                        callback(response ? response.error : null);
                    }
                }});
        },
        showAchievements : function(callback) {
            var ios = /(iPad|iPhone|iPod)/ig.test( navigator.userAgent );
            if (!ios && this.gapi.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.gapi.nativeExtensionName, "showAchievements", [callback], true);
            }
            else {
                CocoonJS.Social.SocialGamingServiceGooglePlayGames.superclass.showAchievements.call(this);
            }
        }
    }

    CocoonJS.extend(CocoonJS.Social.SocialGamingServiceGooglePlayGames, CocoonJS.Social.SocialGamingService);


    /**
     *@ignore
     */
    function fromGPPlayerToCocoonUser (gpPlayer) {
        return new CocoonJS.Social.User (gpPlayer.playerId, gpPlayer.displayName, gpPlayer.avatarImageUrl);
    }
    /**
     *@ignore
     */
    function fromGPPersonToCocoonUser (gpUser) {
        var avatar = gpUser.image ? gpUser.image.url : "";
        avatar = avatar.replace(/sz=\d+/g,"sz=100");
        return new CocoonJS.Social.User (gpUser.id, gpUser.displayName, avatar);
    }
    /**
     *@ignore
     */
    function fromImageSizeToGPSize (imageSize) {
        if (imageSize === CocoonJS.Social.ImageSize.THUMB) {
            return 100;
        }
        else if (imageSize === CocoonJS.Social.ImageSize.MEDIUM) {
            return 200;
        }
        else if (imageSize === CocoonJS.Social.ImageSize.LARGE) {
            return 512;
        }
    }
    /**
     *@ignore
     */
    function fromGPAchievementToCocoonAchievement(gpItem) {
        var result = new CocoonJS.Social.Achievement (
            gpItem.id,
            gpItem.name,
            gpItem.description,
            gpItem.revealedIconUrl,
            0
        );
        result.gpAchievementData = gpItem;
        return result;
    }
    /**
     *@ignore
     */
    function fromGPScoreToCocoonScore(gpItem, leaderboardID) {
        return new CocoonJS.Social.Score(gpItem.player.playerId, gpItem.scoreValue, gpItem.player.displayName, gpItem.player.avatarImageUrl, leaderboardID);
    }

})();
;(function() {

    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (typeof window.CocoonJS.Social === 'undefined' || window.CocoonJS === null) throw("The CocoonJS.Social object must exist and be valid before creating a Social Manager extension object.");

    CocoonJS.Social.ManagerService = function() {
       this.services = [];
    }

    CocoonJS.Social.ManagerService.prototype = {

        services:null,

        registerSocialService : function(service) {
            this.services.push(service);
        },

        submitAchievement : function(achievementID) {
            for (var i = 0; i < this.services.length; ++i) {
                var service = this.services[i];
                if (!service.readOnlyHint && service.isLoggedIn())  {
                    service.submitAchievement(achievementID, function(error) {
                        if (error)
                            console.error("Error submitting achievement: " + error.message);
                    });
                }
            }
        },

        submitScore : function(score, params) {
            for (var i = 0; i < this.services.length; ++i) {
                var service = this.services[i];
                if (!service.readOnlyHint && service.isLoggedIn())  {
                    service.submitScore(score, function(error) {
                        if (error)
                            console.error("Error submitting score: " + error.message);
                    }, params);
                }
            }
        },

        getLoggedInServices : function() {
            var result= [];

            for (var i = 0; i < this.services.length; ++i) {
                var service = this.services[i];
                if (!service.fakeSocialService &&  service.isLoggedIn())  {
                    result.push(service);
                }
            }
            return result;
        },

        isLoggedInAnySocialService : function() {
            return this.getLoggedInServices().length > 0;
        }
    }

    CocoonJS.Social.Manager = new CocoonJS.Social.ManagerService();

})();;(function() {

    // The CocoonJS and CocoonJS.Social must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating the extension types.");
    if (typeof window.CocoonJS.Social === 'undefined' || window.CocoonJS.Social === null) throw("The CocoonJS.Social object must exist and be valid before creating the extension types.");

    /** 
     * @class
     * @constructor 
     * Represents a type that mimics the original Facebook API with the addition of the possibility to
     * retrieve an abstract high level interface API to handle a SocialGamingService (APIs defined by Ludei).
     */
    CocoonJS.Social.FacebookExtension = function (){
        this.nativeExtensionName = "IDTK_SRV_FACEBOOK";
        this.extensionName = "Social.Facebook";
        this.nativeExtensionObjectAvailable =  CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[this.nativeExtensionName] !== 'undefined';
        this.Event = new CocoonJS.Social.FacebookEvent(this.nativeExtensionObjectAvailable);

        var me = this;
        if (this.nativeExtensionObjectAvailable) {

            this.onFacebookSessionStateChanged = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onFacebookSessionStateChanged");

            CocoonJS.Social.Facebook = this; //the object it's being created but the addEventListener needs it now
            this.onFacebookSessionStateChanged.addEventListener(function(session, error) {
                var data = fromCocoonFBSessionToFBAPISession(session,error);
                if (session.state == 0) {
                    me.Event.notify("auth.login", data);
                }
                me.Event.notify("auth.authResponseChange", data);
                me.Event.notify("auth.statusChange", data);
            });
        }
        return this;
    };

    CocoonJS.Social.FacebookExtension.prototype = {

        _currentSession: null,
        _appId: null,
        _socialService: null,

        /**
         * Initialize the SDK with your app ID. This will let you make calls against the Facebook API. All FB.API methods must be called after FB.init.
         * @param {object} options. Check available options here: https://developers.facebook.com/docs/reference/javascript/FB.init/
         */
        init: function(options) {
            if (!options || !options.appId) {
                throw "appId must be specified!";
            }

            this._appId = options.appId;

            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "init", [options], true);
            }
            else {
                FB.init(options);
            }

            var me = this;
            this.Event.subscribe("auth.authResponseChange", function(session) {
                me._currentSession = session;
                if (session.authResponse && !session.authResponse.user){
                    me.api("me?fields=username", function(response) {
                        me._currentSession.authResponse.user = response;
                    });
                }
            });
        },

        /**
         * Return a CocoonJS SocialGaming interface for the Facebook Extension
         * You can use the Facebook extension in two ways, with the official SDK API equivalent or with the CocoonJS Social API abstraction
         * @see CocoonJS.Social.SocialGamingService
         * @returns {CocoonJS.Social.SocialGamingService}
         */
        getSocialInterface: function() {

            if (!this._appId) {
                throw "You must call init() before getting the Social Interface";
            }
            if (!this._socialService) {
                this._socialService = new CocoonJS.Social.SocialGamingServiceFacebook(this);
            }
            return this._socialService;
        },

        /**
         * Authenticate the user
         * By default, calling login will attempt to authenticate the user with only the basic permissions.
         * If you want one or more additional permissions, call login with an option object,
         * and set the scope parameter with a comma-separated list of the permissions you wish to request from the user
         * @param {object} login options
         * @params {function} callback The callback function with received session data or error.
         */
        login: function(callback, options) {
            var me = this;
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "login", [options, function(response, error) {
                    me._currentSession = fromCocoonFBSessionToFBAPISession(response,error);
                    if (callback) {
                        callback(me._currentSession);
                    }

                }], true);
            }
            else {
                FB.login(function(response){
                    me._currentSession = response;
                    if (callback)
                        callback(response);
                }, options);
            }

        },

        /**
         * Log the user out of your application
         * You will need to have a valid access token for the user in order to call the function.
         * @param {function} callback called when the user is logged out
         */
        logout: function(callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "logout", [function(response, error) {
                    if (callback) {
                        callback(fromCocoonFBSessionToFBAPISession(response, error));
                    }

                }],true);
            }
            else {
                FB.logout(function(response){
                    if (callback) {
                        callback(response);
                    }
                });
            }

        },

        /**
         * Synchronous accessor for the current authResponse
         * @returns {object} current Facebook session data
         */
        getAuthResponse: function() {

            if (this.nativeExtensionObjectAvailable) {
                var response = CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getFacebookSession", []);
                return fromCocoonFBSessionToFBAPISession(response);
            }
            else {
                return FB.getAuthResponse();
            }

        },

        /**
         * Allows you to determine if a user is logged in to Facebook and has authenticated your app.
         * There are three possible states for a user:
         * 1. the user is logged into Facebook and has authenticated your application (connected)
         * 2. the user is logged into Facebook but has not authenticated your application (not_authorized)
         * 3. the user is not logged into Facebook at this time and so we don't know if they've authenticated your application or not
         * @param {function} callback The callback function.
         * @param {boolean} force Force reloading the login status (default false).
         */
        getLoginStatus: function(callback, force) {
            if (this.nativeExtensionObjectAvailable) {

                var me = this;
                setTimeout(function(){
                    var response = CocoonJS.makeNativeExtensionObjectFunctionCall(me.nativeExtensionName, "getFacebookSession", []);
                    if (callback) {
                        callback(fromCocoonFBSessionToFBAPISession(response));
                    }

                },50);
            }
            else {
                FB.getLoginStatus(callback, force);
            }

        },
        /**
         * Makes API calls to the Graph API.
         * @param path The Graph API url path
         * @param method the http method (default "GET")
         * @param params the parameters for the query
         * @param cb the callback function to handle the response
         */
        api: function(path, method, params, cb ) {

            if (this.nativeExtensionObjectAvailable) {
                var openGraph = arguments[0];
                var httpMethod = arguments.length > 3 ? arguments[1] : "GET";
                var options = null;
                if (arguments.length == 3) options = arguments[1];
                if (arguments.length == 4) options = arguments[2];
                var callback = arguments.length > 1 ? arguments[arguments.length -1 ] : function(){};

                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "api", [openGraph, httpMethod, options, callback], true);
            }
            else {
                FB.api(path,method,params,cb);
            }
        },

        /**
         * A generic method for triggering Dialogs which allow the user to take some action.
         * @param params The required arguments vary based on the method being used, but specifying the method itself is mandatory
         * @param cb Callback function to handle the result. Not all methods may have a response.
         */
        ui: function(params, cb) {

            if (this.nativeExtensionObjectAvailable){
                var params = arguments[0];
                var callback = arguments.length > 1 ? arguments[1]: function(){};

                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "ui", [params, callback], true);
            }
            else if (!navigator.isCocoonJS)
            {
                FB.ui(params,cb);
            }
        },

        /**
         * @param {string} permissionsType "read" or "publish"
         * @param permissions comma separated Facebook permission names
         * @param callback response authResponse callback
         */

        requestAdditionalPermissions: function(permissionsType, permissions, callback) {
            if (this.nativeExtensionObjectAvailable) {

                var permsArray = permissions.split(',');
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAdditionalPermissions", [permissionsType, permsArray, function(session, error){
                    if (callback) {
                        callback(fromCocoonFBSessionToFBAPISession(session,error));
                    }
                }], true);
            }
            else {
                FB.login(callback, {scope:permissions});
            }
        },

        /**
         * Query the current user facebook permissions
         * @param callback Handler function which receives a dictionary with the granted permissions
         */
        getPermissions: function(callback) {
            this.api('me/permissions', function(response) {
                callback(response.data && response.data[0] ? response.data[0] : {});
            });
        },

        /**
         * Presents a dialog in the Facebook application that allows the user to share a status update
         * If the Facebook Application is not available it does a fallback to a feed dialog
         * No publish permissions are required.
         * @param params Dialog params (description, caption, name, link, picture)
         * @param callback Handler with response data or error
         */
        showShareDialog: function(params, callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showShareDialog", [params, callback], true);
            }
            else {
                params.method = "feed";
                FB.ui(params, callback);
            }
        },

        /**
         * Upload a local image file to Facebook and get response
         * @param file The local file url to submit to Facebook (For example the one capture with screenCapture API)
         * @param callback Handler to process response with the photoid and other data or the error
         */
        uploadPhoto: function(file, callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "uploadPhoto", [file, callback], true);
            }
            else {
                //TODO
                callback({error: {message: "Not implemented"}});
            }
        },

        /**
         * Shows a native UI component that can be used to pick friends.
         * @param callback Handlerv function. The response contains the boolen 'donePressed' value and an array of selected users in the 'selection' property.
         */
        showFriendPicker: function(callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showFriendPicker", [callback], true);
            }
            else {
                //TODO
                callback({error: {message: "Not implemented"}});
            }
        }

    };

    /**
     * @class
     * @constructor
     */
    CocoonJS.Social.FacebookEvent = function(nativeAvailable ) {
        this.nativeExtensionObjectAvailable = nativeAvailable;
        return this;
    }

    CocoonJS.Social.FacebookEvent.prototype = {
        /**
         * Global Events to which you can subscribe:
         * auth.login - fired when the auth status changes from unknown to connected
         * auth.authResponseChange - fired when the authResponse changes
         * auth.statusChange - fired when the status changes
         * @param name Name of the event
         * @param callback The handler function
         */
        subscribe: function(name, callback){
            if (this.nativeExtensionObjectAvailable)
            {
                var eventKey = name + 'listeners';
                this[eventKey] = this[eventKey] || [];
                this[eventKey].push(callback);
            }
            else if (!navigator.isCocoonJS)
            {
                FB.Event.subscribe(name,callback);
            }
        },
        /**
         * Removes handlers on events so that it no longer invokes your callback when the event fires.
         * @param name Name of the event.
         * @param callback The handler function.
         */
        unsubscribe: function(name, callback) {
            if (this.nativeExtensionObjectAvailable)
            {
                var eventKey = name + 'listeners';
                var array = this[eventKey];
                if (array) {
                    var index = array.indexOf(callback);
                    if (index !== -1) {
                        array.splice(index,1);
                    }
                }
            }
            else if (!navigator.isCocoonJS)
            {
                FB.Event.unsubscribe(name,callback);
            }
        },

        /**
         * @ignore
         */
        notify: function(name, param) {
            var eventKey = name + 'listeners';
            var array = this[eventKey];
            if (array) {
                for (var i = 0; i< array.length; ++i) {
                    array[i](param);
                }
            }

        }
    };

    /**
     * @namespace 
     * This is the global variable that enables access to the Facebook API mimic and the high level abstract API
     * to handle Social aspects, created by Ludei.
     * @see CocoonJS.Social.FacebookExtension
     */
    CocoonJS.Social.Facebook = new CocoonJS.Social.FacebookExtension();

    /**
     * @ignore
     */
    function fromCocoonFBStatusToFBAPIState(state) {
        if (state === 0) {
            return "connected";
        }
        else if (state === 1) {
            return "not_authorized";
        }
        else {
            return "unknown";
        }
    }

    /**
     * @ignore
     */
    function fromCocoonFBSessionToFBAPISession(response, error) {

        var authResponse = null;
        if (response.state === 0) {
            authResponse = {
                accessToken: response.accessToken,
                expirationDate: response.expirationDate,
                userID: response.user ? response.userID : null,
                permissions: response.permissions,
                user: response.user
            }
        }

        return {
            status: fromCocoonFBStatusToFBAPIState(response.state),
            authResponse: authResponse,
            error: error
        }

    }

    CocoonJS.Social.SocialGamingServiceFacebook = function (fbExtension) {
        CocoonJS.Social.SocialGamingServiceFacebook.superclass.constructor.call(this);
        this.fb = fbExtension;
        var me = this;
        this.fb.Event.subscribe("auth.authResponseChange", function(session) {
            me.onLoginStatusChanged.notifyEventListeners(session.status == "connected", session.error);
        });
        return this;
    }

    CocoonJS.Social.SocialGamingServiceFacebook.prototype =  {

        currentPermissions: null,

        isLoggedIn: function() {
            return this.fb._currentSession && this.fb._currentSession.status === "connected";
        },
        login : function(callback) {
            var me = this;
            this.fb.login(function(response){
                if (callback)
                    callback(me.isLoggedIn(), response.error);
            });
        },
        logout: function(callback) {
            this.fb.logout(function(response){
                if (callback)
                    callback(response.error);
            });
        },
        getLoggedInUser : function() {
            var authResponse = this.fb._currentSession ? this.fb._currentSession.authResponse : null;
            if (authResponse && authResponse.user) {
                return fromFBUserToCocoonUser(authResponse.user);
            }
            else if (authResponse && authResponse.userID) {
                return new CocoonJS.Social.User(authResponse.userID, "Loading...");
            }
            return null;
        },
        hasPublishPermissions: function(callback) {
            this.fb.getPermissions(function(perms, error){
               callback(perms.publish_actions, error);
            });
        },
        requestPublishPermissions: function(callback) {
            var me = this;
            this.fb.requestAdditionalPermissions("publish", "publish_actions", function(response){
                if (response.error)
                    callback(false, error);
                else {
                    me.hasPublishPermissions(function(granted, error){
                        callback(granted,error);
                    });
                }
            });
        },
        requestUser: function(calback, userId) {
            var apiCall = (userId || "me");
            this.fb.api(apiCall, function(response){
                var user = response.error ? null : fromFBUserToCocoonUser(response);
                calback(user, response.error);
            });
        },
        requestUserImage: function(callback, userID, imageSize) {
            if (!userID && this.isLoggedIn()) {
                userID = this.fb._currentSession.authResponse.userID;
            }
            var fbPictureSize = "small";
            if (imageSize === CocoonJS.Social.ImageSize.THUMB) {
                  fbPictureSize = "square"
            }
            else if (imageSize === CocoonJS.Social.ImageSize.MEDIUM) {
                fbPictureSize = "normal";
            }
            else if (imageSize === CocoonJS.Social.ImageSize.LARGE) {
                fbPictureSize = "large";
            }
            var url = "https://graph.facebook.com/" + userID + "/picture?type=" + fbPictureSize;
            callback(url);
        },
        requestFriends: function(callback, userId) {
            var apiCall = (userId || "me") + "/friends";
            this.fb.api(apiCall, function(response){
                var friends = [];
                if (!response.error) {
                    for (var i=0; i<response.data.length; i++)
                    {
                        friends.push(fromFBUserToCocoonUser(response.data[i]));
                    }
                }
                callback(friends, response.error);
            });
        },

        //internal utility function
        preparePublishAction: function(callback) {
            if (!this.currentPermissions) {
                var me = this;
                this.fb.getPermissions(function(perms){
                    me.currentPermissions = perms;
                    if (perms)
                        me.preparePublishAction(callback);
                });
            }
            else if (this.currentPermissions.publish_actions) {
                callback(true);
            }
            else{
                this.currentPermissions = null;
                this.fb.requestAdditionalPermissions("publish", "publish_actions", function(response) {
                     callback(response.error ? false : true);
                });
            }

        },
        publishMessage: function(message, callback) {
            this.preparePublishAction(function(granted) {
                if (granted) {
                    var params = fromCocoonMessageToFBMessage(message);
                    var apiCall = "me/feed";
                    this.fb.api(apiCall, params, function(response) {
                        if (callback)
                            callback(response.error);
                    });
                }
                else {
                    if (callback)
                        callback({message: "No publish_actions permission granted"});
                }
            });
        },

        publishMessageWithDialog: function(message, callback) {
            this.fb.showShareDialog(fromCocoonMessageToFBMessage(message), function(response){
                 if (callback) {
                     callback(response.error);
                 }
            });
        },

        requestScore: function(callback, params) {
            var apiCall = ((params && params.userID) ? params.userID : "me") + "/scores";
            this.fb.api(apiCall, function(response) {
                if (response.error) {
                    callback(null, response.error)
                }
                else if (response.data && response.data.length > 0) {
                    var data = fromFBScoreToCocoonScore(response.data[0]);
                    callback(data, null);
                }
                else {
                    //No score has been submitted yet for the user
                    callback(null,null);
                }

            });
        },

        submitScore: function(score, callback, params) {
            var me = this;
            this.preparePublishAction(function(granted) {
                if (granted) {
                    me.requestScore(function(currentScore, error) {
                        if (error) {
                            //can't get the user top score. Don't send the new one because it might be worse than the top score
                            if (callback)
                                callback(error);
                           return;
                        }
                        var topScore = currentScore ? currentScore.score : 0;
                        if (score <= topScore) {
                            //don't submit the new score because a better score is already submitted
                            if (callback)
                                callback(null);
                            return;
                        }
                        var apiCall = "/" + ((params && params.userID) ? params.userID : "me") + "/scores";
                        me.fb.api(apiCall, 'POST', {score:score}, function (response) {
                             if (callback)
                                callback(response.error);
                        });
                    }, params)
                }
                else {
                    if (callback)
                        callback({message: "No publish_actions permission granted"});
                }

            })
        },

        showLeaderboard : function(callback, params) {
            if (!this._leaderboardsTemplate)
                throw "Please, provide a html template for leaderboards with the setTemplates method";
            var dialog = new CocoonJS.App.WebDialog();
            var callbackSent = false;
            dialog.show(this._leaderboardsTemplate, function(error) {
                dialog.closed = true;
                if (!callbackSent && callback)
                    callback(error);
            });
            var me = this;
            this.fb.api(me.fb._appId + "/scores", function(response) {
                if (dialog.closed)
                    return;
                if (response.error) {
                    if (callback) {
                        callbackSent = true;
                        callback(response.error);
                        dialog.close();
                    }
                    return;
                }
                var scores = [];
                if (response.data && response.data.length) {
                    for (var i = 0; i< response.data.length; ++i) {
                        var score = fromFBScoreToCocoonScore(response.data[i]);
                        score.position = i;
                        score.imageURL = "https://graph.facebook.com/" + score.userID + "/picture";
                        score.me = score.userID === me.fb._currentSession.authResponse.userID;
                        scores.push(score);
                    }
                }
                var js = "addScores(" + JSON.stringify(scores) + ")";
                dialog.eval(js);
            });
        },

        //internal utility function
        prepareAchievements: function(reload, callback) {

            if (!this._cachedAchievements || reload) {
                var me = this;
                this.fb.api(this.fb._appId + '/achievements', function(response) {
                    if (!response.error) {
                        var achievements = [];
                        if (response.data) {
                            for (var i = 0; i < response.data.length; i++) {
                                achievements.push(fromFBAchievementToCocoonAchievement(response.data[i]))
                            }
                        }
                        me.setCachedAchievements(achievements);
                        callback(achievements, null);
                    }
                    else {
                        callback([], response.error);
                    }
                });
            }
            else {
                callback(this._cachedAchievements, null);
            }
        },

        requestAllAchievements : function(callback) {
            this.prepareAchievements(true, callback);
        },

        requestAchievements : function(callback, userID) {
            var me = this;
            this.prepareAchievements(false, function(allAchievements, error){

                if (error) {
                    callback([], error);
                    return;
                }
                var apiCall = (userID || "me") + "/achievements";
                me.fb.api(apiCall, function(response) {
                    if (!response.error) {
                        var achievements = [];
                        if (response.data) {
                            for (var i = 0; i < response.data.length; i++) {
                                var ach = me.findAchievement((response.data[i].achievement || response.data[i].data.achievement).id);
                                if (ach)
                                    achievements.push(ach);
                            }
                        }
                        callback(achievements, null);
                    }
                    else {
                        callback([], response.error);
                    }
                });

            });
        },
        submitAchievement: function(achievementID, callback) {
            if (achievementID === null || typeof achievementID === 'undefined')
                throw "No achievementID specified";
            var achID = this.translateAchievementID(achievementID);
            var me = this;
            this.preparePublishAction(function(granted) {
                if (granted) {
                    me.fb.api("me/achievements", "POST", {achievement:achID}, function (response) {
                        if (callback) {
                            callback(response.error);
                        }
                    });
                }
                else {
                    if (callback)
                        callback({message: "No publish_actions permission granted"});
                }

            });
        },
        resetAchievements : function(callback) {
            var me = this;
            this.preparePublishAction(function(granted) {
                if (granted) {
                    me.requestAchievements(function(achievements, error){
                        if (error) {
                            if (callback)
                                callback(error);
                            return;
                        }
                        var someError = null;
                        var remaining = achievements.length;
                        for (var i = 0; i < achievements.length; ++i) {
                            me.fb.api("me/achievements", "DELETE", {achievement:achievements[i].fbAchievementData.url}, function (response) {
                                if (response.error) {
                                   someError = response.error;
                                }
                                remaining--;
                                if (remaining == 0 && callback) {
                                    callback(someError);
                                }
                            });
                        }

                    });
                }
                else {
                    if (callback)
                        callback({message: "No publish_actions permission granted"});
                }

            });
        },
        showAchievements : function(callback) {
            if (!this._achievementsTemplate)
                throw "Please, provide a html template for achievements with the setTemplates method";
            var dialog = new CocoonJS.App.WebDialog();
            var callbackSent = false;
            dialog.show(this._achievementsTemplate, function(error) {
                dialog.closed = true;
                if (!callbackSent && callback)
                    callback(error);
            });
            var me = this;
            this.requestAchievements(function(achievements, error){
                if (dialog.closed)
                    return;
                if (error) {
                    callbackSent = true;
                    if (callback)
                        callback(error);
                    return;
                }

                var achs = [];
                if (me._cachedAchievements) {
                    for (var i = 0; i < me._cachedAchievements.length; ++i) {
                        var ach = me._cachedAchievements[i];
                        achs.push(ach);
                        if (achievements && achievements.length) {
                            for (var j = 0; j< achievements.length; ++j) {
                                if (achievements[j].achievementID === ach.achievementID) {
                                    ach.achieved = true;
                                    break;
                                }
                            }
                        }
                    }
                }
                var js = "addAchievements(" + JSON.stringify(achs) + ");";
                dialog.eval(js);
            });
        }
    }

    CocoonJS.extend(CocoonJS.Social.SocialGamingServiceFacebook, CocoonJS.Social.SocialGamingService);

    /**
     *@ignore
     */
    function fromFBUserToCocoonUser (facebookUser) {
        return new CocoonJS.Social.User (facebookUser.id, facebookUser.username);
    }

    /**
     *@ignore
     */
    function fromCocoonMessageToFBMessage(message) {
        return {
            link: message.linkURL,
            description: message.message,
            name: message.linkText,
            caption: message.linkCaption,
            picture: message.mediaURL
        }
    }
    /**
     *@ignore
     */
    function fromFBScoreToCocoonScore(fbResponse, requestScoreParams) {
        var result = new CocoonJS.Social.Score(fbResponse.user.id, fbResponse.score, fbResponse.user.name);
        if (requestScoreParams) {
            result.leaderboardID = requestScoreParams.leaderboardID;
        }
        result.imageURL = 'https://graph.facebook.com/' + fbResponse.user.id + '/picture';
        return result;
    }
    /**
     *@ignore
     */
    function fromFBAchievementToCocoonAchievement(fbResponse) {
        var result = new CocoonJS.Social.Achievement (
            fbResponse.id,
            fbResponse.title,
            fbResponse.description,
            fbResponse.image[0].url,
            fbResponse.data.points
        );
        result.fbAchievementData = fbResponse;
        return result;
    }

    if (!navigator.isCocoonJS) {
        // Load the Facebook SDK
        var parent = document.getElementsByTagName('script')[0];
        var script = document.createElement('script');
        //script.async = true;
        var prot= location.protocol ? location.protocol : "http:"
        script.src = prot + "//connect.facebook.net/en_US/all.js";
        parent.parentNode.insertBefore(script, parent);
    }

})();;(function() {

    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (typeof window.CocoonJS.Social === 'undefined' || window.CocoonJS === null) throw("The CocoonJS.Social object must exist and be valid before creating a Social Local Storage extension object.");


    /**
     * @constructor
     */
    CocoonJS.Social.LocalStorageService = function() {
        CocoonJS.Social.LocalStorageService.superclass.constructor.call(this);
        this.fakeSocialService = true;
    }

    CocoonJS.Social.LocalStorageService.prototype = {

        loggedIn: false,
        keys: {
            score: "CocoonJS.Social.LocalStorageService.score",
            earnedAchievements: "CocoonJS.Social.LocalStorageService.earned"
        },
        isLoggedIn: function() {
            return this.loggedIn;
        },

        login : function(callback) {
            if (!this.loggedIn)
                this.onLoginStatusChanged.notifyEventListeners(true);
            this.loggedIn = true;
            if (callback)
                setTimeout(function(){callback(true)},0);
        },

        logout: function(callback) {
            if (this.loggedIn)
                this.onLoginStatusChanged.notifyEventListeners(true);
            this.loggedIn = false;

            if (callback)
                setTimeout(function(){callback()},0);
        },

        getLoggedInUser : function() {
            return new CocoonJS.Social.User("me", "LocalStorage");
        },

        requestUser: function(callback, userID) {
            var user = new CocoonJS.Social.User(userID || "me", "LocalStorage");
            if (callback)
                setTimeout(function(){callback(user)},0);
        },

        requestScore: function(callback, params) {
            var scoreItem = localStorage.getItem(this.keys.score);
            var score = parseInt(scoreItem) || 0;
            setTimeout(function(){callback(new CocoonJS.Social.Score("me", score))},0);
        },

        submitScore: function(score, callback, params ) {
            var scoreItem = localStorage.getItem(this.keys.score);
            var topScore = parseInt(scoreItem) || 0;
            if (score > topScore)
                localStorage.setItem(this.keys.score, score);
            if (callback)
                setTimeout(function(){callback()},0);
        },
        getLocalStorageEarnedAchievements: function() {
            var achievementsItem = localStorage.getItem(this.keys.earnedAchievements);
            var earned = [];
            if (achievementsItem) {
                var array = JSON.stringify(achievementsItem);
                if (array && array.length) {
                    earned = array;
                }
            }
            return earned;
        },
        requestAchievements : function(callback, userID) {
            var earned = this.getLocalStorageEarnedAchievements();
            setTimeout(function(){callback(earned)},0);
        },

        submitAchievement: function(achievementID, callback) {
            if (achievementID === null || typeof achievementID === 'undefined')
                throw "No achievementID specified";
            var earned = this.getLocalStorageEarnedAchievements();
            var exists = false;
            for (var i = 0; i< earned.length; ++i) {
               if (earned[i] === achievementID) {
                   exists = true;
                   break;
               }
            }
            if (!exists) {
                earned.push(achievementID);
                localStorage.setItem(this.keys.earnedAchievements, JSON.stringify(earned));
            }

            if (callback)
                setTimeout(function(){callback()},0);
        },
        resetAchievements : function(callback) {
            localStorage.removeItem(this.keys.earnedAchievements);
            if (callback)
                setTimeout(function(){callback()},0);
        }
    };

    CocoonJS.extend(CocoonJS.Social.LocalStorageService, CocoonJS.Social.SocialGamingService);

    CocoonJS.Social.LocalStorage = new CocoonJS.Social.LocalStorageService();

})();;(function() {

    // The CocoonJS must exist before creating the extension.
    if (!window.CocoonJS) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    CocoonJS.Multiplayer = {};

	/**
	* This type represents the access to a native Multiplayer extension API.
    * This service allows to programmatically create matches to invite other players and to receive match invitations sent by other players.
    * Your game must authenticate the related social service before you can use this service.
	* @class
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.Multiplayer.MultiplayerService = function(nativeExtensionName, extensionName)
	{
		if (typeof nativeExtensionName !== 'string') throw "The given native extension name '" + nativeExtensionName + "' is not a string.";
		if (typeof extensionName !== 'string') throw "The given extension name '" + nativeExtensionName + "' is not a string.";

		this.nativeExtensionName = nativeExtensionName;
		this.extensionName = extensionName;
	    this.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[nativeExtensionName] !== 'undefined';

        var me = this;

        /**
         * This {@link CocoonJS.EventHandler} object allows listening to events called when an invitation has been received from another player and the user has accepted it
         * The invitation will start loading.
         * While the invitation is loading a system view might appear on the screen.
         * You should pause/stop your current game and prepare it to process a new match
         * @memberOf CocoonJS.Multiplayer.MultiplayerService
         */
        this.onInvitationReceived = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onInvitationReceived");
        /**
         * This {@link CocoonJS.EventHandler} object allows listening to events called when an accepted invitation has been loaded
         * The invitation is ready to be processed (start the match or handle the error)
         * @memberOf CocoonJS.Multiplayer.MultiplayerService
         * Received params: {CocoonJS.Multiplayer.Match} and error
         */
        this.onInvitationLoaded = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onInvitationLoaded", function(sourceListener, args){
            var matchID = args[0];
            var error = args[1];
            if (matchID && !error) {
                me.currentMatch =  new CocoonJS.Multiplayer.Match(me.nativeExtensionName, me.extensionName, matchID);
                sourceListener(me.currentMatch, null)
            }
            else {
                sourceListener(null, error);
            }
        });



        return this;
	};


	CocoonJS.Multiplayer.MultiplayerService.prototype = {

        currentMatch: null,

        /**
         * Presents a system View for the matchmaking and creates a new Match
         * @param {CocoonJS.Multiplayer.MatchRequest} matchRequest The parameters for the match
         * @param {Function} callback The callback function. Response parameters: {CocoonJS.Multiplayer.Match} and error;
         */
        findMatch : function(matchRequest, callback)  {
            var me = this;
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "findMatch", [matchRequest, function(matchID,error) {
                    if (matchID && !error) {
                        me.currentMatch =  new CocoonJS.Multiplayer.Match(me.nativeExtensionName, me.extensionName, matchID);
                        callback(me.currentMatch, null)
                    }
                    else {
                        callback(null, error);
                    }
                }], true);
            }
        },

        /**
         * Sends an automatch request to join the authenticated user to a match. It doesn't present a system view while waiting to other players.
         * @param  {CocoonJS.Multiplayer.MatchRequest} matchRequest The parameters for the match
         * @param {Function} callback The callback function. Response parameters: {CocoonJS.Multiplayer.Match} and error;
         */
        findAutoMatch : function(matchRequest, callback) {
            var me = this;
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "findAutoMatch", [matchRequest, function(matchID, error){
                    if (matchID && !error) {
                        me.currentMatch =  new CocoonJS.Multiplayer.Match(me.nativeExtensionName, me.extensionName, matchID);
                        callback(me.currentMatch, null)
                    }
                    else {
                        callback(null, error);
                    }
                }], true);
            }
        },

        /**
         * Cancels the ongoing automatch request
         */
        cancelAutoMatch : function() {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "cancelAutoMatch", [], true);
            }
        },

        /**
         * Automatically adds players to an ongoing match owned by the user.
         * @param {CocoonJS.Multiplayer.MatchRequest} matchRequest The parameters for the match
         * @param {CocoonJS.Multiplayer.Match} matchRequest The match where new players will be added
         * @param {Function} callback The callback function. Response parameters: error
         */
        addPlayersToMatch : function(matchRequest, match, callback) {
            if (this.nativeExtensionObjectAvailable) {
                CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "addPlayersToMatch", [matchRequest, match.matchID, callback], true);
            }
        },
        /**
         * Get the current match reference.
         * @return {CocoonJS.Multiplayer.Match} the current match reference
         */
        getMatch : function() {
            return this.currentMatch;
        }
	};

	/**
	* This type provides a transmission network between a group of users.
	* The match might be returned before connections have been established between players. At this stage, all the players are in the process of connecting to each other.
	* Always check the getExpectedPlayerCount value before starting a match. When its value reaches zero, all expected players are connected, and your game can begin the match.
	* Do not forget to call the start method of the match when your game is ready to process received messages via onMatchDataReceived listener.
	* @class
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	* @param {number} matchID The match ID user for native service bridge.
	*/
	CocoonJS.Multiplayer.Match = function(nativeExtensionName, extensionName, matchID)
	{
		if (typeof nativeExtensionName !== 'string') throw "The given native extension name '" + nativeExtensionName + "' is not a string.";
		if (typeof extensionName !== 'string') throw "The given extension name '" + nativeExtensionName + "' is not a string.";

		this.nativeExtensionName = nativeExtensionName;
		this.extensionName = extensionName;
	    this.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[nativeExtensionName] !== 'undefined';
	    this.matchID = matchID;
	    var me = this;


	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a match receives data from the network
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnMatchDataReceivedListener}
	    * @memberOf CocoonJS.Multiplayer.Match
	    * @param {CocoonJS.Multiplayer.Match} match The source match.
	    * @param {string} data The received data
	    * @param {string} playerID The playerID where the data is received from.
	    */
	    this.onMatchDataReceived = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onMatchDataReceived", function(sourceListener, args) {
	    		if (me.matchID === args[0]) {
	    			sourceListener(me, args[1], args[2]);
	    		}
	    	});

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a player connection state changes.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnMatchStateChangedListener}
	    * @memberOf CocoonJS.Multiplayer.Match
	    * @param {CocoonJS.Multiplayer.Match} match The source match.
	    * @param {string} playerID The player whose state has changed
	    * @param {CocoonJS.Multiplayer.ConnectionState} The new connection state of the player
	    */
	    this.onMatchStateChanged = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onMatchStateChanged", function(sourceListener, args) {
	    		if (me.matchID === args[0]) {
	    			sourceListener(me, args[1], args[2]);
	    		}
	    	});

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a netowrk connection with a player fails
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnMatchConnectionWithPlayerFailedListener}
	    * @memberOf CocoonJS.Multiplayer.Match
	    * @param {CocoonJS.Multiplayer.Match} match The source match.
	    * @param {string} playerID The player whose state has changed
	    * @param {string} error The error message
	    */
	    this.onMatchConnectionWithPlayerFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onMatchConnectionWithPlayerFailed", function(sourceListener, args) {
	    		if (me.matchID === args[0]) {
	    			sourceListener(me, args[1], args[2]);
	    		}
	    	});

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the match fails
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnMatchFailedListener}
	    * @memberOf CocoonJS.Multiplayer.Match
	    * @param {CocoonJS.Multiplayer.Match} match The source match.
	    * @param {string} error The error message
	    */
	    this.onMatchFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onMatchFailed", function(sourceListener, args) {
	    		if (me.matchID === args[0]) {
	    			sourceListener(me, args[1]);
	    		}
	    	});
	};

	CocoonJS.Multiplayer.Match.prototype = {

		/**
		* Start processing received messages. The user must call this method when the game is ready to process messages. Messages received before being prepared are stored and processed later.
		* @see CocoonJS.Multiplayer.Match.onMatchDataReceived
		*/
		start : function() {
			if (this.nativeExtensionObjectAvailable) {
				CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "startMatch", [this.matchID], true);
			}
		},

		/**
		* Transmits data to all players connected to the match. The match queues the data and transmits it when the network becomes available.
		* @see CocoonJS.Multiplayer.Match.onMatchDataReceived
		* @see CocoonJS.Multiplayer.Match.onMatchStateChanged
		* @see CocoonJS.Multiplayer.Match.onMatchConnectionWithPlayerFailed
		* @see CocoonJS.Multiplayer.Match.onMatchFailed
		* @param {string} data The data to transmit
		* @param {CocoonJS.Multiplayer.SendDataMode} sendMode The optional {@link CocoonJS.Multiplayer.SendDataMode} value. The default value is RELIABLE.
		* @return {boolean} TRUE if the data was successfully queued for transmission; FALSE if the match was unable to queue the data
		*/
		sendDataToAllPlayers : function(data, sendMode) {
			if (this.nativeExtensionObjectAvailable) {
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "sendDataToAllPlayers", [this.matchID, data, sendMode]);
			}
		},

		/**
		* Transmits data to a list of connected players. The match queues the data and transmits it when the network becomes available.
		* @see CocoonJS.Multiplayer.Match.onMatchDataReceived
		* @see CocoonJS.Multiplayer.Match.onMatchStateChanged
		* @see CocoonJS.Multiplayer.Match.onMatchConnectionWithPlayerFailed
		* @see CocoonJS.Multiplayer.Match.onMatchFailed
		* @param {string} data The data to transmit
		* @param {array} playerIDs An array containing the identifier strings for the list of players who should receive the data
		* @param {CocoonJS.Multiplayer.SendDataMode} sendMode The optional {@link CocoonJS.Multiplayer.SendDataMode} value. The default value is RELIABLE.
		* @return {boolean} TRUE if the data was successfully queued for transmission; FALSE if the match was unable to queue the data
		*/
		sendData : function(data, playerIDs,  sendMode) {
			if (this.nativeExtensionObjectAvailable) {
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "sendData", [this.matchID, data, playerIDs, sendMode]);
			}
		},

		/**
		* Disconnects the local player from the match and releases the match. Calling disconnect notifies other players that you have left the match.
		* @see CocoonJS.Multiplayer.Match.onMatchDataReceived
		* @see CocoonJS.Multiplayer.Match.onMatchStateChanged
		* @see CocoonJS.Multiplayer.Match.onMatchConnectionWithPlayerFailed
		* @see CocoonJS.Multiplayer.Match.onMatchFailed
		*/
		disconnect : function() {
			if (this.nativeExtensionObjectAvailable) {
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "disconnect", [this.matchID], true);
			}
		},

		/**
		* Requests additional information of the current players in the match
        * @param {Function} callback The callback function. Response params: players array and error
		*/
		requestPlayersInfo : function(callback) {
			if (this.nativeExtensionObjectAvailable){
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestPlayersInfo", [this.matchID, callback], true);
			}
		},

		/**
		* Method to request the remaining players count who have not yet connected to the match.
		* @function
		* @return {number} The remaining number of players who have not yet connected to the match
		*/
		getExpectedPlayerCount : function() {
			if (this.nativeExtensionObjectAvailable) {
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getExpectedPlayerCount", [this.matchID]);
			}
		},
		/**
		* This method returns an array with all the player identifiers taking part in the match.
		* @return {array} The player identifiers for the players in the match
		*/
		getPlayerIDs : function() {
			if (this.nativeExtensionObjectAvailable){
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getPlayerIDs", [this.matchID]);
			}
		},

        /**
         * Gets the local playerID taking part in the match.
         * @return {string} the playerID attached to the match manager.
         */
        getLocalPlayerID : function() {
            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getLocalPlayerID", [this.matchID]);
            }
            return "";
        },

	};

	/**
	* This enum represents the modes to send data
	* @namespace
	* @enum
	*/
	CocoonJS.Multiplayer.SendDataMode =  {
		/**
		* The data is sent continuously until it is successfully received by the intended recipients or the connection times out
		*/
	    RELIABLE : 0,

		/**
		* The data is sent once and is not sent again if a transmission error occurs.
		*/
	    UNRELIABLE : 1
	};


	/**
	* This enum represents the connection state of a player
	* @namespace
	* @enum
	*/
	CocoonJS.Multiplayer.ConnectionState = {
		/**
		* The connection is in unknown state.
		*/
	    UNKNOWN : 0,

	    /**
		* The connection is in connected state.
		*/
	    CONNECTED : 1,

	    /**
		* The connection is in disconnected state.
		*/
	    DISCONNECTED : 2
	};

	/**
	* The data structure that represents the information of a player inside a multiplayer match.
	* @class
	* @constructor
	* @param {string} The id of the user.
	* @param {string} The name of the user.
	*/
	CocoonJS.Multiplayer.PlayerInfo = function(userID, userName) {
		/**
		* The id of the user.
		* @field
		* @type string
		*/
		this.userID = userID;

		/**
		* The name of the user.
		* @field
		* @type string
		*/
		this.userName = userName;
	};

	/**
	* This data structure is used to specify the parameters for a new new multiplayer match.
	* @class
	* @constructor
	* @param {number} minPlayers The minimum number of players that may join the match.
	* @param {number} maxPlayers The maximum number of players that may join the match.
	* @param {array}  [playersToInvite] Optional list of player identifers for players to invite to the match.
	* @param {number} [playerGroup] Optional number identifying a subset of players allowed to join the match.
	* @param {number} [playerAttributes] Optional mask that specifies the role that the local player would like to play in the game.
	*/
	CocoonJS.Multiplayer.MatchRequest = function(minPlayers, maxPlayers, playersToInvite, playerGroup, playerAttributes) {
		/**
		* The minimum number of players that may join the match.
		* @field
		* @type number
		*/
		this.minPlayers = minPlayers;

		/**
		* The maximum number of players that may join the match.
		* @field
		* @type number
		*/
		this.maxPlayers = maxPlayers;

		/**
		* Optional list of player identifers for players to invite to the match.
		* @field
		* @type Array
		*/
		this.playersToInvite = playersToInvite;

		/**
		* Optional number identifying a subset of players allowed to join the match.
		* @field
		* @type number
		*/
		this.playerGroup = playerGroup;

		/**
		* Optional mask that specifies the role that the local player would like to play in the game.
		* @field
		* @type number
		*/
		this.playerAttributes = playerAttributes;

		return this;
	};

})();;(function()
{
    // The CocoonJS must exist before creating the extension.
    if (!window) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (!window.CocoonJS.Multiplayer) throw("The CocoonJS.Multiplayer object must exist and be valid before creating a Game Center extension object.");

	/**
	* @namespace
	* This instance represents the extension object to access GameCenter Multiplayer API.
	* @see CocoonJS.Multiplayer.MultiplayerService
	*/
	CocoonJS.Multiplayer.GameCenter = new CocoonJS.Multiplayer.MultiplayerService("IDTK_SRV_MULTIPLAYER_GAMECENTER", "Multiplayer.GameCenter");
})();;(function()
{
    // The CocoonJS must exist before creating the extension.
    if (!window.CocoonJS) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (!window.CocoonJS.Multiplayer) throw("The CocoonJS.Multiplayer object must exist and be valid before creating a Multiplayer Loopback extension object.");


    var loopbackServices = [];
    var indexCounter = 0;
    var matchServices = [];
    var matchCounter = 0;

    /**
     * This service provides a loopback implementation of the {@link CocoonJS.Multiplayer.MultiplayerService}
     * @constructor
     */
    CocoonJS.Multiplayer.LoopbackService = function() {

        CocoonJS.Multiplayer.LoopbackService.superclass.constructor.call(this, "dummy","dummy");
        loopbackServices.push(this);
        this.playerID = "" + indexCounter;
        indexCounter++;

    }

    CocoonJS.Multiplayer.LoopbackService.prototype =  {

        findMatch : function(request, callback)  {

            this.findMatchCallback = callback;

            //checks if the service is already added to the match list
            var exists = false;
            for (var i = 0; i< matchServices.length; ++i) {
                if (matchServices[i] === this) {
                    exists = true; break;
                }
            }
            if (!exists)
                matchServices.push(this);

            //Create the match is all required players are ready
            //TODO: check more conditions (playerGroup, playerAttributes) to complete a match
            if (matchServices.length >= request.minPlayers) {
                var playerIDs = [];
                //create playerIDs array
                for (var i = 0; i< matchServices.length; ++i) {
                    playerIDs.push(matchServices[i].getPlayerID());
                }

                //notify the found match to each manager
                for (var i = 0; i< matchServices.length; ++i) {
                    var match = new LoopbackMatch(matchServices[i]);
                    match.playerIDs = playerIDs.slice();
                    matchServices[i].currentMatch = match;
                    matchServices[i].findMatchCallback(match, null);
                }
                //clear pending list
                matchServices = [];
            }


        },
        findAutoMatch : function(matchRequest, callback) {
            this.findMatch(matchRequest,callback);
        },
        cancelAutoMatch : function() {

        },

        addPlayersToMatch : function(matchRequest, match, callback) {
            callback({message:"Not implemmented"});
        },
        getPlayerID : function() {
            return this.playerID;
        },

        getMatch : function() {
            return this.currentMatch;
        }
    }

    CocoonJS.extend(CocoonJS.Multiplayer.LoopbackService, CocoonJS.Multiplayer.MultiplayerService);

    var LoopbackMatch = function(service) {
        matchCounter++;
        LoopbackMatch.superclass.constructor.call(this, "","",matchCounter);
        this.started = false;
        this.disconnected = false;
        this.pendingData = [];
        this.service = service;
    }

    LoopbackMatch.prototype = {

        start : function() {
            var me = this;
            setTimeout(function() {
                me.started = true;
                for (var i = 0; i < me.pendingData.length; ++i) {
                    me.onMatchDataReceived.notifyEventListeners(me.matchID,me.pendingData[i].data, me.pendingData[i].player);
                }

            },0);

        },
        sendDataToAllPlayers : function(data, sendMode) {
            this.sendData(data, this.playerIDs, sendMode);
        },

        sendData : function(data, playerIDs,  sendMode) {
            var me = this;
            setTimeout(function() {
                for (var i = 0; i< loopbackServices.length; ++i) {
                    var destService = null;
                    for (var j = 0; j < playerIDs.length; ++j) {
                        if (playerIDs[j] === loopbackServices[i].getPlayerID()) {
                            destService = loopbackServices[i];
                        }
                    }
                    if (destService) {
                        destService.getMatch().notifyDataReceived(data,me.service.getPlayerID());
                    }
                }
            },0);
        },

        disconnect : function() {
            this.disconnected = true;
            for (var i = 0; i < this.playerIDs.length; ++i) {
                var p = this.playerIDs[i];
                for (var j = 0; j < loopbackServices.length; ++j) {
                    if (loopbackServices[j].getPlayerID() === p) {
                        var match = loopbackServices[i].getMatch();
                        if (!match.disconnected) {
                            match.onMatchStateChanged.notifyEventListeners(match, this.service.getPlayerID(), CocoonJS.Multiplayer.ConnectionState.DISCONNECTED);
                        }
                    }
                }
            }
        },

        requestPlayersInfo : function(callback) {
            var me = this;
            setTimeout(function() {
               var playersInfo = [];
                for (var i = 0; i < me.playerIDs.length; ++i) {
                    playersInfo[i] = {userID: me.playerIDs[i], userName: "Player" + me.playerIDs[i]};
                };
                callback(playersInfo);
            },1);
        },

        getExpectedPlayerCount : function() {
            return 0;
        },
        getPlayerIDs : function() {
            return this.playerIDs;
        },
        getLocalPlayerID: function() {
            return this.service.playerID;
        },
        notifyDataReceived: function(data, fromPlayer) {
            if (!this.started) {
                this.pendingData.push({data:data, player:fromPlayer});
            }
            else {
                this.onMatchDataReceived.notifyEventListeners(this.matchID,data,fromPlayer);
            }
        }

    };

    CocoonJS.extend(LoopbackMatch, CocoonJS.Multiplayer.Match);

})();;(function()
{
    // The CocoonJS must exist before creating the extension.
    if (!window) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (!window.CocoonJS.Multiplayer) throw("The CocoonJS.Multiplayer object must exist and be valid before creating a Google Play Games extension object.");

    /**
     * @namespace
     * This instance represents the extension object to access Google Play Games Multiplayer API.
     * @see CocoonJS.Multiplayer.MultiplayerService
     */
    CocoonJS.Multiplayer.GooglePlayGames = new CocoonJS.Multiplayer.MultiplayerService("IDTK_SRV_MULTIPLAYER_GPG", "Multiplayer.GooglePlayGames");
})();
;(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS In-App Purchase extension.
    * @namespace
    */
    CocoonJS.Store = {};

    CocoonJS.Store.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_STORE !== 'undefined';

	/**
	* The data structure that represents the information of a product in the store.
	* @namespace
	* @constructor
	* @param {string} The id of the product.
	* @param {string} The alias of the product.
	* @param {CocoonJS.Store.ProductType} The product type @see CocoonJS.Store.ProductType.
	* @param {string} The title of the product.
	* @param {string} The description of the product.
	* @param {string} The localized price of the product.
	* @param {string} The URL of the asset to be downloaded for this purchase.
	*/
	CocoonJS.Store.ProductInfo = function(productAlias, productId, productType, title, description, price, localizedPrice, downloadURL)
	{
		/**
		* The id of the product.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The alias of the product.
		* @field
		* @type string
		*/
		this.productAlias = productAlias;

		/**
		* The product type @see CocoonJS.Store.ProductType
		* @field
		* @type CocoonJS.Store.ProductType
		*/
		this.productType = productType;

		/**
		* The title of the product.
		* @field
		* @type string
		*/
		this.title = title;

		/**
		* The description of the product.
		* @field
		* @type string
		*/
		this.description = description;

		/**
		* The price of the product.
		* @field
		* @type string
		*/
		this.price = price;

		/**
		* The localized price of the product.
		* @field
		* @type string
		*/
		this.localizedPrice = localizedPrice;

		/**
		* The URL of the asset to be downloaded for this purchase.
		* @field
		* @type string
		*/
		this.downloadURL = downloadURL;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.ProductType = 
	{
		/**
		* A consumable product. See platform documentation for further information.
		*/
	    CONSUMABLE : 0,

		/**
		* A non-cunsumable product. . See platform documentation for further information.
		*/
	    NON_CONSUMABLE : 1,

	    /**
		* An auto-renewable subscription. See platform documentation for further information.
		*/
	    AUTO_RENEWABLE_SUBSCRIPTION : 2,

	    /**
		* A free subscription. See platform documentation for further information.
		*/
	    FREE_SUBSCRIPTION : 3,

	    /**
		* A non-renewable subscription. See platform documentation for further information.
		*/
	    NON_RENEWABLE_SUBSCRIPTION : 4
	};

	/**
    * The predefined possible store types.
    * @namespace 
    */
	CocoonJS.Store.StoreType = 
	{
		/**
		* Apple AppStore
		*/
	    APP_STORE : 0,

	    /**
	    * Android Play Store
	    */
	    PLAY_STORE : 1,

		/**
		* Mock Store
		*/
		MOCK_STORE : 2,

		/**
	    * Amazon AppStore
	    */
	    CHROME_STORE : 3,

	    /**
	    * Amazon AppStore
	    */
	    AMAZON_STORE : 4,

	    /**
	    * Nook Store
	    */
	    NOOK_STORE : 5
	};

	/**
	* The data structure that represents the information of a purchase.
	* @namespace
	* @constructor
	* @param {string} The transaction id of a purchase.
	* @param {string} The time when the purchase was done in seconds since 1970.
	* @param {CocoonJS.Store.PurchaseState} The state of the purchase. @see CocoonJS.Store.PurchaseState
	* @param {string} The product id related to this purchase.
	* @param {number} The number of products of the productId kind purchased in this transaction.
	*/
	CocoonJS.Store.PurchaseInfo = function(transactionId, purchaseTime, purchaseState, productId, quantity)
	{
		/**
		* The transaction id of a purchase.
		* @field
		* @type string
		*/
		this.transactionId = transactionId;

		/**
		* The time when the purchase was done in seconds since 1970.
		* @field
		* @type string
		*/
		this.purchaseTime = purchaseTime;

		/**
		* The state of the purchase. @see CocoonJS.Store.PurchaseState
		* @field
		* @type CocoonJS.Store.PurchaseState
		*/
		this.purchaseState = purchaseState;

		/**
		* The product id related to this purchase.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The number of products of the productId kind purchased in this transaction.
		* @field
		* @type number
		*/
		this.quantity = quantity;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.PurchaseState = 
	{
		/**
		* The product has been successfully purchased. The transaction has ended successfully.
		*/
	    PURCHASED : 0,

		/**
		* The purchase has been canceled.
		*/
	    CANCELED : 1,

	    /**
		* The purchase has been refunded.
		*/
	    REFUNDED : 2,

	    /**
		* The purchase (subscriptions only) has expired and is no longer valid.
		*/
	    EXPIRED : 3
	};

	/**
	* Gets the name of the native store implementation. 
	* @return {CocoonJS.Store.StoreType} The store type
	* @function
	*/ 
	CocoonJS.Store.getStoreType = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getStoreType", arguments);
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Store.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") 
        {
            parameters = {};
        }
        else
        {
        	if (parameters['managed'] !== undefined) parameters['remote'] = parameters['managed'];
        	if (parameters['sandbox'] !== undefined) parameters['debug'] = parameters['sandbox'];
        }

		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "requestInitialization", arguments, true);
		}
	};

	/**
	* Starts the Store Service. 
	* This will make the system to initialize the Store Service and probably Store callbacks will start to be received after calling this method so you should have set your event handler before calling this method so don't lose any callback.
	* @function
	*/ 
	CocoonJS.Store.start = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "start", arguments);
		}
	};

	/**
	* This method allows you to check is the  Store service is available in this platform. 
	* Not all iOS and Android devices will have the Store service available so you should check if it is before calling any other method.
	* @function
	* @return {boolean} True if the service is available and false otherwise.
	*/ 
	CocoonJS.Store.canPurchase = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "canPurchase", arguments);
		}
	};

	/**
	* Fetches the products from the CocoonJS Cloud Compiling service store configuration. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @deprecated You should now use fetchProductsFromStore. We don't support cloud products now.
	* @function
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromServer = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromServer", arguments, true);
		}
	};

	/**
	* Fetches the products information from the Store. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @function
	* @param {array} productIds An array with the ids of the products to retrieve information from.
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromStore = function(productIds)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromStore", arguments, true);
		}
	};

	/**
	* Finish a purchase transaction and removes the transaction from the transaction queue. 
	* This method must be called after a purchase finishes successfully and the  {@link CocoonJS.Store.onProductPurchaseCompleted} callback has been received. 
	* If the purchase includes some asset to download from an external server this method must be called after the asset has been successfully downloaded. 
	* If you do not finish the transaction because the asset has not been correctly downloaded the {@link CocoonJS.Store.onProductPurchaseStarted} method will be called again later on.
	* @function
	* @param {string} transactionId The transactionId of the purchase to finish.
	*/ 
	CocoonJS.Store.finishPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "finishPurchase", arguments, true);
		}
	};

	/**
	* Consumes a purchase. This makes that product to be purchasable again. 
	* @function
	* @param {string} transactionId The transaction Id of the purchase to consume.
	* @param {string} productId The product Id of the product to be consumed.
	*/ 
	CocoonJS.Store.consumePurchase = function(transactionId, productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "consumePurchase", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeature", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id showing a modal progress dialog. 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.puchaseProductModal = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModal", arguments, true);
		}
	};

	/**
	* Request the purchase of a product given it's product id showing a dialog with a preview of the product (title and description). 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProductModalWithPreview = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModalWithPreview", arguments, true);
		}
	};

	/**
	* Returns if a product has been already purchased or not. 
	* @function
	* @param {string} productId The product id or alias of the product to be checked.
	* @returns {boolean} A flag that indicates whether the product has been already purchased (true) or not (false).
	*/
	CocoonJS.Store.isProductPurchased = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "isFeaturePurchased", arguments);
		}
	};

	/**
	* Restores all the purchases from the platform's market. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchases", arguments, true);
		}
	};

	/**
	* Restores all the purchases from the platform's market showing a modal progress dialog. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchasesModal = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchasesModal", arguments, true);
		}
	};

	/**
	* Returns all the products available to be purchased.
	* @function
	* @returns {array} An array with  all the {@link CocoonJS.Store.ProductInfo} objects available for purchase.
	*/
	CocoonJS.Store.getProducts = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getProducts", arguments);
		}
	};

	/**
	* Adds a product to the products local DB. 
	* @function
	* @param {CocoonJS.Store.ProductInfo} product The product to be added to the local products DB.
	*/
	CocoonJS.Store.addProduct = function(product)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addProduct", arguments);
		}
	};

	/**
	* Removes a product from the products local DB given its productId. 
	* @function
	* @param {string} productId The product or alias of the product to be removed from the local products DB.
	*/
	CocoonJS.Store.removeProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removeProduct", arguments);
		}
	};

	/**
	* Returns all the locally stored purchases.
	* @function
	* @returns {array} An array with all the {@link CocoonJS.Store.PurchaseInfo} completed purchases.
	*/
	CocoonJS.Store.getPurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getPurchases", arguments);
		}
	};

	/**
	* Adds a purchase to the local purchases DB. 
	* @function
	* @param {CocoonJS.Store.StorePurchase} purchase The purchase to be added.
	*/ 
	CocoonJS.Store.addPurchase = function(purchase)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addPurchase", arguments);
		}
	};

	/**
	* Removes a purchase from the local purchases DB given it's transaction id. 
	* @function
	* @param {string} transactionId The id of the transaction to be removed.
	*/ 
	CocoonJS.Store.removePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removePurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase cancel. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be canceled.
	*/
	CocoonJS.Store.cancelPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "cancelPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase refundment. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be refunded.
	*/
	CocoonJS.Store.refundPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "refundPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase expiration. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be expired.
	*/
	CocoonJS.Store.expirePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "expirePurchase", arguments);
		}
	};

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onProductsFetchStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchStarted");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has completed.
    * The callback function receives a parameter with an the valid products array.
    * @static
    * @event
    * @param {array} validProducts An array of {@link CocoonJS.Store.ProductInfo} objects representing all the valid fetched products.
    */
	CocoonJS.Store.onProductsFetchCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onProductsFetchFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product starts.
    * The callback function receives a parameters with the information of the purchased product @see CocoonJS.Store.ProductInfo.
    * @static
	* @event
    * @param {string} productId The product id of the product being purchased.
    */
	CocoonJS.Store.onProductPurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseStarted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a request for purchase verification has been received from the Store.
    * The callback function receives two parameters, one with the productId of the purchased product and another one with a JSON object containing the data to be verified.
    * In Andorid this JSON object will containt two keys: signedData and signature. You will need that information to verify the purchase against the backend server.
    * @static
    * @event
    * @param {string} productId The product id of the product to be verified.
    * @param {string} data The string with the data to be verified.
    */
	CocoonJS.Store.onProductPurchaseVerificationRequestReceived = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseVerificationRequestReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product succeeds.
    * The callback function receives as parameter the information of the purchase {@see CocoonJS.Store.PurchaseInfo}.
    * @static
    * @event
    * @param {CocoonJS.Store.PurchaseInfo} purchaseInfo The purchase info.
    */
	CocoonJS.Store.onProductPurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product fails.
    * The callback function receives a parameters with the product id and an error message.
    * @static
    * @event
    * @param {string} productId The product id.
    * @param {string} msg The error message.
    */
	CocoonJS.Store.onProductPurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has completed.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onRestorePurchasesFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesFailed");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has started.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase being consumed.
    */
	CocoonJS.Store.onConsumePurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has completed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the consumed purchase.
    */
	CocoonJS.Store.onConsumePurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has failed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase that couldn't be consumed.
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onConsumePurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseFailed");

})();;(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS camera extension API.
    * @namespace
    */
    CocoonJS.Camera = {};

    CocoonJS.Camera.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_CAMERA !== 'undefined';

    /**
    * The predefined possible camera types.
    * @namespace 
    */
	CocoonJS.Camera.CameraType = {
		/**
		* Represents the front camera on the device.
		*/
	    FRONT : "FRONT",

	    /**
	    * Represents the back camera on the device.
	    */
	    BACK : "BACK"
	};

    /**
    * The predefined possible camera video capturing image format types.
    * @namespace 
    */
	CocoonJS.Camera.CaptureFormatType = {
		/**
		*/
	    JPEG : "JPEG",

		/**
		*/
	    RGB_565 : "RGB_565",

		/**
		*/
	    NV21 : "NV21", 

		/**
		*/
	    NV16 : "NV16",

		/**
		*/
	    YUY2 : "YUY2",

		/**
		*/
	    YV12 : "YV12",

		/**
		*/
	    BGRA32 : "32BGRA"
	};

	/**
	* The data structure that represents the information of a camera. It includes all the information to be able to setup a camera to capture video or to take pictures.
	* @namespace
	*/
	CocoonJS.Camera.CameraInfo =  {
		/**
		* The index of the camera.
		*/
		cameraIndex : 0,

		/**
		* The type of the camera among the possible values in {@link CocoonJS.Camera.CameraType}.
		*/
		cameraType : CocoonJS.Camera.CameraType.BACK,

		/**
		* An array of {@link CocoonJS.Size} values that represent the supported video sizes for the camera.
		*/
		supportedVideoSizes : [],

		/**
		* An array of numbers that represent the supported video frame rates for the camera.
		*/
		supportedVideoFrameRates : [],

		/**
		* An array of {@link CocoonJS.Camera.CaptureFormatType} values that represent the supported video format types for the camera.
		*/
		supportedVideoCaptureImageFormats : []
	};

	/**
	* Returns the number of available camera in the platform/device.
	* @returns {number} The number of cameras available in the platform/device.
	*/
	CocoonJS.Camera.getNumberOfCameras = function()
	{
		if (CocoonJS.Camera.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_CAMERA", "getNumberOfCameras", arguments);
		}
	};

	/**
	* Returns an array of {@link CocoonJS.Camera.CameraInfo} objects representing all the information of all the cameras available in the platform/device.
	* @returns {Array} An array of {@link CocoonJS.Camera.CameraInfo} objects.
	*/
	CocoonJS.Camera.getAllCamerasInfo = function()
	{
		if (CocoonJS.Camera.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_CAMERA", "getAllCamerasInfo", arguments);
		}
	};

	/**
	* Returns the {@link CocoonJS.Camera.CameraInfo} object that represents all the information of the specified camera index in the platform/device.
	* @param {number} cameraIndex The index of the camera to get the info from. The index should be inside 0 and N (N being the value returned by {@link CocoonJS.Camera.getNumberOfCameras}).
	* @returns {CocoonJS.Camera.CameraInfo} The {@link CocoonJS.Camera.CameraInfo} of the given camera index.
	*/
	CocoonJS.Camera.getCameraInfoByIndex = function(cameraIndex)
	{
		if (CocoonJS.Camera.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_CAMERA", "getCameraInfoByIndex", arguments);
		}
	};

	/**
	* Returns the {@link CocoonJS.Camera.CameraInfo} object that represents all the information of the first camera of the specified type found in the platform/device.
	* @param {CocoonJS.Camera.CameraType} cameraType The type of the camera to get the info from. 
	* @returns {CocoonJS.Camera.CameraInfo} The {@link CocoonJS.Camera.CameraInfo} of the first camera of the given camera type that has been found in the platform/device.
	*/
	CocoonJS.Camera.getCameraInfoByType = function(cameraType)
	{
		if (CocoonJS.Camera.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_CAMERA", "getCameraInfoByType", arguments);
		}
	};

	/**
	* Starts a camera to capture video. The developer must specify at least the index of the camera to be used. Some other setup parameters can also be passed to control the video capture. A image object
	* that will be automatically updated with the captured frames is returned so the developer just need to draw the image in every frame. A null image object is returned if the setup did not work or there is
	* no available camera.
	* @param {number} cameraIndex The index of the camera to start video capture with.
	* @param captureWidth The hozirontal size of the video capture resolution. If the value does not correspond to any of the sizes supported by the camera, the closest one is used. See {@link CocoonJS.Camera.CameraInfo}.
	* If no value is given, the maximum size available is used.
	* @param captureHeight The vertical size of the video capture resolution. If value does not correspond to any of the sizes supported by the camera, the closest one is used. See {@link CocoonJS.Camera.CameraInfo}.
	* If no value is given, the maximum size available is used.
	* @param captureFrameRate The frame rate to capture the video at. If the value does not correspond to any of the frame rates supported by the camera, the closest one is used. See {@link CocoonJS.Camera.CameraInfo}.
	* If no value is given, the maximum frame rate available is used.
	* @param captureImageFormat A value from the available {@link CocoonJS.Camera.CaptureFormatType} formats to specify the format of the images that will be captured. See {@link CocoonJS.Camera.CameraInfo}.
	* If no value is given, the first available capture image format is used.
	* @returns {image} A image object that will automatically update itself with the captured frames or null if the camera capture could not start.
	*/
	CocoonJS.Camera.startCapturing = function(cameraIndex, captureWidth, captureHeight, captureFrameRate, captureImageFormat)
	{
		if (CocoonJS.Camera.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_CAMERA", "startCapturing", arguments);
		}
	};

	/**
	* Stops a camera that is already started capturing video.
	* @param cameraIndex The index of the camera to stop capturing video.
	*/
	CocoonJS.Camera.stopCapturing = function(cameraIndex)
	{
		if (CocoonJS.Camera.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_CAMERA", "stopCapturing", arguments);
		}
	};

	/**
	* Indicates if a camera is capturing video or not.
	* @param cameraIndex The index of the camera to check if is capturing video or not.
	* @returns {boolean} A flag indicating if the given camera (by index) is capturing video (true) or not (false).
	*/
	CocoonJS.Camera.isCapturing = function(cameraIndex)
	{
		if (CocoonJS.Camera.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_CAMERA", "isCapturing", arguments);
		}
	};

})();;(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents the functionalities related to OUYA android gaming control.
     * @namespace
     */
    CocoonJS.Gamepad = {};

    CocoonJS.Gamepad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.Gamepad !== 'undefined';

    /**
    * This enumeration simplifies the access to the indices for button and axis elements according to the HTML5 gamepad standard API specification.
    * You may use these values to access the buttons and axes arrays inside the Gamepad objects, according to the W3C gamepad API specification.
    * For example: 
    * gamepad.button[CocoonJS.Gamepad.BUTTON_LEFT_TRIGGER]; 
    * gamepad.axes[CocoonJS.Gamepad.AXIS_LEFT_JOYSTICK_X]; 
    * @namespace
    */
    CocoonJS.Gamepad.Indices = {
        /**
        * Represents the button 0 (the A on the XBOX controller, the O on the OUYA controller)
        */
        BUTTON_0                : 0, 
        /**
        * Represents the button 1 (the B on the XBOX controller, the A on the OUYA controller)
        */
        BUTTON_1                : 1,
        /**
        * Represents the button 2 (the X on the XBOX controller, the U on the OUYA controller)
        */
        BUTTON_2                : 2,
        /**
        * Represents the button 3 (the Y on the XBOX controller, the Y on the OUYA controller)
        */
        BUTTON_3                : 3,
        /**
        * Represents the left bumper button.
        */
        BUTTON_LEFT_BUMPER      : 4,
        /**
        * Represents the right bumper button.
        */
        BUTTON_RIGHT_BUMPER     : 5,
        
        /**
        * Represents the left trigger button.
        */
        BUTTON_LEFT_TRIGGER     : 6,
        /**
        * Represents the right trigger button.
        */
        BUTTON_RIGHT_TRIGGER    : 7,
        
        /**
        * Represents the left joystick button.
        */
        BUTTON_LEFT_JOYSTICK    : 10,
        /**
        * Represents the right joystick button.
        */
        BUTTON_RIGHT_JOYSTICK   : 11,
        /**
        * Represents the dpad up button.
        */
        BUTTON_DPAD_UP          : 12,
        /**
        * Represents the dpad down button.
        */
        BUTTON_DPAD_DOWN        : 13,
        /**
        * Represents the dpad left button.
        */
        BUTTON_DPAD_LEFT        : 14,
        /**
        * Represents the dpad right button.
        */
        BUTTON_DPAD_RIGHT       : 15,
        /**
        * Represents the menu button.
        */
        BUTTON_MENU             : 16,
        
        /**
        * Represents the left joystick horizontal axis.
        */
        AXIS_LEFT_JOYSTICK_X     : 0,
        /**
        * Represents the left joystick vertical axis.
        */
        AXIS_LEFT_JOYSTICK_Y     : 1,
        /**
        * Represents the right joystick horizontal axis.
        */
        AXIS_RIGHT_JOYSTICK_X    : 2,
        /**
        * Represents the right joystick vertical axis.
        */
        AXIS_RIGHT_JOYSTICK_Y    : 3
    };

    // If the extension is present and the navigator does not provide the gamepad API:
    // 1.- Add the getGamepads function to the navigator object.
    // 2.- Replace the window add and remove event listener functions to call to the extension for the gamepad related events.
    var systemSupportsGamepads = navigator["getGamepads"] || navigator["webkitGetGamepads"];
    if (systemSupportsGamepads) 
    {
        if (!navigator.getGamepads)
        {
            console.log("navigator.getGamepads does not exist.");
            if (navigator.webkitGetGamepads)
            {
                console.log("navigator.webkitGamepads exists, adding navigator.getGamepads to point to it.");
                navigator.getGamepads = navigator.webkitGetGamepads;
            }
            else
            {
                console.log("navigator.webkitGetGamepads does not exist either.");
            }
        }
    }
})();



;(function() {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw ("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents the CocoonJS Notification extension.
     * @namespace
     */
    CocoonJS.Notification = {};

    CocoonJS.Notification.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_NOTIFICATION !== 'undefined';

    /**
     * The data structure that represents the information of a local notification.
     * @namespace
     * @constructor
     * @param {string} message The notification message.
     * @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
     * @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
     * @param {object} userData The JSON data to attached to the notification.
     * @param {string} contentBody The body content to be showed in the expanded notification information.
     * @param {string} contentTitle The title to be showed in the expanded notification information.
     * @param {number} date Time in millisecs from 1970 when the notification will be fired.
     */
    CocoonJS.Notification.createLocalNotification = function(message, soundEnabled, badgeNumber, userData, contentBody, contentTitle, scheduleTime) {

        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "createLocalNotification", arguments);
        }
    };


    /**
     * The data structure that represents the information of a local notification.
     * @namespace
     * @constructor
     * @deprecated
     * @param {string} message The notification message.
     * @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
     * @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
     * @param {object} userData The JSON data to attached to the notification.
     * @param {string} contentBody The body content to be showed in the expanded notification information.
     * @param {string} contentTitle The title to be showed in the expanded notification information.
     * @param {number} date Time in millisecs from 1970 when the notification will be fired.
     */
    CocoonJS.Notification.LocalNotification = function(message, soundEnabled, badgeNumber, userData, contentBody, contentTitle, scheduleTime) {
        //The id is initialized with -1 for compatibility issues.
        //The new way to use is createLocalNotification. These can be cancelled and the ID is sent from native code to the 
        this.id = -1;

        /**
         * The notification message.
         * @field
         * @type string
         */
        this.message = message;

        /**
         * A flag that indicates if the sound should be enabled for the notification.
         * @field
         * @type boolean
         */
        this.soundEnabled = soundEnabled;

        /**
         * (iOS only) The number that will appear in the badge of the application icon in the home screen.
         * @field
         * @type number
         */
        this.badgeNumber = badgeNumber;

        /**
         * The JSON data to attached to the notification.
         * @field
         * @type object
         */
        this.userData = userData;

        /**
         * (Android only) The body content to be showed in the expanded notification information.
         * @field
         * @type string
         */
        if (contentBody !== undefined)
            this.contentBody = contentBody;
        else
            this.contentBody = "";

        /**
         * (Android only) The title to be showed in the expanded notification information.
         * @field
         * @type string
         */
        if (contentTitle !== undefined)
            this.contentTitle = contentTitle;
        else
            this.contentTitle = "";

        /**
         * Time in millisecs from 1970 when the local notification will be fired
         * @field
         * @type number
         */
        var currentTime = new Date().getTime();
        if (scheduleTime !== undefined) {
            this.scheduleTime = scheduleTime;
        } else {
            this.scheduleTime = currentTime;
        }
    };

    /**
     * The data structure that represents the information of a push notification.
     * @namespace
     * @constructor
     * @param {string} message The notification message.
     * @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
     * @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
     * @param {object} userData The JSON data to attached to the notification.
     * @param {array} channels An array containing the channels names this notification will be delivered to.
     * @param {number} expirationTime A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
     * @param {number} expirationTimeInterval An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
     */
    CocoonJS.Notification.PushNotification = function(message, soundEnabled, badgeNumber, userData, channels, expirationTime, expirationTimeInterval) {
        /**
         * The notification message.
         * @field
         * @type string
         */
        this.message = message;

        /**
         * A flag that indicates if the sound should be enabled for the notification.
         * @field
         * @type boolean
         */
        this.soundEnabled = soundEnabled;

        /**
         * The number that will appear in the badge of the application icon in the home screen.
         * @field
         * @type number
         */
        this.badgeNumber = badgeNumber;

        /**
         * The JSON data to attached to the notification.
         * @field
         * @type object
         */
        this.userData = userData

        /**
         * An array containing the channels names this notification will be delivered to.
         * @field
         * @type array
         */
        this.channels = channels;

        /**
         * A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
         * @field
         * @type number
         */
        if (expirationTime !== undefined)
            this.expirationTime = expirationTime;
        else
            this.expirationTime = 0;

        /**
         * An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
         * @field
         * @type number
         */
        if (expirationTimeInterval !== undefined)
            this.expirationTimeInterval = expirationTimeInterval;
        else
            this.expirationTimeInterval = 0;
    };

    /**
     * Start processing received notifications. The user must call this method when the game is ready to process notifications. Notifications received before being prepared are stored and processed later.
     */
    CocoonJS.Notification.start = function() {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "start", arguments);
        }
    };


    /**
     * Register to be able to receive push notifications.
     * The registration process is controlled using the {@link CocoonJS.Notification.onRegisterForPushNotificationsSucceed} and {@link CocoonJS.Notification.onRegisterForPushNotificationsFailed} event handlers.
     * @function
     * @see {CocoonJS.Notification.onRegisterForPushNotificationsSucceed}
     * @see {CocoonJS.Notification.onRegisterForPushNotificationsFailed}
     */
    CocoonJS.Notification.registerForPushNotifications = function() {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "registerForPushNotifications", arguments, true);
        }
    };

    /**
     * Unregister from receiving push notifications.
     * The unregistration process is controlled using the {@link CocoonJS.Notification.onUnregisterForPushNotificationsSucceed} event handler.
     * @function
     * @see CocoonJS.Notification.onUnregisterForPushNotificationsSucceed
     */
    CocoonJS.Notification.unregisterForPushNotifications = function() {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unregisterForPushNotifications", arguments, true);
        }
    };

    /**
     * Cancel the local notification with Id provided.
     * The last sent local notification will be remove from the notifications bar.
     * @function
     */
    CocoonJS.Notification.cancelLocalNotification = function() {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelLocalNotification", arguments);
        }
    };

    /**
     * Cancel the last sent local notification.
     * The last sent local notification will be remove from the notifications bar.
     * @function
     */

    //TODO: Change this function to be an extension of cancelLocalNotification
    CocoonJS.Notification.cancelLastSentLocalNotificiation = function() {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelLocalNotification", arguments, true);
        }
    };

    /**
     * Cancel all sent local notifications.
     * All the notifications will ve removed from the notifications bar.
     * @function
     */
    CocoonJS.Notification.cancelAllLocalNotifications = function() {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelAllLocalNotifications", arguments);
        }
    };

    /**
     * Send a local notification.
     * @function
     * @param {CocoonJS.Notification.LocalNotification} localNotification The local notification to be sent.
     */
    CocoonJS.Notification.sendLocalNotification = function(localNotification) {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendLocalNotification", arguments, true);
        }
    };

    /**
     * Subscribe to a channel in order to receive notifications targeted to that channel.
     * @function
     * @param {string} channel The channel id to subscribe to.
     */
    CocoonJS.Notification.subscribeToChannel = function(channel) {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "subscribe", arguments, true);
        }
    };

    /**
     * Unsubscribe from a channel in order to stop receiving notifications targeted to it.
     * @function
     * @param {string} channel The channel id to unsubscribe from.
     */
    CocoonJS.Notification.unsubscribeFromChannel = function(channel) {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unsubscribe", arguments, true);
        }
    };

    /**
     * Send a push notification.
     * @function
     * @param {CocoonJS.Notification.PushNotification} pushNotification The push notification object to be sent.
     * @see CocoonJS.Notification.onPushNotificationDeliverySucceed
     * @see CocoonJS.Notification.onPushNotificationDeliveryFailed
     */
    CocoonJS.Notification.sendPushNotification = function(pushNotification) {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendPushNotification", arguments, true);
        }
    };

    /**
     * (iOS only) Set the badge number for this application.
     * This is useful if you want to modify the badge number set by a notification.
     * @function
     * @param {number} badgeNumber The number of the badge.
     */
    CocoonJS.Notification.setBadgeNumber = function(badgeNumber) {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "setBadgeNumber", arguments);
        }
    };

    /**
     * (iOS only) Returns the current badge number.
     * @function
     * @returns {number} The badge number.
     */
    CocoonJS.Notification.getBadgeNumber = function() {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getBadgeNumber", arguments);
        }
    };

    /**
     * Returns the last received user data from a Local notification.
     * @function
     * @returns {object} The last received user data from a Local notification.
     */
    CocoonJS.Notification.getLastReceivedLocalNotificationData = function() {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedLocalNotificationData", arguments);
        }
    };

    /**
     * Returns the last received user data from a Push notification.
     * @function
     * @returns {object} The last received user data from a Push notification.
     */
    CocoonJS.Notification.getLastReceivedPushNotificationData = function() {
        if (CocoonJS.Notification.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedPushNotificationData", arguments);
        }
    };

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notification succeeds.
     * The callback function does not receive any parameter.
     * @static
     * @event
     * @param {string} token The token (apid or device token) received at registration time.
     * @memberOf CocoonJS.Notification
     */
    CocoonJS.Notification.onRegisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceRegistered");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the unregistration for push notifications succeeds.
     * The callback function does not receive any parameter.
     * @static
     * @event
     * @memberOf CocoonJS.Notification
     */
    CocoonJS.Notification.onUnregisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceUnregistered");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notifications fails.
     * The callback function receives a parameter with error information.
     * @static
     * @event
     * @param {string} msg The error message.
     */
    CocoonJS.Notification.onRegisterForPushNotificationsFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceFailedToRegister");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when a push notification is received.
     * The callback function receives a parameter with the userData of the received notification.
     * @static
     * @event
     * @param {object} userData An object with the notification userData information.
     */
    CocoonJS.Notification.onPushNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationReceived");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when a local notification is received.
     * The callback function receives a parameter with the userData of the received notification.
     * @static
     * @event
     * @param {object} userData An object with the notification userData information.
     */
    CocoonJS.Notification.onLocalNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "localNotificationReceived");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when a notification is successfully delivered.
     * The callback function receives a parameter with the notificationId of the delivered notification.
     * @static
     * @event
     * @param {string} userData A string with the notification userData information.
     */
    CocoonJS.Notification.onPushNotificationDeliverySucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationSuccessfullyDelivered");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the delivery of push a notification fails.
     * The callback function receives a parameter with error information.
     * @static
     * @event
     * @param {string} msg The error message.
     */
    CocoonJS.Notification.onPushNotificationDeliveryFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationDeliveryError");

})();
/*! CocoonJSExtensions - v2.0.0 - 2014-04-10 www.ludei.com */window.ext&&"undefined"!=typeof window.ext.IDTK_SRV_BOX2D?(window.Box2D={},window.Box2D.Dynamics={},window.Box2D.Dynamics.Joints={},window.Box2D.Common={},window.Box2D.Common.Math={},window.Box2D.Collision={},window.Box2D.Collision.Shapes={},function(){"use strict";function a(a){console.error(a)}var b=function(a,b){void 0===a&&(a=0),void 0===b&&(b=0),this.x=a,this.y=b};window.Box2D.Common.Math.b2Vec2=b,b.prototype.SetZero=function(){this.x=0,this.y=0},b.prototype.Set=function(a,b){void 0===a&&(a=0),void 0===b&&(b=0),this.x=a,this.y=b},b.prototype.SetV=function(b){void 0===b&&a("undefined 'v' in b2Vec2.SetV"),this.x=b.x,this.y=b.y},b.Make=function(a,c){return void 0===a&&(a=0),void 0===c&&(c=0),new b(a,c)},void 0===b.Get&&(b.Get=b.Make,b._freeCache=[],b.Free=function(){}),b.prototype.Copy=function(){return new b(this.x,this.y)},b.prototype.Add=function(b){void 0===b&&a("undefined 'v' in b2Vec2.Add"),this.x+=b.x,this.y+=b.y},b.prototype.Subtract=function(b){void 0===b&&a("undefined 'v' in b2Vec2.Subtract"),this.x-=b.x,this.y-=b.y},b.prototype.Multiply=function(a){void 0===a&&(a=0),this.x*=a,this.y*=a},b.prototype.Length=function(){return Math.sqrt(this.x*this.x+this.y*this.y)},b.prototype.LengthSquared=function(){return this.x*this.x+this.y*this.y},b.prototype.Normalize=function(){var a=Math.sqrt(this.x*this.x+this.y*this.y);if(a<Number.MIN_VALUE)return 0;var b=1/a;return this.x*=b,this.y*=b,a},b.prototype.NegativeSelf=function(){this.x=-this.x,this.y=-this.y};var c=function(){this.col1=new b,this.col2=new b,this.SetIdentity()};window.Box2D.Common.Math.b2Mat22=c,c.FromAngle=function(a){void 0===a&&(a=0);var b=new c;return b.Set(a),b},c.FromVV=function(a,b){var d=new c;return d.SetVV(a,b),d},c.prototype.Set=function(a){void 0===a&&(a=0);var b=Math.cos(a),c=Math.sin(a);this.col1.x=b,this.col2.x=-c,this.col1.y=c,this.col2.y=b},c.prototype.SetVV=function(a,b){this.col1.SetV(a),this.col2.SetV(b)},c.prototype.Copy=function(){var a=new c;return a.SetM(this),a},c.prototype.SetM=function(a){this.col1.SetV(a.col1),this.col2.SetV(a.col2)},c.prototype.AddM=function(a){this.col1.x+=a.col1.x,this.col1.y+=a.col1.y,this.col2.x+=a.col2.x,this.col2.y+=a.col2.y},c.prototype.SetIdentity=function(){this.col1.x=1,this.col2.x=0,this.col1.y=0,this.col2.y=1},c.prototype.SetZero=function(){this.col1.x=0,this.col2.x=0,this.col1.y=0,this.col2.y=0},c.prototype.GetAngle=function(){return Math.atan2(this.col1.y,this.col1.x)},c.prototype.GetInverse=function(a){var b=this.col1.x,c=this.col2.x,d=this.col1.y,e=this.col2.y,f=b*e-c*d;return 0!==f&&(f=1/f),a.col1.x=f*e,a.col2.x=-f*c,a.col1.y=-f*d,a.col2.y=f*b,a},c.prototype.Solve=function(a,b,c){void 0===b&&(b=0),void 0===c&&(c=0);var d=this.col1.x,e=this.col2.x,f=this.col1.y,g=this.col2.y,h=d*g-e*f;return 0!==h&&(h=1/h),a.x=h*(g*b-e*c),a.y=h*(d*c-f*b),a},c.prototype.Abs=function(){this.col1.Abs(),this.col2.Abs()};var d=function(a,d){this.position=new b,this.R=new c,void 0===a&&(a=null),void 0===d&&(d=null),a&&(this.position.SetV(a),this.R.SetM(d))};window.Box2D.Common.Math.b2Transform=d,d.prototype.Initialize=function(a,b){this.position.SetV(a),this.R.SetM(b)},d.prototype.SetIdentity=function(){this.position.SetZero(),this.R.SetIdentity()},d.prototype.Set=function(a){this.position.SetV(a.position),this.R.SetM(a.R)},d.prototype.SetAngle=function(){return Math.atan2(this.R.col1.y,this.R.col1.x)};var e=function(){};window.Box2D.Common.Math.b2Math=e,e.IsValid=function(a){return void 0===a&&(a=0),isFinite(a)},e.Dot=function(a,b){return a.x*b.x+a.y*b.y},e.CrossVV=function(a,b){return a.x*b.y-a.y*b.x},e.CrossVF=function(a,c){void 0===c&&(c=0);var d=new b(c*a.y,-c*a.x);return d},e.CrossFV=function(a,c){void 0===a&&(a=0);var d=new b(-a*c.y,a*c.x);return d},e.MulMV=function(c,d){void 0===d&&a("undefined 'v' in b2Math.MulMV");var e=new b(c.col1.x*d.x+c.col2.x*d.y,c.col1.y*d.x+c.col2.y*d.y);return e},e.MulTMV=function(a,c){var d=new b(e.Dot(c,a.col1),e.Dot(c,a.col2));return d},e.MulX=function(a,b){var c=e.MulMV(a.R,b);return c.x+=a.position.x,c.y+=a.position.y,c},e.MulXT=function(a,b){var c=e.SubtractVV(b,a.position),d=c.x*a.R.col1.x+c.y*a.R.col1.y;return c.y=c.x*a.R.col2.x+c.y*a.R.col2.y,c.x=d,c},e.AddVV=function(a,c){var d=new b(a.x+c.x,a.y+c.y);return d},e.SubtractVV=function(a,c){var d=new b(a.x-c.x,a.y-c.y);return d},e.Distance=function(a,b){var c=a.x-b.x,d=a.y-b.y;return Math.sqrt(c*c+d*d)},e.DistanceSquared=function(a,b){var c=a.x-b.x,d=a.y-b.y;return c*c+d*d},e.MulFV=function(a,c){void 0===a&&(a=0);var d=new b(a*c.x,a*c.y);return d},e.AddMM=function(a,b){var d=c.FromVV(e.AddVV(a.col1,b.col1),e.AddVV(a.col2,b.col2));return d},e.MulMM=function(a,b){var d=c.FromVV(e.MulMV(a,b.col1),e.MulMV(a,b.col2));return d},e.MulTMM=function(a,d){var f=new b(e.Dot(a.col1,d.col1),e.Dot(a.col2,d.col1)),g=new b(e.Dot(a.col1,d.col2),e.Dot(a.col2,d.col2)),h=c.FromVV(f,g);return h},e.Abs=function(a){return void 0===a&&(a=0),a>0?a:-a},e.AbsV=function(a){var c=new b(e.Abs(a.x),e.Abs(a.y));return c},e.AbsM=function(a){var b=c.FromVV(e.AbsV(a.col1),e.AbsV(a.col2));return b},e.Min=function(a,b){return void 0===a&&(a=0),void 0===b&&(b=0),b>a?a:b},e.MinV=function(a,c){var d=new b(e.Min(a.x,c.x),e.Min(a.y,c.y));return d},e.Max=function(a,b){return void 0===a&&(a=0),void 0===b&&(b=0),a>b?a:b},e.MaxV=function(a,c){var d=new b(e.Max(a.x,c.x),e.Max(a.y,c.y));return d},e.Clamp=function(a,b,c){return void 0===a&&(a=0),void 0===b&&(b=0),void 0===c&&(c=0),b>a?b:a>c?c:a},e.ClampV=function(a,b,c){return e.MaxV(b,e.MinV(a,c))},e.Swap=function(a,b){var c=a[0];a[0]=b[0],b[0]=c},e.Random=function(){return 2*Math.random()-1},e.RandomRange=function(a,b){void 0===a&&(a=0),void 0===b&&(b=0);var c=Math.random();return c=(b-a)*c+a},e.NextPowerOfTwo=function(a){return void 0===a&&(a=0),a|=a>>1&2147483647,a|=a>>2&1073741823,a|=a>>4&268435455,a|=a>>8&16777215,a|=a>>16&65535,a+1},e.IsPowerOfTwo=function(a){void 0===a&&(a=0);var b=a>0&&0===(a&a-1);return b},e.b2Vec2_zero=new b(0,0),e.b2Mat22_identity=c.FromVV(new b(1,0),new b(0,1)),e.b2Transform_identity=new d(e.b2Vec2_zero,e.b2Mat22_identity);var f=function(){this.e_aabbBit=4,this.e_centerOfMassBit=16,this.e_controllerBit=32,this.e_jointBit=2,this.e_pairBit=8,this.e_shapeBit=0};window.Box2D.Dynamics.b2DebugDraw=f,f.prototype.AppendFlags=function(){},f.prototype.ClearFlags=function(){},f.prototype.DrawCircle=function(){},f.prototype.DrawPolygon=function(){},f.prototype.DrawSegment=function(){},f.prototype.DrawSolidCircle=function(){},f.prototype.DrawSolidPolygon=function(){},f.prototype.DrawTransform=function(){},f.prototype.GetAlpha=function(){},f.prototype.GetDrawScale=function(){},f.prototype.GetFillAlpha=function(){},f.prototype.GetFlags=function(){},f.prototype.GetLineThickness=function(){},f.prototype.GetSprite=function(){},f.prototype.GetXFormScale=function(){},f.prototype.SetAlpha=function(){},f.prototype.SetDrawScale=function(){},f.prototype.SetFillAlpha=function(){},f.prototype.SetFlags=function(){},f.prototype.SetLineThickness=function(){},f.prototype.SetSprite=function(){},f.prototype.SetXFormScale=function(){};var g=function(){this.position=new b(0,0),this.linearVelocity=new b,this.userData=null,this.angle=0,this.linearVelocity.Set(0,0),this.angularVelocity=0,this.linearDamping=0,this.angularDamping=0,this.allowSleep=!0,this.awake=!0,this.fixedRotation=!1,this.bullet=!1,this.type=i.b2_staticBody,this.active=!0,this.inertiaScale=1};window.Box2D.Dynamics.b2BodyDef=g;var h=function(a,c,d,e){this.m_body=a,this.m_userData=c,this.m_fixtureID=d,this.m_shape={},this.m_shape.m_centroid=new b,this.m_isSensor=!1,this.m_density=e.density,this.m_friction=e.friction,this.m_restitution=e.restitution,this.m_isSensor=e.isSensor};window.Box2D.Dynamics.b2Fixture=h,h.prototype.GetBody=function(){return this.m_body},h.prototype.GetShape=function(){return console.log("fixture.GetShape not yet supported in CocoonJS Box2D binding"),null},h.prototype.GetUserData=function(){return this.m_userData},h.prototype.SetSensor=function(a){this.m_isSensor=a,window.ext.IDTK_SRV_BOX2D.makeCall("setSensor",this.m_body.m_world.m_worldID,this.m_fixtureID,this.m_isSensor)},h.prototype.IsSensor=function(){return this.m_isSensor},h.prototype.SetDensity=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setDensity",this.m_body.m_world.m_worldID,this.m_fixtureID,a),this.m_density=a},h.prototype.SetFriction=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setFriction",this.m_body.m_world.m_worldID,this.m_fixtureID,a),this.m_friction=a},h.prototype.SetRestitution=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setRestitution",this.m_body.m_world.m_worldID,this.m_fixtureID,a),this.m_restitution=a},h.prototype.GetDensity=function(){return this.m_density},h.prototype.GetFriction=function(){return this.m_friction},h.prototype.GetRestitution=function(){return this.m_restitution};var i=function(a,b){var e=a.userData;a.userData=null,this.m_world=b,this.m_xf=new d(a.position,c.FromAngle(a.angle)),this.m_fixtures=[],this.m_active=a.active,a.type===i.b2_staticBody&&(a.density=0),this.m_bodyID=window.ext.IDTK_SRV_BOX2D.makeCall("createBody",b.m_worldID,a),this.m_userData=e,a.userData=e};window.Box2D.Dynamics.b2Body=i,i.prototype.CreateFixture=function(a){var b=a.userData;a.userData=null;var c=window.ext.IDTK_SRV_BOX2D.makeCall("createFixture",this.m_world.m_worldID,this.m_bodyID,a);a.userData=b;var d=new h(this,b,c,a);return this.m_world.m_fixturesList[c]=d,this.m_fixtures.push(d),d},i.prototype.GetFixtureList=function(){return 0===this.m_fixtures.length?null:this.m_fixtures[0]},i.prototype.DestroyFixture=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("deleteFixture",this.m_world.m_worldID,a.m_fixtureID),delete this.m_world.m_fixturesList[a.m_fixtureID]},i.prototype.SetPositionAndAngle=function(a,b){window.ext.IDTK_SRV_BOX2D.makeCall("setBodyTransform",this.m_world.m_worldID,this.m_bodyID,a.x,a.y,b),this.m_xf.R.Set(b),this.m_xf.position.SetV(a)},i.prototype.GetPosition=function(){return this.m_xf.position},i.prototype.SetPosition=function(a){this.SetPositionAndAngle(a,this.GetAngle())},i.prototype.GetLinearVelocity=function(){var a=window.ext.IDTK_SRV_BOX2D.makeCall("getLinearVelocity",this.m_world.m_worldID,this.m_bodyID);return new b(a[0],a[1])},i.prototype.GetWorldCenter=function(){var a=window.ext.IDTK_SRV_BOX2D.makeCall("getWorldCenter",this.m_world.m_worldID,this.m_bodyID);return new b(a[0],a[1])},i.prototype.GetLocalCenter=function(){var a=window.ext.IDTK_SRV_BOX2D.makeCall("getLocalCenter",this.m_world.m_worldID,this.m_bodyID);return new b(a[0],a[1])},i.prototype.GetLocalPoint=function(a){return e.MulXT(this.m_xf,a)},i.prototype.ApplyImpulse=function(a,b,c){window.ext.IDTK_SRV_BOX2D.makeCall("applyImpulse",this.m_world.m_worldID,this.m_bodyID,a.x,a.y,b.x,b.y,c)},i.prototype.GetMass=function(){return window.ext.IDTK_SRV_BOX2D.makeCall("getMass",this.m_world.m_worldID,this.m_bodyID)},i.prototype.IsAwake=function(){return window.ext.IDTK_SRV_BOX2D.makeCall("isAwake",this.m_world.m_worldID,this.m_bodyID)},i.prototype.GetAngularVelocity=function(){return window.ext.IDTK_SRV_BOX2D.makeCall("getAngularVelocity",this.m_world.m_worldID,this.m_bodyID)},i.prototype.SetFixedRotation=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setFixedRotation",this.m_world.m_worldID,this.m_bodyID,a)},i.prototype.SetAwake=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setAwake",this.m_world.m_worldID,this.m_bodyID,a)},i.prototype.SetLinearVelocity=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setLinearVelocity",this.m_world.m_worldID,this.m_bodyID,a.x,a.y)},i.prototype.ApplyForceToCenter=function(a,b){window.ext.IDTK_SRV_BOX2D.makeCall("applyForceToCenter",this.m_world.m_worldID,this.m_bodyID,a.x,a.y,b)},i.prototype.ApplyForce=function(a,b,c){window.ext.IDTK_SRV_BOX2D.makeCall("applyForce",this.m_world.m_worldID,this.m_bodyID,a.x,a.y,b.x,b.y,c)},i.prototype.ApplyTorque=function(a,b){window.ext.IDTK_SRV_BOX2D.makeCall("applyTorque",this.m_world.m_worldID,this.m_bodyID,a,b)},i.prototype.SetLinearDamping=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setLinearDamping",this.m_world.m_worldID,this.m_bodyID,a)},i.prototype.SetAngularVelocity=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setAngularVelocity",this.m_world.m_worldID,this.m_bodyID,a)},i.prototype.SetType=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setType",this.m_world.m_worldID,this.m_bodyID,a)},i.prototype.SetActive=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setActive",this.m_world.m_worldID,this.m_bodyID,a),this.m_active=a},i.prototype.IsActive=function(){return this.m_active},i.prototype.GetAngle=function(){return this.m_xf.R.GetAngle()},i.prototype.SetAngle=function(a){void 0===a&&(a=0),this.SetPositionAndAngle(this.GetPosition(),a)},i.prototype.GetContactList=function(){for(var a=window.ext.IDTK_SRV_BOX2D.makeCall("getObjectContacts",this.m_world.m_worldID,this.m_bodyID),b=[],c=0;c<a.length;c++)b.push(this.m_world.m_bodyList[a[c]]);return b},i.prototype.SetUserData=function(a){this.m_userData=a},i.prototype.GetUserData=function(){return this.m_userData},i.prototype.GetWorld=function(){return this.m_world},window.Box2D.Dynamics.b2Body.b2_staticBody=0,window.Box2D.Dynamics.b2Body.b2_kinematicBody=1,window.Box2D.Dynamics.b2Body.b2_dynamicBody=2;var j=function(a,b,c){this.m_fixtureA=a,this.m_fixtureB=b,this.m_touching=c};window.Box2D.Dynamics.b2Contact=j,j.prototype.GetFixtureA=function(){return this.m_fixtureA},j.prototype.GetFixtureB=function(){return this.m_fixtureB},j.prototype.IsTouching=function(){return this.m_touching};var k=function(){};window.Box2D.Dynamics.b2ContactListener=k,k.prototype.BeginContact=function(){},k.prototype.EndContact=function(){},k.prototype.PreSolve=function(){},k.prototype.PostSolve=function(){},window.Box2D.Dynamics.b2ContactListener.b2_defaultListener=new k;var l=function(){};window.Box2D.Dynamics.b2ContactFilter=l;var m=function(a,b){this.m_bodyList=[],this.m_jointList=[],this.m_fixturesList=[],this.m_contactListener=null,this.m_jointsList=[],this.m_worldID=window.ext.IDTK_SRV_BOX2D.makeCall("createWorld",a.x,a.y,b)};window.Box2D.Dynamics.b2World=m,m.prototype.SetContactListener=function(a){this.m_contactListener=a},m.prototype.SetContactFilter=function(a){var b=a,c=this,d=function(a,d){var e=c.m_fixturesList[a],f=c.m_fixturesList[d];return b.ShouldCollide(e,f)};window.ext.IDTK_SRV_BOX2D.makeCall("setContactFilter",this.m_worldID,d)},m.prototype.CreateBody=function(a){var b=new i(a,this);return this.m_bodyList[b.m_bodyID]=b,b},m.prototype.DestroyBody=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("deleteBody",this.m_worldID,a.m_bodyID),delete this.m_bodyList[a.m_bodyID];for(var b=0;b<a.m_fixtures.length;++b)delete this.m_fixturesList[a.m_fixtures[b].m_fixtureID]},m.prototype.CreateJoint=function(a){if(a.bodyA.m_bodyID!==a.bodyB.m_bodyID){var b=a.bodyA,c=a.bodyB;a.bodyA=b.m_bodyID,a.bodyB=c.m_bodyID;var d="createDistanceJoint";a.type===o.e_revoluteJoint&&(d="createRevoluteJoint");var e=new o(a);return e.m_jointID=window.ext.IDTK_SRV_BOX2D.makeCall(d,this.m_worldID,a),a.bodyA=b,a.bodyB=c,this.m_jointsList.push(e),e}},m.prototype.DestroyJoint=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("destroyJoint",this.m_worldID,a.m_jointID)},m.prototype.GetJointList=function(){if(0===this.m_jointsList.length)return null;for(var a=0;a<this.m_jointsList.length-1;++a)this.m_jointsList[a].next=this.m_jointsList[a+1];return this.m_jointsList[this.m_jointsList.length-1].next=null,this.m_jointsList[0]},m.prototype.SetContinuousPhysics=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setContinuous",this.m_worldID,a)},m.prototype.SetGravity=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setGravity",this.m_worldID,a.x,a.y)},m.prototype.Step=function(a,b,c){var d,e=window.ext.IDTK_SRV_BOX2D.makeCall("step",this.m_worldID,a,b,c),f=e[0];for(d=1;4*f>=d;d+=4){var g=this.m_bodyList[e[d+0]];if(null===g)break;g.m_xf.position.Set(e[d+1],e[d+2]),g.m_xf.R.Set(e[d+3])}if(null!==this.m_contactListener){var h=window.ext.IDTK_SRV_BOX2D.makeCall("getLastContacts",this.m_worldID);for(f=h[0],d=1;3*f>=d;d+=3){var i=h[d+0],k=h[d+1],l=h[d+2],m=this.m_fixturesList[i],n=this.m_fixturesList[k];"undefined"!=typeof m&&"undefined"!=typeof n?this.m_contactListener.BeginContact(new j(m,n,l)):console.log("One of the fixtures in a contact DOESN'T EXIST!!")}}},m.prototype.ClearForces=function(){window.ext.IDTK_SRV_BOX2D.makeCall("clearForces",this.m_worldID)},m.prototype.SetDebugDraw=function(){},m.prototype.DrawDebugData=function(){},window.Box2D.Collision.Shapes.b2CircleShape=function(a){this.radius=a,this.type="circle"},window.Box2D.Collision.Shapes.b2PolygonShape=function(){this.SetAsBox=function(a,b){this.type="box",this.width=a,this.height=b},this.SetAsEdge=function(a,b){this.type="edge",this.p1x=a.x,this.p1y=a.y,this.p2x=b.x,this.p2y=b.y},this.SetAsArray=function(a,b){this.type="polygon",this.vertices=[];for(var c=0;b>c;c++)this.vertices.push(a[c].x),this.vertices.push(a[c].y)}};var n=function(){this.shape=null,this.userData=null,this.friction=.2,this.restitution=0,this.density=0,this.isSensor=!1,this.filter={categoryBits:1,maskBits:65535,groupIndex:0}};window.Box2D.Dynamics.b2FixtureDef=n;var o=function(a){this.bodyA=a.bodyA,this.bodyB=a.bodyB,this.userData=a.userData,this.type=a.type,this.next=null};window.Box2D.Dynamics.Joints.b2Joint=o,o.prototype.GetBodyA=function(){return this.bodyA},o.prototype.GetBodyB=function(){return this.bodyB},o.prototype.GetUserData=function(){return this.userData},o.prototype.GetType=function(){return this.type},o.prototype.GetNext=function(){return this.next},o.e_distanceJoint=0,o.e_revoluteJoint=1;var p=function(a,c,d,e){if(this.type=o.e_distanceJoint,this.localAnchorA=new b,this.localAnchorB=new b,this.userData=null,void 0!==a&&(this.bodyA=a),void 0!==c&&(this.bodyB=c),void 0!==d&&this.localAnchorA.SetV(d),void 0!==e&&this.localAnchorB.SetV(e),void 0!==d&&void 0!==e){var f=e.x-d.x,g=e.y-d.y;this.length=Math.sqrt(f*f+g*g)}this.frequencyHz=0,this.dampingRatio=0};window.Box2D.Dynamics.Joints.b2DistanceJointDef=p;var q=function(a,c,d,e){this.type=o.e_revoluteJoint,this.localAnchorA=new b,this.localAnchorB=new b,this.userData=null,void 0!==a&&(this.bodyA=a),void 0!==c&&(this.bodyB=c),void 0!==d&&this.localAnchorA.SetV(d),void 0!==e&&this.localAnchorB.SetV(e),this.referenceAngle=0,this.lowerAngle=0,this.upperAngle=0,this.maxMotorTorque=0,this.motorSpeed=0,this.enableLimit=!1,this.enableMotor=!1};q.prototype.Initialize=function(a,b,c){this.bodyA=a,this.bodyB=b,this.localAnchorA=this.bodyA.GetLocalPoint(c),this.localAnchorB=this.bodyB.GetLocalPoint(c),this.referenceAngle=this.bodyB.GetAngle()-this.bodyA.GetAngle()},window.Box2D.Dynamics.Joints.b2RevoluteJointDef=q}()):console.log("The CocoonJS binding for Box2D has been ignored because ext.IDTK_SRV_BOX2D is not available");
(function() {
var cr = {};
cr.plugins_ = {};
cr.behaviors = {};
if (typeof Object.getPrototypeOf !== "function")
{
	if (typeof "test".__proto__ === "object")
	{
		Object.getPrototypeOf = function(object) {
			return object.__proto__;
		};
	}
	else
	{
		Object.getPrototypeOf = function(object) {
			return object.constructor.prototype;
		};
	}
}
(function(){
	cr.logexport = function (msg)
	{
		if (window.console && window.console.log)
			window.console.log(msg);
	};
	cr.seal = function(x)
	{
		return x;
	};
	cr.freeze = function(x)
	{
		return x;
	};
	cr.is_undefined = function (x)
	{
		return typeof x === "undefined";
	};
	cr.is_number = function (x)
	{
		return typeof x === "number";
	};
	cr.is_string = function (x)
	{
		return typeof x === "string";
	};
	cr.isPOT = function (x)
	{
		return x > 0 && ((x - 1) & x) === 0;
	};
	cr.nextHighestPowerOfTwo = function(x) {
		--x;
		for (var i = 1; i < 32; i <<= 1) {
			x = x | x >> i;
		}
		return x + 1;
	}
	cr.abs = function (x)
	{
		return (x < 0 ? -x : x);
	};
	cr.max = function (a, b)
	{
		return (a > b ? a : b);
	};
	cr.min = function (a, b)
	{
		return (a < b ? a : b);
	};
	cr.PI = Math.PI;
	cr.round = function (x)
	{
		return (x + 0.5) | 0;
	};
	cr.floor = function (x)
	{
		if (x >= 0)
			return x | 0;
		else
			return (x | 0) - 1;		// correctly round down when negative
	};
	cr.ceil = function (x)
	{
		var f = x | 0;
		return (f === x ? f : f + 1);
	};
	function Vector2(x, y)
	{
		this.x = x;
		this.y = y;
		cr.seal(this);
	};
	Vector2.prototype.offset = function (px, py)
	{
		this.x += px;
		this.y += py;
		return this;
	};
	Vector2.prototype.mul = function (px, py)
	{
		this.x *= px;
		this.y *= py;
		return this;
	};
	cr.vector2 = Vector2;
	cr.segments_intersect = function(a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y)
	{
		var max_ax, min_ax, max_ay, min_ay, max_bx, min_bx, max_by, min_by;
		if (a1x < a2x)
		{
			min_ax = a1x;
			max_ax = a2x;
		}
		else
		{
			min_ax = a2x;
			max_ax = a1x;
		}
		if (b1x < b2x)
		{
			min_bx = b1x;
			max_bx = b2x;
		}
		else
		{
			min_bx = b2x;
			max_bx = b1x;
		}
		if (max_ax < min_bx || min_ax > max_bx)
			return false;
		if (a1y < a2y)
		{
			min_ay = a1y;
			max_ay = a2y;
		}
		else
		{
			min_ay = a2y;
			max_ay = a1y;
		}
		if (b1y < b2y)
		{
			min_by = b1y;
			max_by = b2y;
		}
		else
		{
			min_by = b2y;
			max_by = b1y;
		}
		if (max_ay < min_by || min_ay > max_by)
			return false;
		var dpx = b1x - a1x + b2x - a2x;
		var dpy = b1y - a1y + b2y - a2y;
		var qax = a2x - a1x;
		var qay = a2y - a1y;
		var qbx = b2x - b1x;
		var qby = b2y - b1y;
		var d = cr.abs(qay * qbx - qby * qax);
		var la = qbx * dpy - qby * dpx;
		if (cr.abs(la) > d)
			return false;
		var lb = qax * dpy - qay * dpx;
		return cr.abs(lb) <= d;
	};
	function Rect(left, top, right, bottom)
	{
		this.set(left, top, right, bottom);
		cr.seal(this);
	};
	Rect.prototype.set = function (left, top, right, bottom)
	{
		this.left = left;
		this.top = top;
		this.right = right;
		this.bottom = bottom;
	};
	Rect.prototype.copy = function (r)
	{
		this.left = r.left;
		this.top = r.top;
		this.right = r.right;
		this.bottom = r.bottom;
	};
	Rect.prototype.width = function ()
	{
		return this.right - this.left;
	};
	Rect.prototype.height = function ()
	{
		return this.bottom - this.top;
	};
	Rect.prototype.offset = function (px, py)
	{
		this.left += px;
		this.top += py;
		this.right += px;
		this.bottom += py;
		return this;
	};
	Rect.prototype.normalize = function ()
	{
		var temp = 0;
		if (this.left > this.right)
		{
			temp = this.left;
			this.left = this.right;
			this.right = temp;
		}
		if (this.top > this.bottom)
		{
			temp = this.top;
			this.top = this.bottom;
			this.bottom = temp;
		}
	};
	Rect.prototype.intersects_rect = function (rc)
	{
		return !(rc.right < this.left || rc.bottom < this.top || rc.left > this.right || rc.top > this.bottom);
	};
	Rect.prototype.intersects_rect_off = function (rc, ox, oy)
	{
		return !(rc.right + ox < this.left || rc.bottom + oy < this.top || rc.left + ox > this.right || rc.top + oy > this.bottom);
	};
	Rect.prototype.contains_pt = function (x, y)
	{
		return (x >= this.left && x <= this.right) && (y >= this.top && y <= this.bottom);
	};
	Rect.prototype.equals = function (r)
	{
		return this.left === r.left && this.top === r.top && this.right === r.right && this.bottom === r.bottom;
	};
	cr.rect = Rect;
	function Quad()
	{
		this.tlx = 0;
		this.tly = 0;
		this.trx = 0;
		this.try_ = 0;	// is a keyword otherwise!
		this.brx = 0;
		this.bry = 0;
		this.blx = 0;
		this.bly = 0;
		cr.seal(this);
	};
	Quad.prototype.set_from_rect = function (rc)
	{
		this.tlx = rc.left;
		this.tly = rc.top;
		this.trx = rc.right;
		this.try_ = rc.top;
		this.brx = rc.right;
		this.bry = rc.bottom;
		this.blx = rc.left;
		this.bly = rc.bottom;
	};
	Quad.prototype.set_from_rotated_rect = function (rc, a)
	{
		if (a === 0)
		{
			this.set_from_rect(rc);
		}
		else
		{
			var sin_a = Math.sin(a);
			var cos_a = Math.cos(a);
			var left_sin_a = rc.left * sin_a;
			var top_sin_a = rc.top * sin_a;
			var right_sin_a = rc.right * sin_a;
			var bottom_sin_a = rc.bottom * sin_a;
			var left_cos_a = rc.left * cos_a;
			var top_cos_a = rc.top * cos_a;
			var right_cos_a = rc.right * cos_a;
			var bottom_cos_a = rc.bottom * cos_a;
			this.tlx = left_cos_a - top_sin_a;
			this.tly = top_cos_a + left_sin_a;
			this.trx = right_cos_a - top_sin_a;
			this.try_ = top_cos_a + right_sin_a;
			this.brx = right_cos_a - bottom_sin_a;
			this.bry = bottom_cos_a + right_sin_a;
			this.blx = left_cos_a - bottom_sin_a;
			this.bly = bottom_cos_a + left_sin_a;
		}
	};
	Quad.prototype.offset = function (px, py)
	{
		this.tlx += px;
		this.tly += py;
		this.trx += px;
		this.try_ += py;
		this.brx += px;
		this.bry += py;
		this.blx += px;
		this.bly += py;
		return this;
	};
	var minresult = 0;
	var maxresult = 0;
	function minmax4(a, b, c, d)
	{
		if (a < b)
		{
			if (c < d)
			{
				if (a < c)
					minresult = a;
				else
					minresult = c;
				if (b > d)
					maxresult = b;
				else
					maxresult = d;
			}
			else
			{
				if (a < d)
					minresult = a;
				else
					minresult = d;
				if (b > c)
					maxresult = b;
				else
					maxresult = c;
			}
		}
		else
		{
			if (c < d)
			{
				if (b < c)
					minresult = b;
				else
					minresult = c;
				if (a > d)
					maxresult = a;
				else
					maxresult = d;
			}
			else
			{
				if (b < d)
					minresult = b;
				else
					minresult = d;
				if (a > c)
					maxresult = a;
				else
					maxresult = c;
			}
		}
	};
	Quad.prototype.bounding_box = function (rc)
	{
		minmax4(this.tlx, this.trx, this.brx, this.blx);
		rc.left = minresult;
		rc.right = maxresult;
		minmax4(this.tly, this.try_, this.bry, this.bly);
		rc.top = minresult;
		rc.bottom = maxresult;
	};
	Quad.prototype.contains_pt = function (x, y)
	{
		var v0x = this.trx - this.tlx;
		var v0y = this.try_ - this.tly;
		var v1x = this.brx - this.tlx;
		var v1y = this.bry - this.tly;
		var v2x = x - this.tlx;
		var v2y = y - this.tly;
		var dot00 = v0x * v0x + v0y * v0y
		var dot01 = v0x * v1x + v0y * v1y
		var dot02 = v0x * v2x + v0y * v2y
		var dot11 = v1x * v1x + v1y * v1y
		var dot12 = v1x * v2x + v1y * v2y
		var invDenom = 1.0 / (dot00 * dot11 - dot01 * dot01);
		var u = (dot11 * dot02 - dot01 * dot12) * invDenom;
		var v = (dot00 * dot12 - dot01 * dot02) * invDenom;
		if ((u >= 0.0) && (v > 0.0) && (u + v < 1))
			return true;
		v0x = this.blx - this.tlx;
		v0y = this.bly - this.tly;
		var dot00 = v0x * v0x + v0y * v0y
		var dot01 = v0x * v1x + v0y * v1y
		var dot02 = v0x * v2x + v0y * v2y
		invDenom = 1.0 / (dot00 * dot11 - dot01 * dot01);
		u = (dot11 * dot02 - dot01 * dot12) * invDenom;
		v = (dot00 * dot12 - dot01 * dot02) * invDenom;
		return (u >= 0.0) && (v > 0.0) && (u + v < 1);
	};
	Quad.prototype.at = function (i, xory)
	{
		if (xory)
		{
			switch (i)
			{
				case 0: return this.tlx;
				case 1: return this.trx;
				case 2: return this.brx;
				case 3: return this.blx;
				case 4: return this.tlx;
				default: return this.tlx;
			}
		}
		else
		{
			switch (i)
			{
				case 0: return this.tly;
				case 1: return this.try_;
				case 2: return this.bry;
				case 3: return this.bly;
				case 4: return this.tly;
				default: return this.tly;
			}
		}
	};
	Quad.prototype.midX = function ()
	{
		return (this.tlx + this.trx  + this.brx + this.blx) / 4;
	};
	Quad.prototype.midY = function ()
	{
		return (this.tly + this.try_ + this.bry + this.bly) / 4;
	};
	Quad.prototype.intersects_segment = function (x1, y1, x2, y2)
	{
		if (this.contains_pt(x1, y1) || this.contains_pt(x2, y2))
			return true;
		var a1x, a1y, a2x, a2y;
		var i;
		for (i = 0; i < 4; i++)
		{
			a1x = this.at(i, true);
			a1y = this.at(i, false);
			a2x = this.at(i + 1, true);
			a2y = this.at(i + 1, false);
			if (cr.segments_intersect(x1, y1, x2, y2, a1x, a1y, a2x, a2y))
				return true;
		}
		return false;
	};
	Quad.prototype.intersects_quad = function (rhs)
	{
		var midx = rhs.midX();
		var midy = rhs.midY();
		if (this.contains_pt(midx, midy))
			return true;
		midx = this.midX();
		midy = this.midY();
		if (rhs.contains_pt(midx, midy))
			return true;
		var a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y;
		var i, j;
		for (i = 0; i < 4; i++)
		{
			for (j = 0; j < 4; j++)
			{
				a1x = this.at(i, true);
				a1y = this.at(i, false);
				a2x = this.at(i + 1, true);
				a2y = this.at(i + 1, false);
				b1x = rhs.at(j, true);
				b1y = rhs.at(j, false);
				b2x = rhs.at(j + 1, true);
				b2y = rhs.at(j + 1, false);
				if (cr.segments_intersect(a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y))
					return true;
			}
		}
		return false;
	};
	cr.quad = Quad;
	cr.RGB = function (red, green, blue)
	{
		return Math.max(Math.min(red, 255), 0)
			 | (Math.max(Math.min(green, 255), 0) << 8)
			 | (Math.max(Math.min(blue, 255), 0) << 16);
	};
	cr.GetRValue = function (rgb)
	{
		return rgb & 0xFF;
	};
	cr.GetGValue = function (rgb)
	{
		return (rgb & 0xFF00) >> 8;
	};
	cr.GetBValue = function (rgb)
	{
		return (rgb & 0xFF0000) >> 16;
	};
	cr.shallowCopy = function (a, b, allowOverwrite)
	{
		var attr;
		for (attr in b)
		{
			if (b.hasOwnProperty(attr))
			{
;
				a[attr] = b[attr];
			}
		}
		return a;
	};
	cr.arrayRemove = function (arr, index)
	{
		var i, len;
		index = cr.floor(index);
		if (index < 0 || index >= arr.length)
			return;							// index out of bounds
		for (i = index, len = arr.length - 1; i < len; i++)
			arr[i] = arr[i + 1];
		arr.length = len;
	};
	cr.shallowAssignArray = function (dest, src)
	{
		dest.length = src.length;
		var i, len;
		for (i = 0, len = src.length; i < len; i++)
			dest[i] = src[i];
	};
	cr.appendArray = function (a, b)
	{
		a.push.apply(a, b);
	};
	cr.fastIndexOf = function (arr, item)
	{
		var i, len;
		for (i = 0, len = arr.length; i < len; ++i)
		{
			if (arr[i] === item)
				return i;
		}
		return -1;
	};
	cr.arrayFindRemove = function (arr, item)
	{
		var index = cr.fastIndexOf(arr, item);
		if (index !== -1)
			cr.arrayRemove(arr, index);
	};
	cr.clamp = function(x, a, b)
	{
		if (x < a)
			return a;
		else if (x > b)
			return b;
		else
			return x;
	};
	cr.to_radians = function(x)
	{
		return x / (180.0 / cr.PI);
	};
	cr.to_degrees = function(x)
	{
		return x * (180.0 / cr.PI);
	};
	cr.clamp_angle_degrees = function (a)
	{
		a %= 360;       // now in (-360, 360) range
		if (a < 0)
			a += 360;   // now in [0, 360) range
		return a;
	};
	cr.clamp_angle = function (a)
	{
		a %= 2 * cr.PI;       // now in (-2pi, 2pi) range
		if (a < 0)
			a += 2 * cr.PI;   // now in [0, 2pi) range
		return a;
	};
	cr.to_clamped_degrees = function (x)
	{
		return cr.clamp_angle_degrees(cr.to_degrees(x));
	};
	cr.to_clamped_radians = function (x)
	{
		return cr.clamp_angle(cr.to_radians(x));
	};
	cr.angleTo = function(x1, y1, x2, y2)
	{
		var dx = x2 - x1;
        var dy = y2 - y1;
		return Math.atan2(dy, dx);
	};
	cr.angleDiff = function (a1, a2)
	{
		if (a1 === a2)
			return 0;
		var s1 = Math.sin(a1);
		var c1 = Math.cos(a1);
		var s2 = Math.sin(a2);
		var c2 = Math.cos(a2);
		var n = s1 * s2 + c1 * c2;
		if (n >= 1)
			return 0;
		if (n <= -1)
			return cr.PI;
		return Math.acos(n);
	};
	cr.angleRotate = function (start, end, step)
	{
		var ss = Math.sin(start);
		var cs = Math.cos(start);
		var se = Math.sin(end);
		var ce = Math.cos(end);
		if (Math.acos(ss * se + cs * ce) > step)
		{
			if (cs * se - ss * ce > 0)
				return cr.clamp_angle(start + step);
			else
				return cr.clamp_angle(start - step);
		}
		else
			return cr.clamp_angle(end);
	};
	cr.angleClockwise = function (a1, a2)
	{
		var s1 = Math.sin(a1);
		var c1 = Math.cos(a1);
		var s2 = Math.sin(a2);
		var c2 = Math.cos(a2);
		return c1 * s2 - s1 * c2 <= 0;
	};
	cr.rotatePtAround = function (px, py, a, ox, oy, getx)
	{
		if (a === 0)
			return getx ? px : py;
		var sin_a = Math.sin(a);
		var cos_a = Math.cos(a);
		px -= ox;
		py -= oy;
		var left_sin_a = px * sin_a;
		var top_sin_a = py * sin_a;
		var left_cos_a = px * cos_a;
		var top_cos_a = py * cos_a;
		px = left_cos_a - top_sin_a;
		py = top_cos_a + left_sin_a;
		px += ox;
		py += oy;
		return getx ? px : py;
	}
	cr.distanceTo = function(x1, y1, x2, y2)
	{
		var dx = x2 - x1;
        var dy = y2 - y1;
		return Math.sqrt(dx*dx + dy*dy);
	};
	cr.xor = function (x, y)
	{
		return !x !== !y;
	};
	cr.lerp = function (a, b, x)
	{
		return a + (b - a) * x;
	};
	cr.unlerp = function (a, b, c)
	{
		if (a === b)
			return 0;		// avoid divide by 0
		return (c - a) / (b - a);
	};
	cr.anglelerp = function (a, b, x)
	{
		var diff = cr.angleDiff(a, b);
		if (cr.angleClockwise(b, a))
		{
			return a + diff * x;
		}
		else
		{
			return a - diff * x;
		}
	};
	cr.qarp = function (a, b, c, x)
	{
		return cr.lerp(cr.lerp(a, b, x), cr.lerp(b, c, x), x);
	};
	cr.cubic = function (a, b, c, d, x)
	{
		return cr.lerp(cr.qarp(a, b, c, x), cr.qarp(b, c, d, x), x);
	};
	cr.cosp = function (a, b, x)
	{
		return (a + b + (a - b) * Math.cos(x * Math.PI)) / 2;
	};
	cr.hasAnyOwnProperty = function (o)
	{
		var p;
		for (p in o)
		{
			if (o.hasOwnProperty(p))
				return true;
		}
		return false;
	};
	cr.wipe = function (obj)
	{
		var p;
		for (p in obj)
		{
			if (obj.hasOwnProperty(p))
				delete obj[p];
		}
	};
	var startup_time = +(new Date());
	cr.performance_now = function()
	{
		if (typeof window["performance"] !== "undefined")
		{
			var winperf = window["performance"];
			if (typeof winperf.now !== "undefined")
				return winperf.now();
			else if (typeof winperf["webkitNow"] !== "undefined")
				return winperf["webkitNow"]();
			else if (typeof winperf["mozNow"] !== "undefined")
				return winperf["mozNow"]();
			else if (typeof winperf["msNow"] !== "undefined")
				return winperf["msNow"]();
		}
		return Date.now() - startup_time;
	};
	var isChrome = false;
	var isSafari = false;
	var isiOS = false;
	var isEjecta = false;
	if (typeof window !== "undefined")		// not c2 editor
	{
		isChrome = /chrome/i.test(navigator.userAgent) || /chromium/i.test(navigator.userAgent);
		isSafari = !isChrome && /safari/i.test(navigator.userAgent);
		isiOS = /(iphone|ipod|ipad)/i.test(navigator.userAgent);
		isEjecta = window["c2ejecta"];
	}
	var supports_set = ((!isSafari && !isEjecta && !isiOS) && (typeof Set !== "undefined" && typeof Set.prototype["forEach"] !== "undefined"));
	function ObjectSet_()
	{
		this.s = null;
		this.items = null;			// lazy allocated (hopefully results in better GC performance)
		this.item_count = 0;
		if (supports_set)
		{
			this.s = new Set();
		}
		this.values_cache = [];
		this.cache_valid = true;
		cr.seal(this);
	};
	ObjectSet_.prototype.contains = function (x)
	{
		if (this.isEmpty())
			return false;
		if (supports_set)
			return this.s["has"](x);
		else
			return (this.items && this.items.hasOwnProperty(x));
	};
	ObjectSet_.prototype.add = function (x)
	{
		if (supports_set)
		{
			if (!this.s["has"](x))
			{
				this.s["add"](x);
				this.cache_valid = false;
			}
		}
		else
		{
			var str = x.toString();
			var items = this.items;
			if (!items)
			{
				this.items = {};
				this.items[str] = x;
				this.item_count = 1;
				this.cache_valid = false;
			}
			else if (!items.hasOwnProperty(str))
			{
				items[str] = x;
				this.item_count++;
				this.cache_valid = false;
			}
		}
	};
	ObjectSet_.prototype.remove = function (x)
	{
		if (this.isEmpty())
			return;
		if (supports_set)
		{
			if (this.s["has"](x))
			{
				this.s["delete"](x);
				this.cache_valid = false;
			}
		}
		else if (this.items)
		{
			var str = x.toString();
			var items = this.items;
			if (items.hasOwnProperty(str))
			{
				delete items[str];
				this.item_count--;
				this.cache_valid = false;
			}
		}
	};
	ObjectSet_.prototype.clear = function (/*wipe_*/)
	{
		if (this.isEmpty())
			return;
		if (supports_set)
		{
			this.s["clear"]();			// best!
		}
		else
		{
				this.items = null;		// creates garbage; will lazy allocate on next add()
			this.item_count = 0;
		}
		this.values_cache.length = 0;
		this.cache_valid = true;
	};
	ObjectSet_.prototype.isEmpty = function ()
	{
		return this.count() === 0;
	};
	ObjectSet_.prototype.count = function ()
	{
		if (supports_set)
			return this.s["size"];
		else
			return this.item_count;
	};
	var current_arr = null;
	var current_index = 0;
	function set_append_to_arr(x)
	{
		current_arr[current_index++] = x;
	};
	ObjectSet_.prototype.update_cache = function ()
	{
		if (this.cache_valid)
			return;
		if (supports_set)
		{
			this.values_cache.length = this.s["size"];
			current_arr = this.values_cache;
			current_index = 0;
			this.s["forEach"](set_append_to_arr);
;
			current_arr = null;
			current_index = 0;
		}
		else
		{
			var values_cache = this.values_cache;
			values_cache.length = this.item_count;
			var p, n = 0, items = this.items;
			if (items)
			{
				for (p in items)
				{
					if (items.hasOwnProperty(p))
						values_cache[n++] = items[p];
				}
			}
;
		}
		this.cache_valid = true;
	};
	ObjectSet_.prototype.valuesRef = function ()
	{
		this.update_cache();
		return this.values_cache;
	};
	cr.ObjectSet = ObjectSet_;
	var tmpSet = new cr.ObjectSet();
	cr.removeArrayDuplicates = function (arr)
	{
		var i, len;
		for (i = 0, len = arr.length; i < len; ++i)
		{
			tmpSet.add(arr[i]);
		}
		cr.shallowAssignArray(arr, tmpSet.valuesRef());
		tmpSet.clear();
	};
	function KahanAdder_()
	{
		this.c = 0;
        this.y = 0;
        this.t = 0;
        this.sum = 0;
		cr.seal(this);
	};
	KahanAdder_.prototype.add = function (v)
	{
		this.y = v - this.c;
	    this.t = this.sum + this.y;
	    this.c = (this.t - this.sum) - this.y;
	    this.sum = this.t;
	};
    KahanAdder_.prototype.reset = function ()
    {
        this.c = 0;
        this.y = 0;
        this.t = 0;
        this.sum = 0;
    };
	cr.KahanAdder = KahanAdder_;
	cr.regexp_escape = function(text)
	{
		return text.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
	};
	function CollisionPoly_(pts_array_)
	{
		this.pts_cache = [];
		this.bboxLeft = 0;
		this.bboxTop = 0;
		this.bboxRight = 0;
		this.bboxBottom = 0;
		this.convexpolys = null;		// for physics behavior to cache separated polys
		this.set_pts(pts_array_);
		cr.seal(this);
	};
	CollisionPoly_.prototype.set_pts = function(pts_array_)
	{
		this.pts_array = pts_array_;
		this.pts_count = pts_array_.length / 2;			// x, y, x, y... in array
		this.pts_cache.length = pts_array_.length;
		this.cache_width = -1;
		this.cache_height = -1;
		this.cache_angle = 0;
	};
	CollisionPoly_.prototype.is_empty = function()
	{
		return !this.pts_array.length;
	};
	CollisionPoly_.prototype.update_bbox = function ()
	{
		var myptscache = this.pts_cache;
		var bboxLeft_ = myptscache[0];
		var bboxRight_ = bboxLeft_;
		var bboxTop_ = myptscache[1];
		var bboxBottom_ = bboxTop_;
		var x, y, i = 1, i2, len = this.pts_count;
		for ( ; i < len; ++i)
		{
			i2 = i*2;
			x = myptscache[i2];
			y = myptscache[i2+1];
			if (x < bboxLeft_)
				bboxLeft_ = x;
			if (x > bboxRight_)
				bboxRight_ = x;
			if (y < bboxTop_)
				bboxTop_ = y;
			if (y > bboxBottom_)
				bboxBottom_ = y;
		}
		this.bboxLeft = bboxLeft_;
		this.bboxRight = bboxRight_;
		this.bboxTop = bboxTop_;
		this.bboxBottom = bboxBottom_;
	};
	CollisionPoly_.prototype.set_from_rect = function(rc, offx, offy)
	{
		this.pts_cache.length = 8;
		this.pts_count = 4;
		var myptscache = this.pts_cache;
		myptscache[0] = rc.left - offx;
		myptscache[1] = rc.top - offy;
		myptscache[2] = rc.right - offx;
		myptscache[3] = rc.top - offy;
		myptscache[4] = rc.right - offx;
		myptscache[5] = rc.bottom - offy;
		myptscache[6] = rc.left - offx;
		myptscache[7] = rc.bottom - offy;
		this.cache_width = rc.right - rc.left;
		this.cache_height = rc.bottom - rc.top;
		this.update_bbox();
	};
	CollisionPoly_.prototype.set_from_quad = function(q, offx, offy, w, h)
	{
		this.pts_cache.length = 8;
		this.pts_count = 4;
		var myptscache = this.pts_cache;
		myptscache[0] = q.tlx - offx;
		myptscache[1] = q.tly - offy;
		myptscache[2] = q.trx - offx;
		myptscache[3] = q.try_ - offy;
		myptscache[4] = q.brx - offx;
		myptscache[5] = q.bry - offy;
		myptscache[6] = q.blx - offx;
		myptscache[7] = q.bly - offy;
		this.cache_width = w;
		this.cache_height = h;
		this.update_bbox();
	};
	CollisionPoly_.prototype.set_from_poly = function (r)
	{
		this.pts_count = r.pts_count;
		cr.shallowAssignArray(this.pts_cache, r.pts_cache);
		this.bboxLeft = r.bboxLeft;
		this.bboxTop - r.bboxTop;
		this.bboxRight = r.bboxRight;
		this.bboxBottom = r.bboxBottom;
	};
	CollisionPoly_.prototype.cache_poly = function(w, h, a)
	{
		if (this.cache_width === w && this.cache_height === h && this.cache_angle === a)
			return;		// cache up-to-date
		this.cache_width = w;
		this.cache_height = h;
		this.cache_angle = a;
		var i, i2, i21, len, x, y;
		var sina = 0;
		var cosa = 1;
		var myptsarray = this.pts_array;
		var myptscache = this.pts_cache;
		if (a !== 0)
		{
			sina = Math.sin(a);
			cosa = Math.cos(a);
		}
		for (i = 0, len = this.pts_count; i < len; i++)
		{
			i2 = i*2;
			i21 = i2+1;
			x = myptsarray[i2] * w;
			y = myptsarray[i21] * h;
			myptscache[i2] = (x * cosa) - (y * sina);
			myptscache[i21] = (y * cosa) + (x * sina);
		}
		this.update_bbox();
	};
	CollisionPoly_.prototype.contains_pt = function (a2x, a2y)
	{
		var myptscache = this.pts_cache;
		if (a2x === myptscache[0] && a2y === myptscache[1])
			return true;
		var i, i2, imod, len = this.pts_count;
		var a1x = this.bboxLeft - 110;
		var a1y = this.bboxTop - 101;
		var a3x = this.bboxRight + 131
		var a3y = this.bboxBottom + 120;
		var b1x, b1y, b2x, b2y;
		var count1 = 0, count2 = 0;
		for (i = 0; i < len; i++)
		{
			i2 = i*2;
			imod = ((i+1)%len)*2;
			b1x = myptscache[i2];
			b1y = myptscache[i2+1];
			b2x = myptscache[imod];
			b2y = myptscache[imod+1];
			if (cr.segments_intersect(a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y))
				count1++;
			if (cr.segments_intersect(a3x, a3y, a2x, a2y, b1x, b1y, b2x, b2y))
				count2++;
		}
		return (count1 % 2 === 1) || (count2 % 2 === 1);
	};
	CollisionPoly_.prototype.intersects_poly = function (rhs, offx, offy)
	{
		var rhspts = rhs.pts_cache;
		var mypts = this.pts_cache;
		if (this.contains_pt(rhspts[0] + offx, rhspts[1] + offy))
			return true;
		if (rhs.contains_pt(mypts[0] - offx, mypts[1] - offy))
			return true;
		var i, i2, imod, leni, j, j2, jmod, lenj;
		var a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y;
		for (i = 0, leni = this.pts_count; i < leni; i++)
		{
			i2 = i*2;
			imod = ((i+1)%leni)*2;
			a1x = mypts[i2];
			a1y = mypts[i2+1];
			a2x = mypts[imod];
			a2y = mypts[imod+1];
			for (j = 0, lenj = rhs.pts_count; j < lenj; j++)
			{
				j2 = j*2;
				jmod = ((j+1)%lenj)*2;
				b1x = rhspts[j2] + offx;
				b1y = rhspts[j2+1] + offy;
				b2x = rhspts[jmod] + offx;
				b2y = rhspts[jmod+1] + offy;
				if (cr.segments_intersect(a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y))
					return true;
			}
		}
		return false;
	};
	CollisionPoly_.prototype.intersects_segment = function (offx, offy, x1, y1, x2, y2)
	{
		var mypts = this.pts_cache;
		if (this.contains_pt(x1 - offx, y1 - offy))
			return true;
		var i, leni, i2, imod;
		var a1x, a1y, a2x, a2y;
		for (i = 0, leni = this.pts_count; i < leni; i++)
		{
			i2 = i*2;
			imod = ((i+1)%leni)*2;
			a1x = mypts[i2] + offx;
			a1y = mypts[i2+1] + offy;
			a2x = mypts[imod] + offx;
			a2y = mypts[imod+1] + offy;
			if (cr.segments_intersect(x1, y1, x2, y2, a1x, a1y, a2x, a2y))
				return true;
		}
		return false;
	};
	CollisionPoly_.prototype.mirror = function (px)
	{
		var i, leni, i2;
		for (i = 0, leni = this.pts_count; i < leni; ++i)
		{
			i2 = i*2;
			this.pts_cache[i2] = px * 2 - this.pts_cache[i2];
		}
	};
	CollisionPoly_.prototype.flip = function (py)
	{
		var i, leni, i21;
		for (i = 0, leni = this.pts_count; i < leni; ++i)
		{
			i21 = i*2+1;
			this.pts_cache[i21] = py * 2 - this.pts_cache[i21];
		}
	};
	CollisionPoly_.prototype.diag = function ()
	{
		var i, leni, i2, i21, temp;
		for (i = 0, leni = this.pts_count; i < leni; ++i)
		{
			i2 = i*2;
			i21 = i2+1;
			temp = this.pts_cache[i2];
			this.pts_cache[i2] = this.pts_cache[i21];
			this.pts_cache[i21] = temp;
		}
	};
	cr.CollisionPoly = CollisionPoly_;
	function SparseGrid_(cellwidth_, cellheight_)
	{
		this.cellwidth = cellwidth_;
		this.cellheight = cellheight_;
		this.cells = {};
	};
	SparseGrid_.prototype.totalCellCount = 0;
	SparseGrid_.prototype.getCell = function (x_, y_, create_if_missing)
	{
		var ret;
		var col = this.cells[x_];
		if (!col)
		{
			if (create_if_missing)
			{
				ret = allocGridCell(this, x_, y_);
				this.cells[x_] = {};
				this.cells[x_][y_] = ret;
				return ret;
			}
			else
				return null;
		}
		ret = col[y_];
		if (ret)
			return ret;
		else if (create_if_missing)
		{
			ret = allocGridCell(this, x_, y_);
			this.cells[x_][y_] = ret;
			return ret;
		}
		else
			return null;
	};
	SparseGrid_.prototype.XToCell = function (x_)
	{
		return cr.floor(x_ / this.cellwidth);
	};
	SparseGrid_.prototype.YToCell = function (y_)
	{
		return cr.floor(y_ / this.cellheight);
	};
	SparseGrid_.prototype.update = function (inst, oldrange, newrange)
	{
		var x, lenx, y, leny, cell;
		if (oldrange)
		{
			for (x = oldrange.left, lenx = oldrange.right; x <= lenx; ++x)
			{
				for (y = oldrange.top, leny = oldrange.bottom; y <= leny; ++y)
				{
					if (newrange && newrange.contains_pt(x, y))
						continue;	// is still in this cell
					cell = this.getCell(x, y, false);	// don't create if missing
					if (!cell)
						continue;	// cell does not exist yet
					cell.remove(inst);
					if (cell.isEmpty())
					{
						freeGridCell(cell);
						this.cells[x][y] = null;
					}
				}
			}
		}
		if (newrange)
		{
			for (x = newrange.left, lenx = newrange.right; x <= lenx; ++x)
			{
				for (y = newrange.top, leny = newrange.bottom; y <= leny; ++y)
				{
					if (oldrange && oldrange.contains_pt(x, y))
						continue;	// is still in this cell
					this.getCell(x, y, true).insert(inst);
				}
			}
		}
	};
	SparseGrid_.prototype.queryRange = function (rc, result)
	{
		var x, lenx, ystart, y, leny, cell;
		x = this.XToCell(rc.left);
		ystart = this.YToCell(rc.top);
		lenx = this.XToCell(rc.right);
		leny = this.YToCell(rc.bottom);
		for ( ; x <= lenx; ++x)
		{
			for (y = ystart; y <= leny; ++y)
			{
				cell = this.getCell(x, y, false);
				if (!cell)
					continue;
				cell.dump(result);
			}
		}
	};
	cr.SparseGrid = SparseGrid_;
	var gridcellcache = [];
	function allocGridCell(grid_, x_, y_)
	{
		var ret;
		SparseGrid_.prototype.totalCellCount++;
		if (gridcellcache.length)
		{
			ret = gridcellcache.pop();
			ret.grid = grid_;
			ret.x = x_;
			ret.y = y_;
			return ret;
		}
		else
			return new cr.GridCell(grid_, x_, y_);
	};
	function freeGridCell(c)
	{
		SparseGrid_.prototype.totalCellCount--;
		c.objects.clear();
		if (gridcellcache.length < 1000)
			gridcellcache.push(c);
	};
	function GridCell_(grid_, x_, y_)
	{
		this.grid = grid_;
		this.x = x_;
		this.y = y_;
		this.objects = new cr.ObjectSet();
	};
	GridCell_.prototype.isEmpty = function ()
	{
		return this.objects.isEmpty();
	};
	GridCell_.prototype.insert = function (inst)
	{
		this.objects.add(inst);
	};
	GridCell_.prototype.remove = function (inst)
	{
		this.objects.remove(inst);
	};
	GridCell_.prototype.dump = function (result)
	{
		cr.appendArray(result, this.objects.valuesRef());
	};
	cr.GridCell = GridCell_;
	var fxNames = [ "lighter",
					"xor",
					"copy",
					"destination-over",
					"source-in",
					"destination-in",
					"source-out",
					"destination-out",
					"source-atop",
					"destination-atop"];
	cr.effectToCompositeOp = function(effect)
	{
		if (effect <= 0 || effect >= 11)
			return "source-over";
		return fxNames[effect - 1];	// not including "none" so offset by 1
	};
	cr.setGLBlend = function(this_, effect, gl)
	{
		if (!gl)
			return;
		this_.srcBlend = gl.ONE;
		this_.destBlend = gl.ONE_MINUS_SRC_ALPHA;
		switch (effect) {
		case 1:		// lighter (additive)
			this_.srcBlend = gl.ONE;
			this_.destBlend = gl.ONE;
			break;
		case 2:		// xor
			break;	// todo
		case 3:		// copy
			this_.srcBlend = gl.ONE;
			this_.destBlend = gl.ZERO;
			break;
		case 4:		// destination-over
			this_.srcBlend = gl.ONE_MINUS_DST_ALPHA;
			this_.destBlend = gl.ONE;
			break;
		case 5:		// source-in
			this_.srcBlend = gl.DST_ALPHA;
			this_.destBlend = gl.ZERO;
			break;
		case 6:		// destination-in
			this_.srcBlend = gl.ZERO;
			this_.destBlend = gl.SRC_ALPHA;
			break;
		case 7:		// source-out
			this_.srcBlend = gl.ONE_MINUS_DST_ALPHA;
			this_.destBlend = gl.ZERO;
			break;
		case 8:		// destination-out
			this_.srcBlend = gl.ZERO;
			this_.destBlend = gl.ONE_MINUS_SRC_ALPHA;
			break;
		case 9:		// source-atop
			this_.srcBlend = gl.DST_ALPHA;
			this_.destBlend = gl.ONE_MINUS_SRC_ALPHA;
			break;
		case 10:	// destination-atop
			this_.srcBlend = gl.ONE_MINUS_DST_ALPHA;
			this_.destBlend = gl.SRC_ALPHA;
			break;
		}
	};
	cr.round6dp = function (x)
	{
		return Math.round(x * 1000000) / 1000000;
	};
	/*
	var localeCompare_options = {
		"usage": "search",
		"sensitivity": "accent"
	};
	var has_localeCompare = !!"a".localeCompare;
	var localeCompare_works1 = (has_localeCompare && "a".localeCompare("A", undefined, localeCompare_options) === 0);
	var localeCompare_works2 = (has_localeCompare && "a".localeCompare("á", undefined, localeCompare_options) !== 0);
	var supports_localeCompare = (has_localeCompare && localeCompare_works1 && localeCompare_works2);
	*/
	cr.equals_nocase = function (a, b)
	{
		if (typeof a !== "string" || typeof b !== "string")
			return false;
		if (a.length !== b.length)
			return false;
		if (a === b)
			return true;
		/*
		if (supports_localeCompare)
		{
			return (a.localeCompare(b, undefined, localeCompare_options) === 0);
		}
		else
		{
		*/
			return a.toLowerCase() === b.toLowerCase();
	};
	cr.isCanvasInputEvent = function (e)
	{
		var target = e.target;
		if (!target)
			return true;
		if (target === document || target === window)
			return true;
		if (document && document.body && target === document.body)
			return true;
		if (cr.equals_nocase(target.tagName, "canvas"))
			return true;
		return false;
	};
}());
var MatrixArray=typeof Float32Array!=="undefined"?Float32Array:Array,glMatrixArrayType=MatrixArray,vec3={},mat3={},mat4={},quat4={};vec3.create=function(a){var b=new MatrixArray(3);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2]);return b};vec3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];return b};vec3.add=function(a,b,c){if(!c||a===c)return a[0]+=b[0],a[1]+=b[1],a[2]+=b[2],a;c[0]=a[0]+b[0];c[1]=a[1]+b[1];c[2]=a[2]+b[2];return c};
vec3.subtract=function(a,b,c){if(!c||a===c)return a[0]-=b[0],a[1]-=b[1],a[2]-=b[2],a;c[0]=a[0]-b[0];c[1]=a[1]-b[1];c[2]=a[2]-b[2];return c};vec3.negate=function(a,b){b||(b=a);b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];return b};vec3.scale=function(a,b,c){if(!c||a===c)return a[0]*=b,a[1]*=b,a[2]*=b,a;c[0]=a[0]*b;c[1]=a[1]*b;c[2]=a[2]*b;return c};
vec3.normalize=function(a,b){b||(b=a);var c=a[0],d=a[1],e=a[2],g=Math.sqrt(c*c+d*d+e*e);if(g){if(g===1)return b[0]=c,b[1]=d,b[2]=e,b}else return b[0]=0,b[1]=0,b[2]=0,b;g=1/g;b[0]=c*g;b[1]=d*g;b[2]=e*g;return b};vec3.cross=function(a,b,c){c||(c=a);var d=a[0],e=a[1],a=a[2],g=b[0],f=b[1],b=b[2];c[0]=e*b-a*f;c[1]=a*g-d*b;c[2]=d*f-e*g;return c};vec3.length=function(a){var b=a[0],c=a[1],a=a[2];return Math.sqrt(b*b+c*c+a*a)};vec3.dot=function(a,b){return a[0]*b[0]+a[1]*b[1]+a[2]*b[2]};
vec3.direction=function(a,b,c){c||(c=a);var d=a[0]-b[0],e=a[1]-b[1],a=a[2]-b[2],b=Math.sqrt(d*d+e*e+a*a);if(!b)return c[0]=0,c[1]=0,c[2]=0,c;b=1/b;c[0]=d*b;c[1]=e*b;c[2]=a*b;return c};vec3.lerp=function(a,b,c,d){d||(d=a);d[0]=a[0]+c*(b[0]-a[0]);d[1]=a[1]+c*(b[1]-a[1]);d[2]=a[2]+c*(b[2]-a[2]);return d};vec3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+"]"};
mat3.create=function(a){var b=new MatrixArray(9);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8]);return b};mat3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];return b};mat3.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=1;a[5]=0;a[6]=0;a[7]=0;a[8]=1;return a};
mat3.transpose=function(a,b){if(!b||a===b){var c=a[1],d=a[2],e=a[5];a[1]=a[3];a[2]=a[6];a[3]=c;a[5]=a[7];a[6]=d;a[7]=e;return a}b[0]=a[0];b[1]=a[3];b[2]=a[6];b[3]=a[1];b[4]=a[4];b[5]=a[7];b[6]=a[2];b[7]=a[5];b[8]=a[8];return b};mat3.toMat4=function(a,b){b||(b=mat4.create());b[15]=1;b[14]=0;b[13]=0;b[12]=0;b[11]=0;b[10]=a[8];b[9]=a[7];b[8]=a[6];b[7]=0;b[6]=a[5];b[5]=a[4];b[4]=a[3];b[3]=0;b[2]=a[2];b[1]=a[1];b[0]=a[0];return b};
mat3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+"]"};mat4.create=function(a){var b=new MatrixArray(16);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8],b[9]=a[9],b[10]=a[10],b[11]=a[11],b[12]=a[12],b[13]=a[13],b[14]=a[14],b[15]=a[15]);return b};
mat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=a[12];b[13]=a[13];b[14]=a[14];b[15]=a[15];return b};mat4.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=0;a[5]=1;a[6]=0;a[7]=0;a[8]=0;a[9]=0;a[10]=1;a[11]=0;a[12]=0;a[13]=0;a[14]=0;a[15]=1;return a};
mat4.transpose=function(a,b){if(!b||a===b){var c=a[1],d=a[2],e=a[3],g=a[6],f=a[7],h=a[11];a[1]=a[4];a[2]=a[8];a[3]=a[12];a[4]=c;a[6]=a[9];a[7]=a[13];a[8]=d;a[9]=g;a[11]=a[14];a[12]=e;a[13]=f;a[14]=h;return a}b[0]=a[0];b[1]=a[4];b[2]=a[8];b[3]=a[12];b[4]=a[1];b[5]=a[5];b[6]=a[9];b[7]=a[13];b[8]=a[2];b[9]=a[6];b[10]=a[10];b[11]=a[14];b[12]=a[3];b[13]=a[7];b[14]=a[11];b[15]=a[15];return b};
mat4.determinant=function(a){var b=a[0],c=a[1],d=a[2],e=a[3],g=a[4],f=a[5],h=a[6],i=a[7],j=a[8],k=a[9],l=a[10],n=a[11],o=a[12],m=a[13],p=a[14],a=a[15];return o*k*h*e-j*m*h*e-o*f*l*e+g*m*l*e+j*f*p*e-g*k*p*e-o*k*d*i+j*m*d*i+o*c*l*i-b*m*l*i-j*c*p*i+b*k*p*i+o*f*d*n-g*m*d*n-o*c*h*n+b*m*h*n+g*c*p*n-b*f*p*n-j*f*d*a+g*k*d*a+j*c*h*a-b*k*h*a-g*c*l*a+b*f*l*a};
mat4.inverse=function(a,b){b||(b=a);var c=a[0],d=a[1],e=a[2],g=a[3],f=a[4],h=a[5],i=a[6],j=a[7],k=a[8],l=a[9],n=a[10],o=a[11],m=a[12],p=a[13],r=a[14],s=a[15],A=c*h-d*f,B=c*i-e*f,t=c*j-g*f,u=d*i-e*h,v=d*j-g*h,w=e*j-g*i,x=k*p-l*m,y=k*r-n*m,z=k*s-o*m,C=l*r-n*p,D=l*s-o*p,E=n*s-o*r,q=1/(A*E-B*D+t*C+u*z-v*y+w*x);b[0]=(h*E-i*D+j*C)*q;b[1]=(-d*E+e*D-g*C)*q;b[2]=(p*w-r*v+s*u)*q;b[3]=(-l*w+n*v-o*u)*q;b[4]=(-f*E+i*z-j*y)*q;b[5]=(c*E-e*z+g*y)*q;b[6]=(-m*w+r*t-s*B)*q;b[7]=(k*w-n*t+o*B)*q;b[8]=(f*D-h*z+j*x)*q;
b[9]=(-c*D+d*z-g*x)*q;b[10]=(m*v-p*t+s*A)*q;b[11]=(-k*v+l*t-o*A)*q;b[12]=(-f*C+h*y-i*x)*q;b[13]=(c*C-d*y+e*x)*q;b[14]=(-m*u+p*B-r*A)*q;b[15]=(k*u-l*B+n*A)*q;return b};mat4.toRotationMat=function(a,b){b||(b=mat4.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
mat4.toMat3=function(a,b){b||(b=mat3.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[4];b[4]=a[5];b[5]=a[6];b[6]=a[8];b[7]=a[9];b[8]=a[10];return b};mat4.toInverseMat3=function(a,b){var c=a[0],d=a[1],e=a[2],g=a[4],f=a[5],h=a[6],i=a[8],j=a[9],k=a[10],l=k*f-h*j,n=-k*g+h*i,o=j*g-f*i,m=c*l+d*n+e*o;if(!m)return null;m=1/m;b||(b=mat3.create());b[0]=l*m;b[1]=(-k*d+e*j)*m;b[2]=(h*d-e*f)*m;b[3]=n*m;b[4]=(k*c-e*i)*m;b[5]=(-h*c+e*g)*m;b[6]=o*m;b[7]=(-j*c+d*i)*m;b[8]=(f*c-d*g)*m;return b};
mat4.multiply=function(a,b,c){c||(c=a);var d=a[0],e=a[1],g=a[2],f=a[3],h=a[4],i=a[5],j=a[6],k=a[7],l=a[8],n=a[9],o=a[10],m=a[11],p=a[12],r=a[13],s=a[14],a=a[15],A=b[0],B=b[1],t=b[2],u=b[3],v=b[4],w=b[5],x=b[6],y=b[7],z=b[8],C=b[9],D=b[10],E=b[11],q=b[12],F=b[13],G=b[14],b=b[15];c[0]=A*d+B*h+t*l+u*p;c[1]=A*e+B*i+t*n+u*r;c[2]=A*g+B*j+t*o+u*s;c[3]=A*f+B*k+t*m+u*a;c[4]=v*d+w*h+x*l+y*p;c[5]=v*e+w*i+x*n+y*r;c[6]=v*g+w*j+x*o+y*s;c[7]=v*f+w*k+x*m+y*a;c[8]=z*d+C*h+D*l+E*p;c[9]=z*e+C*i+D*n+E*r;c[10]=z*g+C*
j+D*o+E*s;c[11]=z*f+C*k+D*m+E*a;c[12]=q*d+F*h+G*l+b*p;c[13]=q*e+F*i+G*n+b*r;c[14]=q*g+F*j+G*o+b*s;c[15]=q*f+F*k+G*m+b*a;return c};mat4.multiplyVec3=function(a,b,c){c||(c=b);var d=b[0],e=b[1],b=b[2];c[0]=a[0]*d+a[4]*e+a[8]*b+a[12];c[1]=a[1]*d+a[5]*e+a[9]*b+a[13];c[2]=a[2]*d+a[6]*e+a[10]*b+a[14];return c};
mat4.multiplyVec4=function(a,b,c){c||(c=b);var d=b[0],e=b[1],g=b[2],b=b[3];c[0]=a[0]*d+a[4]*e+a[8]*g+a[12]*b;c[1]=a[1]*d+a[5]*e+a[9]*g+a[13]*b;c[2]=a[2]*d+a[6]*e+a[10]*g+a[14]*b;c[3]=a[3]*d+a[7]*e+a[11]*g+a[15]*b;return c};
mat4.translate=function(a,b,c){var d=b[0],e=b[1],b=b[2],g,f,h,i,j,k,l,n,o,m,p,r;if(!c||a===c)return a[12]=a[0]*d+a[4]*e+a[8]*b+a[12],a[13]=a[1]*d+a[5]*e+a[9]*b+a[13],a[14]=a[2]*d+a[6]*e+a[10]*b+a[14],a[15]=a[3]*d+a[7]*e+a[11]*b+a[15],a;g=a[0];f=a[1];h=a[2];i=a[3];j=a[4];k=a[5];l=a[6];n=a[7];o=a[8];m=a[9];p=a[10];r=a[11];c[0]=g;c[1]=f;c[2]=h;c[3]=i;c[4]=j;c[5]=k;c[6]=l;c[7]=n;c[8]=o;c[9]=m;c[10]=p;c[11]=r;c[12]=g*d+j*e+o*b+a[12];c[13]=f*d+k*e+m*b+a[13];c[14]=h*d+l*e+p*b+a[14];c[15]=i*d+n*e+r*b+a[15];
return c};mat4.scale=function(a,b,c){var d=b[0],e=b[1],b=b[2];if(!c||a===c)return a[0]*=d,a[1]*=d,a[2]*=d,a[3]*=d,a[4]*=e,a[5]*=e,a[6]*=e,a[7]*=e,a[8]*=b,a[9]*=b,a[10]*=b,a[11]*=b,a;c[0]=a[0]*d;c[1]=a[1]*d;c[2]=a[2]*d;c[3]=a[3]*d;c[4]=a[4]*e;c[5]=a[5]*e;c[6]=a[6]*e;c[7]=a[7]*e;c[8]=a[8]*b;c[9]=a[9]*b;c[10]=a[10]*b;c[11]=a[11]*b;c[12]=a[12];c[13]=a[13];c[14]=a[14];c[15]=a[15];return c};
mat4.rotate=function(a,b,c,d){var e=c[0],g=c[1],c=c[2],f=Math.sqrt(e*e+g*g+c*c),h,i,j,k,l,n,o,m,p,r,s,A,B,t,u,v,w,x,y,z;if(!f)return null;f!==1&&(f=1/f,e*=f,g*=f,c*=f);h=Math.sin(b);i=Math.cos(b);j=1-i;b=a[0];f=a[1];k=a[2];l=a[3];n=a[4];o=a[5];m=a[6];p=a[7];r=a[8];s=a[9];A=a[10];B=a[11];t=e*e*j+i;u=g*e*j+c*h;v=c*e*j-g*h;w=e*g*j-c*h;x=g*g*j+i;y=c*g*j+e*h;z=e*c*j+g*h;e=g*c*j-e*h;g=c*c*j+i;d?a!==d&&(d[12]=a[12],d[13]=a[13],d[14]=a[14],d[15]=a[15]):d=a;d[0]=b*t+n*u+r*v;d[1]=f*t+o*u+s*v;d[2]=k*t+m*u+A*
v;d[3]=l*t+p*u+B*v;d[4]=b*w+n*x+r*y;d[5]=f*w+o*x+s*y;d[6]=k*w+m*x+A*y;d[7]=l*w+p*x+B*y;d[8]=b*z+n*e+r*g;d[9]=f*z+o*e+s*g;d[10]=k*z+m*e+A*g;d[11]=l*z+p*e+B*g;return d};mat4.rotateX=function(a,b,c){var d=Math.sin(b),b=Math.cos(b),e=a[4],g=a[5],f=a[6],h=a[7],i=a[8],j=a[9],k=a[10],l=a[11];c?a!==c&&(c[0]=a[0],c[1]=a[1],c[2]=a[2],c[3]=a[3],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[4]=e*b+i*d;c[5]=g*b+j*d;c[6]=f*b+k*d;c[7]=h*b+l*d;c[8]=e*-d+i*b;c[9]=g*-d+j*b;c[10]=f*-d+k*b;c[11]=h*-d+l*b;return c};
mat4.rotateY=function(a,b,c){var d=Math.sin(b),b=Math.cos(b),e=a[0],g=a[1],f=a[2],h=a[3],i=a[8],j=a[9],k=a[10],l=a[11];c?a!==c&&(c[4]=a[4],c[5]=a[5],c[6]=a[6],c[7]=a[7],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[0]=e*b+i*-d;c[1]=g*b+j*-d;c[2]=f*b+k*-d;c[3]=h*b+l*-d;c[8]=e*d+i*b;c[9]=g*d+j*b;c[10]=f*d+k*b;c[11]=h*d+l*b;return c};
mat4.rotateZ=function(a,b,c){var d=Math.sin(b),b=Math.cos(b),e=a[0],g=a[1],f=a[2],h=a[3],i=a[4],j=a[5],k=a[6],l=a[7];c?a!==c&&(c[8]=a[8],c[9]=a[9],c[10]=a[10],c[11]=a[11],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[0]=e*b+i*d;c[1]=g*b+j*d;c[2]=f*b+k*d;c[3]=h*b+l*d;c[4]=e*-d+i*b;c[5]=g*-d+j*b;c[6]=f*-d+k*b;c[7]=h*-d+l*b;return c};
mat4.frustum=function(a,b,c,d,e,g,f){f||(f=mat4.create());var h=b-a,i=d-c,j=g-e;f[0]=e*2/h;f[1]=0;f[2]=0;f[3]=0;f[4]=0;f[5]=e*2/i;f[6]=0;f[7]=0;f[8]=(b+a)/h;f[9]=(d+c)/i;f[10]=-(g+e)/j;f[11]=-1;f[12]=0;f[13]=0;f[14]=-(g*e*2)/j;f[15]=0;return f};mat4.perspective=function(a,b,c,d,e){a=c*Math.tan(a*Math.PI/360);b*=a;return mat4.frustum(-b,b,-a,a,c,d,e)};
mat4.ortho=function(a,b,c,d,e,g,f){f||(f=mat4.create());var h=b-a,i=d-c,j=g-e;f[0]=2/h;f[1]=0;f[2]=0;f[3]=0;f[4]=0;f[5]=2/i;f[6]=0;f[7]=0;f[8]=0;f[9]=0;f[10]=-2/j;f[11]=0;f[12]=-(a+b)/h;f[13]=-(d+c)/i;f[14]=-(g+e)/j;f[15]=1;return f};
mat4.lookAt=function(a,b,c,d){d||(d=mat4.create());var e,g,f,h,i,j,k,l,n=a[0],o=a[1],a=a[2];g=c[0];f=c[1];e=c[2];c=b[1];j=b[2];if(n===b[0]&&o===c&&a===j)return mat4.identity(d);c=n-b[0];j=o-b[1];k=a-b[2];l=1/Math.sqrt(c*c+j*j+k*k);c*=l;j*=l;k*=l;b=f*k-e*j;e=e*c-g*k;g=g*j-f*c;(l=Math.sqrt(b*b+e*e+g*g))?(l=1/l,b*=l,e*=l,g*=l):g=e=b=0;f=j*g-k*e;h=k*b-c*g;i=c*e-j*b;(l=Math.sqrt(f*f+h*h+i*i))?(l=1/l,f*=l,h*=l,i*=l):i=h=f=0;d[0]=b;d[1]=f;d[2]=c;d[3]=0;d[4]=e;d[5]=h;d[6]=j;d[7]=0;d[8]=g;d[9]=i;d[10]=k;d[11]=
0;d[12]=-(b*n+e*o+g*a);d[13]=-(f*n+h*o+i*a);d[14]=-(c*n+j*o+k*a);d[15]=1;return d};mat4.fromRotationTranslation=function(a,b,c){c||(c=mat4.create());var d=a[0],e=a[1],g=a[2],f=a[3],h=d+d,i=e+e,j=g+g,a=d*h,k=d*i;d*=j;var l=e*i;e*=j;g*=j;h*=f;i*=f;f*=j;c[0]=1-(l+g);c[1]=k+f;c[2]=d-i;c[3]=0;c[4]=k-f;c[5]=1-(a+g);c[6]=e+h;c[7]=0;c[8]=d+i;c[9]=e-h;c[10]=1-(a+l);c[11]=0;c[12]=b[0];c[13]=b[1];c[14]=b[2];c[15]=1;return c};
mat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+", "+a[9]+", "+a[10]+", "+a[11]+", "+a[12]+", "+a[13]+", "+a[14]+", "+a[15]+"]"};quat4.create=function(a){var b=new MatrixArray(4);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3]);return b};quat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];return b};
quat4.calculateW=function(a,b){var c=a[0],d=a[1],e=a[2];if(!b||a===b)return a[3]=-Math.sqrt(Math.abs(1-c*c-d*d-e*e)),a;b[0]=c;b[1]=d;b[2]=e;b[3]=-Math.sqrt(Math.abs(1-c*c-d*d-e*e));return b};quat4.inverse=function(a,b){if(!b||a===b)return a[0]*=-1,a[1]*=-1,a[2]*=-1,a;b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];b[3]=a[3];return b};quat4.length=function(a){var b=a[0],c=a[1],d=a[2],a=a[3];return Math.sqrt(b*b+c*c+d*d+a*a)};
quat4.normalize=function(a,b){b||(b=a);var c=a[0],d=a[1],e=a[2],g=a[3],f=Math.sqrt(c*c+d*d+e*e+g*g);if(f===0)return b[0]=0,b[1]=0,b[2]=0,b[3]=0,b;f=1/f;b[0]=c*f;b[1]=d*f;b[2]=e*f;b[3]=g*f;return b};quat4.multiply=function(a,b,c){c||(c=a);var d=a[0],e=a[1],g=a[2],a=a[3],f=b[0],h=b[1],i=b[2],b=b[3];c[0]=d*b+a*f+e*i-g*h;c[1]=e*b+a*h+g*f-d*i;c[2]=g*b+a*i+d*h-e*f;c[3]=a*b-d*f-e*h-g*i;return c};
quat4.multiplyVec3=function(a,b,c){c||(c=b);var d=b[0],e=b[1],g=b[2],b=a[0],f=a[1],h=a[2],a=a[3],i=a*d+f*g-h*e,j=a*e+h*d-b*g,k=a*g+b*e-f*d,d=-b*d-f*e-h*g;c[0]=i*a+d*-b+j*-h-k*-f;c[1]=j*a+d*-f+k*-b-i*-h;c[2]=k*a+d*-h+i*-f-j*-b;return c};quat4.toMat3=function(a,b){b||(b=mat3.create());var c=a[0],d=a[1],e=a[2],g=a[3],f=c+c,h=d+d,i=e+e,j=c*f,k=c*h;c*=i;var l=d*h;d*=i;e*=i;f*=g;h*=g;g*=i;b[0]=1-(l+e);b[1]=k+g;b[2]=c-h;b[3]=k-g;b[4]=1-(j+e);b[5]=d+f;b[6]=c+h;b[7]=d-f;b[8]=1-(j+l);return b};
quat4.toMat4=function(a,b){b||(b=mat4.create());var c=a[0],d=a[1],e=a[2],g=a[3],f=c+c,h=d+d,i=e+e,j=c*f,k=c*h;c*=i;var l=d*h;d*=i;e*=i;f*=g;h*=g;g*=i;b[0]=1-(l+e);b[1]=k+g;b[2]=c-h;b[3]=0;b[4]=k-g;b[5]=1-(j+e);b[6]=d+f;b[7]=0;b[8]=c+h;b[9]=d-f;b[10]=1-(j+l);b[11]=0;b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
quat4.slerp=function(a,b,c,d){d||(d=a);var e=a[0]*b[0]+a[1]*b[1]+a[2]*b[2]+a[3]*b[3],g,f;if(Math.abs(e)>=1)return d!==a&&(d[0]=a[0],d[1]=a[1],d[2]=a[2],d[3]=a[3]),d;g=Math.acos(e);f=Math.sqrt(1-e*e);if(Math.abs(f)<0.001)return d[0]=a[0]*0.5+b[0]*0.5,d[1]=a[1]*0.5+b[1]*0.5,d[2]=a[2]*0.5+b[2]*0.5,d[3]=a[3]*0.5+b[3]*0.5,d;e=Math.sin((1-c)*g)/f;c=Math.sin(c*g)/f;d[0]=a[0]*e+b[0]*c;d[1]=a[1]*e+b[1]*c;d[2]=a[2]*e+b[2]*c;d[3]=a[3]*e+b[3]*c;return d};
quat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+"]"};
(function()
{
	var MAX_VERTICES = 8000;						// equates to 2500 objects being drawn
	var MAX_INDICES = (MAX_VERTICES / 2) * 3;		// 6 indices for every 4 vertices
	var MAX_POINTS = 8000;
	var MULTI_BUFFERS = 4;							// cycle 4 buffers to try and avoid blocking
	var BATCH_NULL = 0;
	var BATCH_QUAD = 1;
	var BATCH_SETTEXTURE = 2;
	var BATCH_SETOPACITY = 3;
	var BATCH_SETBLEND = 4;
	var BATCH_UPDATEMODELVIEW = 5;
	var BATCH_RENDERTOTEXTURE = 6;
	var BATCH_CLEAR = 7;
	var BATCH_POINTS = 8;
	var BATCH_SETPROGRAM = 9;
	var BATCH_SETPROGRAMPARAMETERS = 10;
	var BATCH_SETTEXTURE1 = 11;
	/*
	var lose_ext = null;
	window.lose_context = function ()
	{
		if (!lose_ext)
		{
			console.log("WEBGL_lose_context not supported");
			return;
		}
		lose_ext.loseContext();
	};
	window.restore_context = function ()
	{
		if (!lose_ext)
		{
			console.log("WEBGL_lose_context not supported");
			return;
		}
		lose_ext.restoreContext();
	};
	*/
	function GLWrap_(gl, isMobile)
	{
		this.isIE = /msie/i.test(navigator.userAgent) || /trident/i.test(navigator.userAgent);
		this.width = 0;		// not yet known, wait for call to setSize()
		this.height = 0;
		this.cam = vec3.create([0, 0, 100]);			// camera position
		this.look = vec3.create([0, 0, 0]);				// lookat position
		this.up = vec3.create([0, 1, 0]);				// up vector
		this.worldScale = vec3.create([1, 1, 1]);		// world scaling factor
		this.enable_mipmaps = true;
		this.matP = mat4.create();						// perspective matrix
		this.matMV = mat4.create();						// model view matrix
		this.lastMV = mat4.create();
		this.currentMV = mat4.create();
		this.gl = gl;
		this.initState();
	};
	GLWrap_.prototype.initState = function ()
	{
		var gl = this.gl;
		var i, len;
		this.lastOpacity = 1;
		this.lastTexture0 = null;			// last bound to TEXTURE0
		this.lastTexture1 = null;			// last bound to TEXTURE1
		this.currentOpacity = 1;
		gl.clearColor(0, 0, 0, 0);
		gl.clear(gl.COLOR_BUFFER_BIT);
		gl.enable(gl.BLEND);
        gl.blendFunc(gl.ONE, gl.ONE_MINUS_SRC_ALPHA);
		gl.disable(gl.CULL_FACE);
		gl.disable(gl.DEPTH_TEST);
		this.maxTextureSize = gl.getParameter(gl.MAX_TEXTURE_SIZE);
		this.lastSrcBlend = gl.ONE;
		this.lastDestBlend = gl.ONE_MINUS_SRC_ALPHA;
		this.pointBuffer = gl.createBuffer();
		gl.bindBuffer(gl.ARRAY_BUFFER, this.pointBuffer);
		this.vertexBuffers = new Array(MULTI_BUFFERS);
		this.texcoordBuffers = new Array(MULTI_BUFFERS);
		for (i = 0; i < MULTI_BUFFERS; i++)
		{
			this.vertexBuffers[i] = gl.createBuffer();
			gl.bindBuffer(gl.ARRAY_BUFFER, this.vertexBuffers[i]);
			this.texcoordBuffers[i] = gl.createBuffer();
			gl.bindBuffer(gl.ARRAY_BUFFER, this.texcoordBuffers[i]);
		}
		this.curBuffer = 0;
		this.indexBuffer = gl.createBuffer();
		gl.bindBuffer(gl.ELEMENT_ARRAY_BUFFER, this.indexBuffer);
		this.vertexData = new Float32Array(MAX_VERTICES * 2);
		this.texcoordData = new Float32Array(MAX_VERTICES * 2);
		this.pointData = new Float32Array(MAX_POINTS * 4);
		var indexData = new Uint16Array(MAX_INDICES);
		i = 0, len = MAX_INDICES;
		var fv = 0;
		while (i < len)
		{
			indexData[i++] = fv;		// top left
			indexData[i++] = fv + 1;	// top right
			indexData[i++] = fv + 2;	// bottom right (first tri)
			indexData[i++] = fv;		// top left
			indexData[i++] = fv + 2;	// bottom right
			indexData[i++] = fv + 3;	// bottom left
			fv += 4;
		}
		gl.bufferData(gl.ELEMENT_ARRAY_BUFFER, indexData, gl.STATIC_DRAW);
		this.vertexPtr = 0;
		this.pointPtr = 0;
		var fsSource, vsSource;
		this.shaderPrograms = [];
		fsSource = [
			"varying mediump vec2 vTex;",
			"uniform lowp float opacity;",
			"uniform lowp sampler2D samplerFront;",
			"void main(void) {",
			"	gl_FragColor = texture2D(samplerFront, vTex);",
			"	gl_FragColor *= opacity;",
			"}"
		].join("\n");
		vsSource = [
			"attribute highp vec2 aPos;",
			"attribute mediump vec2 aTex;",
			"varying mediump vec2 vTex;",
			"uniform highp mat4 matP;",
			"uniform highp mat4 matMV;",
			"void main(void) {",
			"	gl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);",
			"	vTex = aTex;",
			"}"
		].join("\n");
		var shaderProg = this.createShaderProgram({src: fsSource}, vsSource, "<default>");
;
		this.shaderPrograms.push(shaderProg);		// Default shader is always shader 0
		fsSource = [
			"uniform mediump sampler2D samplerFront;",
			"varying lowp float opacity;",
			"void main(void) {",
			"	gl_FragColor = texture2D(samplerFront, gl_PointCoord);",
			"	gl_FragColor *= opacity;",
			"}"
		].join("\n");
		var pointVsSource = [
			"attribute vec4 aPos;",
			"varying float opacity;",
			"uniform mat4 matP;",
			"uniform mat4 matMV;",
			"void main(void) {",
			"	gl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);",
			"	gl_PointSize = aPos.z;",
			"	opacity = aPos.w;",
			"}"
		].join("\n");
		shaderProg = this.createShaderProgram({src: fsSource}, pointVsSource, "<point>");
;
		this.shaderPrograms.push(shaderProg);		// Point shader is always shader 1
		for (var shader_name in cr.shaders)
		{
			if (cr.shaders.hasOwnProperty(shader_name))
				this.shaderPrograms.push(this.createShaderProgram(cr.shaders[shader_name], vsSource, shader_name));
		}
		gl.activeTexture(gl.TEXTURE0);
		gl.bindTexture(gl.TEXTURE_2D, null);
		this.batch = [];
		this.batchPtr = 0;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
		this.lastProgram = -1;				// start -1 so first switchProgram can do work
		this.currentProgram = -1;			// current program during batch execution
		this.currentShader = null;
		this.fbo = gl.createFramebuffer();
		this.renderToTex = null;
		this.tmpVec3 = vec3.create([0, 0, 0]);
;
		var pointsizes = gl.getParameter(gl.ALIASED_POINT_SIZE_RANGE);
		this.minPointSize = pointsizes[0];
		this.maxPointSize = pointsizes[1];
		if (this.maxPointSize > 2048)
			this.maxPointSize = 2048;
;
;
		this.switchProgram(0);
		cr.seal(this);
	};
	function GLShaderProgram(gl, shaderProgram, name)
	{
		this.gl = gl;
		this.shaderProgram = shaderProgram;
		this.name = name;
		this.locAPos = gl.getAttribLocation(shaderProgram, "aPos");
		this.locATex = gl.getAttribLocation(shaderProgram, "aTex");
		this.locMatP = gl.getUniformLocation(shaderProgram, "matP");
		this.locMatMV = gl.getUniformLocation(shaderProgram, "matMV");
		this.locOpacity = gl.getUniformLocation(shaderProgram, "opacity");
		this.locSamplerFront = gl.getUniformLocation(shaderProgram, "samplerFront");
		this.locSamplerBack = gl.getUniformLocation(shaderProgram, "samplerBack");
		this.locDestStart = gl.getUniformLocation(shaderProgram, "destStart");
		this.locDestEnd = gl.getUniformLocation(shaderProgram, "destEnd");
		this.locSeconds = gl.getUniformLocation(shaderProgram, "seconds");
		this.locPixelWidth = gl.getUniformLocation(shaderProgram, "pixelWidth");
		this.locPixelHeight = gl.getUniformLocation(shaderProgram, "pixelHeight");
		this.locLayerScale = gl.getUniformLocation(shaderProgram, "layerScale");
		this.locLayerAngle = gl.getUniformLocation(shaderProgram, "layerAngle");
		this.locViewOrigin = gl.getUniformLocation(shaderProgram, "viewOrigin");
		this.hasAnyOptionalUniforms = !!(this.locPixelWidth || this.locPixelHeight || this.locSeconds || this.locSamplerBack || this.locDestStart || this.locDestEnd || this.locLayerScale || this.locLayerAngle || this.locViewOrigin);
		this.lpPixelWidth = -999;		// set to something unlikely so never counts as cached on first set
		this.lpPixelHeight = -999;
		this.lpOpacity = 1;
		this.lpDestStartX = 0.0;
		this.lpDestStartY = 0.0;
		this.lpDestEndX = 1.0;
		this.lpDestEndY = 1.0;
		this.lpLayerScale = 1.0;
		this.lpLayerAngle = 0.0;
		this.lpViewOriginX = 0.0;
		this.lpViewOriginY = 0.0;
		this.lastCustomParams = [];
		this.lpMatMV = mat4.create();
		if (this.locOpacity)
			gl.uniform1f(this.locOpacity, 1);
		if (this.locSamplerFront)
			gl.uniform1i(this.locSamplerFront, 0);
		if (this.locSamplerBack)
			gl.uniform1i(this.locSamplerBack, 1);
		if (this.locDestStart)
			gl.uniform2f(this.locDestStart, 0.0, 0.0);
		if (this.locDestEnd)
			gl.uniform2f(this.locDestEnd, 1.0, 1.0);
		if (this.locLayerScale)
			gl.uniform1f(this.locLayerScale, 1.0);
		if (this.locLayerAngle)
			gl.uniform1f(this.locLayerAngle, 0.0);
		if (this.locViewOrigin)
			gl.uniform2f(this.locViewOrigin, 0.0, 0.0);
		this.hasCurrentMatMV = false;		// matMV needs updating
	};
	function areMat4sEqual(a, b)
	{
		return a[0]===b[0]&&a[1]===b[1]&&a[2]===b[2]&&a[3]===b[3]&&
			   a[4]===b[4]&&a[5]===b[5]&&a[6]===b[6]&&a[7]===b[7]&&
			   a[8]===b[8]&&a[9]===b[9]&&a[10]===b[10]&&a[11]===b[11]&&
			   a[12]===b[12]&&a[13]===b[13]&&a[14]===b[14]&&a[15]===b[15];
	};
	GLShaderProgram.prototype.updateMatMV = function (mv)
	{
		if (areMat4sEqual(this.lpMatMV, mv))
			return;		// no change, save the expensive GL call
		mat4.set(mv, this.lpMatMV);
		this.gl.uniformMatrix4fv(this.locMatMV, false, mv);
	};
	GLWrap_.prototype.createShaderProgram = function(shaderEntry, vsSource, name)
	{
		var gl = this.gl;
		var fragmentShader = gl.createShader(gl.FRAGMENT_SHADER);
		gl.shaderSource(fragmentShader, shaderEntry.src);
		gl.compileShader(fragmentShader);
		if (!gl.getShaderParameter(fragmentShader, gl.COMPILE_STATUS))
		{
;
			gl.deleteShader(fragmentShader);
			return null;
		}
		var vertexShader = gl.createShader(gl.VERTEX_SHADER);
		gl.shaderSource(vertexShader, vsSource);
		gl.compileShader(vertexShader);
		if (!gl.getShaderParameter(vertexShader, gl.COMPILE_STATUS))
		{
;
			gl.deleteShader(fragmentShader);
			gl.deleteShader(vertexShader);
			return null;
		}
		var shaderProgram = gl.createProgram();
		gl.attachShader(shaderProgram, fragmentShader);
		gl.attachShader(shaderProgram, vertexShader);
		gl.linkProgram(shaderProgram);
		if (!gl.getProgramParameter(shaderProgram, gl.LINK_STATUS))
		{
;
			gl.deleteShader(fragmentShader);
			gl.deleteShader(vertexShader);
			gl.deleteProgram(shaderProgram);
			return null;
		}
		gl.useProgram(shaderProgram);
		gl.deleteShader(fragmentShader);
		gl.deleteShader(vertexShader);
		var ret = new GLShaderProgram(gl, shaderProgram, name);
		ret.extendBoxHorizontal = shaderEntry.extendBoxHorizontal || 0;
		ret.extendBoxVertical = shaderEntry.extendBoxVertical || 0;
		ret.crossSampling = !!shaderEntry.crossSampling;
		ret.animated = !!shaderEntry.animated;
		ret.parameters = shaderEntry.parameters || [];
		var i, len;
		for (i = 0, len = ret.parameters.length; i < len; i++)
		{
			ret.parameters[i][1] = gl.getUniformLocation(shaderProgram, ret.parameters[i][0]);
			ret.lastCustomParams.push(0);
			gl.uniform1f(ret.parameters[i][1], 0);
		}
		cr.seal(ret);
		return ret;
	};
	GLWrap_.prototype.getShaderIndex = function(name_)
	{
		var i, len;
		for (i = 0, len = this.shaderPrograms.length; i < len; i++)
		{
			if (this.shaderPrograms[i].name === name_)
				return i;
		}
		return -1;
	};
	GLWrap_.prototype.project = function (x, y, out)
	{
		var mv = this.matMV;
		var proj = this.matP;
		var fTempo = [0, 0, 0, 0, 0, 0, 0, 0];
		fTempo[0] = mv[0]*x+mv[4]*y+mv[12];
		fTempo[1] = mv[1]*x+mv[5]*y+mv[13];
		fTempo[2] = mv[2]*x+mv[6]*y+mv[14];
		fTempo[3] = mv[3]*x+mv[7]*y+mv[15];
		fTempo[4] = proj[0]*fTempo[0]+proj[4]*fTempo[1]+proj[8]*fTempo[2]+proj[12]*fTempo[3];
		fTempo[5] = proj[1]*fTempo[0]+proj[5]*fTempo[1]+proj[9]*fTempo[2]+proj[13]*fTempo[3];
		fTempo[6] = proj[2]*fTempo[0]+proj[6]*fTempo[1]+proj[10]*fTempo[2]+proj[14]*fTempo[3];
		fTempo[7] = -fTempo[2];
		if(fTempo[7]===0.0)	//The w value
			return;
		fTempo[7]=1.0/fTempo[7];
		fTempo[4]*=fTempo[7];
		fTempo[5]*=fTempo[7];
		fTempo[6]*=fTempo[7];
		out[0]=(fTempo[4]*0.5+0.5)*this.width;
		out[1]=(fTempo[5]*0.5+0.5)*this.height;
	};
	GLWrap_.prototype.setSize = function(w, h, force)
	{
		if (this.width === w && this.height === h && !force)
			return;
		this.endBatch();
		this.width = w;
		this.height = h;
		this.gl.viewport(0, 0, w, h);
		mat4.perspective(45, w / h, 1, 1000, this.matP);
		mat4.lookAt(this.cam, this.look, this.up, this.matMV);
		var tl = [0, 0];
		var br = [0, 0];
		this.project(0, 0, tl);
		this.project(1, 1, br);
		this.worldScale[0] = 1 / (br[0] - tl[0]);
		this.worldScale[1] = -1 / (br[1] - tl[1]);
		var i, len, s;
		for (i = 0, len = this.shaderPrograms.length; i < len; i++)
		{
			s = this.shaderPrograms[i];
			s.hasCurrentMatMV = false;
			if (s.locMatP)
			{
				this.gl.useProgram(s.shaderProgram);
				this.gl.uniformMatrix4fv(s.locMatP, false, this.matP);
			}
		}
		this.gl.useProgram(this.shaderPrograms[this.lastProgram].shaderProgram);
		this.gl.bindTexture(this.gl.TEXTURE_2D, null);
		this.gl.activeTexture(this.gl.TEXTURE1);
		this.gl.bindTexture(this.gl.TEXTURE_2D, null);
		this.gl.activeTexture(this.gl.TEXTURE0);
		this.lastTexture0 = null;
		this.lastTexture1 = null;
	};
	GLWrap_.prototype.resetModelView = function ()
	{
		mat4.lookAt(this.cam, this.look, this.up, this.matMV);
		mat4.scale(this.matMV, this.worldScale);
	};
	GLWrap_.prototype.translate = function (x, y)
	{
		if (x === 0 && y === 0)
			return;
		this.tmpVec3[0] = x;// * this.worldScale[0];
		this.tmpVec3[1] = y;// * this.worldScale[1];
		this.tmpVec3[2] = 0;
		mat4.translate(this.matMV, this.tmpVec3);
	};
	GLWrap_.prototype.scale = function (x, y)
	{
		if (x === 1 && y === 1)
			return;
		this.tmpVec3[0] = x;
		this.tmpVec3[1] = y;
		this.tmpVec3[2] = 1;
		mat4.scale(this.matMV, this.tmpVec3);
	};
	GLWrap_.prototype.rotateZ = function (a)
	{
		if (a === 0)
			return;
		mat4.rotateZ(this.matMV, a);
	};
	GLWrap_.prototype.updateModelView = function()
	{
		var anydiff = false;
		for (var i = 0; i < 16; i++)
		{
			if (this.lastMV[i] !== this.matMV[i])
			{
				anydiff = true;
				break;
			}
		}
		if (!anydiff)
			return;
		var b = this.pushBatch();
		b.type = BATCH_UPDATEMODELVIEW;
		if (b.mat4param)
			mat4.set(this.matMV, b.mat4param);
		else
			b.mat4param = mat4.create(this.matMV);
		mat4.set(this.matMV, this.lastMV);
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	/*
	var debugBatch = false;
	jQuery(document).mousedown(
		function(info) {
			if (info.which === 2)
				debugBatch = true;
		}
	);
	*/
	function GLBatchJob(type_, glwrap_)
	{
		this.type = type_;
		this.glwrap = glwrap_;
		this.gl = glwrap_.gl;
		this.opacityParam = 0;		// for setOpacity()
		this.startIndex = 0;		// for quad()
		this.indexCount = 0;		// "
		this.texParam = null;		// for setTexture()
		this.mat4param = null;		// for updateModelView()
		this.shaderParams = [];		// for user parameters
		cr.seal(this);
	};
	GLBatchJob.prototype.doSetTexture = function ()
	{
		this.gl.bindTexture(this.gl.TEXTURE_2D, this.texParam);
	};
	GLBatchJob.prototype.doSetTexture1 = function ()
	{
		var gl = this.gl;
		gl.activeTexture(gl.TEXTURE1);
		gl.bindTexture(gl.TEXTURE_2D, this.texParam);
		gl.activeTexture(gl.TEXTURE0);
	};
	GLBatchJob.prototype.doSetOpacity = function ()
	{
		var o = this.opacityParam;
		var glwrap = this.glwrap;
		glwrap.currentOpacity = o;
		var curProg = glwrap.currentShader;
		if (curProg.locOpacity && curProg.lpOpacity !== o)
		{
			curProg.lpOpacity = o;
			this.gl.uniform1f(curProg.locOpacity, o);
		}
	};
	GLBatchJob.prototype.doQuad = function ()
	{
		this.gl.drawElements(this.gl.TRIANGLES, this.indexCount, this.gl.UNSIGNED_SHORT, this.startIndex * 2);
	};
	GLBatchJob.prototype.doSetBlend = function ()
	{
		this.gl.blendFunc(this.startIndex, this.indexCount);
	};
	GLBatchJob.prototype.doUpdateModelView = function ()
	{
		var i, len, s, shaderPrograms = this.glwrap.shaderPrograms, currentProgram = this.glwrap.currentProgram;
		for (i = 0, len = shaderPrograms.length; i < len; i++)
		{
			s = shaderPrograms[i];
			if (i === currentProgram && s.locMatMV)
			{
				s.updateMatMV(this.mat4param);
				s.hasCurrentMatMV = true;
			}
			else
				s.hasCurrentMatMV = false;
		}
		mat4.set(this.mat4param, this.glwrap.currentMV);
	};
	GLBatchJob.prototype.doRenderToTexture = function ()
	{
		var gl = this.gl;
		var glwrap = this.glwrap;
		if (this.texParam)
		{
			if (glwrap.lastTexture1 === this.texParam)
			{
				gl.activeTexture(gl.TEXTURE1);
				gl.bindTexture(gl.TEXTURE_2D, null);
				glwrap.lastTexture1 = null;
				gl.activeTexture(gl.TEXTURE0);
			}
			gl.bindFramebuffer(gl.FRAMEBUFFER, glwrap.fbo);
			gl.framebufferTexture2D(gl.FRAMEBUFFER, gl.COLOR_ATTACHMENT0, gl.TEXTURE_2D, this.texParam, 0);
		}
		else
		{
			gl.framebufferTexture2D(gl.FRAMEBUFFER, gl.COLOR_ATTACHMENT0, gl.TEXTURE_2D, null, 0);
			gl.bindFramebuffer(gl.FRAMEBUFFER, null);
		}
	};
	GLBatchJob.prototype.doClear = function ()
	{
		var gl = this.gl;
		if (this.startIndex === 0)		// clear whole surface
		{
			gl.clearColor(this.mat4param[0], this.mat4param[1], this.mat4param[2], this.mat4param[3]);
			gl.clear(gl.COLOR_BUFFER_BIT);
		}
		else							// clear rectangle
		{
			gl.enable(gl.SCISSOR_TEST);
			gl.scissor(this.mat4param[0], this.mat4param[1], this.mat4param[2], this.mat4param[3]);
			gl.clearColor(0, 0, 0, 0);
			gl.clear(this.gl.COLOR_BUFFER_BIT);
			gl.disable(gl.SCISSOR_TEST);
		}
	};
	GLBatchJob.prototype.doPoints = function ()
	{
		var gl = this.gl;
		var glwrap = this.glwrap;
		var s = glwrap.shaderPrograms[1];
		gl.useProgram(s.shaderProgram);
		if (!s.hasCurrentMatMV && s.locMatMV)
		{
			s.updateMatMV(glwrap.currentMV);
			s.hasCurrentMatMV = true;
		}
		gl.enableVertexAttribArray(s.locAPos);
		gl.bindBuffer(gl.ARRAY_BUFFER, glwrap.pointBuffer);
		gl.vertexAttribPointer(s.locAPos, 4, gl.FLOAT, false, 0, 0);
		gl.drawArrays(gl.POINTS, this.startIndex / 4, this.indexCount);
		s = glwrap.currentShader;
		gl.useProgram(s.shaderProgram);
		if (s.locAPos >= 0)
		{
			gl.enableVertexAttribArray(s.locAPos);
			gl.bindBuffer(gl.ARRAY_BUFFER, glwrap.vertexBuffers[glwrap.curBuffer]);
			gl.vertexAttribPointer(s.locAPos, 2, gl.FLOAT, false, 0, 0);
		}
		if (s.locATex >= 0)
		{
			gl.enableVertexAttribArray(s.locATex);
			gl.bindBuffer(gl.ARRAY_BUFFER, glwrap.texcoordBuffers[glwrap.curBuffer]);
			gl.vertexAttribPointer(s.locATex, 2, gl.FLOAT, false, 0, 0);
		}
	};
	GLBatchJob.prototype.doSetProgram = function ()
	{
		var gl = this.gl;
		var glwrap = this.glwrap;
		var s = glwrap.shaderPrograms[this.startIndex];		// recycled param to save memory
		glwrap.currentProgram = this.startIndex;			// current batch program
		glwrap.currentShader = s;
		gl.useProgram(s.shaderProgram);						// switch to
		if (!s.hasCurrentMatMV && s.locMatMV)
		{
			s.updateMatMV(glwrap.currentMV);
			s.hasCurrentMatMV = true;
		}
		if (s.locOpacity && s.lpOpacity !== glwrap.currentOpacity)
		{
			s.lpOpacity = glwrap.currentOpacity;
			gl.uniform1f(s.locOpacity, glwrap.currentOpacity);
		}
		if (s.locAPos >= 0)
		{
			gl.enableVertexAttribArray(s.locAPos);
			gl.bindBuffer(gl.ARRAY_BUFFER, glwrap.vertexBuffers[glwrap.curBuffer]);
			gl.vertexAttribPointer(s.locAPos, 2, gl.FLOAT, false, 0, 0);
		}
		if (s.locATex >= 0)
		{
			gl.enableVertexAttribArray(s.locATex);
			gl.bindBuffer(gl.ARRAY_BUFFER, glwrap.texcoordBuffers[glwrap.curBuffer]);
			gl.vertexAttribPointer(s.locATex, 2, gl.FLOAT, false, 0, 0);
		}
	}
	GLBatchJob.prototype.doSetProgramParameters = function ()
	{
		var i, len, s = this.glwrap.currentShader;
		var gl = this.gl;
		var mat4param = this.mat4param;
		if (s.locSamplerBack && this.glwrap.lastTexture1 !== this.texParam)
		{
			gl.activeTexture(gl.TEXTURE1);
			gl.bindTexture(gl.TEXTURE_2D, this.texParam);
			this.glwrap.lastTexture1 = this.texParam;
			gl.activeTexture(gl.TEXTURE0);
		}
		var v = mat4param[0];
		var v2;
		if (s.locPixelWidth && v !== s.lpPixelWidth)
		{
			s.lpPixelWidth = v;
			gl.uniform1f(s.locPixelWidth, v);
		}
		v = mat4param[1];
		if (s.locPixelHeight && v !== s.lpPixelHeight)
		{
			s.lpPixelHeight = v;
			gl.uniform1f(s.locPixelHeight, v);
		}
		v = mat4param[2];
		v2 = mat4param[3];
		if (s.locDestStart && (v !== s.lpDestStartX || v2 !== s.lpDestStartY))
		{
			s.lpDestStartX = v;
			s.lpDestStartY = v2;
			gl.uniform2f(s.locDestStart, v, v2);
		}
		v = mat4param[4];
		v2 = mat4param[5];
		if (s.locDestEnd && (v !== s.lpDestEndX || v2 !== s.lpDestEndY))
		{
			s.lpDestEndX = v;
			s.lpDestEndY = v;
			gl.uniform2f(s.locDestEnd, v, v2);
		}
		v = mat4param[6];
		if (s.locLayerScale && v !== s.lpLayerScale)
		{
			s.lpLayerScale = v;
			gl.uniform1f(s.locLayerScale, v);
		}
		v = mat4param[7];
		if (s.locLayerAngle && v !== s.lpLayerAngle)
		{
			s.lpLayerAngle = v;
			gl.uniform1f(s.locLayerAngle, v);
		}
		v = mat4param[8];
		v2 = mat4param[9];
		if (s.locViewOrigin && (v !== s.lpViewOriginX || v !== s.lpViewOriginY))
		{
			s.lpViewOriginX = v;
			s.lpViewOriginY = v2;
			gl.uniform2f(s.locViewOrigin, v, v2);
		}
		if (s.locSeconds)
			gl.uniform1f(s.locSeconds, cr.performance_now() / 1000.0);
		if (s.parameters.length)
		{
			for (i = 0, len = s.parameters.length; i < len; i++)
			{
				v = this.shaderParams[i];
				if (v !== s.lastCustomParams[i])
				{
					s.lastCustomParams[i] = v;
					gl.uniform1f(s.parameters[i][1], v);
				}
			}
		}
	};
	GLWrap_.prototype.pushBatch = function ()
	{
		if (this.batchPtr === this.batch.length)
			this.batch.push(new GLBatchJob(BATCH_NULL, this));
		return this.batch[this.batchPtr++];
	};
	GLWrap_.prototype.endBatch = function ()
	{
		if (this.batchPtr === 0)
			return;
		if (this.gl.isContextLost())
			return;
		var gl = this.gl;
		if (this.pointPtr > 0)
		{
			gl.bindBuffer(gl.ARRAY_BUFFER, this.pointBuffer);
			gl.bufferData(gl.ARRAY_BUFFER, this.pointData.subarray(0, this.pointPtr), gl.STREAM_DRAW);
			if (s && s.locAPos >= 0 && s.name === "<point>")
				gl.vertexAttribPointer(s.locAPos, 4, gl.FLOAT, false, 0, 0);
		}
		if (this.vertexPtr > 0)
		{
			var s = this.currentShader;
			gl.bindBuffer(gl.ARRAY_BUFFER, this.vertexBuffers[this.curBuffer]);
			gl.bufferData(gl.ARRAY_BUFFER, this.vertexData.subarray(0, this.vertexPtr), gl.STREAM_DRAW);
			if (s && s.locAPos >= 0 && s.name !== "<point>")
				gl.vertexAttribPointer(s.locAPos, 2, gl.FLOAT, false, 0, 0);
			gl.bindBuffer(gl.ARRAY_BUFFER, this.texcoordBuffers[this.curBuffer]);
			gl.bufferData(gl.ARRAY_BUFFER, this.texcoordData.subarray(0, this.vertexPtr), gl.STREAM_DRAW);
			if (s && s.locATex >= 0 && s.name !== "<point>")
				gl.vertexAttribPointer(s.locATex, 2, gl.FLOAT, false, 0, 0);
		}
		var i, len, b;
		for (i = 0, len = this.batchPtr; i < len; i++)
		{
			b = this.batch[i];
			switch (b.type) {
			case 1:
				b.doQuad();
				break;
			case 2:
				b.doSetTexture();
				break;
			case 3:
				b.doSetOpacity();
				break;
			case 4:
				b.doSetBlend();
				break;
			case 5:
				b.doUpdateModelView();
				break;
			case 6:
				b.doRenderToTexture();
				break;
			case 7:
				b.doClear();
				break;
			case 8:
				b.doPoints();
				break;
			case 9:
				b.doSetProgram();
				break;
			case 10:
				b.doSetProgramParameters();
				break;
			case 11:
				b.doSetTexture1();
				break;
			}
		}
		this.batchPtr = 0;
		this.vertexPtr = 0;
		this.pointPtr = 0;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
		this.curBuffer++;
		if (this.curBuffer >= MULTI_BUFFERS)
			this.curBuffer = 0;
	};
	GLWrap_.prototype.setOpacity = function (op)
	{
		if (op === this.lastOpacity)
			return;
		var b = this.pushBatch();
		b.type = BATCH_SETOPACITY;
		b.opacityParam = op;
		this.lastOpacity = op;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.setTexture = function (tex)
	{
		if (tex === this.lastTexture0)
			return;
;
		var b = this.pushBatch();
		b.type = BATCH_SETTEXTURE;
		b.texParam = tex;
		this.lastTexture0 = tex;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.setBlend = function (s, d)
	{
		if (s === this.lastSrcBlend && d === this.lastDestBlend)
			return;
		var b = this.pushBatch();
		b.type = BATCH_SETBLEND;
		b.startIndex = s;		// recycle params to save memory
		b.indexCount = d;
		this.lastSrcBlend = s;
		this.lastDestBlend = d;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.isPremultipliedAlphaBlend = function ()
	{
		return (this.lastSrcBlend === this.gl.ONE && this.lastDestBlend === this.gl.ONE_MINUS_SRC_ALPHA);
	};
	GLWrap_.prototype.setAlphaBlend = function ()
	{
		this.setBlend(this.gl.ONE, this.gl.ONE_MINUS_SRC_ALPHA);
	};
	GLWrap_.prototype.setNoPremultiplyAlphaBlend = function ()
	{
		this.setBlend(this.gl.SRC_ALPHA, this.gl.ONE_MINUS_SRC_ALPHA);
	};
	var LAST_VERTEX = MAX_VERTICES * 2 - 8;
	GLWrap_.prototype.quad = function(tlx, tly, trx, try_, brx, bry, blx, bly)
	{
		if (this.vertexPtr >= LAST_VERTEX)
			this.endBatch();
		var v = this.vertexPtr;			// vertex cursor
		var vd = this.vertexData;		// vertex data array
		var td = this.texcoordData;		// texture coord data array
		if (this.hasQuadBatchTop)
		{
			this.batch[this.batchPtr - 1].indexCount += 6;
		}
		else
		{
			var b = this.pushBatch();
			b.type = BATCH_QUAD;
			b.startIndex = (v / 4) * 3;
			b.indexCount = 6;
			this.hasQuadBatchTop = true;
			this.hasPointBatchTop = false;
		}
		vd[v] = tlx;
		td[v++] = 0;
		vd[v] = tly;
		td[v++] = 0;
		vd[v] = trx;
		td[v++] = 1;
		vd[v] = try_;
		td[v++] = 0;
		vd[v] = brx;
		td[v++] = 1;
		vd[v] = bry;
		td[v++] = 1;
		vd[v] = blx;
		td[v++] = 0;
		vd[v] = bly;
		td[v++] = 1;
		this.vertexPtr = v;
	};
	GLWrap_.prototype.quadTex = function(tlx, tly, trx, try_, brx, bry, blx, bly, rcTex)
	{
		if (this.vertexPtr >= LAST_VERTEX)
			this.endBatch();
		var v = this.vertexPtr;			// vertex cursor
		var vd = this.vertexData;		// vertex data array
		var td = this.texcoordData;		// texture coord data array
		if (this.hasQuadBatchTop)
		{
			this.batch[this.batchPtr - 1].indexCount += 6;
		}
		else
		{
			var b = this.pushBatch();
			b.type = BATCH_QUAD;
			b.startIndex = (v / 4) * 3;
			b.indexCount = 6;
			this.hasQuadBatchTop = true;
			this.hasPointBatchTop = false;
		}
		var rc_left = rcTex.left;
		var rc_top = rcTex.top;
		var rc_right = rcTex.right;
		var rc_bottom = rcTex.bottom;
		vd[v] = tlx;
		td[v++] = rc_left;
		vd[v] = tly;
		td[v++] = rc_top;
		vd[v] = trx;
		td[v++] = rc_right;
		vd[v] = try_;
		td[v++] = rc_top;
		vd[v] = brx;
		td[v++] = rc_right;
		vd[v] = bry;
		td[v++] = rc_bottom;
		vd[v] = blx;
		td[v++] = rc_left;
		vd[v] = bly;
		td[v++] = rc_bottom;
		this.vertexPtr = v;
	};
	GLWrap_.prototype.quadTexUV = function(tlx, tly, trx, try_, brx, bry, blx, bly, tlu, tlv, tru, trv, bru, brv, blu, blv)
	{
		if (this.vertexPtr >= LAST_VERTEX)
			this.endBatch();
		var v = this.vertexPtr;			// vertex cursor
		var vd = this.vertexData;		// vertex data array
		var td = this.texcoordData;		// texture coord data array
		if (this.hasQuadBatchTop)
		{
			this.batch[this.batchPtr - 1].indexCount += 6;
		}
		else
		{
			var b = this.pushBatch();
			b.type = BATCH_QUAD;
			b.startIndex = (v / 4) * 3;
			b.indexCount = 6;
			this.hasQuadBatchTop = true;
			this.hasPointBatchTop = false;
		}
		vd[v] = tlx;
		td[v++] = tlu;
		vd[v] = tly;
		td[v++] = tlv;
		vd[v] = trx;
		td[v++] = tru;
		vd[v] = try_;
		td[v++] = trv;
		vd[v] = brx;
		td[v++] = bru;
		vd[v] = bry;
		td[v++] = brv;
		vd[v] = blx;
		td[v++] = blu;
		vd[v] = bly;
		td[v++] = blv;
		this.vertexPtr = v;
	};
	GLWrap_.prototype.convexPoly = function(pts)
	{
		var pts_count = pts.length / 2;
;
		var tris = pts_count - 2;	// 3 points = 1 tri, 4 points = 2 tris, 5 points = 3 tris etc.
		var last_tri = tris - 1;
		var p0x = pts[0];
		var p0y = pts[1];
		var i, i2, p1x, p1y, p2x, p2y, p3x, p3y;
		for (i = 0; i < tris; i += 2)		// draw 2 triangles at a time
		{
			i2 = i * 2;
			p1x = pts[i2 + 2];
			p1y = pts[i2 + 3];
			p2x = pts[i2 + 4];
			p2y = pts[i2 + 5];
			if (i === last_tri)
			{
				this.quad(p0x, p0y, p1x, p1y, p2x, p2y, p2x, p2y);
			}
			else
			{
				p3x = pts[i2 + 6];
				p3y = pts[i2 + 7];
				this.quad(p0x, p0y, p1x, p1y, p2x, p2y, p3x, p3y);
			}
		}
	};
	var LAST_POINT = MAX_POINTS - 4;
	GLWrap_.prototype.point = function(x_, y_, size_, opacity_)
	{
		if (this.pointPtr >= LAST_POINT)
			this.endBatch();
		var p = this.pointPtr;			// point cursor
		var pd = this.pointData;		// point data array
		if (this.hasPointBatchTop)
		{
			this.batch[this.batchPtr - 1].indexCount++;
		}
		else
		{
			var b = this.pushBatch();
			b.type = BATCH_POINTS;
			b.startIndex = p;
			b.indexCount = 1;
			this.hasPointBatchTop = true;
			this.hasQuadBatchTop = false;
		}
		pd[p++] = x_;
		pd[p++] = y_;
		pd[p++] = size_;
		pd[p++] = opacity_;
		this.pointPtr = p;
	};
	GLWrap_.prototype.switchProgram = function (progIndex)
	{
		if (this.lastProgram === progIndex)
			return;			// no change
		var shaderProg = this.shaderPrograms[progIndex];
		if (!shaderProg)
		{
			if (this.lastProgram === 0)
				return;								// already on default shader
			progIndex = 0;
			shaderProg = this.shaderPrograms[0];
		}
		var b = this.pushBatch();
		b.type = BATCH_SETPROGRAM;
		b.startIndex = progIndex;
		this.lastProgram = progIndex;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.programUsesDest = function (progIndex)
	{
		var s = this.shaderPrograms[progIndex];
		return !!(s.locDestStart || s.locDestEnd);
	};
	GLWrap_.prototype.programUsesCrossSampling = function (progIndex)
	{
		var s = this.shaderPrograms[progIndex];
		return !!(s.locDestStart || s.locDestEnd || s.crossSampling);
	};
	GLWrap_.prototype.programExtendsBox = function (progIndex)
	{
		var s = this.shaderPrograms[progIndex];
		return s.extendBoxHorizontal !== 0 || s.extendBoxVertical !== 0;
	};
	GLWrap_.prototype.getProgramBoxExtendHorizontal = function (progIndex)
	{
		return this.shaderPrograms[progIndex].extendBoxHorizontal;
	};
	GLWrap_.prototype.getProgramBoxExtendVertical = function (progIndex)
	{
		return this.shaderPrograms[progIndex].extendBoxVertical;
	};
	GLWrap_.prototype.getProgramParameterType = function (progIndex, paramIndex)
	{
		return this.shaderPrograms[progIndex].parameters[paramIndex][2];
	};
	GLWrap_.prototype.programIsAnimated = function (progIndex)
	{
		return this.shaderPrograms[progIndex].animated;
	};
	GLWrap_.prototype.setProgramParameters = function (backTex, pixelWidth, pixelHeight, destStartX, destStartY, destEndX, destEndY, layerScale, layerAngle, viewOriginLeft, viewOriginTop, params)
	{
		var i, len;
		var s = this.shaderPrograms[this.lastProgram];
		var b, mat4param, shaderParams;
		if (s.hasAnyOptionalUniforms || params.length)
		{
			b = this.pushBatch();
			b.type = BATCH_SETPROGRAMPARAMETERS;
			if (b.mat4param)
				mat4.set(this.matMV, b.mat4param);
			else
				b.mat4param = mat4.create();
			mat4param = b.mat4param;
			mat4param[0] = pixelWidth;
			mat4param[1] = pixelHeight;
			mat4param[2] = destStartX;
			mat4param[3] = destStartY;
			mat4param[4] = destEndX;
			mat4param[5] = destEndY;
			mat4param[6] = layerScale;
			mat4param[7] = layerAngle;
			mat4param[8] = viewOriginLeft;
			mat4param[9] = viewOriginTop;
			if (s.locSamplerBack)
			{
;
				b.texParam = backTex;
			}
			else
				b.texParam = null;
			if (params.length)
			{
				shaderParams = b.shaderParams;
				shaderParams.length = params.length;
				for (i = 0, len = params.length; i < len; i++)
					shaderParams[i] = params[i];
			}
			this.hasQuadBatchTop = false;
			this.hasPointBatchTop = false;
		}
	};
	GLWrap_.prototype.clear = function (r, g, b_, a)
	{
		var b = this.pushBatch();
		b.type = BATCH_CLEAR;
		b.startIndex = 0;					// clear all mode
		if (!b.mat4param)
			b.mat4param = mat4.create();
		b.mat4param[0] = r;
		b.mat4param[1] = g;
		b.mat4param[2] = b_;
		b.mat4param[3] = a;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.clearRect = function (x, y, w, h)
	{
		if (w < 0 || h < 0)
			return;							// invalid clear area
		var b = this.pushBatch();
		b.type = BATCH_CLEAR;
		b.startIndex = 1;					// clear rect mode
		if (!b.mat4param)
			b.mat4param = mat4.create();
		b.mat4param[0] = x;
		b.mat4param[1] = y;
		b.mat4param[2] = w;
		b.mat4param[3] = h;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.present = function ()
	{
		this.endBatch();
		this.gl.flush();
		/*
		if (debugBatch)
		{
;
			debugBatch = false;
		}
		*/
	};
	function nextHighestPowerOfTwo(x) {
		--x;
		for (var i = 1; i < 32; i <<= 1) {
			x = x | x >> i;
		}
		return x + 1;
	}
	var all_textures = [];
	var textures_by_src = {};
	GLWrap_.prototype.contextLost = function ()
	{
		all_textures.length = 0;
		textures_by_src = {};
	};
	var BF_RGBA8 = 0;
	var BF_RGB8 = 1;
	var BF_RGBA4 = 2;
	var BF_RGB5_A1 = 3;
	var BF_RGB565 = 4;
	GLWrap_.prototype.loadTexture = function (img, tiling, linearsampling, pixelformat, tiletype, nomip)
	{
		tiling = !!tiling;
		linearsampling = !!linearsampling;
		var tex_key = img.src + "," + tiling + "," + linearsampling + (tiling ? ("," + tiletype) : "");
		var webGL_texture = null;
		if (typeof img.src !== "undefined" && textures_by_src.hasOwnProperty(tex_key))
		{
			webGL_texture = textures_by_src[tex_key];
			webGL_texture.c2refcount++;
			return webGL_texture;
		}
		this.endBatch();
;
		var gl = this.gl;
		var isPOT = (cr.isPOT(img.width) && cr.isPOT(img.height));
		webGL_texture = gl.createTexture();
		gl.bindTexture(gl.TEXTURE_2D, webGL_texture);
		gl.pixelStorei(gl["UNPACK_PREMULTIPLY_ALPHA_WEBGL"], true);
		var internalformat = gl.RGBA;
		var format = gl.RGBA;
		var type = gl.UNSIGNED_BYTE;
		if (pixelformat && !this.isIE)
		{
			switch (pixelformat) {
			case BF_RGB8:
				internalformat = gl.RGB;
				format = gl.RGB;
				break;
			case BF_RGBA4:
				type = gl.UNSIGNED_SHORT_4_4_4_4;
				break;
			case BF_RGB5_A1:
				type = gl.UNSIGNED_SHORT_5_5_5_1;
				break;
			case BF_RGB565:
				internalformat = gl.RGB;
				format = gl.RGB;
				type = gl.UNSIGNED_SHORT_5_6_5;
				break;
			}
		}
		if (!isPOT && tiling)
		{
			var canvas = document.createElement("canvas");
			canvas.width = cr.nextHighestPowerOfTwo(img.width);
			canvas.height = cr.nextHighestPowerOfTwo(img.height);
			var ctx = canvas.getContext("2d");
			ctx["webkitImageSmoothingEnabled"] = linearsampling;
			ctx["mozImageSmoothingEnabled"] = linearsampling;
			ctx["msImageSmoothingEnabled"] = linearsampling;
			ctx["imageSmoothingEnabled"] = linearsampling;
			ctx.drawImage(img,
						  0, 0, img.width, img.height,
						  0, 0, canvas.width, canvas.height);
			gl.texImage2D(gl.TEXTURE_2D, 0, internalformat, format, type, canvas);
		}
		else
			gl.texImage2D(gl.TEXTURE_2D, 0, internalformat, format, type, img);
		if (tiling)
		{
			if (tiletype === "repeat-x")
			{
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.REPEAT);
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.CLAMP_TO_EDGE);
			}
			else if (tiletype === "repeat-y")
			{
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.CLAMP_TO_EDGE);
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.REPEAT);
			}
			else
			{
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.REPEAT);
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.REPEAT);
			}
		}
		else
		{
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.CLAMP_TO_EDGE);
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.CLAMP_TO_EDGE);
		}
		if (linearsampling)
		{
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MAG_FILTER, gl.LINEAR);
			if (isPOT && this.enable_mipmaps && !nomip)
			{
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MIN_FILTER, gl.LINEAR_MIPMAP_LINEAR);
				gl.generateMipmap(gl.TEXTURE_2D);
			}
			else
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MIN_FILTER, gl.LINEAR);
		}
		else
		{
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MAG_FILTER, gl.NEAREST);
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MIN_FILTER, gl.NEAREST);
		}
		gl.bindTexture(gl.TEXTURE_2D, null);
		this.lastTexture0 = null;
		webGL_texture.c2width = img.width;
		webGL_texture.c2height = img.height;
		webGL_texture.c2refcount = 1;
		webGL_texture.c2texkey = tex_key;
		all_textures.push(webGL_texture);
		textures_by_src[tex_key] = webGL_texture;
		return webGL_texture;
	};
	GLWrap_.prototype.createEmptyTexture = function (w, h, linearsampling, _16bit, tiling)
	{
		this.endBatch();
		var gl = this.gl;
		if (this.isIE)
			_16bit = false;
		var webGL_texture = gl.createTexture();
		gl.bindTexture(gl.TEXTURE_2D, webGL_texture);
		gl.texImage2D(gl.TEXTURE_2D, 0, gl.RGBA, w, h, 0, gl.RGBA, _16bit ? gl.UNSIGNED_SHORT_4_4_4_4 : gl.UNSIGNED_BYTE, null);
		if (tiling)
		{
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.REPEAT);
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.REPEAT);
		}
		else
		{
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.CLAMP_TO_EDGE);
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.CLAMP_TO_EDGE);
		}
		gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MAG_FILTER, linearsampling ? gl.LINEAR : gl.NEAREST);
		gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MIN_FILTER, linearsampling ? gl.LINEAR : gl.NEAREST);
		gl.bindTexture(gl.TEXTURE_2D, null);
		this.lastTexture0 = null;
		webGL_texture.c2width = w;
		webGL_texture.c2height = h;
		all_textures.push(webGL_texture);
		return webGL_texture;
	};
	GLWrap_.prototype.videoToTexture = function (video_, texture_, _16bit)
	{
		this.endBatch();
		var gl = this.gl;
		if (this.isIE)
			_16bit = false;
		gl.bindTexture(gl.TEXTURE_2D, texture_);
		gl.pixelStorei(gl["UNPACK_PREMULTIPLY_ALPHA_WEBGL"], true);
		try {
			gl.texImage2D(gl.TEXTURE_2D, 0, gl.RGBA, gl.RGBA, _16bit ? gl.UNSIGNED_SHORT_4_4_4_4 : gl.UNSIGNED_BYTE, video_);
		}
		catch (e)
		{
			if (console && console.error)
				console.error("Error updating WebGL texture: ", e);
		}
		gl.bindTexture(gl.TEXTURE_2D, null);
		this.lastTexture0 = null;
	};
	GLWrap_.prototype.deleteTexture = function (tex)
	{
		if (!tex)
			return;
		if (typeof tex.c2refcount !== "undefined" && tex.c2refcount > 1)
		{
			tex.c2refcount--;
			return;
		}
		this.endBatch();
		if (tex === this.lastTexture0)
		{
			this.gl.bindTexture(this.gl.TEXTURE_2D, null);
			this.lastTexture0 = null;
		}
		if (tex === this.lastTexture1)
		{
			this.gl.activeTexture(this.gl.TEXTURE1);
			this.gl.bindTexture(this.gl.TEXTURE_2D, null);
			this.gl.activeTexture(this.gl.TEXTURE0);
			this.lastTexture1 = null;
		}
		cr.arrayFindRemove(all_textures, tex);
		if (typeof tex.c2texkey !== "undefined")
			delete textures_by_src[tex.c2texkey];
		this.gl.deleteTexture(tex);
	};
	GLWrap_.prototype.estimateVRAM = function ()
	{
		var total = this.width * this.height * 4 * 2;
		var i, len, t;
		for (i = 0, len = all_textures.length; i < len; i++)
		{
			t = all_textures[i];
			total += (t.c2width * t.c2height * 4);
		}
		return total;
	};
	GLWrap_.prototype.textureCount = function ()
	{
		return all_textures.length;
	};
	GLWrap_.prototype.setRenderingToTexture = function (tex)
	{
		if (tex === this.renderToTex)
			return;
;
		var b = this.pushBatch();
		b.type = BATCH_RENDERTOTEXTURE;
		b.texParam = tex;
		this.renderToTex = tex;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	cr.GLWrap = GLWrap_;
}());
;
(function()
{
	function window_innerWidth()
	{
		if (typeof jQuery !== "undefined")
			return jQuery(window).width();
		else
			return window.innerWidth;
	};
	function window_innerHeight()
	{
		if (typeof jQuery !== "undefined")
			return jQuery(window).height();
		else
			return window.innerHeight;
	};
	function Runtime(canvas)
	{
		if (!canvas || (!canvas.getContext && !canvas["dc"]))
			return;
		if (canvas["c2runtime"])
			return;
		else
			canvas["c2runtime"] = this;
		var self = this;
		this.isCrosswalk = /crosswalk/i.test(navigator.userAgent) || /xwalk/i.test(navigator.userAgent) || !!(typeof window["c2isCrosswalk"] !== "undefined" && window["c2isCrosswalk"]);
		this.isPhoneGap = this.isCrosswalk || (typeof window["device"] !== "undefined" && (typeof window["device"]["cordova"] !== "undefined" || typeof window["device"]["phonegap"] !== "undefined")) || (typeof window["c2isphonegap"] !== "undefined" && window["c2isphonegap"]);
		this.isDirectCanvas = !!canvas["dc"];
		this.isAppMobi = (typeof window["AppMobi"] !== "undefined" || this.isDirectCanvas);
		this.isCocoonJs = !!window["c2cocoonjs"];
		this.isEjecta = !!window["c2ejecta"];
		if (this.isCocoonJs)
		{
			CocoonJS["App"]["onSuspended"].addEventListener(function() {
				self["setSuspended"](true);
			});
			CocoonJS["App"]["onActivated"].addEventListener(function () {
				self["setSuspended"](false);
			});
		}
		if (this.isEjecta)
		{
			document.addEventListener("pagehide", function() {
				self["setSuspended"](true);
			});
			document.addEventListener("pageshow", function() {
				self["setSuspended"](false);
			});
			document.addEventListener("resize", function () {
				self["setSize"](window.innerWidth, window.innerHeight);
			});
		}
		this.isDomFree = (this.isDirectCanvas || this.isCocoonJs || this.isEjecta);
		this.isIE = /msie/i.test(navigator.userAgent) || /trident/i.test(navigator.userAgent) || /iemobile/i.test(navigator.userAgent);
		this.isTizen = /tizen/i.test(navigator.userAgent);
		this.isAndroid = /android/i.test(navigator.userAgent) && !this.isTizen && !this.isIE;		// IE mobile and Tizen masquerade as Android
		this.isiPhone = (/iphone/i.test(navigator.userAgent) || /ipod/i.test(navigator.userAgent)) && !this.isIE;	// treat ipod as an iphone; IE mobile masquerades as iPhone
		this.isiPad = /ipad/i.test(navigator.userAgent);
		this.isiOS = this.isiPhone || this.isiPad || this.isEjecta;
		this.isiPhoneiOS6 = (this.isiPhone && /os\s6/i.test(navigator.userAgent));
		this.isChrome = /chrome/i.test(navigator.userAgent) || /chromium/i.test(navigator.userAgent);	// note true on Chromium-based webview on Android 4.4+
		this.isAmazonWebApp = /amazonwebappplatform/i.test(navigator.userAgent);
		this.isFirefox = /firefox/i.test(navigator.userAgent);
		this.isSafari = /safari/i.test(navigator.userAgent) && !this.isChrome && !this.isIE;		// Chrome and IE Mobile masquerade as Safari
		this.isWindows = /windows/i.test(navigator.userAgent);
		this.isNodeWebkit = (typeof window["c2nodewebkit"] !== "undefined" || /nodewebkit/i.test(navigator.userAgent));
		this.isArcade = (typeof window["is_scirra_arcade"] !== "undefined");
		this.isWindows8App = !!(typeof window["c2isWindows8"] !== "undefined" && window["c2isWindows8"]);
		this.isWindows8Capable = !!(typeof window["c2isWindows8Capable"] !== "undefined" && window["c2isWindows8Capable"]);
		this.isWindowsPhone8 = !!(typeof window["c2isWindowsPhone8"] !== "undefined" && window["c2isWindowsPhone8"]);
		this.isWindowsPhone81 = !!(typeof window["c2isWindowsPhone81"] !== "undefined" && window["c2isWindowsPhone81"]);
		this.isWinJS = (this.isWindows8App || this.isWindows8Capable || this.isWindowsPhone81);	// note not WP8.0
		this.isBlackberry10 = !!(typeof window["c2isBlackberry10"] !== "undefined" && window["c2isBlackberry10"]);
		this.isAndroidStockBrowser = (this.isAndroid && !this.isChrome && !this.isCrosswalk && !this.isFirefox && !this.isAmazonWebApp && !this.isDomFree);
		this.devicePixelRatio = 1;
		this.isMobile = (this.isPhoneGap || this.isCrosswalk || this.isAppMobi || this.isCocoonJs || this.isAndroid || this.isiOS || this.isWindowsPhone8 || this.isWindowsPhone81 || this.isBlackberry10 || this.isTizen || this.isEjecta);
		if (!this.isMobile)
		{
			this.isMobile = /(blackberry|bb10|playbook|palm|symbian|nokia|windows\s+ce|phone|mobile|tablet|kindle|silk)/i.test(navigator.userAgent);
		}
		if (typeof cr_is_preview !== "undefined" && !this.isNodeWebkit && (window.location.search === "?nw" || /nodewebkit/i.test(navigator.userAgent)))
		{
			this.isNodeWebkit = true;
		}
		this.isDebug = (typeof cr_is_preview !== "undefined" && window.location.search.indexOf("debug") > -1);
		this.canvas = canvas;
		this.canvasdiv = document.getElementById("c2canvasdiv");
		this.gl = null;
		this.glwrap = null;
		this.ctx = null;
		this.fullscreenOldMarginCss = "";
		this.firstInFullscreen = false;
		this.oldWidth = 0;		// for restoring non-fullscreen canvas after fullscreen
		this.oldHeight = 0;
		this.canvas.oncontextmenu = function (e) { if (e.preventDefault) e.preventDefault(); return false; };
		this.canvas.onselectstart = function (e) { if (e.preventDefault) e.preventDefault(); return false; };
		if (this.isDirectCanvas)
			window["c2runtime"] = this;
		if (this.isNodeWebkit)
		{
			window["ondragover"] = function(e) { e.preventDefault(); return false; };
			window["ondrop"] = function(e) { e.preventDefault(); return false; };
			require("nw.gui")["App"]["clearCache"]();
		}
		if (this.isAndroidStockBrowser && typeof jQuery !== "undefined")
		{
			jQuery("canvas").parents("*").css("overflow", "visible");
		}
		this.width = canvas.width;
		this.height = canvas.height;
		this.draw_width = this.width;
		this.draw_height = this.height;
		this.cssWidth = this.width;
		this.cssHeight = this.height;
		this.lastWindowWidth = window.innerWidth;
		this.lastWindowHeight = window.innerHeight;
		this.redraw = true;
		this.isSuspended = false;
		if (!Date.now) {
		  Date.now = function now() {
			return +new Date();
		  };
		}
		this.plugins = [];
		this.types = {};
		this.types_by_index = [];
		this.behaviors = [];
		this.layouts = {};
		this.layouts_by_index = [];
		this.eventsheets = {};
		this.eventsheets_by_index = [];
		this.wait_for_textures = [];        // for blocking until textures loaded
		this.triggers_to_postinit = [];
		this.all_global_vars = [];
		this.all_local_vars = [];
		this.solidBehavior = null;
		this.jumpthruBehavior = null;
		this.shadowcasterBehavior = null;
		this.deathRow = new cr.ObjectSet();
		this.isInClearDeathRow = false;
		this.isInOnDestroy = 0;					// needs to support recursion so increments and decrements and is true if > 0
		this.isRunningEvents = false;
		this.createRow = [];
		this.isLoadingState = false;
		this.saveToSlot = "";
		this.loadFromSlot = "";
		this.loadFromJson = "";
		this.lastSaveJson = "";
		this.signalledContinuousPreview = false;
		this.suspendDrawing = false;		// for hiding display until continuous preview loads
		this.dt = 0;
        this.dt1 = 0;
		this.logictime = 0;			// used to calculate CPUUtilisation
		this.cpuutilisation = 0;
		this.zeroDtCount = 0;
        this.timescale = 1.0;
        this.kahanTime = new cr.KahanAdder();
		this.wallTime = new cr.KahanAdder();
		this.last_tick_time = 0;
		this.measuring_dt = true;
		this.fps = 0;
		this.last_fps_time = 0;
		this.tickcount = 0;
		this.execcount = 0;
		this.framecount = 0;        // for fps
		this.objectcount = 0;
		this.changelayout = null;
		this.destroycallbacks = [];
		this.event_stack = [];
		this.event_stack_index = -1;
		this.localvar_stack = [[]];
		this.localvar_stack_index = 0;
		this.trigger_depth = 0;		// recursion depth for triggers
		this.pushEventStack(null);
		this.loop_stack = [];
		this.loop_stack_index = -1;
		this.next_uid = 0;
		this.next_puid = 0;		// permanent unique ids
		this.layout_first_tick = true;
		this.family_count = 0;
		this.suspend_events = [];
		this.raf_id = -1;
		this.timeout_id = -1;
		this.isloading = true;
		this.loadingprogress = 0;
		this.isNodeFullscreen = false;
		this.stackLocalCount = 0;	// number of stack-based local vars for recursion
		this.audioInstance = null;
		this.halfFramerateMode = false;
		this.lastRafTime = 0;		// time of last requestAnimationFrame call
		this.ranLastRaf = false;	// false if last requestAnimationFrame was skipped for half framerate mode
		this.had_a_click = false;
		this.isInUserInputEvent = false;
		this.objects_to_pretick = new cr.ObjectSet();
        this.objects_to_tick = new cr.ObjectSet();
		this.objects_to_tick2 = new cr.ObjectSet();
		this.registered_collisions = [];
		this.temp_poly = new cr.CollisionPoly([]);
		this.temp_poly2 = new cr.CollisionPoly([]);
		this.allGroups = [];				// array of all event groups
        this.groups_by_name = {};
		this.cndsBySid = {};
		this.actsBySid = {};
		this.varsBySid = {};
		this.blocksBySid = {};
		this.running_layout = null;			// currently running layout
		this.layer_canvas = null;			// for layers "render-to-texture"
		this.layer_ctx = null;
		this.layer_tex = null;
		this.layout_tex = null;
		this.layout_canvas = null;
		this.layout_ctx = null;
		this.is_WebGL_context_lost = false;
		this.uses_background_blending = false;	// if any shader uses background blending, so entire layout renders to texture
		this.fx_tex = [null, null];
		this.fullscreen_scaling = 0;
		this.files_subfolder = "";			// path with project files
		this.objectsByUid = {};				// maps every in-use UID (as a string) to its instance
		this.loaderlogo = null;
		this.snapshotCanvas = null;
		this.snapshotData = "";
		this.load();
		this.isRetina = ((!this.isDomFree || this.isEjecta) && this.useHighDpi && !this.isAndroidStockBrowser);
		this.devicePixelRatio = (this.isRetina ? (window["devicePixelRatio"] || window["webkitDevicePixelRatio"] || window["mozDevicePixelRatio"] || window["msDevicePixelRatio"] || 1) : 1);
		this.ClearDeathRow();
		var attribs;
		var alpha_canvas = this.alphaBackground && !(this.isNodeWebkit || this.isWinJS || this.isWindowsPhone8 || this.isCrosswalk || this.isPhoneGap);
		if (this.fullscreen_mode > 0)
			this["setSize"](window_innerWidth(), window_innerHeight(), true);
		try {
			if (this.enableWebGL && (this.isCocoonJs || this.isEjecta || !this.isDomFree))
			{
				attribs = {
					"alpha": alpha_canvas,
					"depth": false,
					"antialias": false,
					"failIfMajorPerformanceCaveat": true
				};
				this.gl = (canvas.getContext("webgl", attribs) || canvas.getContext("experimental-webgl", attribs));
			}
		}
		catch (e) {
		}
		if (this.gl)
		{
			if (!this.isDomFree)
			{
				this.overlay_canvas = document.createElement("canvas");
				jQuery(this.overlay_canvas).appendTo(this.canvas.parentNode);
				this.overlay_canvas.oncontextmenu = function (e) { return false; };
				this.overlay_canvas.onselectstart = function (e) { return false; };
				this.overlay_canvas.width = this.cssWidth;
				this.overlay_canvas.height = this.cssHeight;
				jQuery(this.overlay_canvas).css({"width": this.cssWidth + "px",
												"height": this.cssHeight + "px"});
				this.positionOverlayCanvas();
				this.overlay_ctx = this.overlay_canvas.getContext("2d");
			}
			this.glwrap = new cr.GLWrap(this.gl, this.isMobile);
			this.glwrap.setSize(canvas.width, canvas.height);
			this.glwrap.enable_mipmaps = (this.downscalingQuality !== 0);
			this.ctx = null;
			this.canvas.addEventListener("webglcontextlost", function (ev) {
				ev.preventDefault();
				self.onContextLost();
				console.log("[Construct 2] WebGL context lost");
				window["cr_setSuspended"](true);		// stop rendering
			}, false);
			this.canvas.addEventListener("webglcontextrestored", function (ev) {
				self.glwrap.initState();
				self.glwrap.setSize(self.glwrap.width, self.glwrap.height, true);
				self.layer_tex = null;
				self.layout_tex = null;
				self.fx_tex[0] = null;
				self.fx_tex[1] = null;
				self.onContextRestored();
				self.redraw = true;
				console.log("[Construct 2] WebGL context restored");
				window["cr_setSuspended"](false);		// resume rendering
			}, false);
			var i, len, j, lenj, k, lenk, t, s, l, y;
			for (i = 0, len = this.types_by_index.length; i < len; i++)
			{
				t = this.types_by_index[i];
				for (j = 0, lenj = t.effect_types.length; j < lenj; j++)
				{
					s = t.effect_types[j];
					s.shaderindex = this.glwrap.getShaderIndex(s.id);
					this.uses_background_blending = this.uses_background_blending || this.glwrap.programUsesDest(s.shaderindex);
				}
			}
			for (i = 0, len = this.layouts_by_index.length; i < len; i++)
			{
				l = this.layouts_by_index[i];
				for (j = 0, lenj = l.effect_types.length; j < lenj; j++)
				{
					s = l.effect_types[j];
					s.shaderindex = this.glwrap.getShaderIndex(s.id);
				}
				for (j = 0, lenj = l.layers.length; j < lenj; j++)
				{
					y = l.layers[j];
					for (k = 0, lenk = y.effect_types.length; k < lenk; k++)
					{
						s = y.effect_types[k];
						s.shaderindex = this.glwrap.getShaderIndex(s.id);
						this.uses_background_blending = this.uses_background_blending || this.glwrap.programUsesDest(s.shaderindex);
					}
				}
			}
		}
		else
		{
			if (this.fullscreen_mode > 0 && this.isDirectCanvas)
			{
;
				this.canvas = null;
				document.oncontextmenu = function (e) { return false; };
				document.onselectstart = function (e) { return false; };
				this.ctx = AppMobi["canvas"]["getContext"]("2d");
				try {
					this.ctx["samplingMode"] = this.linearSampling ? "smooth" : "sharp";
					this.ctx["globalScale"] = 1;
					this.ctx["HTML5CompatibilityMode"] = true;
					this.ctx["imageSmoothingEnabled"] = this.linearSampling;
				} catch(e){}
				if (this.width !== 0 && this.height !== 0)
				{
					this.ctx.width = this.width;
					this.ctx.height = this.height;
				}
			}
			if (!this.ctx)
			{
;
				if (this.isCocoonJs)
				{
					attribs = {
						"antialias": !!this.linearSampling,
						"alpha": alpha_canvas
					};
					this.ctx = canvas.getContext("2d", attribs);
				}
				else
				{
					attribs = {
						"alpha": alpha_canvas
					};
					this.ctx = canvas.getContext("2d", attribs);
				}
				this.ctx["webkitImageSmoothingEnabled"] = this.linearSampling;
				this.ctx["mozImageSmoothingEnabled"] = this.linearSampling;
				this.ctx["msImageSmoothingEnabled"] = this.linearSampling;
				this.ctx["imageSmoothingEnabled"] = this.linearSampling;
			}
			this.overlay_canvas = null;
			this.overlay_ctx = null;
		}
		this.tickFunc = function () { self.tick(false); };
		if (window != window.top && !this.isDomFree && !this.isWinJS && !this.isWindowsPhone8)
		{
			document.addEventListener("mousedown", function () {
				window.focus();
			}, true);
			document.addEventListener("touchstart", function () {
				window.focus();
			}, true);
		}
		if (typeof cr_is_preview !== "undefined")
		{
			if (this.isCocoonJs)
				console.log("[Construct 2] In preview-over-wifi via CocoonJS mode");
			if (window.location.search.indexOf("continuous") > -1)
			{
				cr.logexport("Reloading for continuous preview");
				this.loadFromSlot = "__c2_continuouspreview";
				this.suspendDrawing = true;
			}
			if (this.pauseOnBlur && !this.isMobile)
			{
				jQuery(window).focus(function ()
				{
					self["setSuspended"](false);
				});
				jQuery(window).blur(function ()
				{
					self["setSuspended"](true);
				});
			}
		}
		var unfocusFormControlFunc = function (e) {
			if (cr.isCanvasInputEvent(e) && document["activeElement"] && document["activeElement"].blur)
			{
				document["activeElement"].blur();
			}
		}
		if (window.navigator["pointerEnabled"])
		{
			document.addEventListener("pointerdown", unfocusFormControlFunc);
		}
		else if (window.navigator["msPointerEnabled"])
		{
			document.addEventListener("MSPointerDown", unfocusFormControlFunc);
		}
		else
		{
			document.addEventListener("touchstart", unfocusFormControlFunc);
		}
		document.addEventListener("mousedown", unfocusFormControlFunc);
		if (this.fullscreen_mode === 0 && this.isRetina && this.devicePixelRatio > 1)
		{
			this["setSize"](this.original_width, this.original_height, true);
		}
		this.tryLockOrientation();
		this.getready();	// determine things to preload
		this.go();			// run loading screen
		this.extra = {};
		cr.seal(this);
	};
	var webkitRepaintFlag = false;
	Runtime.prototype["setSize"] = function (w, h, force)
	{
		var offx = 0, offy = 0;
		var neww = 0, newh = 0, intscale = 0;
		var tryHideAddressBar = (this.isiPhoneiOS6 && this.isSafari && !navigator["standalone"] && !this.isDomFree && !this.isPhoneGap);
		if (tryHideAddressBar)
			h += 60;		// height of Safari iPhone iOS 6 address bar
		if (this.lastWindowWidth === w && this.lastWindowHeight === h && !force)
			return;
		this.lastWindowWidth = w;
		this.lastWindowHeight = h;
		var mode = this.fullscreen_mode;
		var orig_aspect, cur_aspect;
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || !!document["msFullscreenElement"] || document["fullScreen"] || this.isNodeFullscreen) && !this.isPhoneGap;
		if (!isfullscreen && this.fullscreen_mode === 0 && !force)
			return;			// ignore size events when not fullscreen and not using a fullscreen-in-browser mode
		if (isfullscreen && this.fullscreen_scaling > 0)
			mode = this.fullscreen_scaling;
		var dpr = this.devicePixelRatio;
		if (mode >= 4)
		{
			orig_aspect = this.original_width / this.original_height;
			cur_aspect = w / h;
			if (cur_aspect > orig_aspect)
			{
				neww = h * orig_aspect;
				if (mode === 5)	// integer scaling
				{
					intscale = (neww * dpr) / this.original_width;
					if (intscale > 1)
						intscale = Math.floor(intscale);
					else if (intscale < 1)
						intscale = 1 / Math.ceil(1 / intscale);
					neww = this.original_width * intscale / dpr;
					newh = this.original_height * intscale / dpr;
					offx = (w - neww) / 2;
					offy = (h - newh) / 2;
					w = neww;
					h = newh;
				}
				else
				{
					offx = (w - neww) / 2;
					w = neww;
				}
			}
			else
			{
				newh = w / orig_aspect;
				if (mode === 5)	// integer scaling
				{
					intscale = (newh * dpr) / this.original_height;
					if (intscale > 1)
						intscale = Math.floor(intscale);
					else if (intscale < 1)
						intscale = 1 / Math.ceil(1 / intscale);
					neww = this.original_width * intscale / dpr;
					newh = this.original_height * intscale / dpr;
					offx = (w - neww) / 2;
					offy = (h - newh) / 2;
					w = neww;
					h = newh;
				}
				else
				{
					offy = (h - newh) / 2;
					h = newh;
				}
			}
			if (isfullscreen && !this.isNodeWebkit)
			{
				offx = 0;
				offy = 0;
			}
		}
		else if (this.isNodeWebkit && this.isNodeFullscreen && this.fullscreen_mode_set === 0)
		{
			offx = Math.floor((w - this.original_width) / 2);
			offy = Math.floor((h - this.original_height) / 2);
			w = this.original_width;
			h = this.original_height;
		}
		if (mode < 2)
			this.aspect_scale = dpr;
		if (this.isRetina && this.isiPad && dpr > 1)	// don't apply to iPad 1-2
		{
			if (w >= 1024)
				w = 1023;		// 2046 retina pixels
			if (h >= 1024)
				h = 1023;
		}
		this.cssWidth = Math.round(w);
		this.cssHeight = Math.round(h);
		this.width = Math.round(w * dpr);
		this.height = Math.round(h * dpr);
		this.redraw = true;
		if (this.wantFullscreenScalingQuality)
		{
			this.draw_width = this.width;
			this.draw_height = this.height;
			this.fullscreenScalingQuality = true;
		}
		else
		{
			if ((this.width < this.original_width && this.height < this.original_height) || mode === 1)
			{
				this.draw_width = this.width;
				this.draw_height = this.height;
				this.fullscreenScalingQuality = true;
			}
			else
			{
				this.draw_width = this.original_width;
				this.draw_height = this.original_height;
				this.fullscreenScalingQuality = false;
				/*var orig_aspect = this.original_width / this.original_height;
				var cur_aspect = this.width / this.height;
				if ((this.fullscreen_mode !== 2 && cur_aspect > orig_aspect) || (this.fullscreen_mode === 2 && cur_aspect < orig_aspect))
					this.aspect_scale = this.height / this.original_height;
				else
					this.aspect_scale = this.width / this.original_width;*/
				if (mode === 2)		// scale inner
				{
					orig_aspect = this.original_width / this.original_height;
					cur_aspect = this.lastWindowWidth / this.lastWindowHeight;
					if (cur_aspect < orig_aspect)
						this.draw_width = this.draw_height * cur_aspect;
					else if (cur_aspect > orig_aspect)
						this.draw_height = this.draw_width / cur_aspect;
				}
				else if (mode === 3)
				{
					orig_aspect = this.original_width / this.original_height;
					cur_aspect = this.lastWindowWidth / this.lastWindowHeight;
					if (cur_aspect > orig_aspect)
						this.draw_width = this.draw_height * cur_aspect;
					else if (cur_aspect < orig_aspect)
						this.draw_height = this.draw_width / cur_aspect;
				}
			}
		}
		if (this.canvasdiv && !this.isDomFree)
		{
			jQuery(this.canvasdiv).css({"width": Math.round(w) + "px",
										"height": Math.round(h) + "px",
										"margin-left": Math.floor(offx) + "px",
										"margin-top": Math.floor(offy) + "px"});
			if (typeof cr_is_preview !== "undefined")
			{
				jQuery("#borderwrap").css({"width": Math.round(w) + "px",
											"height": Math.round(h) + "px"});
			}
		}
		if (this.canvas)
		{
			this.canvas.width = Math.round(w * dpr);
			this.canvas.height = Math.round(h * dpr);
			if (this.isEjecta)
			{
				this.canvas.style.left = Math.floor(offx) + "px";
				this.canvas.style.top = Math.floor(offy) + "px";
				this.canvas.style.width = Math.round(w) + "px";
				this.canvas.style.height = Math.round(h) + "px";
			}
			else if (this.isRetina && !this.isDomFree)
			{
				jQuery(this.canvas).css({"width": Math.round(w) + "px",
										"height": Math.round(h) + "px"});
			}
		}
		if (this.overlay_canvas)
		{
			this.overlay_canvas.width = Math.round(w);
			this.overlay_canvas.height = Math.round(h);
			jQuery(this.overlay_canvas).css({"width": Math.round(w) + "px",
											"height": Math.round(h) + "px"});
		}
		if (this.glwrap)
		{
			this.glwrap.setSize(Math.round(w * dpr), Math.round(h * dpr));
		}
		if (this.isDirectCanvas && this.ctx)
		{
			this.ctx.width = Math.round(w);
			this.ctx.height = Math.round(h);
		}
		if (this.ctx)
		{
			this.ctx["webkitImageSmoothingEnabled"] = this.linearSampling;
			this.ctx["mozImageSmoothingEnabled"] = this.linearSampling;
			this.ctx["msImageSmoothingEnabled"] = this.linearSampling;
			this.ctx["imageSmoothingEnabled"] = this.linearSampling;
		}
		this.tryLockOrientation();
		if (!this.isDomFree && (tryHideAddressBar || this.isiPhone))
		{
			window.setTimeout(function () {
				window.scrollTo(0, 1);
			}, 100);
		}
	};
	Runtime.prototype.tryLockOrientation = function ()
	{
		if (!this.autoLockOrientation || this.orientations === 0)
			return;
		var orientation = "portrait";
		if (this.orientations === 2)
			orientation = "landscape";
		if (screen["lockOrientation"])
			screen["lockOrientation"](orientation);
		else if (screen["webkitLockOrientation"])
			screen["webkitLockOrientation"](orientation);
		else if (screen["mozLockOrientation"])
			screen["mozLockOrientation"](orientation);
		else if (screen["msLockOrientation"])
			screen["msLockOrientation"](orientation);
	};
	Runtime.prototype.onContextLost = function ()
	{
		this.glwrap.contextLost();
		this.is_WebGL_context_lost = true;
		var i, len, t;
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			t = this.types_by_index[i];
			if (t.onLostWebGLContext)
				t.onLostWebGLContext();
		}
	};
	Runtime.prototype.onContextRestored = function ()
	{
		this.is_WebGL_context_lost = false;
		var i, len, t;
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			t = this.types_by_index[i];
			if (t.onRestoreWebGLContext)
				t.onRestoreWebGLContext();
		}
	};
	Runtime.prototype.positionOverlayCanvas = function()
	{
		if (this.isDomFree)
			return;
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || document["fullScreen"] || !!document["msFullscreenElement"] || this.isNodeFullscreen) && !this.isPhoneGap;
		var overlay_position = isfullscreen ? jQuery(this.canvas).offset() : jQuery(this.canvas).position();
		overlay_position.position = "absolute";
		jQuery(this.overlay_canvas).css(overlay_position);
	};
	var caf = window["cancelAnimationFrame"] ||
	  window["mozCancelAnimationFrame"]    ||
	  window["webkitCancelAnimationFrame"] ||
	  window["msCancelAnimationFrame"]     ||
	  window["oCancelAnimationFrame"];
	Runtime.prototype["setSuspended"] = function (s)
	{
		var i, len;
		if (s && !this.isSuspended)
		{
			cr.logexport("[Construct 2] Suspending");
			this.isSuspended = true;			// next tick will be last
			if (this.raf_id !== -1 && caf)		// note: CocoonJS does not implement cancelAnimationFrame
				caf(this.raf_id);
			if (this.timeout_id !== -1)
				clearTimeout(this.timeout_id);
			for (i = 0, len = this.suspend_events.length; i < len; i++)
				this.suspend_events[i](true);
		}
		else if (!s && this.isSuspended)
		{
			cr.logexport("[Construct 2] Resuming");
			this.isSuspended = false;
			this.last_tick_time = cr.performance_now();	// ensure first tick is a zero-dt one
			this.last_fps_time = cr.performance_now();	// reset FPS counter
			this.framecount = 0;
			this.logictime = 0;
			for (i = 0, len = this.suspend_events.length; i < len; i++)
				this.suspend_events[i](false);
			this.tick(false);						// kick off runtime again
		}
	};
	Runtime.prototype.addSuspendCallback = function (f)
	{
		this.suspend_events.push(f);
	};
	Runtime.prototype.load = function ()
	{
;
		var pm = cr.getProjectModel();
		this.name = pm[0];
		this.first_layout = pm[1];
		this.fullscreen_mode = pm[12];	// 0 = off, 1 = crop, 2 = scale inner, 3 = scale outer, 4 = letterbox scale, 5 = integer letterbox scale
		this.fullscreen_mode_set = pm[12];
		this.original_width = pm[10];
		this.original_height = pm[11];
		this.parallax_x_origin = this.original_width / 2;
		this.parallax_y_origin = this.original_height / 2;
		if (this.isDomFree && !this.isEjecta && (pm[12] >= 4 || pm[12] === 0))
		{
			cr.logexport("[Construct 2] Letterbox scale fullscreen modes are not supported on this platform - falling back to 'Scale outer'");
			this.fullscreen_mode = 3;
			this.fullscreen_mode_set = 3;
		}
		this.uses_loader_layout = pm[18];
		this.loaderstyle = pm[19];
		if (this.loaderstyle === 0)
		{
			this.loaderlogo = new Image();
			this.loaderlogo.src = "loading-logo.png";
		}
		this.next_uid = pm[21];
		this.system = new cr.system_object(this);
		var i, len, j, lenj, k, lenk, idstr, m, b, t, f;
		var plugin, plugin_ctor;
		for (i = 0, len = pm[2].length; i < len; i++)
		{
			m = pm[2][i];
;
			cr.add_common_aces(m);
			plugin = new m[0](this);
			plugin.singleglobal = m[1];
			plugin.is_world = m[2];
			plugin.must_predraw = m[9];
			if (plugin.onCreate)
				plugin.onCreate();  // opportunity to override default ACEs
			cr.seal(plugin);
			this.plugins.push(plugin);
		}
		pm = cr.getProjectModel();
		for (i = 0, len = pm[3].length; i < len; i++)
		{
			m = pm[3][i];
			plugin_ctor = m[1];
;
			plugin = null;
			for (j = 0, lenj = this.plugins.length; j < lenj; j++)
			{
				if (this.plugins[j] instanceof plugin_ctor)
				{
					plugin = this.plugins[j];
					break;
				}
			}
;
;
			var type_inst = new plugin.Type(plugin);
;
			type_inst.name = m[0];
			type_inst.is_family = m[2];
			type_inst.instvar_sids = m[3].slice(0);
			type_inst.vars_count = m[3].length;
			type_inst.behs_count = m[4];
			type_inst.fx_count = m[5];
			type_inst.sid = m[11];
			if (type_inst.is_family)
			{
				type_inst.members = [];				// types in this family
				type_inst.family_index = this.family_count++;
				type_inst.families = null;
			}
			else
			{
				type_inst.members = null;
				type_inst.family_index = -1;
				type_inst.families = [];			// families this type belongs to
			}
			type_inst.family_var_map = null;
			type_inst.family_beh_map = null;
			type_inst.family_fx_map = null;
			type_inst.is_contained = false;
			type_inst.container = null;
			if (m[6])
			{
				type_inst.texture_file = m[6][0];
				type_inst.texture_filesize = m[6][1];
				type_inst.texture_pixelformat = m[6][2];
			}
			else
			{
				type_inst.texture_file = null;
				type_inst.texture_filesize = 0;
				type_inst.texture_pixelformat = 0;		// rgba8
			}
			if (m[7])
			{
				type_inst.animations = m[7];
			}
			else
			{
				type_inst.animations = null;
			}
			type_inst.index = i;                                // save index in to types array in type
			type_inst.instances = [];                           // all instances of this type
			type_inst.deadCache = [];							// destroyed instances to recycle next create
			type_inst.solstack = [new cr.selection(type_inst)]; // initialise SOL stack with one empty SOL
			type_inst.cur_sol = 0;
			type_inst.default_instance = null;
			type_inst.default_layerindex = 0;
			type_inst.stale_iids = true;
			type_inst.updateIIDs = cr.type_updateIIDs;
			type_inst.getFirstPicked = cr.type_getFirstPicked;
			type_inst.getPairedInstance = cr.type_getPairedInstance;
			type_inst.getCurrentSol = cr.type_getCurrentSol;
			type_inst.pushCleanSol = cr.type_pushCleanSol;
			type_inst.pushCopySol = cr.type_pushCopySol;
			type_inst.popSol = cr.type_popSol;
			type_inst.getBehaviorByName = cr.type_getBehaviorByName;
			type_inst.getBehaviorIndexByName = cr.type_getBehaviorIndexByName;
			type_inst.getEffectIndexByName = cr.type_getEffectIndexByName;
			type_inst.applySolToContainer = cr.type_applySolToContainer;
			type_inst.getInstanceByIID = cr.type_getInstanceByIID;
			type_inst.collision_grid = new cr.SparseGrid(this.original_width, this.original_height);
			type_inst.any_cell_changed = true;
			type_inst.any_instance_parallaxed = false;
			type_inst.extra = {};
			type_inst.toString = cr.type_toString;
			type_inst.behaviors = [];
			for (j = 0, lenj = m[8].length; j < lenj; j++)
			{
				b = m[8][j];
				var behavior_ctor = b[1];
				var behavior_plugin = null;
				for (k = 0, lenk = this.behaviors.length; k < lenk; k++)
				{
					if (this.behaviors[k] instanceof behavior_ctor)
					{
						behavior_plugin = this.behaviors[k];
						break;
					}
				}
				if (!behavior_plugin)
				{
					behavior_plugin = new behavior_ctor(this);
					behavior_plugin.my_types = [];						// types using this behavior
					behavior_plugin.my_instances = new cr.ObjectSet(); 	// instances of this behavior
					if (behavior_plugin.onCreate)
						behavior_plugin.onCreate();
					cr.seal(behavior_plugin);
					this.behaviors.push(behavior_plugin);
					if (cr.behaviors.solid && behavior_plugin instanceof cr.behaviors.solid)
						this.solidBehavior = behavior_plugin;
					if (cr.behaviors.jumpthru && behavior_plugin instanceof cr.behaviors.jumpthru)
						this.jumpthruBehavior = behavior_plugin;
					if (cr.behaviors.shadowcaster && behavior_plugin instanceof cr.behaviors.shadowcaster)
						this.shadowcasterBehavior = behavior_plugin;
				}
				if (behavior_plugin.my_types.indexOf(type_inst) === -1)
					behavior_plugin.my_types.push(type_inst);
				var behavior_type = new behavior_plugin.Type(behavior_plugin, type_inst);
				behavior_type.name = b[0];
				behavior_type.sid = b[2];
				behavior_type.onCreate();
				cr.seal(behavior_type);
				type_inst.behaviors.push(behavior_type);
			}
			type_inst.global = m[9];
			type_inst.isOnLoaderLayout = m[10];
			type_inst.effect_types = [];
			for (j = 0, lenj = m[12].length; j < lenj; j++)
			{
				type_inst.effect_types.push({
					id: m[12][j][0],
					name: m[12][j][1],
					shaderindex: -1,
					active: true,
					index: j
				});
			}
			type_inst.tile_poly_data = m[13];
			if (!this.uses_loader_layout || type_inst.is_family || type_inst.isOnLoaderLayout || !plugin.is_world)
			{
				type_inst.onCreate();
				cr.seal(type_inst);
			}
			if (type_inst.name)
				this.types[type_inst.name] = type_inst;
			this.types_by_index.push(type_inst);
			if (plugin.singleglobal)
			{
				var instance = new plugin.Instance(type_inst);
				instance.uid = this.next_uid++;
				instance.puid = this.next_puid++;
				instance.iid = 0;
				instance.get_iid = cr.inst_get_iid;
				instance.toString = cr.inst_toString;
				instance.properties = m[14];
				instance.onCreate();
				cr.seal(instance);
				type_inst.instances.push(instance);
				this.objectsByUid[instance.uid.toString()] = instance;
			}
		}
		for (i = 0, len = pm[4].length; i < len; i++)
		{
			var familydata = pm[4][i];
			var familytype = this.types_by_index[familydata[0]];
			var familymember;
			for (j = 1, lenj = familydata.length; j < lenj; j++)
			{
				familymember = this.types_by_index[familydata[j]];
				familymember.families.push(familytype);
				familytype.members.push(familymember);
			}
		}
		for (i = 0, len = pm[27].length; i < len; i++)
		{
			var containerdata = pm[27][i];
			var containertypes = [];
			for (j = 0, lenj = containerdata.length; j < lenj; j++)
				containertypes.push(this.types_by_index[containerdata[j]]);
			for (j = 0, lenj = containertypes.length; j < lenj; j++)
			{
				containertypes[j].is_contained = true;
				containertypes[j].container = containertypes;
			}
		}
		if (this.family_count > 0)
		{
			for (i = 0, len = this.types_by_index.length; i < len; i++)
			{
				t = this.types_by_index[i];
				if (t.is_family || !t.families.length)
					continue;
				t.family_var_map = new Array(this.family_count);
				t.family_beh_map = new Array(this.family_count);
				t.family_fx_map = new Array(this.family_count);
				var all_fx = [];
				var varsum = 0;
				var behsum = 0;
				var fxsum = 0;
				for (j = 0, lenj = t.families.length; j < lenj; j++)
				{
					f = t.families[j];
					t.family_var_map[f.family_index] = varsum;
					varsum += f.vars_count;
					t.family_beh_map[f.family_index] = behsum;
					behsum += f.behs_count;
					t.family_fx_map[f.family_index] = fxsum;
					fxsum += f.fx_count;
					for (k = 0, lenk = f.effect_types.length; k < lenk; k++)
						all_fx.push(cr.shallowCopy({}, f.effect_types[k]));
				}
				t.effect_types = all_fx.concat(t.effect_types);
				for (j = 0, lenj = t.effect_types.length; j < lenj; j++)
					t.effect_types[j].index = j;
			}
		}
		for (i = 0, len = pm[5].length; i < len; i++)
		{
			m = pm[5][i];
			var layout = new cr.layout(this, m);
			cr.seal(layout);
			this.layouts[layout.name] = layout;
			this.layouts_by_index.push(layout);
		}
		for (i = 0, len = pm[6].length; i < len; i++)
		{
			m = pm[6][i];
			var sheet = new cr.eventsheet(this, m);
			cr.seal(sheet);
			this.eventsheets[sheet.name] = sheet;
			this.eventsheets_by_index.push(sheet);
		}
		for (i = 0, len = this.eventsheets_by_index.length; i < len; i++)
			this.eventsheets_by_index[i].postInit();
		for (i = 0, len = this.eventsheets_by_index.length; i < len; i++)
			this.eventsheets_by_index[i].updateDeepIncludes();
		for (i = 0, len = this.triggers_to_postinit.length; i < len; i++)
			this.triggers_to_postinit[i].postInit();
		this.triggers_to_postinit.length = 0;
		this.audio_to_preload = pm[7];
		this.files_subfolder = pm[8];
		this.pixel_rounding = pm[9];
		this.aspect_scale = 1.0;
		this.enableWebGL = pm[13];
		this.linearSampling = pm[14];
		this.alphaBackground = pm[15];
		this.versionstr = pm[16];
		this.useHighDpi = pm[17];
		this.orientations = pm[20];		// 0 = any, 1 = portrait, 2 = landscape
		this.autoLockOrientation = (this.orientations > 0);
		this.pauseOnBlur = pm[22];
		this.wantFullscreenScalingQuality = pm[23];		// false = low quality, true = high quality
		this.fullscreenScalingQuality = this.wantFullscreenScalingQuality;
		this.downscalingQuality = pm[24];	// 0 = low (mips off), 1 = medium (mips on, dense spritesheet), 2 = high (mips on, sparse spritesheet)
		this.preloadSounds = pm[25];		// 0 = no, 1 = yes
		this.projectName = pm[26];
		this.start_time = Date.now();
	};
	var anyImageHadError = false;
	Runtime.prototype.waitForImageLoad = function (img_)
	{
		img_.onerror = function (e)
		{
			img_.c2error = true;
			anyImageHadError = true;
			if (console && console.error)
				console.error("Error loading image '" + img_.src + "': ", e);
		};
		this.wait_for_textures.push(img_);
	};
	Runtime.prototype.findWaitingTexture = function (src_)
	{
		var i, len;
		for (i = 0, len = this.wait_for_textures.length; i < len; i++)
		{
			if (this.wait_for_textures[i].cr_src === src_)
				return this.wait_for_textures[i];
		}
		return null;
	};
	var audio_preload_totalsize = 0;
	var audio_preload_started = false;
	Runtime.prototype.getready = function ()
	{
		if (!this.audioInstance)
			return;
		audio_preload_totalsize = this.audioInstance.setPreloadList(this.audio_to_preload);
	};
	Runtime.prototype.areAllTexturesAndSoundsLoaded = function ()
	{
		var totalsize = audio_preload_totalsize;
		var completedsize = 0;
		var audiocompletedsize = 0;
		var ret = true;
		var i, len, img;
		for (i = 0, len = this.wait_for_textures.length; i < len; i++)
		{
			img = this.wait_for_textures[i];
			var filesize = img.cr_filesize;
			if (!filesize || filesize <= 0)
				filesize = 50000;
			totalsize += filesize;
			if ((img.complete || img["loaded"]) && !img.c2error)
				completedsize += filesize;
			else
				ret = false;    // not all textures loaded
		}
		if (ret && this.preloadSounds && this.audioInstance)
		{
			if (!audio_preload_started)
			{
				this.audioInstance.startPreloads();
				audio_preload_started = true;
			}
			audiocompletedsize = this.audioInstance.getPreloadedSize();
			completedsize += audiocompletedsize;
			if (audiocompletedsize < audio_preload_totalsize)
				ret = false;		// not done yet
		}
		if (totalsize == 0)
			this.progress = 0;
		else
			this.progress = (completedsize / totalsize);
		return ret;
	};
	Runtime.prototype.go = function ()
	{
		if (!this.ctx && !this.glwrap)
			return;
		var ctx = this.ctx || this.overlay_ctx;
		if (this.overlay_canvas)
			this.positionOverlayCanvas();
		this.progress = 0;
		this.last_progress = -1;
		if (this.areAllTexturesAndSoundsLoaded())
			this.go_loading_finished();
		else
		{
			var ms_elapsed = Date.now() - this.start_time;
			if (ctx)
			{
				var overlay_width = this.width;
				var overlay_height = this.height;
				var multiplier = this.devicePixelRatio;
				if (this.overlay_canvas)
				{
					overlay_width = this.cssWidth;
					overlay_height = this.cssHeight;
					multiplier = 1;
				}
				if (this.loaderstyle !== 3 && (this.isCocoonJs || (ms_elapsed >= 500 && this.last_progress != this.progress)))
				{
					ctx.clearRect(0, 0, overlay_width, overlay_height);
					var mx = overlay_width / 2;
					var my = overlay_height / 2;
					var haslogo = (this.loaderstyle === 0 && this.loaderlogo.complete);
					var hlw = 40 * multiplier;
					var hlh = 0;
					var logowidth = 80 * multiplier;
					var logoheight;
					if (haslogo)
					{
						logowidth = this.loaderlogo.width * multiplier;
						logoheight = this.loaderlogo.height * multiplier;
						hlw = logowidth / 2;
						hlh = logoheight / 2;
						ctx.drawImage(this.loaderlogo, cr.floor(mx - hlw), cr.floor(my - hlh), logowidth, logoheight);
					}
					if (this.loaderstyle <= 1)
					{
						my += hlh + (haslogo ? 12 * multiplier : 0);
						mx -= hlw;
						mx = cr.floor(mx) + 0.5;
						my = cr.floor(my) + 0.5;
						ctx.fillStyle = anyImageHadError ? "red" : "DodgerBlue";
						ctx.fillRect(mx, my, Math.floor(logowidth * this.progress), 6 * multiplier);
						ctx.strokeStyle = "black";
						ctx.strokeRect(mx, my, logowidth, 6 * multiplier);
						ctx.strokeStyle = "white";
						ctx.strokeRect(mx - 1 * multiplier, my - 1 * multiplier, logowidth + 2 * multiplier, 8 * multiplier);
					}
					else if (this.loaderstyle === 2)
					{
						ctx.font = (this.isEjecta ? "12pt ArialMT" : "12pt Arial");
						ctx.fillStyle = anyImageHadError ? "#f00" : "#999";
						ctx.textBaseLine = "middle";
						var percent_text = Math.round(this.progress * 100) + "%";
						var text_dim = ctx.measureText ? ctx.measureText(percent_text) : null;
						var text_width = text_dim ? text_dim.width : 0;
						ctx.fillText(percent_text, mx - (text_width / 2), my);
					}
				}
				this.last_progress = this.progress;
			}
			setTimeout((function (self) { return function () { self.go(); }; })(this), (this.isCocoonJs ? 10 : 100));
		}
	};
	Runtime.prototype.go_loading_finished = function ()
	{
		if (this.overlay_canvas)
		{
			this.canvas.parentNode.removeChild(this.overlay_canvas);
			this.overlay_ctx = null;
			this.overlay_canvas = null;
		}
		this.start_time = Date.now();
		this.last_fps_time = cr.performance_now();       // for counting framerate
		var i, len, t;
		if (this.uses_loader_layout)
		{
			for (i = 0, len = this.types_by_index.length; i < len; i++)
			{
				t = this.types_by_index[i];
				if (!t.is_family && !t.isOnLoaderLayout && t.plugin.is_world)
				{
					t.onCreate();
					cr.seal(t);
				}
			}
		}
		else
			this.isloading = false;
		for (i = 0, len = this.layouts_by_index.length; i < len; i++)
		{
			this.layouts_by_index[i].createGlobalNonWorlds();
		}
		if (this.fullscreen_mode >= 2)
		{
			var orig_aspect = this.original_width / this.original_height;
			var cur_aspect = this.width / this.height;
			if ((this.fullscreen_mode !== 2 && cur_aspect > orig_aspect) || (this.fullscreen_mode === 2 && cur_aspect < orig_aspect))
				this.aspect_scale = this.height / this.original_height;
			else
				this.aspect_scale = this.width / this.original_width;
		}
		if (this.first_layout)
			this.layouts[this.first_layout].startRunning();
		else
			this.layouts_by_index[0].startRunning();
;
		if (!this.uses_loader_layout)
		{
			this.loadingprogress = 1;
			this.trigger(cr.system_object.prototype.cnds.OnLoadFinished, null);
		}
		if (navigator["splashscreen"] && navigator["splashscreen"]["hide"])
			navigator["splashscreen"]["hide"]();
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			t = this.types_by_index[i];
			if (t.onAppBegin)
				t.onAppBegin();
		}
		this.tick(false);
		if (this.isDirectCanvas)
			AppMobi["webview"]["execute"]("onGameReady();");
	};
	var raf = window["requestAnimationFrame"] ||
	  window["mozRequestAnimationFrame"]    ||
	  window["webkitRequestAnimationFrame"] ||
	  window["msRequestAnimationFrame"]     ||
	  window["oRequestAnimationFrame"];
	Runtime.prototype.tick = function (background_wake)
	{
		if (!this.running_layout)
			return;
		var logic_start = cr.performance_now();
		if (this.halfFramerateMode && this.ranLastRaf)
		{
			if (logic_start - this.lastRafTime < 29)
			{
				this.ranLastRaf = false;
				this.lastRafTime = logic_start;
				if (raf)
					this.raf_id = raf(this.tickFunc, this.canvas);
				else	// no idea if this works without raf/hi res timers but let's hope for the best
					this.timeout_id = setTimeout(this.tickFunc, this.isMobile ? 1 : 16);
				return;		// skipped this frame
			}
		}
		this.ranLastRaf = true;
		this.lastRafTime = logic_start;
		var fsmode = this.fullscreen_mode;
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || document["fullScreen"] || !!document["msFullscreenElement"]) && !this.isPhoneGap;
		if ((isfullscreen || this.isNodeFullscreen) && this.fullscreen_scaling > 0)
			fsmode = this.fullscreen_scaling;
		if (fsmode > 0 && (!this.isiOS || window.self !== window.top))
		{
			var curwidth = window.innerWidth;
			var curheight = window.innerHeight;
			if (this.lastWindowWidth !== curwidth || this.lastWindowHeight !== curheight)
			{
				this["setSize"](window_innerWidth(), window_innerHeight());
			}
		}
		if (!this.isDomFree)
		{
			if (isfullscreen)
			{
				if (!this.firstInFullscreen)
				{
					this.fullscreenOldMarginCss = jQuery(this.canvas).css("margin") || "0";
					this.firstInFullscreen = true;
				}
				if (!this.isChrome && !this.isNodeWebkit)
				{
					jQuery(this.canvas).css({
						"margin-left": "" + Math.floor((screen.width - (this.width / this.devicePixelRatio)) / 2) + "px",
						"margin-top": "" + Math.floor((screen.height - (this.height / this.devicePixelRatio)) / 2) + "px"
					});
				}
			}
			else
			{
				if (this.firstInFullscreen)
				{
					if (!this.isChrome && !this.isNodeWebkit)
					{
						jQuery(this.canvas).css("margin", this.fullscreenOldMarginCss);
					}
					this.fullscreenOldMarginCss = "";
					this.firstInFullscreen = false;
					if (this.fullscreen_mode === 0)
					{
						this["setSize"](Math.round(this.oldWidth / this.devicePixelRatio), Math.round(this.oldHeight / this.devicePixelRatio), true);
					}
				}
				else
				{
					this.oldWidth = this.width;
					this.oldHeight = this.height;
				}
			}
		}
		if (this.isloading)
		{
			var done = this.areAllTexturesAndSoundsLoaded();		// updates this.progress
			this.loadingprogress = this.progress;
			if (done)
			{
				this.isloading = false;
				this.progress = 1;
				this.trigger(cr.system_object.prototype.cnds.OnLoadFinished, null);
			}
		}
		this.logic();
		if ((this.redraw || this.isCocoonJs) && !this.is_WebGL_context_lost && !this.suspendDrawing && !background_wake)
		{
			this.redraw = false;
			if (this.glwrap)
				this.drawGL();
			else
				this.draw();
			if (this.snapshotCanvas)
			{
				if (this.canvas && this.canvas.toDataURL)
				{
					this.snapshotData = this.canvas.toDataURL(this.snapshotCanvas[0], this.snapshotCanvas[1]);
					this.trigger(cr.system_object.prototype.cnds.OnCanvasSnapshot, null);
				}
				this.snapshotCanvas = null;
			}
		}
		if (!this.hit_breakpoint)
		{
			this.tickcount++;
			this.execcount++;
			this.framecount++;
		}
		this.logictime += cr.performance_now() - logic_start;
		if (this.isSuspended || background_wake)
			return;
		if (raf)
			this.raf_id = raf(this.tickFunc, this.canvas);
		else
		{
			this.timeout_id = setTimeout(this.tickFunc, this.isMobile ? 1 : 16);
		}
	};
	Runtime.prototype.logic = function ()
	{
		var i, leni, j, lenj, k, lenk, type, inst, binst;
		var cur_time = cr.performance_now();
		if (cur_time - this.last_fps_time >= 1000)  // every 1 second
		{
			this.last_fps_time += 1000;
			this.fps = this.framecount;
			this.framecount = 0;
			this.cpuutilisation = this.logictime;
			this.logictime = 0;
		}
		if (this.measuring_dt)
		{
			if (this.last_tick_time !== 0)
			{
				var ms_diff = cur_time - this.last_tick_time;
				if (ms_diff === 0 && !this.isDebug)
				{
					this.zeroDtCount++;
					if (this.zeroDtCout >= 10)
						this.measuring_dt = false;
					this.dt1 = 1.0 / 60.0;            // 60fps assumed (0.01666...)
				}
				else
				{
					this.dt1 = ms_diff / 1000.0; // dt measured in seconds
					if (this.dt1 > 0.5)
						this.dt1 = 0;
					else if (this.dt1 > 0.1)
						this.dt1 = 0.1;
				}
			}
			this.last_tick_time = cur_time;
		}
        this.dt = this.dt1 * this.timescale;
        this.kahanTime.add(this.dt);
		this.wallTime.add(this.dt1);
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || document["fullScreen"] || !!document["msFullscreenElement"] || this.isNodeFullscreen) && !this.isPhoneGap;
		if (this.fullscreen_mode >= 2 /* scale */ || (isfullscreen && this.fullscreen_scaling > 0))
		{
			var orig_aspect = this.original_width / this.original_height;
			var cur_aspect = this.width / this.height;
			var mode = this.fullscreen_mode;
			if (isfullscreen && this.fullscreen_scaling > 0)
				mode = this.fullscreen_scaling;
			if ((mode !== 2 && cur_aspect > orig_aspect) || (mode === 2 && cur_aspect < orig_aspect))
			{
				this.aspect_scale = this.height / this.original_height;
			}
			else
			{
				this.aspect_scale = this.width / this.original_width;
			}
			if (this.running_layout)
			{
				this.running_layout.scrollToX(this.running_layout.scrollX);
				this.running_layout.scrollToY(this.running_layout.scrollY);
			}
		}
		else
			this.aspect_scale = (this.isRetina ? this.devicePixelRatio : 1);
		this.ClearDeathRow();
		this.isInOnDestroy++;
		this.system.runWaits();		// prevent instance list changing
		this.isInOnDestroy--;
		this.ClearDeathRow();		// allow instance list changing
		this.isInOnDestroy++;
        var tickarr = this.objects_to_pretick.valuesRef();
        for (i = 0, leni = tickarr.length; i < leni; i++)
            tickarr[i].pretick();
		for (i = 0, leni = this.types_by_index.length; i < leni; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family || (!type.behaviors.length && !type.families.length))
				continue;
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				inst = type.instances[j];
				for (k = 0, lenk = inst.behavior_insts.length; k < lenk; k++)
				{
					inst.behavior_insts[k].tick();
				}
			}
		}
		for (i = 0, leni = this.types_by_index.length; i < leni; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family || (!type.behaviors.length && !type.families.length))
				continue;	// type doesn't have any behaviors
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				inst = type.instances[j];
				for (k = 0, lenk = inst.behavior_insts.length; k < lenk; k++)
				{
					binst = inst.behavior_insts[k];
					if (binst.posttick)
						binst.posttick();
				}
			}
		}
        tickarr = this.objects_to_tick.valuesRef();
        for (i = 0, leni = tickarr.length; i < leni; i++)
            tickarr[i].tick();
		this.isInOnDestroy--;		// end preventing instance lists from being changed
		this.handleSaveLoad();		// save/load now if queued
		i = 0;
		while (this.changelayout && i++ < 10)
		{
			this.doChangeLayout(this.changelayout);
		}
        for (i = 0, leni = this.eventsheets_by_index.length; i < leni; i++)
            this.eventsheets_by_index[i].hasRun = false;
		if (this.running_layout.event_sheet)
			this.running_layout.event_sheet.run();
		this.registered_collisions.length = 0;
		this.layout_first_tick = false;
		this.isInOnDestroy++;		// prevent instance lists from being changed
		for (i = 0, leni = this.types_by_index.length; i < leni; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family || (!type.behaviors.length && !type.families.length))
				continue;	// type doesn't have any behaviors
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				var inst = type.instances[j];
				for (k = 0, lenk = inst.behavior_insts.length; k < lenk; k++)
				{
					binst = inst.behavior_insts[k];
					if (binst.tick2)
						binst.tick2();
				}
			}
		}
        tickarr = this.objects_to_tick2.valuesRef();
        for (i = 0, leni = tickarr.length; i < leni; i++)
            tickarr[i].tick2();
		this.isInOnDestroy--;		// end preventing instance lists from being changed
	};
	Runtime.prototype.doChangeLayout = function (changeToLayout)
	{
;
		var prev_layout = this.running_layout;
		this.running_layout.stopRunning();
		var i, len, j, lenj, k, lenk, type, inst, binst;
		if (this.glwrap)
		{
			for (i = 0, len = this.types_by_index.length; i < len; i++)
			{
				type = this.types_by_index[i];
				if (type.is_family)
					continue;
				if (type.unloadTextures && (!type.global || type.instances.length === 0) && changeToLayout.initial_types.indexOf(type) === -1)
				{
					type.unloadTextures();
				}
			}
		}
		if (prev_layout == changeToLayout)
			this.system.waits.length = 0;
		changeToLayout.startRunning();
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			type = this.types_by_index[i];
			if (!type.global && !type.plugin.singleglobal)
				continue;
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				inst = type.instances[j];
				if (inst.onLayoutChange)
					inst.onLayoutChange();
				if (inst.behavior_insts)
				{
					for (k = 0, lenk = inst.behavior_insts.length; k < lenk; k++)
					{
						binst = inst.behavior_insts[k];
						if (binst.onLayoutChange)
							binst.onLayoutChange();
					}
				}
			}
		}
		this.redraw = true;
		this.layout_first_tick = true;
		this.ClearDeathRow();
	};
	Runtime.prototype.pretickMe = function (inst)
    {
        this.objects_to_pretick.add(inst);
    };
	Runtime.prototype.unpretickMe = function (inst)
	{
		this.objects_to_pretick.remove(inst);
	};
    Runtime.prototype.tickMe = function (inst)
    {
        this.objects_to_tick.add(inst);
    };
	Runtime.prototype.untickMe = function (inst)
	{
		this.objects_to_tick.remove(inst);
	};
	Runtime.prototype.tick2Me = function (inst)
    {
        this.objects_to_tick2.add(inst);
    };
	Runtime.prototype.untick2Me = function (inst)
	{
		this.objects_to_tick2.remove(inst);
	};
    Runtime.prototype.getDt = function (inst)
    {
        if (!inst || inst.my_timescale === -1.0)
            return this.dt;
        return this.dt1 * inst.my_timescale;
    };
	Runtime.prototype.draw = function ()
	{
		this.running_layout.draw(this.ctx);
		if (this.isDirectCanvas)
			this.ctx["present"]();
	};
	Runtime.prototype.drawGL = function ()
	{
		this.running_layout.drawGL(this.glwrap);
		this.glwrap.present();
	};
	Runtime.prototype.addDestroyCallback = function (f)
	{
		if (f)
			this.destroycallbacks.push(f);
	};
	Runtime.prototype.removeDestroyCallback = function (f)
	{
		cr.arrayFindRemove(this.destroycallbacks, f);
	};
	Runtime.prototype.getObjectByUID = function (uid_)
	{
;
		var uidstr = uid_.toString();
		if (this.objectsByUid.hasOwnProperty(uidstr))
			return this.objectsByUid[uidstr];
		else
			return null;
	};
	Runtime.prototype.DestroyInstance = function (inst)
	{
		var i, len;
		if (!this.deathRow.contains(inst))
		{
			this.deathRow.add(inst);
			if (inst.is_contained)
			{
				for (i = 0, len = inst.siblings.length; i < len; i++)
				{
					this.DestroyInstance(inst.siblings[i]);
				}
			}
			if (this.isInClearDeathRow)
				this.deathRow.values_cache.push(inst);
			this.isInOnDestroy++;		// support recursion
			this.trigger(Object.getPrototypeOf(inst.type.plugin).cnds.OnDestroyed, inst);
			this.isInOnDestroy--;
		}
	};
	Runtime.prototype.ClearDeathRow = function ()
	{
		var inst, index, type, instances, binst;
		var i, j, k, leni, lenj, lenk;
		var w, f;
		this.isInClearDeathRow = true;
		for (i = 0, leni = this.createRow.length; i < leni; i++)
		{
			inst = this.createRow[i];
			type = inst.type;
			type.instances.push(inst);
			for (j = 0, lenj = type.families.length; j < lenj; j++)
			{
				type.families[j].instances.push(inst);
				type.families[j].stale_iids = true;
			}
		}
		this.createRow.length = 0;
		var arr = this.deathRow.valuesRef();	// get array of items from set
		for (i = 0; i < arr.length; i++)		// check array length every time in case it changes
		{
			inst = arr[i];
			type = inst.type;
			instances = type.instances;
			for (j = 0, lenj = this.destroycallbacks.length; j < lenj; j++)
				this.destroycallbacks[j](inst);
			cr.arrayFindRemove(instances, inst);
			if (instances.length === 0)
				type.any_instance_parallaxed = false;
			if (inst.collcells)
			{
				type.collision_grid.update(inst, inst.collcells, null);
			}
			if (inst.layer)
			{
				cr.arrayRemove(inst.layer.instances, inst.get_zindex());
				inst.layer.zindices_stale = true;
			}
			for (j = 0, lenj = type.families.length; j < lenj; j++)
			{
				cr.arrayFindRemove(type.families[j].instances, inst);
				type.families[j].stale_iids = true;
			}
			if (inst.behavior_insts)
			{
				for (j = 0, lenj = inst.behavior_insts.length; j < lenj; j++)
				{
					binst = inst.behavior_insts[j];
					if (binst.onDestroy)
						binst.onDestroy();
					binst.behavior.my_instances.remove(inst);
				}
			}
			this.objects_to_pretick.remove(inst);
            this.objects_to_tick.remove(inst);
			this.objects_to_tick2.remove(inst);
			for (j = 0, lenj = this.system.waits.length; j < lenj; j++)
			{
				w = this.system.waits[j];
				if (w.sols.hasOwnProperty(type.index))
					cr.arrayFindRemove(w.sols[type.index].insts, inst);
				if (!type.is_family)
				{
					for (k = 0, lenk = type.families.length; k < lenk; k++)
					{
						f = type.families[k];
						if (w.sols.hasOwnProperty(f.index))
							cr.arrayFindRemove(w.sols[f.index].insts, inst);
					}
				}
			}
			if (inst.onDestroy)
				inst.onDestroy();
			if (this.objectsByUid.hasOwnProperty(inst.uid.toString()))
				delete this.objectsByUid[inst.uid.toString()];
			this.objectcount--;
			if (type.deadCache.length < 64)
				type.deadCache.push(inst);
			type.stale_iids = true;
		}
		if (!this.deathRow.isEmpty())
			this.redraw = true;
		this.deathRow.clear();
		this.isInClearDeathRow = false;
	};
	Runtime.prototype.createInstance = function (type, layer, sx, sy)
	{
		if (type.is_family)
		{
			var i = cr.floor(Math.random() * type.members.length);
			return this.createInstance(type.members[i], layer, sx, sy);
		}
		if (!type.default_instance)
		{
			return null;
		}
		return this.createInstanceFromInit(type.default_instance, layer, false, sx, sy, false);
	};
	var all_behaviors = [];
	Runtime.prototype.createInstanceFromInit = function (initial_inst, layer, is_startup_instance, sx, sy, skip_siblings)
	{
		var i, len, j, lenj, p, effect_fallback, x, y;
		if (!initial_inst)
			return null;
		var type = this.types_by_index[initial_inst[1]];
;
;
		var is_world = type.plugin.is_world;
;
		if (this.isloading && is_world && !type.isOnLoaderLayout)
			return null;
		if (is_world && !this.glwrap && initial_inst[0][11] === 11)
			return null;
		var original_layer = layer;
		if (!is_world)
			layer = null;
		var inst;
		if (type.deadCache.length)
		{
			inst = type.deadCache.pop();
			inst.recycled = true;
			type.plugin.Instance.call(inst, type);
		}
		else
		{
			inst = new type.plugin.Instance(type);
			inst.recycled = false;
		}
		if (is_startup_instance && !skip_siblings)
			inst.uid = initial_inst[2];
		else
			inst.uid = this.next_uid++;
		this.objectsByUid[inst.uid.toString()] = inst;
		inst.puid = this.next_puid++;
		inst.iid = type.instances.length;
		for (i = 0, len = this.createRow.length; i < len; ++i)
		{
			if (this.createRow[i].type === type)
				inst.iid++;
		}
		inst.get_iid = cr.inst_get_iid;
		var initial_vars = initial_inst[3];
		if (inst.recycled)
		{
			cr.wipe(inst.extra);
		}
		else
		{
			inst.extra = {};
			if (typeof cr_is_preview !== "undefined")
			{
				inst.instance_var_names = [];
				inst.instance_var_names.length = initial_vars.length;
				for (i = 0, len = initial_vars.length; i < len; i++)
					inst.instance_var_names[i] = initial_vars[i][1];
			}
			inst.instance_vars = [];
			inst.instance_vars.length = initial_vars.length;
		}
		for (i = 0, len = initial_vars.length; i < len; i++)
			inst.instance_vars[i] = initial_vars[i][0];
		if (is_world)
		{
			var wm = initial_inst[0];
;
			inst.x = cr.is_undefined(sx) ? wm[0] : sx;
			inst.y = cr.is_undefined(sy) ? wm[1] : sy;
			inst.z = wm[2];
			inst.width = wm[3];
			inst.height = wm[4];
			inst.depth = wm[5];
			inst.angle = wm[6];
			inst.opacity = wm[7];
			inst.hotspotX = wm[8];
			inst.hotspotY = wm[9];
			inst.blend_mode = wm[10];
			effect_fallback = wm[11];
			if (!this.glwrap && type.effect_types.length)	// no WebGL renderer and shaders used
				inst.blend_mode = effect_fallback;			// use fallback blend mode - destroy mode was handled above
			inst.compositeOp = cr.effectToCompositeOp(inst.blend_mode);
			if (this.gl)
				cr.setGLBlend(inst, inst.blend_mode, this.gl);
			if (inst.recycled)
			{
				for (i = 0, len = wm[12].length; i < len; i++)
				{
					for (j = 0, lenj = wm[12][i].length; j < lenj; j++)
						inst.effect_params[i][j] = wm[12][i][j];
				}
				inst.bbox.set(0, 0, 0, 0);
				inst.collcells.set(0, 0, -1, -1);
				inst.bquad.set_from_rect(inst.bbox);
				inst.bbox_changed_callbacks.length = 0;
			}
			else
			{
				inst.effect_params = wm[12].slice(0);
				for (i = 0, len = inst.effect_params.length; i < len; i++)
					inst.effect_params[i] = wm[12][i].slice(0);
				inst.active_effect_types = [];
				inst.active_effect_flags = [];
				inst.active_effect_flags.length = type.effect_types.length;
				inst.bbox = new cr.rect(0, 0, 0, 0);
				inst.collcells = new cr.rect(0, 0, -1, -1);
				inst.bquad = new cr.quad();
				inst.bbox_changed_callbacks = [];
				inst.set_bbox_changed = cr.set_bbox_changed;
				inst.add_bbox_changed_callback = cr.add_bbox_changed_callback;
				inst.contains_pt = cr.inst_contains_pt;
				inst.update_bbox = cr.update_bbox;
				inst.update_collision_cell = cr.update_collision_cell;
				inst.get_zindex = cr.inst_get_zindex;
			}
			inst.tilemap_exists = false;
			inst.tilemap_width = 0;
			inst.tilemap_height = 0;
			inst.tilemap_data = null;
			if (wm.length === 14)
			{
				inst.tilemap_exists = true;
				inst.tilemap_width = wm[13][0];
				inst.tilemap_height = wm[13][1];
				inst.tilemap_data = wm[13][2];
			}
			for (i = 0, len = type.effect_types.length; i < len; i++)
				inst.active_effect_flags[i] = true;
			inst.updateActiveEffects = cr.inst_updateActiveEffects;
			inst.updateActiveEffects();
			inst.uses_shaders = !!inst.active_effect_types.length;
			inst.bbox_changed = true;
			inst.cell_changed = true;
			type.any_cell_changed = true;
			inst.visible = true;
            inst.my_timescale = -1.0;
			inst.layer = layer;
			inst.zindex = layer.instances.length;	// will be placed at top of current layer
			if (typeof inst.collision_poly === "undefined")
				inst.collision_poly = null;
			inst.collisionsEnabled = true;
			this.redraw = true;
		}
		inst.toString = cr.inst_toString;
		var initial_props, binst;
		all_behaviors.length = 0;
		for (i = 0, len = type.families.length; i < len; i++)
		{
			all_behaviors.push.apply(all_behaviors, type.families[i].behaviors);
		}
		all_behaviors.push.apply(all_behaviors, type.behaviors);
		if (inst.recycled)
		{
			for (i = 0, len = all_behaviors.length; i < len; i++)
			{
				var btype = all_behaviors[i];
				binst = inst.behavior_insts[i];
				binst.recycled = true;
				btype.behavior.Instance.call(binst, btype, inst);
				initial_props = initial_inst[4][i];
				for (j = 0, lenj = initial_props.length; j < lenj; j++)
					binst.properties[j] = initial_props[j];
				binst.onCreate();
				btype.behavior.my_instances.add(inst);
			}
		}
		else
		{
			inst.behavior_insts = [];
			for (i = 0, len = all_behaviors.length; i < len; i++)
			{
				var btype = all_behaviors[i];
				var binst = new btype.behavior.Instance(btype, inst);
				binst.recycled = false;
				binst.properties = initial_inst[4][i].slice(0);
				binst.onCreate();
				cr.seal(binst);
				inst.behavior_insts.push(binst);
				btype.behavior.my_instances.add(inst);
			}
		}
		initial_props = initial_inst[5];
		if (inst.recycled)
		{
			for (i = 0, len = initial_props.length; i < len; i++)
				inst.properties[i] = initial_props[i];
		}
		else
			inst.properties = initial_props.slice(0);
		this.createRow.push(inst);
		if (layer)
		{
;
			layer.instances.push(inst);
			if (layer.parallaxX !== 1 || layer.parallaxY !== 1)
				type.any_instance_parallaxed = true;
		}
		this.objectcount++;
		if (type.is_contained)
		{
			inst.is_contained = true;
			if (inst.recycled)
				inst.siblings.length = 0;
			else
				inst.siblings = [];			// note: should not include self in siblings
			if (!is_startup_instance && !skip_siblings)	// layout links initial instances
			{
				for (i = 0, len = type.container.length; i < len; i++)
				{
					if (type.container[i] === type)
						continue;
					if (!type.container[i].default_instance)
					{
						return null;
					}
					inst.siblings.push(this.createInstanceFromInit(type.container[i].default_instance, original_layer, false, is_world ? inst.x : sx, is_world ? inst.y : sy, true));
				}
				for (i = 0, len = inst.siblings.length; i < len; i++)
				{
					inst.siblings[i].siblings.push(inst);
					for (j = 0; j < len; j++)
					{
						if (i !== j)
							inst.siblings[i].siblings.push(inst.siblings[j]);
					}
				}
			}
		}
		else
		{
			inst.is_contained = false;
			inst.siblings = null;
		}
		inst.onCreate();
		if (!inst.recycled)
			cr.seal(inst);
		for (i = 0, len = inst.behavior_insts.length; i < len; i++)
		{
			if (inst.behavior_insts[i].postCreate)
				inst.behavior_insts[i].postCreate();
		}
		return inst;
	};
	Runtime.prototype.getLayerByName = function (layer_name)
	{
		var i, len;
		for (i = 0, len = this.running_layout.layers.length; i < len; i++)
		{
			var layer = this.running_layout.layers[i];
			if (cr.equals_nocase(layer.name, layer_name))
				return layer;
		}
		return null;
	};
	Runtime.prototype.getLayerByNumber = function (index)
	{
		index = cr.floor(index);
		if (index < 0)
			index = 0;
		if (index >= this.running_layout.layers.length)
			index = this.running_layout.layers.length - 1;
		return this.running_layout.layers[index];
	};
	Runtime.prototype.getLayer = function (l)
	{
		if (cr.is_number(l))
			return this.getLayerByNumber(l);
		else
			return this.getLayerByName(l.toString());
	};
	Runtime.prototype.clearSol = function (solModifiers)
	{
		var i, len;
		for (i = 0, len = solModifiers.length; i < len; i++)
		{
			solModifiers[i].getCurrentSol().select_all = true;
		}
	};
	Runtime.prototype.pushCleanSol = function (solModifiers)
	{
		var i, len;
		for (i = 0, len = solModifiers.length; i < len; i++)
		{
			solModifiers[i].pushCleanSol();
		}
	};
	Runtime.prototype.pushCopySol = function (solModifiers)
	{
		var i, len;
		for (i = 0, len = solModifiers.length; i < len; i++)
		{
			solModifiers[i].pushCopySol();
		}
	};
	Runtime.prototype.popSol = function (solModifiers)
	{
		var i, len;
		for (i = 0, len = solModifiers.length; i < len; i++)
		{
			solModifiers[i].popSol();
		}
	};
	Runtime.prototype.updateAllCells = function (type)
	{
		if (!type.any_cell_changed)
			return;		// all instances must already be up-to-date
		var i, len, instances = type.instances;
		for (i = 0, len = instances.length; i < len; ++i)
		{
			instances[i].update_collision_cell();
		}
		var createRow = this.createRow;
		for (i = 0, len = createRow.length; i < len; ++i)
		{
			if (createRow[i].type === type)
				createRow[i].update_collision_cell();
		}
		type.any_cell_changed = false;
	};
	Runtime.prototype.getCollisionCandidates = function (layer, rtype, bbox, candidates)
	{
		var i, len, t;
		var is_parallaxed = (layer ? (layer.parallaxX !== 1 || layer.parallaxY !== 1) : false);
		if (rtype.is_family)
		{
			for (i = 0, len = rtype.members.length; i < len; ++i)
			{
				t = rtype.members[i];
				if (is_parallaxed || t.any_instance_parallaxed)
				{
					cr.appendArray(candidates, t.instances);
				}
				else
				{
					this.updateAllCells(t);
					t.collision_grid.queryRange(bbox, candidates);
				}
			}
		}
		else
		{
			if (is_parallaxed || rtype.any_instance_parallaxed)
			{
				cr.appendArray(candidates, rtype.instances);
			}
			else
			{
				this.updateAllCells(rtype);
				rtype.collision_grid.queryRange(bbox, candidates);
			}
		}
	};
	Runtime.prototype.getTypesCollisionCandidates = function (layer, types, bbox, candidates)
	{
		var i, len;
		for (i = 0, len = types.length; i < len; ++i)
		{
			this.getCollisionCandidates(layer, types[i], bbox, candidates);
		}
	};
	Runtime.prototype.getSolidCollisionCandidates = function (layer, bbox, candidates)
	{
		var solid = this.getSolidBehavior();
		if (!solid)
			return null;
		this.getTypesCollisionCandidates(layer, solid.my_types, bbox, candidates);
	};
	Runtime.prototype.getJumpthruCollisionCandidates = function (layer, bbox, candidates)
	{
		var jumpthru = this.getJumpthruBehavior();
		if (!jumpthru)
			return null;
		this.getTypesCollisionCandidates(layer, jumpthru.my_types, bbox, candidates);
	};
	Runtime.prototype.testAndSelectCanvasPointOverlap = function (type, ptx, pty, inverted)
	{
		var sol = type.getCurrentSol();
		var i, j, inst, len;
		var lx, ly;
		if (sol.select_all)
		{
			if (!inverted)
			{
				sol.select_all = false;
				sol.instances.length = 0;   // clear contents
			}
			for (i = 0, len = type.instances.length; i < len; i++)
			{
				inst = type.instances[i];
				inst.update_bbox();
				lx = inst.layer.canvasToLayer(ptx, pty, true);
				ly = inst.layer.canvasToLayer(ptx, pty, false);
				if (inst.contains_pt(lx, ly))
				{
					if (inverted)
						return false;
					else
						sol.instances.push(inst);
				}
			}
		}
		else
		{
			j = 0;
			for (i = 0, len = sol.instances.length; i < len; i++)
			{
				inst = sol.instances[i];
				inst.update_bbox();
				lx = inst.layer.canvasToLayer(ptx, pty, true);
				ly = inst.layer.canvasToLayer(ptx, pty, false);
				if (inst.contains_pt(lx, ly))
				{
					if (inverted)
						return false;
					else
					{
						sol.instances[j] = sol.instances[i];
						j++;
					}
				}
			}
			if (!inverted)
				sol.instances.length = j;
		}
		type.applySolToContainer();
		if (inverted)
			return true;		// did not find anything overlapping
		else
			return sol.hasObjects();
	};
	Runtime.prototype.testOverlap = function (a, b)
	{
		if (!a || !b || a === b || !a.collisionsEnabled || !b.collisionsEnabled)
			return false;
		a.update_bbox();
		b.update_bbox();
		var layera = a.layer;
		var layerb = b.layer;
		var different_layers = (layera !== layerb && (layera.parallaxX !== layerb.parallaxX || layerb.parallaxY !== layerb.parallaxY || layera.scale !== layerb.scale || layera.angle !== layerb.angle || layera.zoomRate !== layerb.zoomRate));
		var i, len, i2, i21, x, y, haspolya, haspolyb, polya, polyb;
		if (!different_layers)	// same layers: easy check
		{
			if (!a.bbox.intersects_rect(b.bbox))
				return false;
			if (!a.bquad.intersects_quad(b.bquad))
				return false;
			if (a.tilemap_exists && b.tilemap_exists)
				return false;
			if (a.tilemap_exists)
				return this.testTilemapOverlap(a, b);
			if (b.tilemap_exists)
				return this.testTilemapOverlap(b, a);
			haspolya = (a.collision_poly && !a.collision_poly.is_empty());
			haspolyb = (b.collision_poly && !b.collision_poly.is_empty());
			if (!haspolya && !haspolyb)
				return true;
			if (haspolya)
			{
				a.collision_poly.cache_poly(a.width, a.height, a.angle);
				polya = a.collision_poly;
			}
			else
			{
				this.temp_poly.set_from_quad(a.bquad, a.x, a.y, a.width, a.height);
				polya = this.temp_poly;
			}
			if (haspolyb)
			{
				b.collision_poly.cache_poly(b.width, b.height, b.angle);
				polyb = b.collision_poly;
			}
			else
			{
				this.temp_poly.set_from_quad(b.bquad, b.x, b.y, b.width, b.height);
				polyb = this.temp_poly;
			}
			return polya.intersects_poly(polyb, b.x - a.x, b.y - a.y);
		}
		else	// different layers: need to do full translated check
		{
			haspolya = (a.collision_poly && !a.collision_poly.is_empty());
			haspolyb = (b.collision_poly && !b.collision_poly.is_empty());
			if (haspolya)
			{
				a.collision_poly.cache_poly(a.width, a.height, a.angle);
				this.temp_poly.set_from_poly(a.collision_poly);
			}
			else
			{
				this.temp_poly.set_from_quad(a.bquad, a.x, a.y, a.width, a.height);
			}
			polya = this.temp_poly;
			if (haspolyb)
			{
				b.collision_poly.cache_poly(b.width, b.height, b.angle);
				this.temp_poly2.set_from_poly(b.collision_poly);
			}
			else
			{
				this.temp_poly2.set_from_quad(b.bquad, b.x, b.y, b.width, b.height);
			}
			polyb = this.temp_poly2;
			for (i = 0, len = polya.pts_count; i < len; i++)
			{
				i2 = i * 2;
				i21 = i2 + 1;
				x = polya.pts_cache[i2];
				y = polya.pts_cache[i21];
				polya.pts_cache[i2] = layera.layerToCanvas(x + a.x, y + a.y, true);
				polya.pts_cache[i21] = layera.layerToCanvas(x + a.x, y + a.y, false);
			}
			polya.update_bbox();
			for (i = 0, len = polyb.pts_count; i < len; i++)
			{
				i2 = i * 2;
				i21 = i2 + 1;
				x = polyb.pts_cache[i2];
				y = polyb.pts_cache[i21];
				polyb.pts_cache[i2] = layerb.layerToCanvas(x + b.x, y + b.y, true);
				polyb.pts_cache[i21] = layerb.layerToCanvas(x + b.x, y + b.y, false);
			}
			polyb.update_bbox();
			return polya.intersects_poly(polyb, 0, 0);
		}
	};
	var tmpQuad = new cr.quad();
	var tmpRect = new cr.rect(0, 0, 0, 0);
	var collrect_candidates = [];
	Runtime.prototype.testTilemapOverlap = function (tm, a)
	{
		var i, len, c, rc;
		var bbox = a.bbox;
		var tmx = tm.x;
		var tmy = tm.y;
		tm.getCollisionRectCandidates(bbox, collrect_candidates);
		var collrects = collrect_candidates;
		var haspolya = (a.collision_poly && !a.collision_poly.is_empty());
		for (i = 0, len = collrects.length; i < len; ++i)
		{
			c = collrects[i];
			rc = c.rc;
			if (bbox.intersects_rect_off(rc, tmx, tmy))
			{
				tmpQuad.set_from_rect(rc);
				tmpQuad.offset(tmx, tmy);
				if (tmpQuad.intersects_quad(a.bquad))
				{
					if (haspolya)
					{
						a.collision_poly.cache_poly(a.width, a.height, a.angle);
						if (c.poly)
						{
							if (c.poly.intersects_poly(a.collision_poly, a.x - (tmx + rc.left), a.y - (tmy + rc.top)))
							{
								collrect_candidates.length = 0;
								return true;
							}
						}
						else
						{
							this.temp_poly.set_from_quad(tmpQuad, 0, 0, rc.right - rc.left, rc.bottom - rc.top);
							if (this.temp_poly.intersects_poly(a.collision_poly, a.x, a.y))
							{
								collrect_candidates.length = 0;
								return true;
							}
						}
					}
					else
					{
						if (c.poly)
						{
							this.temp_poly.set_from_quad(a.bquad, 0, 0, a.width, a.height);
							if (c.poly.intersects_poly(this.temp_poly, -(tmx + rc.left), -(tmy + rc.top)))
							{
								collrect_candidates.length = 0;
								return true;
							}
						}
						else
						{
							collrect_candidates.length = 0;
							return true;
						}
					}
				}
			}
		}
		collrect_candidates.length = 0;
		return false;
	};
	Runtime.prototype.testRectOverlap = function (r, b)
	{
		if (!b || !b.collisionsEnabled)
			return false;
		b.update_bbox();
		var layerb = b.layer;
		var haspolyb, polyb;
		if (!b.bbox.intersects_rect(r))
			return false;
		if (b.tilemap_exists)
		{
			b.getCollisionRectCandidates(r, collrect_candidates);
			var collrects = collrect_candidates;
			var i, len, c, tilerc;
			var tmx = b.x;
			var tmy = b.y;
			for (i = 0, len = collrects.length; i < len; ++i)
			{
				c = collrects[i];
				tilerc = c.rc;
				if (r.intersects_rect_off(tilerc, tmx, tmy))
				{
					if (c.poly)
					{
						this.temp_poly.set_from_rect(r, 0, 0);
						if (c.poly.intersects_poly(this.temp_poly, -(tmx + tilerc.left), -(tmy + tilerc.top)))
						{
							collrect_candidates.length = 0;
							return true;
						}
					}
					else
					{
						collrect_candidates.length = 0;
						return true;
					}
				}
			}
			collrect_candidates.length = 0;
			return false;
		}
		else
		{
			tmpQuad.set_from_rect(r);
			if (!b.bquad.intersects_quad(tmpQuad))
				return false;
			haspolyb = (b.collision_poly && !b.collision_poly.is_empty());
			if (!haspolyb)
				return true;
			b.collision_poly.cache_poly(b.width, b.height, b.angle);
			tmpQuad.offset(-r.left, -r.top);
			this.temp_poly.set_from_quad(tmpQuad, 0, 0, 1, 1);
			return b.collision_poly.intersects_poly(this.temp_poly, r.left - b.x, r.top - b.y);
		}
	};
	Runtime.prototype.testSegmentOverlap = function (x1, y1, x2, y2, b)
	{
		if (!b || !b.collisionsEnabled)
			return false;
		b.update_bbox();
		var layerb = b.layer;
		var haspolyb, polyb;
		tmpRect.set(cr.min(x1, x2), cr.min(y1, y2), cr.max(x1, x2), cr.max(y1, y2));
		if (!b.bbox.intersects_rect(tmpRect))
			return false;
		if (b.tilemap_exists)
		{
			b.getCollisionRectCandidates(tmpRect, collrect_candidates);
			var collrects = collrect_candidates;
			var i, len, c, tilerc;
			var tmx = b.x;
			var tmy = b.y;
			for (i = 0, len = collrects.length; i < len; ++i)
			{
				c = collrects[i];
				tilerc = c.rc;
				if (tmpRect.intersects_rect_off(tilerc, tmx, tmy))
				{
					tmpQuad.set_from_rect(tilerc);
					tmpQuad.offset(tmx, tmy);
					if (tmpQuad.intersects_segment(x1, y1, x2, y2))
					{
						if (c.poly)
						{
							if (c.poly.intersects_segment(tmx + tilerc.left, tmy + tilerc.top, x1, y1, x2, y2))
							{
								collrect_candidates.length = 0;
								return true;
							}
						}
						else
						{
							collrect_candidates.length = 0;
							return true;
						}
					}
				}
			}
			collrect_candidates.length = 0;
			return false;
		}
		else
		{
			if (!b.bquad.intersects_segment(x1, y1, x2, y2))
				return false;
			haspolyb = (b.collision_poly && !b.collision_poly.is_empty());
			if (!haspolyb)
				return true;
			b.collision_poly.cache_poly(b.width, b.height, b.angle);
			return b.collision_poly.intersects_segment(b.x, b.y, x1, y1, x2, y2);
		}
	};
	Runtime.prototype.typeHasBehavior = function (t, b)
	{
		if (!b)
			return false;
		var i, len, j, lenj, f;
		for (i = 0, len = t.behaviors.length; i < len; i++)
		{
			if (t.behaviors[i].behavior instanceof b)
				return true;
		}
		if (!t.is_family)
		{
			for (i = 0, len = t.families.length; i < len; i++)
			{
				f = t.families[i];
				for (j = 0, lenj = f.behaviors.length; j < lenj; j++)
				{
					if (f.behaviors[j].behavior instanceof b)
						return true;
				}
			}
		}
		return false;
	};
	Runtime.prototype.typeHasNoSaveBehavior = function (t)
	{
		return this.typeHasBehavior(t, cr.behaviors.NoSave);
	};
	Runtime.prototype.typeHasPersistBehavior = function (t)
	{
		return this.typeHasBehavior(t, cr.behaviors.Persist);
	};
	Runtime.prototype.getSolidBehavior = function ()
	{
		return this.solidBehavior;
	};
	Runtime.prototype.getJumpthruBehavior = function ()
	{
		return this.jumpthruBehavior;
	};
	var candidates = [];
	Runtime.prototype.testOverlapSolid = function (inst)
	{
		var i, len, s;
		inst.update_bbox();
		this.getSolidCollisionCandidates(inst.layer, inst.bbox, candidates);
		for (i = 0, len = candidates.length; i < len; ++i)
		{
			s = candidates[i];
			if (!s.extra["solidEnabled"])
				continue;
			if (this.testOverlap(inst, s))
			{
				candidates.length = 0;
				return s;
			}
		}
		candidates.length = 0;
		return null;
	};
	Runtime.prototype.testRectOverlapSolid = function (r)
	{
		var i, len, s;
		this.getSolidCollisionCandidates(null, r, candidates);
		for (i = 0, len = candidates.length; i < len; ++i)
		{
			s = candidates[i];
			if (!s.extra["solidEnabled"])
				continue;
			if (this.testRectOverlap(r, s))
			{
				candidates.length = 0;
				return s;
			}
		}
		candidates.length = 0;
		return null;
	};
	var jumpthru_array_ret = [];
	Runtime.prototype.testOverlapJumpThru = function (inst, all)
	{
		var ret = null;
		if (all)
		{
			ret = jumpthru_array_ret;
			ret.length = 0;
		}
		inst.update_bbox();
		this.getJumpthruCollisionCandidates(inst.layer, inst.bbox, candidates);
		var i, len, j;
		for (i = 0, len = candidates.length; i < len; ++i)
		{
			j = candidates[i];
			if (!j.extra["jumpthruEnabled"])
				continue;
			if (this.testOverlap(inst, j))
			{
				if (all)
					ret.push(j);
				else
				{
					candidates.length = 0;
					return j;
				}
			}
		}
		candidates.length = 0;
		return ret;
	};
	Runtime.prototype.pushOutSolid = function (inst, xdir, ydir, dist, include_jumpthrus, specific_jumpthru)
	{
		var push_dist = dist || 50;
		var oldx = inst.x
		var oldy = inst.y;
		var i;
		var last_overlapped = null, secondlast_overlapped = null;
		for (i = 0; i < push_dist; i++)
		{
			inst.x = (oldx + (xdir * i));
			inst.y = (oldy + (ydir * i));
			inst.set_bbox_changed();
			if (!this.testOverlap(inst, last_overlapped))
			{
				last_overlapped = this.testOverlapSolid(inst);
				if (last_overlapped)
					secondlast_overlapped = last_overlapped;
				if (!last_overlapped)
				{
					if (include_jumpthrus)
					{
						if (specific_jumpthru)
							last_overlapped = (this.testOverlap(inst, specific_jumpthru) ? specific_jumpthru : null);
						else
							last_overlapped = this.testOverlapJumpThru(inst);
						if (last_overlapped)
							secondlast_overlapped = last_overlapped;
					}
					if (!last_overlapped)
					{
						if (secondlast_overlapped)
							this.pushInFractional(inst, xdir, ydir, secondlast_overlapped, 16);
						return true;
					}
				}
			}
		}
		inst.x = oldx;
		inst.y = oldy;
		inst.set_bbox_changed();
		return false;
	};
	Runtime.prototype.pushOut = function (inst, xdir, ydir, dist, otherinst)
	{
		var push_dist = dist || 50;
		var oldx = inst.x
		var oldy = inst.y;
		var i;
		for (i = 0; i < push_dist; i++)
		{
			inst.x = (oldx + (xdir * i));
			inst.y = (oldy + (ydir * i));
			inst.set_bbox_changed();
			if (!this.testOverlap(inst, otherinst))
				return true;
		}
		inst.x = oldx;
		inst.y = oldy;
		inst.set_bbox_changed();
		return false;
	};
	Runtime.prototype.pushInFractional = function (inst, xdir, ydir, obj, limit)
	{
		var divisor = 2;
		var frac;
		var forward = false;
		var overlapping = false;
		var bestx = inst.x;
		var besty = inst.y;
		while (divisor <= limit)
		{
			frac = 1 / divisor;
			divisor *= 2;
			inst.x += xdir * frac * (forward ? 1 : -1);
			inst.y += ydir * frac * (forward ? 1 : -1);
			inst.set_bbox_changed();
			if (this.testOverlap(inst, obj))
			{
				forward = true;
				overlapping = true;
			}
			else
			{
				forward = false;
				overlapping = false;
				bestx = inst.x;
				besty = inst.y;
			}
		}
		if (overlapping)
		{
			inst.x = bestx;
			inst.y = besty;
			inst.set_bbox_changed();
		}
	};
	Runtime.prototype.pushOutSolidNearest = function (inst, max_dist_)
	{
		var max_dist = (cr.is_undefined(max_dist_) ? 100 : max_dist_);
		var dist = 0;
		var oldx = inst.x
		var oldy = inst.y;
		var dir = 0;
		var dx = 0, dy = 0;
		var last_overlapped = this.testOverlapSolid(inst);
		if (!last_overlapped)
			return true;		// already clear of solids
		while (dist <= max_dist)
		{
			switch (dir) {
			case 0:		dx = 0; dy = -1; dist++; break;
			case 1:		dx = 1; dy = -1; break;
			case 2:		dx = 1; dy = 0; break;
			case 3:		dx = 1; dy = 1; break;
			case 4:		dx = 0; dy = 1; break;
			case 5:		dx = -1; dy = 1; break;
			case 6:		dx = -1; dy = 0; break;
			case 7:		dx = -1; dy = -1; break;
			}
			dir = (dir + 1) % 8;
			inst.x = cr.floor(oldx + (dx * dist));
			inst.y = cr.floor(oldy + (dy * dist));
			inst.set_bbox_changed();
			if (!this.testOverlap(inst, last_overlapped))
			{
				last_overlapped = this.testOverlapSolid(inst);
				if (!last_overlapped)
					return true;
			}
		}
		inst.x = oldx;
		inst.y = oldy;
		inst.set_bbox_changed();
		return false;
	};
	Runtime.prototype.registerCollision = function (a, b)
	{
		if (!a.collisionsEnabled || !b.collisionsEnabled)
			return;
		this.registered_collisions.push([a, b]);
	};
	Runtime.prototype.checkRegisteredCollision = function (a, b)
	{
		var i, len, x;
		for (i = 0, len = this.registered_collisions.length; i < len; i++)
		{
			x = this.registered_collisions[i];
			if ((x[0] == a && x[1] == b) || (x[0] == b && x[1] == a))
				return true;
		}
		return false;
	};
	Runtime.prototype.calculateSolidBounceAngle = function(inst, startx, starty, obj)
	{
		var objx = inst.x;
		var objy = inst.y;
		var radius = cr.max(10, cr.distanceTo(startx, starty, objx, objy));
		var startangle = cr.angleTo(startx, starty, objx, objy);
		var firstsolid = obj || this.testOverlapSolid(inst);
		if (!firstsolid)
			return cr.clamp_angle(startangle + cr.PI);
		var cursolid = firstsolid;
		var i, curangle, anticlockwise_free_angle, clockwise_free_angle;
		var increment = cr.to_radians(5);	// 5 degree increments
		for (i = 1; i < 36; i++)
		{
			curangle = startangle - i * increment;
			inst.x = startx + Math.cos(curangle) * radius;
			inst.y = starty + Math.sin(curangle) * radius;
			inst.set_bbox_changed();
			if (!this.testOverlap(inst, cursolid))
			{
				cursolid = obj ? null : this.testOverlapSolid(inst);
				if (!cursolid)
				{
					anticlockwise_free_angle = curangle;
					break;
				}
			}
		}
		if (i === 36)
			anticlockwise_free_angle = cr.clamp_angle(startangle + cr.PI);
		var cursolid = firstsolid;
		for (i = 1; i < 36; i++)
		{
			curangle = startangle + i * increment;
			inst.x = startx + Math.cos(curangle) * radius;
			inst.y = starty + Math.sin(curangle) * radius;
			inst.set_bbox_changed();
			if (!this.testOverlap(inst, cursolid))
			{
				cursolid = obj ? null : this.testOverlapSolid(inst);
				if (!cursolid)
				{
					clockwise_free_angle = curangle;
					break;
				}
			}
		}
		if (i === 36)
			clockwise_free_angle = cr.clamp_angle(startangle + cr.PI);
		inst.x = objx;
		inst.y = objy;
		inst.set_bbox_changed();
		if (clockwise_free_angle === anticlockwise_free_angle)
			return clockwise_free_angle;
		var half_diff = cr.angleDiff(clockwise_free_angle, anticlockwise_free_angle) / 2;
		var normal;
		if (cr.angleClockwise(clockwise_free_angle, anticlockwise_free_angle))
		{
			normal = cr.clamp_angle(anticlockwise_free_angle + half_diff + cr.PI);
		}
		else
		{
			normal = cr.clamp_angle(clockwise_free_angle + half_diff);
		}
;
		var vx = Math.cos(startangle);
		var vy = Math.sin(startangle);
		var nx = Math.cos(normal);
		var ny = Math.sin(normal);
		var v_dot_n = vx * nx + vy * ny;
		var rx = vx - 2 * v_dot_n * nx;
		var ry = vy - 2 * v_dot_n * ny;
		return cr.angleTo(0, 0, rx, ry);
	};
	var triggerSheetIndex = -1;
	Runtime.prototype.trigger = function (method, inst, value /* for fast triggers */)
	{
;
		if (!this.running_layout)
			return false;
		var sheet = this.running_layout.event_sheet;
		if (!sheet)
			return false;     // no event sheet active; nothing to trigger
		var ret = false;
		var r, i, len;
		triggerSheetIndex++;
		var deep_includes = sheet.deep_includes;
		for (i = 0, len = deep_includes.length; i < len; ++i)
		{
			r = this.triggerOnSheet(method, inst, deep_includes[i], value);
			ret = ret || r;
		}
		r = this.triggerOnSheet(method, inst, sheet, value);
		ret = ret || r;
		triggerSheetIndex--;
		return ret;
    };
    Runtime.prototype.triggerOnSheet = function (method, inst, sheet, value)
    {
        var ret = false;
		var i, leni, r, families;
		if (!inst)
		{
			r = this.triggerOnSheetForTypeName(method, inst, "system", sheet, value);
			ret = ret || r;
		}
		else
		{
			r = this.triggerOnSheetForTypeName(method, inst, inst.type.name, sheet, value);
			ret = ret || r;
			families = inst.type.families;
			for (i = 0, leni = families.length; i < leni; ++i)
			{
				r = this.triggerOnSheetForTypeName(method, inst, families[i].name, sheet, value);
				ret = ret || r;
			}
		}
		return ret;             // true if anything got triggered
	};
	Runtime.prototype.triggerOnSheetForTypeName = function (method, inst, type_name, sheet, value)
	{
		var i, leni;
		var ret = false, ret2 = false;
		var trig, index;
		var fasttrigger = (typeof value !== "undefined");
		var triggers = (fasttrigger ? sheet.fasttriggers : sheet.triggers);
		var obj_entry = triggers[type_name];
		if (!obj_entry)
			return ret;
		var triggers_list = null;
		for (i = 0, leni = obj_entry.length; i < leni; ++i)
		{
			if (obj_entry[i].method == method)
			{
				triggers_list = obj_entry[i].evs;
				break;
			}
		}
		if (!triggers_list)
			return ret;
		var triggers_to_fire;
		if (fasttrigger)
		{
			triggers_to_fire = triggers_list[value];
		}
		else
		{
			triggers_to_fire = triggers_list;
		}
		if (!triggers_to_fire)
			return null;
		for (i = 0, leni = triggers_to_fire.length; i < leni; i++)
		{
			trig = triggers_to_fire[i][0];
			index = triggers_to_fire[i][1];
			ret2 = this.executeSingleTrigger(inst, type_name, trig, index);
			ret = ret || ret2;
		}
		return ret;
	};
	Runtime.prototype.executeSingleTrigger = function (inst, type_name, trig, index)
	{
		var i, leni;
		var ret = false;
		this.trigger_depth++;
		var current_event = this.getCurrentEventStack().current_event;
		if (current_event)
			this.pushCleanSol(current_event.solModifiersIncludingParents);
		var isrecursive = (this.trigger_depth > 1);		// calling trigger from inside another trigger
		this.pushCleanSol(trig.solModifiersIncludingParents);
		if (isrecursive)
			this.pushLocalVarStack();
		var event_stack = this.pushEventStack(trig);
		event_stack.current_event = trig;
		if (inst)
		{
			var sol = this.types[type_name].getCurrentSol();
			sol.select_all = false;
			sol.instances.length = 1;
			sol.instances[0] = inst;
			this.types[type_name].applySolToContainer();
		}
		var ok_to_run = true;
		if (trig.parent)
		{
			var temp_parents_arr = event_stack.temp_parents_arr;
			var cur_parent = trig.parent;
			while (cur_parent)
			{
				temp_parents_arr.push(cur_parent);
				cur_parent = cur_parent.parent;
			}
			temp_parents_arr.reverse();
			for (i = 0, leni = temp_parents_arr.length; i < leni; i++)
			{
				if (!temp_parents_arr[i].run_pretrigger())   // parent event failed
				{
					ok_to_run = false;
					break;
				}
			}
		}
		if (ok_to_run)
		{
			this.execcount++;
			if (trig.orblock)
				trig.run_orblocktrigger(index);
			else
				trig.run();
			ret = ret || event_stack.last_event_true;
		}
		this.popEventStack();
		if (isrecursive)
			this.popLocalVarStack();
		this.popSol(trig.solModifiersIncludingParents);
		if (current_event)
			this.popSol(current_event.solModifiersIncludingParents);
		if (this.isInOnDestroy === 0 && triggerSheetIndex === 0 && !this.isRunningEvents && (!this.deathRow.isEmpty() || this.createRow.length))
		{
			this.ClearDeathRow();
		}
		this.trigger_depth--;
		return ret;
	};
	Runtime.prototype.getCurrentCondition = function ()
	{
		var evinfo = this.getCurrentEventStack();
		return evinfo.current_event.conditions[evinfo.cndindex];
	};
	Runtime.prototype.getCurrentAction = function ()
	{
		var evinfo = this.getCurrentEventStack();
		return evinfo.current_event.actions[evinfo.actindex];
	};
	Runtime.prototype.pushLocalVarStack = function ()
	{
		this.localvar_stack_index++;
		if (this.localvar_stack_index >= this.localvar_stack.length)
			this.localvar_stack.push([]);
	};
	Runtime.prototype.popLocalVarStack = function ()
	{
;
		this.localvar_stack_index--;
	};
	Runtime.prototype.getCurrentLocalVarStack = function ()
	{
		return this.localvar_stack[this.localvar_stack_index];
	};
	Runtime.prototype.pushEventStack = function (cur_event)
	{
		this.event_stack_index++;
		if (this.event_stack_index >= this.event_stack.length)
			this.event_stack.push(new cr.eventStackFrame());
		var ret = this.getCurrentEventStack();
		ret.reset(cur_event);
		return ret;
	};
	Runtime.prototype.popEventStack = function ()
	{
;
		this.event_stack_index--;
	};
	Runtime.prototype.getCurrentEventStack = function ()
	{
		return this.event_stack[this.event_stack_index];
	};
	Runtime.prototype.pushLoopStack = function (name_)
	{
		this.loop_stack_index++;
		if (this.loop_stack_index >= this.loop_stack.length)
		{
			this.loop_stack.push(cr.seal({ name: name_, index: 0, stopped: false }));
		}
		var ret = this.getCurrentLoop();
		ret.name = name_;
		ret.index = 0;
		ret.stopped = false;
		return ret;
	};
	Runtime.prototype.popLoopStack = function ()
	{
;
		this.loop_stack_index--;
	};
	Runtime.prototype.getCurrentLoop = function ()
	{
		return this.loop_stack[this.loop_stack_index];
	};
	Runtime.prototype.getEventVariableByName = function (name, scope)
	{
		var i, leni, j, lenj, sheet, e;
		while (scope)
		{
			for (i = 0, leni = scope.subevents.length; i < leni; i++)
			{
				e = scope.subevents[i];
				if (e instanceof cr.eventvariable && cr.equals_nocase(name, e.name))
					return e;
			}
			scope = scope.parent;
		}
		for (i = 0, leni = this.eventsheets_by_index.length; i < leni; i++)
		{
			sheet = this.eventsheets_by_index[i];
			for (j = 0, lenj = sheet.events.length; j < lenj; j++)
			{
				e = sheet.events[j];
				if (e instanceof cr.eventvariable && cr.equals_nocase(name, e.name))
					return e;
			}
		}
		return null;
	};
	Runtime.prototype.getLayoutBySid = function (sid_)
	{
		var i, len;
		for (i = 0, len = this.layouts_by_index.length; i < len; i++)
		{
			if (this.layouts_by_index[i].sid === sid_)
				return this.layouts_by_index[i];
		}
		return null;
	};
	Runtime.prototype.getObjectTypeBySid = function (sid_)
	{
		var i, len;
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			if (this.types_by_index[i].sid === sid_)
				return this.types_by_index[i];
		}
		return null;
	};
	Runtime.prototype.getGroupBySid = function (sid_)
	{
		var i, len;
		for (i = 0, len = this.allGroups.length; i < len; i++)
		{
			if (this.allGroups[i].sid === sid_)
				return this.allGroups[i];
		}
		return null;
	};
	function makeSaveDb(e)
	{
		var db = e.target.result;
		db.createObjectStore("saves", { keyPath: "slot" });
	};
	function IndexedDB_WriteSlot(slot_, data_, oncomplete_, onerror_)
	{
		var request = indexedDB.open("_C2SaveStates");
		request.onupgradeneeded = makeSaveDb;
		request.onerror = onerror_;
		request.onsuccess = function (e)
		{
			var db = e.target.result;
			db.onerror = onerror_;
			var transaction = db.transaction(["saves"], "readwrite");
			var objectStore = transaction.objectStore("saves");
			var putReq = objectStore.put({"slot": slot_, "data": data_ });
			putReq.onsuccess = oncomplete_;
		};
	};
	function IndexedDB_ReadSlot(slot_, oncomplete_, onerror_)
	{
		var request = indexedDB.open("_C2SaveStates");
		request.onupgradeneeded = makeSaveDb;
		request.onerror = onerror_;
		request.onsuccess = function (e)
		{
			var db = e.target.result;
			db.onerror = onerror_;
			var transaction = db.transaction(["saves"]);
			var objectStore = transaction.objectStore("saves");
			var readReq = objectStore.get(slot_);
			readReq.onsuccess = function (e)
			{
				if (readReq.result)
					oncomplete_(readReq.result["data"]);
				else
					oncomplete_(null);
			};
		};
	};
	Runtime.prototype.signalContinuousPreview = function ()
	{
		this.signalledContinuousPreview = true;
	};
	function doContinuousPreviewReload()
	{
		cr.logexport("Reloading for continuous preview");
		if (!!window["c2cocoonjs"])
		{
			CocoonJS["App"]["reload"]();
		}
		else
		{
			if (window.location.search.indexOf("continuous") > -1)
				window.location.reload(true);
			else
				window.location = window.location + "?continuous";
		}
	};
	Runtime.prototype.handleSaveLoad = function ()
	{
		var self = this;
		var savingToSlot = this.saveToSlot;
		var savingJson = this.lastSaveJson;
		var loadingFromSlot = this.loadFromSlot;
		var continuous = false;
		if (this.signalledContinuousPreview)
		{
			continuous = true;
			savingToSlot = "__c2_continuouspreview";
			this.signalledContinuousPreview = false;
		}
		if (savingToSlot.length)
		{
			this.ClearDeathRow();
			savingJson = this.saveToJSONString();
			if (window.indexedDB && !this.isCocoonJs)
			{
				IndexedDB_WriteSlot(savingToSlot, savingJson, function ()
				{
					cr.logexport("Saved state to IndexedDB storage (" + savingJson.length + " bytes)");
					self.lastSaveJson = savingJson;
					self.trigger(cr.system_object.prototype.cnds.OnSaveComplete, null);
					self.lastSaveJson = "";
					if (continuous)
						doContinuousPreviewReload();
				}, function (e)
				{
					try {
						localStorage.setItem("__c2save_" + savingToSlot, savingJson);
						cr.logexport("Saved state to WebStorage (" + savingJson.length + " bytes)");
						self.lastSaveJson = savingJson;
						self.trigger(cr.system_object.prototype.cnds.OnSaveComplete, null);
						self.lastSaveJson = "";
						if (continuous)
							doContinuousPreviewReload();
					}
					catch (f)
					{
						cr.logexport("Failed to save game state: " + e + "; " + f);
					}
				});
			}
			else
			{
				try {
					localStorage.setItem("__c2save_" + savingToSlot, savingJson);
					cr.logexport("Saved state to WebStorage (" + savingJson.length + " bytes)");
					self.lastSaveJson = savingJson;
					this.trigger(cr.system_object.prototype.cnds.OnSaveComplete, null);
					self.lastSaveJson = "";
					if (continuous)
						doContinuousPreviewReload();
				}
				catch (e)
				{
					cr.logexport("Error saving to WebStorage: " + e);
				}
			}
			this.saveToSlot = "";
			this.loadFromSlot = "";
			this.loadFromJson = "";
		}
		if (loadingFromSlot.length)
		{
			if (window.indexedDB && !this.isCocoonJs)
			{
				IndexedDB_ReadSlot(loadingFromSlot, function (result_)
				{
					if (result_)
					{
						self.loadFromJson = result_;
						cr.logexport("Loaded state from IndexedDB storage (" + self.loadFromJson.length + " bytes)");
					}
					else
					{
						self.loadFromJson = localStorage.getItem("__c2save_" + loadingFromSlot) || "";
						cr.logexport("Loaded state from WebStorage (" + self.loadFromJson.length + " bytes)");
					}
					self.suspendDrawing = false;
					if (!self.loadFromJson.length)
						self.trigger(cr.system_object.prototype.cnds.OnLoadFailed, null);
				}, function (e)
				{
					self.loadFromJson = localStorage.getItem("__c2save_" + loadingFromSlot) || "";
					cr.logexport("Loaded state from WebStorage (" + self.loadFromJson.length + " bytes)");
					self.suspendDrawing = false;
					if (!self.loadFromJson.length)
						self.trigger(cr.system_object.prototype.cnds.OnLoadFailed, null);
				});
			}
			else
			{
				this.loadFromJson = localStorage.getItem("__c2save_" + loadingFromSlot) || "";
				cr.logexport("Loaded state from WebStorage (" + this.loadFromJson.length + " bytes)");
				this.suspendDrawing = false;
				if (!self.loadFromJson.length)
					self.trigger(cr.system_object.prototype.cnds.OnLoadFailed, null);
			}
			this.loadFromSlot = "";
			this.saveToSlot = "";
		}
		if (this.loadFromJson.length)
		{
			this.ClearDeathRow();
			this.loadFromJSONString(this.loadFromJson);
			this.lastSaveJson = this.loadFromJson;
			this.trigger(cr.system_object.prototype.cnds.OnLoadComplete, null);
			this.lastSaveJson = "";
			this.loadFromJson = "";
		}
	};
	function CopyExtraObject(extra)
	{
		var p, ret = {};
		for (p in extra)
		{
			if (extra.hasOwnProperty(p))
			{
				if (extra[p] instanceof cr.ObjectSet)
					continue;
				if (extra[p] && typeof extra[p].c2userdata !== "undefined")
					continue;
				ret[p] = extra[p];
			}
		}
		return ret;
	};
	Runtime.prototype.saveToJSONString = function()
	{
		var i, len, j, lenj, type, layout, typeobj, g, c, a, v, p;
		var o = {
			"c2save":				true,
			"version":				1,
			"rt": {
				"time":				this.kahanTime.sum,
				"walltime":			this.wallTime.sum,
				"timescale":		this.timescale,
				"tickcount":		this.tickcount,
				"execcount":		this.execcount,
				"next_uid":			this.next_uid,
				"running_layout":	this.running_layout.sid,
				"start_time_offset": (Date.now() - this.start_time)
			},
			"types": {},
			"layouts": {},
			"events": {
				"groups": {},
				"cnds": {},
				"acts": {},
				"vars": {}
			}
		};
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family || this.typeHasNoSaveBehavior(type))
				continue;
			typeobj = {
				"instances": []
			};
			if (cr.hasAnyOwnProperty(type.extra))
				typeobj["ex"] = CopyExtraObject(type.extra);
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				typeobj["instances"].push(this.saveInstanceToJSON(type.instances[j]));
			}
			o["types"][type.sid.toString()] = typeobj;
		}
		for (i = 0, len = this.layouts_by_index.length; i < len; i++)
		{
			layout = this.layouts_by_index[i];
			o["layouts"][layout.sid.toString()] = layout.saveToJSON();
		}
		var ogroups = o["events"]["groups"];
		for (i = 0, len = this.allGroups.length; i < len; i++)
		{
			g = this.allGroups[i];
			ogroups[g.sid.toString()] = this.groups_by_name[g.group_name].group_active;
		}
		var ocnds = o["events"]["cnds"];
		for (p in this.cndsBySid)
		{
			if (this.cndsBySid.hasOwnProperty(p))
			{
				c = this.cndsBySid[p];
				if (cr.hasAnyOwnProperty(c.extra))
					ocnds[p] = { "ex": CopyExtraObject(c.extra) };
			}
		}
		var oacts = o["events"]["acts"];
		for (p in this.actsBySid)
		{
			if (this.actsBySid.hasOwnProperty(p))
			{
				a = this.actsBySid[p];
				if (cr.hasAnyOwnProperty(a.extra))
					oacts[p] = { "ex": a.extra };
			}
		}
		var ovars = o["events"]["vars"];
		for (p in this.varsBySid)
		{
			if (this.varsBySid.hasOwnProperty(p))
			{
				v = this.varsBySid[p];
				if (!v.is_constant && (!v.parent || v.is_static))
					ovars[p] = v.data;
			}
		}
		o["system"] = this.system.saveToJSON();
		return JSON.stringify(o);
	};
	Runtime.prototype.refreshUidMap = function ()
	{
		var i, len, type, j, lenj, inst;
		this.objectsByUid = {};
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family)
				continue;
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				inst = type.instances[j];
				this.objectsByUid[inst.uid.toString()] = inst;
			}
		}
	};
	Runtime.prototype.loadFromJSONString = function (str)
	{
		var o = JSON.parse(str);
		if (!o["c2save"])
			return;		// probably not a c2 save state
		if (o["version"] > 1)
			return;		// from future version of c2; assume not compatible
		var rt = o["rt"];
		this.kahanTime.reset();
		this.kahanTime.sum = rt["time"];
		this.wallTime.reset();
		this.wallTime.sum = rt["walltime"] || 0;
		this.timescale = rt["timescale"];
		this.tickcount = rt["tickcount"];
		this.start_time = Date.now() - rt["start_time_offset"];
		var layout_sid = rt["running_layout"];
		if (layout_sid !== this.running_layout.sid)
		{
			var changeToLayout = this.getLayoutBySid(layout_sid);
			if (changeToLayout)
				this.doChangeLayout(changeToLayout);
			else
				return;		// layout that was saved on has gone missing (deleted?)
		}
		this.isLoadingState = true;
		var i, len, j, lenj, k, lenk, p, type, existing_insts, load_insts, inst, binst, layout, layer, g, iid, t;
		var otypes = o["types"];
		for (p in otypes)
		{
			if (otypes.hasOwnProperty(p))
			{
				type = this.getObjectTypeBySid(parseInt(p, 10));
				if (!type || type.is_family || this.typeHasNoSaveBehavior(type))
					continue;
				if (otypes[p]["ex"])
					type.extra = otypes[p]["ex"];
				else
					cr.wipe(type.extra);
				existing_insts = type.instances;
				load_insts = otypes[p]["instances"];
				for (i = 0, len = cr.min(existing_insts.length, load_insts.length); i < len; i++)
				{
					this.loadInstanceFromJSON(existing_insts[i], load_insts[i]);
				}
				for (i = load_insts.length, len = existing_insts.length; i < len; i++)
					this.DestroyInstance(existing_insts[i]);
				for (i = existing_insts.length, len = load_insts.length; i < len; i++)
				{
					layer = null;
					if (type.plugin.is_world)
					{
						layer = this.running_layout.getLayerBySid(load_insts[i]["w"]["l"]);
						if (!layer)
							continue;
					}
					inst = this.createInstanceFromInit(type.default_instance, layer, false, 0, 0, true);
					this.loadInstanceFromJSON(inst, load_insts[i]);
				}
				type.stale_iids = true;
			}
		}
		this.ClearDeathRow();
		this.refreshUidMap();
		var olayouts = o["layouts"];
		for (p in olayouts)
		{
			if (olayouts.hasOwnProperty(p))
			{
				layout = this.getLayoutBySid(parseInt(p, 10));
				if (!layout)
					continue;		// must've gone missing
				layout.loadFromJSON(olayouts[p]);
			}
		}
		var ogroups = o["events"]["groups"];
		for (p in ogroups)
		{
			if (ogroups.hasOwnProperty(p))
			{
				g = this.getGroupBySid(parseInt(p, 10));
				if (g && this.groups_by_name[g.group_name])
					this.groups_by_name[g.group_name].group_active = ogroups[p];
			}
		}
		var ocnds = o["events"]["cnds"];
		for (p in ocnds)
		{
			if (ocnds.hasOwnProperty(p) && this.cndsBySid.hasOwnProperty(p))
			{
				this.cndsBySid[p].extra = ocnds[p]["ex"];
			}
		}
		var oacts = o["events"]["acts"];
		for (p in oacts)
		{
			if (oacts.hasOwnProperty(p) && this.actsBySid.hasOwnProperty(p))
			{
				this.actsBySid[p].extra = oacts[p]["ex"];
			}
		}
		var ovars = o["events"]["vars"];
		for (p in ovars)
		{
			if (ovars.hasOwnProperty(p) && this.varsBySid.hasOwnProperty(p))
			{
				this.varsBySid[p].data = ovars[p];
			}
		}
		this.next_uid = rt["next_uid"];
		this.isLoadingState = false;
		this.system.loadFromJSON(o["system"]);
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family)
				continue;
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				inst = type.instances[j];
				if (type.is_contained)
				{
					iid = inst.get_iid();
					inst.siblings.length = 0;
					for (k = 0, lenk = type.container.length; k < lenk; k++)
					{
						t = type.container[k];
						if (type === t)
							continue;
;
						inst.siblings.push(t.instances[iid]);
					}
				}
				if (inst.afterLoad)
					inst.afterLoad();
				if (inst.behavior_insts)
				{
					for (k = 0, lenk = inst.behavior_insts.length; k < lenk; k++)
					{
						binst = inst.behavior_insts[k];
						if (binst.afterLoad)
							binst.afterLoad();
					}
				}
			}
		}
		this.redraw = true;
	};
	Runtime.prototype.saveInstanceToJSON = function(inst, state_only)
	{
		var i, len, world, behinst, et;
		var type = inst.type;
		var plugin = type.plugin;
		var o = {};
		if (state_only)
			o["c2"] = true;		// mark as known json data from Construct 2
		else
			o["uid"] = inst.uid;
		if (cr.hasAnyOwnProperty(inst.extra))
			o["ex"] = CopyExtraObject(inst.extra);
		if (inst.instance_vars && inst.instance_vars.length)
		{
			o["ivs"] = {};
			for (i = 0, len = inst.instance_vars.length; i < len; i++)
			{
				o["ivs"][inst.type.instvar_sids[i].toString()] = inst.instance_vars[i];
			}
		}
		if (plugin.is_world)
		{
			world = {
				"x": inst.x,
				"y": inst.y,
				"w": inst.width,
				"h": inst.height,
				"l": inst.layer.sid,
				"zi": inst.get_zindex()
			};
			if (inst.angle !== 0)
				world["a"] = inst.angle;
			if (inst.opacity !== 1)
				world["o"] = inst.opacity;
			if (inst.hotspotX !== 0.5)
				world["hX"] = inst.hotspotX;
			if (inst.hotspotY !== 0.5)
				world["hY"] = inst.hotspotY;
			if (inst.blend_mode !== 0)
				world["bm"] = inst.blend_mode;
			if (!inst.visible)
				world["v"] = inst.visible;
			if (!inst.collisionsEnabled)
				world["ce"] = inst.collisionsEnabled;
			if (inst.my_timescale !== -1)
				world["mts"] = inst.my_timescale;
			if (type.effect_types.length)
			{
				world["fx"] = [];
				for (i = 0, len = type.effect_types.length; i < len; i++)
				{
					et = type.effect_types[i];
					world["fx"].push({"name": et.name,
									  "active": inst.active_effect_flags[et.index],
									  "params": inst.effect_params[et.index] });
				}
			}
			o["w"] = world;
		}
		if (inst.behavior_insts && inst.behavior_insts.length)
		{
			o["behs"] = {};
			for (i = 0, len = inst.behavior_insts.length; i < len; i++)
			{
				behinst = inst.behavior_insts[i];
				if (behinst.saveToJSON)
					o["behs"][behinst.type.sid.toString()] = behinst.saveToJSON();
			}
		}
		if (inst.saveToJSON)
			o["data"] = inst.saveToJSON();
		return o;
	};
	Runtime.prototype.getInstanceVarIndexBySid = function (type, sid_)
	{
		var i, len;
		for (i = 0, len = type.instvar_sids.length; i < len; i++)
		{
			if (type.instvar_sids[i] === sid_)
				return i;
		}
		return -1;
	};
	Runtime.prototype.getBehaviorIndexBySid = function (inst, sid_)
	{
		var i, len;
		for (i = 0, len = inst.behavior_insts.length; i < len; i++)
		{
			if (inst.behavior_insts[i].type.sid === sid_)
				return i;
		}
		return -1;
	};
	Runtime.prototype.loadInstanceFromJSON = function(inst, o, state_only)
	{
		var p, i, len, iv, oivs, world, fxindex, obehs, behindex;
		var oldlayer;
		var type = inst.type;
		var plugin = type.plugin;
		if (state_only)
		{
			if (!o["c2"])
				return;
		}
		else
			inst.uid = o["uid"];
		if (o["ex"])
			inst.extra = o["ex"];
		else
			cr.wipe(inst.extra);
		oivs = o["ivs"];
		if (oivs)
		{
			for (p in oivs)
			{
				if (oivs.hasOwnProperty(p))
				{
					iv = this.getInstanceVarIndexBySid(type, parseInt(p, 10));
					if (iv < 0 || iv >= inst.instance_vars.length)
						continue;		// must've gone missing
					inst.instance_vars[iv] = oivs[p];
				}
			}
		}
		if (plugin.is_world)
		{
			world = o["w"];
			if (inst.layer.sid !== world["l"])
			{
				oldlayer = inst.layer;
				inst.layer = this.running_layout.getLayerBySid(world["l"]);
				if (inst.layer)
				{
					inst.layer.instances.push(inst);
					inst.layer.zindices_stale = true;
					cr.arrayFindRemove(oldlayer.instances, inst);
					oldlayer.zindices_stale = true;
				}
				else
				{
					inst.layer = oldlayer;
					this.DestroyInstance(inst);
				}
			}
			inst.x = world["x"];
			inst.y = world["y"];
			inst.width = world["w"];
			inst.height = world["h"];
			inst.zindex = world["zi"];
			inst.angle = world.hasOwnProperty("a") ? world["a"] : 0;
			inst.opacity = world.hasOwnProperty("o") ? world["o"] : 1;
			inst.hotspotX = world.hasOwnProperty("hX") ? world["hX"] : 0.5;
			inst.hotspotY = world.hasOwnProperty("hY") ? world["hY"] : 0.5;
			inst.visible = world.hasOwnProperty("v") ? world["v"] : true;
			inst.collisionsEnabled = world.hasOwnProperty("ce") ? world["ce"] : true;
			inst.my_timescale = world.hasOwnProperty("mts") ? world["mts"] : -1;
			inst.blend_mode = world.hasOwnProperty("bm") ? world["bm"] : 0;;
			inst.compositeOp = cr.effectToCompositeOp(inst.blend_mode);
			if (this.gl)
				cr.setGLBlend(inst, inst.blend_mode, this.gl);
			inst.set_bbox_changed();
			if (world.hasOwnProperty("fx"))
			{
				for (i = 0, len = world["fx"].length; i < len; i++)
				{
					fxindex = type.getEffectIndexByName(world["fx"][i]["name"]);
					if (fxindex < 0)
						continue;		// must've gone missing
					inst.active_effect_flags[fxindex] = world["fx"][i]["active"];
					inst.effect_params[fxindex] = world["fx"][i]["params"];
				}
			}
			inst.updateActiveEffects();
		}
		obehs = o["behs"];
		if (obehs)
		{
			for (p in obehs)
			{
				if (obehs.hasOwnProperty(p))
				{
					behindex = this.getBehaviorIndexBySid(inst, parseInt(p, 10));
					if (behindex < 0)
						continue;		// must've gone missing
					inst.behavior_insts[behindex].loadFromJSON(obehs[p]);
				}
			}
		}
		if (o["data"])
			inst.loadFromJSON(o["data"]);
	};
	cr.runtime = Runtime;
	cr.createRuntime = function (canvasid)
	{
		return new Runtime(document.getElementById(canvasid));
	};
	cr.createDCRuntime = function (w, h)
	{
		return new Runtime({ "dc": true, "width": w, "height": h });
	};
	window["cr_createRuntime"] = cr.createRuntime;
	window["cr_createDCRuntime"] = cr.createDCRuntime;
	window["createCocoonJSRuntime"] = function ()
	{
		window["c2cocoonjs"] = true;
		var canvas = document.createElement("screencanvas") || document.createElement("canvas");
		canvas.screencanvas = true;
		document.body.appendChild(canvas);
		var rt = new Runtime(canvas);
		window["c2runtime"] = rt;
		window.addEventListener("orientationchange", function () {
			window["c2runtime"]["setSize"](window.innerWidth, window.innerHeight);
		});
		window["c2runtime"]["setSize"](window.innerWidth, window.innerHeight);
		return rt;
	};
	window["createEjectaRuntime"] = function ()
	{
		var canvas = document.getElementById("canvas");
		var rt = new Runtime(canvas);
		window["c2runtime"] = rt;
		window["c2runtime"]["setSize"](window.innerWidth, window.innerHeight);
		return rt;
	};
}());
window["cr_getC2Runtime"] = function()
{
	var canvas = document.getElementById("c2canvas");
	if (canvas)
		return canvas["c2runtime"];
	else if (window["c2runtime"])
		return window["c2runtime"];
	else
		return null;
}
window["cr_sizeCanvas"] = function(w, h)
{
	if (w === 0 || h === 0)
		return;
	var runtime = window["cr_getC2Runtime"]();
	if (runtime)
		runtime["setSize"](w, h);
}
window["cr_setSuspended"] = function(s)
{
	var runtime = window["cr_getC2Runtime"]();
	if (runtime)
		runtime["setSuspended"](s);
}
;
(function()
{
	function Layout(runtime, m)
	{
		this.runtime = runtime;
		this.event_sheet = null;
		this.scrollX = (this.runtime.original_width / 2);
		this.scrollY = (this.runtime.original_height / 2);
		this.scale = 1.0;
		this.angle = 0;
		this.first_visit = true;
		this.name = m[0];
		this.width = m[1];
		this.height = m[2];
		this.unbounded_scrolling = m[3];
		this.sheetname = m[4];
		this.sid = m[5];
		var lm = m[6];
		var i, len;
		this.layers = [];
		this.initial_types = [];
		for (i = 0, len = lm.length; i < len; i++)
		{
			var layer = new cr.layer(this, lm[i]);
			layer.number = i;
			cr.seal(layer);
			this.layers.push(layer);
		}
		var im = m[7];
		this.initial_nonworld = [];
		for (i = 0, len = im.length; i < len; i++)
		{
			var inst = im[i];
			var type = this.runtime.types_by_index[inst[1]];
;
			if (!type.default_instance)
				type.default_instance = inst;
			this.initial_nonworld.push(inst);
			if (this.initial_types.indexOf(type) === -1)
				this.initial_types.push(type);
		}
		this.effect_types = [];
		this.active_effect_types = [];
		this.effect_params = [];
		for (i = 0, len = m[8].length; i < len; i++)
		{
			this.effect_types.push({
				id: m[8][i][0],
				name: m[8][i][1],
				shaderindex: -1,
				active: true,
				index: i
			});
			this.effect_params.push(m[8][i][2].slice(0));
		}
		this.updateActiveEffects();
		this.rcTex = new cr.rect(0, 0, 1, 1);
		this.rcTex2 = new cr.rect(0, 0, 1, 1);
		this.persist_data = {};
	};
	Layout.prototype.saveObjectToPersist = function (inst)
	{
		var sidStr = inst.type.sid.toString();
		if (!this.persist_data.hasOwnProperty(sidStr))
			this.persist_data[sidStr] = [];
		var type_persist = this.persist_data[sidStr];
		type_persist.push(this.runtime.saveInstanceToJSON(inst));
	};
	Layout.prototype.hasOpaqueBottomLayer = function ()
	{
		var layer = this.layers[0];
		return !layer.transparent && layer.opacity === 1.0 && !layer.forceOwnTexture && layer.visible;
	};
	Layout.prototype.updateActiveEffects = function ()
	{
		this.active_effect_types.length = 0;
		var i, len, et;
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			if (et.active)
				this.active_effect_types.push(et);
		}
	};
	Layout.prototype.getEffectByName = function (name_)
	{
		var i, len, et;
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			if (et.name === name_)
				return et;
		}
		return null;
	};
	var created_instances = [];
	function sort_by_zindex(a, b)
	{
		return a.zindex - b.zindex;
	};
	var first_layout = true;
	Layout.prototype.startRunning = function ()
	{
		if (this.sheetname)
		{
			this.event_sheet = this.runtime.eventsheets[this.sheetname];
;
			this.event_sheet.updateDeepIncludes();
		}
		this.runtime.running_layout = this;
		this.scrollX = (this.runtime.original_width / 2);
		this.scrollY = (this.runtime.original_height / 2);
		var i, k, len, lenk, type, type_instances, inst, iid, t, s, p, q, type_data, layer;
		for (i = 0, len = this.runtime.types_by_index.length; i < len; i++)
		{
			type = this.runtime.types_by_index[i];
			if (type.is_family)
				continue;		// instances are only transferred for their real type
			type_instances = type.instances;
			for (k = 0, lenk = type_instances.length; k < lenk; k++)
			{
				inst = type_instances[k];
				if (inst.layer)
				{
					var num = inst.layer.number;
					if (num >= this.layers.length)
						num = this.layers.length - 1;
					inst.layer = this.layers[num];
					if (inst.layer.instances.indexOf(inst) === -1)
						inst.layer.instances.push(inst);
					inst.layer.zindices_stale = true;
				}
			}
		}
		if (!first_layout)
		{
			for (i = 0, len = this.layers.length; i < len; ++i)
			{
				this.layers[i].instances.sort(sort_by_zindex);
			}
		}
		var layer;
		created_instances.length = 0;
		this.boundScrolling();
		for (i = 0, len = this.layers.length; i < len; i++)
		{
			layer = this.layers[i];
			layer.createInitialInstances();		// fills created_instances
			layer.disableAngle = true;
			var px = layer.canvasToLayer(0, 0, true, true);
			var py = layer.canvasToLayer(0, 0, false, true);
			layer.disableAngle = false;
			if (this.runtime.pixel_rounding)
			{
				px = Math.round(px);
				py = Math.round(py);
			}
			layer.rotateViewport(px, py, null);
		}
		var uids_changed = false;
		if (!this.first_visit)
		{
			for (p in this.persist_data)
			{
				if (this.persist_data.hasOwnProperty(p))
				{
					type = this.runtime.getObjectTypeBySid(parseInt(p, 10));
					if (!type || type.is_family || !this.runtime.typeHasPersistBehavior(type))
						continue;
					type_data = this.persist_data[p];
					for (i = 0, len = type_data.length; i < len; i++)
					{
						layer = null;
						if (type.plugin.is_world)
						{
							layer = this.getLayerBySid(type_data[i]["w"]["l"]);
							if (!layer)
								continue;
						}
						inst = this.runtime.createInstanceFromInit(type.default_instance, layer, false, 0, 0, true);
						this.runtime.loadInstanceFromJSON(inst, type_data[i]);
						uids_changed = true;
						created_instances.push(inst);
					}
					type_data.length = 0;
				}
			}
			for (i = 0, len = this.layers.length; i < len; i++)
			{
				this.layers[i].instances.sort(sort_by_zindex);
				this.layers[i].zindices_stale = true;		// in case of duplicates/holes
			}
		}
		if (uids_changed)
		{
			this.runtime.ClearDeathRow();
			this.runtime.refreshUidMap();
		}
		for (i = 0; i < created_instances.length; i++)
		{
			inst = created_instances[i];
			if (!inst.type.is_contained)
				continue;
			iid = inst.get_iid();
			for (k = 0, lenk = inst.type.container.length; k < lenk; k++)
			{
				t = inst.type.container[k];
				if (inst.type === t)
					continue;
				if (t.instances.length > iid)
					inst.siblings.push(t.instances[iid]);
				else
				{
					if (!t.default_instance)
					{
					}
					else
					{
						s = this.runtime.createInstanceFromInit(t.default_instance, inst.layer, true, inst.x, inst.y, true);
						this.runtime.ClearDeathRow();
						t.updateIIDs();
						inst.siblings.push(s);
						created_instances.push(s);		// come back around and link up its own instances too
					}
				}
			}
		}
		for (i = 0, len = this.initial_nonworld.length; i < len; i++)
		{
			inst = this.runtime.createInstanceFromInit(this.initial_nonworld[i], null, true);
;
		}
		this.runtime.changelayout = null;
		this.runtime.ClearDeathRow();
		if (this.runtime.ctx && !this.runtime.isDomFree)
		{
			for (i = 0, len = this.runtime.types_by_index.length; i < len; i++)
			{
				t = this.runtime.types_by_index[i];
				if (t.is_family || !t.instances.length || !t.preloadCanvas2D)
					continue;
				t.preloadCanvas2D(this.runtime.ctx);
			}
		}
		/*
		if (this.runtime.glwrap)
		{
			console.log("Estimated VRAM at layout start: " + this.runtime.glwrap.textureCount() + " textures, approx. " + Math.round(this.runtime.glwrap.estimateVRAM() / 1024) + " kb");
		}
		*/
		for (i = 0, len = created_instances.length; i < len; i++)
		{
			inst = created_instances[i];
			this.runtime.trigger(Object.getPrototypeOf(inst.type.plugin).cnds.OnCreated, inst);
		}
		created_instances.length = 0;
		this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutStart, null);
		this.first_visit = false;
	};
	Layout.prototype.createGlobalNonWorlds = function ()
	{
		var i, k, len, initial_inst, inst, type;
		for (i = 0, k = 0, len = this.initial_nonworld.length; i < len; i++)
		{
			initial_inst = this.initial_nonworld[i];
			type = this.runtime.types_by_index[initial_inst[1]];
			if (type.global)
				inst = this.runtime.createInstanceFromInit(initial_inst, null, true);
			else
			{
				this.initial_nonworld[k] = initial_inst;
				k++;
			}
		}
		this.initial_nonworld.length = k;
	};
	Layout.prototype.stopRunning = function ()
	{
;
		/*
		if (this.runtime.glwrap)
		{
			console.log("Estimated VRAM at layout end: " + this.runtime.glwrap.textureCount() + " textures, approx. " + Math.round(this.runtime.glwrap.estimateVRAM() / 1024) + " kb");
		}
		*/
		this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutEnd, null);
		this.runtime.system.waits.length = 0;
		var i, leni, j, lenj;
		var layer_instances, inst, type;
		for (i = 0, leni = this.layers.length; i < leni; i++)
		{
			this.layers[i].updateZIndices();
			layer_instances = this.layers[i].instances;
			for (j = 0, lenj = layer_instances.length; j < lenj; j++)
			{
				inst = layer_instances[j];
				if (!inst.type.global)
				{
					if (this.runtime.typeHasPersistBehavior(inst.type))
						this.saveObjectToPersist(inst);
				}
			}
		}
		for (i = 0, leni = this.layers.length; i < leni; i++)
		{
			layer_instances = this.layers[i].instances;
			for (j = 0, lenj = layer_instances.length; j < lenj; j++)
			{
				inst = layer_instances[j];
				if (!inst.type.global)
				{
					this.runtime.DestroyInstance(inst);
				}
			}
			this.runtime.ClearDeathRow();
			layer_instances.length = 0;
			this.layers[i].zindices_stale = true;
		}
		for (i = 0, leni = this.runtime.types_by_index.length; i < leni; i++)
		{
			type = this.runtime.types_by_index[i];
			if (type.global || type.plugin.is_world || type.plugin.singleglobal || type.is_family)
				continue;
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
				this.runtime.DestroyInstance(type.instances[j]);
			this.runtime.ClearDeathRow();
		}
		first_layout = false;
	};
	Layout.prototype.draw = function (ctx)
	{
		var layout_canvas;
		var layout_ctx = ctx;
		var ctx_changed = false;
		var render_offscreen = !this.runtime.fullscreenScalingQuality;
		if (render_offscreen)
		{
			if (!this.runtime.layout_canvas)
			{
				this.runtime.layout_canvas = document.createElement("canvas");
				layout_canvas = this.runtime.layout_canvas;
				layout_canvas.width = this.runtime.draw_width;
				layout_canvas.height = this.runtime.draw_height;
				this.runtime.layout_ctx = layout_canvas.getContext("2d");
				ctx_changed = true;
			}
			layout_canvas = this.runtime.layout_canvas;
			layout_ctx = this.runtime.layout_ctx;
			if (layout_canvas.width !== this.runtime.draw_width)
			{
				layout_canvas.width = this.runtime.draw_width;
				ctx_changed = true;
			}
			if (layout_canvas.height !== this.runtime.draw_height)
			{
				layout_canvas.height = this.runtime.draw_height;
				ctx_changed = true;
			}
			if (ctx_changed)
			{
				layout_ctx["webkitImageSmoothingEnabled"] = this.runtime.linearSampling;
				layout_ctx["mozImageSmoothingEnabled"] = this.runtime.linearSampling;
				layout_ctx["msImageSmoothingEnabled"] = this.runtime.linearSampling;
				layout_ctx["imageSmoothingEnabled"] = this.runtime.linearSampling;
			}
		}
		layout_ctx.globalAlpha = 1;
		layout_ctx.globalCompositeOperation = "source-over";
		if (this.runtime.alphaBackground && !this.hasOpaqueBottomLayer())
			layout_ctx.clearRect(0, 0, this.runtime.draw_width, this.runtime.draw_height);
		var i, len, l;
		for (i = 0, len = this.layers.length; i < len; i++)
		{
			l = this.layers[i];
			if (l.visible && l.opacity > 0 && l.blend_mode !== 11)
				l.draw(layout_ctx);
		}
		if (render_offscreen)
		{
			ctx.drawImage(layout_canvas, 0, 0, this.runtime.width, this.runtime.height);
		}
	};
	Layout.prototype.drawGL = function (glw)
	{
		var render_to_texture = (this.active_effect_types.length > 0 ||
								 this.runtime.uses_background_blending ||
								 !this.runtime.fullscreenScalingQuality);
		if (render_to_texture)
		{
			if (!this.runtime.layout_tex)
			{
				this.runtime.layout_tex = glw.createEmptyTexture(this.runtime.draw_width, this.runtime.draw_height, this.runtime.linearSampling);
			}
			if (this.runtime.layout_tex.c2width !== this.runtime.draw_width || this.runtime.layout_tex.c2height !== this.runtime.draw_height)
			{
				glw.deleteTexture(this.runtime.layout_tex);
				this.runtime.layout_tex = glw.createEmptyTexture(this.runtime.draw_width, this.runtime.draw_height, this.runtime.linearSampling);
			}
			glw.setRenderingToTexture(this.runtime.layout_tex);
			if (!this.runtime.fullscreenScalingQuality)
			{
				glw.setSize(this.runtime.draw_width, this.runtime.draw_height);
			}
		}
		else
		{
			if (this.runtime.layout_tex)
			{
				glw.setRenderingToTexture(null);
				glw.deleteTexture(this.runtime.layout_tex);
				this.runtime.layout_tex = null;
			}
		}
		if (this.runtime.alphaBackground && !this.hasOpaqueBottomLayer())
			glw.clear(0, 0, 0, 0);
		var i, len;
		for (i = 0, len = this.layers.length; i < len; i++)
		{
			if (this.layers[i].visible && this.layers[i].opacity > 0)
				this.layers[i].drawGL(glw);
		}
		if (render_to_texture)
		{
			if (this.active_effect_types.length === 0 ||
				(this.active_effect_types.length === 1 && this.runtime.fullscreenScalingQuality))
			{
				if (this.active_effect_types.length === 1)
				{
					var etindex = this.active_effect_types[0].index;
					glw.switchProgram(this.active_effect_types[0].shaderindex);
					glw.setProgramParameters(null,								// backTex
											 1.0 / this.runtime.draw_width,		// pixelWidth
											 1.0 / this.runtime.draw_height,	// pixelHeight
											 0.0, 0.0,							// destStart
											 1.0, 1.0,							// destEnd
											 this.scale,						// layerScale
											 this.angle,						// layerAngle
											 0.0, 0.0,							// viewOrigin
											 this.effect_params[etindex]);		// fx parameters
					if (glw.programIsAnimated(this.active_effect_types[0].shaderindex))
						this.runtime.redraw = true;
				}
				else
					glw.switchProgram(0);
				if (!this.runtime.fullscreenScalingQuality)
				{
					glw.setSize(this.runtime.width, this.runtime.height);
				}
				glw.setRenderingToTexture(null);				// to backbuffer
				glw.setOpacity(1);
				glw.setTexture(this.runtime.layout_tex);
				glw.setAlphaBlend();
				glw.resetModelView();
				glw.updateModelView();
				var halfw = this.runtime.width / 2;
				var halfh = this.runtime.height / 2;
				glw.quad(-halfw, halfh, halfw, halfh, halfw, -halfh, -halfw, -halfh);
				glw.setTexture(null);
			}
			else
			{
				this.renderEffectChain(glw, null, null, null);
			}
		}
	};
	Layout.prototype.getRenderTarget = function()
	{
		return (this.active_effect_types.length > 0 ||
				this.runtime.uses_background_blending ||
				!this.runtime.fullscreenScalingQuality) ? this.runtime.layout_tex : null;
	};
	Layout.prototype.getMinLayerScale = function ()
	{
		var m = this.layers[0].getScale();
		var i, len, l;
		for (i = 1, len = this.layers.length; i < len; i++)
		{
			l = this.layers[i];
			if (l.parallaxX === 0 && l.parallaxY === 0)
				continue;
			if (l.getScale() < m)
				m = l.getScale();
		}
		return m;
	};
	Layout.prototype.scrollToX = function (x)
	{
		if (!this.unbounded_scrolling)
		{
			var widthBoundary = (this.runtime.draw_width * (1 / this.getMinLayerScale()) / 2);
			if (x > this.width - widthBoundary)
				x = this.width - widthBoundary;
			if (x < widthBoundary)
				x = widthBoundary;
		}
		if (this.scrollX !== x)
		{
			this.scrollX = x;
			this.runtime.redraw = true;
		}
	};
	Layout.prototype.scrollToY = function (y)
	{
		if (!this.unbounded_scrolling)
		{
			var heightBoundary = (this.runtime.draw_height * (1 / this.getMinLayerScale()) / 2);
			if (y > this.height - heightBoundary)
				y = this.height - heightBoundary;
			if (y < heightBoundary)
				y = heightBoundary;
		}
		if (this.scrollY !== y)
		{
			this.scrollY = y;
			this.runtime.redraw = true;
		}
	};
	Layout.prototype.boundScrolling = function ()
	{
		this.scrollToX(this.scrollX);
		this.scrollToY(this.scrollY);
	};
	Layout.prototype.renderEffectChain = function (glw, layer, inst, rendertarget)
	{
		var active_effect_types = inst ?
							inst.active_effect_types :
							layer ?
								layer.active_effect_types :
								this.active_effect_types;
		var layerScale = 1, layerAngle = 0, viewOriginLeft = 0, viewOriginTop = 0;
		if (inst)
		{
			layerScale = inst.layer.getScale();
			layerAngle = inst.layer.getAngle();
			viewOriginLeft = inst.layer.viewLeft;
			viewOriginTop = inst.layer.viewTop;
		}
		else if (layer)
		{
			layerScale = layer.getScale();
			layerAngle = layer.getAngle();
			viewOriginLeft = layer.viewLeft;
			viewOriginTop = layer.viewTop;
		}
		var fx_tex = this.runtime.fx_tex;
		var i, len, last, temp, fx_index = 0, other_fx_index = 1;
		var y, h;
		var windowWidth = this.runtime.draw_width;
		var windowHeight = this.runtime.draw_height;
		var halfw = windowWidth / 2;
		var halfh = windowHeight / 2;
		var rcTex = layer ? layer.rcTex : this.rcTex;
		var rcTex2 = layer ? layer.rcTex2 : this.rcTex2;
		var screenleft = 0, clearleft = 0;
		var screentop = 0, cleartop = 0;
		var screenright = windowWidth, clearright = windowWidth;
		var screenbottom = windowHeight, clearbottom = windowHeight;
		var boxExtendHorizontal = 0;
		var boxExtendVertical = 0;
		var inst_layer_angle = inst ? inst.layer.getAngle() : 0;
		if (inst)
		{
			for (i = 0, len = active_effect_types.length; i < len; i++)
			{
				boxExtendHorizontal += glw.getProgramBoxExtendHorizontal(active_effect_types[i].shaderindex);
				boxExtendVertical += glw.getProgramBoxExtendVertical(active_effect_types[i].shaderindex);
			}
			var bbox = inst.bbox;
			screenleft = layer.layerToCanvas(bbox.left, bbox.top, true, true);
			screentop = layer.layerToCanvas(bbox.left, bbox.top, false, true);
			screenright = layer.layerToCanvas(bbox.right, bbox.bottom, true, true);
			screenbottom = layer.layerToCanvas(bbox.right, bbox.bottom, false, true);
			if (inst_layer_angle !== 0)
			{
				var screentrx = layer.layerToCanvas(bbox.right, bbox.top, true, true);
				var screentry = layer.layerToCanvas(bbox.right, bbox.top, false, true);
				var screenblx = layer.layerToCanvas(bbox.left, bbox.bottom, true, true);
				var screenbly = layer.layerToCanvas(bbox.left, bbox.bottom, false, true);
				temp = Math.min(screenleft, screenright, screentrx, screenblx);
				screenright = Math.max(screenleft, screenright, screentrx, screenblx);
				screenleft = temp;
				temp = Math.min(screentop, screenbottom, screentry, screenbly);
				screenbottom = Math.max(screentop, screenbottom, screentry, screenbly);
				screentop = temp;
			}
			screenleft -= boxExtendHorizontal;
			screentop -= boxExtendVertical;
			screenright += boxExtendHorizontal;
			screenbottom += boxExtendVertical;
			rcTex2.left = screenleft / windowWidth;
			rcTex2.top = 1 - screentop / windowHeight;
			rcTex2.right = screenright / windowWidth;
			rcTex2.bottom = 1 - screenbottom / windowHeight;
			clearleft = screenleft = cr.floor(screenleft);
			cleartop = screentop = cr.floor(screentop);
			clearright = screenright = cr.ceil(screenright);
			clearbottom = screenbottom = cr.ceil(screenbottom);
			clearleft -= boxExtendHorizontal;
			cleartop -= boxExtendVertical;
			clearright += boxExtendHorizontal;
			clearbottom += boxExtendVertical;
			if (screenleft < 0)					screenleft = 0;
			if (screentop < 0)					screentop = 0;
			if (screenright > windowWidth)		screenright = windowWidth;
			if (screenbottom > windowHeight)	screenbottom = windowHeight;
			if (clearleft < 0)					clearleft = 0;
			if (cleartop < 0)					cleartop = 0;
			if (clearright > windowWidth)		clearright = windowWidth;
			if (clearbottom > windowHeight)		clearbottom = windowHeight;
			rcTex.left = screenleft / windowWidth;
			rcTex.top = 1 - screentop / windowHeight;
			rcTex.right = screenright / windowWidth;
			rcTex.bottom = 1 - screenbottom / windowHeight;
		}
		else
		{
			rcTex.left = rcTex2.left = 0;
			rcTex.top = rcTex2.top = 0;
			rcTex.right = rcTex2.right = 1;
			rcTex.bottom = rcTex2.bottom = 1;
		}
		var pre_draw = (inst && (((inst.angle || inst_layer_angle) && glw.programUsesDest(active_effect_types[0].shaderindex)) || boxExtendHorizontal !== 0 || boxExtendVertical !== 0 || inst.opacity !== 1 || inst.type.plugin.must_predraw)) || (layer && !inst && layer.opacity !== 1);
		glw.setAlphaBlend();
		if (pre_draw)
		{
			if (!fx_tex[fx_index])
			{
				fx_tex[fx_index] = glw.createEmptyTexture(windowWidth, windowHeight, this.runtime.linearSampling);
			}
			if (fx_tex[fx_index].c2width !== windowWidth || fx_tex[fx_index].c2height !== windowHeight)
			{
				glw.deleteTexture(fx_tex[fx_index]);
				fx_tex[fx_index] = glw.createEmptyTexture(windowWidth, windowHeight, this.runtime.linearSampling);
			}
			glw.switchProgram(0);
			glw.setRenderingToTexture(fx_tex[fx_index]);
			h = clearbottom - cleartop;
			y = (windowHeight - cleartop) - h;
			glw.clearRect(clearleft, y, clearright - clearleft, h);
			if (inst)
			{
				inst.drawGL(glw);
			}
			else
			{
				glw.setTexture(this.runtime.layer_tex);
				glw.setOpacity(layer.opacity);
				glw.resetModelView();
				glw.translate(-halfw, -halfh);
				glw.updateModelView();
				glw.quadTex(screenleft, screenbottom, screenright, screenbottom, screenright, screentop, screenleft, screentop, rcTex);
			}
			rcTex2.left = rcTex2.top = 0;
			rcTex2.right = rcTex2.bottom = 1;
			if (inst)
			{
				temp = rcTex.top;
				rcTex.top = rcTex.bottom;
				rcTex.bottom = temp;
			}
			fx_index = 1;
			other_fx_index = 0;
		}
		glw.setOpacity(1);
		var last = active_effect_types.length - 1;
		var post_draw = glw.programUsesCrossSampling(active_effect_types[last].shaderindex) ||
						(!layer && !inst && !this.runtime.fullscreenScalingQuality);
		var etindex = 0;
		for (i = 0, len = active_effect_types.length; i < len; i++)
		{
			if (!fx_tex[fx_index])
			{
				fx_tex[fx_index] = glw.createEmptyTexture(windowWidth, windowHeight, this.runtime.linearSampling);
			}
			if (fx_tex[fx_index].c2width !== windowWidth || fx_tex[fx_index].c2height !== windowHeight)
			{
				glw.deleteTexture(fx_tex[fx_index]);
				fx_tex[fx_index] = glw.createEmptyTexture(windowWidth, windowHeight, this.runtime.linearSampling);
			}
			glw.switchProgram(active_effect_types[i].shaderindex);
			etindex = active_effect_types[i].index;
			if (glw.programIsAnimated(active_effect_types[i].shaderindex))
				this.runtime.redraw = true;
			if (i == 0 && !pre_draw)
			{
				glw.setRenderingToTexture(fx_tex[fx_index]);
				h = clearbottom - cleartop;
				y = (windowHeight - cleartop) - h;
				glw.clearRect(clearleft, y, clearright - clearleft, h);
				if (inst)
				{
					glw.setProgramParameters(rendertarget,					// backTex
											 1.0 / inst.width,				// pixelWidth
											 1.0 / inst.height,				// pixelHeight
											 rcTex2.left, rcTex2.top,		// destStart
											 rcTex2.right, rcTex2.bottom,	// destEnd
											 layerScale,
											 layerAngle,
											 viewOriginLeft, viewOriginTop,
											 inst.effect_params[etindex]);	// fx params
					inst.drawGL(glw);
				}
				else
				{
					glw.setProgramParameters(rendertarget,					// backTex
											 1.0 / windowWidth,				// pixelWidth
											 1.0 / windowHeight,			// pixelHeight
											 0.0, 0.0,						// destStart
											 1.0, 1.0,						// destEnd
											 layerScale,
											 layerAngle,
											 viewOriginLeft, viewOriginTop,
											 layer ?						// fx params
												layer.effect_params[etindex] :
												this.effect_params[etindex]);
					glw.setTexture(layer ? this.runtime.layer_tex : this.runtime.layout_tex);
					glw.resetModelView();
					glw.translate(-halfw, -halfh);
					glw.updateModelView();
					glw.quadTex(screenleft, screenbottom, screenright, screenbottom, screenright, screentop, screenleft, screentop, rcTex);
				}
				rcTex2.left = rcTex2.top = 0;
				rcTex2.right = rcTex2.bottom = 1;
				if (inst && !post_draw)
				{
					temp = screenbottom;
					screenbottom = screentop;
					screentop = temp;
				}
			}
			else
			{
				glw.setProgramParameters(rendertarget,						// backTex
										 1.0 / windowWidth,					// pixelWidth
										 1.0 / windowHeight,				// pixelHeight
										 rcTex2.left, rcTex2.top,			// destStart
										 rcTex2.right, rcTex2.bottom,		// destEnd
										 layerScale,
										 layerAngle,
										 viewOriginLeft, viewOriginTop,
										 inst ?								// fx params
											inst.effect_params[etindex] :
											layer ?
												layer.effect_params[etindex] :
												this.effect_params[etindex]);
				glw.setTexture(null);
				if (i === last && !post_draw)
				{
					if (inst)
						glw.setBlend(inst.srcBlend, inst.destBlend);
					else if (layer)
						glw.setBlend(layer.srcBlend, layer.destBlend);
					glw.setRenderingToTexture(rendertarget);
				}
				else
				{
					glw.setRenderingToTexture(fx_tex[fx_index]);
					h = clearbottom - cleartop;
					y = (windowHeight - cleartop) - h;
					glw.clearRect(clearleft, y, clearright - clearleft, h);
				}
				glw.setTexture(fx_tex[other_fx_index]);
				glw.resetModelView();
				glw.translate(-halfw, -halfh);
				glw.updateModelView();
				glw.quadTex(screenleft, screenbottom, screenright, screenbottom, screenright, screentop, screenleft, screentop, rcTex);
				if (i === last && !post_draw)
					glw.setTexture(null);
			}
			fx_index = (fx_index === 0 ? 1 : 0);
			other_fx_index = (fx_index === 0 ? 1 : 0);		// will be opposite to fx_index since it was just assigned
		}
		if (post_draw)
		{
			glw.switchProgram(0);
			if (inst)
				glw.setBlend(inst.srcBlend, inst.destBlend);
			else if (layer)
				glw.setBlend(layer.srcBlend, layer.destBlend);
			else
			{
				if (!this.runtime.fullscreenScalingQuality)
				{
					glw.setSize(this.runtime.width, this.runtime.height);
					halfw = this.runtime.width / 2;
					halfh = this.runtime.height / 2;
					screenleft = 0;
					screentop = 0;
					screenright = this.runtime.width;
					screenbottom = this.runtime.height;
				}
			}
			glw.setRenderingToTexture(rendertarget);
			glw.setTexture(fx_tex[other_fx_index]);
			glw.resetModelView();
			glw.translate(-halfw, -halfh);
			glw.updateModelView();
			if (inst && active_effect_types.length === 1 && !pre_draw)
				glw.quadTex(screenleft, screentop, screenright, screentop, screenright, screenbottom, screenleft, screenbottom, rcTex);
			else
				glw.quadTex(screenleft, screenbottom, screenright, screenbottom, screenright, screentop, screenleft, screentop, rcTex);
			glw.setTexture(null);
		}
	};
	Layout.prototype.getLayerBySid = function (sid_)
	{
		var i, len;
		for (i = 0, len = this.layers.length; i < len; i++)
		{
			if (this.layers[i].sid === sid_)
				return this.layers[i];
		}
		return null;
	};
	Layout.prototype.saveToJSON = function ()
	{
		var i, len, layer, et;
		var o = {
			"sx": this.scrollX,
			"sy": this.scrollY,
			"s": this.scale,
			"a": this.angle,
			"w": this.width,
			"h": this.height,
			"fv": this.first_visit,			// added r127
			"persist": this.persist_data,
			"fx": [],
			"layers": {}
		};
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			o["fx"].push({"name": et.name, "active": et.active, "params": this.effect_params[et.index] });
		}
		for (i = 0, len = this.layers.length; i < len; i++)
		{
			layer = this.layers[i];
			o["layers"][layer.sid.toString()] = layer.saveToJSON();
		}
		return o;
	};
	Layout.prototype.loadFromJSON = function (o)
	{
		var i, len, fx, p, layer;
		this.scrollX = o["sx"];
		this.scrollY = o["sy"];
		this.scale = o["s"];
		this.angle = o["a"];
		this.width = o["w"];
		this.height = o["h"];
		this.persist_data = o["persist"];
		if (typeof o["fv"] !== "undefined")
			this.first_visit = o["fv"];
		var ofx = o["fx"];
		for (i = 0, len = ofx.length; i < len; i++)
		{
			fx = this.getEffectByName(ofx[i]["name"]);
			if (!fx)
				continue;		// must've gone missing
			fx.active = ofx[i]["active"];
			this.effect_params[fx.index] = ofx[i]["params"];
		}
		this.updateActiveEffects();
		var olayers = o["layers"];
		for (p in olayers)
		{
			if (olayers.hasOwnProperty(p))
			{
				layer = this.getLayerBySid(parseInt(p, 10));
				if (!layer)
					continue;		// must've gone missing
				layer.loadFromJSON(olayers[p]);
			}
		}
	};
	cr.layout = Layout;
	function Layer(layout, m)
	{
		this.layout = layout;
		this.runtime = layout.runtime;
		this.instances = [];        // running instances
		this.scale = 1.0;
		this.angle = 0;
		this.disableAngle = false;
		this.tmprect = new cr.rect(0, 0, 0, 0);
		this.tmpquad = new cr.quad();
		this.viewLeft = 0;
		this.viewRight = 0;
		this.viewTop = 0;
		this.viewBottom = 0;
		this.zindices_stale = false;
		this.name = m[0];
		this.index = m[1];
		this.sid = m[2];
		this.visible = m[3];		// initially visible
		this.background_color = m[4];
		this.transparent = m[5];
		this.parallaxX = m[6];
		this.parallaxY = m[7];
		this.opacity = m[8];
		this.forceOwnTexture = m[9];
		this.zoomRate = m[10];
		this.blend_mode = m[11];
		this.effect_fallback = m[12];
		this.compositeOp = "source-over";
		this.srcBlend = 0;
		this.destBlend = 0;
		this.render_offscreen = false;
		var im = m[13];
		var i, len;
		this.initial_instances = [];
		for (i = 0, len = im.length; i < len; i++)
		{
			var inst = im[i];
			var type = this.runtime.types_by_index[inst[1]];
;
			if (!type.default_instance)
			{
				type.default_instance = inst;
				type.default_layerindex = this.index;
			}
			this.initial_instances.push(inst);
			if (this.layout.initial_types.indexOf(type) === -1)
				this.layout.initial_types.push(type);
		}
		this.effect_types = [];
		this.active_effect_types = [];
		this.effect_params = [];
		for (i = 0, len = m[14].length; i < len; i++)
		{
			this.effect_types.push({
				id: m[14][i][0],
				name: m[14][i][1],
				shaderindex: -1,
				active: true,
				index: i
			});
			this.effect_params.push(m[14][i][2].slice(0));
		}
		this.updateActiveEffects();
		this.rcTex = new cr.rect(0, 0, 1, 1);
		this.rcTex2 = new cr.rect(0, 0, 1, 1);
	};
	Layer.prototype.updateActiveEffects = function ()
	{
		this.active_effect_types.length = 0;
		var i, len, et;
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			if (et.active)
				this.active_effect_types.push(et);
		}
	};
	Layer.prototype.getEffectByName = function (name_)
	{
		var i, len, et;
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			if (et.name === name_)
				return et;
		}
		return null;
	};
	Layer.prototype.createInitialInstances = function ()
	{
		var i, k, len, inst, initial_inst, type, keep, hasPersistBehavior;
		for (i = 0, k = 0, len = this.initial_instances.length; i < len; i++)
		{
			initial_inst = this.initial_instances[i];
			type = this.runtime.types_by_index[initial_inst[1]];
;
			hasPersistBehavior = this.runtime.typeHasPersistBehavior(type);
			keep = true;
			if (!hasPersistBehavior || this.layout.first_visit)
			{
				inst = this.runtime.createInstanceFromInit(initial_inst, this, true);
;
				created_instances.push(inst);
				if (inst.type.global)
					keep = false;
			}
			if (keep)
			{
				this.initial_instances[k] = this.initial_instances[i];
				k++;
			}
		}
		this.initial_instances.length = k;
		this.runtime.ClearDeathRow();		// flushes creation row so IIDs will be correct
		if (!this.runtime.glwrap && this.effect_types.length)	// no WebGL renderer and shaders used
			this.blend_mode = this.effect_fallback;				// use fallback blend mode
		this.compositeOp = cr.effectToCompositeOp(this.blend_mode);
		if (this.runtime.gl)
			cr.setGLBlend(this, this.blend_mode, this.runtime.gl);
	};
	Layer.prototype.updateZIndices = function ()
	{
		if (!this.zindices_stale)
			return;
		var i, len;
		for (i = 0, len = this.instances.length; i < len; i++)
		{
;
;
			this.instances[i].zindex = i;
		}
		this.zindices_stale = false;
	};
	Layer.prototype.getScale = function (include_aspect)
	{
		return this.getNormalScale() * (this.runtime.fullscreenScalingQuality || include_aspect ? this.runtime.aspect_scale : 1);
	};
	Layer.prototype.getNormalScale = function ()
	{
		return ((this.scale * this.layout.scale) - 1) * this.zoomRate + 1;
	};
	Layer.prototype.getAngle = function ()
	{
		if (this.disableAngle)
			return 0;
		return cr.clamp_angle(this.layout.angle + this.angle);
	};
	Layer.prototype.draw = function (ctx)
	{
		this.render_offscreen = (this.forceOwnTexture || this.opacity !== 1.0 || this.blend_mode !== 0);
		var layer_canvas = this.runtime.canvas;
		var layer_ctx = ctx;
		var ctx_changed = false;
		if (this.render_offscreen)
		{
			if (!this.runtime.layer_canvas)
			{
				this.runtime.layer_canvas = document.createElement("canvas");
;
				layer_canvas = this.runtime.layer_canvas;
				layer_canvas.width = this.runtime.draw_width;
				layer_canvas.height = this.runtime.draw_height;
				this.runtime.layer_ctx = layer_canvas.getContext("2d");
;
				ctx_changed = true;
			}
			layer_canvas = this.runtime.layer_canvas;
			layer_ctx = this.runtime.layer_ctx;
			if (layer_canvas.width !== this.runtime.draw_width)
			{
				layer_canvas.width = this.runtime.draw_width;
				ctx_changed = true;
			}
			if (layer_canvas.height !== this.runtime.draw_height)
			{
				layer_canvas.height = this.runtime.draw_height;
				ctx_changed = true;
			}
			if (ctx_changed)
			{
				layer_ctx["webkitImageSmoothingEnabled"] = this.runtime.linearSampling;
				layer_ctx["mozImageSmoothingEnabled"] = this.runtime.linearSampling;
				layer_ctx["msImageSmoothingEnabled"] = this.runtime.linearSampling;
				layer_ctx["imageSmoothingEnabled"] = this.runtime.linearSampling;
			}
			if (this.transparent)
				layer_ctx.clearRect(0, 0, this.runtime.draw_width, this.runtime.draw_height);
		}
		layer_ctx.globalAlpha = 1;
		layer_ctx.globalCompositeOperation = "source-over";
		if (!this.transparent)
		{
			layer_ctx.fillStyle = "rgb(" + this.background_color[0] + "," + this.background_color[1] + "," + this.background_color[2] + ")";
			layer_ctx.fillRect(0, 0, this.runtime.draw_width, this.runtime.draw_height);
		}
		layer_ctx.save();
		this.disableAngle = true;
		var px = this.canvasToLayer(0, 0, true, true);
		var py = this.canvasToLayer(0, 0, false, true);
		this.disableAngle = false;
		if (this.runtime.pixel_rounding)
		{
			px = Math.round(px);
			py = Math.round(py);
		}
		this.rotateViewport(px, py, layer_ctx);
		var myscale = this.getScale();
		layer_ctx.scale(myscale, myscale);
		layer_ctx.translate(-px, -py);
		var i, len, inst, bbox;
		for (i = 0, len = this.instances.length; i < len; i++)
		{
			inst = this.instances[i];
			if (!inst.visible || inst.width === 0 || inst.height === 0)
				continue;
			inst.update_bbox();
			bbox = inst.bbox;
			if (bbox.right < this.viewLeft || bbox.bottom < this.viewTop || bbox.left > this.viewRight || bbox.top > this.viewBottom)
				continue;
			layer_ctx.globalCompositeOperation = inst.compositeOp;
			inst.draw(layer_ctx);
		}
		layer_ctx.restore();
		if (this.render_offscreen)
		{
			ctx.globalCompositeOperation = this.compositeOp;
			ctx.globalAlpha = this.opacity;
			ctx.drawImage(layer_canvas, 0, 0);
		}
	};
	Layer.prototype.rotateViewport = function (px, py, ctx)
	{
		var myscale = this.getScale();
		this.viewLeft = px;
		this.viewTop = py;
		this.viewRight = px + (this.runtime.draw_width * (1 / myscale));
		this.viewBottom = py + (this.runtime.draw_height * (1 / myscale));
		var myAngle = this.getAngle();
		if (myAngle !== 0)
		{
			if (ctx)
			{
				ctx.translate(this.runtime.draw_width / 2, this.runtime.draw_height / 2);
				ctx.rotate(-myAngle);
				ctx.translate(this.runtime.draw_width / -2, this.runtime.draw_height / -2);
			}
			this.tmprect.set(this.viewLeft, this.viewTop, this.viewRight, this.viewBottom);
			this.tmprect.offset((this.viewLeft + this.viewRight) / -2, (this.viewTop + this.viewBottom) / -2);
			this.tmpquad.set_from_rotated_rect(this.tmprect, myAngle);
			this.tmpquad.bounding_box(this.tmprect);
			this.tmprect.offset((this.viewLeft + this.viewRight) / 2, (this.viewTop + this.viewBottom) / 2);
			this.viewLeft = this.tmprect.left;
			this.viewTop = this.tmprect.top;
			this.viewRight = this.tmprect.right;
			this.viewBottom = this.tmprect.bottom;
		}
	}
	Layer.prototype.drawGL = function (glw)
	{
		var windowWidth = this.runtime.draw_width;
		var windowHeight = this.runtime.draw_height;
		var shaderindex = 0;
		var etindex = 0;
		this.render_offscreen = (this.forceOwnTexture || this.opacity !== 1.0 || this.active_effect_types.length > 0 || this.blend_mode !== 0);
		if (this.render_offscreen)
		{
			if (!this.runtime.layer_tex)
			{
				this.runtime.layer_tex = glw.createEmptyTexture(this.runtime.draw_width, this.runtime.draw_height, this.runtime.linearSampling);
			}
			if (this.runtime.layer_tex.c2width !== this.runtime.draw_width || this.runtime.layer_tex.c2height !== this.runtime.draw_height)
			{
				glw.deleteTexture(this.runtime.layer_tex);
				this.runtime.layer_tex = glw.createEmptyTexture(this.runtime.draw_width, this.runtime.draw_height, this.runtime.linearSampling);
			}
			glw.setRenderingToTexture(this.runtime.layer_tex);
			if (this.transparent)
				glw.clear(0, 0, 0, 0);
		}
		if (!this.transparent)
		{
			glw.clear(this.background_color[0] / 255, this.background_color[1] / 255, this.background_color[2] / 255, 1);
		}
		this.disableAngle = true;
		var px = this.canvasToLayer(0, 0, true, true);
		var py = this.canvasToLayer(0, 0, false, true);
		this.disableAngle = false;
		if (this.runtime.pixel_rounding)
		{
			px = Math.round(px);
			py = Math.round(py);
		}
		this.rotateViewport(px, py, null);
		var myscale = this.getScale();
		glw.resetModelView();
		glw.scale(myscale, myscale);
		glw.rotateZ(-this.getAngle());
		glw.translate((this.viewLeft + this.viewRight) / -2, (this.viewTop + this.viewBottom) / -2);
		glw.updateModelView();
		var i, len, inst, bbox;
		for (i = 0, len = this.instances.length; i < len; i++)
		{
			inst = this.instances[i];
			if (!inst.visible || inst.width === 0 || inst.height === 0)
				continue;
			inst.update_bbox();
			bbox = inst.bbox;
			if (bbox.right < this.viewLeft || bbox.bottom < this.viewTop || bbox.left > this.viewRight || bbox.top > this.viewBottom)
				continue;
			if (inst.uses_shaders)
			{
				shaderindex = inst.active_effect_types[0].shaderindex;
				etindex = inst.active_effect_types[0].index;
				if (inst.active_effect_types.length === 1 && !glw.programUsesCrossSampling(shaderindex) &&
					!glw.programExtendsBox(shaderindex) && ((!inst.angle && !inst.layer.getAngle()) || !glw.programUsesDest(shaderindex)) &&
					inst.opacity === 1 && !inst.type.plugin.must_predraw)
				{
					glw.switchProgram(shaderindex);
					glw.setBlend(inst.srcBlend, inst.destBlend);
					if (glw.programIsAnimated(shaderindex))
						this.runtime.redraw = true;
					var destStartX = 0, destStartY = 0, destEndX = 0, destEndY = 0;
					if (glw.programUsesDest(shaderindex))
					{
						var bbox = inst.bbox;
						var screenleft = this.layerToCanvas(bbox.left, bbox.top, true, true);
						var screentop = this.layerToCanvas(bbox.left, bbox.top, false, true);
						var screenright = this.layerToCanvas(bbox.right, bbox.bottom, true, true);
						var screenbottom = this.layerToCanvas(bbox.right, bbox.bottom, false, true);
						destStartX = screenleft / windowWidth;
						destStartY = 1 - screentop / windowHeight;
						destEndX = screenright / windowWidth;
						destEndY = 1 - screenbottom / windowHeight;
					}
					glw.setProgramParameters(this.render_offscreen ? this.runtime.layer_tex : this.layout.getRenderTarget(), // backTex
											 1.0 / inst.width,			// pixelWidth
											 1.0 / inst.height,			// pixelHeight
											 destStartX, destStartY,
											 destEndX, destEndY,
											 this.getScale(),
											 this.getAngle(),
											 this.viewLeft, this.viewTop,
											 inst.effect_params[etindex]);
					inst.drawGL(glw);
				}
				else
				{
					this.layout.renderEffectChain(glw, this, inst, this.render_offscreen ? this.runtime.layer_tex : this.layout.getRenderTarget());
					glw.resetModelView();
					glw.scale(myscale, myscale);
					glw.rotateZ(-this.getAngle());
					glw.translate((this.viewLeft + this.viewRight) / -2, (this.viewTop + this.viewBottom) / -2);
					glw.updateModelView();
				}
			}
			else
			{
				glw.switchProgram(0);		// un-set any previously set shader
				glw.setBlend(inst.srcBlend, inst.destBlend);
				inst.drawGL(glw);
			}
		}
		if (this.render_offscreen)
		{
			shaderindex = this.active_effect_types.length ? this.active_effect_types[0].shaderindex : 0;
			etindex = this.active_effect_types.length ? this.active_effect_types[0].index : 0;
			if (this.active_effect_types.length === 0 || (this.active_effect_types.length === 1 &&
				!glw.programUsesCrossSampling(shaderindex) && this.opacity === 1))
			{
				if (this.active_effect_types.length === 1)
				{
					glw.switchProgram(shaderindex);
					glw.setProgramParameters(this.layout.getRenderTarget(),		// backTex
											 1.0 / this.runtime.draw_width,		// pixelWidth
											 1.0 / this.runtime.draw_height,	// pixelHeight
											 0.0, 0.0,							// destStart
											 1.0, 1.0,							// destEnd
											 this.getScale(),					// layerScale
											 this.getAngle(),
											 this.viewLeft, this.viewTop,
											 this.effect_params[etindex]);		// fx parameters
					if (glw.programIsAnimated(shaderindex))
						this.runtime.redraw = true;
				}
				else
					glw.switchProgram(0);
				glw.setRenderingToTexture(this.layout.getRenderTarget());
				glw.setOpacity(this.opacity);
				glw.setTexture(this.runtime.layer_tex);
				glw.setBlend(this.srcBlend, this.destBlend);
				glw.resetModelView();
				glw.updateModelView();
				var halfw = this.runtime.draw_width / 2;
				var halfh = this.runtime.draw_height / 2;
				glw.quad(-halfw, halfh, halfw, halfh, halfw, -halfh, -halfw, -halfh);
				glw.setTexture(null);
			}
			else
			{
				this.layout.renderEffectChain(glw, this, null, this.layout.getRenderTarget());
			}
		}
	};
	Layer.prototype.canvasToLayer = function (ptx, pty, getx, using_draw_area)
	{
		var multiplier = this.runtime.devicePixelRatio;
		if (this.runtime.isRetina)
		{
			ptx *= multiplier;
			pty *= multiplier;
		}
		var ox = this.runtime.parallax_x_origin;
		var oy = this.runtime.parallax_y_origin;
		var x = ((this.layout.scrollX - ox) * this.parallaxX) + ox;
		var y = ((this.layout.scrollY - oy) * this.parallaxY) + oy;
		var invScale = 1 / this.getScale(!using_draw_area);
		if (using_draw_area)
		{
			x -= (this.runtime.draw_width * invScale) / 2;
			y -= (this.runtime.draw_height * invScale) / 2;
		}
		else
		{
			x -= (this.runtime.width * invScale) / 2;
			y -= (this.runtime.height * invScale) / 2;
		}
		x += ptx * invScale;
		y += pty * invScale;
		var a = this.getAngle();
		if (a !== 0)
		{
			x -= this.layout.scrollX;
			y -= this.layout.scrollY;
			var cosa = Math.cos(a);
			var sina = Math.sin(a);
			var x_temp = (x * cosa) - (y * sina);
			y = (y * cosa) + (x * sina);
			x = x_temp;
			x += this.layout.scrollX;
			y += this.layout.scrollY;
		}
		return getx ? x : y;
	};
	Layer.prototype.layerToCanvas = function (ptx, pty, getx, using_draw_area)
	{
		var a = this.getAngle();
		if (a !== 0)
		{
			ptx -= this.layout.scrollX;
			pty -= this.layout.scrollY;
			var cosa = Math.cos(-a);
			var sina = Math.sin(-a);
			var x_temp = (ptx * cosa) - (pty * sina);
			pty = (pty * cosa) + (ptx * sina);
			ptx = x_temp;
			ptx += this.layout.scrollX;
			pty += this.layout.scrollY;
		}
		var ox = this.runtime.parallax_x_origin;
		var oy = this.runtime.parallax_y_origin;
		var x = ((this.layout.scrollX - ox) * this.parallaxX) + ox;
		var y = ((this.layout.scrollY - oy) * this.parallaxY) + oy;
		var invScale = 1 / this.getScale(!using_draw_area);
		if (using_draw_area)
		{
			x -= (this.runtime.draw_width * invScale) / 2;
			y -= (this.runtime.draw_height * invScale) / 2;
		}
		else
		{
			x -= (this.runtime.width * invScale) / 2;
			y -= (this.runtime.height * invScale) / 2;
		}
		x = (ptx - x) / invScale;
		y = (pty - y) / invScale;
		var multiplier = this.runtime.devicePixelRatio;
		if (this.runtime.isRetina && !using_draw_area)
		{
			x /= multiplier;
			y /= multiplier;
		}
		return getx ? x : y;
	};
	Layer.prototype.rotatePt = function (x_, y_, getx)
	{
		if (this.getAngle() === 0)
			return getx ? x_ : y_;
		var nx = this.layerToCanvas(x_, y_, true);
		var ny = this.layerToCanvas(x_, y_, false);
		this.disableAngle = true;
		var px = this.canvasToLayer(nx, ny, true);
		var py = this.canvasToLayer(nx, ny, true);
		this.disableAngle = false;
		return getx ? px : py;
	};
	Layer.prototype.saveToJSON = function ()
	{
		var i, len, et;
		var o = {
			"s": this.scale,
			"a": this.angle,
			"vl": this.viewLeft,
			"vt": this.viewTop,
			"vr": this.viewRight,
			"vb": this.viewBottom,
			"v": this.visible,
			"bc": this.background_color,
			"t": this.transparent,
			"px": this.parallaxX,
			"py": this.parallaxY,
			"o": this.opacity,
			"zr": this.zoomRate,
			"fx": [],
			"instances": []
		};
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			o["fx"].push({"name": et.name, "active": et.active, "params": this.effect_params[et.index] });
		}
		return o;
	};
	Layer.prototype.loadFromJSON = function (o)
	{
		var i, len, p, inst, fx;
		this.scale = o["s"];
		this.angle = o["a"];
		this.viewLeft = o["vl"];
		this.viewTop = o["vt"];
		this.viewRight = o["vr"];
		this.viewBottom = o["vb"];
		this.visible = o["v"];
		this.background_color = o["bc"];
		this.transparent = o["t"];
		this.parallaxX = o["px"];
		this.parallaxY = o["py"];
		this.opacity = o["o"];
		this.zoomRate = o["zr"];
		var ofx = o["fx"];
		for (i = 0, len = ofx.length; i < len; i++)
		{
			fx = this.getEffectByName(ofx[i]["name"]);
			if (!fx)
				continue;		// must've gone missing
			fx.active = ofx[i]["active"];
			this.effect_params[fx.index] = ofx[i]["params"];
		}
		this.updateActiveEffects();
		this.instances.sort(sort_by_zindex);
		this.zindices_stale = true;
	};
	cr.layer = Layer;
}());
;
(function()
{
	var allUniqueSolModifiers = [];
	function testSolsMatch(arr1, arr2)
	{
		var i, len = arr1.length;
		switch (len) {
		case 0:
			return true;
		case 1:
			return arr1[0] === arr2[0];
		case 2:
			return arr1[0] === arr2[0] && arr1[1] === arr2[1];
		default:
			for (i = 0; i < len; i++)
			{
				if (arr1[i] !== arr2[i])
					return false;
			}
			return true;
		}
	};
	function solArraySorter(t1, t2)
	{
		return t1.index - t2.index;
	};
	function findMatchingSolModifier(arr)
	{
		var i, len, u, temp, subarr;
		if (arr.length === 2)
		{
			if (arr[0].index > arr[1].index)
			{
				temp = arr[0];
				arr[0] = arr[1];
				arr[1] = temp;
			}
		}
		else if (arr.length > 2)
			arr.sort(solArraySorter);		// so testSolsMatch compares in same order
		if (arr.length >= allUniqueSolModifiers.length)
			allUniqueSolModifiers.length = arr.length + 1;
		if (!allUniqueSolModifiers[arr.length])
			allUniqueSolModifiers[arr.length] = [];
		subarr = allUniqueSolModifiers[arr.length];
		for (i = 0, len = subarr.length; i < len; i++)
		{
			u = subarr[i];
			if (testSolsMatch(arr, u))
				return u;
		}
		subarr.push(arr);
		return arr;
	};
	function EventSheet(runtime, m)
	{
		this.runtime = runtime;
		this.triggers = {};
		this.fasttriggers = {};
        this.hasRun = false;
        this.includes = new cr.ObjectSet(); 	// all event sheets included by this sheet, at first-level indirection only
		this.deep_includes = [];				// all includes from this sheet recursively, in trigger order
		this.already_included_sheets = [];		// used while building deep_includes
		this.name = m[0];
		var em = m[1];		// events model
		this.events = [];       // triggers won't make it to this array
		var i, len;
		for (i = 0, len = em.length; i < len; i++)
			this.init_event(em[i], null, this.events);
	};
    EventSheet.prototype.toString = function ()
    {
        return this.name;
    };
	EventSheet.prototype.init_event = function (m, parent, nontriggers)
	{
		switch (m[0]) {
		case 0:	// event block
		{
			var block = new cr.eventblock(this, parent, m);
			cr.seal(block);
			if (block.orblock)
			{
				nontriggers.push(block);
				var i, len;
				for (i = 0, len = block.conditions.length; i < len; i++)
				{
					if (block.conditions[i].trigger)
						this.init_trigger(block, i);
				}
			}
			else
			{
				if (block.is_trigger())
					this.init_trigger(block, 0);
				else
					nontriggers.push(block);
			}
			break;
		}
		case 1: // variable
		{
			var v = new cr.eventvariable(this, parent, m);
			cr.seal(v);
			nontriggers.push(v);
			break;
		}
        case 2:	// include
        {
            var inc = new cr.eventinclude(this, parent, m);
			cr.seal(inc);
            nontriggers.push(inc);
			break;
        }
		default:
;
		}
	};
	EventSheet.prototype.postInit = function ()
	{
		var i, len;
		for (i = 0, len = this.events.length; i < len; i++)
		{
			this.events[i].postInit(i < len - 1 && this.events[i + 1].is_else_block);
		}
	};
	EventSheet.prototype.updateDeepIncludes = function ()
	{
		this.deep_includes.length = 0;
		this.already_included_sheets.length = 0;
		this.addDeepIncludes(this);
		this.already_included_sheets.length = 0;
	};
	EventSheet.prototype.addDeepIncludes = function (root_sheet)
	{
		var i, len, inc, sheet;
		var deep_includes = root_sheet.deep_includes;
		var already_included_sheets = root_sheet.already_included_sheets;
		var arr = this.includes.valuesRef();
		for (i = 0, len = arr.length; i < len; ++i)
		{
			inc = arr[i];
			sheet = inc.include_sheet;
			if (!inc.isActive() || root_sheet === sheet || already_included_sheets.indexOf(sheet) > -1)
				continue;
			already_included_sheets.push(sheet);
			sheet.addDeepIncludes(root_sheet);
			deep_includes.push(sheet);
		}
	};
	EventSheet.prototype.run = function (from_include)
	{
		if (!this.runtime.resuming_breakpoint)
		{
			this.hasRun = true;
			if (!from_include)
				this.runtime.isRunningEvents = true;
		}
		var i, len;
		for (i = 0, len = this.events.length; i < len; i++)
		{
			var ev = this.events[i];
			ev.run();
				this.runtime.clearSol(ev.solModifiers);
				if (!this.runtime.deathRow.isEmpty() || this.runtime.createRow.length)
					this.runtime.ClearDeathRow();
		}
			if (!from_include)
				this.runtime.isRunningEvents = false;
	};
	function isPerformanceSensitiveTrigger(method)
	{
		if (cr.plugins_.Sprite && method === cr.plugins_.Sprite.prototype.cnds.OnFrameChanged)
		{
			return true;
		}
		return false;
	};
	EventSheet.prototype.init_trigger = function (trig, index)
	{
		if (!trig.orblock)
			this.runtime.triggers_to_postinit.push(trig);	// needs to be postInit'd later
		var i, len;
		var cnd = trig.conditions[index];
		var type_name;
		if (cnd.type)
			type_name = cnd.type.name;
		else
			type_name = "system";
		var fasttrigger = cnd.fasttrigger;
		var triggers = (fasttrigger ? this.fasttriggers : this.triggers);
		if (!triggers[type_name])
			triggers[type_name] = [];
		var obj_entry = triggers[type_name];
		var method = cnd.func;
		if (fasttrigger)
		{
			if (!cnd.parameters.length)				// no parameters
				return;
			var firstparam = cnd.parameters[0];
			if (firstparam.type !== 1 ||			// not a string param
				firstparam.expression.type !== 2)	// not a string literal node
			{
				return;
			}
			var fastevs;
			var firstvalue = firstparam.expression.value.toLowerCase();
			var i, len;
			for (i = 0, len = obj_entry.length; i < len; i++)
			{
				if (obj_entry[i].method == method)
				{
					fastevs = obj_entry[i].evs;
					if (!fastevs[firstvalue])
						fastevs[firstvalue] = [[trig, index]];
					else
						fastevs[firstvalue].push([trig, index]);
					return;
				}
			}
			fastevs = {};
			fastevs[firstvalue] = [[trig, index]];
			obj_entry.push({ method: method, evs: fastevs });
		}
		else
		{
			for (i = 0, len = obj_entry.length; i < len; i++)
			{
				if (obj_entry[i].method == method)
				{
					obj_entry[i].evs.push([trig, index]);
					return;
				}
			}
			if (isPerformanceSensitiveTrigger(method))
				obj_entry.unshift({ method: method, evs: [[trig, index]]});
			else
				obj_entry.push({ method: method, evs: [[trig, index]]});
		}
	};
	cr.eventsheet = EventSheet;
	function Selection(type)
	{
		this.type = type;
		this.instances = [];        // subset of picked instances
		this.else_instances = [];	// subset of unpicked instances
		this.select_all = true;
	};
	Selection.prototype.hasObjects = function ()
	{
		if (this.select_all)
			return this.type.instances.length;
		else
			return this.instances.length;
	};
	Selection.prototype.getObjects = function ()
	{
		if (this.select_all)
			return this.type.instances;
		else
			return this.instances;
	};
	/*
	Selection.prototype.ensure_picked = function (inst, skip_siblings)
	{
		var i, len;
		var orblock = inst.runtime.getCurrentEventStack().current_event.orblock;
		if (this.select_all)
		{
			this.select_all = false;
			if (orblock)
			{
				cr.shallowAssignArray(this.else_instances, inst.type.instances);
				cr.arrayFindRemove(this.else_instances, inst);
			}
			this.instances.length = 1;
			this.instances[0] = inst;
		}
		else
		{
			if (orblock)
			{
				i = this.else_instances.indexOf(inst);
				if (i !== -1)
				{
					this.instances.push(this.else_instances[i]);
					this.else_instances.splice(i, 1);
				}
			}
			else
			{
				if (this.instances.indexOf(inst) === -1)
					this.instances.push(inst);
			}
		}
		if (!skip_siblings)
		{
		}
	};
	*/
	Selection.prototype.pick_one = function (inst)
	{
		if (!inst)
			return;
		if (inst.runtime.getCurrentEventStack().current_event.orblock)
		{
			if (this.select_all)
			{
				this.instances.length = 0;
				cr.shallowAssignArray(this.else_instances, inst.type.instances);
				this.select_all = false;
			}
			var i = this.else_instances.indexOf(inst);
			if (i !== -1)
			{
				this.instances.push(this.else_instances[i]);
				this.else_instances.splice(i, 1);
			}
		}
		else
		{
			this.select_all = false;
			this.instances.length = 1;
			this.instances[0] = inst;
		}
	};
	cr.selection = Selection;
	function EventBlock(sheet, parent, m)
	{
		this.sheet = sheet;
		this.parent = parent;
		this.runtime = sheet.runtime;
		this.solModifiers = [];
		this.solModifiersIncludingParents = [];
		this.solWriterAfterCnds = false;	// block does not change SOL after running its conditions
		this.group = false;					// is group of events
		this.initially_activated = false;	// if a group, is active on startup
		this.toplevelevent = false;			// is an event block parented only by a top-level group
		this.toplevelgroup = false;			// is parented only by other groups or is top-level (i.e. not in a subevent)
		this.has_else_block = false;		// is followed by else
;
		this.conditions = [];
		this.actions = [];
		this.subevents = [];
		this.group_name = "";
		this.group = false;
		this.initially_activated = false;
		this.group_active = false;
		this.contained_includes = null;
        if (m[1])
        {
			this.group_name = m[1][1].toLowerCase();
			this.group = true;
			this.initially_activated = !!m[1][0];
			this.contained_includes = [];
			this.group_active = this.initially_activated;
			this.runtime.allGroups.push(this);
            this.runtime.groups_by_name[this.group_name] = this;
        }
		this.orblock = m[2];
		this.sid = m[4];
		if (!this.group)
			this.runtime.blocksBySid[this.sid.toString()] = this;
		var i, len;
		var cm = m[5];
		for (i = 0, len = cm.length; i < len; i++)
		{
			var cnd = new cr.condition(this, cm[i]);
			cnd.index = i;
			cr.seal(cnd);
			this.conditions.push(cnd);
			/*
			if (cnd.is_logical())
				this.is_logical = true;
			if (cnd.type && !cnd.type.plugin.singleglobal && this.cndReferences.indexOf(cnd.type) === -1)
				this.cndReferences.push(cnd.type);
			*/
			this.addSolModifier(cnd.type);
		}
		var am = m[6];
		for (i = 0, len = am.length; i < len; i++)
		{
			var act = new cr.action(this, am[i]);
			act.index = i;
			cr.seal(act);
			this.actions.push(act);
		}
		if (m.length === 8)
		{
			var em = m[7];
			for (i = 0, len = em.length; i < len; i++)
				this.sheet.init_event(em[i], this, this.subevents);
		}
		this.is_else_block = false;
		if (this.conditions.length)
		{
			this.is_else_block = (this.conditions[0].type == null && this.conditions[0].func == cr.system_object.prototype.cnds.Else);
		}
	};
	window["_c2hh_"] = "4976396E7F44CDF52E9B826EC7DFF42034904074";
	EventBlock.prototype.postInit = function (hasElse/*, prevBlock_*/)
	{
		var i, len;
		var p = this.parent;
		if (this.group)
		{
			this.toplevelgroup = true;
			while (p)
			{
				if (!p.group)
				{
					this.toplevelgroup = false;
					break;
				}
				p = p.parent;
			}
		}
		this.toplevelevent = !this.is_trigger() && (!this.parent || (this.parent.group && this.parent.toplevelgroup));
		this.has_else_block = !!hasElse;
		this.solModifiersIncludingParents = this.solModifiers.slice(0);
		p = this.parent;
		while (p)
		{
			for (i = 0, len = p.solModifiers.length; i < len; i++)
				this.addParentSolModifier(p.solModifiers[i]);
			p = p.parent;
		}
		this.solModifiers = findMatchingSolModifier(this.solModifiers);
		this.solModifiersIncludingParents = findMatchingSolModifier(this.solModifiersIncludingParents);
		var i, len/*, s*/;
		for (i = 0, len = this.conditions.length; i < len; i++)
			this.conditions[i].postInit();
		for (i = 0, len = this.actions.length; i < len; i++)
			this.actions[i].postInit();
		for (i = 0, len = this.subevents.length; i < len; i++)
		{
			this.subevents[i].postInit(i < len - 1 && this.subevents[i + 1].is_else_block);
		}
		/*
		if (this.is_else_block && this.prev_block)
		{
			for (i = 0, len = this.prev_block.solModifiers.length; i < len; i++)
			{
				s = this.prev_block.solModifiers[i];
				if (this.solModifiers.indexOf(s) === -1)
					this.solModifiers.push(s);
			}
		}
		*/
	};
	EventBlock.prototype.setGroupActive = function (a)
	{
		if (this.group_active === !!a)
			return;		// same state
		this.group_active = !!a;
		var i, len;
		for (i = 0, len = this.contained_includes.length; i < len; ++i)
		{
			this.contained_includes[i].updateActive();
		}
		if (len > 0 && this.runtime.running_layout.event_sheet)
			this.runtime.running_layout.event_sheet.updateDeepIncludes();
	};
	function addSolModifierToList(type, arr)
	{
		var i, len, t;
		if (!type)
			return;
		if (arr.indexOf(type) === -1)
			arr.push(type);
		if (type.is_contained)
		{
			for (i = 0, len = type.container.length; i < len; i++)
			{
				t = type.container[i];
				if (type === t)
					continue;		// already handled
				if (arr.indexOf(t) === -1)
					arr.push(t);
			}
		}
	};
	EventBlock.prototype.addSolModifier = function (type)
	{
		addSolModifierToList(type, this.solModifiers);
	};
	EventBlock.prototype.addParentSolModifier = function (type)
	{
		addSolModifierToList(type, this.solModifiersIncludingParents);
	};
	EventBlock.prototype.setSolWriterAfterCnds = function ()
	{
		this.solWriterAfterCnds = true;
		if (this.parent)
			this.parent.setSolWriterAfterCnds();
	};
	EventBlock.prototype.is_trigger = function ()
	{
		if (!this.conditions.length)    // no conditions
			return false;
		else
			return this.conditions[0].trigger;
	};
	EventBlock.prototype.run = function ()
	{
		var i, len, any_true = false, cnd_result;
		var runtime = this.runtime;
		var evinfo = this.runtime.getCurrentEventStack();
		evinfo.current_event = this;
		var conditions = this.conditions;
			if (!this.is_else_block)
				evinfo.else_branch_ran = false;
		if (this.orblock)
		{
			if (conditions.length === 0)
				any_true = true;		// be sure to run if empty block
				evinfo.cndindex = 0
			for (len = conditions.length; evinfo.cndindex < len; evinfo.cndindex++)
			{
				if (conditions[evinfo.cndindex].trigger)		// skip triggers when running OR block
					continue;
				cnd_result = conditions[evinfo.cndindex].run();
				if (cnd_result)			// make sure all conditions run and run if any were true
					any_true = true;
			}
			evinfo.last_event_true = any_true;
			if (any_true)
				this.run_actions_and_subevents();
		}
		else
		{
				evinfo.cndindex = 0
			for (len = conditions.length; evinfo.cndindex < len; evinfo.cndindex++)
			{
				cnd_result = conditions[evinfo.cndindex].run();
				if (!cnd_result)    // condition failed
				{
					evinfo.last_event_true = false;
					if (this.toplevelevent && (!runtime.deathRow.isEmpty() || runtime.createRow.length))
						runtime.ClearDeathRow();
					return;		// bail out now
				}
			}
			evinfo.last_event_true = true;
			this.run_actions_and_subevents();
		}
		this.end_run(evinfo);
	};
	EventBlock.prototype.end_run = function (evinfo)
	{
		if (evinfo.last_event_true && this.has_else_block)
			evinfo.else_branch_ran = true;
		if (this.toplevelevent && (!this.runtime.deathRow.isEmpty() || this.runtime.createRow.length))
			this.runtime.ClearDeathRow();
	};
	EventBlock.prototype.run_orblocktrigger = function (index)
	{
		var evinfo = this.runtime.getCurrentEventStack();
		evinfo.current_event = this;
		if (this.conditions[index].run())
		{
			this.run_actions_and_subevents();
			this.runtime.getCurrentEventStack().last_event_true = true;
		}
	};
	EventBlock.prototype.run_actions_and_subevents = function ()
	{
		var evinfo = this.runtime.getCurrentEventStack();
		var len;
		for (evinfo.actindex = 0, len = this.actions.length; evinfo.actindex < len; evinfo.actindex++)
		{
			if (this.actions[evinfo.actindex].run())
				return;
		}
		this.run_subevents();
	};
	EventBlock.prototype.resume_actions_and_subevents = function ()
	{
		var evinfo = this.runtime.getCurrentEventStack();
		var len;
		for (len = this.actions.length; evinfo.actindex < len; evinfo.actindex++)
		{
			if (this.actions[evinfo.actindex].run())
				return;
		}
		this.run_subevents();
	};
	EventBlock.prototype.run_subevents = function ()
	{
		if (!this.subevents.length)
			return;
		var i, len, subev, pushpop/*, skipped_pop = false, pop_modifiers = null*/;
		var last = this.subevents.length - 1;
			this.runtime.pushEventStack(this);
		if (this.solWriterAfterCnds)
		{
			for (i = 0, len = this.subevents.length; i < len; i++)
			{
				subev = this.subevents[i];
					pushpop = (!this.toplevelgroup || (!this.group && i < last));
					if (pushpop)
						this.runtime.pushCopySol(subev.solModifiers);
				subev.run();
					if (pushpop)
						this.runtime.popSol(subev.solModifiers);
					else
						this.runtime.clearSol(subev.solModifiers);
			}
		}
		else
		{
			for (i = 0, len = this.subevents.length; i < len; i++)
			{
				this.subevents[i].run();
			}
		}
			this.runtime.popEventStack();
	};
	EventBlock.prototype.run_pretrigger = function ()
	{
		var evinfo = this.runtime.getCurrentEventStack();
		evinfo.current_event = this;
		var any_true = false;
		var i, len;
		for (evinfo.cndindex = 0, len = this.conditions.length; evinfo.cndindex < len; evinfo.cndindex++)
		{
;
			if (this.conditions[evinfo.cndindex].run())
				any_true = true;
			else if (!this.orblock)			// condition failed (let OR blocks run all conditions anyway)
				return false;               // bail out
		}
		return this.orblock ? any_true : true;
	};
	EventBlock.prototype.retrigger = function ()
	{
		this.runtime.execcount++;
		var prevcndindex = this.runtime.getCurrentEventStack().cndindex;
		var len;
		var evinfo = this.runtime.pushEventStack(this);
		if (!this.orblock)
		{
			for (evinfo.cndindex = prevcndindex + 1, len = this.conditions.length; evinfo.cndindex < len; evinfo.cndindex++)
			{
				if (!this.conditions[evinfo.cndindex].run())    // condition failed
				{
					this.runtime.popEventStack();               // moving up level of recursion
					return false;                               // bail out
				}
			}
		}
		this.run_actions_and_subevents();
		this.runtime.popEventStack();
		return true;		// ran an iteration
	};
	EventBlock.prototype.isFirstConditionOfType = function (cnd)
	{
		var cndindex = cnd.index;
		if (cndindex === 0)
			return true;
		--cndindex;
		for ( ; cndindex >= 0; --cndindex)
		{
			if (this.conditions[cndindex].type === cnd.type)
				return false;
		}
		return true;
	};
	cr.eventblock = EventBlock;
	function Condition(block, m)
	{
		this.block = block;
		this.sheet = block.sheet;
		this.runtime = block.runtime;
		this.parameters = [];
		this.results = [];
		this.extra = {};		// for plugins to stow away some custom info
		this.index = -1;
		this.anyParamVariesPerInstance = false;
		this.func = m[1];
;
		this.trigger = (m[3] > 0);
		this.fasttrigger = (m[3] === 2);
		this.looping = m[4];
		this.inverted = m[5];
		this.isstatic = m[6];
		this.sid = m[7];
		this.runtime.cndsBySid[this.sid.toString()] = this;
		if (m[0] === -1)		// system object
		{
			this.type = null;
			this.run = this.run_system;
			this.behaviortype = null;
			this.beh_index = -1;
		}
		else
		{
			this.type = this.runtime.types_by_index[m[0]];
;
			if (this.isstatic)
				this.run = this.run_static;
			else
				this.run = this.run_object;
			if (m[2])
			{
				this.behaviortype = this.type.getBehaviorByName(m[2]);
;
				this.beh_index = this.type.getBehaviorIndexByName(m[2]);
;
			}
			else
			{
				this.behaviortype = null;
				this.beh_index = -1;
			}
			if (this.block.parent)
				this.block.parent.setSolWriterAfterCnds();
		}
		if (this.fasttrigger)
			this.run = this.run_true;
		if (m.length === 10)
		{
			var i, len;
			var em = m[9];
			for (i = 0, len = em.length; i < len; i++)
			{
				var param = new cr.parameter(this, em[i]);
				cr.seal(param);
				this.parameters.push(param);
			}
			this.results.length = em.length;
		}
	};
	Condition.prototype.postInit = function ()
	{
		var i, len, p;
		for (i = 0, len = this.parameters.length; i < len; i++)
		{
			p = this.parameters[i];
			p.postInit();
			if (p.variesPerInstance)
				this.anyParamVariesPerInstance = true;
		}
	};
	/*
	Condition.prototype.is_logical = function ()
	{
		return !this.type || this.type.plugin.singleglobal;
	};
	*/
	Condition.prototype.run_true = function ()
	{
		return true;
	};
	Condition.prototype.run_system = function ()
	{
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++)
			this.results[i] = this.parameters[i].get();
		return cr.xor(this.func.apply(this.runtime.system, this.results), this.inverted);
	};
	Condition.prototype.run_static = function ()
	{
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++)
			this.results[i] = this.parameters[i].get();
		var ret = this.func.apply(this.behaviortype ? this.behaviortype : this.type, this.results);
		this.type.applySolToContainer();
		return ret;
	};
	Condition.prototype.run_object = function ()
	{
		var i, j, k, leni, lenj, p, ret, met, inst, s, sol2;
		var type = this.type;
		var sol = type.getCurrentSol();
		var is_orblock = this.block.orblock && !this.trigger;		// triggers in OR blocks need to work normally
		var offset = 0;
		var is_contained = type.is_contained;
		var is_family = type.is_family;
		var family_index = type.family_index;
		var beh_index = this.beh_index;
		var is_beh = (beh_index > -1);
		var params_vary = this.anyParamVariesPerInstance;
		var parameters = this.parameters;
		var results = this.results;
		var inverted = this.inverted;
		var func = this.func;
		var arr, container;
		if (params_vary)
		{
			for (j = 0, lenj = parameters.length; j < lenj; ++j)
			{
				p = parameters[j];
				if (!p.variesPerInstance)
					results[j] = p.get(0);
			}
		}
		else
		{
			for (j = 0, lenj = parameters.length; j < lenj; ++j)
				results[j] = parameters[j].get(0);
		}
		if (sol.select_all) {
			sol.instances.length = 0;       // clear contents
			sol.else_instances.length = 0;
			arr = type.instances;
			for (i = 0, leni = arr.length; i < leni; ++i)
			{
				inst = arr[i];
;
				if (params_vary)
				{
					for (j = 0, lenj = parameters.length; j < lenj; ++j)
					{
						p = parameters[j];
						if (p.variesPerInstance)
							results[j] = p.get(i);        // default SOL index is current object
					}
				}
				if (is_beh)
				{
					offset = 0;
					if (is_family)
					{
						offset = inst.type.family_beh_map[family_index];
					}
					ret = func.apply(inst.behavior_insts[beh_index + offset], results);
				}
				else
					ret = func.apply(inst, results);
				met = cr.xor(ret, inverted);
				if (met)
					sol.instances.push(inst);
				else if (is_orblock)					// in OR blocks, keep the instances not meeting the condition for subsequent testing
					sol.else_instances.push(inst);
			}
			if (type.finish)
				type.finish(true);
			sol.select_all = false;
			type.applySolToContainer();
			return sol.hasObjects();
		}
		else {
			k = 0;
			var using_else_instances = (is_orblock && !this.block.isFirstConditionOfType(this));
			arr = (using_else_instances ? sol.else_instances : sol.instances);
			var any_true = false;
			for (i = 0, leni = arr.length; i < leni; ++i)
			{
				inst = arr[i];
;
				if (params_vary)
				{
					for (j = 0, lenj = parameters.length; j < lenj; ++j)
					{
						p = parameters[j];
						if (p.variesPerInstance)
							results[j] = p.get(i);        // default SOL index is current object
					}
				}
				if (is_beh)
				{
					offset = 0;
					if (is_family)
					{
						offset = inst.type.family_beh_map[family_index];
					}
					ret = func.apply(inst.behavior_insts[beh_index + offset], results);
				}
				else
					ret = func.apply(inst, results);
				if (cr.xor(ret, inverted))
				{
					any_true = true;
					if (using_else_instances)
					{
						sol.instances.push(inst);
						if (is_contained)
						{
							for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
							{
								s = inst.siblings[j];
								s.type.getCurrentSol().instances.push(s);
							}
						}
					}
					else
					{
						arr[k] = inst;
						if (is_contained)
						{
							for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
							{
								s = inst.siblings[j];
								s.type.getCurrentSol().instances[k] = s;
							}
						}
						k++;
					}
				}
				else
				{
					if (using_else_instances)
					{
						arr[k] = inst;
						if (is_contained)
						{
							for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
							{
								s = inst.siblings[j];
								s.type.getCurrentSol().else_instances[k] = s;
							}
						}
						k++;
					}
					else if (is_orblock)
					{
						sol.else_instances.push(inst);
						if (is_contained)
						{
							for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
							{
								s = inst.siblings[j];
								s.type.getCurrentSol().else_instances.push(s);
							}
						}
					}
				}
			}
			arr.length = k;
			if (is_contained)
			{
				container = type.container;
				for (i = 0, leni = container.length; i < leni; i++)
				{
					sol2 = container[i].getCurrentSol();
					if (using_else_instances)
						sol2.else_instances.length = k;
					else
						sol2.instances.length = k;
				}
			}
			var pick_in_finish = any_true;		// don't pick in finish() if we're only doing the logic test below
			if (using_else_instances && !any_true)
			{
				for (i = 0, leni = sol.instances.length; i < leni; i++)
				{
					inst = sol.instances[i];
					if (params_vary)
					{
						for (j = 0, lenj = parameters.length; j < lenj; j++)
						{
							p = parameters[j];
							if (p.variesPerInstance)
								results[j] = p.get(i);
						}
					}
					if (is_beh)
						ret = func.apply(inst.behavior_insts[beh_index], results);
					else
						ret = func.apply(inst, results);
					if (cr.xor(ret, inverted))
					{
						any_true = true;
						break;		// got our flag, don't need to test any more
					}
				}
			}
			if (type.finish)
				type.finish(pick_in_finish || is_orblock);
			return is_orblock ? any_true : sol.hasObjects();
		}
	};
	cr.condition = Condition;
	function Action(block, m)
	{
		this.block = block;
		this.sheet = block.sheet;
		this.runtime = block.runtime;
		this.parameters = [];
		this.results = [];
		this.extra = {};		// for plugins to stow away some custom info
		this.index = -1;
		this.anyParamVariesPerInstance = false;
		this.func = m[1];
;
		if (m[0] === -1)	// system
		{
			this.type = null;
			this.run = this.run_system;
			this.behaviortype = null;
			this.beh_index = -1;
		}
		else
		{
			this.type = this.runtime.types_by_index[m[0]];
;
			this.run = this.run_object;
			if (m[2])
			{
				this.behaviortype = this.type.getBehaviorByName(m[2]);
;
				this.beh_index = this.type.getBehaviorIndexByName(m[2]);
;
			}
			else
			{
				this.behaviortype = null;
				this.beh_index = -1;
			}
		}
		this.sid = m[3];
		this.runtime.actsBySid[this.sid.toString()] = this;
		if (m.length === 6)
		{
			var i, len;
			var em = m[5];
			for (i = 0, len = em.length; i < len; i++)
			{
				var param = new cr.parameter(this, em[i]);
				cr.seal(param);
				this.parameters.push(param);
			}
			this.results.length = em.length;
		}
	};
	Action.prototype.postInit = function ()
	{
		var i, len, p;
		for (i = 0, len = this.parameters.length; i < len; i++)
		{
			p = this.parameters[i];
			p.postInit();
			if (p.variesPerInstance)
				this.anyParamVariesPerInstance = true;
		}
	};
	Action.prototype.run_system = function ()
	{
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++)
			this.results[i] = this.parameters[i].get();
		return this.func.apply(this.runtime.system, this.results);
	};
	Action.prototype.run_object = function ()
	{
		var instances = this.type.getCurrentSol().getObjects();
		var is_family = this.type.is_family;
		var family_index = this.type.family_index;
		var beh_index = this.beh_index;
		var is_beh = (beh_index > -1);
		var params_vary = this.anyParamVariesPerInstance;
		var parameters = this.parameters;
		var results = this.results;
		var func = this.func;
		var i, j, leni, lenj, p, inst, offset;
		if (params_vary)
		{
			for (j = 0, lenj = parameters.length; j < lenj; ++j)
			{
				p = parameters[j];
				if (!p.variesPerInstance)
					results[j] = p.get(0);
			}
		}
		else
		{
			for (j = 0, lenj = parameters.length; j < lenj; ++j)
				results[j] = parameters[j].get(0);
		}
		for (i = 0, leni = instances.length; i < leni; ++i)
		{
			inst = instances[i];
			if (params_vary)
			{
				for (j = 0, lenj = parameters.length; j < lenj; ++j)
				{
					p = parameters[j];
					if (p.variesPerInstance)
						results[j] = p.get(i);    // pass i to use as default SOL index
				}
			}
			if (is_beh)
			{
				offset = 0;
				if (is_family)
				{
					offset = inst.type.family_beh_map[family_index];
				}
				func.apply(inst.behavior_insts[beh_index + offset], results);
			}
			else
				func.apply(inst, results);
		}
		return false;
	};
	cr.action = Action;
	var tempValues = [];
	var tempValuesPtr = -1;
	function Parameter(owner, m)
	{
		this.owner = owner;
		this.block = owner.block;
		this.sheet = owner.sheet;
		this.runtime = owner.runtime;
		this.type = m[0];
		this.expression = null;
		this.solindex = 0;
		this.get = null;
		this.combosel = 0;
		this.layout = null;
		this.key = 0;
		this.object = null;
		this.index = 0;
		this.varname = null;
		this.eventvar = null;
		this.fileinfo = null;
		this.subparams = null;
		this.variadicret = null;
		this.subparams = null;
		this.variadicret = null;
		this.variesPerInstance = false;
		var i, len, param;
		switch (m[0])
		{
			case 0:		// number
			case 7:		// any
				this.expression = new cr.expNode(this, m[1]);
				this.solindex = 0;
				this.get = this.get_exp;
				break;
			case 1:		// string
				this.expression = new cr.expNode(this, m[1]);
				this.solindex = 0;
				this.get = this.get_exp_str;
				break;
			case 5:		// layer
				this.expression = new cr.expNode(this, m[1]);
				this.solindex = 0;
				this.get = this.get_layer;
				break;
			case 3:		// combo
			case 8:		// cmp
				this.combosel = m[1];
				this.get = this.get_combosel;
				break;
			case 6:		// layout
				this.layout = this.runtime.layouts[m[1]];
;
				this.get = this.get_layout;
				break;
			case 9:		// keyb
				this.key = m[1];
				this.get = this.get_key;
				break;
			case 4:		// object
				this.object = this.runtime.types_by_index[m[1]];
;
				this.get = this.get_object;
				this.block.addSolModifier(this.object);
				if (this.owner instanceof cr.action)
					this.block.setSolWriterAfterCnds();
				else if (this.block.parent)
					this.block.parent.setSolWriterAfterCnds();
				break;
			case 10:	// instvar
				this.index = m[1];
				if (owner.type.is_family)
				{
					this.get = this.get_familyvar;
					this.variesPerInstance = true;
				}
				else
					this.get = this.get_instvar;
				break;
			case 11:	// eventvar
				this.varname = m[1];
				this.eventvar = null;
				this.get = this.get_eventvar;
				break;
			case 2:		// audiofile	["name", ismusic]
			case 12:	// fileinfo		"name"
				this.fileinfo = m[1];
				this.get = this.get_audiofile;
				break;
			case 13:	// variadic
				this.get = this.get_variadic;
				this.subparams = [];
				this.variadicret = [];
				for (i = 1, len = m.length; i < len; i++)
				{
					param = new cr.parameter(this.owner, m[i]);
					cr.seal(param);
					this.subparams.push(param);
					this.variadicret.push(0);
				}
				break;
			default:
;
		}
	};
	Parameter.prototype.postInit = function ()
	{
		var i, len;
		if (this.type === 11)		// eventvar
		{
			this.eventvar = this.runtime.getEventVariableByName(this.varname, this.block.parent);
;
		}
		else if (this.type === 13)	// variadic, postInit all sub-params
		{
			for (i = 0, len = this.subparams.length; i < len; i++)
				this.subparams[i].postInit();
		}
		if (this.expression)
			this.expression.postInit();
	};
	Parameter.prototype.maybeVaryForType = function (t)
	{
		if (this.variesPerInstance)
			return;				// already varies per instance, no need to check again
		if (!t)
			return;				// never vary for system type
		if (!t.plugin.singleglobal)
		{
			this.variesPerInstance = true;
			return;
		}
	};
	Parameter.prototype.setVaries = function ()
	{
		this.variesPerInstance = true;
	};
	Parameter.prototype.pushTempValue = function ()
	{
		tempValuesPtr++;
		if (tempValues.length === tempValuesPtr)
			tempValues.push(new cr.expvalue());
		return tempValues[tempValuesPtr];
	};
	Parameter.prototype.popTempValue = function ()
	{
		tempValuesPtr--;
	};
	Parameter.prototype.get_exp = function (solindex)
	{
		this.solindex = solindex || 0;   // default SOL index to use
		var temp = this.pushTempValue();
		this.expression.get(temp);
		this.popTempValue();
		return temp.data;      			// return actual JS value, not expvalue
	};
	Parameter.prototype.get_exp_str = function (solindex)
	{
		this.solindex = solindex || 0;   // default SOL index to use
		var temp = this.pushTempValue();
		this.expression.get(temp);
		this.popTempValue();
		if (cr.is_string(temp.data))
			return temp.data;
		else
			return "";
	};
	Parameter.prototype.get_object = function ()
	{
		return this.object;
	};
	Parameter.prototype.get_combosel = function ()
	{
		return this.combosel;
	};
	Parameter.prototype.get_layer = function (solindex)
	{
		this.solindex = solindex || 0;   // default SOL index to use
		var temp = this.pushTempValue();
		this.expression.get(temp);
		this.popTempValue();
		if (temp.is_number())
			return this.runtime.getLayerByNumber(temp.data);
		else
			return this.runtime.getLayerByName(temp.data);
	}
	Parameter.prototype.get_layout = function ()
	{
		return this.layout;
	};
	Parameter.prototype.get_key = function ()
	{
		return this.key;
	};
	Parameter.prototype.get_instvar = function ()
	{
		return this.index;
	};
	Parameter.prototype.get_familyvar = function (solindex_)
	{
		var solindex = solindex_ || 0;
		var familytype = this.owner.type;
		var realtype = null;
		var sol = familytype.getCurrentSol();
		var objs = sol.getObjects();
		if (objs.length)
			realtype = objs[solindex % objs.length].type;
		else if (sol.else_instances.length)
			realtype = sol.else_instances[solindex % sol.else_instances.length].type;
		else if (familytype.instances.length)
			realtype = familytype.instances[solindex % familytype.instances.length].type;
		else
			return 0;
		return this.index + realtype.family_var_map[familytype.family_index];
	};
	Parameter.prototype.get_eventvar = function ()
	{
		return this.eventvar;
	};
	Parameter.prototype.get_audiofile = function ()
	{
		return this.fileinfo;
	};
	Parameter.prototype.get_variadic = function ()
	{
		var i, len;
		for (i = 0, len = this.subparams.length; i < len; i++)
		{
			this.variadicret[i] = this.subparams[i].get();
		}
		return this.variadicret;
	};
	cr.parameter = Parameter;
	function EventVariable(sheet, parent, m)
	{
		this.sheet = sheet;
		this.parent = parent;
		this.runtime = sheet.runtime;
		this.solModifiers = [];
		this.name = m[1];
		this.vartype = m[2];
		this.initial = m[3];
		this.is_static = !!m[4];
		this.is_constant = !!m[5];
		this.sid = m[6];
		this.runtime.varsBySid[this.sid.toString()] = this;
		this.data = this.initial;	// note: also stored in event stack frame for local nonstatic nonconst vars
		if (this.parent)			// local var
		{
			if (this.is_static || this.is_constant)
				this.localIndex = -1;
			else
				this.localIndex = this.runtime.stackLocalCount++;
			this.runtime.all_local_vars.push(this);
		}
		else						// global var
		{
			this.localIndex = -1;
			this.runtime.all_global_vars.push(this);
		}
	};
	EventVariable.prototype.postInit = function ()
	{
		this.solModifiers = findMatchingSolModifier(this.solModifiers);
	};
	EventVariable.prototype.setValue = function (x)
	{
;
		var lvs = this.runtime.getCurrentLocalVarStack();
		if (!this.parent || this.is_static || !lvs)
			this.data = x;
		else	// local nonstatic variable: use event stack to keep value at this level of recursion
		{
			if (this.localIndex >= lvs.length)
				lvs.length = this.localIndex + 1;
			lvs[this.localIndex] = x;
		}
	};
	EventVariable.prototype.getValue = function ()
	{
		var lvs = this.runtime.getCurrentLocalVarStack();
		if (!this.parent || this.is_static || !lvs || this.is_constant)
			return this.data;
		else	// local nonstatic variable
		{
			if (this.localIndex >= lvs.length)
			{
;
				return this.initial;
			}
			if (typeof lvs[this.localIndex] === "undefined")
			{
;
				return this.initial;
			}
			return lvs[this.localIndex];
		}
	};
	EventVariable.prototype.run = function ()
	{
			if (this.parent && !this.is_static && !this.is_constant)
				this.setValue(this.initial);
	};
	cr.eventvariable = EventVariable;
	function EventInclude(sheet, parent, m)
	{
		this.sheet = sheet;
		this.parent = parent;
		this.runtime = sheet.runtime;
		this.solModifiers = [];
		this.include_sheet = null;		// determined in postInit
		this.include_sheet_name = m[1];
		this.active = true;
	};
	EventInclude.prototype.toString = function ()
	{
		return "include:" + this.include_sheet.toString();
	};
	EventInclude.prototype.postInit = function ()
	{
        this.include_sheet = this.runtime.eventsheets[this.include_sheet_name];
;
;
        this.sheet.includes.add(this);
		this.solModifiers = findMatchingSolModifier(this.solModifiers);
		var p = this.parent;
		while (p)
		{
			if (p.group)
				p.contained_includes.push(this);
			p = p.parent;
		}
		this.updateActive();
	};
	EventInclude.prototype.run = function ()
	{
			if (this.parent)
				this.runtime.pushCleanSol(this.runtime.types_by_index);
        if (!this.include_sheet.hasRun)
            this.include_sheet.run(true);			// from include
			if (this.parent)
				this.runtime.popSol(this.runtime.types_by_index);
	};
	EventInclude.prototype.updateActive = function ()
	{
		var p = this.parent;
		while (p)
		{
			if (p.group && !p.group_active)
			{
				this.active = false;
				return;
			}
			p = p.parent;
		}
		this.active = true;
	};
	EventInclude.prototype.isActive = function ()
	{
		return this.active;
	};
	cr.eventinclude = EventInclude;
	function EventStackFrame()
	{
		this.temp_parents_arr = [];
		this.reset(null);
		cr.seal(this);
	};
	EventStackFrame.prototype.reset = function (cur_event)
	{
		this.current_event = cur_event;
		this.cndindex = 0;
		this.actindex = 0;
		this.temp_parents_arr.length = 0;
		this.last_event_true = false;
		this.else_branch_ran = false;
		this.any_true_state = false;
	};
	EventStackFrame.prototype.isModifierAfterCnds = function ()
	{
		if (this.current_event.solWriterAfterCnds)
			return true;
		if (this.cndindex < this.current_event.conditions.length - 1)
			return !!this.current_event.solModifiers.length;
		return false;
	};
	cr.eventStackFrame = EventStackFrame;
}());
(function()
{
	function ExpNode(owner_, m)
	{
		this.owner = owner_;
		this.runtime = owner_.runtime;
		this.type = m[0];
;
		this.get = [this.eval_int,
					this.eval_float,
					this.eval_string,
					this.eval_unaryminus,
					this.eval_add,
					this.eval_subtract,
					this.eval_multiply,
					this.eval_divide,
					this.eval_mod,
					this.eval_power,
					this.eval_and,
					this.eval_or,
					this.eval_equal,
					this.eval_notequal,
					this.eval_less,
					this.eval_lessequal,
					this.eval_greater,
					this.eval_greaterequal,
					this.eval_conditional,
					this.eval_system_exp,
					this.eval_object_behavior_exp,
					this.eval_instvar_exp,
					this.eval_object_behavior_exp,
					this.eval_eventvar_exp][this.type];
		var paramsModel = null;
		this.value = null;
		this.first = null;
		this.second = null;
		this.third = null;
		this.func = null;
		this.results = null;
		this.parameters = null;
		this.object_type = null;
		this.beh_index = -1;
		this.instance_expr = null;
		this.varindex = -1;
		this.behavior_type = null;
		this.varname = null;
		this.eventvar = null;
		this.return_string = false;
		switch (this.type) {
		case 0:		// int
		case 1:		// float
		case 2:		// string
			this.value = m[1];
			break;
		case 3:		// unaryminus
			this.first = new cr.expNode(owner_, m[1]);
			break;
		case 18:	// conditional
			this.first = new cr.expNode(owner_, m[1]);
			this.second = new cr.expNode(owner_, m[2]);
			this.third = new cr.expNode(owner_, m[3]);
			break;
		case 19:	// system_exp
			this.func = m[1];
;
			if (this.func === cr.system_object.prototype.exps.random
			 || this.func === cr.system_object.prototype.exps.choose)
			{
				this.owner.setVaries();
			}
			this.results = [];
			this.parameters = [];
			if (m.length === 3)
			{
				paramsModel = m[2];
				this.results.length = paramsModel.length + 1;	// must also fit 'ret'
			}
			else
				this.results.length = 1;      // to fit 'ret'
			break;
		case 20:	// object_exp
			this.object_type = this.runtime.types_by_index[m[1]];
;
			this.beh_index = -1;
			this.func = m[2];
			this.return_string = m[3];
			if (cr.plugins_.Function && this.func === cr.plugins_.Function.prototype.exps.Call)
			{
				this.owner.setVaries();
			}
			if (m[4])
				this.instance_expr = new cr.expNode(owner_, m[4]);
			else
				this.instance_expr = null;
			this.results = [];
			this.parameters = [];
			if (m.length === 6)
			{
				paramsModel = m[5];
				this.results.length = paramsModel.length + 1;
			}
			else
				this.results.length = 1;	// to fit 'ret'
			break;
		case 21:		// instvar_exp
			this.object_type = this.runtime.types_by_index[m[1]];
;
			this.return_string = m[2];
			if (m[3])
				this.instance_expr = new cr.expNode(owner_, m[3]);
			else
				this.instance_expr = null;
			this.varindex = m[4];
			break;
		case 22:		// behavior_exp
			this.object_type = this.runtime.types_by_index[m[1]];
;
			this.behavior_type = this.object_type.getBehaviorByName(m[2]);
;
			this.beh_index = this.object_type.getBehaviorIndexByName(m[2]);
			this.func = m[3];
			this.return_string = m[4];
			if (m[5])
				this.instance_expr = new cr.expNode(owner_, m[5]);
			else
				this.instance_expr = null;
			this.results = [];
			this.parameters = [];
			if (m.length === 7)
			{
				paramsModel = m[6];
				this.results.length = paramsModel.length + 1;
			}
			else
				this.results.length = 1;	// to fit 'ret'
			break;
		case 23:		// eventvar_exp
			this.varname = m[1];
			this.eventvar = null;	// assigned in postInit
			break;
		}
		this.owner.maybeVaryForType(this.object_type);
		if (this.type >= 4 && this.type <= 17)
		{
			this.first = new cr.expNode(owner_, m[1]);
			this.second = new cr.expNode(owner_, m[2]);
		}
		if (paramsModel)
		{
			var i, len;
			for (i = 0, len = paramsModel.length; i < len; i++)
				this.parameters.push(new cr.expNode(owner_, paramsModel[i]));
		}
		cr.seal(this);
	};
	ExpNode.prototype.postInit = function ()
	{
		if (this.type === 23)	// eventvar_exp
		{
			this.eventvar = this.owner.runtime.getEventVariableByName(this.varname, this.owner.block.parent);
;
		}
		if (this.first)
			this.first.postInit();
		if (this.second)
			this.second.postInit();
		if (this.third)
			this.third.postInit();
		if (this.instance_expr)
			this.instance_expr.postInit();
		if (this.parameters)
		{
			var i, len;
			for (i = 0, len = this.parameters.length; i < len; i++)
				this.parameters[i].postInit();
		}
	};
	ExpNode.prototype.eval_system_exp = function (ret)
	{
		this.results[0] = ret;
		var temp = this.owner.pushTempValue();
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++)
		{
			this.parameters[i].get(temp);
			this.results[i + 1] = temp.data;   // passing actual javascript value as argument instead of expvalue
		}
		this.owner.popTempValue();
		this.func.apply(this.runtime.system, this.results);
	};
	ExpNode.prototype.eval_object_behavior_exp = function (ret)
	{
		var sol = this.object_type.getCurrentSol();
		var instances = sol.getObjects();
		if (!instances.length)
		{
			if (sol.else_instances.length)
				instances = sol.else_instances;
			else
			{
				if (this.return_string)
					ret.set_string("");
				else
					ret.set_int(0);
				return;
			}
		}
		this.results[0] = ret;
		ret.object_class = this.object_type;		// so expression can access family type if need be
		var temp = this.owner.pushTempValue();
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++) {
			this.parameters[i].get(temp);
			this.results[i + 1] = temp.data;   // passing actual javascript value as argument instead of expvalue
		}
		var index = this.owner.solindex;
		if (this.instance_expr) {
			this.instance_expr.get(temp);
			if (temp.is_number()) {
				index = temp.data;
				instances = this.object_type.instances;    // pick from all instances, not SOL
			}
		}
		this.owner.popTempValue();
		index %= instances.length;      // wraparound
		if (index < 0)
			index += instances.length;
		var returned_val;
		var inst = instances[index];
		if (this.beh_index > -1)
		{
			var offset = 0;
			if (this.object_type.is_family)
			{
				offset = inst.type.family_beh_map[this.object_type.family_index];
			}
			returned_val = this.func.apply(inst.behavior_insts[this.beh_index + offset], this.results);
		}
		else
			returned_val = this.func.apply(inst, this.results);
;
	};
	ExpNode.prototype.eval_instvar_exp = function (ret)
	{
		var sol = this.object_type.getCurrentSol();
		var instances = sol.getObjects();
		if (!instances.length)
		{
			if (sol.else_instances.length)
				instances = sol.else_instances;
			else
			{
				if (this.return_string)
					ret.set_string("");
				else
					ret.set_int(0);
				return;
			}
		}
		var index = this.owner.solindex;
		if (this.instance_expr)
		{
			var temp = this.owner.pushTempValue();
			this.instance_expr.get(temp);
			if (temp.is_number())
			{
				index = temp.data;
				var type_instances = this.object_type.instances;
				index %= type_instances.length;     // wraparound
				if (index < 0)                      // offset
					index += type_instances.length;
				var to_ret = type_instances[index].instance_vars[this.varindex];
				if (cr.is_string(to_ret))
					ret.set_string(to_ret);
				else
					ret.set_float(to_ret);
				this.owner.popTempValue();
				return;         // done
			}
			this.owner.popTempValue();
		}
		index %= instances.length;      // wraparound
		if (index < 0)
			index += instances.length;
		var inst = instances[index];
		var offset = 0;
		if (this.object_type.is_family)
		{
			offset = inst.type.family_var_map[this.object_type.family_index];
		}
		var to_ret = inst.instance_vars[this.varindex + offset];
		if (cr.is_string(to_ret))
			ret.set_string(to_ret);
		else
			ret.set_float(to_ret);
	};
	ExpNode.prototype.eval_int = function (ret)
	{
		ret.type = cr.exptype.Integer;
		ret.data = this.value;
	};
	ExpNode.prototype.eval_float = function (ret)
	{
		ret.type = cr.exptype.Float;
		ret.data = this.value;
	};
	ExpNode.prototype.eval_string = function (ret)
	{
		ret.type = cr.exptype.String;
		ret.data = this.value;
	};
	ExpNode.prototype.eval_unaryminus = function (ret)
	{
		this.first.get(ret);                // retrieve operand
		if (ret.is_number())
			ret.data = -ret.data;
	};
	ExpNode.prototype.eval_add = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data += temp.data;          // both operands numbers: add
			if (temp.is_float())
				ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_subtract = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data -= temp.data;          // both operands numbers: subtract
			if (temp.is_float())
				ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_multiply = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data *= temp.data;          // both operands numbers: multiply
			if (temp.is_float())
				ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_divide = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data /= temp.data;          // both operands numbers: divide
			ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_mod = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data %= temp.data;          // both operands numbers: modulo
			if (temp.is_float())
				ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_power = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data = Math.pow(ret.data, temp.data);   // both operands numbers: raise to power
			if (temp.is_float())
				ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_and = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number())
		{
			if (temp.is_string())
			{
				ret.set_string(ret.data.toString() + temp.data);
			}
			else
			{
				if (ret.data && temp.data)
					ret.set_int(1);
				else
					ret.set_int(0);
			}
		}
		else if (ret.is_string())
		{
			if (temp.is_string())
				ret.data += temp.data;
			else
			{
				ret.data += (Math.round(temp.data * 1e10) / 1e10).toString();
			}
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_or = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			if (ret.data || temp.data)
				ret.set_int(1);
			else
				ret.set_int(0);
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_conditional = function (ret)
	{
		this.first.get(ret);                // condition operand
		if (ret.data)                       // is true
			this.second.get(ret);           // evaluate second operand to ret
		else
			this.third.get(ret);            // evaluate third operand to ret
	};
	ExpNode.prototype.eval_equal = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data === temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_notequal = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data !== temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_less = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data < temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_lessequal = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data <= temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_greater = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data > temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_greaterequal = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data >= temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_eventvar_exp = function (ret)
	{
		var val = this.eventvar.getValue();
		if (cr.is_number(val))
			ret.set_float(val);
		else
			ret.set_string(val);
	};
	cr.expNode = ExpNode;
	function ExpValue(type, data)
	{
		this.type = type || cr.exptype.Integer;
		this.data = data || 0;
		this.object_class = null;
;
;
;
		if (this.type == cr.exptype.Integer)
			this.data = Math.floor(this.data);
		cr.seal(this);
	};
	ExpValue.prototype.is_int = function ()
	{
		return this.type === cr.exptype.Integer;
	};
	ExpValue.prototype.is_float = function ()
	{
		return this.type === cr.exptype.Float;
	};
	ExpValue.prototype.is_number = function ()
	{
		return this.type === cr.exptype.Integer || this.type === cr.exptype.Float;
	};
	ExpValue.prototype.is_string = function ()
	{
		return this.type === cr.exptype.String;
	};
	ExpValue.prototype.make_int = function ()
	{
		if (!this.is_int())
		{
			if (this.is_float())
				this.data = Math.floor(this.data);      // truncate float
			else if (this.is_string())
				this.data = parseInt(this.data, 10);
			this.type = cr.exptype.Integer;
		}
	};
	ExpValue.prototype.make_float = function ()
	{
		if (!this.is_float())
		{
			if (this.is_string())
				this.data = parseFloat(this.data);
			this.type = cr.exptype.Float;
		}
	};
	ExpValue.prototype.make_string = function ()
	{
		if (!this.is_string())
		{
			this.data = this.data.toString();
			this.type = cr.exptype.String;
		}
	};
	ExpValue.prototype.set_int = function (val)
	{
;
		this.type = cr.exptype.Integer;
		this.data = Math.floor(val);
	};
	ExpValue.prototype.set_float = function (val)
	{
;
		this.type = cr.exptype.Float;
		this.data = val;
	};
	ExpValue.prototype.set_string = function (val)
	{
;
		this.type = cr.exptype.String;
		this.data = val;
	};
	ExpValue.prototype.set_any = function (val)
	{
		if (cr.is_number(val))
		{
			this.type = cr.exptype.Float;
			this.data = val;
		}
		else if (cr.is_string(val))
		{
			this.type = cr.exptype.String;
			this.data = val.toString();
		}
		else
		{
			this.type = cr.exptype.Integer;
			this.data = 0;
		}
	};
	cr.expvalue = ExpValue;
	cr.exptype = {
		Integer: 0,     // emulated; no native integer support in javascript
		Float: 1,
		String: 2
	};
}());
;
cr.system_object = function (runtime)
{
    this.runtime = runtime;
	this.waits = [];
};
cr.system_object.prototype.saveToJSON = function ()
{
	var o = {};
	var i, len, j, lenj, p, w, t, sobj;
	o["waits"] = [];
	var owaits = o["waits"];
	var waitobj;
	for (i = 0, len = this.waits.length; i < len; i++)
	{
		w = this.waits[i];
		waitobj = {
			"t": w.time,
			"st": w.signaltag,
			"s": w.signalled,
			"ev": w.ev.sid,
			"sm": [],
			"sols": {}
		};
		if (w.ev.actions[w.actindex])
			waitobj["act"] = w.ev.actions[w.actindex].sid;
		for (j = 0, lenj = w.solModifiers.length; j < lenj; j++)
			waitobj["sm"].push(w.solModifiers[j].sid);
		for (p in w.sols)
		{
			if (w.sols.hasOwnProperty(p))
			{
				t = this.runtime.types_by_index[parseInt(p, 10)];
;
				sobj = {
					"sa": w.sols[p].sa,
					"insts": []
				};
				for (j = 0, lenj = w.sols[p].insts.length; j < lenj; j++)
					sobj["insts"].push(w.sols[p].insts[j].uid);
				waitobj["sols"][t.sid.toString()] = sobj;
			}
		}
		owaits.push(waitobj);
	}
	return o;
};
cr.system_object.prototype.loadFromJSON = function (o)
{
	var owaits = o["waits"];
	var i, len, j, lenj, p, w, addWait, e, aindex, t, savedsol, nusol, inst;
	this.waits.length = 0;
	for (i = 0, len = owaits.length; i < len; i++)
	{
		w = owaits[i];
		e = this.runtime.blocksBySid[w["ev"].toString()];
		if (!e)
			continue;	// event must've gone missing
		aindex = -1;
		for (j = 0, lenj = e.actions.length; j < lenj; j++)
		{
			if (e.actions[j].sid === w["act"])
			{
				aindex = j;
				break;
			}
		}
		if (aindex === -1)
			continue;	// action must've gone missing
		addWait = {};
		addWait.sols = {};
		addWait.solModifiers = [];
		addWait.deleteme = false;
		addWait.time = w["t"];
		addWait.signaltag = w["st"] || "";
		addWait.signalled = !!w["s"];
		addWait.ev = e;
		addWait.actindex = aindex;
		for (j = 0, lenj = w["sm"].length; j < lenj; j++)
		{
			t = this.runtime.getObjectTypeBySid(w["sm"][j]);
			if (t)
				addWait.solModifiers.push(t);
		}
		for (p in w["sols"])
		{
			if (w["sols"].hasOwnProperty(p))
			{
				t = this.runtime.getObjectTypeBySid(parseInt(p, 10));
				if (!t)
					continue;		// type must've been deleted
				savedsol = w["sols"][p];
				nusol = {
					sa: savedsol["sa"],
					insts: []
				};
				for (j = 0, lenj = savedsol["insts"].length; j < lenj; j++)
				{
					inst = this.runtime.getObjectByUID(savedsol["insts"][j]);
					if (inst)
						nusol.insts.push(inst);
				}
				addWait.sols[t.index.toString()] = nusol;
			}
		}
		this.waits.push(addWait);
	}
};
(function ()
{
	var sysProto = cr.system_object.prototype;
	function SysCnds() {};
    SysCnds.prototype.EveryTick = function()
    {
        return true;
    };
    SysCnds.prototype.OnLayoutStart = function()
    {
        return true;
    };
    SysCnds.prototype.OnLayoutEnd = function()
    {
        return true;
    };
    SysCnds.prototype.Compare = function(x, cmp, y)
    {
        return cr.do_cmp(x, cmp, y);
    };
    SysCnds.prototype.CompareTime = function (cmp, t)
    {
        var elapsed = this.runtime.kahanTime.sum;
        if (cmp === 0)
        {
            var cnd = this.runtime.getCurrentCondition();
            if (!cnd.extra["CompareTime_executed"])
            {
                if (elapsed >= t)
                {
                    cnd.extra["CompareTime_executed"] = true;
                    return true;
                }
            }
            return false;
        }
        return cr.do_cmp(elapsed, cmp, t);
    };
    SysCnds.prototype.LayerVisible = function (layer)
    {
        if (!layer)
            return false;
        else
            return layer.visible;
    };
	SysCnds.prototype.LayerCmpOpacity = function (layer, cmp, opacity_)
	{
		if (!layer)
			return false;
		return cr.do_cmp(layer.opacity * 100, cmp, opacity_);
	};
    SysCnds.prototype.Repeat = function (count)
    {
		var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var solModifierAfterCnds = current_frame.isModifierAfterCnds();
        var current_loop = this.runtime.pushLoopStack();
        var i;
		if (solModifierAfterCnds)
		{
			for (i = 0; i < count && !current_loop.stopped; i++)
			{
				this.runtime.pushCopySol(current_event.solModifiers);
				current_loop.index = i;
				current_event.retrigger();
				this.runtime.popSol(current_event.solModifiers);
			}
		}
		else
		{
			for (i = 0; i < count && !current_loop.stopped; i++)
			{
				current_loop.index = i;
				current_event.retrigger();
			}
		}
        this.runtime.popLoopStack();
		return false;
    };
	SysCnds.prototype.While = function (count)
    {
		var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var solModifierAfterCnds = current_frame.isModifierAfterCnds();
        var current_loop = this.runtime.pushLoopStack();
        var i;
		if (solModifierAfterCnds)
		{
			for (i = 0; !current_loop.stopped; i++)
			{
				this.runtime.pushCopySol(current_event.solModifiers);
				current_loop.index = i;
				if (!current_event.retrigger())		// one of the other conditions returned false
					current_loop.stopped = true;	// break
				this.runtime.popSol(current_event.solModifiers);
			}
		}
		else
		{
			for (i = 0; !current_loop.stopped; i++)
			{
				current_loop.index = i;
				if (!current_event.retrigger())
					current_loop.stopped = true;
			}
		}
        this.runtime.popLoopStack();
		return false;
    };
    SysCnds.prototype.For = function (name, start, end)
    {
        var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var solModifierAfterCnds = current_frame.isModifierAfterCnds();
        var current_loop = this.runtime.pushLoopStack(name);
        var i;
		if (end < start)
		{
			if (solModifierAfterCnds)
			{
				for (i = start; i >= end && !current_loop.stopped; --i)  // inclusive to end
				{
					this.runtime.pushCopySol(current_event.solModifiers);
					current_loop.index = i;
					current_event.retrigger();
					this.runtime.popSol(current_event.solModifiers);
				}
			}
			else
			{
				for (i = start; i >= end && !current_loop.stopped; --i)  // inclusive to end
				{
					current_loop.index = i;
					current_event.retrigger();
				}
			}
		}
		else
		{
			if (solModifierAfterCnds)
			{
				for (i = start; i <= end && !current_loop.stopped; ++i)  // inclusive to end
				{
					this.runtime.pushCopySol(current_event.solModifiers);
					current_loop.index = i;
					current_event.retrigger();
					this.runtime.popSol(current_event.solModifiers);
				}
			}
			else
			{
				for (i = start; i <= end && !current_loop.stopped; ++i)  // inclusive to end
				{
					current_loop.index = i;
					current_event.retrigger();
				}
			}
		}
        this.runtime.popLoopStack();
		return false;
    };
	var foreach_instancestack = [];
	var foreach_instanceptr = -1;
    SysCnds.prototype.ForEach = function (obj)
    {
        var sol = obj.getCurrentSol();
		foreach_instanceptr++;
		if (foreach_instancestack.length === foreach_instanceptr)
			foreach_instancestack.push([]);
		var instances = foreach_instancestack[foreach_instanceptr];
		cr.shallowAssignArray(instances, sol.getObjects());
        var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var solModifierAfterCnds = current_frame.isModifierAfterCnds();
        var current_loop = this.runtime.pushLoopStack();
        var i, len, j, lenj, inst, s, sol2;
		var is_contained = obj.is_contained;
		if (solModifierAfterCnds)
		{
			for (i = 0, len = instances.length; i < len && !current_loop.stopped; i++)
			{
				this.runtime.pushCopySol(current_event.solModifiers);
				inst = instances[i];
				sol = obj.getCurrentSol();
				sol.select_all = false;
				sol.instances.length = 1;
				sol.instances[0] = inst;
				if (is_contained)
				{
					for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
					{
						s = inst.siblings[j];
						sol2 = s.type.getCurrentSol();
						sol2.select_all = false;
						sol2.instances.length = 1;
						sol2.instances[0] = s;
					}
				}
				current_loop.index = i;
				current_event.retrigger();
				this.runtime.popSol(current_event.solModifiers);
			}
		}
		else
		{
			sol.select_all = false;
			sol.instances.length = 1;
			for (i = 0, len = instances.length; i < len && !current_loop.stopped; i++)
			{
				inst = instances[i];
				sol.instances[0] = inst;
				if (is_contained)
				{
					for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
					{
						s = inst.siblings[j];
						sol2 = s.type.getCurrentSol();
						sol2.select_all = false;
						sol2.instances.length = 1;
						sol2.instances[0] = s;
					}
				}
				current_loop.index = i;
				current_event.retrigger();
			}
		}
		instances.length = 0;
        this.runtime.popLoopStack();
		foreach_instanceptr--;
		return false;
    };
	function foreach_sortinstances(a, b)
	{
		var va = a.extra["c2_feo_val"];
		var vb = b.extra["c2_feo_val"];
		if (cr.is_number(va) && cr.is_number(vb))
			return va - vb;
		else
		{
			va = "" + va;
			vb = "" + vb;
			if (va < vb)
				return -1;
			else if (va > vb)
				return 1;
			else
				return 0;
		}
	};
	SysCnds.prototype.ForEachOrdered = function (obj, exp, order)
    {
        var sol = obj.getCurrentSol();
		foreach_instanceptr++;
		if (foreach_instancestack.length === foreach_instanceptr)
			foreach_instancestack.push([]);
		var instances = foreach_instancestack[foreach_instanceptr];
		cr.shallowAssignArray(instances, sol.getObjects());
        var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var current_condition = this.runtime.getCurrentCondition();
		var solModifierAfterCnds = current_frame.isModifierAfterCnds();
        var current_loop = this.runtime.pushLoopStack();
		var i, len, j, lenj, inst, s, sol2;
		for (i = 0, len = instances.length; i < len; i++)
		{
			instances[i].extra["c2_feo_val"] = current_condition.parameters[1].get(i);
		}
		instances.sort(foreach_sortinstances);
		if (order === 1)
			instances.reverse();
		var is_contained = obj.is_contained;
		if (solModifierAfterCnds)
		{
			for (i = 0, len = instances.length; i < len && !current_loop.stopped; i++)
			{
				this.runtime.pushCopySol(current_event.solModifiers);
				inst = instances[i];
				sol = obj.getCurrentSol();
				sol.select_all = false;
				sol.instances.length = 1;
				sol.instances[0] = inst;
				if (is_contained)
				{
					for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
					{
						s = inst.siblings[j];
						sol2 = s.type.getCurrentSol();
						sol2.select_all = false;
						sol2.instances.length = 1;
						sol2.instances[0] = s;
					}
				}
				current_loop.index = i;
				current_event.retrigger();
				this.runtime.popSol(current_event.solModifiers);
			}
		}
		else
		{
			sol.select_all = false;
			sol.instances.length = 1;
			for (i = 0, len = instances.length; i < len && !current_loop.stopped; i++)
			{
				inst = instances[i];
				sol.instances[0] = inst;
				if (is_contained)
				{
					for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
					{
						s = inst.siblings[j];
						sol2 = s.type.getCurrentSol();
						sol2.select_all = false;
						sol2.instances.length = 1;
						sol2.instances[0] = s;
					}
				}
				current_loop.index = i;
				current_event.retrigger();
			}
		}
		instances.length = 0;
        this.runtime.popLoopStack();
		foreach_instanceptr--;
		return false;
    };
	SysCnds.prototype.PickByComparison = function (obj_, exp_, cmp_, val_)
	{
		var i, len, k, inst;
		if (!obj_)
			return;
		foreach_instanceptr++;
		if (foreach_instancestack.length === foreach_instanceptr)
			foreach_instancestack.push([]);
		var tmp_instances = foreach_instancestack[foreach_instanceptr];
		var sol = obj_.getCurrentSol();
		cr.shallowAssignArray(tmp_instances, sol.getObjects());
		if (sol.select_all)
			sol.else_instances.length = 0;
		var current_condition = this.runtime.getCurrentCondition();
		for (i = 0, k = 0, len = tmp_instances.length; i < len; i++)
		{
			inst = tmp_instances[i];
			tmp_instances[k] = inst;
			exp_ = current_condition.parameters[1].get(i);
			val_ = current_condition.parameters[3].get(i);
			if (cr.do_cmp(exp_, cmp_, val_))
			{
				k++;
			}
			else
			{
				sol.else_instances.push(inst);
			}
		}
		tmp_instances.length = k;
		sol.select_all = false;
		cr.shallowAssignArray(sol.instances, tmp_instances);
		tmp_instances.length = 0;
		foreach_instanceptr--;
		obj_.applySolToContainer();
		return !!sol.instances.length;
	};
	SysCnds.prototype.PickByEvaluate = function (obj_, exp_)
	{
		var i, len, k, inst;
		if (!obj_)
			return;
		foreach_instanceptr++;
		if (foreach_instancestack.length === foreach_instanceptr)
			foreach_instancestack.push([]);
		var tmp_instances = foreach_instancestack[foreach_instanceptr];
		var sol = obj_.getCurrentSol();
		cr.shallowAssignArray(tmp_instances, sol.getObjects());
		if (sol.select_all)
			sol.else_instances.length = 0;
		var current_condition = this.runtime.getCurrentCondition();
		for (i = 0, k = 0, len = tmp_instances.length; i < len; i++)
		{
			inst = tmp_instances[i];
			tmp_instances[k] = inst;
			exp_ = current_condition.parameters[1].get(i);
			if (exp_)
			{
				k++;
			}
			else
			{
				sol.else_instances.push(inst);
			}
		}
		tmp_instances.length = k;
		sol.select_all = false;
		cr.shallowAssignArray(sol.instances, tmp_instances);
		tmp_instances.length = 0;
		foreach_instanceptr--;
		obj_.applySolToContainer();
		return !!sol.instances.length;
	};
    SysCnds.prototype.TriggerOnce = function ()
    {
        var cndextra = this.runtime.getCurrentCondition().extra;
		if (typeof cndextra["TriggerOnce_lastTick"] === "undefined")
			cndextra["TriggerOnce_lastTick"] = -1;
        var last_tick = cndextra["TriggerOnce_lastTick"];
        var cur_tick = this.runtime.tickcount;
        cndextra["TriggerOnce_lastTick"] = cur_tick;
        return this.runtime.layout_first_tick || last_tick !== cur_tick - 1;
    };
    SysCnds.prototype.Every = function (seconds)
    {
        var cnd = this.runtime.getCurrentCondition();
        var last_time = cnd.extra["Every_lastTime"] || 0;
        var cur_time = this.runtime.kahanTime.sum;
		if (typeof cnd.extra["Every_seconds"] === "undefined")
			cnd.extra["Every_seconds"] = seconds;
		var this_seconds = cnd.extra["Every_seconds"];
        if (cur_time >= last_time + this_seconds)
        {
            cnd.extra["Every_lastTime"] = last_time + this_seconds;
			if (cur_time >= cnd.extra["Every_lastTime"] + 0.04)
			{
				cnd.extra["Every_lastTime"] = cur_time;
			}
			cnd.extra["Every_seconds"] = seconds;
            return true;
        }
		else if (cur_time < last_time - 0.1)
		{
			cnd.extra["Every_lastTime"] = cur_time;
		}
		return false;
    };
    SysCnds.prototype.PickNth = function (obj, index)
    {
        if (!obj)
            return false;
        var sol = obj.getCurrentSol();
        var instances = sol.getObjects();
		index = cr.floor(index);
        if (index < 0 || index >= instances.length)
            return false;
		var inst = instances[index];
        sol.pick_one(inst);
		obj.applySolToContainer();
        return true;
    };
	SysCnds.prototype.PickRandom = function (obj)
    {
        if (!obj)
            return false;
        var sol = obj.getCurrentSol();
        var instances = sol.getObjects();
		var index = cr.floor(Math.random() * instances.length);
        if (index >= instances.length)
            return false;
		var inst = instances[index];
        sol.pick_one(inst);
		obj.applySolToContainer();
        return true;
    };
	SysCnds.prototype.CompareVar = function (v, cmp, val)
    {
        return cr.do_cmp(v.getValue(), cmp, val);
    };
    SysCnds.prototype.IsGroupActive = function (group)
    {
		var g = this.runtime.groups_by_name[group.toLowerCase()];
        return g && g.group_active;
    };
	SysCnds.prototype.IsPreview = function ()
	{
		return typeof cr_is_preview !== "undefined";
	};
	SysCnds.prototype.PickAll = function (obj)
    {
        if (!obj)
            return false;
		if (!obj.instances.length)
			return false;
        var sol = obj.getCurrentSol();
        sol.select_all = true;
		obj.applySolToContainer();
        return true;
    };
	SysCnds.prototype.IsMobile = function ()
	{
		return this.runtime.isMobile;
	};
	SysCnds.prototype.CompareBetween = function (x, a, b)
	{
		return x >= a && x <= b;
	};
	SysCnds.prototype.Else = function ()
	{
		var current_frame = this.runtime.getCurrentEventStack();
		if (current_frame.else_branch_ran)
			return false;		// another event in this else-if chain has run
		else
			return !current_frame.last_event_true;
		/*
		var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var prev_event = current_event.prev_block;
		if (!prev_event)
			return false;
		if (prev_event.is_logical)
			return !this.runtime.last_event_true;
		var i, len, j, lenj, s, sol, temp, inst, any_picked = false;
		for (i = 0, len = prev_event.cndReferences.length; i < len; i++)
		{
			s = prev_event.cndReferences[i];
			sol = s.getCurrentSol();
			if (sol.select_all || sol.instances.length === s.instances.length)
			{
				sol.select_all = false;
				sol.instances.length = 0;
			}
			else
			{
				if (sol.instances.length === 1 && sol.else_instances.length === 0 && s.instances.length >= 2)
				{
					inst = sol.instances[0];
					sol.instances.length = 0;
					for (j = 0, lenj = s.instances.length; j < lenj; j++)
					{
						if (s.instances[j] != inst)
							sol.instances.push(s.instances[j]);
					}
					any_picked = true;
				}
				else
				{
					temp = sol.instances;
					sol.instances = sol.else_instances;
					sol.else_instances = temp;
					any_picked = true;
				}
			}
		}
		return any_picked;
		*/
	};
	SysCnds.prototype.OnLoadFinished = function ()
	{
		return true;
	};
	SysCnds.prototype.OnCanvasSnapshot = function ()
	{
		return true;
	};
	SysCnds.prototype.EffectsSupported = function ()
	{
		return !!this.runtime.glwrap;
	};
	SysCnds.prototype.OnSaveComplete = function ()
	{
		return true;
	};
	SysCnds.prototype.OnLoadComplete = function ()
	{
		return true;
	};
	SysCnds.prototype.OnLoadFailed = function ()
	{
		return true;
	};
	SysCnds.prototype.ObjectUIDExists = function (u)
	{
		return !!this.runtime.getObjectByUID(u);
	};
	SysCnds.prototype.IsOnPlatform = function (p)
	{
		var rt = this.runtime;
		switch (p) {
		case 0:		// HTML5 website
			return !rt.isDomFree && !rt.isNodeWebkit && !rt.isPhoneGap && !rt.isCrosswalk && !rt.isWinJS && !rt.isWindowsPhone8 && !rt.isBlackberry10 && !rt.isAmazonWebApp;
		case 1:		// iOS
			return rt.isiOS;
		case 2:		// Android
			return rt.isAndroid;
		case 3:		// Windows 8
			return rt.isWindows8App;
		case 4:		// Windows Phone 8
			return rt.isWindowsPhone8;
		case 5:		// Blackberry 10
			return rt.isBlackberry10;
		case 6:		// Tizen
			return rt.isTizen;
		case 7:		// CocoonJS
			return rt.isCocoonJs;
		case 8:		// PhoneGap
			return rt.isPhoneGap;
		case 9:	// Scirra Arcade
			return rt.isArcade;
		case 10:	// node-webkit
			return rt.isNodeWebkit;
		case 11:	// crosswalk
			return rt.isCrosswalk;
		case 12:	// amazon webapp
			return rt.isAmazonWebApp;
		default:	// should not be possible
			return false;
		}
	};
	var cacheRegex = null;
	var lastRegex = "";
	var lastFlags = "";
	function getRegex(regex_, flags_)
	{
		if (!cacheRegex || regex_ !== lastRegex || flags_ !== lastFlags)
		{
			cacheRegex = new RegExp(regex_, flags_);
			lastRegex = regex_;
			lastFlags = flags_;
		}
		cacheRegex.lastIndex = 0;		// reset
		return cacheRegex;
	};
	SysCnds.prototype.RegexTest = function (str_, regex_, flags_)
	{
		var regex = getRegex(regex_, flags_);
		return regex.test(str_);
	};
	var tmp_arr = [];
	SysCnds.prototype.PickOverlappingPoint = function (obj_, x_, y_)
	{
		if (!obj_)
            return false;
        var sol = obj_.getCurrentSol();
        var instances = sol.getObjects();
		var current_event = this.runtime.getCurrentEventStack().current_event;
		var orblock = current_event.orblock;
		var cnd = this.runtime.getCurrentCondition();
		var i, len, inst, pick;
		if (sol.select_all)
		{
			cr.shallowAssignArray(tmp_arr, instances);
			sol.else_instances.length = 0;
			sol.select_all = false;
			sol.instances.length = 0;
		}
		else
		{
			if (orblock)
			{
				cr.shallowAssignArray(tmp_arr, sol.else_instances);
				sol.else_instances.length = 0;
			}
			else
			{
				cr.shallowAssignArray(tmp_arr, instances);
				sol.instances.length = 0;
			}
		}
		for (i = 0, len = tmp_arr.length; i < len; ++i)
		{
			inst = tmp_arr[i];
			inst.update_bbox();
			pick = cr.xor(inst.contains_pt(x_, y_), cnd.inverted);
			if (pick)
				sol.instances.push(inst);
			else
				sol.else_instances.push(inst);
		}
		obj_.applySolToContainer();
		return cr.xor(!!sol.instances.length, cnd.inverted);
	};
	sysProto.cnds = new SysCnds();
    function SysActs() {};
    SysActs.prototype.GoToLayout = function (to)
    {
		if (this.runtime.isloading)
			return;		// cannot change layout while loading on loader layout
		if (this.runtime.changelayout)
			return;		// already changing to a different layout
;
        this.runtime.changelayout = to;
    };
	SysActs.prototype.NextPrevLayout = function (prev)
    {
		if (this.runtime.isloading)
			return;		// cannot change layout while loading on loader layout
		if (this.runtime.changelayout)
			return;		// already changing to a different layout
		var index = this.runtime.layouts_by_index.indexOf(this.runtime.running_layout);
		if (prev && index === 0)
			return;		// cannot go to previous layout from first layout
		if (!prev && index === this.runtime.layouts_by_index.length - 1)
			return;		// cannot go to next layout from last layout
		var to = this.runtime.layouts_by_index[index + (prev ? -1 : 1)];
;
        this.runtime.changelayout = to;
    };
    SysActs.prototype.CreateObject = function (obj, layer, x, y)
    {
        if (!layer || !obj)
            return;
        var inst = this.runtime.createInstance(obj, layer, x, y);
		if (!inst)
			return;
		this.runtime.isInOnDestroy++;
		var i, len, s;
		this.runtime.trigger(Object.getPrototypeOf(obj.plugin).cnds.OnCreated, inst);
		if (inst.is_contained)
		{
			for (i = 0, len = inst.siblings.length; i < len; i++)
			{
				s = inst.siblings[i];
				this.runtime.trigger(Object.getPrototypeOf(s.type.plugin).cnds.OnCreated, s);
			}
		}
		this.runtime.isInOnDestroy--;
        var sol = obj.getCurrentSol();
        sol.select_all = false;
		sol.instances.length = 1;
		sol.instances[0] = inst;
		if (inst.is_contained)
		{
			for (i = 0, len = inst.siblings.length; i < len; i++)
			{
				s = inst.siblings[i];
				sol = s.type.getCurrentSol();
				sol.select_all = false;
				sol.instances.length = 1;
				sol.instances[0] = s;
			}
		}
    };
    SysActs.prototype.SetLayerVisible = function (layer, visible_)
    {
        if (!layer)
            return;
		if (layer.visible !== visible_)
		{
			layer.visible = visible_;
			this.runtime.redraw = true;
		}
    };
	SysActs.prototype.SetLayerOpacity = function (layer, opacity_)
	{
		if (!layer)
			return;
		opacity_ = cr.clamp(opacity_ / 100, 0, 1);
		if (layer.opacity !== opacity_)
		{
			layer.opacity = opacity_;
			this.runtime.redraw = true;
		}
	};
	SysActs.prototype.SetLayerScaleRate = function (layer, sr)
	{
		if (!layer)
			return;
		if (layer.zoomRate !== sr)
		{
			layer.zoomRate = sr;
			this.runtime.redraw = true;
		}
	};
	SysActs.prototype.SetLayoutScale = function (s)
	{
		if (!this.runtime.running_layout)
			return;
		if (this.runtime.running_layout.scale !== s)
		{
			this.runtime.running_layout.scale = s;
			this.runtime.running_layout.boundScrolling();
			this.runtime.redraw = true;
		}
	};
    SysActs.prototype.ScrollX = function(x)
    {
        this.runtime.running_layout.scrollToX(x);
    };
    SysActs.prototype.ScrollY = function(y)
    {
        this.runtime.running_layout.scrollToY(y);
    };
    SysActs.prototype.Scroll = function(x, y)
    {
        this.runtime.running_layout.scrollToX(x);
        this.runtime.running_layout.scrollToY(y);
    };
    SysActs.prototype.ScrollToObject = function(obj)
    {
        var inst = obj.getFirstPicked();
        if (inst)
        {
            this.runtime.running_layout.scrollToX(inst.x);
            this.runtime.running_layout.scrollToY(inst.y);
        }
    };
	SysActs.prototype.SetVar = function(v, x)
	{
;
		if (v.vartype === 0)
		{
			if (cr.is_number(x))
				v.setValue(x);
			else
				v.setValue(parseFloat(x));
		}
		else if (v.vartype === 1)
			v.setValue(x.toString());
	};
	SysActs.prototype.AddVar = function(v, x)
	{
;
		if (v.vartype === 0)
		{
			if (cr.is_number(x))
				v.setValue(v.getValue() + x);
			else
				v.setValue(v.getValue() + parseFloat(x));
		}
		else if (v.vartype === 1)
			v.setValue(v.getValue() + x.toString());
	};
	SysActs.prototype.SubVar = function(v, x)
	{
;
		if (v.vartype === 0)
		{
			if (cr.is_number(x))
				v.setValue(v.getValue() - x);
			else
				v.setValue(v.getValue() - parseFloat(x));
		}
	};
    SysActs.prototype.SetGroupActive = function (group, active)
    {
		var g = this.runtime.groups_by_name[group.toLowerCase()];
		if (!g)
			return;
		switch (active) {
		case 0:
			g.setGroupActive(false);
			break;
		case 1:
			g.setGroupActive(true);
			break;
		case 2:
			g.setGroupActive(!g.group_active);
			break;
		}
    };
    SysActs.prototype.SetTimescale = function (ts_)
    {
        var ts = ts_;
        if (ts < 0)
            ts = 0;
        this.runtime.timescale = ts;
    };
    SysActs.prototype.SetObjectTimescale = function (obj, ts_)
    {
        var ts = ts_;
        if (ts < 0)
            ts = 0;
        if (!obj)
            return;
        var sol = obj.getCurrentSol();
        var instances = sol.getObjects();
        var i, len;
        for (i = 0, len = instances.length; i < len; i++)
        {
            instances[i].my_timescale = ts;
        }
    };
    SysActs.prototype.RestoreObjectTimescale = function (obj)
    {
        if (!obj)
            return false;
        var sol = obj.getCurrentSol();
        var instances = sol.getObjects();
        var i, len;
        for (i = 0, len = instances.length; i < len; i++)
        {
            instances[i].my_timescale = -1.0;
        }
    };
	var waitobjrecycle = [];
	function allocWaitObject()
	{
		var w;
		if (waitobjrecycle.length)
			w = waitobjrecycle.pop();
		else
		{
			w = {};
			w.sols = {};
			w.solModifiers = [];
		}
		w.deleteme = false;
		return w;
	};
	function freeWaitObject(w)
	{
		cr.wipe(w.sols);
		w.solModifiers.length = 0;
		waitobjrecycle.push(w);
	};
	var solstateobjects = [];
	function allocSolStateObject()
	{
		var s;
		if (solstateobjects.length)
			s = solstateobjects.pop();
		else
		{
			s = {};
			s.insts = [];
		}
		s.sa = false;
		return s;
	};
	function freeSolStateObject(s)
	{
		s.insts.length = 0;
		solstateobjects.push(s);
	};
	SysActs.prototype.Wait = function (seconds)
	{
		if (seconds < 0)
			return;
		var i, len, s, t, ss;
		var evinfo = this.runtime.getCurrentEventStack();
		var waitobj = allocWaitObject();
		waitobj.time = this.runtime.kahanTime.sum + seconds;
		waitobj.signaltag = "";
		waitobj.signalled = false;
		waitobj.ev = evinfo.current_event;
		waitobj.actindex = evinfo.actindex + 1;	// pointing at next action
		for (i = 0, len = this.runtime.types_by_index.length; i < len; i++)
		{
			t = this.runtime.types_by_index[i];
			s = t.getCurrentSol();
			if (s.select_all && evinfo.current_event.solModifiers.indexOf(t) === -1)
				continue;
			waitobj.solModifiers.push(t);
			ss = allocSolStateObject();
			ss.sa = s.select_all;
			cr.shallowAssignArray(ss.insts, s.instances);
			waitobj.sols[i.toString()] = ss;
		}
		this.waits.push(waitobj);
		return true;
	};
	SysActs.prototype.WaitForSignal = function (tag)
	{
		var i, len, s, t, ss;
		var evinfo = this.runtime.getCurrentEventStack();
		var waitobj = allocWaitObject();
		waitobj.time = -1;
		waitobj.signaltag = tag.toLowerCase();
		waitobj.signalled = false;
		waitobj.ev = evinfo.current_event;
		waitobj.actindex = evinfo.actindex + 1;	// pointing at next action
		for (i = 0, len = this.runtime.types_by_index.length; i < len; i++)
		{
			t = this.runtime.types_by_index[i];
			s = t.getCurrentSol();
			if (s.select_all && evinfo.current_event.solModifiers.indexOf(t) === -1)
				continue;
			waitobj.solModifiers.push(t);
			ss = allocSolStateObject();
			ss.sa = s.select_all;
			cr.shallowAssignArray(ss.insts, s.instances);
			waitobj.sols[i.toString()] = ss;
		}
		this.waits.push(waitobj);
		return true;
	};
	SysActs.prototype.Signal = function (tag)
	{
		var lowertag = tag.toLowerCase();
		var i, len, w;
		for (i = 0, len = this.waits.length; i < len; ++i)
		{
			w = this.waits[i];
			if (w.time !== -1)
				continue;					// timer wait, ignore
			if (w.signaltag === lowertag)	// waiting for this signal
				w.signalled = true;			// will run on next check
		}
	};
	SysActs.prototype.SetLayerScale = function (layer, scale)
    {
        if (!layer)
            return;
		if (layer.scale === scale)
			return;
        layer.scale = scale;
        this.runtime.redraw = true;
    };
	SysActs.prototype.ResetGlobals = function ()
	{
		var i, len, g;
		for (i = 0, len = this.runtime.all_global_vars.length; i < len; i++)
		{
			g = this.runtime.all_global_vars[i];
			g.data = g.initial;
		}
	};
	SysActs.prototype.SetLayoutAngle = function (a)
	{
		a = cr.to_radians(a);
		a = cr.clamp_angle(a);
		if (this.runtime.running_layout)
		{
			if (this.runtime.running_layout.angle !== a)
			{
				this.runtime.running_layout.angle = a;
				this.runtime.redraw = true;
			}
		}
	};
	SysActs.prototype.SetLayerAngle = function (layer, a)
    {
        if (!layer)
            return;
		a = cr.to_radians(a);
		a = cr.clamp_angle(a);
		if (layer.angle === a)
			return;
        layer.angle = a;
        this.runtime.redraw = true;
    };
	SysActs.prototype.SetLayerParallax = function (layer, px, py)
    {
        if (!layer)
            return;
		if (layer.parallaxX === px / 100 && layer.parallaxY === py / 100)
			return;
        layer.parallaxX = px / 100;
		layer.parallaxY = py / 100;
		if (layer.parallaxX !== 1 || layer.parallaxY !== 1)
		{
			var i, len, instances = layer.instances;
			for (i = 0, len = instances.length; i < len; ++i)
			{
				instances[i].type.any_instance_parallaxed = true;
			}
		}
        this.runtime.redraw = true;
    };
	SysActs.prototype.SetLayerBackground = function (layer, c)
    {
        if (!layer)
            return;
		var r = cr.GetRValue(c);
		var g = cr.GetGValue(c);
		var b = cr.GetBValue(c);
		if (layer.background_color[0] === r && layer.background_color[1] === g && layer.background_color[2] === b)
			return;
        layer.background_color[0] = r;
		layer.background_color[1] = g;
		layer.background_color[2] = b;
        this.runtime.redraw = true;
    };
	SysActs.prototype.SetLayerTransparent = function (layer, t)
    {
        if (!layer)
            return;
		if (!!t === !!layer.transparent)
			return;
		layer.transparent = !!t;
        this.runtime.redraw = true;
    };
	SysActs.prototype.StopLoop = function ()
	{
		if (this.runtime.loop_stack_index < 0)
			return;		// no loop currently running
		this.runtime.getCurrentLoop().stopped = true;
	};
	SysActs.prototype.GoToLayoutByName = function (layoutname)
	{
		if (this.runtime.isloading)
			return;		// cannot change layout while loading on loader layout
		if (this.runtime.changelayout)
			return;		// already changing to different layout
;
		var l;
		for (l in this.runtime.layouts)
		{
			if (this.runtime.layouts.hasOwnProperty(l) && cr.equals_nocase(l, layoutname))
			{
				this.runtime.changelayout = this.runtime.layouts[l];
				return;
			}
		}
	};
	SysActs.prototype.RestartLayout = function (layoutname)
	{
		if (this.runtime.isloading)
			return;		// cannot restart loader layouts
		if (this.runtime.changelayout)
			return;		// already changing to a different layout
;
		if (!this.runtime.running_layout)
			return;
		this.runtime.changelayout = this.runtime.running_layout;
		var i, len, g;
		for (i = 0, len = this.runtime.allGroups.length; i < len; i++)
		{
			g = this.runtime.allGroups[i];
			g.setGroupActive(g.initially_activated);
		}
	};
	SysActs.prototype.SnapshotCanvas = function (format_, quality_)
	{
		this.runtime.snapshotCanvas = [format_ === 0 ? "image/png" : "image/jpeg", quality_ / 100];
		this.runtime.redraw = true;		// force redraw so snapshot is always taken
	};
	SysActs.prototype.SetCanvasSize = function (w, h)
	{
		if (w <= 0 || h <= 0)
			return;
		var mode = this.runtime.fullscreen_mode;
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || !!document["msFullscreenElement"] || document["fullScreen"] || this.runtime.isNodeFullscreen);
		if (isfullscreen && this.runtime.fullscreen_scaling > 0)
			mode = this.runtime.fullscreen_scaling;
		if (mode === 0)
		{
			this.runtime["setSize"](w, h, true);
		}
		else
		{
			this.runtime.original_width = w;
			this.runtime.original_height = h;
			this.runtime["setSize"](this.runtime.lastWindowWidth, this.runtime.lastWindowHeight, true);
		}
	};
	SysActs.prototype.SetLayoutEffectEnabled = function (enable_, effectname_)
	{
		if (!this.runtime.running_layout || !this.runtime.glwrap)
			return;
		var et = this.runtime.running_layout.getEffectByName(effectname_);
		if (!et)
			return;		// effect name not found
		var enable = (enable_ === 1);
		if (et.active == enable)
			return;		// no change
		et.active = enable;
		this.runtime.running_layout.updateActiveEffects();
		this.runtime.redraw = true;
	};
	SysActs.prototype.SetLayerEffectEnabled = function (layer, enable_, effectname_)
	{
		if (!layer || !this.runtime.glwrap)
			return;
		var et = layer.getEffectByName(effectname_);
		if (!et)
			return;		// effect name not found
		var enable = (enable_ === 1);
		if (et.active == enable)
			return;		// no change
		et.active = enable;
		layer.updateActiveEffects();
		this.runtime.redraw = true;
	};
	SysActs.prototype.SetLayoutEffectParam = function (effectname_, index_, value_)
	{
		if (!this.runtime.running_layout || !this.runtime.glwrap)
			return;
		var et = this.runtime.running_layout.getEffectByName(effectname_);
		if (!et)
			return;		// effect name not found
		var params = this.runtime.running_layout.effect_params[et.index];
		index_ = Math.floor(index_);
		if (index_ < 0 || index_ >= params.length)
			return;		// effect index out of bounds
		if (this.runtime.glwrap.getProgramParameterType(et.shaderindex, index_) === 1)
			value_ /= 100.0;
		if (params[index_] === value_)
			return;		// no change
		params[index_] = value_;
		if (et.active)
			this.runtime.redraw = true;
	};
	SysActs.prototype.SetLayerEffectParam = function (layer, effectname_, index_, value_)
	{
		if (!layer || !this.runtime.glwrap)
			return;
		var et = layer.getEffectByName(effectname_);
		if (!et)
			return;		// effect name not found
		var params = layer.effect_params[et.index];
		index_ = Math.floor(index_);
		if (index_ < 0 || index_ >= params.length)
			return;		// effect index out of bounds
		if (this.runtime.glwrap.getProgramParameterType(et.shaderindex, index_) === 1)
			value_ /= 100.0;
		if (params[index_] === value_)
			return;		// no change
		params[index_] = value_;
		if (et.active)
			this.runtime.redraw = true;
	};
	SysActs.prototype.SaveState = function (slot_)
	{
		this.runtime.saveToSlot = slot_;
	};
	SysActs.prototype.LoadState = function (slot_)
	{
		this.runtime.loadFromSlot = slot_;
	};
	SysActs.prototype.LoadStateJSON = function (jsonstr_)
	{
		this.runtime.loadFromJson = jsonstr_;
	};
	SysActs.prototype.SetHalfFramerateMode = function (set_)
	{
		this.runtime.halfFramerateMode = (set_ !== 0);
	};
	SysActs.prototype.SetFullscreenQuality = function (q)
	{
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || !!document["msFullscreenElement"] || document["fullScreen"] || this.isNodeFullscreen);
		if (!isfullscreen && this.runtime.fullscreen_mode === 0)
			return;
		this.runtime.wantFullscreenScalingQuality = (q !== 0);
		this.runtime["setSize"](this.runtime.lastWindowWidth, this.runtime.lastWindowHeight, true);
	};
	sysProto.acts = new SysActs();
    function SysExps() {};
    SysExps.prototype["int"] = function(ret, x)
    {
        if (cr.is_string(x))
        {
            ret.set_int(parseInt(x, 10));
            if (isNaN(ret.data))
                ret.data = 0;
        }
        else
            ret.set_int(x);
    };
    SysExps.prototype["float"] = function(ret, x)
    {
        if (cr.is_string(x))
        {
            ret.set_float(parseFloat(x));
            if (isNaN(ret.data))
                ret.data = 0;
        }
        else
            ret.set_float(x);
    };
    SysExps.prototype.str = function(ret, x)
    {
        if (cr.is_string(x))
            ret.set_string(x);
        else
            ret.set_string(x.toString());
    };
    SysExps.prototype.len = function(ret, x)
    {
        ret.set_int(x.length || 0);
    };
    SysExps.prototype.random = function (ret, a, b)
    {
        if (b === undefined)
        {
            ret.set_float(Math.random() * a);
        }
        else
        {
            ret.set_float(Math.random() * (b - a) + a);
        }
    };
    SysExps.prototype.sqrt = function(ret, x)
    {
        ret.set_float(Math.sqrt(x));
    };
    SysExps.prototype.abs = function(ret, x)
    {
        ret.set_float(Math.abs(x));
    };
    SysExps.prototype.round = function(ret, x)
    {
        ret.set_int(Math.round(x));
    };
    SysExps.prototype.floor = function(ret, x)
    {
        ret.set_int(Math.floor(x));
    };
    SysExps.prototype.ceil = function(ret, x)
    {
        ret.set_int(Math.ceil(x));
    };
    SysExps.prototype.sin = function(ret, x)
    {
        ret.set_float(Math.sin(cr.to_radians(x)));
    };
    SysExps.prototype.cos = function(ret, x)
    {
        ret.set_float(Math.cos(cr.to_radians(x)));
    };
    SysExps.prototype.tan = function(ret, x)
    {
        ret.set_float(Math.tan(cr.to_radians(x)));
    };
    SysExps.prototype.asin = function(ret, x)
    {
        ret.set_float(cr.to_degrees(Math.asin(x)));
    };
    SysExps.prototype.acos = function(ret, x)
    {
        ret.set_float(cr.to_degrees(Math.acos(x)));
    };
    SysExps.prototype.atan = function(ret, x)
    {
        ret.set_float(cr.to_degrees(Math.atan(x)));
    };
    SysExps.prototype.exp = function(ret, x)
    {
        ret.set_float(Math.exp(x));
    };
    SysExps.prototype.ln = function(ret, x)
    {
        ret.set_float(Math.log(x));
    };
    SysExps.prototype.log10 = function(ret, x)
    {
        ret.set_float(Math.log(x) / Math.LN10);
    };
    SysExps.prototype.max = function(ret)
    {
		var max_ = arguments[1];
		if (typeof max_ !== "number")
			max_ = 0;
		var i, len, a;
		for (i = 2, len = arguments.length; i < len; i++)
		{
			a = arguments[i];
			if (typeof a !== "number")
				continue;		// ignore non-numeric types
			if (max_ < a)
				max_ = a;
		}
		ret.set_float(max_);
    };
    SysExps.prototype.min = function(ret)
    {
        var min_ = arguments[1];
		if (typeof min_ !== "number")
			min_ = 0;
		var i, len, a;
		for (i = 2, len = arguments.length; i < len; i++)
		{
			a = arguments[i];
			if (typeof a !== "number")
				continue;		// ignore non-numeric types
			if (min_ > a)
				min_ = a;
		}
		ret.set_float(min_);
    };
    SysExps.prototype.dt = function(ret)
    {
        ret.set_float(this.runtime.dt);
    };
    SysExps.prototype.timescale = function(ret)
    {
        ret.set_float(this.runtime.timescale);
    };
    SysExps.prototype.wallclocktime = function(ret)
    {
        ret.set_float((Date.now() - this.runtime.start_time) / 1000.0);
    };
    SysExps.prototype.time = function(ret)
    {
        ret.set_float(this.runtime.kahanTime.sum);
    };
    SysExps.prototype.tickcount = function(ret)
    {
        ret.set_int(this.runtime.tickcount);
    };
    SysExps.prototype.objectcount = function(ret)
    {
        ret.set_int(this.runtime.objectcount);
    };
    SysExps.prototype.fps = function(ret)
    {
        ret.set_int(this.runtime.fps);
    };
    SysExps.prototype.loopindex = function(ret, name_)
    {
		var loop, i, len;
        if (!this.runtime.loop_stack.length)
        {
            ret.set_int(0);
            return;
        }
        if (name_)
        {
            for (i = 0, len = this.runtime.loop_stack.length; i < len; i++)
            {
                loop = this.runtime.loop_stack[i];
                if (loop.name === name_)
                {
                    ret.set_int(loop.index);
                    return;
                }
            }
            ret.set_int(0);
        }
        else
        {
			loop = this.runtime.getCurrentLoop();
			ret.set_int(loop ? loop.index : -1);
        }
    };
    SysExps.prototype.distance = function(ret, x1, y1, x2, y2)
    {
        ret.set_float(cr.distanceTo(x1, y1, x2, y2));
    };
    SysExps.prototype.angle = function(ret, x1, y1, x2, y2)
    {
        ret.set_float(cr.to_degrees(cr.angleTo(x1, y1, x2, y2)));
    };
    SysExps.prototype.scrollx = function(ret)
    {
        ret.set_float(this.runtime.running_layout.scrollX);
    };
    SysExps.prototype.scrolly = function(ret)
    {
        ret.set_float(this.runtime.running_layout.scrollY);
    };
    SysExps.prototype.newline = function(ret)
    {
        ret.set_string("\n");
    };
    SysExps.prototype.lerp = function(ret, a, b, x)
    {
        ret.set_float(cr.lerp(a, b, x));
    };
	SysExps.prototype.qarp = function(ret, a, b, c, x)
    {
        ret.set_float(cr.qarp(a, b, c, x));
    };
	SysExps.prototype.cubic = function(ret, a, b, c, d, x)
    {
        ret.set_float(cr.cubic(a, b, c, d, x));
    };
	SysExps.prototype.cosp = function(ret, a, b, x)
    {
        ret.set_float(cr.cosp(a, b, x));
    };
    SysExps.prototype.windowwidth = function(ret)
    {
        ret.set_int(this.runtime.width);
    };
    SysExps.prototype.windowheight = function(ret)
    {
        ret.set_int(this.runtime.height);
    };
	SysExps.prototype.uppercase = function(ret, str)
	{
		ret.set_string(cr.is_string(str) ? str.toUpperCase() : "");
	};
	SysExps.prototype.lowercase = function(ret, str)
	{
		ret.set_string(cr.is_string(str) ? str.toLowerCase() : "");
	};
	SysExps.prototype.clamp = function(ret, x, l, u)
	{
		if (x < l)
			ret.set_float(l);
		else if (x > u)
			ret.set_float(u);
		else
			ret.set_float(x);
	};
	SysExps.prototype.layerscale = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(layer.scale);
	};
	SysExps.prototype.layeropacity = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(layer.opacity * 100);
	};
	SysExps.prototype.layerscalerate = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(layer.zoomRate);
	};
	SysExps.prototype.layerparallaxx = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(layer.parallaxX * 100);
	};
	SysExps.prototype.layerparallaxy = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(layer.parallaxY * 100);
	};
	SysExps.prototype.layoutscale = function (ret)
	{
		if (this.runtime.running_layout)
			ret.set_float(this.runtime.running_layout.scale);
		else
			ret.set_float(0);
	};
	SysExps.prototype.layoutangle = function (ret)
	{
		ret.set_float(cr.to_degrees(this.runtime.running_layout.angle));
	};
	SysExps.prototype.layerangle = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(cr.to_degrees(layer.angle));
	};
	SysExps.prototype.layoutwidth = function (ret)
	{
		ret.set_int(this.runtime.running_layout.width);
	};
	SysExps.prototype.layoutheight = function (ret)
	{
		ret.set_int(this.runtime.running_layout.height);
	};
	SysExps.prototype.find = function (ret, text, searchstr)
	{
		if (cr.is_string(text) && cr.is_string(searchstr))
			ret.set_int(text.search(new RegExp(cr.regexp_escape(searchstr), "i")));
		else
			ret.set_int(-1);
	};
	SysExps.prototype.left = function (ret, text, n)
	{
		ret.set_string(cr.is_string(text) ? text.substr(0, n) : "");
	};
	SysExps.prototype.right = function (ret, text, n)
	{
		ret.set_string(cr.is_string(text) ? text.substr(text.length - n) : "");
	};
	SysExps.prototype.mid = function (ret, text, index_, length_)
	{
		ret.set_string(cr.is_string(text) ? text.substr(index_, length_) : "");
	};
	SysExps.prototype.tokenat = function (ret, text, index_, sep)
	{
		if (cr.is_string(text) && cr.is_string(sep))
		{
			var arr = text.split(sep);
			var i = cr.floor(index_);
			if (i < 0 || i >= arr.length)
				ret.set_string("");
			else
				ret.set_string(arr[i]);
		}
		else
			ret.set_string("");
	};
	SysExps.prototype.tokencount = function (ret, text, sep)
	{
		if (cr.is_string(text) && text.length)
			ret.set_int(text.split(sep).length);
		else
			ret.set_int(0);
	};
	SysExps.prototype.replace = function (ret, text, find_, replace_)
	{
		if (cr.is_string(text) && cr.is_string(find_) && cr.is_string(replace_))
			ret.set_string(text.replace(new RegExp(cr.regexp_escape(find_), "gi"), replace_));
		else
			ret.set_string(cr.is_string(text) ? text : "");
	};
	SysExps.prototype.trim = function (ret, text)
	{
		ret.set_string(cr.is_string(text) ? text.trim() : "");
	};
	SysExps.prototype.pi = function (ret)
	{
		ret.set_float(cr.PI);
	};
	SysExps.prototype.layoutname = function (ret)
	{
		if (this.runtime.running_layout)
			ret.set_string(this.runtime.running_layout.name);
		else
			ret.set_string("");
	};
	SysExps.prototype.renderer = function (ret)
	{
		ret.set_string(this.runtime.gl ? "webgl" : "canvas2d");
	};
	SysExps.prototype.anglediff = function (ret, a, b)
	{
		ret.set_float(cr.to_degrees(cr.angleDiff(cr.to_radians(a), cr.to_radians(b))));
	};
	SysExps.prototype.choose = function (ret)
	{
		var index = cr.floor(Math.random() * (arguments.length - 1));
		ret.set_any(arguments[index + 1]);
	};
	SysExps.prototype.rgb = function (ret, r, g, b)
	{
		ret.set_int(cr.RGB(r, g, b));
	};
	SysExps.prototype.projectversion = function (ret)
	{
		ret.set_string(this.runtime.versionstr);
	};
	SysExps.prototype.projectname = function (ret)
	{
		ret.set_string(this.runtime.projectName);
	};
	SysExps.prototype.anglelerp = function (ret, a, b, x)
	{
		a = cr.to_radians(a);
		b = cr.to_radians(b);
		var diff = cr.angleDiff(a, b);
		if (cr.angleClockwise(b, a))
		{
			ret.set_float(cr.to_clamped_degrees(a + diff * x));
		}
		else
		{
			ret.set_float(cr.to_clamped_degrees(a - diff * x));
		}
	};
	SysExps.prototype.anglerotate = function (ret, a, b, c)
	{
		a = cr.to_radians(a);
		b = cr.to_radians(b);
		c = cr.to_radians(c);
		ret.set_float(cr.to_clamped_degrees(cr.angleRotate(a, b, c)));
	};
	SysExps.prototype.zeropad = function (ret, n, d)
	{
		var s = (n < 0 ? "-" : "");
		if (n < 0) n = -n;
		var zeroes = d - n.toString().length;
		for (var i = 0; i < zeroes; i++)
			s += "0";
		ret.set_string(s + n.toString());
	};
	SysExps.prototype.cpuutilisation = function (ret)
	{
		ret.set_float(this.runtime.cpuutilisation / 1000);
	};
	SysExps.prototype.viewportleft = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.viewLeft : 0);
	};
	SysExps.prototype.viewporttop = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.viewTop : 0);
	};
	SysExps.prototype.viewportright = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.viewRight : 0);
	};
	SysExps.prototype.viewportbottom = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.viewBottom : 0);
	};
	SysExps.prototype.loadingprogress = function (ret)
	{
		ret.set_float(this.runtime.loadingprogress);
	};
	SysExps.prototype.unlerp = function(ret, a, b, y)
    {
        ret.set_float(cr.unlerp(a, b, y));
    };
	SysExps.prototype.canvassnapshot = function (ret)
	{
		ret.set_string(this.runtime.snapshotData);
	};
	SysExps.prototype.urlencode = function (ret, s)
	{
		ret.set_string(encodeURIComponent(s));
	};
	SysExps.prototype.urldecode = function (ret, s)
	{
		ret.set_string(decodeURIComponent(s));
	};
	SysExps.prototype.canvastolayerx = function (ret, layerparam, x, y)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.canvasToLayer(x, y, true) : 0);
	};
	SysExps.prototype.canvastolayery = function (ret, layerparam, x, y)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.canvasToLayer(x, y, false) : 0);
	};
	SysExps.prototype.layertocanvasx = function (ret, layerparam, x, y)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.layerToCanvas(x, y, true) : 0);
	};
	SysExps.prototype.layertocanvasy = function (ret, layerparam, x, y)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.layerToCanvas(x, y, false) : 0);
	};
	SysExps.prototype.savestatejson = function (ret)
	{
		ret.set_string(this.runtime.lastSaveJson);
	};
	SysExps.prototype.imagememoryusage = function (ret)
	{
		if (this.runtime.glwrap)
			ret.set_float(Math.round(100 * this.runtime.glwrap.estimateVRAM() / (1024 * 1024)) / 100);
		else
			ret.set_float(0);
	};
	SysExps.prototype.regexsearch = function (ret, str_, regex_, flags_)
	{
		var regex = getRegex(regex_, flags_);
		ret.set_int(str_ ? str_.search(regex) : -1);
	};
	SysExps.prototype.regexreplace = function (ret, str_, regex_, flags_, replace_)
	{
		var regex = getRegex(regex_, flags_);
		ret.set_string(str_ ? str_.replace(regex, replace_) : "");
	};
	var regexMatches = [];
	var lastMatchesStr = "";
	var lastMatchesRegex = "";
	var lastMatchesFlags = "";
	function updateRegexMatches(str_, regex_, flags_)
	{
		if (str_ === lastMatchesStr && regex_ === lastMatchesRegex && flags_ === lastMatchesFlags)
			return;
		var regex = getRegex(regex_, flags_);
		regexMatches = str_.match(regex);
		lastMatchesStr = str_;
		lastMatchesRegex = regex_;
		lastMatchesFlags = flags_;
	};
	SysExps.prototype.regexmatchcount = function (ret, str_, regex_, flags_)
	{
		var regex = getRegex(regex_, flags_);
		updateRegexMatches(str_, regex_, flags_);
		ret.set_int(regexMatches ? regexMatches.length : 0);
	};
	SysExps.prototype.regexmatchat = function (ret, str_, regex_, flags_, index_)
	{
		index_ = Math.floor(index_);
		var regex = getRegex(regex_, flags_);
		updateRegexMatches(str_, regex_, flags_);
		if (!regexMatches || index_ < 0 || index_ >= regexMatches.length)
			ret.set_string("");
		else
			ret.set_string(regexMatches[index_]);
	};
	SysExps.prototype.infinity = function (ret)
	{
		ret.set_float(Infinity);
	};
	SysExps.prototype.setbit = function (ret, n, b, v)
	{
		n = n | 0;
		b = b | 0;
		v = (v !== 0 ? 1 : 0);
		ret.set_int((n & ~(1 << b)) | (v << b));
	};
	SysExps.prototype.togglebit = function (ret, n, b)
	{
		n = n | 0;
		b = b | 0;
		ret.set_int(n ^ (1 << b));
	};
	SysExps.prototype.getbit = function (ret, n, b)
	{
		n = n | 0;
		b = b | 0;
		ret.set_int((n & (1 << b)) ? 1 : 0);
	};
	SysExps.prototype.originalwindowwidth = function (ret)
	{
		ret.set_int(this.runtime.original_width);
	};
	SysExps.prototype.originalwindowheight = function (ret)
	{
		ret.set_int(this.runtime.original_height);
	};
	sysProto.exps = new SysExps();
	sysProto.runWaits = function ()
	{
		var i, j, len, w, k, s, ss;
		var evinfo = this.runtime.getCurrentEventStack();
		for (i = 0, len = this.waits.length; i < len; i++)
		{
			w = this.waits[i];
			if (w.time === -1)		// signalled wait
			{
				if (!w.signalled)
					continue;		// not yet signalled
			}
			else					// timer wait
			{
				if (w.time > this.runtime.kahanTime.sum)
					continue;		// timer not yet expired
			}
			evinfo.current_event = w.ev;
			evinfo.actindex = w.actindex;
			evinfo.cndindex = 0;
			for (k in w.sols)
			{
				if (w.sols.hasOwnProperty(k))
				{
					s = this.runtime.types_by_index[parseInt(k, 10)].getCurrentSol();
					ss = w.sols[k];
					s.select_all = ss.sa;
					cr.shallowAssignArray(s.instances, ss.insts);
					freeSolStateObject(ss);
				}
			}
			w.ev.resume_actions_and_subevents();
			this.runtime.clearSol(w.solModifiers);
			w.deleteme = true;
		}
		for (i = 0, j = 0, len = this.waits.length; i < len; i++)
		{
			w = this.waits[i];
			this.waits[j] = w;
			if (w.deleteme)
				freeWaitObject(w);
			else
				j++;
		}
		this.waits.length = j;
	};
}());
;
(function () {
	cr.add_common_aces = function (m)
	{
		var pluginProto = m[0].prototype;
		var singleglobal_ = m[1];
		var position_aces = m[3];
		var size_aces = m[4];
		var angle_aces = m[5];
		var appearance_aces = m[6];
		var zorder_aces = m[7];
		var effects_aces = m[8];
		if (!pluginProto.cnds)
			pluginProto.cnds = {};
		if (!pluginProto.acts)
			pluginProto.acts = {};
		if (!pluginProto.exps)
			pluginProto.exps = {};
		var cnds = pluginProto.cnds;
		var acts = pluginProto.acts;
		var exps = pluginProto.exps;
		if (position_aces)
		{
			cnds.CompareX = function (cmp, x)
			{
				return cr.do_cmp(this.x, cmp, x);
			};
			cnds.CompareY = function (cmp, y)
			{
				return cr.do_cmp(this.y, cmp, y);
			};
			cnds.IsOnScreen = function ()
			{
				var layer = this.layer;
				this.update_bbox();
				var bbox = this.bbox;
				return !(bbox.right < layer.viewLeft || bbox.bottom < layer.viewTop || bbox.left > layer.viewRight || bbox.top > layer.viewBottom);
			};
			cnds.IsOutsideLayout = function ()
			{
				this.update_bbox();
				var bbox = this.bbox;
				var layout = this.runtime.running_layout;
				return (bbox.right < 0 || bbox.bottom < 0 || bbox.left > layout.width || bbox.top > layout.height);
			};
			cnds.PickDistance = function (which, x, y)
			{
				var sol = this.getCurrentSol();
				var instances = sol.getObjects();
				if (!instances.length)
					return false;
				var inst = instances[0];
				var pickme = inst;
				var dist = cr.distanceTo(inst.x, inst.y, x, y);
				var i, len, d;
				for (i = 1, len = instances.length; i < len; i++)
				{
					inst = instances[i];
					d = cr.distanceTo(inst.x, inst.y, x, y);
					if ((which === 0 && d < dist) || (which === 1 && d > dist))
					{
						dist = d;
						pickme = inst;
					}
				}
				sol.pick_one(pickme);
				return true;
			};
			acts.SetX = function (x)
			{
				if (this.x !== x)
				{
					this.x = x;
					this.set_bbox_changed();
				}
			};
			acts.SetY = function (y)
			{
				if (this.y !== y)
				{
					this.y = y;
					this.set_bbox_changed();
				}
			};
			acts.SetPos = function (x, y)
			{
				if (this.x !== x || this.y !== y)
				{
					this.x = x;
					this.y = y;
					this.set_bbox_changed();
				}
			};
			acts.SetPosToObject = function (obj, imgpt)
			{
				var inst = obj.getPairedInstance(this);
				if (!inst)
					return;
				var newx, newy;
				if (inst.getImagePoint)
				{
					newx = inst.getImagePoint(imgpt, true);
					newy = inst.getImagePoint(imgpt, false);
				}
				else
				{
					newx = inst.x;
					newy = inst.y;
				}
				if (this.x !== newx || this.y !== newy)
				{
					this.x = newx;
					this.y = newy;
					this.set_bbox_changed();
				}
			};
			acts.MoveForward = function (dist)
			{
				if (dist !== 0)
				{
					this.x += Math.cos(this.angle) * dist;
					this.y += Math.sin(this.angle) * dist;
					this.set_bbox_changed();
				}
			};
			acts.MoveAtAngle = function (a, dist)
			{
				if (dist !== 0)
				{
					this.x += Math.cos(cr.to_radians(a)) * dist;
					this.y += Math.sin(cr.to_radians(a)) * dist;
					this.set_bbox_changed();
				}
			};
			exps.X = function (ret)
			{
				ret.set_float(this.x);
			};
			exps.Y = function (ret)
			{
				ret.set_float(this.y);
			};
			exps.dt = function (ret)
			{
				ret.set_float(this.runtime.getDt(this));
			};
		}
		if (size_aces)
		{
			cnds.CompareWidth = function (cmp, w)
			{
				return cr.do_cmp(this.width, cmp, w);
			};
			cnds.CompareHeight = function (cmp, h)
			{
				return cr.do_cmp(this.height, cmp, h);
			};
			acts.SetWidth = function (w)
			{
				if (this.width !== w)
				{
					this.width = w;
					this.set_bbox_changed();
				}
			};
			acts.SetHeight = function (h)
			{
				if (this.height !== h)
				{
					this.height = h;
					this.set_bbox_changed();
				}
			};
			acts.SetSize = function (w, h)
			{
				if (this.width !== w || this.height !== h)
				{
					this.width = w;
					this.height = h;
					this.set_bbox_changed();
				}
			};
			exps.Width = function (ret)
			{
				ret.set_float(this.width);
			};
			exps.Height = function (ret)
			{
				ret.set_float(this.height);
			};
			exps.BBoxLeft = function (ret)
			{
				this.update_bbox();
				ret.set_float(this.bbox.left);
			};
			exps.BBoxTop = function (ret)
			{
				this.update_bbox();
				ret.set_float(this.bbox.top);
			};
			exps.BBoxRight = function (ret)
			{
				this.update_bbox();
				ret.set_float(this.bbox.right);
			};
			exps.BBoxBottom = function (ret)
			{
				this.update_bbox();
				ret.set_float(this.bbox.bottom);
			};
		}
		if (angle_aces)
		{
			cnds.AngleWithin = function (within, a)
			{
				return cr.angleDiff(this.angle, cr.to_radians(a)) <= cr.to_radians(within);
			};
			cnds.IsClockwiseFrom = function (a)
			{
				return cr.angleClockwise(this.angle, cr.to_radians(a));
			};
			cnds.IsBetweenAngles = function (a, b)
			{
				var lower = cr.to_clamped_radians(a);
				var upper = cr.to_clamped_radians(b);
				var angle = cr.clamp_angle(this.angle);
				var obtuse = (!cr.angleClockwise(upper, lower));
				if (obtuse)
					return !(!cr.angleClockwise(angle, lower) && cr.angleClockwise(angle, upper));
				else
					return cr.angleClockwise(angle, lower) && !cr.angleClockwise(angle, upper);
			};
			acts.SetAngle = function (a)
			{
				var newangle = cr.to_radians(cr.clamp_angle_degrees(a));
				if (isNaN(newangle))
					return;
				if (this.angle !== newangle)
				{
					this.angle = newangle;
					this.set_bbox_changed();
				}
			};
			acts.RotateClockwise = function (a)
			{
				if (a !== 0 && !isNaN(a))
				{
					this.angle += cr.to_radians(a);
					this.angle = cr.clamp_angle(this.angle);
					this.set_bbox_changed();
				}
			};
			acts.RotateCounterclockwise = function (a)
			{
				if (a !== 0 && !isNaN(a))
				{
					this.angle -= cr.to_radians(a);
					this.angle = cr.clamp_angle(this.angle);
					this.set_bbox_changed();
				}
			};
			acts.RotateTowardAngle = function (amt, target)
			{
				var newangle = cr.angleRotate(this.angle, cr.to_radians(target), cr.to_radians(amt));
				if (isNaN(newangle))
					return;
				if (this.angle !== newangle)
				{
					this.angle = newangle;
					this.set_bbox_changed();
				}
			};
			acts.RotateTowardPosition = function (amt, x, y)
			{
				var dx = x - this.x;
				var dy = y - this.y;
				var target = Math.atan2(dy, dx);
				var newangle = cr.angleRotate(this.angle, target, cr.to_radians(amt));
				if (isNaN(newangle))
					return;
				if (this.angle !== newangle)
				{
					this.angle = newangle;
					this.set_bbox_changed();
				}
			};
			acts.SetTowardPosition = function (x, y)
			{
				var dx = x - this.x;
				var dy = y - this.y;
				var newangle = Math.atan2(dy, dx);
				if (isNaN(newangle))
					return;
				if (this.angle !== newangle)
				{
					this.angle = newangle;
					this.set_bbox_changed();
				}
			};
			exps.Angle = function (ret)
			{
				ret.set_float(cr.to_clamped_degrees(this.angle));
			};
		}
		if (!singleglobal_)
		{
			cnds.CompareInstanceVar = function (iv, cmp, val)
			{
				return cr.do_cmp(this.instance_vars[iv], cmp, val);
			};
			cnds.IsBoolInstanceVarSet = function (iv)
			{
				return this.instance_vars[iv];
			};
			cnds.PickInstVarHiLow = function (which, iv)
			{
				var sol = this.getCurrentSol();
				var instances = sol.getObjects();
				if (!instances.length)
					return false;
				var inst = instances[0];
				var pickme = inst;
				var val = inst.instance_vars[iv];
				var i, len, v;
				for (i = 1, len = instances.length; i < len; i++)
				{
					inst = instances[i];
					v = inst.instance_vars[iv];
					if ((which === 0 && v < val) || (which === 1 && v > val))
					{
						val = v;
						pickme = inst;
					}
				}
				sol.pick_one(pickme);
				return true;
			};
			cnds.PickByUID = function (u)
			{
				var i, len, j, inst, families, instances, sol;
				var cnd = this.runtime.getCurrentCondition();
				if (cnd.inverted)
				{
					sol = this.getCurrentSol();
					if (sol.select_all)
					{
						sol.select_all = false;
						sol.instances.length = 0;
						sol.else_instances.length = 0;
						instances = this.instances;
						for (i = 0, len = instances.length; i < len; i++)
						{
							inst = instances[i];
							if (inst.uid === u)
								sol.else_instances.push(inst);
							else
								sol.instances.push(inst);
						}
						this.applySolToContainer();
						return !!sol.instances.length;
					}
					else
					{
						for (i = 0, j = 0, len = sol.instances.length; i < len; i++)
						{
							inst = sol.instances[i];
							sol.instances[j] = inst;
							if (inst.uid === u)
							{
								sol.else_instances.push(inst);
							}
							else
								j++;
						}
						sol.instances.length = j;
						this.applySolToContainer();
						return !!sol.instances.length;
					}
				}
				else
				{
					inst = this.runtime.getObjectByUID(u);
					if (!inst)
						return false;
					sol = this.getCurrentSol();
					if (!sol.select_all && sol.instances.indexOf(inst) === -1)
						return false;		// not picked
					if (this.is_family)
					{
						families = inst.type.families;
						for (i = 0, len = families.length; i < len; i++)
						{
							if (families[i] === this)
							{
								sol.pick_one(inst);
								this.applySolToContainer();
								return true;
							}
						}
					}
					else if (inst.type === this)
					{
						sol.pick_one(inst);
						this.applySolToContainer();
						return true;
					}
					return false;
				}
			};
			cnds.OnCreated = function ()
			{
				return true;
			};
			cnds.OnDestroyed = function ()
			{
				return true;
			};
			acts.SetInstanceVar = function (iv, val)
			{
				var myinstvars = this.instance_vars;
				if (cr.is_number(myinstvars[iv]))
				{
					if (cr.is_number(val))
						myinstvars[iv] = val;
					else
						myinstvars[iv] = parseFloat(val);
				}
				else if (cr.is_string(myinstvars[iv]))
				{
					if (cr.is_string(val))
						myinstvars[iv] = val;
					else
						myinstvars[iv] = val.toString();
				}
				else
;
			};
			acts.AddInstanceVar = function (iv, val)
			{
				var myinstvars = this.instance_vars;
				if (cr.is_number(myinstvars[iv]))
				{
					if (cr.is_number(val))
						myinstvars[iv] += val;
					else
						myinstvars[iv] += parseFloat(val);
				}
				else if (cr.is_string(myinstvars[iv]))
				{
					if (cr.is_string(val))
						myinstvars[iv] += val;
					else
						myinstvars[iv] += val.toString();
				}
				else
;
			};
			acts.SubInstanceVar = function (iv, val)
			{
				var myinstvars = this.instance_vars;
				if (cr.is_number(myinstvars[iv]))
				{
					if (cr.is_number(val))
						myinstvars[iv] -= val;
					else
						myinstvars[iv] -= parseFloat(val);
				}
				else
;
			};
			acts.SetBoolInstanceVar = function (iv, val)
			{
				this.instance_vars[iv] = val ? 1 : 0;
			};
			acts.ToggleBoolInstanceVar = function (iv)
			{
				this.instance_vars[iv] = 1 - this.instance_vars[iv];
			};
			acts.Destroy = function ()
			{
				this.runtime.DestroyInstance(this);
			};
			if (!acts.LoadFromJsonString)
			{
				acts.LoadFromJsonString = function (str_)
				{
					var o, i, len, binst;
					try {
						o = JSON.parse(str_);
					}
					catch (e) {
						return;
					}
					this.runtime.loadInstanceFromJSON(this, o, true);
					if (this.afterLoad)
						this.afterLoad();
					if (this.behavior_insts)
					{
						for (i = 0, len = this.behavior_insts.length; i < len; ++i)
						{
							binst = this.behavior_insts[i];
							if (binst.afterLoad)
								binst.afterLoad();
						}
					}
				};
			}
			exps.Count = function (ret)
			{
				var count = ret.object_class.instances.length;
				var i, len, inst;
				for (i = 0, len = this.runtime.createRow.length; i < len; i++)
				{
					inst = this.runtime.createRow[i];
					if (ret.object_class.is_family)
					{
						if (inst.type.families.indexOf(ret.object_class) >= 0)
							count++;
					}
					else
					{
						if (inst.type === ret.object_class)
							count++;
					}
				}
				ret.set_int(count);
			};
			exps.PickedCount = function (ret)
			{
				ret.set_int(ret.object_class.getCurrentSol().getObjects().length);
			};
			exps.UID = function (ret)
			{
				ret.set_int(this.uid);
			};
			exps.IID = function (ret)
			{
				ret.set_int(this.get_iid());
			};
			if (!exps.AsJSON)
			{
				exps.AsJSON = function (ret)
				{
					ret.set_string(JSON.stringify(this.runtime.saveInstanceToJSON(this, true)));
				};
			}
		}
		if (appearance_aces)
		{
			cnds.IsVisible = function ()
			{
				return this.visible;
			};
			acts.SetVisible = function (v)
			{
				if (!v !== !this.visible)
				{
					this.visible = v;
					this.runtime.redraw = true;
				}
			};
			cnds.CompareOpacity = function (cmp, x)
			{
				return cr.do_cmp(cr.round6dp(this.opacity * 100), cmp, x);
			};
			acts.SetOpacity = function (x)
			{
				var new_opacity = x / 100.0;
				if (new_opacity < 0)
					new_opacity = 0;
				else if (new_opacity > 1)
					new_opacity = 1;
				if (new_opacity !== this.opacity)
				{
					this.opacity = new_opacity;
					this.runtime.redraw = true;
				}
			};
			exps.Opacity = function (ret)
			{
				ret.set_float(cr.round6dp(this.opacity * 100.0));
			};
		}
		if (zorder_aces)
		{
			cnds.IsOnLayer = function (layer_)
			{
				if (!layer_)
					return false;
				return this.layer === layer_;
			};
			cnds.PickTopBottom = function (which_)
			{
				var sol = this.getCurrentSol();
				var instances = sol.getObjects();
				if (!instances.length)
					return false;
				var inst = instances[0];
				var pickme = inst;
				var i, len;
				for (i = 1, len = instances.length; i < len; i++)
				{
					inst = instances[i];
					if (which_ === 0)
					{
						if (inst.layer.index > pickme.layer.index || (inst.layer.index === pickme.layer.index && inst.get_zindex() > pickme.get_zindex()))
						{
							pickme = inst;
						}
					}
					else
					{
						if (inst.layer.index < pickme.layer.index || (inst.layer.index === pickme.layer.index && inst.get_zindex() < pickme.get_zindex()))
						{
							pickme = inst;
						}
					}
				}
				sol.pick_one(pickme);
				return true;
			};
			acts.MoveToTop = function ()
			{
				var zindex = this.get_zindex();
				if (zindex === this.layer.instances.length - 1)
					return;
				cr.arrayRemove(this.layer.instances, zindex);
				this.layer.instances.push(this);
				this.runtime.redraw = true;
				this.layer.zindices_stale = true;
			};
			acts.MoveToBottom = function ()
			{
				var zindex = this.get_zindex();
				if (zindex === 0)
					return;
				cr.arrayRemove(this.layer.instances, zindex);
				this.layer.instances.unshift(this);
				this.runtime.redraw = true;
				this.layer.zindices_stale = true;
			};
			acts.MoveToLayer = function (layerMove)
			{
				if (!layerMove || layerMove == this.layer)
					return;
				cr.arrayRemove(this.layer.instances, this.get_zindex());
				this.layer.zindices_stale = true;
				this.layer = layerMove;
				this.zindex = layerMove.instances.length;
				layerMove.instances.push(this);
				this.runtime.redraw = true;
			};
			acts.ZMoveToObject = function (where_, obj_)
			{
				var isafter = (where_ === 0);
				if (!obj_)
					return;
				var other = obj_.getFirstPicked(this);
				if (!other || other.uid === this.uid)
					return;
				if (this.layer.index !== other.layer.index)
				{
					cr.arrayRemove(this.layer.instances, this.get_zindex());
					this.layer.zindices_stale = true;
					this.layer = other.layer;
					this.zindex = other.layer.instances.length;
					other.layer.instances.push(this);
				}
				var myZ = this.get_zindex();
				var insertZ = other.get_zindex();
				cr.arrayRemove(this.layer.instances, myZ);
				if (myZ < insertZ)
					insertZ--;
				if (isafter)
					insertZ++;
				if (insertZ === this.layer.instances.length)
					this.layer.instances.push(this);
				else
					this.layer.instances.splice(insertZ, 0, this);
				this.layer.zindices_stale = true;
				this.runtime.redraw = true;
			};
			exps.LayerNumber = function (ret)
			{
				ret.set_int(this.layer.number);
			};
			exps.LayerName = function (ret)
			{
				ret.set_string(this.layer.name);
			};
			exps.ZIndex = function (ret)
			{
				ret.set_int(this.get_zindex());
			};
		}
		if (effects_aces)
		{
			acts.SetEffectEnabled = function (enable_, effectname_)
			{
				if (!this.runtime.glwrap)
					return;
				var i = this.type.getEffectIndexByName(effectname_);
				if (i < 0)
					return;		// effect name not found
				var enable = (enable_ === 1);
				if (this.active_effect_flags[i] === enable)
					return;		// no change
				this.active_effect_flags[i] = enable;
				this.updateActiveEffects();
				this.runtime.redraw = true;
			};
			acts.SetEffectParam = function (effectname_, index_, value_)
			{
				if (!this.runtime.glwrap)
					return;
				var i = this.type.getEffectIndexByName(effectname_);
				if (i < 0)
					return;		// effect name not found
				var et = this.type.effect_types[i];
				var params = this.effect_params[i];
				index_ = Math.floor(index_);
				if (index_ < 0 || index_ >= params.length)
					return;		// effect index out of bounds
				if (this.runtime.glwrap.getProgramParameterType(et.shaderindex, index_) === 1)
					value_ /= 100.0;
				if (params[index_] === value_)
					return;		// no change
				params[index_] = value_;
				if (et.active)
					this.runtime.redraw = true;
			};
		}
	};
	cr.set_bbox_changed = function ()
	{
		this.bbox_changed = true;      		// will recreate next time box requested
		this.cell_changed = true;
		this.type.any_cell_changed = true;	// avoid unnecessary updateAllBBox() calls
		this.runtime.redraw = true;     	// assume runtime needs to redraw
		var i, len, callbacks = this.bbox_changed_callbacks;
		for (i = 0, len = callbacks.length; i < len; ++i)
		{
			callbacks[i](this);
		}
	};
	cr.add_bbox_changed_callback = function (f)
	{
		if (f)
		{
			this.bbox_changed_callbacks.push(f);
		}
	};
	cr.update_bbox = function ()
	{
		if (!this.bbox_changed)
			return;                 // bounding box not changed
		var bbox = this.bbox;
		var bquad = this.bquad;
		bbox.set(this.x, this.y, this.x + this.width, this.y + this.height);
		bbox.offset(-this.hotspotX * this.width, -this.hotspotY * this.height);
		if (!this.angle)
		{
			bquad.set_from_rect(bbox);    // make bounding quad from box
		}
		else
		{
			bbox.offset(-this.x, -this.y);       			// translate to origin
			bquad.set_from_rotated_rect(bbox, this.angle);	// rotate around origin
			bquad.offset(this.x, this.y);      				// translate back to original position
			bquad.bounding_box(bbox);
		}
		bbox.normalize();
		this.bbox_changed = false;  // bounding box up to date
	};
	var tmprc = new cr.rect(0, 0, 0, 0);
	cr.update_collision_cell = function ()
	{
		if (!this.cell_changed || !this.collisionsEnabled)
			return;
		this.update_bbox();
		var mygrid = this.type.collision_grid;
		var collcells = this.collcells;
		var bbox = this.bbox;
		tmprc.set(mygrid.XToCell(bbox.left), mygrid.YToCell(bbox.top), mygrid.XToCell(bbox.right), mygrid.YToCell(bbox.bottom));
		if (collcells.equals(tmprc))
			return;
		if (collcells.right < collcells.left)
			mygrid.update(this, null, tmprc);		// first insertion with invalid rect: don't provide old range
		else
			mygrid.update(this, collcells, tmprc);
		collcells.copy(tmprc);
		this.cell_changed = false;
	};
	cr.inst_contains_pt = function (x, y)
	{
		if (!this.bbox.contains_pt(x, y))
			return false;
		if (!this.bquad.contains_pt(x, y))
			return false;
		if (this.collision_poly && !this.collision_poly.is_empty())
		{
			this.collision_poly.cache_poly(this.width, this.height, this.angle);
			return this.collision_poly.contains_pt(x - this.x, y - this.y);
		}
		else
			return true;
	};
	cr.inst_get_iid = function ()
	{
		this.type.updateIIDs();
		return this.iid;
	};
	cr.inst_get_zindex = function ()
	{
		this.layer.updateZIndices();
		return this.zindex;
	};
	cr.inst_updateActiveEffects = function ()
	{
		this.active_effect_types.length = 0;
		var i, len, et, inst;
		for (i = 0, len = this.active_effect_flags.length; i < len; i++)
		{
			if (this.active_effect_flags[i])
				this.active_effect_types.push(this.type.effect_types[i]);
		}
		this.uses_shaders = !!this.active_effect_types.length;
	};
	cr.inst_toString = function ()
	{
		return "Inst" + this.puid;
	};
	cr.type_getFirstPicked = function (frominst)
	{
		if (frominst && frominst.is_contained && frominst.type != this)
		{
			var i, len, s;
			for (i = 0, len = frominst.siblings.length; i < len; i++)
			{
				s = frominst.siblings[i];
				if (s.type == this)
					return s;
			}
		}
		var instances = this.getCurrentSol().getObjects();
		if (instances.length)
			return instances[0];
		else
			return null;
	};
	cr.type_getPairedInstance = function (inst)
	{
		var instances = this.getCurrentSol().getObjects();
		if (instances.length)
			return instances[inst.get_iid() % instances.length];
		else
			return null;
	};
	cr.type_updateIIDs = function ()
	{
		if (!this.stale_iids || this.is_family)
			return;		// up to date or is family - don't want family to overwrite IIDs
		var i, len;
		for (i = 0, len = this.instances.length; i < len; i++)
			this.instances[i].iid = i;
		var next_iid = i;
		var createRow = this.runtime.createRow;
		for (i = 0, len = createRow.length; i < len; ++i)
		{
			if (createRow[i].type === this)
				createRow[i].iid = next_iid++;
		}
		this.stale_iids = false;
	};
	cr.type_getInstanceByIID = function (i)
	{
		if (i < this.instances.length)
			return this.instances[i];
		i -= this.instances.length;
		var createRow = this.runtime.createRow;
		var j, lenj;
		for (j = 0, lenj = createRow.length; j < lenj; ++j)
		{
			if (createRow[j].type === this)
			{
				if (i === 0)
					return createRow[j];
				--i;
			}
		}
;
		return null;
	};
	cr.type_getCurrentSol = function ()
	{
		return this.solstack[this.cur_sol];
	};
	cr.type_pushCleanSol = function ()
	{
		this.cur_sol++;
		if (this.cur_sol === this.solstack.length)
			this.solstack.push(new cr.selection(this));
		else
			this.solstack[this.cur_sol].select_all = true;  // else clear next SOL
	};
	cr.type_pushCopySol = function ()
	{
		this.cur_sol++;
		if (this.cur_sol === this.solstack.length)
			this.solstack.push(new cr.selection(this));
		var clonesol = this.solstack[this.cur_sol];
		var prevsol = this.solstack[this.cur_sol - 1];
		if (prevsol.select_all)
			clonesol.select_all = true;
		else
		{
			clonesol.select_all = false;
			cr.shallowAssignArray(clonesol.instances, prevsol.instances);
			cr.shallowAssignArray(clonesol.else_instances, prevsol.else_instances);
		}
	};
	cr.type_popSol = function ()
	{
;
		this.cur_sol--;
	};
	cr.type_getBehaviorByName = function (behname)
	{
		var i, len, j, lenj, f, index = 0;
		if (!this.is_family)
		{
			for (i = 0, len = this.families.length; i < len; i++)
			{
				f = this.families[i];
				for (j = 0, lenj = f.behaviors.length; j < lenj; j++)
				{
					if (behname === f.behaviors[j].name)
					{
						this.extra["lastBehIndex"] = index;
						return f.behaviors[j];
					}
					index++;
				}
			}
		}
		for (i = 0, len = this.behaviors.length; i < len; i++) {
			if (behname === this.behaviors[i].name)
			{
				this.extra["lastBehIndex"] = index;
				return this.behaviors[i];
			}
			index++;
		}
		return null;
	};
	cr.type_getBehaviorIndexByName = function (behname)
	{
		var b = this.getBehaviorByName(behname);
		if (b)
			return this.extra["lastBehIndex"];
		else
			return -1;
	};
	cr.type_getEffectIndexByName = function (name_)
	{
		var i, len;
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			if (this.effect_types[i].name === name_)
				return i;
		}
		return -1;
	};
	cr.type_applySolToContainer = function ()
	{
		if (!this.is_contained || this.is_family)
			return;
		var i, len, j, lenj, t, sol, sol2;
		this.updateIIDs();
		sol = this.getCurrentSol();
		var select_all = sol.select_all;
		var es = this.runtime.getCurrentEventStack();
		var orblock = es && es.current_event && es.current_event.orblock;
		for (i = 0, len = this.container.length; i < len; i++)
		{
			t = this.container[i];
			if (t === this)
				continue;
			t.updateIIDs();
			sol2 = t.getCurrentSol();
			sol2.select_all = select_all;
			if (!select_all)
			{
				sol2.instances.length = sol.instances.length;
				for (j = 0, lenj = sol.instances.length; j < lenj; j++)
					sol2.instances[j] = t.getInstanceByIID(sol.instances[j].iid);
				if (orblock)
				{
					sol2.else_instances.length = sol.else_instances.length;
					for (j = 0, lenj = sol.else_instances.length; j < lenj; j++)
						sol2.else_instances[j] = t.getInstanceByIID(sol.else_instances[j].iid);
				}
			}
		}
	};
	cr.type_toString = function ()
	{
		return "Type" + this.sid;
	};
	cr.do_cmp = function (x, cmp, y)
	{
		if (typeof x === "undefined" || typeof y === "undefined")
			return false;
		switch (cmp)
		{
			case 0:     // equal
				return x === y;
			case 1:     // not equal
				return x !== y;
			case 2:     // less
				return x < y;
			case 3:     // less/equal
				return x <= y;
			case 4:     // greater
				return x > y;
			case 5:     // greater/equal
				return x >= y;
			default:
;
				return false;
		}
	};
})();
cr.shaders = {};
;
;
cr.plugins_.Arr = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Arr.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	var arrCache = [];
	function allocArray()
	{
		if (arrCache.length)
			return arrCache.pop();
		else
			return [];
	};
	if (!Array.isArray)
	{
		Array.isArray = function (vArg) {
			return Object.prototype.toString.call(vArg) === "[object Array]";
		};
	}
	function freeArray(a)
	{
		var i, len;
		for (i = 0, len = a.length; i < len; i++)
		{
			if (Array.isArray(a[i]))
				freeArray(a[i]);
		}
		a.length = 0;
		arrCache.push(a);
	};
	instanceProto.onCreate = function()
	{
		this.cx = this.properties[0];
		this.cy = this.properties[1];
		this.cz = this.properties[2];
		if (!this.recycled)
			this.arr = allocArray();
		var a = this.arr;
		a.length = this.cx;
		var x, y, z;
		for (x = 0; x < this.cx; x++)
		{
			if (!a[x])
				a[x] = allocArray();
			a[x].length = this.cy;
			for (y = 0; y < this.cy; y++)
			{
				if (!a[x][y])
					a[x][y] = allocArray();
				a[x][y].length = this.cz;
				for (z = 0; z < this.cz; z++)
					a[x][y][z] = 0;
			}
		}
		this.forX = 0;
		this.forY = 0;
		this.forZ = 0;
	};
	instanceProto.onDestroy = function ()
	{
		var x;
		for (x = 0; x < this.cx; x++)
			freeArray(this.arr[x]);		// will recurse down and recycle other arrays
		this.arr.length = 0;
	};
	instanceProto.at = function (x, y, z)
	{
		x = Math.floor(x);
		y = Math.floor(y);
		z = Math.floor(z);
		if (isNaN(x) || x < 0 || x > this.cx - 1)
			return 0;
		if (isNaN(y) || y < 0 || y > this.cy - 1)
			return 0;
		if (isNaN(z) || z < 0 || z > this.cz - 1)
			return 0;
		return this.arr[x][y][z];
	};
	instanceProto.set = function (x, y, z, val)
	{
		x = Math.floor(x);
		y = Math.floor(y);
		z = Math.floor(z);
		if (isNaN(x) || x < 0 || x > this.cx - 1)
			return;
		if (isNaN(y) || y < 0 || y > this.cy - 1)
			return;
		if (isNaN(z) || z < 0 || z > this.cz - 1)
			return;
		this.arr[x][y][z] = val;
	};
	instanceProto.getAsJSON = function ()
	{
		return JSON.stringify({
			"c2array": true,
			"size": [this.cx, this.cy, this.cz],
			"data": this.arr
		});
	};
	instanceProto.saveToJSON = function ()
	{
		return {
			"size": [this.cx, this.cy, this.cz],
			"data": this.arr
		};
	};
	instanceProto.loadFromJSON = function (o)
	{
		var sz = o["size"];
		this.cx = sz[0];
		this.cy = sz[1];
		this.cz = sz[2];
		this.arr = o["data"];
	};
	instanceProto.setSize = function (w, h, d)
	{
		if (w < 0) w = 0;
		if (h < 0) h = 0;
		if (d < 0) d = 0;
		if (this.cx === w && this.cy === h && this.cz === d)
			return;		// no change
		this.cx = w;
		this.cy = h;
		this.cz = d;
		var x, y, z;
		var a = this.arr;
		a.length = w;
		for (x = 0; x < this.cx; x++)
		{
			if (cr.is_undefined(a[x]))
				a[x] = allocArray();
			a[x].length = h;
			for (y = 0; y < this.cy; y++)
			{
				if (cr.is_undefined(a[x][y]))
					a[x][y] = allocArray();
				a[x][y].length = d;
				for (z = 0; z < this.cz; z++)
				{
					if (cr.is_undefined(a[x][y][z]))
						a[x][y][z] = 0;
				}
			}
		}
	};
	function Cnds() {};
	Cnds.prototype.CompareX = function (x, cmp, val)
	{
		return cr.do_cmp(this.at(x, 0, 0), cmp, val);
	};
	Cnds.prototype.CompareXY = function (x, y, cmp, val)
	{
		return cr.do_cmp(this.at(x, y, 0), cmp, val);
	};
	Cnds.prototype.CompareXYZ = function (x, y, z, cmp, val)
	{
		return cr.do_cmp(this.at(x, y, z), cmp, val);
	};
	instanceProto.doForEachTrigger = function (current_event)
	{
		this.runtime.pushCopySol(current_event.solModifiers);
		current_event.retrigger();
		this.runtime.popSol(current_event.solModifiers);
	};
	Cnds.prototype.ArrForEach = function (dims)
	{
        var current_event = this.runtime.getCurrentEventStack().current_event;
		this.forX = 0;
		this.forY = 0;
		this.forZ = 0;
		switch (dims) {
		case 0:
			for (this.forX = 0; this.forX < this.cx; this.forX++)
			{
				for (this.forY = 0; this.forY < this.cy; this.forY++)
				{
					for (this.forZ = 0; this.forZ < this.cz; this.forZ++)
					{
						this.doForEachTrigger(current_event);
					}
				}
			}
			break;
		case 1:
			for (this.forX = 0; this.forX < this.cx; this.forX++)
			{
				for (this.forY = 0; this.forY < this.cy; this.forY++)
				{
					this.doForEachTrigger(current_event);
				}
			}
			break;
		case 2:
			for (this.forX = 0; this.forX < this.cx; this.forX++)
			{
				this.doForEachTrigger(current_event);
			}
			break;
		}
		this.forX = 0;
		this.forY = 0;
		this.forZ = 0;
		return false;
	};
	Cnds.prototype.CompareCurrent = function (cmp, val)
	{
		return cr.do_cmp(this.at(this.forX, this.forY, this.forZ), cmp, val);
	};
	Cnds.prototype.Contains = function(val)
	{
		var x, y, z;
		for (x = 0; x < this.cx; x++)
		{
			for (y = 0; y < this.cy; y++)
			{
				for (z = 0; z < this.cz; z++)
				{
					if (this.arr[x][y][z] === val)
						return true;
				}
			}
		}
		return false;
	};
	Cnds.prototype.IsEmpty = function ()
	{
		return this.cx === 0 || this.cy === 0 || this.cz === 0;
	};
	Cnds.prototype.CompareSize = function (axis, cmp, value)
	{
		var s = 0;
		switch (axis) {
		case 0:
			s = this.cx;
			break;
		case 1:
			s = this.cy;
			break;
		case 2:
			s = this.cz;
			break;
		}
		return cr.do_cmp(s, cmp, value);
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Clear = function ()
	{
		var x, y, z;
		for (x = 0; x < this.cx; x++)
			for (y = 0; y < this.cy; y++)
				for (z = 0; z < this.cz; z++)
					this.arr[x][y][z] = 0;
	};
	Acts.prototype.SetSize = function (w, h, d)
	{
		this.setSize(w, h, d);
	};
	Acts.prototype.SetX = function (x, val)
	{
		this.set(x, 0, 0, val);
	};
	Acts.prototype.SetXY = function (x, y, val)
	{
		this.set(x, y, 0, val);
	};
	Acts.prototype.SetXYZ = function (x, y, z, val)
	{
		this.set(x, y, z, val);
	};
	Acts.prototype.Push = function (where, value, axis)
	{
		var x = 0, y = 0, z = 0;
		var a = this.arr;
		switch (axis) {
		case 0:	// X axis
			if (where === 0)	// back
			{
				x = a.length;
				a.push(allocArray());
			}
			else				// front
			{
				x = 0;
				a.unshift(allocArray());
			}
			a[x].length = this.cy;
			for ( ; y < this.cy; y++)
			{
				a[x][y] = allocArray();
				a[x][y].length = this.cz;
				for (z = 0; z < this.cz; z++)
					a[x][y][z] = value;
			}
			this.cx++;
			break;
		case 1: // Y axis
			for ( ; x < this.cx; x++)
			{
				if (where === 0)	// back
				{
					y = a[x].length;
					a[x].push(allocArray());
				}
				else				// front
				{
					y = 0;
					a[x].unshift(allocArray());
				}
				a[x][y].length = this.cz;
				for (z = 0; z < this.cz; z++)
					a[x][y][z] = value;
			}
			this.cy++;
			break;
		case 2:	// Z axis
			for ( ; x < this.cx; x++)
			{
				for (y = 0; y < this.cy; y++)
				{
					if (where === 0)	// back
					{
						a[x][y].push(value);
					}
					else				// front
					{
						a[x][y].unshift(value);
					}
				}
			}
			this.cz++;
			break;
		}
	};
	Acts.prototype.Pop = function (where, axis)
	{
		var x = 0, y = 0, z = 0;
		var a = this.arr;
		switch (axis) {
		case 0:	// X axis
			if (this.cx === 0)
				break;
			if (where === 0)	// back
			{
				freeArray(a.pop());
			}
			else				// front
			{
				freeArray(a.shift());
			}
			this.cx--;
			break;
		case 1: // Y axis
			if (this.cy === 0)
				break;
			for ( ; x < this.cx; x++)
			{
				if (where === 0)	// back
				{
					freeArray(a[x].pop());
				}
				else				// front
				{
					freeArray(a[x].shift());
				}
			}
			this.cy--;
			break;
		case 2:	// Z axis
			if (this.cz === 0)
				break;
			for ( ; x < this.cx; x++)
			{
				for (y = 0; y < this.cy; y++)
				{
					if (where === 0)	// back
					{
						a[x][y].pop();
					}
					else				// front
					{
						a[x][y].shift();
					}
				}
			}
			this.cz--;
			break;
		}
	};
	Acts.prototype.Reverse = function (axis)
	{
		var x = 0, y = 0, z = 0;
		var a = this.arr;
		if (this.cx === 0 || this.cy === 0 || this.cz === 0)
			return;		// no point reversing empty array
		switch (axis) {
		case 0:	// X axis
			a.reverse();
			break;
		case 1: // Y axis
			for ( ; x < this.cx; x++)
				a[x].reverse();
			break;
		case 2:	// Z axis
			for ( ; x < this.cx; x++)
				for (y = 0; y < this.cy; y++)
					a[x][y].reverse();
			this.cz--;
			break;
		}
	};
	function compareValues(va, vb)
	{
		if (cr.is_number(va) && cr.is_number(vb))
			return va - vb;
		else
		{
			var sa = "" + va;
			var sb = "" + vb;
			if (sa < sb)
				return -1;
			else if (sa > sb)
				return 1;
			else
				return 0;
		}
	}
	Acts.prototype.Sort = function (axis)
	{
		var x = 0, y = 0, z = 0;
		var a = this.arr;
		if (this.cx === 0 || this.cy === 0 || this.cz === 0)
			return;		// no point sorting empty array
		switch (axis) {
		case 0:	// X axis
			a.sort(function (a, b) {
				return compareValues(a[0][0], b[0][0]);
			});
			break;
		case 1: // Y axis
			for ( ; x < this.cx; x++)
			{
				a[x].sort(function (a, b) {
					return compareValues(a[0], b[0]);
				});
			}
			break;
		case 2:	// Z axis
			for ( ; x < this.cx; x++)
			{
				for (y = 0; y < this.cy; y++)
				{
					a[x][y].sort(compareValues);
				}
			}
			break;
		}
	};
	Acts.prototype.Delete = function (index, axis)
	{
		var x = 0, y = 0, z = 0;
		index = Math.floor(index);
		var a = this.arr;
		if (index < 0)
			return;
		switch (axis) {
		case 0:	// X axis
			if (index >= this.cx)
				break;
			freeArray(a[index]);
			a.splice(index, 1);
			this.cx--;
			break;
		case 1: // Y axis
			if (index >= this.cy)
				break;
			for ( ; x < this.cx; x++)
			{
				freeArray(a[x][index]);
				a[x].splice(index, 1);
			}
			this.cy--;
			break;
		case 2:	// Z axis
			if (index >= this.cz)
				break;
			for ( ; x < this.cx; x++)
			{
				for (y = 0; y < this.cy; y++)
				{
					a[x][y].splice(index, 1);
				}
			}
			this.cz--;
			break;
		}
	};
	Acts.prototype.Insert = function (value, index, axis)
	{
		var x = 0, y = 0, z = 0;
		index = Math.floor(index);
		var a = this.arr;
		if (index < 0)
			return;
		switch (axis) {
		case 0:	// X axis
			if (index > this.cx)
				return;
			x = index;
			a.splice(x, 0, allocArray());
			a[x].length = this.cy;
			for ( ; y < this.cy; y++)
			{
				a[x][y] = allocArray();
				a[x][y].length = this.cz;
				for (z = 0; z < this.cz; z++)
					a[x][y][z] = value;
			}
			this.cx++;
			break;
		case 1: // Y axis
			if (index > this.cy)
				return;
			for ( ; x < this.cx; x++)
			{
				y = index;
				a[x].splice(y, 0, allocArray());
				a[x][y].length = this.cz;
				for (z = 0; z < this.cz; z++)
					a[x][y][z] = value;
			}
			this.cy++;
			break;
		case 2:	// Z axis
			if (index > this.cz)
				return;
			for ( ; x < this.cx; x++)
			{
				for (y = 0; y < this.cy; y++)
				{
					a[x][y].splice(index, 0, value);
				}
			}
			this.cz++;
			break;
		}
	};
	Acts.prototype.JSONLoad = function (json_)
	{
		var o;
		try {
			o = JSON.parse(json_);
		}
		catch(e) { return; }
		if (!o["c2array"])		// presumably not a c2array object
			return;
		var sz = o["size"];
		this.cx = sz[0];
		this.cy = sz[1];
		this.cz = sz[2];
		this.arr = o["data"];
	};
	Acts.prototype.JSONDownload = function (filename)
	{
		var a = document.createElement("a");
		if (typeof a.download === "undefined")
		{
			var str = 'data:text/html,' + encodeURIComponent("<p><a download='" + filename + "' href=\"data:application/json,"
				+ encodeURIComponent(this.getAsJSON())
				+ "\">Download link</a></p>");
			window.open(str);
		}
		else
		{
			var body = document.getElementsByTagName("body")[0];
			a.textContent = filename;
			a.href = "data:application/json," + encodeURIComponent(this.getAsJSON());
			a.download = filename;
			body.appendChild(a);
			var clickEvent = document.createEvent("MouseEvent");
			clickEvent.initMouseEvent("click", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
			a.dispatchEvent(clickEvent);
			body.removeChild(a);
		}
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.At = function (ret, x, y_, z_)
	{
		var y = y_ || 0;
		var z = z_ || 0;
		ret.set_any(this.at(x, y, z));
	};
	Exps.prototype.Width = function (ret)
	{
		ret.set_int(this.cx);
	};
	Exps.prototype.Height = function (ret)
	{
		ret.set_int(this.cy);
	};
	Exps.prototype.Depth = function (ret)
	{
		ret.set_int(this.cz);
	};
	Exps.prototype.CurX = function (ret)
	{
		ret.set_int(this.forX);
	};
	Exps.prototype.CurY = function (ret)
	{
		ret.set_int(this.forY);
	};
	Exps.prototype.CurZ = function (ret)
	{
		ret.set_int(this.forZ);
	};
	Exps.prototype.CurValue = function (ret)
	{
		ret.set_any(this.at(this.forX, this.forY, this.forZ));
	};
	Exps.prototype.Front = function (ret)
	{
		ret.set_any(this.at(0, 0, 0));
	};
	Exps.prototype.Back = function (ret)
	{
		ret.set_any(this.at(this.cx - 1, 0, 0));
	};
	Exps.prototype.IndexOf = function (ret, v)
	{
		for (var i = 0; i < this.cx; i++)
		{
			if (this.arr[i][0][0] === v)
			{
				ret.set_int(i);
				return;
			}
		}
		ret.set_int(-1);
	};
	Exps.prototype.LastIndexOf = function (ret, v)
	{
		for (var i = this.cx - 1; i >= 0; i--)
		{
			if (this.arr[i][0][0] === v)
			{
				ret.set_int(i);
				return;
			}
		}
		ret.set_int(-1);
	};
	Exps.prototype.AsJSON = function (ret)
	{
		ret.set_string(this.getAsJSON());
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Audio = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Audio.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	var audRuntime = null;
	var audInst = null;
	var audTag = "";
	var appPath = "";			// for PhoneGap only
	var API_HTML5 = 0;
	var API_WEBAUDIO = 1;
	var API_PHONEGAP = 2;
	var API_APPMOBI = 3;
	var api = API_HTML5;
	var context = null;
	var audioBuffers = [];		// cache of buffers
	var audioInstances = [];	// cache of instances
	var lastAudio = null;
	var useOgg = false;			// determined at create time
	var timescale_mode = 0;
	var silent = false;
	var masterVolume = 1;
	var listenerX = 0;
	var listenerY = 0;
	var panningModel = 1;		// HRTF
	var distanceModel = 1;		// Inverse
	var refDistance = 10;
	var maxDistance = 10000;
	var rolloffFactor = 1;
	var micSource = null;
	var micTag = "";
	var isMusicWorkaround = false;
	var musicPlayNextTouch = [];
	function dbToLinear(x)
	{
		var v = dbToLinear_nocap(x);
		if (v < 0)
			v = 0;
		if (v > 1)
			v = 1;
		return v;
	};
	function linearToDb(x)
	{
		if (x < 0)
			x = 0;
		if (x > 1)
			x = 1;
		return linearToDb_nocap(x);
	};
	function dbToLinear_nocap(x)
	{
		return Math.pow(10, x / 20);
	};
	function linearToDb_nocap(x)
	{
		return (Math.log(x) / Math.log(10)) * 20;
	};
	var effects = {};
	function getDestinationForTag(tag)
	{
		tag = tag.toLowerCase();
		if (effects.hasOwnProperty(tag))
		{
			if (effects[tag].length)
				return effects[tag][0].getInputNode();
		}
		return context["destination"];
	};
	function createGain()
	{
		if (context["createGain"])
			return context["createGain"]();
		else
			return context["createGainNode"]();
	};
	function createDelay(d)
	{
		if (context["createDelay"])
			return context["createDelay"](d);
		else
			return context["createDelayNode"](d);
	};
	function startSource(s)
	{
		if (s["start"])
			s["start"](0);
		else
			s["noteOn"](0);
	};
	function startSourceAt(s, x, d)
	{
		if (s["start"])
			s["start"](0, x);
		else
			s["noteGrainOn"](0, x, d - x);
	};
	function stopSource(s)
	{
		try {
			if (s["stop"])
				s["stop"](0);
			else
				s["noteOff"](0);
		}
		catch (e) {}
	};
	function setAudioParam(ap, value, ramp, time)
	{
		if (!ap)
			return;		// iOS is missing some parameters
		ap["cancelScheduledValues"](0);
		if (time === 0)
		{
			ap["value"] = value;
			return;
		}
		var curTime = context["currentTime"];
		time += curTime;
		switch (ramp) {
		case 0:		// step
			ap["setValueAtTime"](value, time);
			break;
		case 1:		// linear
			ap["setValueAtTime"](ap["value"], curTime);		// to set what to ramp from
			ap["linearRampToValueAtTime"](value, time);
			break;
		case 2:		// exponential
			ap["setValueAtTime"](ap["value"], curTime);		// to set what to ramp from
			ap["exponentialRampToValueAtTime"](value, time);
			break;
		}
	};
	var filterTypes = ["lowpass", "highpass", "bandpass", "lowshelf", "highshelf", "peaking", "notch", "allpass"];
	function FilterEffect(type, freq, detune, q, gain, mix)
	{
		this.type = "filter";
		this.params = [type, freq, detune, q, gain, mix];
		this.inputNode = createGain();
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix;
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - mix;
		this.filterNode = context["createBiquadFilter"]();
		if (typeof this.filterNode["type"] === "number")
			this.filterNode["type"] = type;
		else
			this.filterNode["type"] = filterTypes[type];
		this.filterNode["frequency"]["value"] = freq;
		if (this.filterNode["detune"])		// iOS 6 doesn't have detune yet
			this.filterNode["detune"]["value"] = detune;
		this.filterNode["Q"]["value"] = q;
		this.filterNode["gain"]["value"] = gain;
		this.inputNode["connect"](this.filterNode);
		this.inputNode["connect"](this.dryNode);
		this.filterNode["connect"](this.wetNode);
	};
	FilterEffect.prototype.connectTo = function (node)
	{
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
	};
	FilterEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.filterNode["disconnect"]();
		this.wetNode["disconnect"]();
		this.dryNode["disconnect"]();
	};
	FilterEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	FilterEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[5] = value;
			setAudioParam(this.wetNode["gain"], value, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - value, ramp, time);
			break;
		case 1:		// filter frequency
			this.params[1] = value;
			setAudioParam(this.filterNode["frequency"], value, ramp, time);
			break;
		case 2:		// filter detune
			this.params[2] = value;
			setAudioParam(this.filterNode["detune"], value, ramp, time);
			break;
		case 3:		// filter Q
			this.params[3] = value;
			setAudioParam(this.filterNode["Q"], value, ramp, time);
			break;
		case 4:		// filter/delay gain (note value is in dB here)
			this.params[4] = value;
			setAudioParam(this.filterNode["gain"], value, ramp, time);
			break;
		}
	};
	function DelayEffect(delayTime, delayGain, mix)
	{
		this.type = "delay";
		this.params = [delayTime, delayGain, mix];
		this.inputNode = createGain();
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix;
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - mix;
		this.mainNode = createGain();
		this.delayNode = createDelay(delayTime);
		this.delayNode["delayTime"]["value"] = delayTime;
		this.delayGainNode = createGain();
		this.delayGainNode["gain"]["value"] = delayGain;
		this.inputNode["connect"](this.mainNode);
		this.inputNode["connect"](this.dryNode);
		this.mainNode["connect"](this.wetNode);
		this.mainNode["connect"](this.delayNode);
		this.delayNode["connect"](this.delayGainNode);
		this.delayGainNode["connect"](this.mainNode);
	};
	DelayEffect.prototype.connectTo = function (node)
	{
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
	};
	DelayEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.mainNode["disconnect"]();
		this.delayNode["disconnect"]();
		this.delayGainNode["disconnect"]();
		this.wetNode["disconnect"]();
		this.dryNode["disconnect"]();
	};
	DelayEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	DelayEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[2] = value;
			setAudioParam(this.wetNode["gain"], value, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - value, ramp, time);
			break;
		case 4:		// filter/delay gain (note value is passed in dB but needs to be linear here)
			this.params[1] = dbToLinear(value);
			setAudioParam(this.delayGainNode["gain"], dbToLinear(value), ramp, time);
			break;
		case 5:		// delay time
			this.params[0] = value;
			setAudioParam(this.delayNode["delayTime"], value, ramp, time);
			break;
		}
	};
	function ConvolveEffect(buffer, normalize, mix, src)
	{
		this.type = "convolve";
		this.params = [normalize, mix, src];
		this.inputNode = createGain();
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix;
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - mix;
		this.convolveNode = context["createConvolver"]();
		if (buffer)
		{
			this.convolveNode["normalize"] = normalize;
			this.convolveNode["buffer"] = buffer;
		}
		this.inputNode["connect"](this.convolveNode);
		this.inputNode["connect"](this.dryNode);
		this.convolveNode["connect"](this.wetNode);
	};
	ConvolveEffect.prototype.connectTo = function (node)
	{
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
	};
	ConvolveEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.convolveNode["disconnect"]();
		this.wetNode["disconnect"]();
		this.dryNode["disconnect"]();
	};
	ConvolveEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	ConvolveEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[1] = value;
			setAudioParam(this.wetNode["gain"], value, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - value, ramp, time);
			break;
		}
	};
	function FlangerEffect(delay, modulation, freq, feedback, mix)
	{
		this.type = "flanger";
		this.params = [delay, modulation, freq, feedback, mix];
		this.inputNode = createGain();
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - (mix / 2);
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix / 2;
		this.feedbackNode = createGain();
		this.feedbackNode["gain"]["value"] = feedback;
		this.delayNode = createDelay(delay + modulation);
		this.delayNode["delayTime"]["value"] = delay;
		this.oscNode = context["createOscillator"]();
		this.oscNode["frequency"]["value"] = freq;
		this.oscGainNode = createGain();
		this.oscGainNode["gain"]["value"] = modulation;
		this.inputNode["connect"](this.delayNode);
		this.inputNode["connect"](this.dryNode);
		this.delayNode["connect"](this.wetNode);
		this.delayNode["connect"](this.feedbackNode);
		this.feedbackNode["connect"](this.delayNode);
		this.oscNode["connect"](this.oscGainNode);
		this.oscGainNode["connect"](this.delayNode["delayTime"]);
		startSource(this.oscNode);
	};
	FlangerEffect.prototype.connectTo = function (node)
	{
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
	};
	FlangerEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.delayNode["disconnect"]();
		this.oscNode["disconnect"]();
		this.oscGainNode["disconnect"]();
		this.dryNode["disconnect"]();
		this.wetNode["disconnect"]();
		this.feedbackNode["disconnect"]();
	};
	FlangerEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	FlangerEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[4] = value;
			setAudioParam(this.wetNode["gain"], value / 2, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - (value / 2), ramp, time);
			break;
		case 6:		// modulation
			this.params[1] = value / 1000;
			setAudioParam(this.oscGainNode["gain"], value / 1000, ramp, time);
			break;
		case 7:		// modulation frequency
			this.params[2] = value;
			setAudioParam(this.oscNode["frequency"], value, ramp, time);
			break;
		case 8:		// feedback
			this.params[3] = value / 100;
			setAudioParam(this.feedbackNode["gain"], value / 100, ramp, time);
			break;
		}
	};
	function PhaserEffect(freq, detune, q, modulation, modfreq, mix)
	{
		this.type = "phaser";
		this.params = [freq, detune, q, modulation, modfreq, mix];
		this.inputNode = createGain();
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - (mix / 2);
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix / 2;
		this.filterNode = context["createBiquadFilter"]();
		if (typeof this.filterNode["type"] === "number")
			this.filterNode["type"] = 7;	// all-pass
		else
			this.filterNode["type"] = "allpass";
		this.filterNode["frequency"]["value"] = freq;
		if (this.filterNode["detune"])		// iOS 6 doesn't have detune yet
			this.filterNode["detune"]["value"] = detune;
		this.filterNode["Q"]["value"] = q;
		this.oscNode = context["createOscillator"]();
		this.oscNode["frequency"]["value"] = modfreq;
		this.oscGainNode = createGain();
		this.oscGainNode["gain"]["value"] = modulation;
		this.inputNode["connect"](this.filterNode);
		this.inputNode["connect"](this.dryNode);
		this.filterNode["connect"](this.wetNode);
		this.oscNode["connect"](this.oscGainNode);
		this.oscGainNode["connect"](this.filterNode["frequency"]);
		startSource(this.oscNode);
	};
	PhaserEffect.prototype.connectTo = function (node)
	{
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
	};
	PhaserEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.filterNode["disconnect"]();
		this.oscNode["disconnect"]();
		this.oscGainNode["disconnect"]();
		this.dryNode["disconnect"]();
		this.wetNode["disconnect"]();
	};
	PhaserEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	PhaserEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[5] = value;
			setAudioParam(this.wetNode["gain"], value / 2, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - (value / 2), ramp, time);
			break;
		case 1:		// filter frequency
			this.params[0] = value;
			setAudioParam(this.filterNode["frequency"], value, ramp, time);
			break;
		case 2:		// filter detune
			this.params[1] = value;
			setAudioParam(this.filterNode["detune"], value, ramp, time);
			break;
		case 3:		// filter Q
			this.params[2] = value;
			setAudioParam(this.filterNode["Q"], value, ramp, time);
			break;
		case 6:		// modulation
			this.params[3] = value;
			setAudioParam(this.oscGainNode["gain"], value, ramp, time);
			break;
		case 7:		// modulation frequency
			this.params[4] = value;
			setAudioParam(this.oscNode["frequency"], value, ramp, time);
			break;
		}
	};
	function GainEffect(g)
	{
		this.type = "gain";
		this.params = [g];
		this.node = createGain();
		this.node["gain"]["value"] = g;
	};
	GainEffect.prototype.connectTo = function (node_)
	{
		this.node["disconnect"]();
		this.node["connect"](node_);
	};
	GainEffect.prototype.remove = function ()
	{
		this.node["disconnect"]();
	};
	GainEffect.prototype.getInputNode = function ()
	{
		return this.node;
	};
	GainEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 4:		// gain
			this.params[0] = dbToLinear(value);
			setAudioParam(this.node["gain"], dbToLinear(value), ramp, time);
			break;
		}
	};
	function TremoloEffect(freq, mix)
	{
		this.type = "tremolo";
		this.params = [freq, mix];
		this.node = createGain();
		this.node["gain"]["value"] = 1 - (mix / 2);
		this.oscNode = context["createOscillator"]();
		this.oscNode["frequency"]["value"] = freq;
		this.oscGainNode = createGain();
		this.oscGainNode["gain"]["value"] = mix / 2;
		this.oscNode["connect"](this.oscGainNode);
		this.oscGainNode["connect"](this.node["gain"]);
		startSource(this.oscNode);
	};
	TremoloEffect.prototype.connectTo = function (node_)
	{
		this.node["disconnect"]();
		this.node["connect"](node_);
	};
	TremoloEffect.prototype.remove = function ()
	{
		this.oscNode["disconnect"]();
		this.oscGainNode["disconnect"]();
		this.node["disconnect"]();
	};
	TremoloEffect.prototype.getInputNode = function ()
	{
		return this.node;
	};
	TremoloEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[1] = value;
			setAudioParam(this.node["gain"]["value"], 1 - (value / 2), ramp, time);
			setAudioParam(this.oscGainNode["gain"]["value"], value / 2, ramp, time);
			break;
		case 7:		// modulation frequency
			this.params[0] = value;
			setAudioParam(this.oscNode["frequency"], value, ramp, time);
			break;
		}
	};
	function RingModulatorEffect(freq, mix)
	{
		this.type = "ringmod";
		this.params = [freq, mix];
		this.inputNode = createGain();
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix;
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - mix;
		this.ringNode = createGain();
		this.ringNode["gain"]["value"] = 0;
		this.oscNode = context["createOscillator"]();
		this.oscNode["frequency"]["value"] = freq;
		this.oscNode["connect"](this.ringNode["gain"]);
		startSource(this.oscNode);
		this.inputNode["connect"](this.ringNode);
		this.inputNode["connect"](this.dryNode);
		this.ringNode["connect"](this.wetNode);
	};
	RingModulatorEffect.prototype.connectTo = function (node_)
	{
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node_);
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node_);
	};
	RingModulatorEffect.prototype.remove = function ()
	{
		this.oscNode["disconnect"]();
		this.ringNode["disconnect"]();
		this.inputNode["disconnect"]();
		this.wetNode["disconnect"]();
		this.dryNode["disconnect"]();
	};
	RingModulatorEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	RingModulatorEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[1] = value;
			setAudioParam(this.wetNode["gain"], value, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - value, ramp, time);
			break;
		case 7:		// modulation frequency
			this.params[0] = value;
			setAudioParam(this.oscNode["frequency"], value, ramp, time);
			break;
		}
	};
	function DistortionEffect(threshold, headroom, drive, makeupgain, mix)
	{
		this.type = "distortion";
		this.params = [threshold, headroom, drive, makeupgain, mix];
		this.inputNode = createGain();
		this.preGain = createGain();
		this.postGain = createGain();
		this.setDrive(drive, dbToLinear_nocap(makeupgain));
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix;
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - mix;
		this.waveShaper = context["createWaveShaper"]();
		this.curve = new Float32Array(65536);
		this.generateColortouchCurve(threshold, headroom);
		this.waveShaper.curve = this.curve;
		this.inputNode["connect"](this.preGain);
		this.inputNode["connect"](this.dryNode);
		this.preGain["connect"](this.waveShaper);
		this.waveShaper["connect"](this.postGain);
		this.postGain["connect"](this.wetNode);
	};
	DistortionEffect.prototype.setDrive = function (drive, makeupgain)
	{
		if (drive < 0.01)
			drive = 0.01;
		this.preGain["gain"]["value"] = drive;
		this.postGain["gain"]["value"] = Math.pow(1 / drive, 0.6) * makeupgain;
	};
	function e4(x, k)
	{
		return 1.0 - Math.exp(-k * x);
	}
	DistortionEffect.prototype.shape = function (x, linearThreshold, linearHeadroom)
	{
		var maximum = 1.05 * linearHeadroom * linearThreshold;
		var kk = (maximum - linearThreshold);
		var sign = x < 0 ? -1 : +1;
		var absx = x < 0 ? -x : x;
		var shapedInput = absx < linearThreshold ? absx : linearThreshold + kk * e4(absx - linearThreshold, 1.0 / kk);
		shapedInput *= sign;
		return shapedInput;
	};
	DistortionEffect.prototype.generateColortouchCurve = function (threshold, headroom)
	{
		var linearThreshold = dbToLinear_nocap(threshold);
		var linearHeadroom = dbToLinear_nocap(headroom);
		var n = 65536;
		var n2 = n / 2;
		var x = 0;
		for (var i = 0; i < n2; ++i) {
			x = i / n2;
			x = this.shape(x, linearThreshold, linearHeadroom);
			this.curve[n2 + i] = x;
			this.curve[n2 - i - 1] = -x;
		}
	};
	DistortionEffect.prototype.connectTo = function (node)
	{
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
	};
	DistortionEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.preGain["disconnect"]();
		this.waveShaper["disconnect"]();
		this.postGain["disconnect"]();
		this.wetNode["disconnect"]();
		this.dryNode["disconnect"]();
	};
	DistortionEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	DistortionEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[4] = value;
			setAudioParam(this.wetNode["gain"], value, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - value, ramp, time);
			break;
		}
	};
	function CompressorEffect(threshold, knee, ratio, attack, release)
	{
		this.type = "compressor";
		this.params = [threshold, knee, ratio, attack, release];
		this.node = context["createDynamicsCompressor"]();
		try {
			this.node["threshold"]["value"] = threshold;
			this.node["knee"]["value"] = knee;
			this.node["ratio"]["value"] = ratio;
			this.node["attack"]["value"] = attack;
			this.node["release"]["value"] = release;
		}
		catch (e) {}
	};
	CompressorEffect.prototype.connectTo = function (node_)
	{
		this.node["disconnect"]();
		this.node["connect"](node_);
	};
	CompressorEffect.prototype.remove = function ()
	{
		this.node["disconnect"]();
	};
	CompressorEffect.prototype.getInputNode = function ()
	{
		return this.node;
	};
	CompressorEffect.prototype.setParam = function(param, value, ramp, time)
	{
	};
	function AnalyserEffect(fftSize, smoothing)
	{
		this.type = "analyser";
		this.params = [fftSize, smoothing];
		this.node = context["createAnalyser"]();
		this.node["fftSize"] = fftSize;
		this.node["smoothingTimeConstant"] = smoothing;
		this.freqBins = new Float32Array(this.node["frequencyBinCount"]);
		this.signal = new Uint8Array(fftSize);
		this.peak = 0;
		this.rms = 0;
	};
	AnalyserEffect.prototype.tick = function ()
	{
		this.node["getFloatFrequencyData"](this.freqBins);
		this.node["getByteTimeDomainData"](this.signal);
		var fftSize = this.node["fftSize"];
		var i = 0;
		this.peak = 0;
		var rmsSquaredSum = 0;
		var s = 0;
		for ( ; i < fftSize; i++)
		{
			s = (this.signal[i] - 128) / 128;
			if (s < 0)
				s = -s;
			if (this.peak < s)
				this.peak = s;
			rmsSquaredSum += s * s;
		}
		this.peak = linearToDb(this.peak);
		this.rms = linearToDb(Math.sqrt(rmsSquaredSum / fftSize));
	};
	AnalyserEffect.prototype.connectTo = function (node_)
	{
		this.node["disconnect"]();
		this.node["connect"](node_);
	};
	AnalyserEffect.prototype.remove = function ()
	{
		this.node["disconnect"]();
	};
	AnalyserEffect.prototype.getInputNode = function ()
	{
		return this.node;
	};
	AnalyserEffect.prototype.setParam = function(param, value, ramp, time)
	{
	};
	var OT_POS_SAMPLES = 4;
	function ObjectTracker()
	{
		this.obj = null;
		this.loadUid = 0;
		this.speeds = [];
		this.lastX = 0;
		this.lastY = 0;
		this.moveAngle = 0;
	};
	ObjectTracker.prototype.setObject = function (obj_)
	{
		this.obj = obj_;
		if (this.obj)
		{
			this.lastX = this.obj.x;
			this.lastY = this.obj.y;
		}
		this.speeds.length = 0;
	};
	ObjectTracker.prototype.hasObject = function ()
	{
		return !!this.obj;
	};
	ObjectTracker.prototype.tick = function (dt)
	{
		if (!this.obj || dt === 0)
			return;
		this.moveAngle = cr.angleTo(this.lastX, this.lastY, this.obj.x, this.obj.y);
		var s = cr.distanceTo(this.lastX, this.lastY, this.obj.x, this.obj.y) / dt;
		if (this.speeds.length < OT_POS_SAMPLES)
			this.speeds.push(s);
		else
		{
			this.speeds.shift();
			this.speeds.push(s);
		}
		this.lastX = this.obj.x;
		this.lastY = this.obj.y;
	};
	ObjectTracker.prototype.getSpeed = function ()
	{
		if (!this.speeds.length)
			return 0;
		var i, len, sum = 0;
		for (i = 0, len = this.speeds.length; i < len; i++)
		{
			sum += this.speeds[i];
		}
		return sum / this.speeds.length;
	};
	ObjectTracker.prototype.getVelocityX = function ()
	{
		return Math.cos(this.moveAngle) * this.getSpeed();
	};
	ObjectTracker.prototype.getVelocityY = function ()
	{
		return Math.sin(this.moveAngle) * this.getSpeed();
	};
	var iOShadtouch = false;	// has had touch input on iOS to work around web audio API muting
	function C2AudioBuffer(src_, is_music)
	{
		this.src = src_;
		this.myapi = api;
		this.is_music = is_music;
		this.added_end_listener = false;
		var self = this;
		this.outNode = null;
		this.mediaSourceNode = null;
		this.panWhenReady = [];		// for web audio API positioned sounds
		this.seekWhenReady = 0;
		this.pauseWhenReady = false;
		this.supportWebAudioAPI = false;
		this.failedToLoad = false;
		this.wasEverReady = false;	// if a buffer is ever marked as ready, it's permanently considered ready after then.
		if (api === API_WEBAUDIO && is_music)
		{
			this.myapi = API_HTML5;
			this.outNode = createGain();
		}
		this.bufferObject = null;			// actual audio object
		this.audioData = null;				// web audio api: ajax request result (compressed audio that needs decoding)
		var request;
		switch (this.myapi) {
		case API_HTML5:
			this.bufferObject = new Audio();
			this.bufferObject.addEventListener("canplaythrough", function () {
				self.wasEverReady = true;	// update loaded state so preload is considered complete
			});
			if (api === API_WEBAUDIO && context["createMediaElementSource"] && !audRuntime.isFirefox && !/wiiu/i.test(navigator.userAgent))
			{
				this.supportWebAudioAPI = true;		// can be routed through web audio api
				this.bufferObject.addEventListener("canplay", function ()
				{
					if (!self.mediaSourceNode)		// protect against this event firing twice
					{
						self.mediaSourceNode = context["createMediaElementSource"](self.bufferObject);
						self.mediaSourceNode["connect"](self.outNode);
					}
				});
			}
			this.bufferObject.autoplay = false;	// this is only a source buffer, not an instance
			this.bufferObject.preload = "auto";
			this.bufferObject.src = src_;
			break;
		case API_WEBAUDIO:
			request = new XMLHttpRequest();
			request.open("GET", src_, true);
			request.responseType = "arraybuffer";
			request.onload = function () {
				self.audioData = request.response;
				self.decodeAudioBuffer();
			};
			request.onerror = function () {
				self.failedToLoad = true;
			};
			request.send();
			break;
		case API_PHONEGAP:
			this.bufferObject = true;
			break;
		case API_APPMOBI:
			this.bufferObject = true;
			break;
		}
	};
	C2AudioBuffer.prototype.decodeAudioBuffer = function ()
	{
		if (this.bufferObject || !this.audioData)
			return;		// audio already decoded or AJAX request not yet complete
		var self = this;
		if (context["decodeAudioData"])
		{
			context["decodeAudioData"](this.audioData, function (buffer) {
					self.bufferObject = buffer;
					self.audioData = null;		// clear AJAX response to allow GC and save memory, only need the bufferObject now
					var p, i, len, a;
					if (!cr.is_undefined(self.playTagWhenReady) && !silent)
					{
						if (self.panWhenReady.length)
						{
							for (i = 0, len = self.panWhenReady.length; i < len; i++)
							{
								p = self.panWhenReady[i];
								a = new C2AudioInstance(self, p.thistag);
								a.setPannerEnabled(true);
								if (typeof p.objUid !== "undefined")
								{
									p.obj = audRuntime.getObjectByUID(p.objUid);
									if (!p.obj)
										continue;
								}
								if (p.obj)
								{
									var px = cr.rotatePtAround(p.obj.x, p.obj.y, -p.obj.layer.getAngle(), listenerX, listenerY, true);
									var py = cr.rotatePtAround(p.obj.x, p.obj.y, -p.obj.layer.getAngle(), listenerX, listenerY, false);
									a.setPan(px, py, cr.to_degrees(p.obj.angle - p.obj.layer.getAngle()), p.ia, p.oa, p.og);
									a.setObject(p.obj);
								}
								else
								{
									a.setPan(p.x, p.y, p.a, p.ia, p.oa, p.og);
								}
								a.play(self.loopWhenReady, self.volumeWhenReady, self.seekWhenReady);
								if (self.pauseWhenReady)
									a.pause();
								audioInstances.push(a);
							}
							self.panWhenReady.length = 0;
						}
						else
						{
							a = new C2AudioInstance(self, self.playTagWhenReady);
							a.play(self.loopWhenReady, self.volumeWhenReady, self.seekWhenReady);
							if (self.pauseWhenReady)
								a.pause();
							audioInstances.push(a);
						}
					}
					else if (!cr.is_undefined(self.convolveWhenReady))
					{
						var convolveNode = self.convolveWhenReady.convolveNode;
						convolveNode["normalize"] = self.normalizeWhenReady;
						convolveNode["buffer"] = buffer;
					}
			}, function (e) {
				self.failedToLoad = true;
			});
		}
		else
		{
			this.bufferObject = context["createBuffer"](this.audioData, false);
			this.audioData = null;		// clear AJAX response to allow GC and save memory, only need the bufferObject now
			if (!cr.is_undefined(this.playTagWhenReady) && !silent)
			{
				var a = new C2AudioInstance(this, this.playTagWhenReady);
				a.play(this.loopWhenReady, this.volumeWhenReady, this.seekWhenReady);
				if (this.pauseWhenReady)
					a.pause();
				audioInstances.push(a);
			}
			else if (!cr.is_undefined(this.convolveWhenReady))
			{
				var convolveNode = this.convolveWhenReady.convolveNode;
				convolveNode["normalize"] = this.normalizeWhenReady;
				convolveNode["buffer"] = this.bufferObject;
			}
		}
	};
	C2AudioBuffer.prototype.isLoaded = function ()
	{
		switch (this.myapi) {
		case API_HTML5:
			var ret = this.bufferObject["readyState"] >= 4;	// HAVE_ENOUGH_DATA
			if (ret)
				this.wasEverReady = true;
			return ret || this.wasEverReady;
		case API_WEBAUDIO:
			return !!this.audioData || !!this.bufferObject;
		case API_PHONEGAP:
			return true;
		case API_APPMOBI:
			return true;
		}
		return false;
	};
	C2AudioBuffer.prototype.isLoadedAndDecoded = function ()
	{
		switch (this.myapi) {
		case API_HTML5:
			return this.isLoaded();		// no distinction between loaded and decoded in HTML5 audio, just rely on ready state
		case API_WEBAUDIO:
			return !!this.bufferObject;
		case API_PHONEGAP:
			return true;
		case API_APPMOBI:
			return true;
		}
		return false;
	};
	C2AudioBuffer.prototype.hasFailedToLoad = function ()
	{
		switch (this.myapi) {
		case API_HTML5:
			return !!this.bufferObject["error"];
		case API_WEBAUDIO:
			return this.failedToLoad;
		}
		return false;
	};
	function C2AudioInstance(buffer_, tag_)
	{
		var self = this;
		this.tag = tag_;
		this.fresh = true;
		this.stopped = true;
		this.src = buffer_.src;
		this.buffer = buffer_;
		this.myapi = api;
		this.is_music = buffer_.is_music;
		this.playbackRate = 1;
		this.pgended = true;			// for PhoneGap only: ended flag
		this.resume_me = false;			// make sure resumes when leaving suspend
		this.is_paused = false;
		this.resume_position = 0;		// for web audio api to resume from correct playback position
		this.looping = false;
		this.is_muted = false;
		this.is_silent = false;
		this.volume = 1;
		this.isTimescaled = ((timescale_mode === 1 && !this.is_music) || timescale_mode === 2);
		this.mutevol = 1;
		this.startTime = (this.isTimescaled ? audRuntime.kahanTime.sum : audRuntime.wallTime.sum);
		this.gainNode = null;
		this.pannerNode = null;
		this.pannerEnabled = false;
		this.objectTracker = null;
		this.panX = 0;
		this.panY = 0;
		this.panAngle = 0;
		this.panConeInner = 0;
		this.panConeOuter = 0;
		this.panConeOuterGain = 0;
		this.instanceObject = null;
		var add_end_listener = false;
		if (this.myapi === API_WEBAUDIO && this.buffer.myapi === API_HTML5 && !this.buffer.supportWebAudioAPI)
			this.myapi = API_HTML5;
		switch (this.myapi) {
		case API_HTML5:
			if (this.is_music)
			{
				this.instanceObject = buffer_.bufferObject;
				add_end_listener = !buffer_.added_end_listener;
				buffer_.added_end_listener = true;
			}
			else
			{
				this.instanceObject = new Audio();
				this.instanceObject.autoplay = false;
				this.instanceObject.src = buffer_.bufferObject.src;
				add_end_listener = true;
			}
			if (add_end_listener)
			{
				this.instanceObject.addEventListener('ended', function () {
						audTag = self.tag;
						self.stopped = true;
						audRuntime.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded, audInst);
				});
			}
			break;
		case API_WEBAUDIO:
			this.gainNode = createGain();
			this.gainNode["connect"](getDestinationForTag(tag_));
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (buffer_.bufferObject)
				{
					this.instanceObject = context["createBufferSource"]();
					this.instanceObject["buffer"] = buffer_.bufferObject;
					this.instanceObject["connect"](this.gainNode);
				}
			}
			else
			{
				this.instanceObject = this.buffer.bufferObject;		// reference the audio element
				this.buffer.outNode["connect"](this.gainNode);
			}
			break;
		case API_PHONEGAP:
			this.instanceObject = new window["Media"](appPath + this.src, null, null, function (status) {
					if (status === window["Media"]["MEDIA_STOPPED"])
					{
						self.pgended = true;
						self.stopped = true;
						audTag = self.tag;
						audRuntime.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded, audInst);
					}
			});
			break;
		case API_APPMOBI:
			this.instanceObject = true;
			break;
		}
	};
	C2AudioInstance.prototype.hasEnded = function ()
	{
		var time;
		switch (this.myapi) {
		case API_HTML5:
			return this.instanceObject.ended;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (!this.fresh && !this.stopped && this.instanceObject["loop"])
					return false;
				if (this.is_paused)
					return false;
				if (this.isTimescaled)
					time = audRuntime.kahanTime.sum;
				else
					time = audRuntime.wallTime.sum;
				return (time - this.startTime) > this.buffer.bufferObject["duration"];
			}
			else
				return this.instanceObject.ended;
		case API_PHONEGAP:
			return this.pgended;
		case API_APPMOBI:
			true;	// recycling an AppMobi sound does not matter because it will just do another throwaway playSound
		}
		return true;
	};
	C2AudioInstance.prototype.canBeRecycled = function ()
	{
		if (this.fresh || this.stopped)
			return true;		// not yet used or is not playing
		return this.hasEnded();
	};
	C2AudioInstance.prototype.setPannerEnabled = function (enable_)
	{
		if (api !== API_WEBAUDIO)
			return;
		if (!this.pannerEnabled && enable_)
		{
			if (!this.gainNode)
				return;
			if (!this.pannerNode)
			{
				this.pannerNode = context["createPanner"]();
				if (typeof this.pannerNode["panningModel"] === "number")
					this.pannerNode["panningModel"] = panningModel;
				else
					this.pannerNode["panningModel"] = ["equalpower", "HRTF", "soundfield"][panningModel];
				if (typeof this.pannerNode["distanceModel"] === "number")
					this.pannerNode["distanceModel"] = distanceModel;
				else
					this.pannerNode["distanceModel"] = ["linear", "inverse", "exponential"][distanceModel];
				this.pannerNode["refDistance"] = refDistance;
				this.pannerNode["maxDistance"] = maxDistance;
				this.pannerNode["rolloffFactor"] = rolloffFactor;
			}
			this.gainNode["disconnect"]();
			this.gainNode["connect"](this.pannerNode);
			this.pannerNode["connect"](getDestinationForTag(this.tag));
			this.pannerEnabled = true;
		}
		else if (this.pannerEnabled && !enable_)
		{
			if (!this.gainNode)
				return;
			this.pannerNode["disconnect"]();
			this.gainNode["disconnect"]();
			this.gainNode["connect"](getDestinationForTag(this.tag));
			this.pannerEnabled = false;
		}
	};
	C2AudioInstance.prototype.setPan = function (x, y, angle, innerangle, outerangle, outergain)
	{
		if (!this.pannerEnabled || api !== API_WEBAUDIO)
			return;
		this.pannerNode["setPosition"](x, y, 0);
		this.pannerNode["setOrientation"](Math.cos(cr.to_radians(angle)), Math.sin(cr.to_radians(angle)), 0);
		this.pannerNode["coneInnerAngle"] = innerangle;
		this.pannerNode["coneOuterAngle"] = outerangle;
		this.pannerNode["coneOuterGain"] = outergain;
		this.panX = x;
		this.panY = y;
		this.panAngle = angle;
		this.panConeInner = innerangle;
		this.panConeOuter = outerangle;
		this.panConeOuterGain = outergain;
	};
	C2AudioInstance.prototype.setObject = function (o)
	{
		if (!this.pannerEnabled || api !== API_WEBAUDIO)
			return;
		if (!this.objectTracker)
			this.objectTracker = new ObjectTracker();
		this.objectTracker.setObject(o);
	};
	C2AudioInstance.prototype.tick = function (dt)
	{
		if (!this.pannerEnabled || api !== API_WEBAUDIO || !this.objectTracker || !this.objectTracker.hasObject() || !this.isPlaying())
		{
			return;
		}
		this.objectTracker.tick(dt);
		var inst = this.objectTracker.obj;
		var px = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, true);
		var py = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, false);
		this.pannerNode["setPosition"](px, py, 0);
		var a = 0;
		if (typeof this.objectTracker.obj.angle !== "undefined")
		{
			a = inst.angle - inst.layer.getAngle();
			this.pannerNode["setOrientation"](Math.cos(a), Math.sin(a), 0);
		}
		px = cr.rotatePtAround(this.objectTracker.getVelocityX(), this.objectTracker.getVelocityY(), -inst.layer.getAngle(), 0, 0, true);
		py = cr.rotatePtAround(this.objectTracker.getVelocityX(), this.objectTracker.getVelocityY(), -inst.layer.getAngle(), 0, 0, false);
		this.pannerNode["setVelocity"](px, py, 0);
	};
	C2AudioInstance.prototype.play = function (looping, vol, fromPosition)
	{
		var instobj = this.instanceObject;
		this.looping = looping;
		this.volume = vol;
		var seekPos = fromPosition || 0;
		switch (this.myapi) {
		case API_HTML5:
			if (instobj.playbackRate !== 1.0)
				instobj.playbackRate = 1.0;
			if (instobj.volume !== vol * masterVolume)
				instobj.volume = vol * masterVolume;
			if (instobj.loop !== looping)
				instobj.loop = looping;
			if (instobj.muted)
				instobj.muted = false;
			if (instobj.currentTime !== seekPos)
			{
				try {
					instobj.currentTime = seekPos;
				}
				catch (err)
				{
;
				}
			}
			if (this.is_music && isMusicWorkaround && !audRuntime.isInUserInputEvent)
				musicPlayNextTouch.push(this);
			else
			{
				try {
					this.instanceObject.play();
				}
				catch (e) {		// sometimes throws on WP8.1... try not to kill the app
					if (console && console.log)
						console.log("[C2] WARNING: exception trying to play audio '" + this.buffer.src + "': ", e);
				}
			}
			break;
		case API_WEBAUDIO:
			this.muted = false;
			this.mutevol = 1;
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (!this.fresh)
				{
					this.instanceObject = context["createBufferSource"]();
					this.instanceObject["buffer"] = this.buffer.bufferObject;
					this.instanceObject["connect"](this.gainNode);
				}
				this.instanceObject.loop = looping;
				this.gainNode["gain"]["value"] = vol * masterVolume;
				if (seekPos === 0)
					startSource(this.instanceObject);
				else
					startSourceAt(this.instanceObject, seekPos, this.getDuration());
			}
			else
			{
				if (instobj.playbackRate !== 1.0)
					instobj.playbackRate = 1.0;
				if (instobj.loop !== looping)
					instobj.loop = looping;
				this.gainNode["gain"]["value"] = vol * masterVolume;
				if (instobj.currentTime !== seekPos)
				{
					try {
						instobj.currentTime = seekPos;
					}
					catch (err)
					{
;
					}
				}
				if (this.is_music && isMusicWorkaround && !audRuntime.isInUserInputEvent)
					musicPlayNextTouch.push(this);
				else
					instobj.play();
			}
			break;
		case API_PHONEGAP:
			if ((!this.fresh && this.stopped) || seekPos !== 0)
				instobj["seekTo"](seekPos);
			instobj["play"]();
			this.pgended = false;
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["playSound"](this.src, looping);
			else
				AppMobi["player"]["playSound"](this.src, looping);
			break;
		}
		this.playbackRate = 1;
		this.startTime = (this.isTimescaled ? audRuntime.kahanTime.sum : audRuntime.wallTime.sum) - seekPos;
		this.fresh = false;
		this.stopped = false;
		this.is_paused = false;
	};
	C2AudioInstance.prototype.stop = function ()
	{
		switch (this.myapi) {
		case API_HTML5:
			if (!this.instanceObject.paused)
				this.instanceObject.pause();
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
				stopSource(this.instanceObject);
			else
			{
				if (!this.instanceObject.paused)
					this.instanceObject.pause();
			}
			break;
		case API_PHONEGAP:
			this.instanceObject["stop"]();
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["stopSound"](this.src);
			break;
		}
		this.stopped = true;
		this.is_paused = false;
	};
	C2AudioInstance.prototype.pause = function ()
	{
		if (this.fresh || this.stopped || this.hasEnded() || this.is_paused)
			return;
		switch (this.myapi) {
		case API_HTML5:
			if (!this.instanceObject.paused)
				this.instanceObject.pause();
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				this.resume_position = this.getPlaybackTime();
				if (this.looping)
					this.resume_position = this.resume_position % this.getDuration();
				stopSource(this.instanceObject);
			}
			else
			{
				if (!this.instanceObject.paused)
					this.instanceObject.pause();
			}
			break;
		case API_PHONEGAP:
			this.instanceObject["pause"]();
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["stopSound"](this.src);
			break;
		}
		this.is_paused = true;
	};
	C2AudioInstance.prototype.resume = function ()
	{
		if (this.fresh || this.stopped || this.hasEnded() || !this.is_paused)
			return;
		switch (this.myapi) {
		case API_HTML5:
			this.instanceObject.play();
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				this.instanceObject = context["createBufferSource"]();
				this.instanceObject["buffer"] = this.buffer.bufferObject;
				this.instanceObject["connect"](this.gainNode);
				this.instanceObject.loop = this.looping;
				this.gainNode["gain"]["value"] = masterVolume * this.volume * this.mutevol;
				this.startTime = (this.isTimescaled ? audRuntime.kahanTime.sum : audRuntime.wallTime.sum) - this.resume_position;
				startSourceAt(this.instanceObject, this.resume_position, this.getDuration());
			}
			else
			{
				this.instanceObject.play();
			}
			break;
		case API_PHONEGAP:
			this.instanceObject["play"]();
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["resumeSound"](this.src);
			break;
		}
		this.is_paused = false;
	};
	C2AudioInstance.prototype.seek = function (pos)
	{
		if (this.fresh || this.stopped || this.hasEnded())
			return;
		switch (this.myapi) {
		case API_HTML5:
			try {
				this.instanceObject.currentTime = pos;
			}
			catch (e) {}
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (this.is_paused)
					this.resume_position = pos;
				else
				{
					this.pause();
					this.resume_position = pos;
					this.resume();
				}
			}
			else
			{
				try {
					this.instanceObject.currentTime = pos;
				}
				catch (e) {}
			}
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["seekSound"](this.src, pos);
			break;
		}
	};
	C2AudioInstance.prototype.reconnect = function (toNode)
	{
		if (this.myapi !== API_WEBAUDIO)
			return;
		if (this.pannerEnabled)
		{
			this.pannerNode["disconnect"]();
			this.pannerNode["connect"](toNode);
		}
		else
		{
			this.gainNode["disconnect"]();
			this.gainNode["connect"](toNode);
		}
	};
	C2AudioInstance.prototype.getDuration = function ()
	{
		switch (this.myapi) {
		case API_HTML5:
			if (typeof this.instanceObject.duration !== "undefined")
				return this.instanceObject.duration;
			else
				return 0;
		case API_WEBAUDIO:
			return this.buffer.bufferObject["duration"];
		case API_PHONEGAP:
			return this.instanceObject["getDuration"]();
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				return AppMobi["context"]["getDurationSound"](this.src);
			else
				return 0;
		}
		return 0;
	};
	C2AudioInstance.prototype.getPlaybackTime = function ()
	{
		var duration = this.getDuration();
		var ret = 0;
		switch (this.myapi) {
		case API_HTML5:
			if (typeof this.instanceObject.currentTime !== "undefined")
				ret = this.instanceObject.currentTime;
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (this.is_paused)
					return this.resume_position;
				else
					ret = (this.isTimescaled ? audRuntime.kahanTime.sum : audRuntime.wallTime.sum) - this.startTime;
			}
			else if (typeof this.instanceObject.currentTime !== "undefined")
				ret = this.instanceObject.currentTime;
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				ret = AppMobi["context"]["getPlaybackTimeSound"](this.src);
			break;
		}
		if (!this.looping && ret > duration)
			ret = duration;
		return ret;
	};
	C2AudioInstance.prototype.isPlaying = function ()
	{
		return !this.is_paused && !this.fresh && !this.stopped && !this.hasEnded();
	};
	C2AudioInstance.prototype.setVolume = function (v)
	{
		this.volume = v;
		this.updateVolume();
	};
	C2AudioInstance.prototype.updateVolume = function ()
	{
		var volToSet = this.volume * masterVolume;
		switch (this.myapi) {
		case API_HTML5:
			if (this.instanceObject.volume && this.instanceObject.volume !== volToSet)
				this.instanceObject.volume = volToSet;
			break;
		case API_WEBAUDIO:
			this.gainNode["gain"]["value"] = volToSet * this.mutevol;
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			break;
		}
	};
	C2AudioInstance.prototype.getVolume = function ()
	{
		return this.volume;
	};
	C2AudioInstance.prototype.doSetMuted = function (m)
	{
		switch (this.myapi) {
		case API_HTML5:
			if (this.instanceObject.muted !== !!m)
				this.instanceObject.muted = !!m;
			break;
		case API_WEBAUDIO:
			this.mutevol = (m ? 0 : 1);
			this.gainNode["gain"]["value"] = masterVolume * this.volume * this.mutevol;
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			break;
		}
	};
	C2AudioInstance.prototype.setMuted = function (m)
	{
		this.is_muted = !!m;
		this.doSetMuted(this.is_muted || this.is_silent);
	};
	C2AudioInstance.prototype.setSilent = function (m)
	{
		this.is_silent = !!m;
		this.doSetMuted(this.is_muted || this.is_silent);
	};
	C2AudioInstance.prototype.setLooping = function (l)
	{
		this.looping = l;
		switch (this.myapi) {
		case API_HTML5:
			if (this.instanceObject.loop !== !!l)
				this.instanceObject.loop = !!l;
			break;
		case API_WEBAUDIO:
			if (this.instanceObject.loop !== !!l)
				this.instanceObject.loop = !!l;
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["setLoopingSound"](this.src, l);
			break;
		}
	};
	C2AudioInstance.prototype.setPlaybackRate = function (r)
	{
		this.playbackRate = r;
		this.updatePlaybackRate();
	};
	C2AudioInstance.prototype.updatePlaybackRate = function ()
	{
		var r = this.playbackRate;
		if (this.isTimescaled)
			r *= audRuntime.timescale;
		switch (this.myapi) {
		case API_HTML5:
			if (this.instanceObject.playbackRate !== r)
				this.instanceObject.playbackRate = r;
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (this.instanceObject["playbackRate"]["value"] !== r)
					this.instanceObject["playbackRate"]["value"] = r;
			}
			else
			{
				if (this.instanceObject.playbackRate !== r)
					this.instanceObject.playbackRate = r;
			}
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			break;
		}
	};
	C2AudioInstance.prototype.setSuspended = function (s)
	{
		switch (this.myapi) {
		case API_HTML5:
			if (s)
			{
				if (this.isPlaying())
				{
					this.instanceObject["pause"]();
					this.resume_me = true;
				}
				else
					this.resume_me = false;
			}
			else
			{
				if (this.resume_me)
					this.instanceObject["play"]();
			}
			break;
		case API_WEBAUDIO:
			if (s)
			{
				if (this.isPlaying())
				{
					if (this.buffer.myapi === API_WEBAUDIO)
					{
						this.resume_position = this.getPlaybackTime();
						if (this.looping)
							this.resume_position = this.resume_position % this.getDuration();
						stopSource(this.instanceObject);
					}
					else
						this.instanceObject["pause"]();
					this.resume_me = true;
				}
				else
					this.resume_me = false;
			}
			else
			{
				if (this.resume_me)
				{
					if (this.buffer.myapi === API_WEBAUDIO)
					{
						this.instanceObject = context["createBufferSource"]();
						this.instanceObject["buffer"] = this.buffer.bufferObject;
						this.instanceObject["connect"](this.gainNode);
						this.instanceObject.loop = this.looping;
						this.gainNode["gain"]["value"] = masterVolume * this.volume * this.mutevol;
						this.startTime = (this.isTimescaled ? audRuntime.kahanTime.sum : audRuntime.wallTime.sum) - this.resume_position;
						startSourceAt(this.instanceObject, this.resume_position, this.getDuration());
					}
					else
					{
						this.instanceObject["play"]();
					}
				}
			}
			break;
		case API_PHONEGAP:
			if (s)
			{
				if (this.isPlaying())
				{
					this.instanceObject["pause"]();
					this.resume_me = true;
				}
				else
					this.resume_me = false;
			}
			else
			{
				if (this.resume_me)
					this.instanceObject["play"]();
			}
			break;
		case API_APPMOBI:
			break;
		}
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
		audRuntime = this.runtime;
		audInst = this;
		this.listenerTracker = null;
		this.listenerZ = -600;
		if ((this.runtime.isiOS || (this.runtime.isAndroid && (this.runtime.isChrome || this.runtime.isAndroidStockBrowser))) && !this.runtime.isCrosswalk && !this.runtime.isDomFree)
		{
			isMusicWorkaround = true;
		}
		context = null;
		if (typeof AudioContext !== "undefined")
		{
			api = API_WEBAUDIO;
			context = new AudioContext();
		}
		else if (typeof webkitAudioContext !== "undefined")
		{
			api = API_WEBAUDIO;
			context = new webkitAudioContext();
		}
		if ((this.runtime.isiOS && api === API_WEBAUDIO) || isMusicWorkaround)
		{
			document.addEventListener("touchstart", function ()
			{
				var i, len, m;
				if (!iOShadtouch && context)
				{
					var buffer = context["createBuffer"](1, 1, 22050);
					var source = context["createBufferSource"]();
					source["buffer"] = buffer;
					source["connect"](context["destination"]);
					startSource(source);
					iOShadtouch = true;
				}
				if (isMusicWorkaround)
				{
					if (!silent)
					{
						for (i = 0, len = musicPlayNextTouch.length; i < len; ++i)
						{
							m = musicPlayNextTouch[i];
							if (!m.stopped && !m.is_paused)
								m.instanceObject.play();
						}
					}
					musicPlayNextTouch.length = 0;
				}
			}, true);
		}
		if (api !== API_WEBAUDIO)
		{
			if (this.runtime.isPhoneGap && typeof window["Media"] !== "undefined")
				api = API_PHONEGAP;
			else if (this.runtime.isAppMobi)
				api = API_APPMOBI;
		}
		if (api === API_PHONEGAP)
		{
			appPath = location.href;
			var i = appPath.lastIndexOf("/");
			if (i > -1)
				appPath = appPath.substr(0, i + 1);
			appPath = appPath.replace("file://", "");
		}
		if (this.runtime.isSafari && this.runtime.isWindows && typeof Audio === "undefined")
		{
			alert("It looks like you're using Safari for Windows without Quicktime.  Audio cannot be played until Quicktime is installed.");
			this.runtime.DestroyInstance(this);
		}
		else
		{
			if (this.runtime.isDirectCanvas)
				useOgg = this.runtime.isAndroid;		// AAC on iOS, OGG on Android
			else
			{
				try {
					useOgg = !!(new Audio().canPlayType('audio/ogg; codecs="vorbis"'));
				}
				catch (e)
				{
					useOgg = false;
				}
			}
			switch (api) {
			case API_HTML5:
;
				break;
			case API_WEBAUDIO:
;
				break;
			case API_PHONEGAP:
;
				break;
			case API_APPMOBI:
;
				break;
			default:
;
			}
			this.runtime.tickMe(this);
		}
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function ()
	{
		this.runtime.audioInstance = this;
		timescale_mode = this.properties[0];	// 0 = off, 1 = sounds only, 2 = all
		this.saveload = this.properties[1];		// 0 = all, 1 = sounds only, 2 = music only, 3 = none
		this.playinbackground = (this.properties[2] !== 0);
		panningModel = this.properties[3];		// 0 = equalpower, 1 = hrtf, 3 = soundfield
		distanceModel = this.properties[4];		// 0 = linear, 1 = inverse, 2 = exponential
		this.listenerZ = -this.properties[5];
		refDistance = this.properties[6];
		maxDistance = this.properties[7];
		rolloffFactor = this.properties[8];
		this.listenerTracker = new ObjectTracker();
		if (api === API_WEBAUDIO)
		{
			context["listener"]["speedOfSound"] = this.properties[9];
			context["listener"]["dopplerFactor"] = this.properties[10];
			context["listener"]["setPosition"](this.runtime.draw_width / 2, this.runtime.draw_height / 2, this.listenerZ);
			context["listener"]["setOrientation"](0, 0, 1, 0, -1, 0);
			window["c2OnAudioMicStream"] = function (localMediaStream, tag)
			{
				if (micSource)
					micSource["disconnect"]();
				micTag = tag.toLowerCase();
				micSource = context["createMediaStreamSource"](localMediaStream);
				micSource["connect"](getDestinationForTag(micTag));
			};
		}
		this.runtime.addSuspendCallback(function(s)
		{
			audInst.onSuspend(s);
		});
		var self = this;
		this.runtime.addDestroyCallback(function (inst)
		{
			self.onInstanceDestroyed(inst);
		});
	};
	instanceProto.onInstanceDestroyed = function (inst)
	{
		var i, len, a;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			a = audioInstances[i];
			if (a.objectTracker)
			{
				if (a.objectTracker.obj === inst)
				{
					a.objectTracker.obj = null;
					if (a.pannerEnabled && a.isPlaying() && a.looping)
						a.stop();
				}
			}
		}
		if (this.listenerTracker.obj === inst)
			this.listenerTracker.obj = null;
	};
	instanceProto.saveToJSON = function ()
	{
		var o = {
			"silent": silent,
			"masterVolume": masterVolume,
			"listenerZ": this.listenerZ,
			"listenerUid": this.listenerTracker.hasObject() ? this.listenerTracker.obj.uid : -1,
			"playing": [],
			"effects": {}
		};
		var playingarr = o["playing"];
		var i, len, a, d, p, panobj, playbackTime;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			a = audioInstances[i];
			if (!a.isPlaying())
				continue;				// no need to save stopped sounds
			if (this.saveload === 3)	// not saving/loading any sounds/music
				continue;
			if (a.is_music && this.saveload === 1)	// not saving/loading music
				continue;
			if (!a.is_music && this.saveload === 2)	// not saving/loading sound
				continue;
			playbackTime = a.getPlaybackTime();
			if (a.looping)
				playbackTime = playbackTime % a.getDuration();
			d = {
				"tag": a.tag,
				"buffersrc": a.buffer.src,
				"is_music": a.is_music,
				"playbackTime": playbackTime,
				"volume": a.volume,
				"looping": a.looping,
				"muted": a.is_muted,
				"playbackRate": a.playbackRate,
				"paused": a.is_paused,
				"resume_position": a.resume_position
			};
			if (a.pannerEnabled)
			{
				d["pan"] = {};
				panobj = d["pan"];
				if (a.objectTracker && a.objectTracker.hasObject())
				{
					panobj["objUid"] = a.objectTracker.obj.uid;
				}
				else
				{
					panobj["x"] = a.panX;
					panobj["y"] = a.panY;
					panobj["a"] = a.panAngle;
				}
				panobj["ia"] = a.panConeInner;
				panobj["oa"] = a.panConeOuter;
				panobj["og"] = a.panConeOuterGain;
			}
			playingarr.push(d);
		}
		var fxobj = o["effects"];
		var fxarr;
		for (p in effects)
		{
			if (effects.hasOwnProperty(p))
			{
				fxarr = [];
				for (i = 0, len = effects[p].length; i < len; i++)
				{
					fxarr.push({ "type": effects[p][i].type, "params": effects[p][i].params });
				}
				fxobj[p] = fxarr;
			}
		}
		return o;
	};
	var objectTrackerUidsToLoad = [];
	instanceProto.loadFromJSON = function (o)
	{
		var setSilent = o["silent"];
		masterVolume = o["masterVolume"];
		this.listenerZ = o["listenerZ"];
		this.listenerTracker.setObject(null);
		var listenerUid = o["listenerUid"];
		if (listenerUid !== -1)
		{
			this.listenerTracker.loadUid = listenerUid;
			objectTrackerUidsToLoad.push(this.listenerTracker);
		}
		var playingarr = o["playing"];
		var i, len, d, src, is_music, tag, playbackTime, looping, vol, b, a, p, pan, panObjUid;
		if (this.saveload !== 3)
		{
			for (i = 0, len = audioInstances.length; i < len; i++)
			{
				a = audioInstances[i];
				if (a.is_music && this.saveload === 1)
					continue;		// only saving/loading sound: leave music playing
				if (!a.is_music && this.saveload === 2)
					continue;		// only saving/loading music: leave sound playing
				a.stop();
			}
		}
		var fxarr, fxtype, fxparams, fx;
		for (p in effects)
		{
			if (effects.hasOwnProperty(p))
			{
				for (i = 0, len = effects[p].length; i < len; i++)
					effects[p][i].remove();
			}
		}
		cr.wipe(effects);
		for (p in o["effects"])
		{
			if (o["effects"].hasOwnProperty(p))
			{
				fxarr = o["effects"][p];
				for (i = 0, len = fxarr.length; i < len; i++)
				{
					fxtype = fxarr[i]["type"];
					fxparams = fxarr[i]["params"];
					switch (fxtype) {
					case "filter":
						addEffectForTag(p, new FilterEffect(fxparams[0], fxparams[1], fxparams[2], fxparams[3], fxparams[4], fxparams[5]));
						break;
					case "delay":
						addEffectForTag(p, new DelayEffect(fxparams[0], fxparams[1], fxparams[2]));
						break;
					case "convolve":
						src = fxparams[2];
						b = this.getAudioBuffer(src, false);
						if (b.bufferObject)
						{
							fx = new ConvolveEffect(b.bufferObject, fxparams[0], fxparams[1], src);
						}
						else
						{
							fx = new ConvolveEffect(null, fxparams[0], fxparams[1], src);
							b.normalizeWhenReady = fxparams[0];
							b.convolveWhenReady = fx;
						}
						addEffectForTag(p, fx);
						break;
					case "flanger":
						addEffectForTag(p, new FlangerEffect(fxparams[0], fxparams[1], fxparams[2], fxparams[3], fxparams[4]));
						break;
					case "phaser":
						addEffectForTag(p, new PhaserEffect(fxparams[0], fxparams[1], fxparams[2], fxparams[3], fxparams[4], fxparams[5]));
						break;
					case "gain":
						addEffectForTag(p, new GainEffect(fxparams[0]));
						break;
					case "tremolo":
						addEffectForTag(p, new TremoloEffect(fxparams[0], fxparams[1]));
						break;
					case "ringmod":
						addEffectForTag(p, new RingModulatorEffect(fxparams[0], fxparams[1]));
						break;
					case "distortion":
						addEffectForTag(p, new DistortionEffect(fxparams[0], fxparams[1], fxparams[2], fxparams[3], fxparams[4]));
						break;
					case "compressor":
						addEffectForTag(p, new CompressorEffect(fxparams[0], fxparams[1], fxparams[2], fxparams[3], fxparams[4]));
						break;
					case "analyser":
						addEffectForTag(p, new AnalyserEffect(fxparams[0], fxparams[1]));
						break;
					}
				}
			}
		}
		for (i = 0, len = playingarr.length; i < len; i++)
		{
			if (this.saveload === 3)	// not saving/loading any sounds/music
				continue;
			d = playingarr[i];
			src = d["buffersrc"];
			is_music = d["is_music"];
			tag = d["tag"];
			playbackTime = d["playbackTime"];
			looping = d["looping"];
			vol = d["volume"];
			pan = d["pan"];
			panObjUid = (pan && pan.hasOwnProperty("objUid")) ? pan["objUid"] : -1;
			if (is_music && this.saveload === 1)	// not saving/loading music
				continue;
			if (!is_music && this.saveload === 2)	// not saving/loading sound
				continue;
			a = this.getAudioInstance(src, tag, is_music, looping, vol);
			if (!a)
			{
				b = this.getAudioBuffer(src, is_music);
				b.seekWhenReady = playbackTime;
				b.pauseWhenReady = d["paused"];
				if (pan)
				{
					if (panObjUid !== -1)
					{
						b.panWhenReady.push({ objUid: panObjUid, ia: pan["ia"], oa: pan["oa"], og: pan["og"], thistag: tag });
					}
					else
					{
						b.panWhenReady.push({ x: pan["x"], y: pan["y"], a: pan["a"], ia: pan["ia"], oa: pan["oa"], og: pan["og"], thistag: tag });
					}
				}
				continue;
			}
			a.resume_position = d["resume_position"];
			a.setPannerEnabled(!!pan);
			a.play(looping, vol, playbackTime);
			a.updatePlaybackRate();
			a.updateVolume();
			a.doSetMuted(a.is_muted || a.is_silent);
			if (d["paused"])
				a.pause();
			if (d["muted"])
				a.setMuted(true);
			a.doSetMuted(a.is_muted || a.is_silent);
			if (pan)
			{
				if (panObjUid !== -1)
				{
					a.objectTracker = a.objectTracker || new ObjectTracker();
					a.objectTracker.loadUid = panObjUid;
					objectTrackerUidsToLoad.push(a.objectTracker);
				}
				else
				{
					a.setPan(pan["x"], pan["y"], pan["a"], pan["ia"], pan["oa"], pan["og"]);
				}
			}
		}
		if (setSilent && !silent)			// setting silent
		{
			for (i = 0, len = audioInstances.length; i < len; i++)
				audioInstances[i].setSilent(true);
			silent = true;
		}
		else if (!setSilent && silent)		// setting not silent
		{
			for (i = 0, len = audioInstances.length; i < len; i++)
				audioInstances[i].setSilent(false);
			silent = false;
		}
	};
	instanceProto.afterLoad = function ()
	{
		var i, len, ot, inst;
		for (i = 0, len = objectTrackerUidsToLoad.length; i < len; i++)
		{
			ot = objectTrackerUidsToLoad[i];
			inst = this.runtime.getObjectByUID(ot.loadUid);
			ot.setObject(inst);
			ot.loadUid = -1;
			if (inst)
			{
				listenerX = inst.x;
				listenerY = inst.y;
			}
		}
		objectTrackerUidsToLoad.length = 0;
	};
	instanceProto.onSuspend = function (s)
	{
		if (this.playinbackground)
			return;
		var i, len;
		for (i = 0, len = audioInstances.length; i < len; i++)
			audioInstances[i].setSuspended(s);
	};
	instanceProto.tick = function ()
	{
		var dt = this.runtime.dt;
		var i, len, a;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			a = audioInstances[i];
			a.tick(dt);
			if (a.myapi !== API_HTML5 && a.myapi !== API_APPMOBI)
			{
				if (!a.fresh && !a.stopped && a.hasEnded())
				{
					a.stopped = true;
					audTag = a.tag;
					audRuntime.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded, audInst);
				}
			}
			if (timescale_mode !== 0)
				a.updatePlaybackRate();
		}
		var p, arr, f;
		for (p in effects)
		{
			if (effects.hasOwnProperty(p))
			{
				arr = effects[p];
				for (i = 0, len = arr.length; i < len; i++)
				{
					f = arr[i];
					if (f.tick)
						f.tick();
				}
			}
		}
		if (api === API_WEBAUDIO && this.listenerTracker.hasObject())
		{
			this.listenerTracker.tick(dt);
			listenerX = this.listenerTracker.obj.x;
			listenerY = this.listenerTracker.obj.y;
			context["listener"]["setPosition"](this.listenerTracker.obj.x, this.listenerTracker.obj.y, this.listenerZ);
			context["listener"]["setVelocity"](this.listenerTracker.getVelocityX(), this.listenerTracker.getVelocityY(), 0);
		}
	};
	var preload_list = [];
	instanceProto.setPreloadList = function (arr)
	{
		var i, len, p, filename, size, isOgg;
		var total_size = 0;
		for (i = 0, len = arr.length; i < len; ++i)
		{
			p = arr[i];
			filename = p[0];
			size = p[1] * 2;
			isOgg = (filename.length > 4 && filename.substr(filename.length - 4) === ".ogg");
			if ((isOgg && useOgg) || (!isOgg && !useOgg))
			{
				preload_list.push({
					filename: filename,
					size: size,
					obj: null
				});
				total_size += size;
			}
		}
		return total_size;
	};
	instanceProto.startPreloads = function ()
	{
		var i, len, p, src;
		for (i = 0, len = preload_list.length; i < len; ++i)
		{
			p = preload_list[i];
			src = this.runtime.files_subfolder + p.filename;
			p.obj = this.getAudioBuffer(src, false);
		}
	};
	instanceProto.getPreloadedSize = function ()
	{
		var completed = 0;
		var i, len, p;
		for (i = 0, len = preload_list.length; i < len; ++i)
		{
			p = preload_list[i];
			if (p.obj.isLoadedAndDecoded() || p.obj.hasFailedToLoad() || this.runtime.isDomFree || this.runtime.isAndroidStockBrowser)
			{
				completed += p.size;
			}
			else if (p.obj.isLoaded())	// downloaded but not decoded: only happens in Web Audio API, count as half-way progress
			{
				completed += Math.floor(p.size / 2);
			}
		};
		return completed;
	};
	instanceProto.getAudioBuffer = function (src_, is_music)
	{
		var i, len, a, ret = null, j, k, lenj, ai;
		for (i = 0, len = audioBuffers.length; i < len; i++)
		{
			a = audioBuffers[i];
			if (a.src === src_)
			{
				ret = a;
				break;
			}
		}
		if (!ret)
		{
			ret = new C2AudioBuffer(src_, is_music);
			audioBuffers.push(ret);
		}
		return ret;
	};
	instanceProto.getAudioInstance = function (src_, tag, is_music, looping, vol)
	{
		var i, len, a;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			a = audioInstances[i];
			if (a.src === src_ && (a.canBeRecycled() || is_music))
			{
				a.tag = tag;
				return a;
			}
		}
		var b = this.getAudioBuffer(src_, is_music);
		if (!b.bufferObject)
		{
			if (tag !== "<preload>")
			{
				b.playTagWhenReady = tag;
				b.loopWhenReady = looping;
				b.volumeWhenReady = vol;
			}
			return null;
		}
		a = new C2AudioInstance(b, tag);
		audioInstances.push(a);
		return a;
	};
	var taggedAudio = [];
	function SortByIsPlaying(a, b)
	{
		var an = a.isPlaying() ? 1 : 0;
		var bn = b.isPlaying() ? 1 : 0;
		if (an === bn)
			return 0;
		else if (an < bn)
			return 1;
		else
			return -1;
	};
	function getAudioByTag(tag, sort_by_playing)
	{
		taggedAudio.length = 0;
		if (!tag.length)
		{
			if (!lastAudio || lastAudio.hasEnded())
				return;
			else
			{
				taggedAudio.length = 1;
				taggedAudio[0] = lastAudio;
				return;
			}
		}
		var i, len, a;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			a = audioInstances[i];
			if (cr.equals_nocase(tag, a.tag))
				taggedAudio.push(a);
		}
		if (sort_by_playing)
			taggedAudio.sort(SortByIsPlaying);
	};
	function reconnectEffects(tag)
	{
		var i, len, arr, n, toNode = context["destination"];
		if (effects.hasOwnProperty(tag))
		{
			arr = effects[tag];
			if (arr.length)
			{
				toNode = arr[0].getInputNode();
				for (i = 0, len = arr.length; i < len; i++)
				{
					n = arr[i];
					if (i + 1 === len)
						n.connectTo(context["destination"]);
					else
						n.connectTo(arr[i + 1].getInputNode());
				}
			}
		}
		getAudioByTag(tag);
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].reconnect(toNode);
		if (micSource && micTag === tag)
		{
			micSource["disconnect"]();
			micSource["connect"](toNode);
		}
	};
	function addEffectForTag(tag, fx)
	{
		if (!effects.hasOwnProperty(tag))
			effects[tag] = [fx];
		else
			effects[tag].push(fx);
		reconnectEffects(tag);
	};
	function Cnds() {};
	Cnds.prototype.OnEnded = function (t)
	{
		return cr.equals_nocase(audTag, t);
	};
	Cnds.prototype.PreloadsComplete = function ()
	{
		var i, len;
		for (i = 0, len = audioBuffers.length; i < len; i++)
		{
			if (!audioBuffers[i].isLoadedAndDecoded() && !audioBuffers[i].hasFailedToLoad())
				return false;
		}
		return true;
	};
	Cnds.prototype.AdvancedAudioSupported = function ()
	{
		return api === API_WEBAUDIO;
	};
	Cnds.prototype.IsSilent = function ()
	{
		return silent;
	};
	Cnds.prototype.IsAnyPlaying = function ()
	{
		var i, len;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			if (audioInstances[i].isPlaying())
				return true;
		}
		return false;
	};
	Cnds.prototype.IsTagPlaying = function (tag)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
		{
			if (taggedAudio[i].isPlaying())
				return true;
		}
		return false;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Play = function (file, looping, vol, tag)
	{
		if (silent)
			return;
		var v = dbToLinear(vol);
		var is_music = file[1];
		var src = this.runtime.files_subfolder + file[0] + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
			return;
		lastAudio.setPannerEnabled(false);
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.PlayAtPosition = function (file, looping, vol, x_, y_, angle_, innerangle_, outerangle_, outergain_, tag)
	{
		if (silent)
			return;
		var v = dbToLinear(vol);
		var is_music = file[1];
		var src = this.runtime.files_subfolder + file[0] + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
		{
			var b = this.getAudioBuffer(src, is_music);
			b.panWhenReady.push({ x: x_, y: y_, a: angle_, ia: innerangle_, oa: outerangle_, og: dbToLinear(outergain_), thistag: tag });
			return;
		}
		lastAudio.setPannerEnabled(true);
		lastAudio.setPan(x_, y_, angle_, innerangle_, outerangle_, dbToLinear(outergain_));
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.PlayAtObject = function (file, looping, vol, obj, innerangle, outerangle, outergain, tag)
	{
		if (silent || !obj)
			return;
		var inst = obj.getFirstPicked();
		if (!inst)
			return;
		var v = dbToLinear(vol);
		var is_music = file[1];
		var src = this.runtime.files_subfolder + file[0] + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
		{
			var b = this.getAudioBuffer(src, is_music);
			b.panWhenReady.push({ obj: inst, ia: innerangle, oa: outerangle, og: dbToLinear(outergain), thistag: tag });
			return;
		}
		lastAudio.setPannerEnabled(true);
		var px = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, true);
		var py = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, false);
		lastAudio.setPan(px, py, cr.to_degrees(inst.angle - inst.layer.getAngle()), innerangle, outerangle, dbToLinear(outergain));
		lastAudio.setObject(inst);
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.PlayByName = function (folder, filename, looping, vol, tag)
	{
		if (silent)
			return;
		var v = dbToLinear(vol);
		var is_music = (folder === 1);
		var src = this.runtime.files_subfolder + filename.toLowerCase() + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
			return;
		lastAudio.setPannerEnabled(false);
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.PlayAtPositionByName = function (folder, filename, looping, vol, x_, y_, angle_, innerangle_, outerangle_, outergain_, tag)
	{
		if (silent)
			return;
		var v = dbToLinear(vol);
		var is_music = (folder === 1);
		var src = this.runtime.files_subfolder + filename.toLowerCase() + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
		{
			var b = this.getAudioBuffer(src, is_music);
			b.panWhenReady.push({ x: x_, y: y_, a: angle_, ia: innerangle_, oa: outerangle_, og: dbToLinear(outergain_), thistag: tag });
			return;
		}
		lastAudio.setPannerEnabled(true);
		lastAudio.setPan(x_, y_, angle_, innerangle_, outerangle_, dbToLinear(outergain_));
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.PlayAtObjectByName = function (folder, filename, looping, vol, obj, innerangle, outerangle, outergain, tag)
	{
		if (silent || !obj)
			return;
		var inst = obj.getFirstPicked();
		if (!inst)
			return;
		var v = dbToLinear(vol);
		var is_music = (folder === 1);
		var src = this.runtime.files_subfolder + filename.toLowerCase() + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
		{
			var b = this.getAudioBuffer(src, is_music);
			b.panWhenReady.push({ obj: inst, ia: innerangle, oa: outerangle, og: dbToLinear(outergain), thistag: tag });
			return;
		}
		lastAudio.setPannerEnabled(true);
		var px = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, true);
		var py = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, false);
		lastAudio.setPan(px, py, cr.to_degrees(inst.angle - inst.layer.getAngle()), innerangle, outerangle, dbToLinear(outergain));
		lastAudio.setObject(inst);
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.SetLooping = function (tag, looping)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].setLooping(looping === 0);
	};
	Acts.prototype.SetMuted = function (tag, muted)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].setMuted(muted === 0);
	};
	Acts.prototype.SetVolume = function (tag, vol)
	{
		getAudioByTag(tag);
		var v = dbToLinear(vol);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].setVolume(v);
	};
	Acts.prototype.Preload = function (file)
	{
		if (silent)
			return;
		var is_music = file[1];
		var src = this.runtime.files_subfolder + file[0] + (useOgg ? ".ogg" : ".m4a");
		if (api === API_APPMOBI)
		{
			if (this.runtime.isDirectCanvas)
				AppMobi["context"]["loadSound"](src);
			else
				AppMobi["player"]["loadSound"](src);
			return;
		}
		else if (api === API_PHONEGAP)
		{
			return;
		}
		this.getAudioInstance(src, "<preload>", is_music, false);
	};
	Acts.prototype.PreloadByName = function (folder, filename)
	{
		if (silent)
			return;
		var is_music = (folder === 1);
		var src = this.runtime.files_subfolder + filename.toLowerCase() + (useOgg ? ".ogg" : ".m4a");
		if (api === API_APPMOBI)
		{
			if (this.runtime.isDirectCanvas)
				AppMobi["context"]["loadSound"](src);
			else
				AppMobi["player"]["loadSound"](src);
			return;
		}
		else if (api === API_PHONEGAP)
		{
			return;
		}
		this.getAudioInstance(src, "<preload>", is_music, false);
	};
	Acts.prototype.SetPlaybackRate = function (tag, rate)
	{
		getAudioByTag(tag);
		if (rate < 0.0)
			rate = 0;
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].setPlaybackRate(rate);
	};
	Acts.prototype.Stop = function (tag)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].stop();
	};
	Acts.prototype.StopAll = function ()
	{
		var i, len;
		for (i = 0, len = audioInstances.length; i < len; i++)
			audioInstances[i].stop();
	};
	Acts.prototype.SetPaused = function (tag, state)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
		{
			if (state === 0)
				taggedAudio[i].pause();
			else
				taggedAudio[i].resume();
		}
	};
	Acts.prototype.Seek = function (tag, pos)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
		{
			taggedAudio[i].seek(pos);
		}
	};
	Acts.prototype.SetSilent = function (s)
	{
		var i, len;
		if (s === 2)					// toggling
			s = (silent ? 1 : 0);		// choose opposite state
		if (s === 0 && !silent)			// setting silent
		{
			for (i = 0, len = audioInstances.length; i < len; i++)
				audioInstances[i].setSilent(true);
			silent = true;
		}
		else if (s === 1 && silent)		// setting not silent
		{
			for (i = 0, len = audioInstances.length; i < len; i++)
				audioInstances[i].setSilent(false);
			silent = false;
		}
	};
	Acts.prototype.SetMasterVolume = function (vol)
	{
		masterVolume = dbToLinear(vol);
		var i, len;
		for (i = 0, len = audioInstances.length; i < len; i++)
			audioInstances[i].updateVolume();
	};
	Acts.prototype.AddFilterEffect = function (tag, type, freq, detune, q, gain, mix)
	{
		if (api !== API_WEBAUDIO || type < 0 || type >= filterTypes.length || !context["createBiquadFilter"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new FilterEffect(type, freq, detune, q, gain, mix));
	};
	Acts.prototype.AddDelayEffect = function (tag, delay, gain, mix)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new DelayEffect(delay, dbToLinear(gain), mix));
	};
	Acts.prototype.AddFlangerEffect = function (tag, delay, modulation, freq, feedback, mix)
	{
		if (api !== API_WEBAUDIO || !context["createOscillator"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new FlangerEffect(delay / 1000, modulation / 1000, freq, feedback / 100, mix));
	};
	Acts.prototype.AddPhaserEffect = function (tag, freq, detune, q, mod, modfreq, mix)
	{
		if (api !== API_WEBAUDIO || !context["createOscillator"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new PhaserEffect(freq, detune, q, mod, modfreq, mix));
	};
	Acts.prototype.AddConvolutionEffect = function (tag, file, norm, mix)
	{
		if (api !== API_WEBAUDIO || !context["createConvolver"])
			return;
		var doNormalize = (norm === 0);
		var src = this.runtime.files_subfolder + file[0] + (useOgg ? ".ogg" : ".m4a");
		var b = this.getAudioBuffer(src, false);
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		var fx;
		if (b.bufferObject)
		{
			fx = new ConvolveEffect(b.bufferObject, doNormalize, mix, src);
		}
		else
		{
			fx = new ConvolveEffect(null, doNormalize, mix, src);
			b.normalizeWhenReady = doNormalize;
			b.convolveWhenReady = fx;
		}
		addEffectForTag(tag, fx);
	};
	Acts.prototype.AddGainEffect = function (tag, g)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		addEffectForTag(tag, new GainEffect(dbToLinear(g)));
	};
	Acts.prototype.AddMuteEffect = function (tag)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		addEffectForTag(tag, new GainEffect(0));	// re-use gain effect with 0 gain
	};
	Acts.prototype.AddTremoloEffect = function (tag, freq, mix)
	{
		if (api !== API_WEBAUDIO || !context["createOscillator"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new TremoloEffect(freq, mix));
	};
	Acts.prototype.AddRingModEffect = function (tag, freq, mix)
	{
		if (api !== API_WEBAUDIO || !context["createOscillator"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new RingModulatorEffect(freq, mix));
	};
	Acts.prototype.AddDistortionEffect = function (tag, threshold, headroom, drive, makeupgain, mix)
	{
		if (api !== API_WEBAUDIO || !context["createWaveShaper"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new DistortionEffect(threshold, headroom, drive, makeupgain, mix));
	};
	Acts.prototype.AddCompressorEffect = function (tag, threshold, knee, ratio, attack, release)
	{
		if (api !== API_WEBAUDIO || !context["createDynamicsCompressor"])
			return;
		tag = tag.toLowerCase();
		addEffectForTag(tag, new CompressorEffect(threshold, knee, ratio, attack / 1000, release / 1000));
	};
	Acts.prototype.AddAnalyserEffect = function (tag, fftSize, smoothing)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		addEffectForTag(tag, new AnalyserEffect(fftSize, smoothing));
	};
	Acts.prototype.RemoveEffects = function (tag)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		var i, len, arr;
		if (effects.hasOwnProperty(tag))
		{
			arr = effects[tag];
			if (arr.length)
			{
				for (i = 0, len = arr.length; i < len; i++)
					arr[i].remove();
				arr.length = 0;
				reconnectEffects(tag);
			}
		}
	};
	Acts.prototype.SetEffectParameter = function (tag, index, param, value, ramp, time)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		index = Math.floor(index);
		var arr;
		if (!effects.hasOwnProperty(tag))
			return;
		arr = effects[tag];
		if (index < 0 || index >= arr.length)
			return;
		arr[index].setParam(param, value, ramp, time);
	};
	Acts.prototype.SetListenerObject = function (obj_)
	{
		if (!obj_ || api !== API_WEBAUDIO)
			return;
		var inst = obj_.getFirstPicked();
		if (!inst)
			return;
		this.listenerTracker.setObject(inst);
		listenerX = inst.x;
		listenerY = inst.y;
	};
	Acts.prototype.SetListenerZ = function (z)
	{
		this.listenerZ = z;
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.Duration = function (ret, tag)
	{
		getAudioByTag(tag, true);
		if (taggedAudio.length)
			ret.set_float(taggedAudio[0].getDuration());
		else
			ret.set_float(0);
	};
	Exps.prototype.PlaybackTime = function (ret, tag)
	{
		getAudioByTag(tag, true);
		if (taggedAudio.length)
			ret.set_float(taggedAudio[0].getPlaybackTime());
		else
			ret.set_float(0);
	};
	Exps.prototype.Volume = function (ret, tag)
	{
		getAudioByTag(tag, true);
		if (taggedAudio.length)
		{
			var v = taggedAudio[0].getVolume();
			ret.set_float(linearToDb(v));
		}
		else
			ret.set_float(0);
	};
	Exps.prototype.MasterVolume = function (ret)
	{
		ret.set_float(masterVolume);
	};
	Exps.prototype.EffectCount = function (ret, tag)
	{
		tag = tag.toLowerCase();
		var arr = null;
		if (effects.hasOwnProperty(tag))
			arr = effects[tag];
		ret.set_int(arr ? arr.length : 0);
	};
	function getAnalyser(tag, index)
	{
		var arr = null;
		if (effects.hasOwnProperty(tag))
			arr = effects[tag];
		if (arr && index >= 0 && index < arr.length && arr[index].freqBins)
			return arr[index];
		else
			return null;
	};
	Exps.prototype.AnalyserFreqBinCount = function (ret, tag, index)
	{
		tag = tag.toLowerCase();
		index = Math.floor(index);
		var analyser = getAnalyser(tag, index);
		ret.set_int(analyser ? analyser.node["frequencyBinCount"] : 0);
	};
	Exps.prototype.AnalyserFreqBinAt = function (ret, tag, index, bin)
	{
		tag = tag.toLowerCase();
		index = Math.floor(index);
		bin = Math.floor(bin);
		var analyser = getAnalyser(tag, index);
		if (!analyser)
			ret.set_float(0);
		else if (bin < 0 || bin >= analyser.node["frequencyBinCount"])
			ret.set_float(0);
		else
			ret.set_float(analyser.freqBins[bin]);
	};
	Exps.prototype.AnalyserPeakLevel = function (ret, tag, index)
	{
		tag = tag.toLowerCase();
		index = Math.floor(index);
		var analyser = getAnalyser(tag, index);
		if (analyser)
			ret.set_float(analyser.peak);
		else
			ret.set_float(0);
	};
	Exps.prototype.AnalyserRMSLevel = function (ret, tag, index)
	{
		tag = tag.toLowerCase();
		index = Math.floor(index);
		var analyser = getAnalyser(tag, index);
		if (analyser)
			ret.set_float(analyser.rms);
		else
			ret.set_float(0);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Browser = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Browser.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		var self = this;
		window.addEventListener("resize", function () {
			self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnResize, self);
		});
		if (typeof navigator.onLine !== "undefined")
		{
			window.addEventListener("online", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOnline, self);
			});
			window.addEventListener("offline", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOffline, self);
			});
		}
		if (typeof window.applicationCache !== "undefined")
		{
			window.applicationCache.addEventListener('updateready', function() {
				self.runtime.loadingprogress = 1;
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady, self);
			});
			window.applicationCache.addEventListener('progress', function(e) {
				self.runtime.loadingprogress = e["loaded"] / e["total"];
			});
		}
		if (!this.runtime.isDirectCanvas)
		{
			document.addEventListener("appMobi.device.update.available", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady, self);
			});
			document.addEventListener("backbutton", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton, self);
			});
			document.addEventListener("menubutton", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton, self);
			});
			document.addEventListener("searchbutton", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnSearchButton, self);
			});
			document.addEventListener("tizenhwkey", function (e) {
				var ret;
				switch (e["keyName"]) {
				case "back":
					ret = self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton, self);
					if (!ret)
					{
						if (window["tizen"])
							window["tizen"]["application"]["getCurrentApplication"]()["exit"]();
					}
					break;
				case "menu":
					ret = self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton, self);
					if (!ret)
						e.preventDefault();
					break;
				}
			});
		}
		if (this.runtime.isWindowsPhone81)
		{
			WinJS["Application"]["onbackclick"] = function (e)
			{
				return !!self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton, self);
			};
		}
		this.runtime.addSuspendCallback(function(s) {
			if (s)
			{
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageHidden, self);
			}
			else
			{
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageVisible, self);
			}
		});
		this.is_arcade = (typeof window["is_scirra_arcade"] !== "undefined");
	};
	function Cnds() {};
	Cnds.prototype.CookiesEnabled = function()
	{
		return navigator ? navigator.cookieEnabled : false;
	};
	Cnds.prototype.IsOnline = function()
	{
		return navigator ? navigator.onLine : false;
	};
	Cnds.prototype.HasJava = function()
	{
		return navigator ? navigator.javaEnabled() : false;
	};
	Cnds.prototype.OnOnline = function()
	{
		return true;
	};
	Cnds.prototype.OnOffline = function()
	{
		return true;
	};
	Cnds.prototype.IsDownloadingUpdate = function ()
	{
		if (typeof window["applicationCache"] === "undefined")
			return false;
		else
			return window["applicationCache"]["status"] === window["applicationCache"]["DOWNLOADING"];
	};
	Cnds.prototype.OnUpdateReady = function ()
	{
		return true;
	};
	Cnds.prototype.PageVisible = function ()
	{
		return !this.runtime.isSuspended;
	};
	Cnds.prototype.OnPageVisible = function ()
	{
		return true;
	};
	Cnds.prototype.OnPageHidden = function ()
	{
		return true;
	};
	Cnds.prototype.OnResize = function ()
	{
		return true;
	};
	Cnds.prototype.IsFullscreen = function ()
	{
		return !!(document["mozFullScreen"] || document["webkitIsFullScreen"] || document["fullScreen"] || this.runtime.isNodeFullscreen);
	};
	Cnds.prototype.OnBackButton = function ()
	{
		return true;
	};
	Cnds.prototype.OnMenuButton = function ()
	{
		return true;
	};
	Cnds.prototype.OnSearchButton = function ()
	{
		return true;
	};
	Cnds.prototype.IsMetered = function ()
	{
		var connection = navigator["connection"] || navigator["mozConnection"] || navigator["webkitConnection"];
		if (!connection)
			return false;
		return connection["metered"];
	};
	Cnds.prototype.IsCharging = function ()
	{
		var battery = navigator["battery"] || navigator["mozBattery"] || navigator["webkitBattery"];
		if (!battery)
			return true;
		return battery["charging"];
	};
	Cnds.prototype.IsPortraitLandscape = function (p)
	{
		var current = (window.innerWidth <= window.innerHeight ? 0 : 1);
		return current === p;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Alert = function (msg)
	{
		if (!this.runtime.isDomFree)
			alert(msg.toString());
	};
	Acts.prototype.Close = function ()
	{
		if (this.runtime.isCocoonJs)
			CocoonJS["App"]["forceToFinish"]();
		else if (window["tizen"])
			window["tizen"]["application"]["getCurrentApplication"]()["exit"]();
		else if (navigator["app"] && navigator["app"]["exitApp"])
			navigator["app"]["exitApp"]();
		else if (navigator["device"] && navigator["device"]["exitApp"])
			navigator["device"]["exitApp"]();
		else if (!this.is_arcade && !this.runtime.isDomFree)
			window.close();
	};
	Acts.prototype.Focus = function ()
	{
		if (this.runtime.isNodeWebkit)
		{
			var win = window["nwgui"]["Window"]["get"]();
			win["focus"]();
		}
		else if (!this.is_arcade && !this.runtime.isDomFree)
			window.focus();
	};
	Acts.prototype.Blur = function ()
	{
		if (this.runtime.isNodeWebkit)
		{
			var win = window["nwgui"]["Window"]["get"]();
			win["blur"]();
		}
		else if (!this.is_arcade && !this.runtime.isDomFree)
			window.blur();
	};
	Acts.prototype.GoBack = function ()
	{
		if (navigator["app"] && navigator["app"]["backHistory"])
			navigator["app"]["backHistory"]();
		else if (!this.is_arcade && !this.runtime.isDomFree && window.back)
			window.back();
	};
	Acts.prototype.GoForward = function ()
	{
		if (!this.is_arcade && !this.runtime.isDomFree && window.forward)
			window.forward();
	};
	Acts.prototype.GoHome = function ()
	{
		if (!this.is_arcade && !this.runtime.isDomFree && window.home)
			window.home();
	};
	Acts.prototype.GoToURL = function (url, target)
	{
		if (this.runtime.isCocoonJs)
			CocoonJS["App"]["openURL"](url);
		else if (this.runtime.isEjecta)
			ejecta["openURL"](url);
		else if (this.runtime.isWinJS)
			Windows["System"]["Launcher"]["launchUriAsync"](new Windows["Foundation"]["Uri"](url));
		else if (navigator["app"] && navigator["app"]["loadUrl"])
			navigator["app"]["loadUrl"](url, { "openExternal": true });
		else if (this.runtime.isPhoneGap)
			window.open(url, "_system");
		else if (!this.is_arcade && !this.runtime.isDomFree)
		{
			if (target === 2 && !this.is_arcade)		// top
				window.top.location = url;
			else if (target === 1 && !this.is_arcade)	// parent
				window.parent.location = url;
			else					// self
				window.location = url;
		}
	};
	Acts.prototype.GoToURLWindow = function (url, tag)
	{
		if (this.runtime.isCocoonJs)
			CocoonJS["App"]["openURL"](url);
		else if (this.runtime.isEjecta)
			ejecta["openURL"](url);
		else if (this.runtime.isWinJS)
			Windows["System"]["Launcher"]["launchUriAsync"](new Windows["Foundation"]["Uri"](url));
		else if (navigator["app"] && navigator["app"]["loadUrl"])
			navigator["app"]["loadUrl"](url, { "openExternal": true });
		else if (this.runtime.isPhoneGap)
			window.open(url, "_system");
		else if (!this.is_arcade && !this.runtime.isDomFree)
			window.open(url, tag);
	};
	Acts.prototype.Reload = function ()
	{
		if (!this.is_arcade && !this.runtime.isDomFree)
			window.location.reload();
	};
	var firstRequestFullscreen = true;
	var crruntime = null;
	function onFullscreenError(e)
	{
		if (console && console.warn)
			console.warn("Fullscreen request failed: ", e);
		crruntime["setSize"](window.innerWidth, window.innerHeight);
	};
	Acts.prototype.RequestFullScreen = function (stretchmode)
	{
		if (this.runtime.isDomFree)
		{
			cr.logexport("[Construct 2] Requesting fullscreen is not supported on this platform - the request has been ignored");
			return;
		}
		if (stretchmode >= 2)
			stretchmode += 1;
		if (stretchmode === 6)
			stretchmode = 2;
		if (this.runtime.isNodeWebkit)
		{
			if (!this.runtime.isNodeFullscreen)
			{
				window["nwgui"]["Window"]["get"]()["enterFullscreen"]();
				this.runtime.isNodeFullscreen = true;
				this.runtime.fullscreen_scaling = (stretchmode >= 2 ? stretchmode : 0);
			}
		}
		else
		{
			if (document["mozFullScreen"] || document["webkitIsFullScreen"] || !!document["msFullscreenElement"] || document["fullScreen"] || document["fullScreenElement"])
			{
				return;
			}
			this.runtime.fullscreen_scaling = (stretchmode >= 2 ? stretchmode : 0);
			var elem = this.runtime.canvasdiv || this.runtime.canvas;
			if (firstRequestFullscreen)
			{
				firstRequestFullscreen = false;
				crruntime = this.runtime;
				elem.addEventListener("mozfullscreenerror", onFullscreenError);
				elem.addEventListener("webkitfullscreenerror", onFullscreenError);
				elem.addEventListener("MSFullscreenError", onFullscreenError);
				elem.addEventListener("fullscreenerror", onFullscreenError);
			}
			if (elem["requestFullscreen"])
				elem["requestFullscreen"]();
			else if (elem["mozRequestFullScreen"])
				elem["mozRequestFullScreen"]();
			else if (elem["msRequestFullscreen"])
				elem["msRequestFullscreen"]();
			else if (elem["webkitRequestFullScreen"])
			{
				if (typeof Element !== "undefined" && typeof Element["ALLOW_KEYBOARD_INPUT"] !== "undefined")
					elem["webkitRequestFullScreen"](Element["ALLOW_KEYBOARD_INPUT"]);
				else
					elem["webkitRequestFullScreen"]();
			}
		}
	};
	Acts.prototype.CancelFullScreen = function ()
	{
		if (this.runtime.isDomFree)
		{
			cr.logexport("[Construct 2] Exiting fullscreen is not supported on this platform - the request has been ignored");
			return;
		}
		if (this.runtime.isNodeWebkit)
		{
			if (this.runtime.isNodeFullscreen)
			{
				window["nwgui"]["Window"]["get"]()["leaveFullscreen"]();
				this.runtime.isNodeFullscreen = false;
			}
		}
		else
		{
			if (document["exitFullscreen"])
				document["exitFullscreen"]();
			else if (document["mozCancelFullScreen"])
				document["mozCancelFullScreen"]();
			else if (document["msExitFullscreen"])
				document["msExitFullscreen"]();
			else if (document["webkitCancelFullScreen"])
				document["webkitCancelFullScreen"]();
		}
	};
	Acts.prototype.Vibrate = function (pattern_)
	{
		try {
			var arr = pattern_.split(",");
			var i, len;
			for (i = 0, len = arr.length; i < len; i++)
			{
				arr[i] = parseInt(arr[i], 10);
			}
			if (navigator["vibrate"])
				navigator["vibrate"](arr);
			else if (navigator["mozVibrate"])
				navigator["mozVibrate"](arr);
			else if (navigator["webkitVibrate"])
				navigator["webkitVibrate"](arr);
			else if (navigator["msVibrate"])
				navigator["msVibrate"](arr);
		}
		catch (e) {}
	};
	Acts.prototype.InvokeDownload = function (url_, filename_)
	{
		var a = document.createElement("a");
		if (typeof a["download"] === "undefined")
		{
			window.open(url_);
		}
		else
		{
			var body = document.getElementsByTagName("body")[0];
			a.textContent = filename_;
			a.href = url_;
			a["download"] = filename_;
			body.appendChild(a);
			var clickEvent = document.createEvent("MouseEvent");
			clickEvent.initMouseEvent("click", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
			a.dispatchEvent(clickEvent);
			body.removeChild(a);
		}
	};
	Acts.prototype.InvokeDownloadString = function (str_, mimetype_, filename_)
	{
		var datauri = "data:" + mimetype_ + "," + encodeURIComponent(str_);
		var a = document.createElement("a");
		if (typeof a["download"] === "undefined")
		{
			window.open(datauri);
		}
		else
		{
			var body = document.getElementsByTagName("body")[0];
			a.textContent = filename_;
			a.href = datauri;
			a["download"] = filename_;
			body.appendChild(a);
			var clickEvent = document.createEvent("MouseEvent");
			clickEvent.initMouseEvent("click", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
			a.dispatchEvent(clickEvent);
			body.removeChild(a);
		}
	};
	Acts.prototype.ConsoleLog = function (type_, msg_)
	{
		if (typeof console === "undefined")
			return;
		if (type_ === 0 && console.log)
			console.log(msg_.toString());
		if (type_ === 1 && console.warn)
			console.warn(msg_.toString());
		if (type_ === 2 && console.error)
			console.error(msg_.toString());
	};
	Acts.prototype.ConsoleGroup = function (name_)
	{
		if (console && console.group)
			console.group(name_);
	};
	Acts.prototype.ConsoleGroupEnd = function ()
	{
		if (console && console.groupEnd)
			console.groupEnd();
	};
	Acts.prototype.ExecJs = function (js_)
	{
		try {
			if (eval)
				eval(js_);
		}
		catch (e)
		{
			if (console && console.error)
				console.error("Error executing Javascript: ", e);
		}
	};
	var orientations = [
		"portrait",
		"landscape",
		"portrait-primary",
		"portrait-secondary",
		"landscape-primary",
		"landscape-secondary"
	];
	Acts.prototype.LockOrientation = function (o)
	{
		o = Math.floor(o);
		if (o < 0 || o >= orientations.length)
			return;
		this.runtime.autoLockOrientation = false;
		var orientation = orientations[o];
		if (screen["lockOrientation"])
			screen["lockOrientation"](orientation);
		else if (screen["webkitLockOrientation"])
			screen["webkitLockOrientation"](orientation);
		else if (screen["mozLockOrientation"])
			screen["mozLockOrientation"](orientation);
		else if (screen["msLockOrientation"])
			screen["msLockOrientation"](orientation);
	};
	Acts.prototype.UnlockOrientation = function ()
	{
		this.runtime.autoLockOrientation = false;
		if (screen["unlockOrientation"])
			screen["unlockOrientation"]();
		else if (screen["webkitUnlockOrientation"])
			screen["webkitUnlockOrientation"]();
		else if (screen["mozUnlockOrientation"])
			screen["mozUnlockOrientation"]();
		else if (screen["msUnlockOrientation"])
			screen["msUnlockOrientation"]();
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.URL = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.toString());
	};
	Exps.prototype.Protocol = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.protocol);
	};
	Exps.prototype.Domain = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.hostname);
	};
	Exps.prototype.PathName = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.pathname);
	};
	Exps.prototype.Hash = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.hash);
	};
	Exps.prototype.Referrer = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : document.referrer);
	};
	Exps.prototype.Title = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : document.title);
	};
	Exps.prototype.Name = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : navigator.appName);
	};
	Exps.prototype.Version = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : navigator.appVersion);
	};
	Exps.prototype.Language = function (ret)
	{
		if (navigator && navigator.language)
			ret.set_string(navigator.language);
		else
			ret.set_string("");
	};
	Exps.prototype.Platform = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : navigator.platform);
	};
	Exps.prototype.Product = function (ret)
	{
		if (navigator && navigator.product)
			ret.set_string(navigator.product);
		else
			ret.set_string("");
	};
	Exps.prototype.Vendor = function (ret)
	{
		if (navigator && navigator.vendor)
			ret.set_string(navigator.vendor);
		else
			ret.set_string("");
	};
	Exps.prototype.UserAgent = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : navigator.userAgent);
	};
	Exps.prototype.QueryString = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.search);
	};
	Exps.prototype.QueryParam = function (ret, paramname)
	{
		if (this.runtime.isDomFree)
		{
			ret.set_string("");
			return;
		}
		var match = RegExp('[?&]' + paramname + '=([^&]*)').exec(window.location.search);
		if (match)
			ret.set_string(decodeURIComponent(match[1].replace(/\+/g, ' ')));
		else
			ret.set_string("");
	};
	Exps.prototype.Bandwidth = function (ret)
	{
		var connection = navigator["connection"] || navigator["mozConnection"] || navigator["webkitConnection"];
		if (!connection)
			ret.set_float(Number.POSITIVE_INFINITY);
		else
			ret.set_float(connection["bandwidth"]);
	};
	Exps.prototype.BatteryLevel = function (ret)
	{
		var battery = navigator["battery"] || navigator["mozBattery"] || navigator["webkitBattery"];
		if (!battery)
			ret.set_float(1);
		else
			ret.set_float(battery["level"]);
	};
	Exps.prototype.BatteryTimeLeft = function (ret)
	{
		var battery = navigator["battery"] || navigator["mozBattery"] || navigator["webkitBattery"];
		if (!battery)
			ret.set_float(Number.POSITIVE_INFINITY);
		else
			ret.set_float(battery["dischargingTime"]);
	};
	Exps.prototype.ExecJS = function (ret, js_)
	{
		if (!eval)
		{
			ret.set_any(0);
			return;
		}
		var result = 0;
		try {
			result = eval(js_);
		}
		catch (e)
		{
			if (console && console.error)
				console.error("Error executing Javascript: ", e);
		}
		if (typeof result === "number")
			ret.set_any(result);
		else if (typeof result === "string")
			ret.set_any(result);
		else if (typeof result === "boolean")
			ret.set_any(result ? 1 : 0);
		else
			ret.set_any(0);
	};
	Exps.prototype.ScreenWidth = function (ret)
	{
		ret.set_int(screen.width);
	};
	Exps.prototype.ScreenHeight = function (ret)
	{
		ret.set_int(screen.height);
	};
	Exps.prototype.DevicePixelRatio = function (ret)
	{
		ret.set_float(this.runtime.devicePixelRatio);
	};
	pluginProto.exps = new Exps();
}());
/**
* Object holder for the plugin
*/
cr.plugins_.CJSAds = function(runtime)
{
	this.runtime = runtime;
};
/**
* C2 plugin
*/
(function ()
{
	var input_text = "";
	var PurchaseTransactionId = "";
	var PurchaseProductId = "";
	var products_list = [];
	var requested_score = 0;
	var showBanner = true;
	var bannerPosition = 0;
	var bannerReady = false;
	var fullscreenReady = false;
	var pluginProto = cr.plugins_.CJSAds.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	/**
	* C2 specific behaviour
	*/
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	var self;
	instanceProto.onCreate = function()
	{
		this.isShowingBanner  		= false;
		this.isShowingFullscreen 	= false;
		this.triggerProduct 		= "";
		this.socialService 			= null;
		this.socialServiceAvailable = false;
		this.socialServiceSelected 	= this.properties[2];
		this.storeServiceAvailable 	= (this.runtime.isCocoonJs && typeof CocoonJS["Store"]["nativeExtensionObjectAvailable"] !== "undefined");
		this.storeManaged 			= (this.properties[1] !== 1);
		this.storeSandboxed 		= (this.properties[3] !== 0);
		this.socialServiceClientID 	= this.properties[4];
		this.facebookAppID 			= this.properties[5];
		this.facebookChannel 		= this.properties[6];
		this.onConsumePurchaseFailedTransactionId 	= "";
		this.onConsumePurchaseCompleted 			= "";
		this.onPurchaseCompleteInfo 				= "";
		self = this;
		if (self.runtime.isCocoonJs)
		{
			CocoonJS["App"]["onTextDialogFinished"].addEventListener(function(text) {
				input_text = text;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardOK, self);
			});
			CocoonJS["App"]["onTextDialogCancelled"].addEventListener(function() {
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardCancelled, self);
			});
			CocoonJS["Ad"]["onBannerShown"].addEventListener(function ()
			{
				self.isShowingBanner = true;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnBannerShown, self);
			});
			CocoonJS["Ad"]["onBannerReady"].addEventListener(function ()
			{
				bannerReady = true;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onBannerReady, self);
			});
			CocoonJS["Ad"]["onBannerHidden"].addEventListener(function ()
			{
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onBannerHidden, self);
			});
			CocoonJS["Ad"]["onFullScreenShown"].addEventListener(function ()
			{
				self.isShowingFullscreen = true;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenShown, self);
			});
			CocoonJS["Ad"]["onFullScreenHidden"].addEventListener(function ()
			{
				self.isShowingFullscreen = false;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenHidden, self);
			});
			CocoonJS["Ad"]["onFullScreenReady"].addEventListener(function ()
			{
				fullscreenReady = true;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onFullScreenReady, self);
			});
			if (self.storeServiceAvailable)
			{
				CocoonJS["Store"]["onConsumePurchaseFailed"].addEventListener(function(transactionId, errorMessage)
				{
					self.onConsumePurchaseFailedTransactionId = transactionId;
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseFailed, self);
				});
				CocoonJS["Store"]["onConsumePurchaseStarted"].addEventListener(function()
				{
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseStarted, self);
				});
				CocoonJS["Store"]["onConsumePurchaseCompleted"].addEventListener(function(transactionId)
				{
					self.onConsumePurchaseCompleted = transactionId;
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseCompleted, self);
				});
				CocoonJS["Store"]["onProductPurchaseCompleted"].addEventListener(function (purchase)
				{
					console.log("onProductPurchaseCompleted " + purchase["productId"]);
					self.triggerProduct = purchase["productId"];
					PurchaseTransactionId = purchase["transactionId"];
					PurchaseProductId = purchase["productId"];
					CocoonJS["Store"]["addPurchase"](purchase);
					CocoonJS["Store"]["finishPurchase"](purchase["transactionId"]);
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete, self);
				});
				CocoonJS["Store"]["onProductPurchaseFailed"].addEventListener(function (productId, errorMsg)
				{
					console.log("onProductPurchaseFailed " + productId);
					self.triggerProduct = productId;
					console.log(errorMsg);
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail, self);
				});
				CocoonJS["Store"]["onProductPurchaseStarted"].addEventListener(function (productId)
				{
					console.log("onProductPurchaseStarted " + productId);
					self.triggerProduct = productId;
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseStart, self);
				});
				CocoonJS["Store"]["onProductsFetchStarted"].addEventListener(function ()
				{
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchStarted, self);
				});
				CocoonJS["Store"]["onProductsFetchFailed"].addEventListener(function ()
				{
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchFailed, self);
				});
				CocoonJS["Store"]["onProductsFetchCompleted"].addEventListener(function (products)
				{
					for (var i = products.length - 1; i >= 0; i--) {
                        console.log("Product fetched: " + products[i].productId);
						CocoonJS["Store"]["addProduct"](products[i]);
					};
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchCompleted, self);
				});
				CocoonJS["Store"]["onRestorePurchasesStarted"].addEventListener(function ()
				{
					console.log("onRestorePurchasesStarted ");
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onRestorePurchasesStarted, self);
				});
				CocoonJS["Store"]["onRestorePurchasesCompleted"].addEventListener(function ()
				{
					console.log("onRestorePurchasesCompleted ");
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onRestorePurchasesCompleted, self);
				});
				CocoonJS["Store"]["onRestorePurchasesFailed"].addEventListener(function ()
				{
					console.log("onRestorePurchasesFailed ");
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onRestorePurchasesFailed, self);
				});
				CocoonJS["Store"]["requestInitialization"]({
					"managed": self.storeManaged,
					"sandbox": self.storeSandboxed
				});
				CocoonJS["Store"]["start"]();
			}
			/**
			* No social service selected, return.
			*/
			if(this.socialServiceSelected === 0) return;
			/**
			* Set the social interface for the selected service
			*/
			this.startGameCenter = function(){
				console.log("GameCenter selected as social service");
				this.socialService = CocoonJS["Social"]["GameCenter"];
				if(this.socialService){
					if(!!this.socialService["nativeExtensionObjectAvailable"])
					this.socialServiceInterface = this.socialService.getSocialInterface();
				}else{
					throw new Error("Cannot find GameCenter service, are you using the latest CocoonJS Extensions?");
				}
			}
			this.startGooglePlay = function(){
				console.log("GooglePlayGames selected as social service");
				this.socialService = CocoonJS["Social"]["GooglePlayGames"];
				if(this.socialService){
					var config = {};
					if(this.socialServiceClientID) config.clientId = this.socialServiceClientID;
					this.socialService.init(config);
					if(!!this.socialService["nativeExtensionObjectAvailable"]){
						this.socialServiceInterface = this.socialService.getSocialInterface();
					}
				}else{
					throw new Error("Cannot find GooglePlayGames service, are you using the latest CocoonJS Extensions?");
				}
			}
			this.startFacebook = function(){
				console.log("Facebook selected as social service");
				this.socialService = CocoonJS["Social"]["Facebook"];
				if(this.socialService){
					var config = {};
					if(this.facebookAppID && this.facebookChannel){
						config.appId = this.facebookAppID;
						config.channelUrl = this.facebookChannel;
					}
					this.socialService.init(config);
					if(!!this.socialService["nativeExtensionObjectAvailable"]){
						this.socialServiceInterface = this.socialService.getSocialInterface();
						this.socialServiceInterface.setTemplates("leaderboards.html", "achievements.html");
					}
				}else{
					throw new Error("Cannot find Facebook service, are you using the latest CocoonJS Extensions?");
				}
			}
			if(this.socialServiceSelected === 2) this.startGameCenter.apply(this,[]);
			if(this.socialServiceSelected === 3) this.startGooglePlay.apply(this,[]);
			if(this.socialServiceSelected === 4) this.startFacebook.apply(this,[]);
			if(this.socialServiceSelected === 1){
				if(CocoonJS["Social"]["GooglePlayGames"]["nativeExtensionObjectAvailable"]){
					this.startGooglePlay.apply(this,[]);
				}else if(CocoonJS["Social"]["GameCenter"]["nativeExtensionObjectAvailable"]){
					this.startGameCenter.apply(this,[]);
				}else{
					return;
				}
			}
		}
	};
	function Cnds() {};
	Cnds.prototype.IsShowingBanner = function ()
	{
		return this.isShowingBanner;
	};
	Cnds.prototype.IsCocoonJS = function ()
	{
		return this.runtime.isCocoonJs;
	};
	Cnds.prototype.OnBannerShown = function ()
	{
		return true;
	};
	Cnds.prototype.OnFullscreenShown = function ()
	{
		return true;
	};
	Cnds.prototype.OnFullscreenHidden = function ()
	{
		return true;
	};
	Cnds.prototype.onFullScreenReady = function ()
	{
		return true;
	};
	Cnds.prototype.onBannerReady = function ()
	{
		return true;
	};
	Cnds.prototype.onBannerHidden = function ()
	{
		return true;
	};
	Cnds.prototype.IsShowingFullscreen = function ()
	{
		return this.isShowingFullscreen;
	};
	Cnds.prototype.PreloadFullscreen = function(){
		return true;
	}
	Cnds.prototype.IsStoreAvailable = function ()
	{
		if (this.runtime.isCocoonJs)
			return this.storeServiceAvailable && CocoonJS["Store"]["canPurchase"]();
		else
			return false;
	};
	Cnds.prototype.OnPurchaseStart = function (productid)
	{
		console.log("OnPurchaseStart");
		return this.triggerProduct === productid;
	};
	Cnds.prototype.OnPurchaseComplete = function (productid)
	{
		console.log("OnPurchaseComplete");
		return this.triggerProduct === productid;
	};
	Cnds.prototype.OnPurchaseFail = function (productid)
	{
		console.log("OnPurchaseFail");
		return this.triggerProduct === productid;
	};
	Cnds.prototype.onProductsFetchStarted = function(){
		return true;
	}
	Cnds.prototype.onConsumePurchaseFailed = function(){
		return true;
	}
	Cnds.prototype.onConsumePurchaseCompleted = function(){
		return true;
	}
	Cnds.prototype.onConsumePurchaseStarted = function(){
		return true;
	}
	Cnds.prototype.onProductsFetchCompleted = function(){
		return true;
	}
	Cnds.prototype.onProductsFetchFailed = function(){
		return true;
	}
	Cnds.prototype.IsProductPurchased = function (productid)
	{
		if (this.runtime.isCocoonJs)
			return CocoonJS["Store"]["isProductPurchased"](productid);
		else
			return false;
	};
	Cnds.prototype.OnKeyboardCancelled = function ()
	{
		return true;
	};
	Cnds.prototype.OnKeyboardOK = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceLoginSuccess = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceLoginFailed = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceLogoutSuccess = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceLogoutFailed = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceSubmitScoreSuccess = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceSubmitScoreFailed = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceRequestScoreSuccess = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceRequestScoreFailed = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceOpenLeaderBoardSuccess = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceOpenLeaderBoardClosed = function ()
	{
		return true;
	};
	Cnds.prototype.onSocialServiceOpenAchievementsSuccess = function(){
		return true;
	};
	Cnds.prototype.onSocialServiceOpenAchievementsClosed = function(){
		return true;
	};
	Cnds.prototype.onSocialServiceResetAchievementsCompleted = function(){
		return true;
	};
	Cnds.prototype.onSocialServiceResetAchievementsFailed = function(){
		return true;
	};
	Cnds.prototype.onSocialServiceSubmitAchievementCompleted = function(){
		return true;
	};
	Cnds.prototype.onSocialServiceSubmitAchievementFailed = function(){
		return true;
	};
	Cnds.prototype.onRestorePurchasesStarted = function(){
		return true;
	};
	Cnds.prototype.onRestorePurchasesCompleted = function(){
		return true;
	};
	Cnds.prototype.onRestorePurchasesFailed = function(){
		return true;
	};
	pluginProto.cnds = new Cnds();
	/**
	* Plugin actions
	*/
	function Acts() {};
	Acts.prototype.ShowBanner = function (layout_)
	{
		if (!this.runtime.isCocoonJs)
			return;
		bannerPosition = (layout_ === 0 ? CocoonJS["Ad"]["BannerLayout"]["TOP_CENTER"] : CocoonJS["Ad"]["BannerLayout"]["BOTTOM_CENTER"]);
		if (bannerReady)
		{
			showBanner = true;
			CocoonJS["Ad"]["setBannerLayout"](bannerPosition);
			CocoonJS["Ad"]["showBanner"]();
		}
		else
		{
			CocoonJS["Ad"]["preloadBanner"]();
		}
	};
	Acts.prototype.ShowFullscreen = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		if (fullscreenReady)
			CocoonJS["Ad"]["showFullScreen"]();
		else
			CocoonJS["Ad"]["preloadFullScreen"]();
	};
	Acts.prototype.HideBanner = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		showBanner = false;
		CocoonJS["Ad"]["hideBanner"]();
		this.isShowingBanner = false;
	};
	Acts.prototype.PreloadBanner = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Ad"]["preloadBanner"]();
	};
	Acts.prototype.PreloadFullscreen = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Ad"]["preloadFullScreen"]();
	};
	Acts.prototype.RefreshBanner = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Ad"]["refreshBanner"]();
	};
	Acts.prototype.RefreshFullScreen = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Ad"]["refreshFullScreen"]();
	};
	Acts.prototype.Purchase = function (productid)
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Store"]["purchaseProduct"](productid);
	};
	Acts.prototype.ConsumePurchase = function (transactionId,productId)
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Store"]["consumePurchase"](transactionId,productId);
	};
	Acts.prototype.fetchProductsFromStore = function (products)
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Store"]["fetchProductsFromStore"](products.split(","));
	};
	Acts.prototype.PurchasePreview = function (productid)
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Store"]["purchaseProductModalWithPreview"](productid);
	};
	Acts.prototype.RestorePurchases = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Store"]["restorePurchases"]();
	};
	Acts.prototype.PromptKeyboard = function (title_, message_, initial_, type_, canceltext_, oktext_)
	{
		if (!this.runtime.isCocoonJs)
			return;
		var typestr = ["text", "num", "phone", "email", "url"][type_];
		CocoonJS["App"]["showTextDialog"](title_, message_, initial_, typestr, canceltext_, oktext_);
	};
	Acts.prototype.UpdateProductsList = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		if (!CocoonJS["Store"]["canPurchase"]())
			return;
		products_list = CocoonJS["Store"]["getProducts"]();
	};
	/**
	* Social service actions
	*/
	function socialServiceRequestLoginCallback(isAuthenticated, error){
		if(isAuthenticated){
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceLoginSuccess, self);
		}else{
			console.log(JSON.stringify(error));
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceLoginFailed, self);
		}
	};
	Acts.prototype.socialServiceRequestLogin = function ()
	{
		if(!this.socialServiceInterface) return;
		if(this.socialServiceInterface.isLoggedIn()){
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceLoginSuccess, self);
		}else{
			this.socialServiceInterface.login(socialServiceRequestLoginCallback);
		}
	};
	function socialServiceRequestLogoutCallback(error){
		if(!error){
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceLogoutSuccess, self);
		}else{
			console.log(JSON.stringify(error));
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceLogoutFailed, self);}
	};
	Acts.prototype.socialServiceRequestLogout = function ()
	{
		if(!this.socialServiceInterface) return;
			this.socialServiceInterface.logout(socialServiceRequestLogoutCallback);
	};
	Acts.prototype.socialServiceShare = function (textToShare)
	{
		CocoonJS.App.share(textToShare);
	};
	function socialServiceSubmitScoreCallback(err){
		if(!err){
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceSubmitScoreSuccess, self);
		}else{
			console.log(err);
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceSubmitScoreFailed, self);
		}
	};
	Acts.prototype.socialServiceSubmitScore = function (score_, leaderboard_)
	{
		if(!this.socialServiceInterface) return;
		if(this.socialServiceInterface.isLoggedIn())
			this.socialServiceInterface.submitScore(
				score_,
				socialServiceSubmitScoreCallback,
				{ leaderboardID : leaderboard_ }
			);
	};
	function socialServiceRequestScoreCallback(loadedScore, err){
		if(!err){
			requested_score = loadedScore.score || 0;
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceRequestScoreSuccess, self);
		}else{
			console.log(err);
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceRequestScoreFailed, self);
		}
	};
	Acts.prototype.socialServiceRequestScore = function (leaderboard_)
	{
		if(!this.socialServiceInterface) return;
		if(this.socialServiceInterface.isLoggedIn())
			this.socialServiceInterface.requestScore(
				socialServiceRequestScoreCallback,
				{ leaderboardID : leaderboard_ } );
	};
	function socialServiceOpenLeaderboardCallback(err){
		if(err){
			console.log(err);
		}
		self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceOpenLeaderBoardClosed, self);
	};
	Acts.prototype.socialServiceOpenLeaderboard = function (leaderboard_)
	{
		if(!this.socialServiceInterface) return;
		if(!this.socialServiceInterface.isLoggedIn()) return;
		self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceOpenLeaderBoardSuccess, self);
		this.socialServiceInterface.showLeaderboard(
			socialServiceOpenLeaderboardCallback,
			{ leaderboardID : leaderboard_}
		);
	};
	function socialServiceOpenAchievementsCallback(err){
		if(err){
			console.log(err);
		}
		self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceOpenAchievementsClosed, self);
	}
	Acts.prototype.socialServiceOpenAchievements = function(){
		if(!this.socialServiceInterface) return;
		if(!this.socialServiceInterface.isLoggedIn()) return;
		self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceOpenAchievementsSuccess, self);
		this.socialServiceInterface.showAchievements(socialServiceOpenAchievementsCallback);
	};
	function socialServiceResetAchievementsCallback(err){
		if(err){
			try{
				console.log(JSON.stringify(err));
			}catch(e){
				for(var prop in err){
					console.log(err[prop]);
				}
				console.log(e);
			}
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceResetAchievementsFailed, self);
		}else{
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceResetAchievementsCompleted, self);
		}
	}
	Acts.prototype.socialServiceResetAchievements = function(){
		if(!this.socialServiceInterface) return;
		if(!this.socialServiceInterface.isLoggedIn()) return;
		this.socialServiceInterface.resetAchievements(socialServiceResetAchievementsCallback);
	};
	function socialServiceSubmitAchievementCallback(err){
		if(err){
			try{
				console.log(JSON.stringify(err));
			}catch(e){
				for(var prop in err){
					console.log(err[prop]);
				}
				console.log(e);
			}
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceSubmitAchievementFailed, self);
		}else{
			self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onSocialServiceSubmitAchievementCompleted, self);
		}
	}
	Acts.prototype.socialServiceSubmitAchievement = function(_achievementId){
		if(!this.socialServiceInterface) return;
		if(!this.socialServiceInterface.isLoggedIn()) return;
		this.socialServiceInterface.submitAchievement(_achievementId, socialServiceSubmitAchievementCallback);
	};
	pluginProto.acts = new Acts();
	/**
	* Expressions
	*/
	function Exps() {};
	Exps.prototype.InputText = function (ret)
	{
		ret.set_string(input_text);
	};
	Exps.prototype.PurchaseTransactionId = function (ret)
	{
		ret.set_string(PurchaseTransactionId);
	};
	Exps.prototype.PurchaseProductId = function (ret)
	{
		ret.set_string(PurchaseProductId);
	};
	Exps.prototype.ProductCount = function (ret)
	{
		ret.set_int(products_list.length);
	};
	Exps.prototype.ProductDescription = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["description"]);
	};
	Exps.prototype.ProductLocalizedPrice = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["localizedPrice"]);
	};
	Exps.prototype.ProductPrice = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["price"]);
	};
	Exps.prototype.ProductAlias = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["productAlias"]);
	};
	Exps.prototype.ProductID = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["productId"]);
	};
	Exps.prototype.ProductTitle = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["title"]);
	};
	Exps.prototype.PlayerScore = function (ret)
	{
		ret.set_float(requested_score);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Dictionary = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Dictionary.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		this.dictionary = {};
		this.cur_key = "";		// current key in for-each loop
		this.key_count = 0;
	};
	instanceProto.saveToJSON = function ()
	{
		return this.dictionary;
	};
	instanceProto.loadFromJSON = function (o)
	{
		this.dictionary = o;
		this.key_count = 0;
		for (var p in this.dictionary)
		{
			if (this.dictionary.hasOwnProperty(p))
				this.key_count++;
		}
	};
	function Cnds() {};
	Cnds.prototype.CompareValue = function (key_, cmp_, value_)
	{
		return cr.do_cmp(this.dictionary[key_], cmp_, value_);
	};
	Cnds.prototype.ForEachKey = function ()
	{
		var current_event = this.runtime.getCurrentEventStack().current_event;
		for (var p in this.dictionary)
		{
			if (this.dictionary.hasOwnProperty(p))
			{
				this.cur_key = p;
				this.runtime.pushCopySol(current_event.solModifiers);
				current_event.retrigger();
				this.runtime.popSol(current_event.solModifiers);
			}
		}
		this.cur_key = "";
		return false;
	};
	Cnds.prototype.CompareCurrentValue = function (cmp_, value_)
	{
		return cr.do_cmp(this.dictionary[this.cur_key], cmp_, value_);
	};
	Cnds.prototype.HasKey = function (key_)
	{
		return this.dictionary.hasOwnProperty(key_);
	};
	Cnds.prototype.IsEmpty = function ()
	{
		return this.key_count === 0;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.AddKey = function (key_, value_)
	{
		if (!this.dictionary.hasOwnProperty(key_))
			this.key_count++;
		this.dictionary[key_] = value_;
	};
	Acts.prototype.SetKey = function (key_, value_)
	{
		if (this.dictionary.hasOwnProperty(key_))
			this.dictionary[key_] = value_;
	};
	Acts.prototype.DeleteKey = function (key_)
	{
		if (this.dictionary.hasOwnProperty(key_))
		{
			delete this.dictionary[key_];
			this.key_count--;
		}
	};
	Acts.prototype.Clear = function ()
	{
		cr.wipe(this.dictionary);		// avoid garbaging
		this.key_count = 0;
	};
	Acts.prototype.JSONLoad = function (json_)
	{
		var o;
		try {
			o = JSON.parse(json_);
		}
		catch(e) { return; }
		if (!o["c2dictionary"])		// presumably not a c2dictionary object
			return;
		this.dictionary = o["data"];
		this.key_count = 0;
		for (var p in this.dictionary)
		{
			if (this.dictionary.hasOwnProperty(p))
				this.key_count++;
		}
	};
	Acts.prototype.JSONDownload = function (filename)
	{
		var a = document.createElement("a");
		if (typeof a.download === "undefined")
		{
			var str = 'data:text/html,' + encodeURIComponent("<p><a download='data.json' href=\"data:application/json,"
				+ encodeURIComponent(JSON.stringify({
						"c2dictionary": true,
						"data": this.dictionary
					}))
				+ "\">Download link</a></p>");
			window.open(str);
		}
		else
		{
			var body = document.getElementsByTagName("body")[0];
			a.textContent = filename;
			a.href = "data:application/json," + encodeURIComponent(JSON.stringify({
						"c2dictionary": true,
						"data": this.dictionary
					}));
			a.download = filename;
			body.appendChild(a);
			var clickEvent = document.createEvent("MouseEvent");
			clickEvent.initMouseEvent("click", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
			a.dispatchEvent(clickEvent);
			body.removeChild(a);
		}
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.Get = function (ret, key_)
	{
		if (this.dictionary.hasOwnProperty(key_))
			ret.set_any(this.dictionary[key_]);
		else
			ret.set_int(0);
	};
	Exps.prototype.KeyCount = function (ret)
	{
		ret.set_int(this.key_count);
	};
	Exps.prototype.CurrentKey = function (ret)
	{
		ret.set_string(this.cur_key);
	};
	Exps.prototype.CurrentValue = function (ret)
	{
		if (this.dictionary.hasOwnProperty(this.cur_key))
			ret.set_any(this.dictionary[this.cur_key]);
		else
			ret.set_int(0);
	};
	Exps.prototype.AsJSON = function (ret)
	{
		ret.set_string(JSON.stringify({
			"c2dictionary": true,
			"data": this.dictionary
		}));
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Flurry = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Flurry.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var flurryLoaded = false;
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		this.apiKey = this.properties[0];
		var self = this;
		if (this.apiKey.length)
		{
			if( window['c2cocoonjs'] ) {
				CocoonJS['App']['onLoadInTheWebViewSucceed']['addEventListener']( function() {
					CocoonJS['App']['forwardAsync']( "load_flurry('" + self.apiKey + "');" );
				} );
				CocoonJS['App']['loadInTheWebView']( "webview/webview.html" );
			} else {
				var s = document.createElement("script");
				s.src = "https://cdn.flurry.com/js/flurry.js";
				document.getElementsByTagName("head")[0].appendChild(s);
				s.onload = function() {
					flurryLoaded = true;
					window.onerror = function(message, file, line) {
					  FlurryAgent["logError"](file, message, line);
					};
				}
			}
		} else {
			console.log("Flurry object: no API key provided. Please enter an API Key before using the object.");
		}
	};
	function Cnds() {};
	Cnds.prototype.flurryReady = function () {
		return flurryLoaded;
	}
	pluginProto.cnds = new Cnds();
	function Acts() {};
	window['flurry_from_cocoon_ready'] = function () {
		flurryLoaded = true;
	}
	window['flurry_eval'] = function (expression) {
		if (flurryLoaded) {
			if( window['c2cocoonjs'] )
			{
				CocoonJS['App']['forwardAsync'](expression);
			} else {
				eval(expression);
			}
		}
	}
	Acts.prototype.setUserID = function (userID)
	{
		window['flurry_eval']("FlurryAgent['setUserId']('" + userID + "');");
	};
	Acts.prototype.setLocation = function (latitude, longitude, accuracy)
	{
		window['flurry_eval']("FlurryAgent['setLocation'](" + latitude + "," + longitude + "," + accuracy + ");");
	};
	Acts.prototype.logEvent = function (eventName)
	{
		window['flurry_eval']("FlurryAgent['logEvent']('" + eventName + "');");
	};
	Acts.prototype.logParamsEvent = function (eventName, params)
	{
		window['flurry_eval']("FlurryAgent['logEvent']('" + eventName + "', " + JSON.stringify(JSON.parse(params)['data']) + ");");
	};
	Acts.prototype.logTimedEvent = function (eventName, params)
	{
		window['flurry_eval']("FlurryAgent['logEvent']('" + eventName + "', " + JSON.stringify(JSON.parse(params)['data']) + ", true);");
	};
	Acts.prototype.endTimedEvent = function (eventName)
	{
		window['flurry_eval']("FlurryAgent['endTimedEvent']('" + eventName + "');");
	};
	Acts.prototype.endParamsTimedEvent = function (eventName, params)
	{
		window['flurry_eval']("FlurryAgent['endTimedEvent']('" + eventName + "', " + JSON.stringify(JSON.parse(params)['data']) + ");");
	};
	Acts.prototype.endSession = function ()
	{
		window['flurry_eval']("FlurryAgent['endSession']();");
	};
	Acts.prototype.pauseSession = function ()
	{
		window['flurry_eval']("FlurryAgent['pauseSession']();");
	};
	Acts.prototype.setRequestInterval = function (timeInSeconds)
	{
		window['flurry_eval']("FlurryAgent['setRequestInterval'](" + timeInSeconds + ");");
	};
	Acts.prototype.startSession = function ()
	{
		window['flurry_eval']("FlurryAgent['startSession']('" + this.apiKey + "');");
	};
	Acts.prototype.setSessionContinueSeconds = function (seconds)
	{
		window['flurry_eval']("FlurryAgent['setSessionContinueSeconds'](" + seconds + ");");
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Function = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Function.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	var funcStack = [];
	var funcStackPtr = -1;
	var isInPreview = false;	// set in onCreate
	function FuncStackEntry()
	{
		this.name = "";
		this.retVal = 0;
		this.params = [];
	};
	function pushFuncStack()
	{
		funcStackPtr++;
		if (funcStackPtr === funcStack.length)
			funcStack.push(new FuncStackEntry());
		return funcStack[funcStackPtr];
	};
	function getCurrentFuncStack()
	{
		if (funcStackPtr < 0)
			return null;
		return funcStack[funcStackPtr];
	};
	function getOneAboveFuncStack()
	{
		if (!funcStack.length)
			return null;
		var i = funcStackPtr + 1;
		if (i >= funcStack.length)
			i = funcStack.length - 1;
		return funcStack[i];
	};
	function popFuncStack()
	{
;
		funcStackPtr--;
	};
	instanceProto.onCreate = function()
	{
		isInPreview = (typeof cr_is_preview !== "undefined");
		var self = this;
		window["c2_callFunction"] = function (name_, params_)
		{
			var i, len, v;
			var fs = pushFuncStack();
			fs.name = name_.toLowerCase();
			fs.retVal = 0;
			if (params_)
			{
				fs.params.length = params_.length;
				for (i = 0, len = params_.length; i < len; ++i)
				{
					v = params_[i];
					if (typeof v === "number" || typeof v === "string")
						fs.params[i] = v;
					else if (typeof v === "boolean")
						fs.params[i] = (v ? 1 : 0);
					else
						fs.params[i] = 0;
				}
			}
			else
			{
				fs.params.length = 0;
			}
			self.runtime.trigger(cr.plugins_.Function.prototype.cnds.OnFunction, self, fs.name);
			popFuncStack();
			return fs.retVal;
		};
	};
	function Cnds() {};
	Cnds.prototype.OnFunction = function (name_)
	{
		var fs = getCurrentFuncStack();
		if (!fs)
			return false;
		return cr.equals_nocase(name_, fs.name);
	};
	Cnds.prototype.CompareParam = function (index_, cmp_, value_)
	{
		var fs = getCurrentFuncStack();
		if (!fs)
			return false;
		index_ = cr.floor(index_);
		if (index_ < 0 || index_ >= fs.params.length)
			return false;
		return cr.do_cmp(fs.params[index_], cmp_, value_);
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.CallFunction = function (name_, params_)
	{
		var fs = pushFuncStack();
		fs.name = name_.toLowerCase();
		fs.retVal = 0;
		cr.shallowAssignArray(fs.params, params_);
		var ran = this.runtime.trigger(cr.plugins_.Function.prototype.cnds.OnFunction, this, fs.name);
		if (isInPreview && !ran)
		{
;
		}
		popFuncStack();
	};
	Acts.prototype.SetReturnValue = function (value_)
	{
		var fs = getCurrentFuncStack();
		if (fs)
			fs.retVal = value_;
		else
;
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.ReturnValue = function (ret)
	{
		var fs = getOneAboveFuncStack();
		if (fs)
			ret.set_any(fs.retVal);
		else
			ret.set_int(0);
	};
	Exps.prototype.ParamCount = function (ret)
	{
		var fs = getCurrentFuncStack();
		if (fs)
			ret.set_int(fs.params.length);
		else
		{
;
			ret.set_int(0);
		}
	};
	Exps.prototype.Param = function (ret, index_)
	{
		index_ = cr.floor(index_);
		var fs = getCurrentFuncStack();
		if (fs)
		{
			if (index_ >= 0 && index_ < fs.params.length)
			{
				ret.set_any(fs.params[index_]);
			}
			else
			{
;
				ret.set_int(0);
			}
		}
		else
		{
;
			ret.set_int(0);
		}
	};
	Exps.prototype.Call = function (ret, name_)
	{
		var fs = pushFuncStack();
		fs.name = name_.toLowerCase();
		fs.retVal = 0;
		fs.params.length = 0;
		var i, len;
		for (i = 2, len = arguments.length; i < len; i++)
			fs.params.push(arguments[i]);
		var ran = this.runtime.trigger(cr.plugins_.Function.prototype.cnds.OnFunction, this, fs.name);
		if (isInPreview && !ran)
		{
;
		}
		popFuncStack();
		ret.set_any(fs.retVal);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Keyboard = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Keyboard.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
		this.keyMap = new Array(256);	// stores key up/down state
		this.usedKeys = new Array(256);
		this.triggerKey = 0;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		var self = this;
		if (!this.runtime.isDomFree)
		{
			jQuery(document).keydown(
				function(info) {
					self.onKeyDown(info);
				}
			);
			jQuery(document).keyup(
				function(info) {
					self.onKeyUp(info);
				}
			);
		}
	};
	var keysToBlockWhenFramed = [32, 33, 34, 35, 36, 37, 38, 39, 40, 44];
	instanceProto.onKeyDown = function (info)
	{
		var alreadyPreventedDefault = false;
		if (window != window.top && keysToBlockWhenFramed.indexOf(info.which) > -1)
		{
			info.preventDefault();
			alreadyPreventedDefault = true;
			info.stopPropagation();
		}
		if (this.keyMap[info.which])
		{
			if (this.usedKeys[info.which] && !alreadyPreventedDefault)
				info.preventDefault();
			return;
		}
		this.keyMap[info.which] = true;
		this.triggerKey = info.which;
		this.runtime.isInUserInputEvent = true;
		this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnAnyKey, this);
		var eventRan = this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnKey, this);
		var eventRan2 = this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnKeyCode, this);
		this.runtime.isInUserInputEvent = false;
		if (eventRan || eventRan2)
		{
			this.usedKeys[info.which] = true;
			if (!alreadyPreventedDefault)
				info.preventDefault();
		}
	};
	instanceProto.onKeyUp = function (info)
	{
		this.keyMap[info.which] = false;
		this.triggerKey = info.which;
		this.runtime.isInUserInputEvent = true;
		this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnAnyKeyReleased, this);
		var eventRan = this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnKeyReleased, this);
		var eventRan2 = this.runtime.trigger(cr.plugins_.Keyboard.prototype.cnds.OnKeyCodeReleased, this);
		this.runtime.isInUserInputEvent = false;
		if (eventRan || eventRan2 || this.usedKeys[info.which])
		{
			this.usedKeys[info.which] = true;
			info.preventDefault();
		}
	};
	instanceProto.saveToJSON = function ()
	{
		return { "triggerKey": this.triggerKey };
	};
	instanceProto.loadFromJSON = function (o)
	{
		this.triggerKey = o["triggerKey"];
	};
	function Cnds() {};
	Cnds.prototype.IsKeyDown = function(key)
	{
		return this.keyMap[key];
	};
	Cnds.prototype.OnKey = function(key)
	{
		return (key === this.triggerKey);
	};
	Cnds.prototype.OnAnyKey = function(key)
	{
		return true;
	};
	Cnds.prototype.OnAnyKeyReleased = function(key)
	{
		return true;
	};
	Cnds.prototype.OnKeyReleased = function(key)
	{
		return (key === this.triggerKey);
	};
	Cnds.prototype.IsKeyCodeDown = function(key)
	{
		key = Math.floor(key);
		if (key < 0 || key >= this.keyMap.length)
			return false;
		return this.keyMap[key];
	};
	Cnds.prototype.OnKeyCode = function(key)
	{
		return (key === this.triggerKey);
	};
	Cnds.prototype.OnKeyCodeReleased = function(key)
	{
		return (key === this.triggerKey);
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.LastKeyCode = function (ret)
	{
		ret.set_int(this.triggerKey);
	};
	function fixedStringFromCharCode(kc)
	{
		kc = Math.floor(kc);
		switch (kc) {
		case 8:		return "backspace";
		case 9:		return "tab";
		case 13:	return "enter";
		case 16:	return "shift";
		case 17:	return "control";
		case 18:	return "alt";
		case 19:	return "pause";
		case 20:	return "capslock";
		case 27:	return "esc";
		case 33:	return "pageup";
		case 34:	return "pagedown";
		case 35:	return "end";
		case 36:	return "home";
		case 37:	return "←";
		case 38:	return "↑";
		case 39:	return "→";
		case 40:	return "↓";
		case 45:	return "insert";
		case 46:	return "del";
		case 91:	return "left window key";
		case 92:	return "right window key";
		case 93:	return "select";
		case 96:	return "numpad 0";
		case 97:	return "numpad 1";
		case 98:	return "numpad 2";
		case 99:	return "numpad 3";
		case 100:	return "numpad 4";
		case 101:	return "numpad 5";
		case 102:	return "numpad 6";
		case 103:	return "numpad 7";
		case 104:	return "numpad 8";
		case 105:	return "numpad 9";
		case 106:	return "numpad *";
		case 107:	return "numpad +";
		case 109:	return "numpad -";
		case 110:	return "numpad .";
		case 111:	return "numpad /";
		case 112:	return "F1";
		case 113:	return "F2";
		case 114:	return "F3";
		case 115:	return "F4";
		case 116:	return "F5";
		case 117:	return "F6";
		case 118:	return "F7";
		case 119:	return "F8";
		case 120:	return "F9";
		case 121:	return "F10";
		case 122:	return "F11";
		case 123:	return "F12";
		case 144:	return "numlock";
		case 145:	return "scroll lock";
		case 186:	return ";";
		case 187:	return "=";
		case 188:	return ",";
		case 189:	return "-";
		case 190:	return ".";
		case 191:	return "/";
		case 192:	return "'";
		case 219:	return "[";
		case 220:	return "\\";
		case 221:	return "]";
		case 222:	return "#";
		case 223:	return "`";
		default:	return String.fromCharCode(kc);
		}
	};
	Exps.prototype.StringFromKeyCode = function (ret, kc)
	{
		ret.set_string(fixedStringFromCharCode(kc));
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Mouse = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Mouse.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
		this.buttonMap = new Array(4);		// mouse down states
		this.mouseXcanvas = 0;				// mouse position relative to canvas
		this.mouseYcanvas = 0;
		this.triggerButton = 0;
		this.triggerType = 0;
		this.triggerDir = 0;
		this.handled = false;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		var self = this;
		if (!this.runtime.isDomFree)
		{
			jQuery(document).mousemove(
				function(info) {
					self.onMouseMove(info);
				}
			);
			jQuery(document).mousedown(
				function(info) {
					self.onMouseDown(info);
				}
			);
			jQuery(document).mouseup(
				function(info) {
					self.onMouseUp(info);
				}
			);
			jQuery(document).dblclick(
				function(info) {
					self.onDoubleClick(info);
				}
			);
			var wheelevent = function(info) {
								self.onWheel(info);
							};
			document.addEventListener("mousewheel", wheelevent, false);
			document.addEventListener("DOMMouseScroll", wheelevent, false);
		}
	};
	var dummyoffset = {left: 0, top: 0};
	instanceProto.onMouseMove = function(info)
	{
		var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
		this.mouseXcanvas = info.pageX - offset.left;
		this.mouseYcanvas = info.pageY - offset.top;
	};
	instanceProto.mouseInGame = function ()
	{
		if (this.runtime.fullscreen_mode > 0)
			return true;
		return this.mouseXcanvas >= 0 && this.mouseYcanvas >= 0
		    && this.mouseXcanvas < this.runtime.width && this.mouseYcanvas < this.runtime.height;
	};
	instanceProto.onMouseDown = function(info)
	{
		if (!this.mouseInGame())
			return;
		if (this.runtime.had_a_click && !this.runtime.isMobile)
			info.preventDefault();
		this.buttonMap[info.which] = true;
		this.runtime.isInUserInputEvent = true;
		this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnAnyClick, this);
		this.triggerButton = info.which - 1;	// 1-based
		this.triggerType = 0;					// single click
		this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnClick, this);
		this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnObjectClicked, this);
		this.runtime.isInUserInputEvent = false;
	};
	instanceProto.onMouseUp = function(info)
	{
		if (!this.buttonMap[info.which])
			return;
		if (this.runtime.had_a_click && !this.runtime.isMobile)
			info.preventDefault();
		this.runtime.had_a_click = true;
		this.buttonMap[info.which] = false;
		this.runtime.isInUserInputEvent = true;
		this.triggerButton = info.which - 1;	// 1-based
		this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnRelease, this);
		this.runtime.isInUserInputEvent = false;
	};
	instanceProto.onDoubleClick = function(info)
	{
		if (!this.mouseInGame())
			return;
		info.preventDefault();
		this.runtime.isInUserInputEvent = true;
		this.triggerButton = info.which - 1;	// 1-based
		this.triggerType = 1;					// double click
		this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnClick, this);
		this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnObjectClicked, this);
		this.runtime.isInUserInputEvent = false;
	};
	instanceProto.onWheel = function (info)
	{
		var delta = info.wheelDelta ? info.wheelDelta : info.detail ? -info.detail : 0;
		this.triggerDir = (delta < 0 ? 0 : 1);
		this.handled = false;
		this.runtime.isInUserInputEvent = true;
		this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnWheel, this);
		this.runtime.isInUserInputEvent = false;
		if (this.handled)
			info.preventDefault();
	};
	function Cnds() {};
	Cnds.prototype.OnClick = function (button, type)
	{
		return button === this.triggerButton && type === this.triggerType;
	};
	Cnds.prototype.OnAnyClick = function ()
	{
		return true;
	};
	Cnds.prototype.IsButtonDown = function (button)
	{
		return this.buttonMap[button + 1];	// jQuery uses 1-based buttons for some reason
	};
	Cnds.prototype.OnRelease = function (button)
	{
		return button === this.triggerButton;
	};
	Cnds.prototype.IsOverObject = function (obj)
	{
		var cnd = this.runtime.getCurrentCondition();
		var mx = this.mouseXcanvas;
		var my = this.mouseYcanvas;
		return cr.xor(this.runtime.testAndSelectCanvasPointOverlap(obj, mx, my, cnd.inverted), cnd.inverted);
	};
	Cnds.prototype.OnObjectClicked = function (button, type, obj)
	{
		if (button !== this.triggerButton || type !== this.triggerType)
			return false;	// wrong click type
		return this.runtime.testAndSelectCanvasPointOverlap(obj, this.mouseXcanvas, this.mouseYcanvas, false);
	};
	Cnds.prototype.OnWheel = function (dir)
	{
		this.handled = true;
		return dir === this.triggerDir;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetCursor = function (c)
	{
		var cursor_style = ["auto", "pointer", "text", "crosshair", "move", "help", "wait", "none"][c];
		if (this.runtime.canvas && this.runtime.canvas.style)
			this.runtime.canvas.style.cursor = cursor_style;
	};
	Acts.prototype.SetCursorSprite = function (obj)
	{
		if (this.runtime.isDomFree || this.runtime.isMobile || !obj)
			return;
		var inst = obj.getFirstPicked();
		if (!inst || !inst.curFrame)
			return;
		var frame = inst.curFrame;
		var datauri = frame.getDataUri();
		var cursor_style = "url(" + datauri + ") " + Math.round(frame.hotspotX * frame.width) + " " + Math.round(frame.hotspotY * frame.height) + ", auto";
		jQuery(this.runtime.canvas).css("cursor", cursor_style);
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.X = function (ret, layerparam)
	{
		var layer, oldScale, oldZoomRate, oldParallaxX, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxX = layer.parallaxX;
			oldAngle = layer.angle;
			layer.scale = 1;
			layer.zoomRate = 1.0;
			layer.parallaxX = 1.0;
			layer.angle = 0;
			ret.set_float(layer.canvasToLayer(this.mouseXcanvas, this.mouseYcanvas, true));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxX = oldParallaxX;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(this.mouseXcanvas, this.mouseYcanvas, true));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.Y = function (ret, layerparam)
	{
		var layer, oldScale, oldZoomRate, oldParallaxY, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxY = layer.parallaxY;
			oldAngle = layer.angle;
			layer.scale = 1;
			layer.zoomRate = 1.0;
			layer.parallaxY = 1.0;
			layer.angle = 0;
			ret.set_float(layer.canvasToLayer(this.mouseXcanvas, this.mouseYcanvas, false));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxY = oldParallaxY;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(this.mouseXcanvas, this.mouseYcanvas, false));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.AbsoluteX = function (ret)
	{
		ret.set_float(this.mouseXcanvas);
	};
	Exps.prototype.AbsoluteY = function (ret)
	{
		ret.set_float(this.mouseYcanvas);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.NinePatch = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.NinePatch.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
		if (this.is_family)
			return;
		this.texture_img = new Image();
		this.texture_img["idtkLoadDisposed"] = true;
		this.texture_img.src = this.texture_file;
		this.texture_img.cr_filesize = this.texture_filesize;
		this.runtime.waitForImageLoad(this.texture_img);
		this.fillPattern = null;
		this.leftPattern = null;
		this.rightPattern = null;
		this.topPattern = null;
		this.bottomPattern = null;
		this.webGL_texture = null;
		this.webGL_fillTexture = null;
		this.webGL_leftTexture = null;
		this.webGL_rightTexture = null;
		this.webGL_topTexture = null;
		this.webGL_bottomTexture = null;
	};
	typeProto.onLostWebGLContext = function ()
	{
		if (this.is_family)
			return;
		this.webGL_texture = null;
		this.webGL_fillTexture = null;
		this.webGL_leftTexture = null;
		this.webGL_rightTexture = null;
		this.webGL_topTexture = null;
		this.webGL_bottomTexture = null;
	};
	typeProto.onRestoreWebGLContext = function ()
	{
		if (this.is_family || !this.instances.length)
			return;
		if (!this.webGL_texture)
		{
			this.webGL_texture = this.runtime.glwrap.loadTexture(this.texture_img, true, this.runtime.linearSampling, this.texture_pixelformat);
		}
	};
	typeProto.unloadTextures = function ()
	{
		if (this.is_family || this.instances.length)
			return;
		if (this.runtime.glwrap)
		{
			this.runtime.glwrap.deleteTexture(this.webGL_texture);
			this.runtime.glwrap.deleteTexture(this.webGL_fillTexture);
			this.runtime.glwrap.deleteTexture(this.webGL_leftTexture);
			this.runtime.glwrap.deleteTexture(this.webGL_rightTexture);
			this.runtime.glwrap.deleteTexture(this.webGL_topTexture);
			this.runtime.glwrap.deleteTexture(this.webGL_bottomTexture);
			this.webGL_texture = null;
			this.webGL_fillTexture = null;
			this.webGL_leftTexture = null;
			this.webGL_rightTexture = null;
			this.webGL_topTexture = null;
			this.webGL_bottomTexture = null;
		}
	};
	typeProto.slicePatch = function (x1, y1, x2, y2)
	{
		var tmpcanvas = document.createElement("canvas");
		var w = x2 - x1;
		var h = y2 - y1;
		tmpcanvas.width = w;
		tmpcanvas.height = h;
		var tmpctx = tmpcanvas.getContext("2d");
		tmpctx.drawImage(this.texture_img, x1, y1, w, h, 0, 0, w, h);
		return tmpcanvas;
	};
	typeProto.createPatch = function (lm, rm, tm, bm)
	{
		var iw = this.texture_img.width;
		var ih = this.texture_img.height;
		var re = iw - rm;
		var be = ih - bm;
		if (this.runtime.glwrap)
		{
			if (this.webGL_fillTexture)
				return;		// already created
			var glwrap = this.runtime.glwrap;
			var ls = this.runtime.linearSampling;
			var tf = this.texture_pixelformat;
			if (re > lm && be > tm)
				this.webGL_fillTexture = glwrap.loadTexture(this.slicePatch(lm, tm, re, be), true, ls, tf);
			if (lm > 0 && be > tm)
				this.webGL_leftTexture = glwrap.loadTexture(this.slicePatch(0, tm, lm, be), true, ls, tf, "repeat-y");
			if (rm > 0 && be > tm)
				this.webGL_rightTexture = glwrap.loadTexture(this.slicePatch(re, tm, iw, be), true, ls, tf, "repeat-y");
			if (tm > 0 && re > lm)
				this.webGL_topTexture = glwrap.loadTexture(this.slicePatch(lm, 0, re, tm), true, ls, tf, "repeat-x");
			if (bm > 0 && re > lm)
				this.webGL_bottomTexture = glwrap.loadTexture(this.slicePatch(lm, be, re, ih), true, ls, tf, "repeat-x");
		}
		else
		{
			if (this.fillPattern)
				return;		// already created
			var ctx = this.runtime.ctx;
			if (re > lm && be > tm)
				this.fillPattern = ctx.createPattern(this.slicePatch(lm, tm, re, be), "repeat");
			if (lm > 0 && be > tm)
				this.leftPattern = ctx.createPattern(this.slicePatch(0, tm, lm, be), "repeat");
			if (rm > 0 && be > tm)
				this.rightPattern = ctx.createPattern(this.slicePatch(re, tm, iw, be), "repeat");
			if (tm > 0 && re > lm)
				this.topPattern = ctx.createPattern(this.slicePatch(lm, 0, re, tm), "repeat");
			if (bm > 0 && re > lm)
				this.bottomPattern = ctx.createPattern(this.slicePatch(lm, be, re, ih), "repeat");
		}
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		this.leftMargin = this.properties[0];
		this.rightMargin = this.properties[1];
		this.topMargin = this.properties[2];
		this.bottomMargin = this.properties[3];
		this.edges = this.properties[4];					// 0=tile, 1=stretch
		this.fill = this.properties[5];						// 0=tile, 1=stretch, 2=transparent
		this.visible = (this.properties[6] === 0);			// 0=visible, 1=invisible
		this.seamless = (this.properties[8] !== 0);			// 1px overdraw to hide seams
		if (this.recycled)
			this.rcTex.set(0, 0, 0, 0);
		else
			this.rcTex = new cr.rect(0, 0, 0, 0);
		if (this.runtime.glwrap)
		{
			if (!this.type.webGL_texture)
			{
				this.type.webGL_texture = this.runtime.glwrap.loadTexture(this.type.texture_img, false, this.runtime.linearSampling, this.type.texture_pixelformat);
			}
		}
		this.type.createPatch(this.leftMargin, this.rightMargin, this.topMargin, this.bottomMargin);
	};
	function drawPatternProperly(ctx, pattern, pw, ph, drawX, drawY, w, h, ox, oy)
	{
		ctx.save();
		ctx.fillStyle = pattern;
		var offX = drawX % pw;
		var offY = drawY % ph;
		if (offX < 0)
			offX += pw;
		if (offY < 0)
			offY += ph;
		ctx.translate(offX + ox, offY + oy);
		ctx.fillRect(drawX - offX - ox, drawY - offY - oy, w, h);
		ctx.restore();
	};
	instanceProto.draw = function(ctx)
	{
		var img = this.type.texture_img;
		var lm = this.leftMargin;
		var rm = this.rightMargin;
		var tm = this.topMargin;
		var bm = this.bottomMargin;
		var iw = img.width;
		var ih = img.height;
		var re = iw - rm;
		var be = ih - bm;
		ctx.globalAlpha = this.opacity;
		ctx.save();
		var myx = this.x;
		var myy = this.y;
		var myw = this.width;
		var myh = this.height;
		if (this.runtime.pixel_rounding)
		{
			myx = Math.round(myx);
			myy = Math.round(myy);
		}
		var drawX = -(this.hotspotX * this.width);
		var drawY = -(this.hotspotY * this.height);
		var offX = drawX % iw;
		var offY = drawY % ih;
		if (offX < 0)
			offX += iw;
		if (offY < 0)
			offY += ih;
		ctx.translate(myx + offX, myy + offY);
		var x = drawX - offX;
		var y = drawY - offY;
		var s = (this.seamless ? 1 : 0);
		if (lm > 0 && tm > 0)
			ctx.drawImage(img, 0, 0, lm + s, tm + s, x, y, lm + s, tm + s);
		if (rm > 0 && tm > 0)
			ctx.drawImage(img, re - s, 0, rm + s, tm + s, x + myw - rm - s, y, rm + s, tm + s);
		if (rm > 0 && bm > 0)
			ctx.drawImage(img, re - s, be - s, rm + s, bm + s, x + myw - rm - s, y + myh - bm - s, rm + s, bm + s);
		if (lm > 0 && bm > 0)
			ctx.drawImage(img, 0, be - s, lm + s, bm + s, x, y + myh - bm - s, lm + s, bm + s);
		if (this.edges === 0)		// tile edges
		{
			var off = (this.fill === 2 ? 0 : s);
			if (lm > 0 && be > tm)
				drawPatternProperly(ctx, this.type.leftPattern, lm, be - tm, x, y + tm, lm + off, myh - tm - bm, 0, 0);
			if (rm > 0 && be > tm)
				drawPatternProperly(ctx, this.type.rightPattern, rm, be - tm, x + myw - rm - off, y + tm, rm + off, myh - tm - bm, off, 0);
			if (tm > 0 && re > lm)
				drawPatternProperly(ctx, this.type.topPattern, re - lm, tm, x + lm, y, myw - lm - rm, tm + off, 0, 0);
			if (bm > 0 && re > lm)
				drawPatternProperly(ctx, this.type.bottomPattern, re - lm, bm, x + lm, y + myh - bm - off, myw - lm - rm, bm + off, 0, off);
		}
		else if (this.edges === 1)	// stretch edges
		{
			if (lm > 0 && be > tm && myh - tm - bm > 0)
				ctx.drawImage(img, 0, tm, lm, be - tm, x, y + tm, lm, myh - tm - bm);
			if (rm > 0 && be > tm && myh - tm - bm > 0)
				ctx.drawImage(img, re, tm, rm, be - tm, x + myw - rm, y + tm, rm, myh - tm - bm);
			if (tm > 0 && re > lm && myw - lm - rm > 0)
				ctx.drawImage(img, lm, 0, re - lm, tm, x + lm, y, myw - lm - rm, tm);
			if (bm > 0 && re > lm && myw - lm - rm > 0)
				ctx.drawImage(img, lm, be, re - lm, bm, x + lm, y + myh - bm, myw - lm - rm, bm);
		}
		if (be > tm && re > lm)
		{
			if (this.fill === 0)		// tile fill
			{
				drawPatternProperly(ctx, this.type.fillPattern, re - lm, be - tm, x + lm, y + tm, myw - lm - rm, myh - tm - bm, 0, 0);
			}
			else if (this.fill === 1)	// stretch fill
			{
				if (myw - lm - rm > 0 && myh - tm - bm > 0)
				{
					ctx.drawImage(img, lm, tm, re - lm, be - tm, x + lm, y + tm, myw - lm - rm, myh - tm - bm);
				}
			}
		}
		ctx.restore();
	};
	instanceProto.drawPatch = function(glw, tex, sx, sy, sw, sh, dx, dy, dw, dh)
	{
		glw.setTexture(tex);
		var rcTex = this.rcTex;
		rcTex.left = sx / tex.c2width;
		rcTex.top = sy / tex.c2height;
		rcTex.right = (sx + sw) / tex.c2width;
		rcTex.bottom = (sy + sh) / tex.c2height;
		glw.quadTex(dx, dy, dx + dw, dy, dx + dw, dy + dh, dx, dy + dh, rcTex);
	};
	instanceProto.tilePatch = function(glw, tex, dx, dy, dw, dh, ox, oy)
	{
		glw.setTexture(tex);
		var rcTex = this.rcTex;
		rcTex.left = -ox / tex.c2width;
		rcTex.top = -oy / tex.c2height;
		rcTex.right = (dw - ox) / tex.c2width;
		rcTex.bottom = (dh - oy) / tex.c2height;
		glw.quadTex(dx, dy, dx + dw, dy, dx + dw, dy + dh, dx, dy + dh, rcTex);
	};
	instanceProto.drawGL = function(glw)
	{
		var lm = this.leftMargin;
		var rm = this.rightMargin;
		var tm = this.topMargin;
		var bm = this.bottomMargin;
		var iw = this.type.texture_img.width;
		var ih = this.type.texture_img.height;
		var re = iw - rm;
		var be = ih - bm;
		glw.setOpacity(this.opacity);
		var rcTex = this.rcTex;
		var q = this.bquad;
		var myx = q.tlx;
		var myy = q.tly;
		var myw = this.width;
		var myh = this.height;
		if (this.runtime.pixel_rounding)
		{
			myx = Math.round(myx);
			myy = Math.round(myy);
		}
		var s = (this.seamless ? 1 : 0);
		if (lm > 0 && tm > 0)
			this.drawPatch(glw, this.type.webGL_texture, 0, 0, lm + s, tm + s, myx, myy, lm + s, tm + s);
		if (rm > 0 && tm > 0)
			this.drawPatch(glw, this.type.webGL_texture, re - s, 0, rm + s, tm + s, myx + myw - rm - s, myy, rm + s, tm + s);
		if (rm > 0 && bm > 0)
			this.drawPatch(glw, this.type.webGL_texture, re - s, be - s, rm + s, bm + s, myx + myw - rm - s, myy + myh - bm - s, rm + s, bm + s);
		if (lm > 0 && bm > 0)
			this.drawPatch(glw, this.type.webGL_texture, 0, be - s, lm + s, bm + s, myx, myy + myh - bm - s, lm + s, bm + s);
		if (this.edges === 0)		// tile edges
		{
			var off = (this.fill === 2 ? 0 : s);
			if (lm > 0 && be > tm)
				this.tilePatch(glw, this.type.webGL_leftTexture, myx, myy + tm, lm + off, myh - tm - bm, 0, 0);
			if (rm > 0 && be > tm)
				this.tilePatch(glw, this.type.webGL_rightTexture, myx + myw - rm - off, myy + tm, rm + off, myh - tm - bm, off, 0);
			if (tm > 0 && re > lm)
				this.tilePatch(glw, this.type.webGL_topTexture, myx + lm, myy, myw - lm - rm, tm + off, 0, 0);
			if (bm > 0 && re > lm)
				this.tilePatch(glw, this.type.webGL_bottomTexture, myx + lm, myy + myh - bm - off, myw - lm - rm, bm + off, 0, off);
		}
		else if (this.edges === 1)	// stretch edges
		{
			if (lm > 0 && be > tm)
				this.drawPatch(glw, this.type.webGL_texture, 0, tm, lm, be - tm, myx, myy + tm, lm, myh - tm - bm);
			if (rm > 0 && be > tm)
				this.drawPatch(glw, this.type.webGL_texture, re, tm, rm, be - tm, myx + myw - rm, myy + tm, rm, myh - tm - bm);
			if (tm > 0 && re > lm)
				this.drawPatch(glw, this.type.webGL_texture, lm, 0, re - lm, tm, myx + lm, myy, myw - lm - rm, tm);
			if (bm > 0 && re > lm)
				this.drawPatch(glw, this.type.webGL_texture, lm, be, re - lm, bm, myx + lm, myy + myh - bm, myw - lm - rm, bm);
		}
		if (be > tm && re > lm)
		{
			if (this.fill === 0)		// tile fill
			{
				this.tilePatch(glw, this.type.webGL_fillTexture, myx + lm, myy + tm, myw - lm - rm, myh - tm - bm, 0, 0);
			}
			else if (this.fill === 1)	// stretch fill
			{
				this.drawPatch(glw, this.type.webGL_texture, lm, tm, re - lm, be - tm, myx + lm, myy + tm, myw - lm - rm, myh - tm - bm);
			}
		}
	};
	function Cnds() {};
	Cnds.prototype.OnURLLoaded = function ()
	{
		return true;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetEffect = function (effect)
	{
		this.compositeOp = cr.effectToCompositeOp(effect);
		cr.setGLBlend(this, effect, this.runtime.gl);
		this.runtime.redraw = true;
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Rex_Date = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Rex_Date.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
	    this._timers = {};
	};
    instanceProto.saveToJSON = function ()
	{
		return { "tims": this._timers,
                };
	};
	instanceProto.loadFromJSON = function (o)
	{
		this._timers = o["tims"];
	};
	function Cnds() {};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	pluginProto.acts = new Acts();
	Acts.prototype.StartTimer = function (name)
	{
	    var timer = new Date();
		this._timers[name] = timer.getTime();
	};
	function Exps() {};
	pluginProto.exps = new Exps();
	Exps.prototype.Year = function (ret, timestamp)
	{
	    var today = (timestamp != null)? new Date(timestamp): new Date();
		ret.set_int(today.getFullYear());
	};
	Exps.prototype.Month = function (ret, timestamp)
	{
	    var today = (timestamp != null)? new Date(timestamp): new Date();
		ret.set_int(today.getMonth()+1);
	};
	Exps.prototype.Date = function (ret, timestamp)
	{
	    var today = (timestamp != null)? new Date(timestamp): new Date();
		ret.set_int(today.getDate());
	};
	Exps.prototype.Day = function (ret, timestamp)
	{
	    var today = (timestamp != null)? new Date(timestamp): new Date();
		ret.set_int(today.getDay());
	};
	Exps.prototype.Hours = function (ret, timestamp)
	{
	    var today = (timestamp != null)? new Date(timestamp): new Date();
		ret.set_int(today.getHours());
	};
	Exps.prototype.Minutes = function (ret, timestamp)
	{
	    var today = (timestamp != null)? new Date(timestamp): new Date();
		ret.set_int(today.getMinutes());
	};
	Exps.prototype.Seconds = function (ret, timestamp)
	{
	    var today = (timestamp != null)? new Date(timestamp): new Date();
		ret.set_int(today.getSeconds());
	};
	Exps.prototype.Milliseconds = function (ret, timestamp)
	{
	    var today = (timestamp != null)? new Date(timestamp): new Date();
		ret.set_int(today.getMilliseconds());
	};
	Exps.prototype.Timer = function (ret, name)
	{
	    var delta = 0;
		var start_tick = this._timers[name];
		if (start_tick != null) {
		    var timer = new Date();
		    delta = timer.getTime() - start_tick;
		}
		ret.set_float(delta/1000);
	};
	Exps.prototype.CurTicks = function (ret)
	{
	    var today = new Date();
        ret.set_int(today.getTime());
	};
	Exps.prototype.UnixTimestamp = function (ret)
	{
	    var today = new Date();
        ret.set_float(today.getTime());
	};
	Exps.prototype.Date2UnixTimestamp = function (ret, year, month, day, hours, minutes, seconds, milliseconds)
	{
        year = year || 2000;
        month = month || 1;
        day = day || 1;
        hours = hours || 0;
        minutes = minutes || 0;
        seconds = seconds || 0;
        milliseconds = milliseconds || 0;
        var timestamp = new Date(year, month-1, day, hours, minutes, seconds, milliseconds); // build Date object
        ret.set_float(timestamp.getTime());
	};
}());
;
;
cr.plugins_.Sprite = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Sprite.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	function frame_getDataUri()
	{
		if (this.datauri.length === 0)
		{
			var tmpcanvas = document.createElement("canvas");
			tmpcanvas.width = this.width;
			tmpcanvas.height = this.height;
			var tmpctx = tmpcanvas.getContext("2d");
			if (this.spritesheeted)
			{
				tmpctx.drawImage(this.texture_img, this.offx, this.offy, this.width, this.height,
										 0, 0, this.width, this.height);
			}
			else
			{
				tmpctx.drawImage(this.texture_img, 0, 0, this.width, this.height);
			}
			this.datauri = tmpcanvas.toDataURL("image/png");
		}
		return this.datauri;
	};
	typeProto.onCreate = function()
	{
		if (this.is_family)
			return;
		var i, leni, j, lenj;
		var anim, frame, animobj, frameobj, wt, uv;
		this.all_frames = [];
		this.has_loaded_textures = false;
		for (i = 0, leni = this.animations.length; i < leni; i++)
		{
			anim = this.animations[i];
			animobj = {};
			animobj.name = anim[0];
			animobj.speed = anim[1];
			animobj.loop = anim[2];
			animobj.repeatcount = anim[3];
			animobj.repeatto = anim[4];
			animobj.pingpong = anim[5];
			animobj.sid = anim[6];
			animobj.frames = [];
			for (j = 0, lenj = anim[7].length; j < lenj; j++)
			{
				frame = anim[7][j];
				frameobj = {};
				frameobj.texture_file = frame[0];
				frameobj.texture_filesize = frame[1];
				frameobj.offx = frame[2];
				frameobj.offy = frame[3];
				frameobj.width = frame[4];
				frameobj.height = frame[5];
				frameobj.duration = frame[6];
				frameobj.hotspotX = frame[7];
				frameobj.hotspotY = frame[8];
				frameobj.image_points = frame[9];
				frameobj.poly_pts = frame[10];
				frameobj.pixelformat = frame[11];
				frameobj.spritesheeted = (frameobj.width !== 0);
				frameobj.datauri = "";		// generated on demand and cached
				frameobj.getDataUri = frame_getDataUri;
				uv = {};
				uv.left = 0;
				uv.top = 0;
				uv.right = 1;
				uv.bottom = 1;
				frameobj.sheetTex = uv;
				frameobj.webGL_texture = null;
				wt = this.runtime.findWaitingTexture(frame[0]);
				if (wt)
				{
					frameobj.texture_img = wt;
				}
				else
				{
					frameobj.texture_img = new Image();
					frameobj.texture_img["idtkLoadDisposed"] = true;
					frameobj.texture_img.src = frame[0];
					frameobj.texture_img.cr_src = frame[0];
					frameobj.texture_img.cr_filesize = frame[1];
					frameobj.texture_img.c2webGL_texture = null;
					this.runtime.waitForImageLoad(frameobj.texture_img);
				}
				cr.seal(frameobj);
				animobj.frames.push(frameobj);
				this.all_frames.push(frameobj);
			}
			cr.seal(animobj);
			this.animations[i] = animobj;		// swap array data for object
		}
	};
	typeProto.updateAllCurrentTexture = function ()
	{
		var i, len, inst;
		for (i = 0, len = this.instances.length; i < len; i++)
		{
			inst = this.instances[i];
			inst.curWebGLTexture = inst.curFrame.webGL_texture;
		}
	};
	typeProto.onLostWebGLContext = function ()
	{
		if (this.is_family)
			return;
		var i, len, frame;
		for (i = 0, len = this.all_frames.length; i < len; ++i)
		{
			frame = this.all_frames[i];
			frame.texture_img.c2webGL_texture = null;
			frame.webGL_texture = null;
		}
		this.has_loaded_textures = false;
		this.updateAllCurrentTexture();
	};
	typeProto.onRestoreWebGLContext = function ()
	{
		if (this.is_family || !this.instances.length)
			return;
		var i, len, frame;
		for (i = 0, len = this.all_frames.length; i < len; ++i)
		{
			frame = this.all_frames[i];
			frame.webGL_texture = this.runtime.glwrap.loadTexture(frame.texture_img, false, this.runtime.linearSampling, frame.pixelformat);
		}
		this.updateAllCurrentTexture();
	};
	typeProto.loadTextures = function ()
	{
		if (this.is_family || this.has_loaded_textures || !this.runtime.glwrap)
			return;
		var i, len, frame;
		for (i = 0, len = this.all_frames.length; i < len; ++i)
		{
			frame = this.all_frames[i];
			frame.webGL_texture = this.runtime.glwrap.loadTexture(frame.texture_img, false, this.runtime.linearSampling, frame.pixelformat);
		}
		this.has_loaded_textures = true;
	};
	typeProto.unloadTextures = function ()
	{
		if (this.is_family || this.instances.length || !this.has_loaded_textures)
			return;
		var i, len, frame;
		for (i = 0, len = this.all_frames.length; i < len; ++i)
		{
			frame = this.all_frames[i];
			this.runtime.glwrap.deleteTexture(frame.webGL_texture);
			frame.webGL_texture = null;
		}
		this.has_loaded_textures = false;
	};
	var already_drawn_images = [];
	typeProto.preloadCanvas2D = function (ctx)
	{
		var i, len, frameimg;
		already_drawn_images.length = 0;
		for (i = 0, len = this.all_frames.length; i < len; ++i)
		{
			frameimg = this.all_frames[i].texture_img;
			if (already_drawn_images.indexOf(frameimg) !== -1)
					continue;
			ctx.drawImage(frameimg, 0, 0);
			already_drawn_images.push(frameimg);
		}
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
		var poly_pts = this.type.animations[0].frames[0].poly_pts;
		if (this.recycled)
			this.collision_poly.set_pts(poly_pts);
		else
			this.collision_poly = new cr.CollisionPoly(poly_pts);
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		this.visible = (this.properties[0] === 0);	// 0=visible, 1=invisible
		this.isTicking = false;
		this.inAnimTrigger = false;
		this.collisionsEnabled = (this.properties[3] !== 0);
		if (!(this.type.animations.length === 1 && this.type.animations[0].frames.length === 1) && this.type.animations[0].speed !== 0)
		{
			this.runtime.tickMe(this);
			this.isTicking = true;
		}
		this.cur_animation = this.getAnimationByName(this.properties[1]) || this.type.animations[0];
		this.cur_frame = this.properties[2];
		if (this.cur_frame < 0)
			this.cur_frame = 0;
		if (this.cur_frame >= this.cur_animation.frames.length)
			this.cur_frame = this.cur_animation.frames.length - 1;
		var curanimframe = this.cur_animation.frames[this.cur_frame];
		this.collision_poly.set_pts(curanimframe.poly_pts);
		this.hotspotX = curanimframe.hotspotX;
		this.hotspotY = curanimframe.hotspotY;
		this.cur_anim_speed = this.cur_animation.speed;
		if (this.recycled)
			this.animTimer.reset();
		else
			this.animTimer = new cr.KahanAdder();
		this.frameStart = this.getNowTime();
		this.animPlaying = true;
		this.animRepeats = 0;
		this.animForwards = true;
		this.animTriggerName = "";
		this.changeAnimName = "";
		this.changeAnimFrom = 0;
		this.changeAnimFrame = -1;
		this.type.loadTextures();
		var i, leni, j, lenj;
		var anim, frame, uv, maintex;
		for (i = 0, leni = this.type.animations.length; i < leni; i++)
		{
			anim = this.type.animations[i];
			for (j = 0, lenj = anim.frames.length; j < lenj; j++)
			{
				frame = anim.frames[j];
				if (frame.width === 0)
				{
					frame.width = frame.texture_img.width;
					frame.height = frame.texture_img.height;
				}
				if (frame.spritesheeted)
				{
					maintex = frame.texture_img;
					uv = frame.sheetTex;
					uv.left = frame.offx / maintex.width;
					uv.top = frame.offy / maintex.height;
					uv.right = (frame.offx + frame.width) / maintex.width;
					uv.bottom = (frame.offy + frame.height) / maintex.height;
					if (frame.offx === 0 && frame.offy === 0 && frame.width === maintex.width && frame.height === maintex.height)
					{
						frame.spritesheeted = false;
					}
				}
			}
		}
		this.curFrame = this.cur_animation.frames[this.cur_frame];
		this.curWebGLTexture = this.curFrame.webGL_texture;
	};
	instanceProto.saveToJSON = function ()
	{
		var o = {
			"a": this.cur_animation.sid,
			"f": this.cur_frame,
			"cas": this.cur_anim_speed,
			"fs": this.frameStart,
			"ar": this.animRepeats,
			"at": this.animTimer.sum
		};
		if (!this.animPlaying)
			o["ap"] = this.animPlaying;
		if (!this.animForwards)
			o["af"] = this.animForwards;
		return o;
	};
	instanceProto.loadFromJSON = function (o)
	{
		var anim = this.getAnimationBySid(o["a"]);
		if (anim)
			this.cur_animation = anim;
		this.cur_frame = o["f"];
		if (this.cur_frame < 0)
			this.cur_frame = 0;
		if (this.cur_frame >= this.cur_animation.frames.length)
			this.cur_frame = this.cur_animation.frames.length - 1;
		this.cur_anim_speed = o["cas"];
		this.frameStart = o["fs"];
		this.animRepeats = o["ar"];
		this.animTimer.reset();
		this.animTimer.sum = o["at"];
		this.animPlaying = o.hasOwnProperty("ap") ? o["ap"] : true;
		this.animForwards = o.hasOwnProperty("af") ? o["af"] : true;
		this.curFrame = this.cur_animation.frames[this.cur_frame];
		this.curWebGLTexture = this.curFrame.webGL_texture;
		this.collision_poly.set_pts(this.curFrame.poly_pts);
		this.hotspotX = this.curFrame.hotspotX;
		this.hotspotY = this.curFrame.hotspotY;
	};
	instanceProto.animationFinish = function (reverse)
	{
		this.cur_frame = reverse ? 0 : this.cur_animation.frames.length - 1;
		this.animPlaying = false;
		this.animTriggerName = this.cur_animation.name;
		this.inAnimTrigger = true;
		this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished, this);
		this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnimFinished, this);
		this.inAnimTrigger = false;
		this.animRepeats = 0;
	};
	instanceProto.getNowTime = function()
	{
		return this.animTimer.sum;
	};
	instanceProto.tick = function()
	{
		this.animTimer.add(this.runtime.getDt(this));
		if (this.changeAnimName.length)
			this.doChangeAnim();
		if (this.changeAnimFrame >= 0)
			this.doChangeAnimFrame();
		var now = this.getNowTime();
		var cur_animation = this.cur_animation;
		var prev_frame = cur_animation.frames[this.cur_frame];
		var next_frame;
		var cur_frame_time = prev_frame.duration / this.cur_anim_speed;
		if (this.animPlaying && now >= this.frameStart + cur_frame_time)
		{
			if (this.animForwards)
			{
				this.cur_frame++;
			}
			else
			{
				this.cur_frame--;
			}
			this.frameStart += cur_frame_time;
			if (this.cur_frame >= cur_animation.frames.length)
			{
				if (cur_animation.pingpong)
				{
					this.animForwards = false;
					this.cur_frame = cur_animation.frames.length - 2;
				}
				else if (cur_animation.loop)
				{
					this.cur_frame = cur_animation.repeatto;
				}
				else
				{
					this.animRepeats++;
					if (this.animRepeats >= cur_animation.repeatcount)
					{
						this.animationFinish(false);
					}
					else
					{
						this.cur_frame = cur_animation.repeatto;
					}
				}
			}
			if (this.cur_frame < 0)
			{
				if (cur_animation.pingpong)
				{
					this.cur_frame = 1;
					this.animForwards = true;
					if (!cur_animation.loop)
					{
						this.animRepeats++;
						if (this.animRepeats >= cur_animation.repeatcount)
						{
							this.animationFinish(true);
						}
					}
				}
				else
				{
					if (cur_animation.loop)
					{
						this.cur_frame = cur_animation.repeatto;
					}
					else
					{
						this.animRepeats++;
						if (this.animRepeats >= cur_animation.repeatcount)
						{
							this.animationFinish(true);
						}
						else
						{
							this.cur_frame = cur_animation.repeatto;
						}
					}
				}
			}
			if (this.cur_frame < 0)
				this.cur_frame = 0;
			else if (this.cur_frame >= cur_animation.frames.length)
				this.cur_frame = cur_animation.frames.length - 1;
			if (now > this.frameStart + (cur_animation.frames[this.cur_frame].duration / this.cur_anim_speed))
			{
				this.frameStart = now;
			}
			next_frame = cur_animation.frames[this.cur_frame];
			this.OnFrameChanged(prev_frame, next_frame);
			this.runtime.redraw = true;
		}
	};
	instanceProto.getAnimationByName = function (name_)
	{
		var i, len, a;
		for (i = 0, len = this.type.animations.length; i < len; i++)
		{
			a = this.type.animations[i];
			if (cr.equals_nocase(a.name, name_))
				return a;
		}
		return null;
	};
	instanceProto.getAnimationBySid = function (sid_)
	{
		var i, len, a;
		for (i = 0, len = this.type.animations.length; i < len; i++)
		{
			a = this.type.animations[i];
			if (a.sid === sid_)
				return a;
		}
		return null;
	};
	instanceProto.doChangeAnim = function ()
	{
		var prev_frame = this.cur_animation.frames[this.cur_frame];
		var anim = this.getAnimationByName(this.changeAnimName);
		this.changeAnimName = "";
		if (!anim)
			return;
		if (cr.equals_nocase(anim.name, this.cur_animation.name) && this.animPlaying)
			return;
		this.cur_animation = anim;
		this.cur_anim_speed = anim.speed;
		if (this.cur_frame < 0)
			this.cur_frame = 0;
		if (this.cur_frame >= this.cur_animation.frames.length)
			this.cur_frame = this.cur_animation.frames.length - 1;
		if (this.changeAnimFrom === 1)
			this.cur_frame = 0;
		this.animPlaying = true;
		this.frameStart = this.getNowTime();
		this.animForwards = true;
		this.OnFrameChanged(prev_frame, this.cur_animation.frames[this.cur_frame]);
		this.runtime.redraw = true;
	};
	instanceProto.doChangeAnimFrame = function ()
	{
		var prev_frame = this.cur_animation.frames[this.cur_frame];
		var prev_frame_number = this.cur_frame;
		this.cur_frame = cr.floor(this.changeAnimFrame);
		if (this.cur_frame < 0)
			this.cur_frame = 0;
		if (this.cur_frame >= this.cur_animation.frames.length)
			this.cur_frame = this.cur_animation.frames.length - 1;
		if (prev_frame_number !== this.cur_frame)
		{
			this.OnFrameChanged(prev_frame, this.cur_animation.frames[this.cur_frame]);
			this.frameStart = this.getNowTime();
			this.runtime.redraw = true;
		}
		this.changeAnimFrame = -1;
	};
	instanceProto.OnFrameChanged = function (prev_frame, next_frame)
	{
		var oldw = prev_frame.width;
		var oldh = prev_frame.height;
		var neww = next_frame.width;
		var newh = next_frame.height;
		if (oldw != neww)
			this.width *= (neww / oldw);
		if (oldh != newh)
			this.height *= (newh / oldh);
		this.hotspotX = next_frame.hotspotX;
		this.hotspotY = next_frame.hotspotY;
		this.collision_poly.set_pts(next_frame.poly_pts);
		this.set_bbox_changed();
		this.curFrame = next_frame;
		this.curWebGLTexture = next_frame.webGL_texture;
		var i, len, b;
		for (i = 0, len = this.behavior_insts.length; i < len; i++)
		{
			b = this.behavior_insts[i];
			if (b.onSpriteFrameChanged)
				b.onSpriteFrameChanged(prev_frame, next_frame);
		}
		this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnFrameChanged, this);
	};
	instanceProto.draw = function(ctx)
	{
		ctx.globalAlpha = this.opacity;
		var cur_frame = this.curFrame;
		var spritesheeted = cur_frame.spritesheeted;
		var cur_image = cur_frame.texture_img;
		var myx = this.x;
		var myy = this.y;
		var w = this.width;
		var h = this.height;
		if (this.angle === 0 && w >= 0 && h >= 0)
		{
			myx -= this.hotspotX * w;
			myy -= this.hotspotY * h;
			if (this.runtime.pixel_rounding)
			{
				myx = Math.round(myx);
				myy = Math.round(myy);
			}
			if (spritesheeted)
			{
				ctx.drawImage(cur_image, cur_frame.offx, cur_frame.offy, cur_frame.width, cur_frame.height,
										 myx, myy, w, h);
			}
			else
			{
				ctx.drawImage(cur_image, myx, myy, w, h);
			}
		}
		else
		{
			if (this.runtime.pixel_rounding)
			{
				myx = Math.round(myx);
				myy = Math.round(myy);
			}
			ctx.save();
			var widthfactor = w > 0 ? 1 : -1;
			var heightfactor = h > 0 ? 1 : -1;
			ctx.translate(myx, myy);
			if (widthfactor !== 1 || heightfactor !== 1)
				ctx.scale(widthfactor, heightfactor);
			ctx.rotate(this.angle * widthfactor * heightfactor);
			var drawx = 0 - (this.hotspotX * cr.abs(w))
			var drawy = 0 - (this.hotspotY * cr.abs(h));
			if (spritesheeted)
			{
				ctx.drawImage(cur_image, cur_frame.offx, cur_frame.offy, cur_frame.width, cur_frame.height,
										 drawx, drawy, cr.abs(w), cr.abs(h));
			}
			else
			{
				ctx.drawImage(cur_image, drawx, drawy, cr.abs(w), cr.abs(h));
			}
			ctx.restore();
		}
		/*
		ctx.strokeStyle = "#f00";
		ctx.lineWidth = 3;
		ctx.beginPath();
		this.collision_poly.cache_poly(this.width, this.height, this.angle);
		var i, len, ax, ay, bx, by;
		for (i = 0, len = this.collision_poly.pts_count; i < len; i++)
		{
			ax = this.collision_poly.pts_cache[i*2] + this.x;
			ay = this.collision_poly.pts_cache[i*2+1] + this.y;
			bx = this.collision_poly.pts_cache[((i+1)%len)*2] + this.x;
			by = this.collision_poly.pts_cache[((i+1)%len)*2+1] + this.y;
			ctx.moveTo(ax, ay);
			ctx.lineTo(bx, by);
		}
		ctx.stroke();
		ctx.closePath();
		*/
		/*
		if (this.behavior_insts.length >= 1 && this.behavior_insts[0].draw)
		{
			this.behavior_insts[0].draw(ctx);
		}
		*/
	};
	instanceProto.drawGL = function(glw)
	{
		glw.setTexture(this.curWebGLTexture);
		glw.setOpacity(this.opacity);
		var cur_frame = this.curFrame;
		var q = this.bquad;
		if (this.runtime.pixel_rounding)
		{
			var ox = Math.round(this.x) - this.x;
			var oy = Math.round(this.y) - this.y;
			if (cur_frame.spritesheeted)
				glw.quadTex(q.tlx + ox, q.tly + oy, q.trx + ox, q.try_ + oy, q.brx + ox, q.bry + oy, q.blx + ox, q.bly + oy, cur_frame.sheetTex);
			else
				glw.quad(q.tlx + ox, q.tly + oy, q.trx + ox, q.try_ + oy, q.brx + ox, q.bry + oy, q.blx + ox, q.bly + oy);
		}
		else
		{
			if (cur_frame.spritesheeted)
				glw.quadTex(q.tlx, q.tly, q.trx, q.try_, q.brx, q.bry, q.blx, q.bly, cur_frame.sheetTex);
			else
				glw.quad(q.tlx, q.tly, q.trx, q.try_, q.brx, q.bry, q.blx, q.bly);
		}
	};
	instanceProto.getImagePointIndexByName = function(name_)
	{
		var cur_frame = this.curFrame;
		var i, len;
		for (i = 0, len = cur_frame.image_points.length; i < len; i++)
		{
			if (cr.equals_nocase(name_, cur_frame.image_points[i][0]))
				return i;
		}
		return -1;
	};
	instanceProto.getImagePoint = function(imgpt, getX)
	{
		var cur_frame = this.curFrame;
		var image_points = cur_frame.image_points;
		var index;
		if (cr.is_string(imgpt))
			index = this.getImagePointIndexByName(imgpt);
		else
			index = imgpt - 1;	// 0 is origin
		index = cr.floor(index);
		if (index < 0 || index >= image_points.length)
			return getX ? this.x : this.y;	// return origin
		var x = (image_points[index][1] - cur_frame.hotspotX) * this.width;
		var y = image_points[index][2];
		y = (y - cur_frame.hotspotY) * this.height;
		var cosa = Math.cos(this.angle);
		var sina = Math.sin(this.angle);
		var x_temp = (x * cosa) - (y * sina);
		y = (y * cosa) + (x * sina);
		x = x_temp;
		x += this.x;
		y += this.y;
		return getX ? x : y;
	};
	function Cnds() {};
	var arrCache = [];
	function allocArr()
	{
		if (arrCache.length)
			return arrCache.pop();
		else
			return [0, 0, 0];
	};
	function freeArr(a)
	{
		a[0] = 0;
		a[1] = 0;
		a[2] = 0;
		arrCache.push(a);
	};
	function makeCollKey(a, b)
	{
		if (a < b)
			return "" + a + "," + b;
		else
			return "" + b + "," + a;
	};
	function collmemory_add(collmemory, a, b, tickcount)
	{
		var a_uid = a.uid;
		var b_uid = b.uid;
		var key = makeCollKey(a_uid, b_uid);
		if (collmemory.hasOwnProperty(key))
		{
			collmemory[key][2] = tickcount;
			return;
		}
		var arr = allocArr();
		arr[0] = a_uid;
		arr[1] = b_uid;
		arr[2] = tickcount;
		collmemory[key] = arr;
	};
	function collmemory_remove(collmemory, a, b)
	{
		var key = makeCollKey(a.uid, b.uid);
		if (collmemory.hasOwnProperty(key))
		{
			freeArr(collmemory[key]);
			delete collmemory[key];
		}
	};
	function collmemory_removeInstance(collmemory, inst)
	{
		var uid = inst.uid;
		var p, entry;
		for (p in collmemory)
		{
			if (collmemory.hasOwnProperty(p))
			{
				entry = collmemory[p];
				if (entry[0] === uid || entry[1] === uid)
				{
					freeArr(collmemory[p]);
					delete collmemory[p];
				}
			}
		}
	};
	var last_coll_tickcount = -2;
	function collmemory_has(collmemory, a, b)
	{
		var key = makeCollKey(a.uid, b.uid);
		if (collmemory.hasOwnProperty(key))
		{
			last_coll_tickcount = collmemory[key][2];
			return true;
		}
		else
		{
			last_coll_tickcount = -2;
			return false;
		}
	};
	var candidates1 = [];
	Cnds.prototype.OnCollision = function (rtype)
	{
		if (!rtype)
			return false;
		var runtime = this.runtime;
		var cnd = runtime.getCurrentCondition();
		var ltype = cnd.type;
		if (!cnd.extra["collmemory"])
		{
			cnd.extra["collmemory"] = {};
			runtime.addDestroyCallback((function (collmemory) {
				return function(inst) {
					collmemory_removeInstance(collmemory, inst);
				};
			})(cnd.extra["collmemory"]));
		}
		var collmemory = cnd.extra["collmemory"];
		var lsol = ltype.getCurrentSol();
		var rsol = rtype.getCurrentSol();
		var linstances = lsol.getObjects();
		var rinstances;
		var l, linst, r, rinst;
		var curlsol, currsol;
		var tickcount = this.runtime.tickcount;
		var lasttickcount = tickcount - 1;
		var exists, run;
		var current_event = runtime.getCurrentEventStack().current_event;
		var orblock = current_event.orblock;
		for (l = 0; l < linstances.length; l++)
		{
			linst = linstances[l];
			if (rsol.select_all)
			{
				linst.update_bbox();
				this.runtime.getCollisionCandidates(linst.layer, rtype, linst.bbox, candidates1);
				rinstances = candidates1;
			}
			else
				rinstances = rsol.getObjects();
			for (r = 0; r < rinstances.length; r++)
			{
				rinst = rinstances[r];
				if (runtime.testOverlap(linst, rinst) || runtime.checkRegisteredCollision(linst, rinst))
				{
					exists = collmemory_has(collmemory, linst, rinst);
					run = (!exists || (last_coll_tickcount < lasttickcount));
					collmemory_add(collmemory, linst, rinst, tickcount);
					if (run)
					{
						runtime.pushCopySol(current_event.solModifiers);
						curlsol = ltype.getCurrentSol();
						currsol = rtype.getCurrentSol();
						curlsol.select_all = false;
						currsol.select_all = false;
						if (ltype === rtype)
						{
							curlsol.instances.length = 2;	// just use lsol, is same reference as rsol
							curlsol.instances[0] = linst;
							curlsol.instances[1] = rinst;
							ltype.applySolToContainer();
						}
						else
						{
							curlsol.instances.length = 1;
							currsol.instances.length = 1;
							curlsol.instances[0] = linst;
							currsol.instances[0] = rinst;
							ltype.applySolToContainer();
							rtype.applySolToContainer();
						}
						current_event.retrigger();
						runtime.popSol(current_event.solModifiers);
					}
				}
				else
				{
					collmemory_remove(collmemory, linst, rinst);
				}
			}
			candidates1.length = 0;
		}
		return false;
	};
	var rpicktype = null;
	var rtopick = new cr.ObjectSet();
	var needscollisionfinish = false;
	var candidates2 = [];
	function DoOverlapCondition(rtype, offx, offy)
	{
		if (!rtype)
			return false;
		var do_offset = (offx !== 0 || offy !== 0);
		var oldx, oldy, ret = false, r, lenr, rinst;
		var cnd = this.runtime.getCurrentCondition();
		var ltype = cnd.type;
		var inverted = cnd.inverted;
		var rsol = rtype.getCurrentSol();
		var orblock = this.runtime.getCurrentEventStack().current_event.orblock;
		var rinstances;
		if (rsol.select_all)
		{
			this.update_bbox();
			this.runtime.getCollisionCandidates(this.layer, rtype, this.bbox, candidates2);
			rinstances = candidates2;
		}
		else if (orblock)
			rinstances = rsol.else_instances;
		else
			rinstances = rsol.instances;
		rpicktype = rtype;
		needscollisionfinish = (ltype !== rtype && !inverted);
		if (do_offset)
		{
			oldx = this.x;
			oldy = this.y;
			this.x += offx;
			this.y += offy;
			this.set_bbox_changed();
		}
		for (r = 0, lenr = rinstances.length; r < lenr; r++)
		{
			rinst = rinstances[r];
			if (this.runtime.testOverlap(this, rinst))
			{
				ret = true;
				if (inverted)
					break;
				if (ltype !== rtype)
					rtopick.add(rinst);
			}
		}
		if (do_offset)
		{
			this.x = oldx;
			this.y = oldy;
			this.set_bbox_changed();
		}
		candidates2.length = 0;
		return ret;
	};
	typeProto.finish = function (do_pick)
	{
		if (!needscollisionfinish)
			return;
		if (do_pick)
		{
			var orblock = this.runtime.getCurrentEventStack().current_event.orblock;
			var sol = rpicktype.getCurrentSol();
			var topick = rtopick.valuesRef();
			var i, len, inst;
			if (sol.select_all)
			{
				sol.select_all = false;
				sol.instances.length = topick.length;
				for (i = 0, len = topick.length; i < len; i++)
				{
					sol.instances[i] = topick[i];
				}
				if (orblock)
				{
					sol.else_instances.length = 0;
					for (i = 0, len = rpicktype.instances.length; i < len; i++)
					{
						inst = rpicktype.instances[i];
						if (!rtopick.contains(inst))
							sol.else_instances.push(inst);
					}
				}
			}
			else
			{
				if (orblock)
				{
					var initsize = sol.instances.length;
					sol.instances.length = initsize + topick.length;
					for (i = 0, len = topick.length; i < len; i++)
					{
						sol.instances[initsize + i] = topick[i];
						cr.arrayFindRemove(sol.else_instances, topick[i]);
					}
				}
				else
				{
					cr.shallowAssignArray(sol.instances, topick);
				}
			}
			rpicktype.applySolToContainer();
		}
		rtopick.clear();
		needscollisionfinish = false;
	};
	Cnds.prototype.IsOverlapping = function (rtype)
	{
		return DoOverlapCondition.call(this, rtype, 0, 0);
	};
	Cnds.prototype.IsOverlappingOffset = function (rtype, offx, offy)
	{
		return DoOverlapCondition.call(this, rtype, offx, offy);
	};
	Cnds.prototype.IsAnimPlaying = function (animname)
	{
		if (this.changeAnimName.length)
			return cr.equals_nocase(this.changeAnimName, animname);
		else
			return cr.equals_nocase(this.cur_animation.name, animname);
	};
	Cnds.prototype.CompareFrame = function (cmp, framenum)
	{
		return cr.do_cmp(this.cur_frame, cmp, framenum);
	};
	Cnds.prototype.CompareAnimSpeed = function (cmp, x)
	{
		var s = (this.animForwards ? this.cur_anim_speed : -this.cur_anim_speed);
		return cr.do_cmp(s, cmp, x);
	};
	Cnds.prototype.OnAnimFinished = function (animname)
	{
		return cr.equals_nocase(this.animTriggerName, animname);
	};
	Cnds.prototype.OnAnyAnimFinished = function ()
	{
		return true;
	};
	Cnds.prototype.OnFrameChanged = function ()
	{
		return true;
	};
	Cnds.prototype.IsMirrored = function ()
	{
		return this.width < 0;
	};
	Cnds.prototype.IsFlipped = function ()
	{
		return this.height < 0;
	};
	Cnds.prototype.OnURLLoaded = function ()
	{
		return true;
	};
	Cnds.prototype.IsCollisionEnabled = function ()
	{
		return this.collisionsEnabled;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Spawn = function (obj, layer, imgpt)
	{
		if (!obj || !layer)
			return;
		var inst = this.runtime.createInstance(obj, layer, this.getImagePoint(imgpt, true), this.getImagePoint(imgpt, false));
		if (!inst)
			return;
		if (typeof inst.angle !== "undefined")
		{
			inst.angle = this.angle;
			inst.set_bbox_changed();
		}
		this.runtime.isInOnDestroy++;
		var i, len, s;
		this.runtime.trigger(Object.getPrototypeOf(obj.plugin).cnds.OnCreated, inst);
		if (inst.is_contained)
		{
			for (i = 0, len = inst.siblings.length; i < len; i++)
			{
				s = inst.siblings[i];
				this.runtime.trigger(Object.getPrototypeOf(s.type.plugin).cnds.OnCreated, s);
			}
		}
		this.runtime.isInOnDestroy--;
		var cur_act = this.runtime.getCurrentAction();
		var reset_sol = false;
		if (cr.is_undefined(cur_act.extra["Spawn_LastExec"]) || cur_act.extra["Spawn_LastExec"] < this.runtime.execcount)
		{
			reset_sol = true;
			cur_act.extra["Spawn_LastExec"] = this.runtime.execcount;
		}
		var sol;
		if (obj != this.type)
		{
			sol = obj.getCurrentSol();
			sol.select_all = false;
			if (reset_sol)
			{
				sol.instances.length = 1;
				sol.instances[0] = inst;
			}
			else
				sol.instances.push(inst);
			if (inst.is_contained)
			{
				for (i = 0, len = inst.siblings.length; i < len; i++)
				{
					s = inst.siblings[i];
					sol = s.type.getCurrentSol();
					sol.select_all = false;
					if (reset_sol)
					{
						sol.instances.length = 1;
						sol.instances[0] = s;
					}
					else
						sol.instances.push(s);
				}
			}
		}
	};
	Acts.prototype.SetEffect = function (effect)
	{
		this.compositeOp = cr.effectToCompositeOp(effect);
		cr.setGLBlend(this, effect, this.runtime.gl);
		this.runtime.redraw = true;
	};
	Acts.prototype.StopAnim = function ()
	{
		this.animPlaying = false;
	};
	Acts.prototype.StartAnim = function (from)
	{
		this.animPlaying = true;
		this.frameStart = this.getNowTime();
		if (from === 1 && this.cur_frame !== 0)
		{
			this.changeAnimFrame = 0;
			if (!this.inAnimTrigger)
				this.doChangeAnimFrame();
		}
		if (!this.isTicking)
		{
			this.runtime.tickMe(this);
			this.isTicking = true;
		}
	};
	Acts.prototype.SetAnim = function (animname, from)
	{
		this.changeAnimName = animname;
		this.changeAnimFrom = from;
		if (!this.isTicking)
		{
			this.runtime.tickMe(this);
			this.isTicking = true;
		}
		if (!this.inAnimTrigger)
			this.doChangeAnim();
	};
	Acts.prototype.SetAnimFrame = function (framenumber)
	{
		this.changeAnimFrame = framenumber;
		if (!this.isTicking)
		{
			this.runtime.tickMe(this);
			this.isTicking = true;
		}
		if (!this.inAnimTrigger)
			this.doChangeAnimFrame();
	};
	Acts.prototype.SetAnimSpeed = function (s)
	{
		this.cur_anim_speed = cr.abs(s);
		this.animForwards = (s >= 0);
		if (!this.isTicking)
		{
			this.runtime.tickMe(this);
			this.isTicking = true;
		}
	};
	Acts.prototype.SetMirrored = function (m)
	{
		var neww = cr.abs(this.width) * (m === 0 ? -1 : 1);
		if (this.width === neww)
			return;
		this.width = neww;
		this.set_bbox_changed();
	};
	Acts.prototype.SetFlipped = function (f)
	{
		var newh = cr.abs(this.height) * (f === 0 ? -1 : 1);
		if (this.height === newh)
			return;
		this.height = newh;
		this.set_bbox_changed();
	};
	Acts.prototype.SetScale = function (s)
	{
		var cur_frame = this.curFrame;
		var mirror_factor = (this.width < 0 ? -1 : 1);
		var flip_factor = (this.height < 0 ? -1 : 1);
		var new_width = cur_frame.width * s * mirror_factor;
		var new_height = cur_frame.height * s * flip_factor;
		if (this.width !== new_width || this.height !== new_height)
		{
			this.width = new_width;
			this.height = new_height;
			this.set_bbox_changed();
		}
	};
	Acts.prototype.LoadURL = function (url_, resize_)
	{
		var img = new Image();
		var self = this;
		var curFrame_ = this.curFrame;
		img.onload = function ()
		{
			if (curFrame_.texture_img.src === img.src)
			{
				if (self.runtime.glwrap && self.curFrame === curFrame_)
					self.curWebGLTexture = curFrame_.webGL_texture;
				self.runtime.redraw = true;
				self.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnURLLoaded, self);
				return;
			}
			curFrame_.texture_img = img;
			curFrame_.offx = 0;
			curFrame_.offy = 0;
			curFrame_.width = img.width;
			curFrame_.height = img.height;
			curFrame_.spritesheeted = false;
			curFrame_.datauri = "";
			curFrame_.pixelformat = 0;	// reset to RGBA, since we don't know what type of image will have come in
			if (self.runtime.glwrap)
			{
				if (curFrame_.webGL_texture)
					self.runtime.glwrap.deleteTexture(curFrame_.webGL_texture);
				curFrame_.webGL_texture = self.runtime.glwrap.loadTexture(img, false, self.runtime.linearSampling);
				if (self.curFrame === curFrame_)
					self.curWebGLTexture = curFrame_.webGL_texture;
				self.type.updateAllCurrentTexture();
			}
			if (resize_ === 0)		// resize to image size
			{
				self.width = img.width;
				self.height = img.height;
				self.set_bbox_changed();
			}
			self.runtime.redraw = true;
			self.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnURLLoaded, self);
		};
		if (url_.substr(0, 5) !== "data:")
			img["crossOrigin"] = "anonymous";
		img.src = url_;
	};
	Acts.prototype.SetCollisions = function (set_)
	{
		if (this.collisionsEnabled === (set_ !== 0))
			return;		// no change
		this.collisionsEnabled = (set_ !== 0);
		if (this.collisionsEnabled)
			this.set_bbox_changed();		// needs to be added back to cells
		else
		{
			if (this.collcells.right >= this.collcells.left)
				this.type.collision_grid.update(this, this.collcells, null);
			this.collcells.set(0, 0, -1, -1);
		}
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.AnimationFrame = function (ret)
	{
		ret.set_int(this.cur_frame);
	};
	Exps.prototype.AnimationFrameCount = function (ret)
	{
		ret.set_int(this.cur_animation.frames.length);
	};
	Exps.prototype.AnimationName = function (ret)
	{
		ret.set_string(this.cur_animation.name);
	};
	Exps.prototype.AnimationSpeed = function (ret)
	{
		ret.set_float(this.animForwards ? this.cur_anim_speed : -this.cur_anim_speed);
	};
	Exps.prototype.ImagePointX = function (ret, imgpt)
	{
		ret.set_float(this.getImagePoint(imgpt, true));
	};
	Exps.prototype.ImagePointY = function (ret, imgpt)
	{
		ret.set_float(this.getImagePoint(imgpt, false));
	};
	Exps.prototype.ImagePointCount = function (ret)
	{
		ret.set_int(this.curFrame.image_points.length);
	};
	Exps.prototype.ImageWidth = function (ret)
	{
		ret.set_float(this.curFrame.width);
	};
	Exps.prototype.ImageHeight = function (ret)
	{
		ret.set_float(this.curFrame.height);
	};
	pluginProto.exps = new Exps();
}());
/* global cr,log,assert2 */
/* jshint globalstrict: true */
/* jshint strict: true */
;
;
cr.plugins_.Spritefont2 = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Spritefont2.prototype;
	pluginProto.onCreate = function ()
	{
	};
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
		if (this.is_family)
			return;
		this.texture_img = new Image();
		this.texture_img["idtkLoadDisposed"] = true;
		this.texture_img.src = this.texture_file;
		this.runtime.waitForImageLoad(this.texture_img);
		this.webGL_texture = null;
	};
	typeProto.onLostWebGLContext = function ()
	{
		if (this.is_family)
			return;
		this.webGL_texture = null;
	};
	typeProto.onRestoreWebGLContext = function ()
	{
		if (this.is_family || !this.instances.length)
			return;
		if (!this.webGL_texture)
		{
			this.webGL_texture = this.runtime.glwrap.loadTexture(this.texture_img, false, this.runtime.linearSampling, this.texture_pixelformat);
		}
		var i, len;
		for (i = 0, len = this.instances.length; i < len; i++)
			this.instances[i].webGL_texture = this.webGL_texture;
	};
	typeProto.unloadTextures = function ()
	{
		if (this.is_family || this.instances.length || !this.webGL_texture)
			return;
		this.runtime.glwrap.deleteTexture(this.webGL_texture);
		this.webGL_texture = null;
	};
	typeProto.preloadCanvas2D = function (ctx)
	{
		ctx.drawImage(this.texture_img, 0, 0);
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onDestroy = function()
	{
		freeAllLines (this.lines);
		freeAllClip  (this.clipList);
		freeAllClipUV(this.clipUV);
		cr.wipe(this.characterWidthList);
	};
	instanceProto.onCreate = function()
	{
		this.texture_img      = this.type.texture_img;
		this.characterWidth   = this.properties[0];
		this.characterHeight  = this.properties[1];
		this.characterSet     = this.properties[2];
		this.text             = this.properties[3];
		this.characterScale   = this.properties[4];
		this.visible          = (this.properties[5] === 0);	// 0=visible, 1=invisible
		this.halign           = this.properties[6]/2.0;			// 0=left, 1=center, 2=right
		this.valign           = this.properties[7]/2.0;			// 0=top, 1=center, 2=bottom
		this.wrapbyword       = (this.properties[9] === 0);	// 0=word, 1=character
		this.characterSpacing = this.properties[10];
		this.lineHeight       = this.properties[11];
		this.textWidth  = 0;
		this.textHeight = 0;
		if (this.recycled)
		{
			this.lines.length = 0;
			cr.wipe(this.clipList);
			cr.wipe(this.clipUV);
			cr.wipe(this.characterWidthList);
		}
		else
		{
			this.lines = [];
			this.clipList = {};
			this.clipUV = {};
			this.characterWidthList = {};
		}
		this.text_changed = true;
		this.lastwrapwidth = this.width;
		if (this.runtime.glwrap)
		{
			if (!this.type.webGL_texture)
			{
				this.type.webGL_texture = this.runtime.glwrap.loadTexture(this.type.texture_img, false, this.runtime.linearSampling, this.type.texture_pixelformat);
			}
			this.webGL_texture = this.type.webGL_texture;
		}
		this.SplitSheet();
	};
	instanceProto.saveToJSON = function ()
	{
		var save = {
			"t": this.text,
			"csc": this.characterScale,
			"csp": this.characterSpacing,
			"lh": this.lineHeight,
			"tw": this.textWidth,
			"th": this.textHeight,
			"lrt": this.last_render_tick,
			"cw": {}
		};
		for (var ch in this.characterWidthList)
			save["cw"][ch] = this.characterWidthList[ch];
		return save;
	};
	instanceProto.loadFromJSON = function (o)
	{
		this.text = o["t"];
		this.characterScale = o["csc"];
		this.characterSpacing = o["csp"];
		this.lineHeight = o["lh"];
		this.textWidth = o["tw"];
		this.textHeight = o["th"];
		this.last_render_tick = o["lrt"];
		for(var ch in o["cw"])
			this.characterWidthList[ch] = o["cw"][ch];
		this.text_changed = true;
		this.lastwrapwidth = this.width;
	};
	function trimRight(text)
	{
		return text.replace(/\s\s*$/, '');
	}
	var MAX_CACHE_SIZE = 1000;
	function alloc(cache,Constructor)
	{
		if (cache.length)
			return cache.pop();
		else
			return new Constructor();
	}
	function free(cache,data)
	{
		if (cache.length < MAX_CACHE_SIZE)
		{
			cache.push(data);
		}
	}
	function freeAll(cache,dataList,isArray)
	{
		if (isArray) {
			var i, len;
			for (i = 0, len = dataList.length; i < len; i++)
			{
				free(cache,dataList[i]);
			}
			dataList.length = 0;
		} else {
			var prop;
			for(prop in dataList) {
				if(Object.prototype.hasOwnProperty.call(dataList,prop)) {
					free(cache,dataList[prop]);
					delete dataList[prop];
				}
			}
		}
	}
	function addLine(inst,lineIndex,cur_line) {
		var lines = inst.lines;
		var line;
		cur_line = trimRight(cur_line);
		if (lineIndex >= lines.length)
			lines.push(allocLine());
		line = lines[lineIndex];
		line.text = cur_line;
		line.width = inst.measureWidth(cur_line);
		inst.textWidth = cr.max(inst.textWidth,line.width);
	}
	var linesCache = [];
	function allocLine()       { return alloc(linesCache,Object); }
	function freeLine(l)       { free(linesCache,l); }
	function freeAllLines(arr) { freeAll(linesCache,arr,true); }
	function addClip(obj,property,x,y,w,h) {
		if (obj[property] === undefined) {
			obj[property] = alloc(clipCache,Object);
		}
		obj[property].x = x;
		obj[property].y = y;
		obj[property].w = w;
		obj[property].h = h;
	}
	var clipCache = [];
	function allocClip()      { return alloc(clipCache,Object); }
	function freeAllClip(obj) { freeAll(clipCache,obj,false);}
	function addClipUV(obj,property,left,top,right,bottom) {
		if (obj[property] === undefined) {
			obj[property] = alloc(clipUVCache,cr.rect);
		}
		obj[property].left   = left;
		obj[property].top    = top;
		obj[property].right  = right;
		obj[property].bottom = bottom;
	}
	var clipUVCache = [];
	function allocClipUV()      { return alloc(clipUVCache,cr.rect);}
	function freeAllClipUV(obj) { freeAll(clipUVCache,obj,false);}
	instanceProto.SplitSheet = function() {
		var texture      = this.texture_img;
		var texWidth     = texture.width;
		var texHeight    = texture.height;
		var charWidth    = this.characterWidth;
		var charHeight   = this.characterHeight;
		var charU        = charWidth /texWidth;
		var charV        = charHeight/texHeight;
		var charSet      = this.characterSet ;
		var cols = Math.floor(texWidth/charWidth);
		var rows = Math.floor(texHeight/charHeight);
		for ( var c = 0; c < charSet.length; c++) {
			if  (c >= cols * rows) break;
			var x = c%cols;
			var y = Math.floor(c/cols);
			var letter = charSet.charAt(c);
			if (this.runtime.glwrap) {
				addClipUV(
					this.clipUV, letter,
					x * charU ,
					y * charV ,
					(x+1) * charU ,
					(y+1) * charV
				);
			} else {
				addClip(
					this.clipList, letter,
					x * charWidth,
					y * charHeight,
					charWidth,
					charHeight
				);
			}
		}
	};
	/*
     *	Word-Wrapping
     */
	var wordsCache = [];
	pluginProto.TokeniseWords = function (text)
	{
		wordsCache.length = 0;
		var cur_word = "";
		var ch;
		var i = 0;
		while (i < text.length)
		{
			ch = text.charAt(i);
			if (ch === "\n")
			{
				if (cur_word.length)
				{
					wordsCache.push(cur_word);
					cur_word = "";
				}
				wordsCache.push("\n");
				++i;
			}
			else if (ch === " " || ch === "\t" || ch === "-")
			{
				do {
					cur_word += text.charAt(i);
					i++;
				}
				while (i < text.length && (text.charAt(i) === " " || text.charAt(i) === "\t"));
				wordsCache.push(cur_word);
				cur_word = "";
			}
			else if (i < text.length)
			{
				cur_word += ch;
				i++;
			}
		}
		if (cur_word.length)
			wordsCache.push(cur_word);
	};
	pluginProto.WordWrap = function (inst)
	{
		var text = inst.text;
		var lines = inst.lines;
		if (!text || !text.length)
		{
			freeAllLines(lines);
			return;
		}
		var width = inst.width;
		if (width <= 2.0)
		{
			freeAllLines(lines);
			return;
		}
		var charWidth = inst.characterWidth;
		var charScale = inst.characterScale;
		var charSpacing = inst.characterSpacing;
		if ( (text.length * (charWidth * charScale + charSpacing) - charSpacing) <= width && text.indexOf("\n") === -1)
		{
			var all_width = inst.measureWidth(text);
			if (all_width <= width)
			{
				freeAllLines(lines);
				lines.push(allocLine());
				lines[0].text = text;
				lines[0].width = all_width;
				inst.textWidth  = all_width;
				inst.textHeight = inst.characterHeight * charScale + inst.lineHeight;
				return;
			}
		}
		var wrapbyword = inst.wrapbyword;
		this.WrapText(inst);
		inst.textHeight = lines.length * (inst.characterHeight * charScale + inst.lineHeight);
	};
	pluginProto.WrapText = function (inst)
	{
		var wrapbyword = inst.wrapbyword;
		var text       = inst.text;
		var lines      = inst.lines;
		var width      = inst.width;
		var wordArray;
		if (wrapbyword) {
			this.TokeniseWords(text);	// writes to wordsCache
			wordArray = wordsCache;
		} else {
			wordArray = text;
		}
		var cur_line = "";
		var prev_line;
		var line_width;
		var i;
		var lineIndex = 0;
		var line;
		var ignore_newline = false;
		for (i = 0; i < wordArray.length; i++)
		{
			if (wordArray[i] === "\n")
			{
				if (ignore_newline === true) {
					ignore_newline = false;
				} else {
					addLine(inst,lineIndex,cur_line);
					lineIndex++;
				}
				cur_line = "";
				continue;
			}
			ignore_newline = false;
			prev_line = cur_line;
			cur_line += wordArray[i];
			line_width = inst.measureWidth(trimRight(cur_line));
			if (line_width > width)
			{
				if (prev_line === "") {
					addLine(inst,lineIndex,cur_line);
					cur_line = "";
					ignore_newline = true;
				} else {
					addLine(inst,lineIndex,prev_line);
					cur_line = wordArray[i];
				}
				lineIndex++;
				if (!wrapbyword && cur_line === " ")
					cur_line = "";
			}
		}
		if (trimRight(cur_line).length)
		{
			addLine(inst,lineIndex,cur_line);
			lineIndex++;
		}
		for (i = lineIndex; i < lines.length; i++)
			freeLine(lines[i]);
		lines.length = lineIndex;
	};
	instanceProto.measureWidth = function(text) {
		var spacing = this.characterSpacing;
		var len     = text.length;
		var width   = 0;
		for (var i = 0; i < len; i++) {
			width += this.getCharacterWidth(text.charAt(i)) * this.characterScale + spacing;
		}
		width -= (width > 0) ? spacing : 0;
		return width;
	};
	/***/
	instanceProto.getCharacterWidth = function(character) {
		var widthList = this.characterWidthList;
		if (widthList[character] !== undefined) {
			return widthList[character];
		} else {
			return this.characterWidth;
		}
	};
	instanceProto.rebuildText = function() {
		if (this.text_changed || this.width !== this.lastwrapwidth) {
			this.textWidth = 0;
			this.textHeight = 0;
			this.type.plugin.WordWrap(this);
			this.text_changed = false;
			this.lastwrapwidth = this.width;
		}
	};
	var EPSILON = 0.00001;
	instanceProto.draw = function(ctx, glmode)
	{
		var texture = this.texture_img;
		if (this.text !== "" && texture != null) {
			this.rebuildText();
			if (this.height < this.characterHeight*this.characterScale + this.lineHeight) {
				return;
			}
			ctx.globalAlpha = this.opacity;
			var myx = this.x;
			var myy = this.y;
			if (this.runtime.pixel_rounding)
			{
				myx = Math.round(myx);
				myy = Math.round(myy);
			}
			var viewLeft = this.layer.viewLeft;
			var viewTop = this.layer.viewTop;
			var viewRight = this.layer.viewRight;
			var viewBottom = this.layer.viewBottom;
			ctx.save();
			ctx.translate(myx, myy);
			ctx.rotate(this.angle);
			var ha         = this.halign;
			var va         = this.valign;
			var scale      = this.characterScale;
			var charHeight = this.characterHeight * scale;
			var lineHeight = this.lineHeight;
			var charSpace  = this.characterSpacing;
			var lines = this.lines;
			var textHeight = this.textHeight;
			var letterWidth;
			var halign;
			var valign = va * cr.max(0,(this.height - textHeight));
			var offx = -(this.hotspotX * this.width);
			var offy = -(this.hotspotY * this.height);
			offy += valign;
			var drawX ;
			var drawY = offy;
			var roundX, roundY;
			for(var i = 0; i < lines.length; i++) {
				var line = lines[i].text;
				var len  = lines[i].width;
				halign = ha * cr.max(0,this.width - len);
				drawX = offx + halign;
				drawY += lineHeight;
				if (myy + drawY + charHeight < viewTop)
				{
					drawY += charHeight;
					continue;
				}
				for(var j = 0; j < line.length; j++) {
					var letter = line.charAt(j);
					letterWidth = this.getCharacterWidth(letter);
					var clip = this.clipList[letter];
					if (myx + drawX + letterWidth * scale + charSpace < viewLeft)
					{
						drawX += letterWidth * scale + charSpace;
						continue;
					}
					if ( drawX + letterWidth * scale > this.width + EPSILON ) {
						break;
					}
					if (clip !== undefined) {
						roundX = drawX;
						roundY = drawY;
						if (this.angle === 0)
						{
							roundX = Math.round(roundX);
							roundY = Math.round(roundY);
						}
						ctx.drawImage( this.texture_img,
									 clip.x, clip.y, clip.w, clip.h,
									 roundX,roundY,clip.w*scale,clip.h*scale);
					}
					drawX += letterWidth * scale + charSpace;
					if (myx + drawX > viewRight)
						break;
				}
				drawY += charHeight;
				if (drawY + charHeight + lineHeight > this.height || myy + drawY > viewBottom)
				{
					break;
				}
			}
			ctx.restore();
		}
	};
	var dQuad = new cr.quad();
	function rotateQuad(quad,cosa,sina) {
		var x_temp;
		x_temp   = (quad.tlx * cosa) - (quad.tly * sina);
		quad.tly = (quad.tly * cosa) + (quad.tlx * sina);
		quad.tlx = x_temp;
		x_temp    = (quad.trx * cosa) - (quad.try_ * sina);
		quad.try_ = (quad.try_ * cosa) + (quad.trx * sina);
		quad.trx  = x_temp;
		x_temp   = (quad.blx * cosa) - (quad.bly * sina);
		quad.bly = (quad.bly * cosa) + (quad.blx * sina);
		quad.blx = x_temp;
		x_temp    = (quad.brx * cosa) - (quad.bry * sina);
		quad.bry = (quad.bry * cosa) + (quad.brx * sina);
		quad.brx  = x_temp;
	}
	instanceProto.drawGL = function(glw)
	{
		glw.setTexture(this.webGL_texture);
		glw.setOpacity(this.opacity);
		if (!this.text)
			return;
		this.rebuildText();
		if (this.height < this.characterHeight*this.characterScale + this.lineHeight) {
			return;
		}
		this.update_bbox();
		var q = this.bquad;
		var ox = 0;
		var oy = 0;
		if (this.runtime.pixel_rounding)
		{
			ox = Math.round(this.x) - this.x;
			oy = Math.round(this.y) - this.y;
		}
		var viewLeft = this.layer.viewLeft;
		var viewTop = this.layer.viewTop;
		var viewRight = this.layer.viewRight;
		var viewBottom = this.layer.viewBottom;
		var angle      = this.angle;
		var ha         = this.halign;
		var va         = this.valign;
		var scale      = this.characterScale;
		var charHeight = this.characterHeight * scale;   // to precalculate in onCreate or on change
		var lineHeight = this.lineHeight;
		var charSpace  = this.characterSpacing;
		var lines = this.lines;
		var textHeight = this.textHeight;
		var letterWidth;
		var cosa,sina;
		if (angle !== 0)
		{
			cosa = Math.cos(angle);
			sina = Math.sin(angle);
		}
		var halign;
		var valign = va * cr.max(0,(this.height - textHeight));
		var offx = q.tlx + ox;
		var offy = q.tly + oy;
		var drawX ;
		var drawY = valign;
		var roundX, roundY;
		for(var i = 0; i < lines.length; i++) {
			var line       = lines[i].text;
			var lineWidth  = lines[i].width;
			halign = ha * cr.max(0,this.width - lineWidth);
			drawX = halign;
			drawY += lineHeight;
			if (offy + drawY + charHeight < viewTop)
			{
				drawY += charHeight;
				continue;
			}
			for(var j = 0; j < line.length; j++) {
				var letter = line.charAt(j);
				letterWidth = this.getCharacterWidth(letter);
				var clipUV = this.clipUV[letter];
				if (offx + drawX + letterWidth * scale + charSpace < viewLeft)
				{
					drawX += letterWidth * scale + charSpace;
					continue;
				}
				if (drawX + letterWidth * scale > this.width + EPSILON)
				{
					break;
				}
				if (clipUV !== undefined) {
					var clipWidth  = this.characterWidth*scale;
					var clipHeight = this.characterHeight*scale;
					roundX = drawX;
					roundY = drawY;
					if (angle === 0)
					{
						roundX = Math.round(roundX);
						roundY = Math.round(roundY);
					}
					dQuad.tlx  = roundX;
					dQuad.tly  = roundY;
					dQuad.trx  = roundX + clipWidth;
					dQuad.try_ = roundY ;
					dQuad.blx  = roundX;
					dQuad.bly  = roundY + clipHeight;
					dQuad.brx  = roundX + clipWidth;
					dQuad.bry  = roundY + clipHeight;
					if(angle !== 0)
					{
						rotateQuad(dQuad,cosa,sina);
					}
					dQuad.offset(offx,offy);
					glw.quadTex(
						dQuad.tlx, dQuad.tly,
						dQuad.trx, dQuad.try_,
						dQuad.brx, dQuad.bry,
						dQuad.blx, dQuad.bly,
						clipUV
					);
				}
				drawX += letterWidth * scale + charSpace;
				if (offx + drawX > viewRight)
					break;
			}
			drawY += charHeight;
			if (drawY + charHeight + lineHeight > this.height || offy + drawY > viewBottom)
			{
				break;
			}
		}
	};
	function Cnds() {}
	Cnds.prototype.CompareText = function(text_to_compare, case_sensitive)
	{
		if (case_sensitive)
			return this.text == text_to_compare;
		else
			return cr.equals_nocase(this.text, text_to_compare);
	};
	pluginProto.cnds = new Cnds();
	function Acts() {}
	Acts.prototype.SetText = function(param)
	{
		if (cr.is_number(param) && param < 1e9)
			param = Math.round(param * 1e10) / 1e10;	// round to nearest ten billionth - hides floating point errors
		var text_to_set = param.toString();
		if (this.text !== text_to_set)
		{
			this.text = text_to_set;
			this.text_changed = true;
			this.runtime.redraw = true;
		}
	};
	Acts.prototype.AppendText = function(param)
	{
		if (cr.is_number(param))
			param = Math.round(param * 1e10) / 1e10;	// round to nearest ten billionth - hides floating point errors
		var text_to_append = param.toString();
		if (text_to_append)	// not empty
		{
			this.text += text_to_append;
			this.text_changed = true;
			this.runtime.redraw = true;
		}
	};
	Acts.prototype.SetScale = function(param)
	{
		if (param !== this.characterScale) {
			this.characterScale = param;
			this.text_changed = true;
			this.runtime.redraw = true;
		}
	};
	Acts.prototype.SetCharacterSpacing = function(param)
	{
		if (param !== this.CharacterSpacing) {
			this.characterSpacing = param;
			this.text_changed = true;
			this.runtime.redraw = true;
		}
	};
	Acts.prototype.SetLineHeight = function(param)
	{
		if (param !== this.lineHeight) {
			this.lineHeight = param;
			this.text_changed = true;
			this.runtime.redraw = true;
		}
	};
	instanceProto.SetCharWidth = function(character,width) {
		var w = parseInt(width,10);
		if (this.characterWidthList[character] !== w) {
			this.characterWidthList[character] = w;
			this.text_changed = true;
			this.runtime.redraw = true;
		}
	};
	Acts.prototype.SetCharacterWidth = function(characterSet,width)
	{
		if (characterSet !== "") {
			for(var c = 0; c < characterSet.length; c++) {
				this.SetCharWidth(characterSet.charAt(c),width);
			}
		}
	};
	Acts.prototype.SetEffect = function (effect)
	{
		this.compositeOp = cr.effectToCompositeOp(effect);
		cr.setGLBlend(this, effect, this.runtime.gl);
		this.runtime.redraw = true;
	};
	Acts.prototype.SetHAlign = function (a)
	{
		this.halign = a / 2.0;
		this.text_changed = true;
		this.runtime.redraw = true;
	};
	Acts.prototype.SetVAlign = function (a)
	{
		this.valign = a / 2.0;
		this.text_changed = true;
		this.runtime.redraw = true;
	};
	pluginProto.acts = new Acts();
	function Exps() {}
	Exps.prototype.CharacterWidth = function(ret,character)
	{
		ret.set_int(this.getCharacterWidth(character));
	};
	Exps.prototype.CharacterHeight = function(ret)
	{
		ret.set_int(this.characterHeight);
	};
	Exps.prototype.CharacterScale = function(ret)
	{
		ret.set_float(this.characterScale);
	};
	Exps.prototype.CharacterSpacing = function(ret)
	{
		ret.set_int(this.characterSpacing);
	};
	Exps.prototype.LineHeight = function(ret)
	{
		ret.set_int(this.lineHeight);
	};
	Exps.prototype.Text = function(ret)
	{
		ret.set_string(this.text);
	};
	Exps.prototype.TextWidth = function (ret)
	{
		this.rebuildText();
		ret.set_float(this.textWidth);
	};
	Exps.prototype.TextHeight = function (ret)
	{
		this.rebuildText();
		ret.set_float(this.textHeight);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Spriter = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Spriter.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
		this.scmlFiles=[];
		this.objectArrays=[];
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
		this.lastData = "";
		this.progress = 0;
		this.entity = 0;
		this.entities = [];
		this.currentSpriterTime = 0;
		this.currentAdjustedTime = 0;
		this.secondTime = 0;
		this.start_time = cr.performance_now();
		this.lastKnownTime = this.getNowTime();
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.setEntitiesToOtherEntities = function(otherEntities)
	{
		var NO_INDEX=-1;
		var entityTags = otherEntities;
		var att=0;
		for (var e = 0; e < entityTags.length; e++)
		{
			var entityTag=entityTags[e];
			att=entityTag;
			var entity = new SpriterEntity();
			att=entityTag;
			entity.name=att.name;
			var animationTags = entityTag.animations;
			for (var a = 0; a < animationTags.length; a++)
			{
				var animationTag = animationTags[a];
				att=animationTag;
				var animation = new SpriterAnimation();
				animation.name=att.name;
				animation.length=att.length;
				animation.looping = att.looping;
				animation.loopTo = att.loop_to;
				var mainlineTag = animationTag.mainlineKeys;
				var mainline = new SpriterTimeline();
				var keyTags = mainlineTag;
				for (var k = 0; k<keyTags.length; k++)
				{
					var keyTag = keyTags[k];
					var key = new SpriterKey();
					att=keyTag;
					key.time = att.time;
					key.curveType=att.curveType;
					key.c1=att.c1;
								key.c2=att.c2;
								key.c3=att.c3;
								key.c4=att.c4;
					var boneRefTags = keyTag.bones;
					if(boneRefTags)
					{
						for (var o = 0; o < boneRefTags.length; o++)
						{
							var boneRefTag=boneRefTags[o];
							att=boneRefTag;
							var boneRef = new SpriterObjectRef();
							boneRef.timeline=att.timeline;
							boneRef.key=att.key;
							boneRef.parent = att.parent;
							key.bones.push(boneRef);
						}
					}
					var objectRefTags = keyTag.objects;
					if(objectRefTags)
					{
						for (var o = 0; o < objectRefTags.length; o++)
						{
							var objectRefTag=objectRefTags[o];
							att=objectRefTag;
							var objectRef = new SpriterObjectRef();
							objectRef.timeline=att.timeline;
							objectRef.key=att.key;
							objectRef.parent = att.parent;
							key.objects.push(objectRef);
						}
					}
					animation.mainlineKeys.push(key);
				}
				animation.mainline=mainline;
				var timelineTags = animationTag.timelines;
				if(timelineTags)
				{
					for (var t = 0; t < timelineTags.length; t++)
					{
						var timelineTag=timelineTags[t];
						att=timelineTag;
						var timeline = new SpriterTimeline();
						timeline.objectType = att.objectType;
						var timelineName=att.name;
						timeline.name=timelineName;
						var keyTags = timelineTag.keys;
						if(keyTags)
						{
							for (var k = 0; k<keyTags.length; k++)
							{
								var keyTag = keyTags[k];
								var key = new SpriterKey();
								att=keyTag;
								key.time = att.time;
								key.spin = (att.spin);
								key.curveType=att.curveType;
								key.c1=att.c1;
								key.c2=att.c2;
								key.c3=att.c3;
								key.c4=att.c4;
								var objectTags = keyTag.objects;
								if(objectTags)
								{
									for(var o=0; o<objectTags.length; o++)
									{
										var objectTag=objectTags[o];
										var object=CloneObject(objectTag);
										key.objects.push(object);
									}
								}
								var boneTags = keyTag.bones;
								if(boneTags)
								{
									for(var o=0; o<boneTags.length; o++)
									{
										var boneTag=boneTags[o];
										var bone=CloneObject(boneTag);
										key.bones.push(bone);
									}
								}
								timeline.keys.push(key);
							}
						}
						timeline.c2Object=this.c2ObjectArray[findObjectItemInArray(timelineName,this.objectArray,entity.name)];
						animation.timelines.push(timeline);
					}
				}
				entity.animations.push(animation);
			}
			this.entities.push(entity);
			if(!this.entity||this.properties[1]===entity.name)
			{
				this.entity=entity;
			}
		}
	};
	instanceProto.getCharacterFromPreload = function()
	{
		if(this.type.scmlFiles.hasOwnProperty(this.properties[0]))
		{
			this.setEntitiesToOtherEntities(this.type.scmlFiles[this.properties[0]]);
			if(this.type.objectArrays.hasOwnProperty(this.properties[0]))
			{
				this.objectArray=this.type.objectArrays[this.properties[0]];
			}
			this.c2ObjectArray=this.generateTestC2ObjectArray(this.objectArray);
			if(this.startingEntName)
			{
				this.setEntTo(this.startingEntName);
			}
			else
			{
				this.setEntTo(this.properties[1]);
			}
			this.associateAllTypes();
			this.initDOMtoPairedObjects();
			if(this.startingAnimName)
			{
				this.setAnimTo(this.startingAnimName);
			}
			else
			{
				this.setAnimTo(this.properties[2]);
			}
			if(!this.currentAnimation&&this.entity&&this.entity.animations.length)
			{
				this.setAnimTo(this.entity.animations[0].name);
			}
			if(this.startingLoopType&&this.currentAnimation)
			{
				this.currentAnimation.looping=startingLoopType;
			}
			return true;
		}
		return false;
	}
	var PAUSENEVER=0;
	var PAUSEALLOUTSIDEBUFFER=1;
	var PAUSEALLBUTSOUNDOUTSIDEBUFFER=2;
	instanceProto.onCreate = function()
	{
		this.nodeStack = [];
		this.isDestroyed=false;
		this.folders = [];
		this.currentAnimation = "";
		this.secondAnimation = "";
		this.animBlend=0.0;
		this.blendStartTime=0.0;
		this.blendEndTime=0.0;
		this.blendPoseTime=0.0;
		this.lastKnownInstDataAsObj = null;
		this.c2ObjectArray = [];
		this.objectArray=[];
		this.animPlaying = true;
		this.speedRatio=1.0;
		this.scaleRatio=this.width/50.0;
		this.xFlip=false;
		this.yFlip=false;
		this.playTo=-1;
		this.changeToStartFrom=0;
		this.runtime.tick2Me(this);
		this.startingEntName=null;
		this.startingAnimName=null;
		this.startingLoopType=null;
		this.leftBuffer=0;
		this.rightBuffer=0;
		this.topBuffer=0;
		this.bottomBuffer=0;
		this.pauseWhenOutsideBuffer=PAUSENEVER;
		this.properties[0]=this.properties[0].toLowerCase();
		if(this.properties[0].lastIndexOf(".scml")>-1)
		{
			this.properties[0]=this.properties[0].replace(".scml",".scon");
		}
		if(!this.getCharacterFromPreload())
		{
			var self=this;
			var request = null;
			var doErrorFunc = function ()
			{
			};
			var errorFunc = function ()
			{
			};
			var progressFunc = function (e)
			{
			};
			request = new XMLHttpRequest();
			var isNodeWebkit=this.runtime.isNodeWebkit;
			request.onreadystatechange = function()
			{
				if (request.readyState === 4&&!self.isDestroyed)
				{
					if (request.status >= 400)
					{
;
					}
					else
					{
						request.responseText.replace(/\r\n/g, "\n");// fix windows style line endings
						self.doRequest(JSON.parse(request.responseText));
						if(self.startingEntName)
						{
							self.setEntTo(self.startingEntName);
						}
						if(self.startingAnimName)
						{
							self.setAnimTo(self.startingAnimName);
						}
						if(self.startingLoopType&&self.currentAnimation)
						{
							self.currentAnimation.looping=self.startingLoopType;
						}
					}
				}
			};
			request.onerror = errorFunc;
			request.ontimeout = errorFunc;
			request.onabort = errorFunc;
			request["onprogress"] = progressFunc;
			request.open("GET", this.properties[0]);
			request.send();
		}
		this.force=false;
		this.inAnimTrigger=false;
		this.changeAnimTo=null;
	};
	instanceProto.onDestroy = function ()
	{
		this.isDestroyed=true;
	};
	function SpriterEntity()
	{
		this.name = "";
		this.animations = [];
	}
	function SpriterAnimation()
	{
		this.name = "";
		this.length = 1;
		this.looping = "true";
		this.loopTo = 0;
		this.mainlineKeys = [];
		this.timelines = [];
		this.soundlines = [];
		this.cur_frame = 0;
		this.localTime=0;
	}
	function SpriterTimeline()
	{
		this.keys = [];
		this.name = "";
		this.c2Object = 0;
		this.objectType="sprite";
		this.currentObjectState={};
		this.currentMappedState={};
		this.lastTimeSoundCheck=0;
	}
	function SpriterKey()
	{
		this.bones = [];
		this.objects = [];
		this.time = 0;
		this.spin = 1;
		this.curveType="linear";
		this.c1=0;
		this.c2=0;
		this.c3=0;
		this.c4=0;
	}
	function SpriterObject()
	{
		this.type = "sprite";
		this.x = 0;
		this.y = 0;
		this.angle = 0;
		this.a = 1;
		this.xScale = 1;
		this.yScale = 1;
		this.pivotX = 0.0;
		this.pivotY = 0.0;
		this.defaultPivot = false;
		this.frame = 0;
		this.storedFrame = 0;
	}
	function SpriterSound()
	{
		this.type = "sound";
		this.name = "";
		this.trigger =true;
		this.panning=0.0;
		this.volume=1.0;
	}
	function CloneObject(other)
	{
		if(other)
		{
			var newObj=new SpriterObject();
			newObj.type = other.type;
			newObj.x = other.x;
			newObj.y = other.y;
			newObj.angle = other.angle;
			newObj.a = other.a;
			newObj.xScale = other.xScale;
			newObj.yScale = other.yScale;
			newObj.pivotX = other.pivotX;
			newObj.pivotY = other.pivotY;
			newObj.defaultPivot = other.defaultPivot;
			newObj.frame = other.frame;
			newObj.storedFrame = newObj.storedFrame;
			return newObj;
		}
		else
		{
			return null;
		}
	}
	function sampleCurve(a,b,c,t)
	{
		return ((a*t+b)*t+c)*t;
	}
	function sampleCurveDerivativeX(ax, bx, cx, t)
	{
		return (3.0*ax*t+2.0*bx)*t+cx;
	}
	function solveEpsilon(duration)
	{
		return 1.0/(200.0*duration);
	}
	function solve(ax,bx,cx,ay,by,cy,x,epsilon)
	{
		return sampleCurve(ay,by,cy,solveCurveX(ax,bx,cx,x,epsilon));
	}
	function fabs(n)
	{
		if(n>=0)
		{
			return n;
		}
		else
		{
			return 0-n;
		}
	}
	function solveCurveX(ax,bx,cx,x,epsilon)
	{
		var t0;
		var t1;
		var t2;
		var x2;
		var d2;
		var i;
		for(t2=x, i=0; i<8; i++)
		{
			x2=sampleCurve(ax,bx,cx,t2)-x;
			if(fabs(x2)<epsilon)
			{
				return t2;
			}
			d2=sampleCurveDerivativeX(ax,bx,cx,t2);
			if(fabs(d2)<1e-6)
			{
				break;
			}
			t2=t2-x2/d2;
		}
		t0=0.0;
		t1=1.0;
		t2=x;
		if(t2<t0)
		{
			return t0;
		}
		if(t2>t1)
		{
			return t1;
		}
		while(t0<t1)
		{
			x2=sampleCurve(ax,bx,cx,t2);
			if(fabs(x2-x)<epsilon)
			{
				return t2;
			}
			if(x>x2)
			{
				t0=t2;
			}
			else
			{
				t1=t2;
			}
			t2=(t1-t0)*.5+t0;
		}
		return t2; // Failure.
	}
	function CubicBezierAtTime(t,p1x,p1y,p2x,p2y,duration)
	{
		var ax=0;
		var bx=0;
		var cx=0;
		var ay=0;
		var by=0;
		var cy=0;
		cx=3.0*p1x;
		bx=3.0*(p2x-p1x)-cx;
		ax=1.0-cx-bx;
		cy=3.0*p1y;
		by=3.0*(p2y-p1y)-cy;
		ay=1.0-cy-by;
		return solve(ax,bx,cx,ay,by,cy,t, solveEpsilon(duration));
	}
	function getT(a,b,x)
	{
		if(a===b)
		{
			return 0;
		}
		return (x-a)/(b-a);
	}
	function qerp(a,b,c,t)
	{
		return cr.lerp(cr.lerp(a,b,t),cr.lerp(b,c,t),t);
	}
	function cerp(a,b,c,d,t)
	{
		return cr.lerp(qerp(a,b,c,t),qerp(b,c,d,t),t);
	}
	function quartic(a,b,c,d,e,t)
	{
		return cr.lerp(cerp(a,b,c,d,t),cerp(b,c,d,e,t),t);
	}
	function quintic(a,b,c,d,e,f,t)
	{
		return cr.lerp(quartic(a,b,c,d,e,t),quartic(b,c,d,e,f,t),t);
	}
	function trueT(key,t)
	{
		switch(key.curveType)
		{
		case "linear":
			return t;
		case "quadratic":
			return qerp(0,key.c1,1,t);
		case "cubic":
			return cerp(0,key.c1,key.c2,1,t);
		case "quartic":
			return quartic(0,key.c1,key.c2,key.c3,1,t);
		case "quintic":
			return quintic(key.c1,key.c2,key.c3,key.c4,t);
		case "bezier":
			 return CubicBezierAtTime(t,key.c1,key.c2,key.c3,key.c4,1.0);
		case "instant":
			if(t>=1)
			{
				return 1;
			}
			else
			{
				return 0;
			}
		}
		return 0;
	}
	function TweenedSpriterObject(a,b,t,spin,wFactor,hFactor)
	{
		wFactor = typeof wFactor !== 'undefined' ? wFactor : 1;
		hFactor = typeof hFactor !== 'undefined' ? hFactor : 1;
		var newObj=new SpriterObject();
		newObj.type = a.type;
		newObj.x = cr.lerp(a.x,b.x,t);
		newObj.y = cr.lerp(a.y,b.y,t);
		newObj.angle = anglelerp2(a.angle,b.angle,t,spin);
		newObj.a = cr.lerp(a.a,b.a,t);
		newObj.xScale = cr.lerp(a.xScale,b.xScale,t);
		newObj.yScale = cr.lerp(a.yScale,b.yScale,t);
		newObj.pivotX = a.pivotX;//cr.lerp(a.pivotX,b.pivotX,t);
		newObj.pivotY = a.pivotY;//cr.lerp(a.pivotY,b.pivotY,t);
		newObj.defaultPivot = a.defaultPivot;
		newObj.frame = a.frame;
		newObj.storedFrame=a.storedFrame;
		return newObj;
	}
	function TweenedSpriterSound(a,b,t)
	{
		var newSound=new SpriterSound();
		newSound.trigger = a.trigger;
		newSound.volume = cr.lerp(a.volume,b.volume,t);
		newSound.panning = cr.lerp(a.panning,b.panning,t);
		newSound.name =a.name;
		return newSound;
	}
	function SpriterObjectRef()
	{
		this.type = "reference";
		this.timeline = 0;
		this.key = 0;
		this.parent = -1;
	}
	function SpriterFolder()
	{
		this.files = [];
	}
	function SpriterFile()
	{
		this.fileName="";
		this.pivotX=0;
		this.pivotY=0;
		this.w=1;
		this.h=1;
	}
	function SetSpriteAnimFrame(sprite,framenumber,c2Object)
	{
		if(!sprite)
		{
			return;
		}
		if(c2Object&&c2Object.appliedMap[framenumber]!==undefined)
		{
			if(c2Object.appliedMap[framenumber]===-1)
			{
				sprite.visible=false;
			}
			else
			{
				framenumber=c2Object.appliedMap[framenumber];
			}
		}
		sprite.changeAnimFrame = framenumber;
		if (!sprite.isTicking)
		{
			sprite.runtime.tickMe(sprite);
			sprite.isTicking = true;
		}
		if (!sprite.inAnimTrigger)
		{
			sprite.doChangeAnimFrame();
		}
	}
	function anglelerp(a, b, x)
	{
		var diff = cr.angleDiff(a, b);
		if (cr.angleClockwise(b, a))
		{
			return (a + diff * x);
		}
		else
		{
			return (a - diff * x);
		}
	}
	function anglelerp2(a, b, x, spin)
	{
		if(spin===0)
		{
			return a;
		}
		var diff = cr.angleDiff(a, b);
		if (spin==-1)
		{
			return (a + diff * x);
		}
		else
		{
			return (a - diff * x);
		}
	}
	function findInArray(item,arr)
	{
		for(var i=0;i<arr.length;i++)
		{
			if(arr[i]==item)
			{
				return i;
			}
		}
		return -1;
	}
	instanceProto.isOutsideViewportBox = function()
	{
		var layer = (this.layer);
		if(layer)
		{
			if(this.x<layer.viewLeft-this.leftBuffer)
			{
				return true;
			}
			if(this.x>layer.viewRight+this.rightBuffer)
			{
				return true;
			}
			if(this.y<layer.viewTop-this.topBuffer)
			{
				return true;
			}
			if(this.y>layer.viewBottom+this.bottomBuffer)
			{
				return true;
			}
		}
		return false;
	}
	instanceProto.MoveToLayer = function (inst,layerMove)
	{
		if (!layerMove || layerMove == inst.layer)
		{
		return;
		}
		cr.arrayRemove(inst.layer.instances, inst.get_zindex());
		inst.layer.zindices_stale = true;
		inst.layer = layerMove;
		inst.zindex = layerMove.instances.length;
		layerMove.instances.push(inst);
		inst.runtime.redraw = true;
	};
	instanceProto.animationFinish = function (reverse)
	{
		this.animTriggerName = this.currentAnimation.name;
		var animTrigger=this.inAnimTrigger;
		if(this.inAnimTrigger===false)
		{
			this.inAnimTrigger = true;
			this.runtime.trigger(cr.plugins_.Spriter.prototype.cnds.OnAnyAnimFinished, this);
			this.runtime.trigger(cr.plugins_.Spriter.prototype.cnds.OnAnimFinished, this);
			this.inAnimTrigger = false;
		}
	};
	instanceProto.clearAnimationState = function()
	{
		var anim=this.currentAnimation;
		if(anim)
		{
			for(var t=0;t<anim.timelines.length;t++)
			{
				anim.timelines[t].currentObjectState={};
			}
		}
	}
	instanceProto.getNowTime = function()
	{
		return (cr.performance_now() - this.start_time) / 1000.0;
	};
	instanceProto.doAnimChange = function()
	{
		if(this.currentAnimation)
		{
			var ratio=this.currentSpriterTime/this.currentAnimation.length;
		}
		var startFrom=this.changeToStartFrom;
		if(startFrom<3)
		{
			this.currentAnimation=this.changeAnimTo;
			this.changeAnimTo=null;
			if(startFrom===0)//play from start
			{
				if(this.speedRatio>0)
				{
					this.currentSpriterTime=0;
				}
				else
				{
					this.currentSpriterTime=this.currentAnimation.length;
				}
				this.lastKnownTime=this.getNowTime();
			}
			else if (startFrom==2)//play from current time ratio
			{
				this.currentSpriterTime=this.currentAnimation.length*ratio;
				this.lastKnownTime=this.getNowTime();
			}
		}
	};
	instanceProto.endBlendAndSwap = function()
	{
		if(this.secondAnimation)
		{
			this.blendEndTime=0;
			this.blendStartTime=0;
			this.animBlend=0;
			this.blendPoseTime=0;
			if(this.changeToStartFrom===BLENDTOSTART)
			{
				this.currentSpriterTime=0;
			}
			this.currentSpriterTime=this.secondAnimation.localTime;//cr.lerp(0,this.secondAnimation.length,getT(0,this.currentAnimation.length,this.currentSpriterTime));
			this.changeAnimTo=null;
			this.currentAnimation=this.secondAnimation;
			this.secondAnimation=null;
			this.changeToStartFrom=1;//play from current time
		}
	};
	instanceProto.tickCurrentAnimationTime = function()
	{
		var lastKnownTime=this.lastKnownTime;
		var nowTime=this.getNowTime();
		this.lastKnownTime=nowTime;
		var lastSpriterTime=this.currentSpriterTime;
		var cur_timescale=this.runtime.timescale;
		var animation=this.currentAnimation;
		if (this.my_timescale !== -1.0)
		{
			cur_timescale=this.my_timescale;
		}
		if(this.animPlaying)
		{
			this.currentSpriterTime+=(this.getNowTime()-lastKnownTime)*1000*this.speedRatio*cur_timescale;
		}
		var playTo=this.playTo;
		var animFinished=false;
		if(playTo>=0)
		{
			if(this.animPlaying)
			{
				if(((lastSpriterTime-playTo)*(this.currentSpriterTime-playTo))<0)
				{
					this.animPlaying=false;
					this.currentSpriterTime=this.playTo;
					this.playTo=-1;
					animFinished=true;
				}
			}
		}
		else
		{
			if(this.speedRatio>=0)
			{
				if(this.currentSpriterTime>=animation.length)
				{
					if(this.changeToStartFrom===BLENDTOSTART&&this.secondAnimation&&this.blendEndTime>0)
					{
						this.endBlendAndSwap();
					}
					else
					{
						if(animation.looping=="false")
						{
							this.currentSpriterTime=animation.length;
							this.animPlaying=false;
						}
						animFinished=true;
					}
				}
			}
			else
			{
				if(this.speedRatio<0)
				{
					if(this.currentSpriterTime<0)
					{
						if(this.changeToStartFrom===BLENDTOSTART&&this.secondAnimation&&this.blendEndTime>0)
						{
							this.endBlendAndSwap();
						}
						else
						{
							if(animation.looping=="false")
							{
								this.currentSpriterTime=0;
								this.animPlaying=false;
							}
							animFinished=true;
						}
					}
				}
			}
		}
		animation=this.currentAnimation;
		while(this.currentSpriterTime<0)
		{
			this.currentSpriterTime+=animation.length;
		}
		if(this.currentSpriterTime!==animation.length)
		{
			this.currentSpriterTime%=animation.length;
		}
		if(this.secondAnimation)
		{
			if(this.changeToStartFrom===BLENDTOSTART)
			{
				this.secondAnimation.localTime=0;
			}
			else
			{
				this.secondAnimation.localTime=cr.lerp(0,this.secondAnimation.length,getT(0,this.currentAnimation.length,this.currentSpriterTime));
			}
		}
		var blendEndTime=this.blendEndTime;
		if(blendEndTime>0)
		{
			if(blendEndTime<=nowTime)
			{
				this.endBlendAndSwap();
			}
			else
			{
				this.animBlend=getT(this.blendStartTime,blendEndTime,this.lastKnownTime);
			}
		}
		return animFinished;
	};
	instanceProto.setMainlineKeyByTime = function(animation)
	{
		animation=(typeof animation!=='undefined')?animation:this.currentAnimation;
		if(animation)
		{
			var currentTime=0;
			if(animation===this.currentAnimation)
			{
				if(this.changeToStartFrom===BLENDTOSTART)
				{
					currentTime=this.blendPoseTime;
				}
				else
				{
					currentTime=this.currentSpriterTime;
				}
			}
			else
			{
				currentTime=animation.localTime;
			}
			var mainKeys=animation.mainlineKeys;
			animation.cur_frame=mainKeys.length;
			var secondTime=animation.length;
			for (var k=1;k<mainKeys.length;k++)
			{
				if (currentTime < mainKeys[k].time)
				{
					secondTime=mainKeys[k].time;
					animation.cur_frame = k - 1;
					break;
				}
			}
			var firstTime=0;
			if(animation===this.currentAnimation)
			{
				this.currentAdjustedTime=currentTime;
			}
			if (animation.cur_frame < 0)
			{
				animation.cur_frame = 0;
			}
			else if (animation.cur_frame >= animation.mainlineKeys.length)
			{
				animation.cur_frame = animation.mainlineKeys.length - 1;
			}
			var mainKey=mainKeys[animation.cur_frame];
			if(mainKey)
			{
				firstTime=mainKey.time;
				if(animation===this.currentAnimation)
				{
					var t=getT(firstTime,secondTime,this.currentSpriterTime);
					this.currentAdjustedTime=cr.lerp(firstTime,secondTime,trueT(mainKey,t));
				}
				else
				{
					var t=getT(firstTime,secondTime,animation.localTime);
					if(this.changeToStartFrom===BLENDTOSTART)
					{
						animation.localTime=0;
					}
					else
					{
						animation.localTime=cr.lerp(firstTime,secondTime,trueT(mainKey,t));
					}
				}
			}
		}
	};
	instanceProto.doSecondAnimation = function()
	{
		return this.animBlend!==0&&this.secondAnimation;
	}
	function shortestSpin(a,b)
	{
		if(a===b)
			return 0;
		var pi=3.141592653589793;
		var rad=pi*2;
		while(b-a<-pi)
		{
			a-=rad;
		}
		while(b-a>pi)
		{
			b-=rad;
		}
		return b>a?-1:1;
	}
	instanceProto.currentTweenedBones = function(animation)
	{
		var tweenedBones = [];
		animation = (typeof animation !== 'undefined') ? animation : this.currentAnimation;
		var key = animation.mainlineKeys[animation.cur_frame];
		var nextTime = 0;
		var currentTime=0;
		if(animation===this.currentAnimation)
		{
			if(this.changeToStartFrom===BLENDTOSTART)
			{
				currentTime=this.blendPoseTime;
			}
			else
			{
				currentTime=this.currentAdjustedTime;
			}
		}
		else
		{
			currentTime=animation.localTime;
		}
		for(var i = 0; i < key.bones.length; i++)
		{
			var bone = key.bones[i];
			var nextBone = null;
			var nextFrame = null;
			var timelineIndex;
			var parent=bone.parent;
			if (bone.type == "reference")
			{
				var refTimeline = animation.timelines[bone.timeline];
				var namename=refTimeline.name;
				timelineIndex=bone.timeline;
				var refKey = refTimeline.keys[bone.key];
				var refKeyIndex = bone.key;
				lastTime = refKey.time;
				var nextFrame = null;
				var keysLength = refTimeline.keys.length;
				bone = refKey.bones[0];
				if(keysLength>1)
				{
					if(refKeyIndex+1>=keysLength&&animation.looping=="true")
					{
						nextFrame=refTimeline.keys[0];
						nextTime=nextFrame.time;
						if(currentTime>lastTime)
						{
							nextTime+=animation.length;
						}
						nextBone=nextFrame.bones[0];
					}
					else if(refKeyIndex+1<keysLength)
					{
						nextFrame=refTimeline.keys[refKeyIndex+1];
						nextTime=nextFrame.time;
						nextBone=nextFrame.bones[0];
					}
				}
				var mirror_factor = (this.xFlip == 1 ? -1 : 1);
				var flip_factor = (this.yFlip == 1 ? -1 : 1);
				var flipMe=1;
				var parentBone="";
				if(nextBone&&key.curveType!=="instant"&&refKey.curveType!=="instant")
				{
					var lastTime=refKey.time;
					var t=0;
					if(currentTime<lastTime)
					{
						lastTime-=animation.length;
					}
					if(nextTime>lastTime)
					{
						t=(currentTime-lastTime)/(nextTime-lastTime);
					}
					t=trueT(refKey,t);
					tweenedBones[i]=TweenedSpriterObject(bone,nextBone,t,refKey.spin);
				}
				else
				{
					tweenedBones[i]=CloneObject(bone);
				}
				refTimeline.currentMappedState=CloneObject(tweenedBones[i]);
				if(animation===this.currentAnimation)
				{
					if(this.animBlend!==0&&this.secondAnimation)
					{
						var secondTimeline=this.timelineFromName(refTimeline.name,this.secondAnimation);
						if(secondTimeline)
						{
							var secondBone=secondTimeline.currentObjectState;
							if(secondBone)
							{
								var firstBone=tweenedBones[i];
								tweenedBones[i]=TweenedSpriterObject(firstBone,secondBone,this.animBlend,shortestSpin(firstBone.angle,secondBone.angle));
							}
						}
					}
				}
				if(parent>-1)
				{
					if(animation===this.currentAnimation)
					{
						flipMe=tweenedBones[parent].xScale*tweenedBones[parent].yScale;
					}
					parentBone=tweenedBones[parent];
				}
				else
				{
					if(animation===this.currentAnimation)
					{
						tweenedBones[i].x*=mirror_factor*this.scaleRatio;
						tweenedBones[i].y*=flip_factor*this.scaleRatio;
						tweenedBones[i].xScale*=mirror_factor*this.scaleRatio;
						tweenedBones[i].yScale*=flip_factor*this.scaleRatio;
						parentBone=this.objFromInst(this);
						flipMe=mirror_factor*flip_factor;
					}
				}
				if(animation===this.currentAnimation)
				{
					tweenedBones[i]=this.mapObjToObj(parentBone,tweenedBones[i],flipMe);
				}
				refTimeline.currentObjectState=CloneObject(tweenedBones[i]);
			}
		}
		return tweenedBones;
	};
	instanceProto.tick = function()
	{
	}
	instanceProto.tick2 = function(ticklessRefresh)
	{
		if(this.secondAnimation===this.currentAnimation)
		{
			this.blendStartTime=0;
			this.blendEndTime=0;
			this.blendPoseTime=0;
			this.secondAnimation=null;
			this.changeAnimTo=0;
			if(this.changeToStartFrom===BLENDTOSTART)
			{
				this.changeToStartFrom=0;
			}
			else if(this.changeToStartFrom===BLENDATCURRENTTIMERATIO)
			{
				this.changeToStartFrom=1;
			}
		}
		if(this.changeAnimTo&&!this.inAnimTrigger)
		{
			this.doAnimChange();
		}
		var animation = this.currentAnimation;
		if (!animation||this.inAnimTrigger)
		{
			return;
		}
		var changed=null;
		if(!this.animPlaying)
		{
			if(!this.lastKnownInstDataAsObj||!this.instsEqual(this.lastKnownInstDataAsObj,this))
			{
				changed=true;
				this.lastKnownInstDataAsObj=this.objFromInst(this);
			}
		}
		if(!changed&&this.force)
		{
			changed=true;
		}
		this.force=false;
		var pauseAllButSound=false;
		var pauseAll=false;
		if(this.pauseWhenOutsideBuffer!=PAUSENEVER)
		{
			var outsideBuffer=this.isOutsideViewportBox();
			if(outsideBuffer)
			{
				if(this.pauseWhenOutsideBuffer==PAUSEALLOUTSIDEBUFFER)
				{
					pauseAll=true;
				}
				else if(this.pauseWhenOutsideBuffer==PAUSEALLBUTSOUNDOUTSIDEBUFFER)
				{
					pauseAllButSound=true;
				}
				this.setAllInvisible();
			}
		}
		if(this.animPlaying||changed||ticklessRefresh)
		{
			if(this.animPlaying&&!ticklessRefresh)
			{
			var animFinished=this.tickCurrentAnimationTime();
			if(animFinished)
			{
				this.animationFinish(this.speedRatio<0);
				if(this.changeAnimTo&&!this.inAnimTrigger&&!this.animPlaying)
				{
					this.tick2();
					return;
				}
			}
			}
		}
		else
		{
			return;
		}
		if(pauseAll)
		{
			return;
		}
		animation=this.currentAnimation;
		var c2ObjectArray=this.c2ObjectArray;
		this.setAllCollisionsAndVisibility(false);
		this.setMainlineKeyByTime();
		this.runtime.redraw = true;
		if (!animation.mainlineKeys[animation.cur_frame])
		{
			return;
		}
		if(!pauseAllButSound)
		{
			if(this.animBlend!==0&&this.secondAnimation)
			{
				if(this.changeToStartFrom===BLENDTOSTART)
				{
					this.secondAnimation.localTime=0;
				}
				else
				{
					this.secondAnimation.localTime=(this.currentSpriterTime/this.currentAnimation.length)*this.secondAnimation.length;
				}
				this.setMainlineKeyByTime(this.secondAnimation);
				var secondTweenedBones=this.currentTweenedBones(this.secondAnimation);
				this.animateCharacter(secondTweenedBones,this.secondAnimation,false);
			}
			var tweenedBones = this.currentTweenedBones();
			this.animateCharacter(tweenedBones);
		}
		if(this.animPlaying)
		{
			this.animateSounds();
		}
	};
	instanceProto.animateCharacter = function(tweenedBones,animation,applyToInstances)
	{
		animation = (typeof animation !== 'undefined') ? animation : this.currentAnimation;
		if(!animation)
		{
			return;
		}
		var cur_frame = animation.cur_frame;
		var object;
		var objectRef;
		var nextObject = null;
		var lastTime = 0;
		var	nextTime = 0;
		var myx = 0;
		var myy = 0;
		var w = 0;
		var h = 0;
		var layer=this.layer;
		var entity = this.entity;
		var zIndex=findInArray(this,layer.instances);
		applyToInstances = (typeof applyToInstance !== 'undefined') ? applyToInstances : true;
		var key = animation.mainlineKeys[animation.cur_frame];
		var refKey;
		var instances=layer.instances;
		this.clearAnimationState();
		var currentTime=0;
		if(animation===this.currentAnimation)
		{
			if(this.changeToStartFrom===BLENDTOSTART)
			{
				currentTime=this.blendPoseTime;
			}
			else
			{
				currentTime=this.currentAdjustedTime;
			}
		}
		else
		{
			currentTime=animation.localTime;
		}
		if(applyToInstances)
		{
			var zOrder=[];
			for(var i = 0; i < key.objects.length; i++)
			{
				object = key.objects[i];
				if (object.type == "reference")
				{
					var refTimeline = animation.timelines[object.timeline];
					var c2Obj=refTimeline.c2Object;
					if(c2Obj)
					{
						var inst=c2Obj.inst;
						if(inst)
						{
							var currZ=findInArray(inst,instances);
							if(currZ>=1&&currZ<=zIndex)
							{
								instances.splice(currZ,1);
								zIndex--;
							}
						}
					}
				}
			}
			var tempZ=findInArray(this,instances);
			if(zIndex!=tempZ)
			{
				instances.splice(tempZ,1);
				instances.splice(zIndex,0,this);
			}
		}
		var zCounter=0;
		for(var i = 0; i < key.objects.length; i++)
		{
			object = key.objects[i];
			objectRef = key.objects[i];
			nextObject = null;
			var nextFrame = null;
			var timelineIndex;
			if (object.type == "reference")
			{
				var refTimeline = animation.timelines[object.timeline];
				timelineIndex=object.timeline;
				refKey = refTimeline.keys[object.key];
				var refKeyIndex = object.key;
				lastTime = refKey.time;
				var nextFrame = null;
				var keysLength = refTimeline.keys.length;
				object = refKey.objects[0];
				if(keysLength>1)
				{
					if(refKeyIndex+1>=keysLength&&animation.looping=="true")
					{
						nextFrame=refTimeline.keys[0];
						nextTime=nextFrame.time;
						if(currentTime>lastTime)
						{
							nextTime+=animation.length;
						}
						nextObject=nextFrame.objects[0];
					}
					else if(refKeyIndex+1<keysLength)
					{
						nextFrame=refTimeline.keys[refKeyIndex+1];
						nextTime=nextFrame.time;
						nextObject=nextFrame.objects[0];
					}
				}
			}
			myx = this.x;
			myy = this.y;
			var c2Obj=refTimeline.c2Object;
			if(c2Obj||refTimeline.objectType==="point")
			{
				var inst;
				if(c2Obj)
				{
					inst=c2Obj.inst;
				}
				else
				{
					inst=null;
				}
				if(inst||refTimeline.objectType==="point")
				{
					if(applyToInstances&&inst)
					{
						inst.collisionsEnabled = true;
						inst.visible=this.visible;
						this.MoveToLayer(inst,this.layer);
					}
					if(applyToInstances&&c2Obj&&c2Obj.spriterType=="sprite")
					{
						SetSpriteAnimFrame(inst,object.frame,c2Obj);
					}
					var tweenedObj=null;
					if(nextObject&&key.curveType!=="instant"&&refKey.curveType!=="instant")
					{
						var t=0;
						if(currentTime<lastTime)
						{
							lastTime-=animation.length;
						}
						if((nextTime-lastTime)>0)
						{
							t=(currentTime-lastTime)/(nextTime-lastTime);
						}
						t=trueT(refKey,t);
						tweenedObj=TweenedSpriterObject(object,nextObject,t,refKey.spin);
					}
					else
					{
						tweenedObj=CloneObject(object);
					}
					if(inst)
					{
						var cur_frame = inst.curFrame;
					}
					var mirror_factor = (this.xFlip == 1 ? -1 : 1);
					var flip_factor = (this.yFlip == 1 ? -1 : 1);
					var parent=objectRef.parent;
					refTimeline.currentMappedState=CloneObject(tweenedObj);
					if(animation===this.currentAnimation)
					{
						if(this.animBlend!==0&&this.secondAnimation)
						{
							var secondTimeline=this.timelineFromName(refTimeline.name,this.secondAnimation);
							if(secondTimeline)
							{
								var secondBone=secondTimeline.currentObjectState;
								if(secondBone)
								{
									if(this.animBlend>0.5)
									{
										SetSpriteAnimFrame(inst,secondTimeline.currentObjectState.frame,c2Obj);
									}
									var firstBone=tweenedObj;
									tweenedObj=TweenedSpriterObject(firstBone,secondBone,this.animBlend,shortestSpin(firstBone.angle,secondBone.angle));
								}
							}
						}
					}
					if(animation===this.currentAnimation)
					{
						if(parent>-1)
						{
							tweenedObj=this.mapObjToObj(tweenedBones[parent],tweenedObj,tweenedBones[parent].xScale*tweenedBones[parent].yScale);
							tweenedObj.xScale*=mirror_factor;
							tweenedObj.yScale*=flip_factor;
						}
						else
						{
							tweenedObj.x*=mirror_factor*this.scaleRatio;
							tweenedObj.y*=flip_factor*this.scaleRatio;
							tweenedObj=this.mapObjToObj(this.objFromInst(this),tweenedObj,mirror_factor*flip_factor);
						}
					}
					if(inst&&applyToInstances)
					{
						this.applyObjToInst(tweenedObj,inst,parent>-1,c2Obj);
					}
					refTimeline.currentObjectState=tweenedObj;
					if(inst&&applyToInstances)
					{
						var instZOrder=zIndex+1+zCounter++;
						if(instances[instZOrder]!==inst)
						{
							var currInstanceZ=findInArray(inst,instances);
							if(currInstanceZ>=0)
							{
								instances.splice(currInstanceZ,1);
							}
							instances.splice(instZOrder,0,inst);
						}
					}
				}
			}
		}
	};
	instanceProto.animateSounds = function(anim)
	{
		anim = (typeof anim !== 'undefined') ? anim : this.currentAnimation;
		if(anim)
		{
			for(var s=0;s<anim.soundlines.length;s++)
			{
				var soundLine=anim.soundlines[s];
				if(soundLine)
				{
					this.animateSound(soundLine,anim.length);
				}
			}
		}
	}
	instanceProto.animateSound = function(soundline,animLength,anim)
	{
		var soundKeys=soundline.keys;
		var curSoundFrame=soundKeys.length;
		var secondTime=animLength;
		var curSoundKey=soundKeys[0];
		var curSound;
		for (var k=1;k<soundKeys.length;k++)
		{
			if (this.currentAdjustedTime < soundKeys[k].time)
			{
				secondTime=soundKeys[k].time;
				curSoundFrame = k - 1;
				curSoundKey=soundKeys[curSoundFrame];
				break;
			}
		}
		if(curSoundKey&&curSoundKey.objects&&curSoundKey.objects[0])
				{
					curSound=curSoundKey.objects[0];
				}
		anim = (typeof anim !== 'undefined') ? anim : this.currentAnimation;
		var keysLength=soundline.keys.length;
		var nextFrame;
		var nextTime;
		var nextObject;
		if(keysLength>1)
		{
			if(curSoundFrame+1>=keysLength&&anim.looping=="true")
			{
				nextFrame=soundline.keys[0];
				nextTime=nextFrame.time;
				if(this.currentSpriterTime>lastTime)
				{
					nextTime+=anim.length;
				}
				nextObject=nextFrame.objects[0];
			}
			else if(curSoundFrame+1<keysLength)
			{
				nextFrame=soundline.keys[curSoundFrame+1];
				nextTime=nextFrame.time;
				nextObject=nextFrame.objects[0];
			}
		}
		var time=this.currentAdjustedTime;
		var lastTime=soundline.lastTimeSoundCheck;
		for (var k=0;k<soundKeys.length;k++)
		{
			var soundKey=soundKeys[k];
			if(soundKey)
			{
				var soundToPlay=soundKey.objects[0];
				if(soundToPlay)
				{
					if(time===soundKey.time)
					{
						this.playSound(soundline,soundToPlay.name);
						break;
					}
					var t=-1;
					if((time-lastTime>0&&(time-lastTime<lastTime+(anim.length-time)))||(lastTime-time>time+(anim.length-lastTime)))
					{
						if((time-lastTime>0)&&(time-lastTime<lastTime+(anim.length-time)))
						{
							t=getT(lastTime,time,soundKey.time);
						}
						else
						{
							t=getT(lastTime-anim.length,time,soundKey.time);
						}
					}
					else if(time-lastTime<0||(lastTime-time<time+(anim.length-lastTime)))
					{
						if((time-lastTime<0))
						{
							t=getT(time,lastTime,soundKey.time);
						}
						else
						{
							t=getT(time-anim.length,lastTime,soundKey.time);
						}
					}
					if(t>0&&t<1)
					{
						this.playSound(soundline,soundToPlay.name);
					}
				}
			}
		}
		var tweenedSound;
		if(nextObject)
		{
			var t=0;
			var lastTime=curSoundKey.time;
			if(this.currentAdjustedTime<lastTime)
			{
				lastTime-=anim.length;
			}
			var t=getT(lastTime,nextTime,this.currentAdjustedTime);
			tweenedSound=TweenedSpriterSound(curSound,nextObject,trueT(curSoundKey,t));
		}
		else
		{
			tweenedSound=this.cloneSound(curSound);
		}
			this.changeVolume(soundline,tweenedSound.volume);
			this.changePanning(soundline,tweenedSound.panning);
		soundline.lastTimeSoundCheck=this.currentAdjustedTime;
		soundline.currentObjectState=tweenedSound;
	}
	instanceProto.draw = function (ctx)
	{
	};
	instanceProto.drawGL = function(glw)
	{
	};
	instanceProto.playSound = function(soundLine,name)
	{
		this.soundToTrigger=name;
		this.soundLineToTrigger=soundLine;
		this.runtime.trigger(cr.plugins_.Spriter.prototype.cnds.OnSoundTriggered, this);
	}
	instanceProto.changeVolume = function(soundLine,newVolume)
	{
		if(soundLine.currentObjectState.volume!=newVolume)
		{
			soundLine.currentObjectState.volume=newVolume;
			this.soundToTrigger="";
		this.soundLineToTrigger=soundLine;
			this.runtime.trigger(cr.plugins_.Spriter.prototype.cnds.OnSoundVolumeChangeTriggered, this);
		}
	}
	instanceProto.changePanning = function(soundLine,newPanning)
	{
		if(soundLine.currentObjectState.panning!=newPanning)
		{
			soundLine.currentObjectState.panning=newPanning;
			this.soundToTrigger="";
		this.soundLineToTrigger=soundLine;
			this.runtime.trigger(cr.plugins_.Spriter.prototype.cnds.OnSoundPanningChangeTriggered, this);
		}
	}
	function findObjectItemInArray(name, objectArray, entityName)
	{
		for (var o = 0; o < objectArray.length; o++)
		{
			var obj=objectArray[o];
			if (obj&&(obj.name===name||(obj.entityName===entityName&&obj.originalName===name)))
			{
			return o;
			}
		}
		return -1;
	}
	function SpriterObjectArrayItem(spritername, name, entityName, originalName)
	{
		this.name = name;
		this.fullTypeName = spritername + "_" + name;
		this.spriterType = "sprite";
		this.frames = [];
		this.pivots = [];
		this.imageSizes = [];
		this.charMaps = [];
		this.width = 0;
		this.height = 0;
		this.entityName = entityName;
		this.originalName = originalName;
	}
	instanceProto.timelineFromName = function(name,anim)
	{
		anim = typeof anim !== 'undefined' ? anim : this.currentAnimation;
		if(anim)
		{
			for(var t=0;t<anim.timelines.length;t++)
			{
				var timeline=anim.timelines[t];
				if(timeline&&timeline.name===name)
				{
					return timeline;
				}
			}
		}
	}
	instanceProto.findSprites = function(xml) //XMLDocument object, name of entityToLoad
	{
		if(!xml)
		{
			return;
		}
		var thisTypeName = this.type.name;
		var att;
		var json = xml;//.spriter_data")[0];
		var folderTags = json["folder"];
		for (var d=0;d<folderTags.length;d++)
		{
			var folderTag=folderTags[d];
			this.folders.push(new SpriterFolder());
			var fileTags = folderTag["file"];
			for (var f=0;f<fileTags.length;f++)
			{
				var fileTag=fileTags[f];
				att=fileTag;
				var spriterFile=new SpriterFile();
				spriterFile.fileName=att["name"];
				if(fileTag.hasOwnProperty("pivot_x"))
				{
					spriterFile.pivotX = (att["pivot_x"]);
				}
				if(fileTag.hasOwnProperty("pivot_y"))
				{
					spriterFile.pivotY = 1.0-(att["pivot_y"]);
				}
				if(fileTag.hasOwnProperty("width"))
				{
					spriterFile.w = (att["width"]);
				}
				if(fileTag.hasOwnProperty("height"))
				{
					spriterFile.h = (att["height"]);
				}
				this.folders[d].files.push(spriterFile);
			}
		}
		var objectArray=[];
		var NO_INDEX=-1;
		var entityTags = json["entity"];
		for (var e = 0; e < entityTags.length; e++)
		{
			var entityTag=entityTags[e];
			att = entityTag;
			var objInfoTags = entityTag["obj_info"];
			var charMapTags = entityTag["character_map"];
			var entityName=att.name;
			if(objInfoTags)
			{
				for (var o = 0; o < objInfoTags.length; o++)
				{
					var infoTag = objInfoTags[o];
					if(infoTag&&(infoTag["type"]==="sprite"||infoTag["type"]==="box"))
					{
						var typeName=infoTag["name"];
						var originalName=infoTag["realname"];
						objectArray.push(new SpriterObjectArrayItem(thisTypeName, typeName,entityName,originalName));
						var lastObj=objectArray[objectArray.length-1];
						if(infoTag["type"]==="box")
						{
							lastObj.width=infoTag["w"];
							lastObj.height=infoTag["h"];
							lastObj.isBox=true;
							lastObj.spriterType="box";
							var imageSize={};
										imageSize.w=lastObj.width;
										imageSize.h=lastObj.height;
							lastObj.imageSizes.push(imageSize);
						}
						else if(infoTag["type"]==="sprite")
						{
							var frames=infoTag["frames"];
							if(frames)
							{
								for (var f = 0; f < frames.length; f++)
								{
									var frame = frames[f];
									if(this.folders[frame["folder"]]&&this.folders[frame["folder"]].files[frame["file"]])
									{
										lastObj.frames.push(this.folders[frame["folder"]].files[frame["file"]].fileName);
										var pivot={};
										pivot.x=0;
										pivot.y=0;
										pivot.x=this.folders[frame["folder"]].files[frame["file"]].pivotX;
										pivot.y=this.folders[frame["folder"]].files[frame["file"]].pivotY;
										lastObj.pivots.push(pivot);
										var imageSize={};
										imageSize.w=1;
										imageSize.h=1;
										imageSize.w=this.folders[frame["folder"]].files[frame["file"]].w;
										imageSize.h=this.folders[frame["folder"]].files[frame["file"]].h;
										lastObj.imageSizes.push(imageSize);
									}
								}
							}
							if(charMapTags)
							{
								for (var c = 0; c < charMapTags.length; c++)
								{
									var charMapTag = charMapTags[c];
									var mapTags = charMapTag["map"];
									if(mapTags)
									{
										for (var m = 0; m < mapTags.length; m++)
										{
											var mapTag = mapTags[m];
											if(typeof mapTag["folder"]!=="undefined"&&typeof mapTag["file"]!=="undefined")
											{
												if(this.folders[mapTag["folder"]]&&this.folders[mapTag["folder"]].files[mapTag["file"]])
												{
													var charMap={};
													charMap.oldFrame=lastObj.frames.indexOf(this.folders[mapTag["folder"]].files[mapTag["file"]].fileName);
													if(charMap.oldFrame>-1)
													{
														charMap.newFrame=-1;
														if(typeof mapTag["target_folder"]!=="undefined"&&typeof mapTag["target_file"]!=="undefined")
														{
															charMap.newFrame=lastObj.frames.indexOf(this.folders[mapTag["target_folder"]].files[mapTag["target_file"]].fileName);
														}
														if(!lastObj.charMaps[charMapTag["name"]])
														{
															lastObj.charMaps[charMapTag["name"]]=[];
														}
														lastObj.charMaps[charMapTag["name"]].push(charMap);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
		return objectArray;
	};
	instanceProto.generateTestC2ObjectArray = function(objectArray)
	{
		var c2Objects=[];
		var types=this.runtime.types;
		for(var o in objectArray)
		{
			var c2Object={};
			c2Object.type=types[objectArray[o].fullTypeName];
			c2Object.spriterType=objectArray[o].spriterType;
			c2Object.inst=null;
			c2Object.appliedMap=[];
			c2Object.obj=objectArray[o];
			c2Objects.push(c2Object);
		}
		return c2Objects;
	};
	instanceProto.cloneSound = function(other)
	{
		var sound = new SpriterSound();
		sound.trigger = other.trigger;
		sound.volume = other.volume;
		sound.panning = other.panning;
		sound.name = other.name;
		return sound;
	};
	instanceProto.cloneObject = function(other)
	{
		var folderIndex=-null;
		var fileIndex=null;
		var fileName=null;
		var NO_INDEX=-1;
		var object = new SpriterObject();
		object.type=other.type;
		object.frame=other.frame;
		object.storedFrame=other.storedFrame;
		object.x = (other.x);
		object.y = -(other.y);
		object.angle = ((other.angle));
		object.a = ((other.a));
		object.angle=other.angle;
		object.xScale = (other.xScale);
		object.yScale = (other.yScale);
		object.pivotX = (other.pivotX);
		object.pivotY = (other.pivotY);
		object.defaultPivot = other.defaultPivot;
		return object;
	};
	instanceProto.objectFromTag = function(objectTag,objectArray,timelineName,object_type,entityName)
	{
		var att=objectTag;
		var folderIndex=-null;
		var fileIndex=null;
		var fileName=null;
		var NO_INDEX=-1;
		var object = new SpriterObject();
		object.type=object_type;
		if(object_type==="sprite")
		{
			folderIndex=att["folder"];
			fileIndex=att["file"];
			file=this.folders[folderIndex].files[fileIndex];
			var objectItem=objectArray[findObjectItemInArray(timelineName,objectArray,entityName)];
			object.frame=objectItem.frames.indexOf(file.fileName);
			object.storedFrame=object.frame;
		}
		if(objectTag.hasOwnProperty("x"))
		{
			object.x = (att["x"]);
		}
		if(objectTag.hasOwnProperty("y"))
		{
			object.y = -(att["y"]);
		}
		if(objectTag.hasOwnProperty("angle"))
		{
			object.angle = ((att["angle"]));
		}
		if(objectTag.hasOwnProperty("a"))
		{
			object.a = ((att["a"]));
		}
		object.angle=360-object.angle;
		object.angle/=360;
		if(object.angle>0.5)
		{
		object.angle-=1;
		}
		object.angle*=3.141592653589793*2;
		if(objectTag.hasOwnProperty("scale_x"))
		{
			object.xScale = (att["scale_x"]);
		}
		if(objectTag.hasOwnProperty("scale_y"))
		{
			object.yScale = (att["scale_y"]);
		}
		if(objectTag.hasOwnProperty("pivot_x"))
		{
			object.pivotX = (att["pivot_x"]);
		}
		else if(object_type==="sprite")
		{
			var folders=this.folders;
			var folder=folders[folderIndex];
			object.defaultPivot=true;
			if(folder)
			{
				var file=folder.files[fileIndex];
				if(file)
				{
					object.pivotX=file.pivotX;
				}
			}
		}
		if(objectTag.hasOwnProperty("pivot_y"))
		{
			object.pivotY = 1-(att["pivot_y"]);
		}
		else if(object_type==="sprite")
		{
			var folders=this.folders;
			var folder=folders[folderIndex];
			object.defaultPivot=true;
			if(folder)
			{
				var file=folder.files[fileIndex];
				if(file)
				{
					object.pivotY=file.pivotY;
				}
			}
		}
		return object;
	};
	instanceProto.soundFromTag = function(soundTag)
	{
		var sound = new SpriterSound();
		if(soundTag["folder"]!==undefined&&soundTag["file"]!==undefined)
		{
			var file=this.folders[soundTag["folder"]].files[soundTag["file"]];
			if(file)
			{
				sound.name=file.fileName;
				sound.name=sound.name.substr(0,sound.name.lastIndexOf("."));
			}
		}
		if(soundTag.hasOwnProperty("trigger"))
		{
			sound.trigger=soundTag["trigger"];
		}
		if(soundTag.hasOwnProperty("panning"))
		{
			sound.panning = soundTag["panning"];
		}
		if(soundTag.hasOwnProperty("volume"))
		{
			sound.volume = soundTag["volume"];
		}
		return sound;
	};
	instanceProto.initDOMtoPairedObjects = function()
	{
		var entities=this.entities;
		for(var e=0;e<entities.length;e++)
		{
			var entity=entities[e];
			if(entity)
			{
				var animations=entity.animations;
				if(animations)
				{
					for(var a=0;a<animations.length;a++)
					{
						var animation=animations[a];
						if(animation)
						{
							var timelines=animation.timelines;
							if(timelines)
							{
								for(var t=0;t<timelines.length;t++)
								{
									var timeline=timelines[t];
									if(timeline)
									{
										timeline.c2Object=this.c2ObjectArray[findObjectItemInArray(timeline.name,this.objectArray,entity.name)];
									}
								}
							}
						}
					}
				}
			}
		}
	};
	instanceProto.associateAllTypes = function ()
	{
		var c2ObjectArray=this.c2ObjectArray;
		var objectArray=this.objectArray;
		for(var o in objectArray)
		{
			var obj=objectArray[o];
			var siblings=this.siblings;
			if(siblings.length>0)
			{
				for(var s=0;s<siblings.length;s++)
				{
					var sibling=siblings[s];
					if(sibling)
					{
						var type=sibling.type;
						if(type.name===obj.fullTypeName)
						{
							var c2Object=c2ObjectArray[o];
							c2Object.type=type;
							var paired_inst = sibling;
							c2Object.inst=paired_inst;
							var animations=this.entity.animations;
							var name=obj.name;
							for(var a=0;a<animations.length;a++)
							{
								var animation=animations[a];
								var timelines=animation.timelines;
								for(var t=0;t<timelines.length;t++)
								{
									var timeline=timelines[t];
									if(name==timeline.name)
									{
										timeline.c2Object=c2Object;
									}
								}
							}
							break;
						}
					}
				}
			}
			else
			{
				var obj=objectArray[o];
				var c2Object=c2ObjectArray[o];
				var type=c2Object.type;
				if(type)
				{
					obj.fullTypeName=type.name;
					c2Object.type=type;
					var iid = this.get_iid(); // get my IID
					var paired_inst = type.instances[iid];
					c2Object.inst=paired_inst;
					var animations=this.entity.animations;
				}
				break;
			}
		}
	};
	instanceProto.loadSCML = function (json_)
	{
		this.objectArray=this.findSprites(json_);
		if(!this.type.objectArrays[this.properties[0]])
		{
			this.type.objectArrays[this.properties[0]]=this.objectArray;
		}
		this.c2ObjectArray=this.generateTestC2ObjectArray(this.objectArray);
		var thisTypeName=this.type.name;
		var att;
		var json=json_;
		var folderTags = json["folder"];
		var NO_INDEX=-1;
		var entityTags = json["entity"];
		for (var e = 0; e < entityTags.length; e++)
		{
			var entityTag=entityTags[e];
			att=entityTag;
			var entity = new SpriterEntity();
			att=entityTag;
			entity.name=att["name"];
			var animationTags = entityTag["animation"];
			for (var a = 0; a < animationTags.length; a++)
			{
				var animationTag = animationTags[a];
				att=animationTag;
				var animation = new SpriterAnimation();
				animation.name=att["name"];
				animation.length=att["length"];
				if(animationTag.hasOwnProperty("looping"))
				{
					animation.looping = att["looping"];
				}
				if(animationTag.hasOwnProperty("loop_to"))
				{
					animation.loopTo = att["loop_to"];
				}
				var mainlineTag = animationTag["mainline"];
				var mainline = new SpriterTimeline();
				var keyTags = mainlineTag["key"];
				for (var k = 0; k<keyTags.length; k++)
				{
					var keyTag = keyTags[k];
					var key = new SpriterKey();
					att=keyTag;
					if(keyTag.hasOwnProperty("time"))
					{
						key.time = att["time"];
					}
					if(keyTag.hasOwnProperty("curve_type"))
					{
						key.curveType = att["curve_type"];
					}
					if(keyTag.hasOwnProperty("c1"))
								{
									key.c1 = att["c1"];
								}
								if(keyTag.hasOwnProperty("c2"))
								{
									key.c2 = att["c2"];
								}
								if(keyTag.hasOwnProperty("c3"))
								{
									key.c3 = att["c3"];
								}
								if(keyTag.hasOwnProperty("c4"))
								{
									key.c4 = att["c4"];
								}
					var boneRefTags = keyTag["bone_ref"];
					if(boneRefTags)
					{
						for (var o = 0; o < boneRefTags.length; o++)
						{
							var boneRefTag=boneRefTags[o];
							att=boneRefTag;
							var boneRef = new SpriterObjectRef();
							boneRef.timeline=att["timeline"];
							boneRef.key=att["key"];
							if(boneRefTag.hasOwnProperty("parent"))
							{
								boneRef.parent = att["parent"];
							}
							key.bones.push(boneRef);
						}
					}
					var objectRefTags = keyTag["object_ref"];
					if(objectRefTags)
					{
						for (var o = 0; o < objectRefTags.length; o++)
						{
							var objectRefTag=objectRefTags[o];
							att=objectRefTag;
							var objectRef = new SpriterObjectRef();
							objectRef.timeline=att["timeline"];
							objectRef.key=att["key"];
							if(objectRefTag.hasOwnProperty("parent"))
							{
								objectRef.parent = att["parent"];
							}
							key.objects.push(objectRef);
						}
					}
					animation.mainlineKeys.push(key);
				}
				animation.mainline=mainline;
				var timelineTags = animationTag["timeline"];
				if(timelineTags)
				{
					for (var t = 0; t < timelineTags.length; t++)
					{
						var timelineTag=timelineTags[t];
						att=timelineTag;
						var timeline = new SpriterTimeline();
						if(timelineTag.hasOwnProperty("object_type"))
						{
							timeline.objectType = att["object_type"];
						}
						var timelineName=att["name"];
						timeline.name=timelineName;
						var keyTags = timelineTag["key"];
						if(keyTags)
						{
							for (var k = 0; k<keyTags.length; k++)
							{
								var keyTag = keyTags[k];
								var key = new SpriterKey();
								att=keyTag;
								if(keyTag.hasOwnProperty("time"))
								{
									key.time = att["time"];
								}
								if(keyTag.hasOwnProperty("spin"))
								{
									key.spin = (att["spin"]);
								}
								if(keyTag.hasOwnProperty("curve_type"))
								{
									key.curveType = att["curve_type"];
								}
								if(keyTag.hasOwnProperty("c1"))
								{
									key.c1 = att["c1"];
								}
								if(keyTag.hasOwnProperty("c2"))
								{
									key.c2 = att["c2"];
								}
								if(keyTag.hasOwnProperty("c3"))
								{
									key.c3 = att["c3"];
								}
								if(keyTag.hasOwnProperty("c4"))
								{
									key.c4 = att["c4"];
								}
								var objectTags = keyTag["object"];
								if(objectTags)
								{
									var objectTag=objectTags;
									var object=this.objectFromTag(objectTag,this.objectArray,timelineName,timeline.objectType,entity.name);
									key.objects.push(object);
								}
								var boneTags = keyTag["bone"];
								if(boneTags)
								{
									var boneTag=boneTags;
									var bone=this.objectFromTag(boneTag,this.objectArray,timelineName,timeline.objectType,entity.name);
									key.bones.push(bone);
								}
								timeline.keys.push(key);
							}
						}
						timeline.c2Object=this.c2ObjectArray[findObjectItemInArray(timelineName,this.objectArray,entity.name)];
						animation.timelines.push(timeline);
					}
				}
				var timelineTags = animationTag["soundline"];
				if(timelineTags)
				{
					for (var t = 0; t < timelineTags.length; t++)
					{
						var timelineTag=timelineTags[t];
						att=timelineTag;
						var timeline = new SpriterTimeline();
						timeline.objectType = "sound";
						var timelineName=att["name"];
						timeline.name=timelineName;
						var keyTags = timelineTag["key"];
						if(keyTags)
						{
							for (var k = 0; k<keyTags.length; k++)
							{
								var keyTag = keyTags[k];
								var key = new SpriterKey();
								att=keyTag;
								if(keyTag.hasOwnProperty("time"))
								{
									key.time = att["time"];
								}
								if(keyTag.hasOwnProperty("spin"))
								{
									key.spin = (att["spin"]);
								}
								if(keyTag.hasOwnProperty("curve_type"))
								{
									key.curveType = att["curve_type"];
								}
								if(keyTag.hasOwnProperty("c1"))
								{
									key.c1 = att["c1"];
								}
								if(keyTag.hasOwnProperty("c2"))
								{
									key.c2 = att["c2"];
								}
								if(keyTag.hasOwnProperty("c3"))
								{
									key.c3 = att["c3"];
								}
								if(keyTag.hasOwnProperty("c4"))
								{
									key.c4 = att["c4"];
								}
								var soundTags = keyTag["object"];
								if(soundTags)
								{
									var soundTag=soundTags;
									var sound=this.soundFromTag(soundTag);
									key.objects.push(sound);
								}
								timeline.keys.push(key);
							}
						}
						animation.soundlines.push(timeline);
					}
				}
				entity.animations.push(animation);
			}
			this.entities.push(entity);
			if(!this.entity||this.properties[1]===entity.name)
			{
				this.entity=entity;
			}
		}
	};
	instanceProto.doRequest = function (json,url_, method_)
	{
		var self = this;
		var request = null;
		var errorFunc = function () {
		};
		try
		{
			var data = json;
			self.loadSCML(data);
			self.type.scmlFiles[self.properties[0]]=self.entities;
			self.runtime.trigger(cr.plugins_.Spriter.prototype.cnds.readyForSetup, self);
			self.setAnimTo(self.properties[2],true);
			if(!self.currentAnimation&&self.entity&&self.entity.animations.length)
			{
				self.setAnimTo(self.entity.animations[0].name,true);
			}
		}
		catch (e)
		{
		}
	};
	instanceProto.getAnimFromEntity = function(animName)
	{
		for(var a in this.entity.animations)
		{
			if(this.entity.animations[a].name==animName)
			{
				return this.entity.animations[a];
			}
		}
	};
	instanceProto.mapObjToObj = function(parentObject,obj,flipAngle)
	{
		var returnObj=new SpriterObject();
		returnObj.xScale=obj.xScale*parentObject.xScale;
		returnObj.yScale=obj.yScale*parentObject.yScale;
		if(flipAngle<0)
		{
			returnObj.angle=((3.141592653589793*2)-obj.angle)+parentObject.angle;
		}
		else
		{
			returnObj.angle=obj.angle+parentObject.angle;
		}
		var x=obj.x*parentObject.xScale;
		var y=obj.y*parentObject.yScale;
		var angle=parentObject.angle;
		var s = 0;
		var c = 1;
		if(angle!=0)
		{
			s=Math.sin(angle);
			c=Math.cos(angle);
		}
		var xnew = (x * c) - (y * s);
		var ynew = (x * s) + (y * c);
		returnObj.a=parentObject.a*obj.a;
		returnObj.pivotX=obj.pivotX;
		returnObj.pivotY=obj.pivotY;
		returnObj.defaultPivot=obj.defaultPivot;
		returnObj.x=xnew+parentObject.x;
		returnObj.y=ynew+parentObject.y;
		return returnObj;
	};
	instanceProto.instsEqual = function(obj,inst)
	{
		return obj.x==inst.x&&obj.y==inst.y&&obj.a==inst.opacity&&obj.angle==inst.angle;
	};
	instanceProto.objFromInst = function(inst)
	{
		var obj = new SpriterObject();
		obj.pivotX=inst.hotspotX;
		obj.pivotY=inst.hotspotY;
		obj.defaultPivot=false;
		obj.x=inst.x;
		obj.y=inst.y;
		obj.a=inst.opacity;
		obj.angle=inst.angle;
		obj.frame=inst.curFrame;
		obj.storedFrame=inst.storedFrame;
		return obj;
	};
	instanceProto.currentFrame = function()
	{
		if(this.currentAnimation)
		{
			return this.currentAnimation.cur_frame;
		}
		return 0;
	}
	instanceProto.applyPivotToInst = function(inst,pivotX,pivotY,objWidth,objHeight)
	{
		var x=-1*pivotX*objWidth;
		var y=-1*pivotY*objHeight;
		var angle=inst.angle;
		var s = 0;
		var c = 1;
		if(angle!=0)
		{
			s = Math.sin(angle);
			c = Math.cos(angle);
		}
		var xnew = (x * c) - (y * s);
		var ynew = (x * s) + (y * c);
		inst.x=xnew+inst.x;
		inst.y=ynew+inst.y;
	};
	instanceProto.applyObjToInst = function(obj,inst,dontApplyGlobalScale,c2Object)
	{
		inst.angle=obj.angle;
		inst.opacity=obj.a;
		var cur_frame = inst.curFrame;
		inst.hotspotX=0;
		inst.hotspotY=0;
		inst.x=obj.x;
		inst.y=obj.y;
		var trueW=inst.width;
		var trueH=inst.height;
		if(c2Object.obj.isBox)
		{
			var test=true;
		}
		if(c2Object.obj.imageSizes&&c2Object.obj.imageSizes.length>inst.cur_frame)
		{
			trueW=c2Object.obj.imageSizes[inst.cur_frame].w;
			trueH=c2Object.obj.imageSizes[inst.cur_frame].h;
		}
		var mirror_factor = (this.xFlip == 1 ? -1 : 1);
		var flip_factor = (this.yFlip == 1 ? -1 : 1);
		if(obj.xScale>100)
		{
		var here=true;
		}
		var new_width = (dontApplyGlobalScale?1:this.scaleRatio) * trueW * obj.xScale * mirror_factor;
		var new_height = (dontApplyGlobalScale?1:this.scaleRatio) * trueH * obj.yScale * flip_factor;
		if (inst.width !== new_width || inst.height !== new_height)
		{
			inst.width = new_width;
			inst.height = new_height;
		}
		var pivX=obj.pivotX;
		var pivY=obj.pivotY;
		if(obj.defaultPivot)
		{
			pivX=c2Object.obj.pivots[inst.cur_frame].x;
			pivY=c2Object.obj.pivots[inst.cur_frame].y;
		}
		this.applyPivotToInst(inst,pivX,pivY,new_width,new_height);
		inst.set_bbox_changed();
	};
	instanceProto.setEntTo = function(entName)
	{
		var entities=this.entities;
		for(var e in entities)
		{
			var entity=entities[e];
			if(entity&&entName==entity.name)
			{
			this.entity=entity;
			}
		}
		if(!this.entity&&this.entities.length)
		{
			this.entity=entities[0];
		}
		if(!this.entity)
		{
			this.startingEntName=entName;
		}
	};
	instanceProto.setAllCollisionsAndVisibility = function(newState)
	{
		var c2ObjectArray=this.c2ObjectArray;
		if(c2ObjectArray)
		{
			for(var o=0;o<c2ObjectArray.length;o++)
			{
				var c2Object=c2ObjectArray[o];
				var inst=c2Object.inst;
				if(!inst)
				{
					this.associateAllTypes();
					inst=c2Object.inst;
				}
				if(inst)
				{
					inst.collisionsEnabled = newState;
					inst.visible=newState;
				}
			}
		}
	};
	instanceProto.setAllInvisible = function()
	{
		var c2ObjectArray=this.c2ObjectArray;
		if(c2ObjectArray)
		{
			for(var o=0;o<c2ObjectArray.length;o++)
			{
				var c2Object=c2ObjectArray[o];
				var inst=c2Object.inst;
				if(!inst)
				{
					this.associateAllTypes();
					inst=c2Object.inst;
				}
				if(inst)
				{
					inst.visible=false;
				}
			}
		}
	};
	instanceProto.setAnimTo = function(animName,tick)
	{
		tick = (typeof tick !== 'undefined') ? tick : true;
		this.playTo=-1;
		this.changeAnimTo=this.getAnimFromEntity(animName);
		if(!this.changeAnimTo&&(!this.currentAnimation)&&this.entity)
		{
			this.changeAnimTo=this.entity.animations[0];
		}
		if(!this.changeAnimTo)
		{
			this.startingAnimName=animName;
			this.changeToStartFrom=0;
			this.blendStartTime=0;
			this.blendEndTime=0;
			this.secondAnimation=null;
			this.blendPoseTime=0;
		}
		var anim=this.currentAnimation;
		if(anim)
		{
			this.animPlaying=true;
		}
		this.setAllCollisionsAndVisibility(false);
		this.runtime.tick2Me(this);
		if(tick)
		{
			this.tick2();
		}
	};
	instanceProto.soundlineFromName = function(name)
	{
		if(this.soundLineToTrigger&&this.soundLineToTrigger.name===name)
		{
			return this.soundLineToTrigger;
		}
		var anim=this.currentAnimation;
		if(anim)
		{
			for(var s=0;s<anim.soundlines.length;s++)
			{
				var soundline=anim.soundlines[s];
				if(soundline&&soundline.name===name)
				{
					return soundline;
				}
			}
		}
	}
	function Cnds() {}
	Cnds.prototype.readyForSetup = function ()
	{
			return true;
	};
	Cnds.prototype.outsidePaddedViewport = function()
	{
		return this.isOutsideViewportBox();
	}
	Cnds.prototype.actionPointExists = function(pointName)
	{
		var timeline=this.timelineFromName(name);
		if(timeline&&timeline.currentObjectState)
		{
			if(timeline.currentObjectState.x!==undefined)
			{
					return true;
			}
		}
		return false;
	};
	Cnds.prototype.OnAnimFinished = function (animname)
	{
		return this.currentAnimation.name.toLowerCase() === animname.toLowerCase();
	};
	Cnds.prototype.OnSoundTriggered = function ()
	{
		return true;
	};
	Cnds.prototype.OnSoundVolumeChangeTriggered = function ()
	{
		return true;
	};
	Cnds.prototype.OnSoundPanningChangeTriggered = function ()
	{
		return true;
	};
	Cnds.prototype.OnAnyAnimFinished = function ()
	{
		return true;
	};
	Cnds.prototype.CompareCurrentKey = function (cmp,frame)
	{
		return cr.do_cmp(this.currentFrame(), cmp, frame);
	};
	Cnds.prototype.CompareCurrentTime = function (cmp,time,format)
	{
		if(format===0)//milliseconds
		{
			return cr.do_cmp(this.currentSpriterTime, cmp, time);
		}
		else
		{
			var anim=this.currentAnimation;
			if(anim)
			{
				return cr.do_cmp(this.currentSpriterTime/this.currentAnimation.length, cmp, time);
			}
			else
			{
				return false;
			}
		}
	};
	Cnds.prototype.CompareAnimation = function (name)
	{
		var blendingTo=this.secondAnimation;
		if(blendingTo&&blendingTo.name===name&&this.blendEndTime>0)
		{
			return true;
		}
		var anim=this.currentAnimation;
		if(anim&&anim.name===name)
		{
			return true;
		}
		else
		{
			return false;
		}
	};
	Cnds.prototype.AnimationPaused = function ()
	{
		return !this.animPlaying;
	};
	Cnds.prototype.AnimationLooping = function ()
	{
		var anim=this.currentAnimation;
		if(anim&&anim.looping==="true")
		{
			return true;
		}
		else
		{
			return false;
		}
	};
	Cnds.prototype.isMirrored = function ()
	{
		return this.xFlip;
	};
	Cnds.prototype.isFlipped = function ()
	{
		return this.yFlip;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {}
	Acts.prototype.setPlaybackSpeedRatio = function (newSpeed)
	{
		this.speedRatio=newSpeed;
	};
	Acts.prototype.setVisible = function (visible)
	{
		if(visible===1)
		{
			this.visible=true;
		}
		else
		{
			this.visible=false;
		}
	};
	Acts.prototype.setAutomaticPausing = function (newPauseSetting,leftBuffer,rightBuffer,topBuffer,bottomBuffer)
	{
		this.pauseWhenOutsideBuffer=newPauseSetting;
		this.leftBuffer=leftBuffer;
		this.rightBuffer=rightBuffer;
		this.topBuffer=topBuffer;
		this.bottomBuffer=bottomBuffer;
	}
	Acts.prototype.setObjectScaleRatio = function (newScale,xFlip,yFlip)
	{
		this.scaleRatio=newScale;
		this.xFlip=xFlip;
		this.yFlip=yFlip;
	};
	Acts.prototype.setObjectXFlip = function (xFlip)
	{
		this.xFlip=xFlip;
	};
	Acts.prototype.setObjectYFlip = function (yFlip)
	{
		this.yFlip=yFlip;
	};
	var PLAYFROMSTART=0;
	var PLAYFROMCURRENTTIME=1;
	var PLAYFROMCURRENTTIMERATIO=2;
	var BLENDTOSTART=3;
	var BLENDATCURRENTTIMERATIO=4;
	Acts.prototype.setAnim = function (animName,startFrom,blendDuration)
	{
		var ratio=0;
		if((startFrom==1||startFrom==2)&&this.currentAnimation&&animName==this.currentAnimation.name)
		{
			return;
		}
		if(startFrom>PLAYFROMCURRENTTIMERATIO&&blendDuration>0)
		{
			var secondAnim=this.getAnimFromEntity(animName);
			if(secondAnim===this.secondAnimation&&this.blendEndTime>0)
			{
				return;
			}
			if(secondAnim===this.currentAnimation)
			{
				if(!this.secondAnimation)
				{
					this.blendStartTime=0;
					this.blendEndTime=0;
					this.blendPoseTime=0;
					this.secondAnimation=null;
					this.animBlend=0;
					this.changeAnimTo=null;
					return;
				}
				else
				{
					this.currentAnimation=this.secondAnimation;
					this.animBlend=1.0-this.animBlend;
				}
			}
			else
			{
				this.animBlend=0;
			}
			this.secondAnimation=secondAnim;
			this.blendStartTime=this.getNowTime();
			this.blendPoseTime=0;
			if(startFrom===BLENDTOSTART&&this.currentAnimation.looping==="false")
			{
				blendDuration=Math.min(blendDuration,(this.currentAnimation.length-this.currentSpriterTime));
			}
			this.blendEndTime=this.blendStartTime+((blendDuration/1000)/this.runtime.timescale);
		}
		else
		{
			if(blendDuration<=0)
			{
				if(startFrom===BLENDATCURRENTTIMERATIO)
				{
					startFrom=2;
				}
				else if(startFrom==BLENDTOSTART)
				{
					startFrom=0;
				}
			}
			this.blendStartTime=0;
			this.blendEndTime=0;
			this.blendPoseTime=0;
			this.secondAnimation=null;
		}
		this.changeToStartFrom=startFrom;
		if(startFrom===BLENDTOSTART&&this.secondAnimation)
		{
			this.blendPoseTime=this.currentSpriterTime;
			this.secondAnimation.localTime=0;
			this.setMainlineKeyByTime(this.secondAnimation);
			var secondTweenedBones=this.currentTweenedBones(this.secondAnimation);
			this.animateCharacter(secondTweenedBones,this.secondAnimation,false);
		}
		this.setAnimTo(animName,false);
		var animPlaying=this.animPlaying;
		this.animPlaying=false;
		this.tick2(true);
		this.animPlaying=animPlaying;
	};
	Acts.prototype.setSecondAnim = function (animName)
	{
		this.secondAnimation=this.getAnimFromEntity(animName);
		if(this.secondAnimation===this.currentAnimation)
		{
			this.secondAnimation=null;
		}
	};
	Acts.prototype.stopSecondAnim = function (animName)
	{
		this.secondAnimation=null;
		this.animBlend=0;
	};
	Acts.prototype.setAnimBlendRatio = function (newBlend)
	{
		this.animBlend=newBlend;
	};
	Acts.prototype.setEnt = function (entName,animName)
	{
		var newAnimName=animName;
		if(this.entity&&this.currentAnimation&&this.entity.name==entName&&this.currentAnimation.name==animName)
		{
			return;
		}
		if(entName!==""&&((!this.entity)||entName!=this.entity.name))
		{
			this.setEntTo(entName);
		}
		if(this.currentAnimation&&newAnimName==="")
		{
			newAnimName=this.currentAnimation.name;
		}
		this.setAnimTo(newAnimName);
	};
	Acts.prototype.playAnimTo = function (units,playTo)
	{
		if(units===0)// keyframes
		{
			var mainKeys=this.currentAnimation.mainlineKeys;
			if(mainKeys)
			{
				var key=mainKeys[playTo];
				if(key)
				{
					this.playTo=key.time;
				}
				else
				{
					this.playTo=-1;
					return;
				}
			}
		}
		else if(units==1)// milliseconds
		{
			this.playTo=playTo;
		}
		else if(units==2)// ratio
		{
			this.playTo=playTo*this.currentAnimation.length;
		}
		if(this.playTo==this.currentSpriterTime)
		{
			this.playTo=-1;
			return;
		}
		var reverseFactor=1;
		if(this.currentAnimation.looping=="true")
		{
			var forwardDistance=0;
			var backwardDistance=0;
			if(this.playTo>this.currentSpriterTime)
			{
				forwardDistance=this.playTo-this.currentSpriterTime;
				backwardDistance=(this.currentAnimation.length-this.playTo)+this.currentSpriterTime;
			}
			else
			{
				forwardDistance=this.playTo+(this.currentAnimation.length-this.currentSpriterTime);
				backwardDistance=this.currentSpriterTime-this.playTo;
			}
			if(backwardDistance<forwardDistance)
			{
				reverseFactor=-1;
			}
		}
		else
		{
			if(this.playTo<this.currentSpriterTime)
			{
				reverseFactor=-1;
			}
		}
		this.speedRatio=Math.abs(this.speedRatio)*reverseFactor;
		this.animPlaying=true;
		this.tick2();
	};
	Acts.prototype.associateTypeWithName = function (type,name)
	{
		var c2ObjectArray=this.c2ObjectArray;
		var objectArray=this.objectArray;
		for(var o in objectArray)
		{
			var obj=objectArray[o];
			if(name==obj.name)
			{
				obj.fullTypeName=type.name;
				var c2Object=c2ObjectArray[o];
				c2Object.type=type;
				var iid = this.get_iid(); // get my IID
				var paired_inst = type.instances[iid];
				c2Object.inst=paired_inst;
				var animations=this.entity.animations;
				for(var a in animations)
				{
					var animation=animations[a];
					var timelines=animation.timelines;
					for(var t in timelines)
					{
						var timeline=timelines[t];
						if(name==timeline.name)
						{
							timeline.c2Object=c2Object;
						}
					}
				}
				break;
			}
		}
	};
	Acts.prototype.setAnimationLoop = function (loopOn)
	{
		var currentAnimation=this.currentAnimation;
		if(currentAnimation)
		{
			if(loopOn===0)
			{
				currentAnimation.looping="false";
			}
			else if(loopOn==1)
			{
				currentAnimation.looping="true";
			}
		}
		else
		{
			if(loopOn===0)
			{
				this.startingLoopType="false";
			}
			else if(loopOn==1)
			{
				this.startingLoopType="true";
			}
		}
	};
	Acts.prototype.setAnimationTime = function (units,time)
	{
		var currentAnimation=this.currentAnimation;
		var lastSpriterTime=this.currentSpriterTime;
		if(currentAnimation)
		{
			if(units===0)// milliseconds
			{
				this.currentSpriterTime=time;
			}
			else if(units==1)// ratio
			{
				this.currentSpriterTime=time*currentAnimation.length;
			}
		}
		if(lastSpriterTime!=this.currentSpriterTime)
		{
			this.force=true;
		}
	};
	Acts.prototype.pauseAnimation = function ()
	{
		this.animPlaying=false;
	};
	Acts.prototype.resumeAnimation = function ()
	{
		this.animPlaying=true;
		var anim=this.currentAnimation;
		if(anim)
		{
			if(this.speedRatio>0)
			{
				if(this.currentSpriterTime==anim.length)
				{
				this.currentSpriterTime=0;
				}
			}
			else if(this.currentSpriterTime===0)
			{
				this.currentSpriterTime=this.currentAnimation.length;
			}
		}
	};
	Acts.prototype.removeAllCharMaps = function ()
	{
		var c2Objs=this.c2ObjectArray;
		for(var c=0;c<c2Objs.length;c++)
		{
			var c2Obj=c2Objs[c];
			c2Obj.appliedMap=[];
		}
		this.tick2(true);
	};
	Acts.prototype.appendCharMap = function (mapName)
	{
		var c2Objs=this.c2ObjectArray;
		for(var c=0;c<c2Objs.length;c++)
		{
			var c2Obj=c2Objs[c];
			if(c2Obj)
			{
				if(c2Obj.obj)
				{
					var charMap=c2Obj.obj.charMaps[mapName];
					if(charMap)
					{
						for(var m=0;m<charMap.length;m++)
						{
							var map=charMap[m];
							if(map)
							{
								c2Obj.appliedMap[map.oldFrame]=map.newFrame;
							}
						}
					}
				}
			}
		}
		this.tick2(true);
	};
	pluginProto.acts = new Acts();
	function Exps() {}
	Exps.prototype.time = function (ret)
	{
		ret.set_int(this.currentSpriterTime);
	};
	Exps.prototype.pointX = function (ret,name)
	{
		var timeline=this.timelineFromName(name);
		if(timeline&&timeline.currentObjectState)
		{
			if(timeline.currentObjectState.x!==undefined)
			{
				ret.set_float(timeline.currentObjectState.x);
				return;
			}
		}
		ret.set_float(0);
	};
	Exps.prototype.pointY = function (ret,name)
	{
		var timeline=this.timelineFromName(name);
		if(timeline&&timeline.currentObjectState)
		{
		if(timeline.currentObjectState.y!==undefined)
			{
			ret.set_float(timeline.currentObjectState.y);
			return;
			}
		}
			ret.set_float(0);
	};
	Exps.prototype.pointAngle = function (ret,name)
	{
		var timeline=this.timelineFromName(name);
		if(timeline&&timeline.currentObjectState)
		{
		if(timeline.currentObjectState.angle!==undefined)
			{
			ret.set_float(cr.to_degrees(timeline.currentObjectState.angle));
			return;
		}
		}
			ret.set_float(0);
	};
	Exps.prototype.timeRatio = function (ret)
	{
		if(this.currentAnimation)
		{
			ret.set_float(this.currentSpriterTime/this.currentAnimation.length);
		}
		else
		{
			ret.set_float(0);
		}
	};
	Exps.prototype.ScaleRatio = function (ret)
	{
		ret.set_float(this.scaleRatio);
	};
	Exps.prototype.key = function (ret)
	{
		ret.set_int(this.currentframe());
	};
	Exps.prototype.PlayTo = function (ret)
	{
		ret.set_int(this.playTo);
	};
	Exps.prototype.animationName = function (ret)
	{
		if(this.changeAnimTo)
		{
			ret.set_string(this.changeAnimTo.name);
		}
		else if(this.currentAnimation)
		{
			ret.set_string(this.currentAnimation.name);
		}
		else
		{
			ret.set_string("");
		}
	};
	Exps.prototype.secondAnimationName = function (ret)
	{
		if(this.secondAnimation)
		{
			ret.set_string(this.secondAnimation.name);
		}
		else
		{
			ret.set_string("");
		}
	};
	Exps.prototype.entityName = function (ret)
	{
		if(this.entity)
		{
		ret.set_string(this.entity.name);
		}
		else
		{
		ret.set_string("");
		}
	};
	Exps.prototype.PlayToTimeLeft = function (ret)
	{
		if(this.playTo<0)
		{
			return ret.set_float(0);
		}
		if(this.currentAnimation.looping=="true")
		{
			var forwardDistance=0;
			var backwardDistance=0;
			if(speedRatio>=0)
			{
				if(this.playTo>this.currentSpriterTime)
				{
					return ret.set_float(this.playTo-this.currentSpriterTime);
				}
				else
				{
					return ret.set_float(this.playTo+(this.currentAnimation.length-this.currentSpriterTime));
				}
			}
			else
			{
				if(this.playTo>this.currentSpriterTime)
				{
					return ret.set_float((this.currentAnimation.length-this.playTo)+this.currentSpriterTime);
				}
				else
				{
					return ret.set_float(this.currentSpriterTime-this.playTo);
				}
			}
		}
		else
		{
			return ret.set_float(Math.abs(this.playTo-this.currentSpriterTime));
		}
	};
	Exps.prototype.triggeredSound = function (ret)
	{
		ret.set_string(this.soundToTrigger);
	};
	Exps.prototype.triggeredSoundTag = function (ret)
	{
		if(this.soundLineToTrigger)
		{
			ret.set_string(this.soundLineToTrigger.name);
			return;
		}
		ret.set_string("");
	};
	Exps.prototype.soundVolume = function (ret,soundTag)
	{
		var soundline=this.soundlineFromName(soundTag);
		if(soundline)
		{
			if(soundline.currentObjectState)
			{
				ret.set_float(soundline.currentObjectState.volume);
				return;
			}
		}
		ret.set_float(0);
	};
	Exps.prototype.soundPanning = function (ret,soundTag)
	{
		var soundline=this.soundlineFromName(soundTag);
		if(soundline)
		{
			if(soundline.currentObjectState)
			{
				ret.set_float(soundline.currentObjectState.panning);
				return;
			}
		}
		ret.set_float(0);
	};
	Exps.prototype.blendRatio = function (ret)
	{
		ret.set_float(this.animBlend);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Touch = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Touch.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
		this.touches = [];
		this.mouseDown = false;
	};
	var instanceProto = pluginProto.Instance.prototype;
	var dummyoffset = {left: 0, top: 0};
	instanceProto.findTouch = function (id)
	{
		var i, len;
		for (i = 0, len = this.touches.length; i < len; i++)
		{
			if (this.touches[i]["id"] === id)
				return i;
		}
		return -1;
	};
	var appmobi_accx = 0;
	var appmobi_accy = 0;
	var appmobi_accz = 0;
	function AppMobiGetAcceleration(evt)
	{
		appmobi_accx = evt.x;
		appmobi_accy = evt.y;
		appmobi_accz = evt.z;
	};
	var pg_accx = 0;
	var pg_accy = 0;
	var pg_accz = 0;
	function PhoneGapGetAcceleration(evt)
	{
		pg_accx = evt.x;
		pg_accy = evt.y;
		pg_accz = evt.z;
	};
	var theInstance = null;
	var touchinfo_cache = [];
	function AllocTouchInfo(x, y, id, index)
	{
		var ret;
		if (touchinfo_cache.length)
			ret = touchinfo_cache.pop();
		else
			ret = new TouchInfo();
		ret.init(x, y, id, index);
		return ret;
	};
	function ReleaseTouchInfo(ti)
	{
		if (touchinfo_cache.length < 100)
			touchinfo_cache.push(ti);
	};
	var GESTURE_HOLD_THRESHOLD = 15;		// max px motion for hold gesture to register
	var GESTURE_HOLD_TIMEOUT = 500;			// time for hold gesture to register
	var GESTURE_TAP_TIMEOUT = 333;			// time for tap gesture to register
	var GESTURE_DOUBLETAP_THRESHOLD = 25;	// max distance apart for taps to be
	function TouchInfo()
	{
		this.starttime = 0;
		this.time = 0;
		this.lasttime = 0;
		this.startx = 0;
		this.starty = 0;
		this.x = 0;
		this.y = 0;
		this.lastx = 0;
		this.lasty = 0;
		this["id"] = 0;
		this.startindex = 0;
		this.triggeredHold = false;
		this.tooFarForHold = false;
	};
	TouchInfo.prototype.init = function (x, y, id, index)
	{
		var nowtime = cr.performance_now();
		this.time = nowtime;
		this.lasttime = nowtime;
		this.starttime = nowtime;
		this.startx = x;
		this.starty = y;
		this.x = x;
		this.y = y;
		this.lastx = x;
		this.lasty = y;
		this["id"] = id;
		this.startindex = index;
		this.triggeredHold = false;
		this.tooFarForHold = false;
	};
	TouchInfo.prototype.update = function (nowtime, x, y)
	{
		this.lasttime = this.time;
		this.time = nowtime;
		this.lastx = this.x;
		this.lasty = this.y;
		this.x = x;
		this.y = y;
		if (!this.tooFarForHold && cr.distanceTo(this.startx, this.starty, this.x, this.y) >= GESTURE_HOLD_THRESHOLD)
		{
			this.tooFarForHold = true;
		}
	};
	TouchInfo.prototype.maybeTriggerHold = function (inst, index)
	{
		if (this.triggeredHold)
			return;		// already triggered this gesture
		var nowtime = cr.performance_now();
		if (nowtime - this.starttime >= GESTURE_HOLD_TIMEOUT && !this.tooFarForHold && cr.distanceTo(this.startx, this.starty, this.x, this.y) < GESTURE_HOLD_THRESHOLD)
		{
			this.triggeredHold = true;
			inst.trigger_index = this.startindex;
			inst.trigger_id = this["id"];
			inst.getTouchIndex = index;
			inst.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnHoldGesture, inst);
			inst.curTouchX = this.x;
			inst.curTouchY = this.y;
			inst.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnHoldGestureObject, inst);
			inst.getTouchIndex = 0;
		}
	};
	var lastTapX = -1000;
	var lastTapY = -1000;
	var lastTapTime = -10000;
	TouchInfo.prototype.maybeTriggerTap = function (inst, index)
	{
		if (this.triggeredHold)
			return;
		var nowtime = cr.performance_now();
		if (nowtime - this.starttime <= GESTURE_TAP_TIMEOUT && !this.tooFarForHold && cr.distanceTo(this.startx, this.starty, this.x, this.y) < GESTURE_HOLD_THRESHOLD)
		{
			inst.trigger_index = this.startindex;
			inst.trigger_id = this["id"];
			inst.getTouchIndex = index;
			if ((nowtime - lastTapTime <= GESTURE_TAP_TIMEOUT * 2) && cr.distanceTo(lastTapX, lastTapY, this.x, this.y) < GESTURE_DOUBLETAP_THRESHOLD)
			{
				inst.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnDoubleTapGesture, inst);
				inst.curTouchX = this.x;
				inst.curTouchY = this.y;
				inst.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnDoubleTapGestureObject, inst);
				lastTapX = -1000;
				lastTapY = -1000;
				lastTapTime = -10000;
			}
			else
			{
				inst.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTapGesture, inst);
				inst.curTouchX = this.x;
				inst.curTouchY = this.y;
				inst.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTapGestureObject, inst);
				lastTapX = this.x;
				lastTapY = this.y;
				lastTapTime = nowtime;
			}
			inst.getTouchIndex = 0;
		}
	};
	instanceProto.onCreate = function()
	{
		theInstance = this;
		this.isWindows8 = !!(typeof window["c2isWindows8"] !== "undefined" && window["c2isWindows8"]);
		this.orient_alpha = 0;
		this.orient_beta = 0;
		this.orient_gamma = 0;
		this.acc_g_x = 0;
		this.acc_g_y = 0;
		this.acc_g_z = 0;
		this.acc_x = 0;
		this.acc_y = 0;
		this.acc_z = 0;
		this.curTouchX = 0;
		this.curTouchY = 0;
		this.trigger_index = 0;
		this.trigger_id = 0;
		this.getTouchIndex = 0;
		this.useMouseInput = (this.properties[0] !== 0);
		var elem = (this.runtime.fullscreen_mode > 0) ? document : this.runtime.canvas;
		var elem2 = document;
		if (this.runtime.isDirectCanvas)
			elem2 = elem = window["Canvas"];
		else if (this.runtime.isCocoonJs)
			elem2 = elem = window;
		var self = this;
		if (window.navigator["pointerEnabled"])
		{
			elem.addEventListener("pointerdown",
				function(info) {
					self.onPointerStart(info);
				},
				false
			);
			elem.addEventListener("pointermove",
				function(info) {
					self.onPointerMove(info);
				},
				false
			);
			elem2.addEventListener("pointerup",
				function(info) {
					self.onPointerEnd(info, false);
				},
				false
			);
			elem2.addEventListener("pointercancel",
				function(info) {
					self.onPointerEnd(info, true);
				},
				false
			);
			if (this.runtime.canvas)
			{
				this.runtime.canvas.addEventListener("MSGestureHold", function(e) {
					e.preventDefault();
				}, false);
				document.addEventListener("MSGestureHold", function(e) {
					e.preventDefault();
				}, false);
				this.runtime.canvas.addEventListener("gesturehold", function(e) {
					e.preventDefault();
				}, false);
				document.addEventListener("gesturehold", function(e) {
					e.preventDefault();
				}, false);
			}
		}
		else if (window.navigator["msPointerEnabled"])
		{
			elem.addEventListener("MSPointerDown",
				function(info) {
					self.onPointerStart(info);
				},
				false
			);
			elem.addEventListener("MSPointerMove",
				function(info) {
					self.onPointerMove(info);
				},
				false
			);
			elem2.addEventListener("MSPointerUp",
				function(info) {
					self.onPointerEnd(info, false);
				},
				false
			);
			elem2.addEventListener("MSPointerCancel",
				function(info) {
					self.onPointerEnd(info, true);
				},
				false
			);
			if (this.runtime.canvas)
			{
				this.runtime.canvas.addEventListener("MSGestureHold", function(e) {
					e.preventDefault();
				}, false);
				document.addEventListener("MSGestureHold", function(e) {
					e.preventDefault();
				}, false);
			}
		}
		else
		{
			elem.addEventListener("touchstart",
				function(info) {
					self.onTouchStart(info);
				},
				false
			);
			elem.addEventListener("touchmove",
				function(info) {
					self.onTouchMove(info);
				},
				false
			);
			elem2.addEventListener("touchend",
				function(info) {
					self.onTouchEnd(info, false);
				},
				false
			);
			elem2.addEventListener("touchcancel",
				function(info) {
					self.onTouchEnd(info, true);
				},
				false
			);
		}
		if (this.isWindows8)
		{
			var win8accelerometerFn = function(e) {
					var reading = e["reading"];
					self.acc_x = reading["accelerationX"];
					self.acc_y = reading["accelerationY"];
					self.acc_z = reading["accelerationZ"];
				};
			var win8inclinometerFn = function(e) {
					var reading = e["reading"];
					self.orient_alpha = reading["yawDegrees"];
					self.orient_beta = reading["pitchDegrees"];
					self.orient_gamma = reading["rollDegrees"];
				};
			var accelerometer = Windows["Devices"]["Sensors"]["Accelerometer"]["getDefault"]();
            if (accelerometer)
			{
                accelerometer["reportInterval"] = Math.max(accelerometer["minimumReportInterval"], 16);
				accelerometer.addEventListener("readingchanged", win8accelerometerFn);
            }
			var inclinometer = Windows["Devices"]["Sensors"]["Inclinometer"]["getDefault"]();
			if (inclinometer)
			{
				inclinometer["reportInterval"] = Math.max(inclinometer["minimumReportInterval"], 16);
				inclinometer.addEventListener("readingchanged", win8inclinometerFn);
			}
			document.addEventListener("visibilitychange", function(e) {
				if (document["hidden"] || document["msHidden"])
				{
					if (accelerometer)
						accelerometer.removeEventListener("readingchanged", win8accelerometerFn);
					if (inclinometer)
						inclinometer.removeEventListener("readingchanged", win8inclinometerFn);
				}
				else
				{
					if (accelerometer)
						accelerometer.addEventListener("readingchanged", win8accelerometerFn);
					if (inclinometer)
						inclinometer.addEventListener("readingchanged", win8inclinometerFn);
				}
			}, false);
		}
		else
		{
			window.addEventListener("deviceorientation", function (eventData) {
				self.orient_alpha = eventData["alpha"] || 0;
				self.orient_beta = eventData["beta"] || 0;
				self.orient_gamma = eventData["gamma"] || 0;
			}, false);
			window.addEventListener("devicemotion", function (eventData) {
				if (eventData["accelerationIncludingGravity"])
				{
					self.acc_g_x = eventData["accelerationIncludingGravity"]["x"] || 0;
					self.acc_g_y = eventData["accelerationIncludingGravity"]["y"] || 0;
					self.acc_g_z = eventData["accelerationIncludingGravity"]["z"] || 0;
				}
				if (eventData["acceleration"])
				{
					self.acc_x = eventData["acceleration"]["x"] || 0;
					self.acc_y = eventData["acceleration"]["y"] || 0;
					self.acc_z = eventData["acceleration"]["z"] || 0;
				}
			}, false);
		}
		if (this.useMouseInput && !this.runtime.isDomFree)
		{
			jQuery(document).mousemove(
				function(info) {
					self.onMouseMove(info);
				}
			);
			jQuery(document).mousedown(
				function(info) {
					self.onMouseDown(info);
				}
			);
			jQuery(document).mouseup(
				function(info) {
					self.onMouseUp(info);
				}
			);
		}
		if (this.runtime.isAppMobi && !this.runtime.isDirectCanvas)
		{
			AppMobi["accelerometer"]["watchAcceleration"](AppMobiGetAcceleration, { "frequency": 40, "adjustForRotation": true });
		}
		if (this.runtime.isPhoneGap && navigator["accelerometer"] && navigator["accelerometer"]["watchAcceleration"])
		{
			navigator["accelerometer"]["watchAcceleration"](PhoneGapGetAcceleration, null, { "frequency": 40 });
		}
		this.runtime.tick2Me(this);
	};
	instanceProto.onPointerMove = function (info)
	{
		if (info["pointerType"] === info["MSPOINTER_TYPE_MOUSE"] || info["pointerType"] === "mouse")
			return;
		if (info.preventDefault)
			info.preventDefault();
		var i = this.findTouch(info["pointerId"]);
		var nowtime = cr.performance_now();
		if (i >= 0)
		{
			var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
			var t = this.touches[i];
			if (nowtime - t.time < 2)
				return;
			t.update(nowtime, info.pageX - offset.left, info.pageY - offset.top);
		}
	};
	instanceProto.onPointerStart = function (info)
	{
		if (info["pointerType"] === info["MSPOINTER_TYPE_MOUSE"] || info["pointerType"] === "mouse")
			return;
		if (info.preventDefault && cr.isCanvasInputEvent(info))
			info.preventDefault();
		var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
		var touchx = info.pageX - offset.left;
		var touchy = info.pageY - offset.top;
		var nowtime = cr.performance_now();
		this.trigger_index = this.touches.length;
		this.trigger_id = info["pointerId"];
		this.touches.push(AllocTouchInfo(touchx, touchy, info["pointerId"], this.trigger_index));
		this.runtime.isInUserInputEvent = true;
		this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart, this);
		this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart, this);
		this.curTouchX = touchx;
		this.curTouchY = touchy;
		this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject, this);
		this.runtime.isInUserInputEvent = false;
	};
	instanceProto.onPointerEnd = function (info, isCancel)
	{
		if (info["pointerType"] === info["MSPOINTER_TYPE_MOUSE"] || info["pointerType"] === "mouse")
			return;
		if (info.preventDefault && cr.isCanvasInputEvent(info))
			info.preventDefault();
		var i = this.findTouch(info["pointerId"]);
		this.trigger_index = (i >= 0 ? this.touches[i].startindex : -1);
		this.trigger_id = (i >= 0 ? this.touches[i]["id"] : -1);
		this.runtime.isInUserInputEvent = true;
		this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd, this);
		this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd, this);
		if (i >= 0)
		{
			if (!isCancel)
				this.touches[i].maybeTriggerTap(this, i);
			ReleaseTouchInfo(this.touches[i]);
			this.touches.splice(i, 1);
		}
		this.runtime.isInUserInputEvent = false;
	};
	instanceProto.onTouchMove = function (info)
	{
		if (info.preventDefault)
			info.preventDefault();
		var nowtime = cr.performance_now();
		var i, len, t, u;
		for (i = 0, len = info.changedTouches.length; i < len; i++)
		{
			t = info.changedTouches[i];
			var j = this.findTouch(t["identifier"]);
			if (j >= 0)
			{
				var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
				u = this.touches[j];
				if (nowtime - u.time < 2)
					continue;
				u.update(nowtime, t.pageX - offset.left, t.pageY - offset.top);
			}
		}
	};
	instanceProto.onTouchStart = function (info)
	{
		if (info.preventDefault && cr.isCanvasInputEvent(info))
			info.preventDefault();
		var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
		var nowtime = cr.performance_now();
		this.runtime.isInUserInputEvent = true;
		var i, len, t, j;
		for (i = 0, len = info.changedTouches.length; i < len; i++)
		{
			t = info.changedTouches[i];
			j = this.findTouch(t["identifier"]);
			if (j !== -1)
				continue;
			var touchx = t.pageX - offset.left;
			var touchy = t.pageY - offset.top;
			this.trigger_index = this.touches.length;
			this.trigger_id = t["identifier"];
			this.touches.push(AllocTouchInfo(touchx, touchy, t["identifier"], this.trigger_index));
			this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart, this);
			this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart, this);
			this.curTouchX = touchx;
			this.curTouchY = touchy;
			this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject, this);
		}
		this.runtime.isInUserInputEvent = false;
	};
	instanceProto.onTouchEnd = function (info, isCancel)
	{
		if (info.preventDefault && cr.isCanvasInputEvent(info))
			info.preventDefault();
		this.runtime.isInUserInputEvent = true;
		var i, len, t, j;
		for (i = 0, len = info.changedTouches.length; i < len; i++)
		{
			t = info.changedTouches[i];
			j = this.findTouch(t["identifier"]);
			if (j >= 0)
			{
				this.trigger_index = this.touches[j].startindex;
				this.trigger_id = this.touches[j]["id"];
				this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd, this);
				this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd, this);
				if (!isCancel)
					this.touches[j].maybeTriggerTap(this, j);
				ReleaseTouchInfo(this.touches[j]);
				this.touches.splice(j, 1);
			}
		}
		this.runtime.isInUserInputEvent = false;
	};
	instanceProto.getAlpha = function ()
	{
		if (this.runtime.isAppMobi && this.orient_alpha === 0 && appmobi_accz !== 0)
			return appmobi_accz * 90;
		else if (this.runtime.isPhoneGap  && this.orient_alpha === 0 && pg_accz !== 0)
			return pg_accz * 90;
		else
			return this.orient_alpha;
	};
	instanceProto.getBeta = function ()
	{
		if (this.runtime.isAppMobi && this.orient_beta === 0 && appmobi_accy !== 0)
			return appmobi_accy * -90;
		else if (this.runtime.isPhoneGap  && this.orient_beta === 0 && pg_accy !== 0)
			return pg_accy * -90;
		else
			return this.orient_beta;
	};
	instanceProto.getGamma = function ()
	{
		if (this.runtime.isAppMobi && this.orient_gamma === 0 && appmobi_accx !== 0)
			return appmobi_accx * 90;
		else if (this.runtime.isPhoneGap  && this.orient_gamma === 0 && pg_accx !== 0)
			return pg_accx * 90;
		else
			return this.orient_gamma;
	};
	var noop_func = function(){};
	instanceProto.onMouseDown = function(info)
	{
		if (info.preventDefault && this.runtime.had_a_click && !this.runtime.isMobile)
			info.preventDefault();
		var t = { pageX: info.pageX, pageY: info.pageY, "identifier": 0 };
		var fakeinfo = { changedTouches: [t] };
		this.onTouchStart(fakeinfo);
		this.mouseDown = true;
	};
	instanceProto.onMouseMove = function(info)
	{
		if (!this.mouseDown)
			return;
		var t = { pageX: info.pageX, pageY: info.pageY, "identifier": 0 };
		var fakeinfo = { changedTouches: [t] };
		this.onTouchMove(fakeinfo);
	};
	instanceProto.onMouseUp = function(info)
	{
		if (info.preventDefault && this.runtime.had_a_click && !this.runtime.isMobile)
			info.preventDefault();
		this.runtime.had_a_click = true;
		var t = { pageX: info.pageX, pageY: info.pageY, "identifier": 0 };
		var fakeinfo = { changedTouches: [t] };
		this.onTouchEnd(fakeinfo);
		this.mouseDown = false;
	};
	instanceProto.tick2 = function()
	{
		var i, len, t;
		var nowtime = cr.performance_now();
		for (i = 0, len = this.touches.length; i < len; ++i)
		{
			t = this.touches[i];
			if (t.time <= nowtime - 50)
				t.lasttime = nowtime;
			t.maybeTriggerHold(this, i);
		}
	};
	function Cnds() {};
	Cnds.prototype.OnTouchStart = function ()
	{
		return true;
	};
	Cnds.prototype.OnTouchEnd = function ()
	{
		return true;
	};
	Cnds.prototype.IsInTouch = function ()
	{
		return this.touches.length;
	};
	Cnds.prototype.OnTouchObject = function (type)
	{
		if (!type)
			return false;
		return this.runtime.testAndSelectCanvasPointOverlap(type, this.curTouchX, this.curTouchY, false);
	};
	var touching = [];
	Cnds.prototype.IsTouchingObject = function (type)
	{
		if (!type)
			return false;
		var sol = type.getCurrentSol();
		var instances = sol.getObjects();
		var px, py;
		var i, leni, j, lenj;
		for (i = 0, leni = instances.length; i < leni; i++)
		{
			var inst = instances[i];
			inst.update_bbox();
			for (j = 0, lenj = this.touches.length; j < lenj; j++)
			{
				var touch = this.touches[j];
				px = inst.layer.canvasToLayer(touch.x, touch.y, true);
				py = inst.layer.canvasToLayer(touch.x, touch.y, false);
				if (inst.contains_pt(px, py))
				{
					touching.push(inst);
					break;
				}
			}
		}
		if (touching.length)
		{
			sol.select_all = false;
			cr.shallowAssignArray(sol.instances, touching);
			type.applySolToContainer();
			touching.length = 0;
			return true;
		}
		else
			return false;
	};
	Cnds.prototype.CompareTouchSpeed = function (index, cmp, s)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
			return false;
		var t = this.touches[index];
		var dist = cr.distanceTo(t.x, t.y, t.lastx, t.lasty);
		var timediff = (t.time - t.lasttime) / 1000;
		var speed = 0;
		if (timediff > 0)
			speed = dist / timediff;
		return cr.do_cmp(speed, cmp, s);
	};
	Cnds.prototype.OrientationSupported = function ()
	{
		return typeof window["DeviceOrientationEvent"] !== "undefined";
	};
	Cnds.prototype.MotionSupported = function ()
	{
		return typeof window["DeviceMotionEvent"] !== "undefined";
	};
	Cnds.prototype.CompareOrientation = function (orientation_, cmp_, angle_)
	{
		var v = 0;
		if (orientation_ === 0)
			v = this.getAlpha();
		else if (orientation_ === 1)
			v = this.getBeta();
		else
			v = this.getGamma();
		return cr.do_cmp(v, cmp_, angle_);
	};
	Cnds.prototype.CompareAcceleration = function (acceleration_, cmp_, angle_)
	{
		var v = 0;
		if (acceleration_ === 0)
			v = this.acc_g_x;
		else if (acceleration_ === 1)
			v = this.acc_g_y;
		else if (acceleration_ === 2)
			v = this.acc_g_z;
		else if (acceleration_ === 3)
			v = this.acc_x;
		else if (acceleration_ === 4)
			v = this.acc_y;
		else if (acceleration_ === 5)
			v = this.acc_z;
		return cr.do_cmp(v, cmp_, angle_);
	};
	Cnds.prototype.OnNthTouchStart = function (touch_)
	{
		touch_ = Math.floor(touch_);
		return touch_ === this.trigger_index;
	};
	Cnds.prototype.OnNthTouchEnd = function (touch_)
	{
		touch_ = Math.floor(touch_);
		return touch_ === this.trigger_index;
	};
	Cnds.prototype.HasNthTouch = function (touch_)
	{
		touch_ = Math.floor(touch_);
		return this.touches.length >= touch_ + 1;
	};
	Cnds.prototype.OnHoldGesture = function ()
	{
		return true;
	};
	Cnds.prototype.OnTapGesture = function ()
	{
		return true;
	};
	Cnds.prototype.OnDoubleTapGesture = function ()
	{
		return true;
	};
	Cnds.prototype.OnHoldGestureObject = function (type)
	{
		if (!type)
			return false;
		return this.runtime.testAndSelectCanvasPointOverlap(type, this.curTouchX, this.curTouchY, false);
	};
	Cnds.prototype.OnTapGestureObject = function (type)
	{
		if (!type)
			return false;
		return this.runtime.testAndSelectCanvasPointOverlap(type, this.curTouchX, this.curTouchY, false);
	};
	Cnds.prototype.OnDoubleTapGestureObject = function (type)
	{
		if (!type)
			return false;
		return this.runtime.testAndSelectCanvasPointOverlap(type, this.curTouchX, this.curTouchY, false);
	};
	pluginProto.cnds = new Cnds();
	function Exps() {};
	Exps.prototype.TouchCount = function (ret)
	{
		ret.set_int(this.touches.length);
	};
	Exps.prototype.X = function (ret, layerparam)
	{
		var index = this.getTouchIndex;
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		var layer, oldScale, oldZoomRate, oldParallaxX, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxX = layer.parallaxX;
			oldAngle = layer.angle;
			layer.scale = 1;
			layer.zoomRate = 1.0;
			layer.parallaxX = 1.0;
			layer.angle = 0;
			ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, true));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxX = oldParallaxX;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, true));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.XAt = function (ret, index, layerparam)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		var layer, oldScale, oldZoomRate, oldParallaxX, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxX = layer.parallaxX;
			oldAngle = layer.angle;
			layer.scale = 1;
			layer.zoomRate = 1.0;
			layer.parallaxX = 1.0;
			layer.angle = 0;
			ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, true));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxX = oldParallaxX;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, true));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.XForID = function (ret, id, layerparam)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		var layer, oldScale, oldZoomRate, oldParallaxX, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxX = layer.parallaxX;
			oldAngle = layer.angle;
			layer.scale = 1;
			layer.zoomRate = 1.0;
			layer.parallaxX = 1.0;
			layer.angle = 0;
			ret.set_float(layer.canvasToLayer(touch.x, touch.y, true));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxX = oldParallaxX;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(touch.x, touch.y, true));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.Y = function (ret, layerparam)
	{
		var index = this.getTouchIndex;
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		var layer, oldScale, oldZoomRate, oldParallaxY, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxY = layer.parallaxY;
			oldAngle = layer.angle;
			layer.scale = 1;
			layer.zoomRate = 1.0;
			layer.parallaxY = 1.0;
			layer.angle = 0;
			ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, false));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxY = oldParallaxY;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, false));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.YAt = function (ret, index, layerparam)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		var layer, oldScale, oldZoomRate, oldParallaxY, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxY = layer.parallaxY;
			oldAngle = layer.angle;
			layer.scale = 1;
			layer.zoomRate = 1.0;
			layer.parallaxY = 1.0;
			layer.angle = 0;
			ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, false));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxY = oldParallaxY;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, false));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.YForID = function (ret, id, layerparam)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		var layer, oldScale, oldZoomRate, oldParallaxY, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxY = layer.parallaxY;
			oldAngle = layer.angle;
			layer.scale = 1;
			layer.zoomRate = 1.0;
			layer.parallaxY = 1.0;
			layer.angle = 0;
			ret.set_float(layer.canvasToLayer(touch.x, touch.y, false));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxY = oldParallaxY;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(touch.x, touch.y, false));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.AbsoluteX = function (ret)
	{
		if (this.touches.length)
			ret.set_float(this.touches[0].x);
		else
			ret.set_float(0);
	};
	Exps.prototype.AbsoluteXAt = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		ret.set_float(this.touches[index].x);
	};
	Exps.prototype.AbsoluteXForID = function (ret, id)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		ret.set_float(touch.x);
	};
	Exps.prototype.AbsoluteY = function (ret)
	{
		if (this.touches.length)
			ret.set_float(this.touches[0].y);
		else
			ret.set_float(0);
	};
	Exps.prototype.AbsoluteYAt = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		ret.set_float(this.touches[index].y);
	};
	Exps.prototype.AbsoluteYForID = function (ret, id)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		ret.set_float(touch.y);
	};
	Exps.prototype.SpeedAt = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		var t = this.touches[index];
		var dist = cr.distanceTo(t.x, t.y, t.lastx, t.lasty);
		var timediff = (t.time - t.lasttime) / 1000;
		if (timediff === 0)
			ret.set_float(0);
		else
			ret.set_float(dist / timediff);
	};
	Exps.prototype.SpeedForID = function (ret, id)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		var dist = cr.distanceTo(touch.x, touch.y, touch.lastx, touch.lasty);
		var timediff = (touch.time - touch.lasttime) / 1000;
		if (timediff === 0)
			ret.set_float(0);
		else
			ret.set_float(dist / timediff);
	};
	Exps.prototype.AngleAt = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		var t = this.touches[index];
		ret.set_float(cr.to_degrees(cr.angleTo(t.lastx, t.lasty, t.x, t.y)));
	};
	Exps.prototype.AngleForID = function (ret, id)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		ret.set_float(cr.to_degrees(cr.angleTo(touch.lastx, touch.lasty, touch.x, touch.y)));
	};
	Exps.prototype.Alpha = function (ret)
	{
		ret.set_float(this.getAlpha());
	};
	Exps.prototype.Beta = function (ret)
	{
		ret.set_float(this.getBeta());
	};
	Exps.prototype.Gamma = function (ret)
	{
		ret.set_float(this.getGamma());
	};
	Exps.prototype.AccelerationXWithG = function (ret)
	{
		ret.set_float(this.acc_g_x);
	};
	Exps.prototype.AccelerationYWithG = function (ret)
	{
		ret.set_float(this.acc_g_y);
	};
	Exps.prototype.AccelerationZWithG = function (ret)
	{
		ret.set_float(this.acc_g_z);
	};
	Exps.prototype.AccelerationX = function (ret)
	{
		ret.set_float(this.acc_x);
	};
	Exps.prototype.AccelerationY = function (ret)
	{
		ret.set_float(this.acc_y);
	};
	Exps.prototype.AccelerationZ = function (ret)
	{
		ret.set_float(this.acc_z);
	};
	Exps.prototype.TouchIndex = function (ret)
	{
		ret.set_int(this.trigger_index);
	};
	Exps.prototype.TouchID = function (ret)
	{
		ret.set_float(this.trigger_id);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.WebStorage = function(runtime)
{
	this.runtime = runtime;
};
(function()
{
	var pluginProto = cr.plugins_.WebStorage.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	var prefix = "";
	var is_arcade = (typeof window["is_scirra_arcade"] !== "undefined");
	if (is_arcade)
		prefix = "arcade" + window["scirra_arcade_id"];
	var logged_sessionnotsupported = false;
	function LogSessionNotSupported()
	{
		if (logged_sessionnotsupported)
			return;
		cr.logexport("[Construct 2] Webstorage plugin: session storage is not supported on this platform. Try using local storage or global variables instead.");
		logged_sessionnotsupported = true;
	};
	instanceProto.onCreate = function()
	{
	};
	function Cnds() {};
	Cnds.prototype.LocalStorageEnabled = function()
	{
		return true;
	};
	Cnds.prototype.SessionStorageEnabled = function()
	{
		return true;
	};
	Cnds.prototype.LocalStorageExists = function(key)
	{
		return localStorage.getItem(prefix + key) != null;
	};
	Cnds.prototype.SessionStorageExists = function(key)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			return false;
		}
		return sessionStorage.getItem(prefix + key) != null;
	};
	Cnds.prototype.OnQuotaExceeded = function ()
	{
		return true;
	};
	Cnds.prototype.CompareKeyText = function (key, text_to_compare, case_sensitive)
	{
		var value = localStorage.getItem(prefix + key) || "";
		if (case_sensitive)
			return value == text_to_compare;
		else
			return cr.equals_nocase(value, text_to_compare);
	};
	Cnds.prototype.CompareKeyNumber = function (key, cmp, x)
	{
		var value = localStorage.getItem(prefix + key) || "";
		return cr.do_cmp(parseFloat(value), cmp, x);
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.StoreLocal = function(key, data)
	{
		try {
			localStorage.setItem(prefix + key, data);
		}
		catch (e)
		{
			this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded, this);
		}
	};
	Acts.prototype.StoreSession = function(key,data)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			return;
		}
		try {
			sessionStorage.setItem(prefix + key, data);
		}
		catch (e)
		{
			this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded, this);
		}
	};
	Acts.prototype.RemoveLocal = function(key)
	{
		localStorage.removeItem(prefix + key);
	};
	Acts.prototype.RemoveSession = function(key)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			return;
		}
		sessionStorage.removeItem(prefix + key);
	};
	Acts.prototype.ClearLocal = function()
	{
		if (!is_arcade)
			localStorage.clear();
	};
	Acts.prototype.ClearSession = function()
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			return;
		}
		if (!is_arcade)
			sessionStorage.clear();
	};
	Acts.prototype.JSONLoad = function (json_, mode_)
	{
		var d;
		try {
			d = JSON.parse(json_);
		}
		catch(e) { return; }
		if (!d["c2dictionary"])			// presumably not a c2dictionary object
			return;
		var o = d["data"];
		if (mode_ === 0 && !is_arcade)	// 'set' mode: must clear webstorage first
			localStorage.clear();
		var p;
		for (p in o)
		{
			if (o.hasOwnProperty(p))
			{
				try {
					localStorage.setItem(prefix + p, o[p]);
				}
				catch (e)
				{
					this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded, this);
					return;
				}
			}
		}
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.LocalValue = function(ret,key)
	{
		ret.set_string(localStorage.getItem(prefix + key) || "");
	};
	Exps.prototype.SessionValue = function(ret,key)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			ret.set_string("");
			return;
		}
		ret.set_string(sessionStorage.getItem(prefix + key) || "");
	};
	Exps.prototype.LocalCount = function(ret)
	{
		ret.set_int(is_arcade ? 0 : localStorage.length);
	};
	Exps.prototype.SessionCount = function(ret)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			ret.set_int(0);
			return;
		}
		ret.set_int(is_arcade ? 0 : sessionStorage.length);
	};
	Exps.prototype.LocalAt = function(ret,n)
	{
		if (is_arcade)
			ret.set_string("");
		else
			ret.set_string(localStorage.getItem(localStorage.key(n)) || "");
	};
	Exps.prototype.SessionAt = function(ret,n)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			ret.set_string("");
			return;
		}
		if (is_arcade)
			ret.set_string("");
		else
			ret.set_string(sessionStorage.getItem(sessionStorage.key(n)) || "");
	};
	Exps.prototype.LocalKeyAt = function(ret,n)
	{
		if (is_arcade)
			ret.set_string("");
		else
			ret.set_string(localStorage.key(n) || "");
	};
	Exps.prototype.SessionKeyAt = function(ret,n)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			ret.set_string("");
			return;
		}
		if (is_arcade)
			ret.set_string("");
		else
			ret.set_string(sessionStorage.key(n) || "");
	};
	Exps.prototype.AsJSON = function (ret)
	{
		var o = {}, i, len, k;
		for (i = 0, len = localStorage.length; i < len; i++)
		{
			k = localStorage.key(i);
			if (is_arcade)
			{
				if (k.substr(0, prefix.length) === prefix)
				{
					o[k.substr(prefix.length)] = localStorage.getItem(k);
				}
			}
			else
				o[k] = localStorage.getItem(k);
		}
		ret.set_string(JSON.stringify({
			"c2dictionary": true,
			"data": o
		}));
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.behaviors.Flash = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Flash.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.ontime = 0;
		this.offtime = 0;
		this.stage = 0;			// 0 = on, 1 = off
		this.stagetimeleft = 0;
		this.timeleft = 0;
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"ontime": this.ontime,
			"offtime": this.offtime,
			"stage": this.stage,
			"stagetimeleft": this.stagetimeleft,
			"timeleft": this.timeleft
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.ontime = o["ontime"];
		this.offtime = o["offtime"];
		this.stage = o["stage"];
		this.stagetimeleft = o["stagetimeleft"];
		this.timeleft = o["timeleft"];
	};
	behinstProto.tick = function ()
	{
		if (this.timeleft <= 0)
			return;		// not flashing
		var dt = this.runtime.getDt(this.inst);
		this.timeleft -= dt;
		if (this.timeleft <= 0)
		{
			this.timeleft = 0;
			this.inst.visible = true;
			this.runtime.redraw = true;
			this.runtime.trigger(cr.behaviors.Flash.prototype.cnds.OnFlashEnded, this.inst);
			return;
		}
		this.stagetimeleft -= dt;
		if (this.stagetimeleft <= 0)
		{
			if (this.stage === 0)
			{
				this.inst.visible = false;
				this.stage = 1;
				this.stagetimeleft += this.offtime;
			}
			else
			{
				this.inst.visible = true;
				this.stage = 0;
				this.stagetimeleft += this.ontime;
			}
			this.runtime.redraw = true;
		}
	};
	function Cnds() {};
	Cnds.prototype.IsFlashing = function ()
	{
		return this.timeleft > 0;
	};
	Cnds.prototype.OnFlashEnded = function ()
	{
		return true;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Flash = function (on_, off_, dur_)
	{
		this.ontime = on_;
		this.offtime = off_;
		this.stage = 1;		// always start off
		this.stagetimeleft = off_;
		this.timeleft = dur_;
		this.inst.visible = false;
		this.runtime.redraw = true;
	};
	Acts.prototype.StopFlashing = function ()
	{
		this.timeleft = 0;
		this.inst.visible = true;
		this.runtime.redraw = true;
		return;
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	behaviorProto.exps = new Exps();
}());
;
;
cr.behaviors.Pin = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Pin.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.pinObject = null;
		this.pinObjectUid = -1;		// for loading
		this.pinAngle = 0;
		this.pinDist = 0;
		this.myStartAngle = 0;
		this.theirStartAngle = 0;
		this.lastKnownAngle = 0;
		this.mode = 0;				// 0 = position & angle; 1 = position; 2 = angle; 3 = rope; 4 = bar
		var self = this;
		if (!this.recycled)
		{
			this.myDestroyCallback = (function(inst) {
													self.onInstanceDestroyed(inst);
												});
		}
		this.runtime.addDestroyCallback(this.myDestroyCallback);
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"uid": this.pinObject ? this.pinObject.uid : -1,
			"pa": this.pinAngle,
			"pd": this.pinDist,
			"msa": this.myStartAngle,
			"tsa": this.theirStartAngle,
			"lka": this.lastKnownAngle,
			"m": this.mode
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.pinObjectUid = o["uid"];		// wait until afterLoad to look up
		this.pinAngle = o["pa"];
		this.pinDist = o["pd"];
		this.myStartAngle = o["msa"];
		this.theirStartAngle = o["tsa"];
		this.lastKnownAngle = o["lka"];
		this.mode = o["m"];
	};
	behinstProto.afterLoad = function ()
	{
		if (this.pinObjectUid === -1)
			this.pinObject = null;
		else
		{
			this.pinObject = this.runtime.getObjectByUID(this.pinObjectUid);
;
		}
		this.pinObjectUid = -1;
	};
	behinstProto.onInstanceDestroyed = function (inst)
	{
		if (this.pinObject == inst)
			this.pinObject = null;
	};
	behinstProto.onDestroy = function()
	{
		this.pinObject = null;
		this.runtime.removeDestroyCallback(this.myDestroyCallback);
	};
	behinstProto.tick = function ()
	{
	};
	behinstProto.tick2 = function ()
	{
		if (!this.pinObject)
			return;
		if (this.lastKnownAngle !== this.inst.angle)
			this.myStartAngle = cr.clamp_angle(this.myStartAngle + (this.inst.angle - this.lastKnownAngle));
		var newx = this.inst.x;
		var newy = this.inst.y;
		if (this.mode === 3 || this.mode === 4)		// rope mode or bar mode
		{
			var dist = cr.distanceTo(this.inst.x, this.inst.y, this.pinObject.x, this.pinObject.y);
			if ((dist > this.pinDist) || (this.mode === 4 && dist < this.pinDist))
			{
				var a = cr.angleTo(this.pinObject.x, this.pinObject.y, this.inst.x, this.inst.y);
				newx = this.pinObject.x + Math.cos(a) * this.pinDist;
				newy = this.pinObject.y + Math.sin(a) * this.pinDist;
			}
		}
		else
		{
			newx = this.pinObject.x + Math.cos(this.pinObject.angle + this.pinAngle) * this.pinDist;
			newy = this.pinObject.y + Math.sin(this.pinObject.angle + this.pinAngle) * this.pinDist;
		}
		var newangle = cr.clamp_angle(this.myStartAngle + (this.pinObject.angle - this.theirStartAngle));
		this.lastKnownAngle = newangle;
		if ((this.mode === 0 || this.mode === 1 || this.mode === 3 || this.mode === 4)
			&& (this.inst.x !== newx || this.inst.y !== newy))
		{
			this.inst.x = newx;
			this.inst.y = newy;
			this.inst.set_bbox_changed();
		}
		if ((this.mode === 0 || this.mode === 2) && (this.inst.angle !== newangle))
		{
			this.inst.angle = newangle;
			this.inst.set_bbox_changed();
		}
	};
	function Cnds() {};
	Cnds.prototype.IsPinned = function ()
	{
		return !!this.pinObject;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Pin = function (obj, mode_)
	{
		if (!obj)
			return;
		var otherinst = obj.getFirstPicked(this.inst);
		if (!otherinst)
			return;
		this.pinObject = otherinst;
		this.pinAngle = cr.angleTo(otherinst.x, otherinst.y, this.inst.x, this.inst.y) - otherinst.angle;
		this.pinDist = cr.distanceTo(otherinst.x, otherinst.y, this.inst.x, this.inst.y);
		this.myStartAngle = this.inst.angle;
		this.lastKnownAngle = this.inst.angle;
		this.theirStartAngle = otherinst.angle;
		this.mode = mode_;
	};
	Acts.prototype.Unpin = function ()
	{
		this.pinObject = null;
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.PinnedUID = function (ret)
	{
		ret.set_int(this.pinObject ? this.pinObject.uid : -1);
	};
	behaviorProto.exps = new Exps();
}());
;
;
cr.behaviors.Platform = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Platform.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	var ANIMMODE_STOPPED = 0;
	var ANIMMODE_MOVING = 1;
	var ANIMMODE_JUMPING = 2;
	var ANIMMODE_FALLING = 3;
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
		this.leftkey = false;
		this.rightkey = false;
		this.jumpkey = false;
		this.jumped = false;			// prevent bunnyhopping
		this.doubleJumped = false;
		this.canDoubleJump = false;
		this.ignoreInput = false;
		this.simleft = false;
		this.simright = false;
		this.simjump = false;
		this.lastFloorObject = null;
		this.loadFloorObject = -1;
		this.lastFloorX = 0;
		this.lastFloorY = 0;
		this.floorIsJumpthru = false;
		this.animMode = ANIMMODE_STOPPED;
		this.fallthrough = 0;			// fall through jump-thru.  >0 to disable, lasts a few ticks
		this.firstTick = true;
		this.dx = 0;
		this.dy = 0;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.updateGravity = function()
	{
		this.downx = Math.cos(this.ga);
		this.downy = Math.sin(this.ga);
		this.rightx = Math.cos(this.ga - Math.PI / 2);
		this.righty = Math.sin(this.ga - Math.PI / 2);
		this.downx = cr.round6dp(this.downx);
		this.downy = cr.round6dp(this.downy);
		this.rightx = cr.round6dp(this.rightx);
		this.righty = cr.round6dp(this.righty);
		this.g1 = this.g;
		if (this.g < 0)
		{
			this.downx *= -1;
			this.downy *= -1;
			this.g = Math.abs(this.g);
		}
	};
	behinstProto.onCreate = function()
	{
		this.maxspeed = this.properties[0];
		this.acc = this.properties[1];
		this.dec = this.properties[2];
		this.jumpStrength = this.properties[3];
		this.g = this.properties[4];
		this.g1 = this.g;
		this.maxFall = this.properties[5];
		this.enableDoubleJump = (this.properties[6] !== 0);	// 0=disabled, 1=enabled
		this.jumpSustain = (this.properties[7] / 1000);		// convert ms to s
		this.defaultControls = (this.properties[8] === 1);	// 0=no, 1=yes
		this.enabled = (this.properties[9] !== 0);
		this.wasOnFloor = false;
		this.wasOverJumpthru = this.runtime.testOverlapJumpThru(this.inst);
		this.loadOverJumpthru = -1;
		this.sustainTime = 0;				// time of jump sustain remaining
		this.ga = cr.to_radians(90);
		this.updateGravity();
		var self = this;
		if (this.defaultControls && !this.runtime.isDomFree)
		{
			jQuery(document).keydown(function(info) {
						self.onKeyDown(info);
					});
			jQuery(document).keyup(function(info) {
						self.onKeyUp(info);
					});
		}
		if (!this.recycled)
		{
			this.myDestroyCallback = function(inst) {
										self.onInstanceDestroyed(inst);
									};
		}
		this.runtime.addDestroyCallback(this.myDestroyCallback);
		this.inst.extra["isPlatformBehavior"] = true;
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"ii": this.ignoreInput,
			"lfx": this.lastFloorX,
			"lfy": this.lastFloorY,
			"lfo": (this.lastFloorObject ? this.lastFloorObject.uid : -1),
			"am": this.animMode,
			"en": this.enabled,
			"fall": this.fallthrough,
			"ft": this.firstTick,
			"dx": this.dx,
			"dy": this.dy,
			"ms": this.maxspeed,
			"acc": this.acc,
			"dec": this.dec,
			"js": this.jumpStrength,
			"g": this.g,
			"g1": this.g1,
			"mf": this.maxFall,
			"wof": this.wasOnFloor,
			"woj": (this.wasOverJumpthru ? this.wasOverJumpthru.uid : -1),
			"ga": this.ga,
			"edj": this.enableDoubleJump,
			"cdj": this.canDoubleJump,
			"dj": this.doubleJumped,
			"sus": this.jumpSustain
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.ignoreInput = o["ii"];
		this.lastFloorX = o["lfx"];
		this.lastFloorY = o["lfy"];
		this.loadFloorObject = o["lfo"];
		this.animMode = o["am"];
		this.enabled = o["en"];
		this.fallthrough = o["fall"];
		this.firstTick = o["ft"];
		this.dx = o["dx"];
		this.dy = o["dy"];
		this.maxspeed = o["ms"];
		this.acc = o["acc"];
		this.dec = o["dec"];
		this.jumpStrength = o["js"];
		this.g = o["g"];
		this.g1 = o["g1"];
		this.maxFall = o["mf"];
		this.wasOnFloor = o["wof"];
		this.loadOverJumpthru = o["woj"];
		this.ga = o["ga"];
		this.enableDoubleJump = o["edj"];
		this.canDoubleJump = o["cdj"];
		this.doubleJumped = o["dj"];
		this.jumpSustain = o["sus"];
		this.leftkey = false;
		this.rightkey = false;
		this.jumpkey = false;
		this.jumped = false;
		this.simleft = false;
		this.simright = false;
		this.simjump = false;
		this.sustainTime = 0;
		this.updateGravity();
	};
	behinstProto.afterLoad = function ()
	{
		if (this.loadFloorObject === -1)
			this.lastFloorObject = null;
		else
			this.lastFloorObject = this.runtime.getObjectByUID(this.loadFloorObject);
		if (this.loadOverJumpthru === -1)
			this.wasOverJumpthru = null;
		else
			this.wasOverJumpthru = this.runtime.getObjectByUID(this.loadOverJumpthru);
	};
	behinstProto.onInstanceDestroyed = function (inst)
	{
		if (this.lastFloorObject == inst)
			this.lastFloorObject = null;
	};
	behinstProto.onDestroy = function ()
	{
		this.lastFloorObject = null;
		this.runtime.removeDestroyCallback(this.myDestroyCallback);
	};
	behinstProto.onKeyDown = function (info)
	{
		switch (info.which) {
		case 38:	// up
			info.preventDefault();
			this.jumpkey = true;
			break;
		case 37:	// left
			info.preventDefault();
			this.leftkey = true;
			break;
		case 39:	// right
			info.preventDefault();
			this.rightkey = true;
			break;
		}
	};
	behinstProto.onKeyUp = function (info)
	{
		switch (info.which) {
		case 38:	// up
			info.preventDefault();
			this.jumpkey = false;
			this.jumped = false;
			break;
		case 37:	// left
			info.preventDefault();
			this.leftkey = false;
			break;
		case 39:	// right
			info.preventDefault();
			this.rightkey = false;
			break;
		}
	};
	behinstProto.getGDir = function ()
	{
		if (this.g < 0)
			return -1;
		else
			return 1;
	};
	behinstProto.isOnFloor = function ()
	{
		var ret = null;
		var ret2 = null;
		var i, len, j;
		var oldx = this.inst.x;
		var oldy = this.inst.y;
		this.inst.x += this.downx;
		this.inst.y += this.downy;
		this.inst.set_bbox_changed();
		if (this.lastFloorObject && this.runtime.testOverlap(this.inst, this.lastFloorObject))
		{
			this.inst.x = oldx;
			this.inst.y = oldy;
			this.inst.set_bbox_changed();
			return this.lastFloorObject;
		}
		else
		{
			ret = this.runtime.testOverlapSolid(this.inst);
			if (!ret && this.fallthrough === 0)
				ret2 = this.runtime.testOverlapJumpThru(this.inst, true);
			this.inst.x = oldx;
			this.inst.y = oldy;
			this.inst.set_bbox_changed();
			if (ret)		// was overlapping solid
			{
				if (this.runtime.testOverlap(this.inst, ret))
					return null;
				else
				{
					this.floorIsJumpthru = false;
					return ret;
				}
			}
			if (ret2 && ret2.length)
			{
				for (i = 0, j = 0, len = ret2.length; i < len; i++)
				{
					ret2[j] = ret2[i];
					if (!this.runtime.testOverlap(this.inst, ret2[i]))
						j++;
				}
				if (j >= 1)
				{
					this.floorIsJumpthru = true;
					return ret2[0];
				}
			}
			return null;
		}
	};
	behinstProto.tick = function ()
	{
	};
	behinstProto.posttick = function ()
	{
		var dt = this.runtime.getDt(this.inst);
		var mx, my, obstacle, mag, allover, i, len, j, oldx, oldy;
		if (!this.jumpkey && !this.simjump)
			this.jumped = false;
		var left = this.leftkey || this.simleft;
		var right = this.rightkey || this.simright;
		var jumpkey = (this.jumpkey || this.simjump);
		var jump = jumpkey && !this.jumped;
		this.simleft = false;
		this.simright = false;
		this.simjump = false;
		if (!this.enabled)
			return;
		if (this.ignoreInput)
		{
			left = false;
			right = false;
			jumpkey = false;
			jump = false;
		}
		if (!jumpkey)
			this.sustainTime = 0;
		var lastFloor = this.lastFloorObject;
		var floor_moved = false;
		if (this.firstTick)
		{
			if (this.runtime.testOverlapSolid(this.inst) || this.runtime.testOverlapJumpThru(this.inst))
			{
				this.runtime.pushOutSolid(this.inst, -this.downx, -this.downy, 4, true);
			}
			this.firstTick = false;
		}
		if (lastFloor && this.dy === 0 && (lastFloor.y !== this.lastFloorY || lastFloor.x !== this.lastFloorX))
		{
			mx = (lastFloor.x - this.lastFloorX);
			my = (lastFloor.y - this.lastFloorY);
			this.inst.x += mx;
			this.inst.y += my;
			this.inst.set_bbox_changed();
			this.lastFloorX = lastFloor.x;
			this.lastFloorY = lastFloor.y;
			floor_moved = true;
			if (this.runtime.testOverlapSolid(this.inst))
			{
				this.runtime.pushOutSolid(this.inst, -mx, -my, Math.sqrt(mx * mx + my * my) * 2.5);
			}
		}
		var floor_ = this.isOnFloor();
		var collobj = this.runtime.testOverlapSolid(this.inst);
		if (collobj)
		{
			if (this.inst.extra["inputPredicted"])
			{
				this.runtime.pushOutSolid(this.inst, -this.downx, -this.downy, 10, false);
			}
			else if (this.runtime.pushOutSolidNearest(this.inst, Math.max(this.inst.width, this.inst.height) / 2))
			{
				this.runtime.registerCollision(this.inst, collobj);
			}
			else
				return;
		}
		if (floor_)
		{
			this.doubleJumped = false;		// reset double jump flags for next jump
			this.canDoubleJump = false;
			if (this.dy > 0)
			{
				if (!this.wasOnFloor)
				{
					this.runtime.pushInFractional(this.inst, -this.downx, -this.downy, floor_, 16);
					this.wasOnFloor = true;
				}
				this.dy = 0;
			}
			if (lastFloor != floor_)
			{
				this.lastFloorObject = floor_;
				this.lastFloorX = floor_.x;
				this.lastFloorY = floor_.y;
				this.runtime.registerCollision(this.inst, floor_);
			}
			else if (floor_moved)
			{
				collobj = this.runtime.testOverlapSolid(this.inst);
				if (collobj)
				{
					this.runtime.registerCollision(this.inst, collobj);
					if (mx !== 0)
					{
						if (mx > 0)
							this.runtime.pushOutSolid(this.inst, -this.rightx, -this.righty);
						else
							this.runtime.pushOutSolid(this.inst, this.rightx, this.righty);
					}
					this.runtime.pushOutSolid(this.inst, -this.downx, -this.downy);
				}
			}
		}
		else
		{
			if (!jumpkey)
				this.canDoubleJump = true;
		}
		if ((floor_ && jump) || (!floor_ && this.enableDoubleJump && jumpkey && this.canDoubleJump && !this.doubleJumped))
		{
			oldx = this.inst.x;
			oldy = this.inst.y;
			this.inst.x -= this.downx;
			this.inst.y -= this.downy;
			this.inst.set_bbox_changed();
			if (!this.runtime.testOverlapSolid(this.inst))
			{
				this.sustainTime = this.jumpSustain;
				this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnJump, this.inst);
				this.animMode = ANIMMODE_JUMPING;
				this.dy = -this.jumpStrength;
				jump = true;		// set in case is double jump
				if (floor_)
					this.jumped = true;
				else
					this.doubleJumped = true;
			}
			else
				jump = false;
			this.inst.x = oldx;
			this.inst.y = oldy;
			this.inst.set_bbox_changed();
		}
		if (!floor_)
		{
			if (jumpkey && this.sustainTime > 0)
			{
				this.dy = -this.jumpStrength;
				this.sustainTime -= dt;
			}
			else
			{
				this.lastFloorObject = null;
				this.dy += this.g * dt;
				if (this.dy > this.maxFall)
					this.dy = this.maxFall;
			}
			if (jump)
				this.jumped = true;
		}
		this.wasOnFloor = !!floor_;
		if (left == right)	// both up or both down
		{
			if (this.dx < 0)
			{
				this.dx += this.dec * dt;
				if (this.dx > 0)
					this.dx = 0;
			}
			else if (this.dx > 0)
			{
				this.dx -= this.dec * dt;
				if (this.dx < 0)
					this.dx = 0;
			}
		}
		if (left && !right)
		{
			if (this.dx > 0)
				this.dx -= (this.acc + this.dec) * dt;
			else
				this.dx -= this.acc * dt;
		}
		if (right && !left)
		{
			if (this.dx < 0)
				this.dx += (this.acc + this.dec) * dt;
			else
				this.dx += this.acc * dt;
		}
		if (this.dx > this.maxspeed)
			this.dx = this.maxspeed;
		else if (this.dx < -this.maxspeed)
			this.dx = -this.maxspeed;
		var landed = false;
		if (this.dx !== 0)
		{
			oldx = this.inst.x;
			oldy = this.inst.y;
			mx = this.dx * dt * this.rightx;
			my = this.dx * dt * this.righty;
			this.inst.x += this.rightx * (this.dx > 1 ? 1 : -1) - this.downx;
			this.inst.y += this.righty * (this.dx > 1 ? 1 : -1) - this.downy;
			this.inst.set_bbox_changed();
			var is_jumpthru = false;
			var slope_too_steep = this.runtime.testOverlapSolid(this.inst);
			/*
			if (!slope_too_steep && floor_)
			{
				slope_too_steep = this.runtime.testOverlapJumpThru(this.inst);
				is_jumpthru = true;
				if (slope_too_steep)
				{
					this.inst.x = oldx;
					this.inst.y = oldy;
					this.inst.set_bbox_changed();
					if (this.runtime.testOverlap(this.inst, slope_too_steep))
					{
						slope_too_steep = null;
						is_jumpthru = false;
					}
				}
			}
			*/
			this.inst.x = oldx + mx;
			this.inst.y = oldy + my;
			this.inst.set_bbox_changed();
			obstacle = this.runtime.testOverlapSolid(this.inst);
			if (!obstacle && floor_)
			{
				obstacle = this.runtime.testOverlapJumpThru(this.inst);
				if (obstacle)
				{
					this.inst.x = oldx;
					this.inst.y = oldy;
					this.inst.set_bbox_changed();
					if (this.runtime.testOverlap(this.inst, obstacle))
					{
						obstacle = null;
						is_jumpthru = false;
					}
					else
						is_jumpthru = true;
					this.inst.x = oldx + mx;
					this.inst.y = oldy + my;
					this.inst.set_bbox_changed();
				}
			}
			if (obstacle)
			{
				var push_dist = Math.abs(this.dx * dt) + 2;
				if (slope_too_steep || !this.runtime.pushOutSolid(this.inst, -this.downx, -this.downy, push_dist, is_jumpthru, obstacle))
				{
					this.runtime.registerCollision(this.inst, obstacle);
					push_dist = Math.max(Math.abs(this.dx * dt * 2.5), 30);
					if (!this.runtime.pushOutSolid(this.inst, this.rightx * (this.dx < 0 ? 1 : -1), this.righty * (this.dx < 0 ? 1 : -1), push_dist, false))
					{
						this.inst.x = oldx;
						this.inst.y = oldy;
						this.inst.set_bbox_changed();
					}
					else if (floor_ && !is_jumpthru && !this.floorIsJumpthru)
					{
						oldx = this.inst.x;
						oldy = this.inst.y;
						this.inst.x += this.downx;
						this.inst.y += this.downy;
						if (this.runtime.testOverlapSolid(this.inst))
						{
							if (!this.runtime.pushOutSolid(this.inst, -this.downx, -this.downy, 3, false))
							{
								this.inst.x = oldx;
								this.inst.y = oldy;
								this.inst.set_bbox_changed();
							}
						}
						else
						{
							this.inst.x = oldx;
							this.inst.y = oldy;
							this.inst.set_bbox_changed();
						}
					}
					if (!is_jumpthru)
						this.dx = 0;	// stop
				}
				else if (!slope_too_steep && !jump && (Math.abs(this.dy) < Math.abs(this.jumpStrength / 4)))
				{
					this.dy = 0;
					if (!floor_)
						landed = true;
				}
			}
			else
			{
				var newfloor = this.isOnFloor();
				if (floor_ && !newfloor)
				{
					mag = Math.ceil(Math.abs(this.dx * dt)) + 2;
					oldx = this.inst.x;
					oldy = this.inst.y;
					this.inst.x += this.downx * mag;
					this.inst.y += this.downy * mag;
					this.inst.set_bbox_changed();
					if (this.runtime.testOverlapSolid(this.inst) || this.runtime.testOverlapJumpThru(this.inst))
						this.runtime.pushOutSolid(this.inst, -this.downx, -this.downy, mag + 2, true);
					else
					{
						this.inst.x = oldx;
						this.inst.y = oldy;
						this.inst.set_bbox_changed();
					}
				}
				else if (newfloor && this.dy === 0)
				{
					this.runtime.pushInFractional(this.inst, -this.downx, -this.downy, newfloor, 16);
				}
			}
		}
		if (this.dy !== 0)
		{
			oldx = this.inst.x;
			oldy = this.inst.y;
			this.inst.x += this.dy * dt * this.downx;
			this.inst.y += this.dy * dt * this.downy;
			var newx = this.inst.x;
			var newy = this.inst.y;
			this.inst.set_bbox_changed();
			collobj = this.runtime.testOverlapSolid(this.inst);
			var fell_on_jumpthru = false;
			if (!collobj && (this.dy > 0) && !floor_)
			{
				allover = this.fallthrough > 0 ? null : this.runtime.testOverlapJumpThru(this.inst, true);
				if (allover && allover.length)
				{
					if (this.wasOverJumpthru)
					{
						this.inst.x = oldx;
						this.inst.y = oldy;
						this.inst.set_bbox_changed();
						for (i = 0, j = 0, len = allover.length; i < len; i++)
						{
							allover[j] = allover[i];
							if (!this.runtime.testOverlap(this.inst, allover[i]))
								j++;
						}
						allover.length = j;
						this.inst.x = newx;
						this.inst.y = newy;
						this.inst.set_bbox_changed();
					}
					if (allover.length >= 1)
						collobj = allover[0];
				}
				fell_on_jumpthru = !!collobj;
			}
			if (collobj)
			{
				this.runtime.registerCollision(this.inst, collobj);
				this.sustainTime = 0;
				var push_dist = (fell_on_jumpthru ? Math.abs(this.dy * dt * 2.5 + 10) : Math.max(Math.abs(this.dy * dt * 2.5 + 10), 30));
				if (!this.runtime.pushOutSolid(this.inst, this.downx * (this.dy < 0 ? 1 : -1), this.downy * (this.dy < 0 ? 1 : -1), push_dist, fell_on_jumpthru, collobj))
				{
					this.inst.x = oldx;
					this.inst.y = oldy;
					this.inst.set_bbox_changed();
					this.wasOnFloor = true;		// prevent adjustment for unexpected floor landings
					if (!fell_on_jumpthru)
						this.dy = 0;	// stop
				}
				else
				{
					this.lastFloorObject = collobj;
					this.lastFloorX = collobj.x;
					this.lastFloorY = collobj.y;
					this.floorIsJumpthru = fell_on_jumpthru;
					if (fell_on_jumpthru)
						landed = true;
					this.dy = 0;	// stop
				}
			}
		}
		if (this.animMode !== ANIMMODE_FALLING && this.dy > 0 && !floor_)
		{
			this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnFall, this.inst);
			this.animMode = ANIMMODE_FALLING;
		}
		if (floor_ || landed)
		{
			if (this.animMode === ANIMMODE_FALLING || landed || (jump && this.dy === 0))
			{
				this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnLand, this.inst);
				if (this.dx === 0 && this.dy === 0)
					this.animMode = ANIMMODE_STOPPED;
				else
					this.animMode = ANIMMODE_MOVING;
			}
			else
			{
				if (this.animMode !== ANIMMODE_STOPPED && this.dx === 0 && this.dy === 0)
				{
					this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnStop, this.inst);
					this.animMode = ANIMMODE_STOPPED;
				}
				if (this.animMode !== ANIMMODE_MOVING && (this.dx !== 0 || this.dy !== 0) && !jump)
				{
					this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnMove, this.inst);
					this.animMode = ANIMMODE_MOVING;
				}
			}
		}
		if (this.fallthrough > 0)
			this.fallthrough--;
		this.wasOverJumpthru = this.runtime.testOverlapJumpThru(this.inst);
	};
	function Cnds() {};
	Cnds.prototype.IsMoving = function ()
	{
		return this.dx !== 0 || this.dy !== 0;
	};
	Cnds.prototype.CompareSpeed = function (cmp, s)
	{
		var speed = Math.sqrt(this.dx * this.dx + this.dy * this.dy);
		return cr.do_cmp(speed, cmp, s);
	};
	Cnds.prototype.IsOnFloor = function ()
	{
		if (this.dy !== 0)
			return false;
		var ret = null;
		var ret2 = null;
		var i, len, j;
		var oldx = this.inst.x;
		var oldy = this.inst.y;
		this.inst.x += this.downx;
		this.inst.y += this.downy;
		this.inst.set_bbox_changed();
		ret = this.runtime.testOverlapSolid(this.inst);
		if (!ret && this.fallthrough === 0)
			ret2 = this.runtime.testOverlapJumpThru(this.inst, true);
		this.inst.x = oldx;
		this.inst.y = oldy;
		this.inst.set_bbox_changed();
		if (ret)		// was overlapping solid
		{
			return !this.runtime.testOverlap(this.inst, ret);
		}
		if (ret2 && ret2.length)
		{
			for (i = 0, j = 0, len = ret2.length; i < len; i++)
			{
				ret2[j] = ret2[i];
				if (!this.runtime.testOverlap(this.inst, ret2[i]))
					j++;
			}
			if (j >= 1)
				return true;
		}
		return false;
	};
	Cnds.prototype.IsByWall = function (side)
	{
		var ret = false;
		var oldx = this.inst.x;
		var oldy = this.inst.y;
		this.inst.x -= this.downx * 3;
		this.inst.y -= this.downy * 3;
		this.inst.set_bbox_changed();
		if (this.runtime.testOverlapSolid(this.inst))
		{
			this.inst.x = oldx;
			this.inst.y = oldy;
			this.inst.set_bbox_changed();
			return false;
		}
		if (side === 0)		// left
		{
			this.inst.x -= this.rightx * 2;
			this.inst.y -= this.righty * 2;
		}
		else
		{
			this.inst.x += this.rightx * 2;
			this.inst.y += this.righty * 2;
		}
		this.inst.set_bbox_changed();
		ret = this.runtime.testOverlapSolid(this.inst);
		this.inst.x = oldx;
		this.inst.y = oldy;
		this.inst.set_bbox_changed();
		return ret;
	};
	Cnds.prototype.IsJumping = function ()
	{
		return this.dy < 0;
	};
	Cnds.prototype.IsFalling = function ()
	{
		return this.dy > 0;
	};
	Cnds.prototype.OnJump = function ()
	{
		return true;
	};
	Cnds.prototype.OnFall = function ()
	{
		return true;
	};
	Cnds.prototype.OnStop = function ()
	{
		return true;
	};
	Cnds.prototype.OnMove = function ()
	{
		return true;
	};
	Cnds.prototype.OnLand = function ()
	{
		return true;
	};
	Cnds.prototype.IsDoubleJumpEnabled = function ()
	{
		return this.enableDoubleJump;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetIgnoreInput = function (ignoring)
	{
		this.ignoreInput = ignoring;
	};
	Acts.prototype.SetMaxSpeed = function (maxspeed)
	{
		this.maxspeed = maxspeed;
		if (this.maxspeed < 0)
			this.maxspeed = 0;
	};
	Acts.prototype.SetAcceleration = function (acc)
	{
		this.acc = acc;
		if (this.acc < 0)
			this.acc = 0;
	};
	Acts.prototype.SetDeceleration = function (dec)
	{
		this.dec = dec;
		if (this.dec < 0)
			this.dec = 0;
	};
	Acts.prototype.SetJumpStrength = function (js)
	{
		this.jumpStrength = js;
		if (this.jumpStrength < 0)
			this.jumpStrength = 0;
	};
	Acts.prototype.SetGravity = function (grav)
	{
		if (this.g1 === grav)
			return;		// no change
		this.g = grav;
		this.updateGravity();
		if (this.runtime.testOverlapSolid(this.inst))
		{
			this.runtime.pushOutSolid(this.inst, this.downx, this.downy, 10);
			this.inst.x += this.downx * 2;
			this.inst.y += this.downy * 2;
			this.inst.set_bbox_changed();
		}
		this.lastFloorObject = null;
	};
	Acts.prototype.SetMaxFallSpeed = function (mfs)
	{
		this.maxFall = mfs;
		if (this.maxFall < 0)
			this.maxFall = 0;
	};
	Acts.prototype.SimulateControl = function (ctrl)
	{
		switch (ctrl) {
		case 0:		this.simleft = true;	break;
		case 1:		this.simright = true;	break;
		case 2:		this.simjump = true;	break;
		}
	};
	Acts.prototype.SetVectorX = function (vx)
	{
		this.dx = vx;
	};
	Acts.prototype.SetVectorY = function (vy)
	{
		this.dy = vy;
	};
	Acts.prototype.SetGravityAngle = function (a)
	{
		a = cr.to_radians(a);
		a = cr.clamp_angle(a);
		if (this.ga === a)
			return;		// no change
		this.ga = a;
		this.updateGravity();
		this.lastFloorObject = null;
	};
	Acts.prototype.SetEnabled = function (en)
	{
		if (this.enabled !== (en === 1))
		{
			this.enabled = (en === 1);
			if (!this.enabled)
				this.lastFloorObject = null;
		}
	};
	Acts.prototype.FallThrough = function ()
	{
		var oldx = this.inst.x;
		var oldy = this.inst.y;
		this.inst.x += this.downx;
		this.inst.y += this.downy;
		this.inst.set_bbox_changed();
		var overlaps = this.runtime.testOverlapJumpThru(this.inst, false);
		this.inst.x = oldx;
		this.inst.y = oldy;
		this.inst.set_bbox_changed();
		if (!overlaps)
			return;
		this.fallthrough = 3;			// disable jumpthrus for 3 ticks (1 doesn't do it, 2 does, 3 to be on safe side)
		this.lastFloorObject = null;
	};
	Acts.prototype.SetDoubleJumpEnabled = function (e)
	{
		this.enableDoubleJump = (e !== 0);
	};
	Acts.prototype.SetJumpSustain = function (s)
	{
		this.jumpSustain = s / 1000;		// convert to ms
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.Speed = function (ret)
	{
		ret.set_float(Math.sqrt(this.dx * this.dx + this.dy * this.dy));
	};
	Exps.prototype.MaxSpeed = function (ret)
	{
		ret.set_float(this.maxspeed);
	};
	Exps.prototype.Acceleration = function (ret)
	{
		ret.set_float(this.acc);
	};
	Exps.prototype.Deceleration = function (ret)
	{
		ret.set_float(this.dec);
	};
	Exps.prototype.JumpStrength = function (ret)
	{
		ret.set_float(this.jumpStrength);
	};
	Exps.prototype.Gravity = function (ret)
	{
		ret.set_float(this.g);
	};
	Exps.prototype.GravityAngle = function (ret)
	{
		ret.set_float(cr.to_degrees(this.ga));
	};
	Exps.prototype.MaxFallSpeed = function (ret)
	{
		ret.set_float(this.maxFall);
	};
	Exps.prototype.MovingAngle = function (ret)
	{
		ret.set_float(cr.to_degrees(Math.atan2(this.dy, this.dx)));
	};
	Exps.prototype.VectorX = function (ret)
	{
		ret.set_float(this.dx);
	};
	Exps.prototype.VectorY = function (ret)
	{
		ret.set_float(this.dy);
	};
	Exps.prototype.JumpSustain = function (ret)
	{
		ret.set_float(this.jumpSustain * 1000);		// convert back to ms
	};
	behaviorProto.exps = new Exps();
}());
;
;
cr.behaviors.Rotate = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Rotate.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.speed = cr.to_radians(this.properties[0]);
		this.acc = cr.to_radians(this.properties[1]);
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"speed": this.speed,
			"acc": this.acc
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.speed = o["speed"];
		this.acc = o["acc"];
	};
	behinstProto.tick = function ()
	{
		var dt = this.runtime.getDt(this.inst);
		if (dt === 0)
			return;
		if (this.acc !== 0)
			this.speed += this.acc * dt;
		if (this.speed !== 0)
		{
			this.inst.angle = cr.clamp_angle(this.inst.angle + this.speed * dt);
			this.inst.set_bbox_changed();
		}
	};
	function Cnds() {};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetSpeed = function (s)
	{
		this.speed = cr.to_radians(s);
	};
	Acts.prototype.SetAcceleration = function (a)
	{
		this.acc = cr.to_radians(a);
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.Speed = function (ret)
	{
		ret.set_float(cr.to_degrees(this.speed));
	};
	Exps.prototype.Acceleration = function (ret)
	{
		ret.set_float(cr.to_degrees(this.acc));
	};
	behaviorProto.exps = new Exps();
}());
;
;
cr.behaviors.Sin = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Sin.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
		this.i = 0;		// period offset (radians)
	};
	var behinstProto = behaviorProto.Instance.prototype;
	var _2pi = 2 * Math.PI;
	var _pi_2 = Math.PI / 2;
	var _3pi_2 = (3 * Math.PI) / 2;
	behinstProto.onCreate = function()
	{
		this.active = (this.properties[0] === 1);
		this.movement = this.properties[1]; // 0=Horizontal|1=Vertical|2=Size|3=Width|4=Height|5=Angle|6=Opacity|7=Value only
		this.wave = this.properties[2];		// 0=Sine|1=Triangle|2=Sawtooth|3=Reverse sawtooth|4=Square
		this.period = this.properties[3];
		this.period += Math.random() * this.properties[4];								// period random
		if (this.period === 0)
			this.i = 0;
		else
		{
			this.i = (this.properties[5] / this.period) * _2pi;								// period offset
			this.i += ((Math.random() * this.properties[6]) / this.period) * _2pi;			// period offset random
		}
		this.mag = this.properties[7];													// magnitude
		this.mag += Math.random() * this.properties[8];									// magnitude random
		this.initialValue = 0;
		this.initialValue2 = 0;
		this.ratio = 0;
		this.init();
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"i": this.i,
			"a": this.active,
			"mv": this.movement,
			"w": this.wave,
			"p": this.period,
			"mag": this.mag,
			"iv": this.initialValue,
			"iv2": this.initialValue2,
			"r": this.ratio,
			"lkv": this.lastKnownValue,
			"lkv2": this.lastKnownValue2
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.i = o["i"];
		this.active = o["a"];
		this.movement = o["mv"];
		this.wave = o["w"];
		this.period = o["p"];
		this.mag = o["mag"];
		this.initialValue = o["iv"];
		this.initialValue2 = o["iv2"] || 0;
		this.ratio = o["r"];
		this.lastKnownValue = o["lkv"];
		this.lastKnownValue2 = o["lkv2"] || 0;
	};
	behinstProto.init = function ()
	{
		switch (this.movement) {
		case 0:		// horizontal
			this.initialValue = this.inst.x;
			break;
		case 1:		// vertical
			this.initialValue = this.inst.y;
			break;
		case 2:		// size
			this.initialValue = this.inst.width;
			this.ratio = this.inst.height / this.inst.width;
			break;
		case 3:		// width
			this.initialValue = this.inst.width;
			break;
		case 4:		// height
			this.initialValue = this.inst.height;
			break;
		case 5:		// angle
			this.initialValue = this.inst.angle;
			this.mag = cr.to_radians(this.mag);		// convert magnitude from degrees to radians
			break;
		case 6:		// opacity
			this.initialValue = this.inst.opacity;
			break;
		case 7:
			this.initialValue = 0;
			break;
		case 8:		// forwards/backwards
			this.initialValue = this.inst.x;
			this.initialValue2 = this.inst.y;
			break;
		default:
;
		}
		this.lastKnownValue = this.initialValue;
		this.lastKnownValue2 = this.initialValue2;
	};
	behinstProto.waveFunc = function (x)
	{
		x = x % _2pi;
		switch (this.wave) {
		case 0:		// sine
			return Math.sin(x);
		case 1:		// triangle
			if (x <= _pi_2)
				return x / _pi_2;
			else if (x <= _3pi_2)
				return 1 - (2 * (x - _pi_2) / Math.PI);
			else
				return (x - _3pi_2) / _pi_2 - 1;
		case 2:		// sawtooth
			return 2 * x / _2pi - 1;
		case 3:		// reverse sawtooth
			return -2 * x / _2pi + 1;
		case 4:		// square
			return x < Math.PI ? -1 : 1;
		};
		return 0;
	};
	behinstProto.tick = function ()
	{
		var dt = this.runtime.getDt(this.inst);
		if (!this.active || dt === 0)
			return;
		if (this.period === 0)
			this.i = 0;
		else
		{
			this.i += (dt / this.period) * _2pi;
			this.i = this.i % _2pi;
		}
		switch (this.movement) {
		case 0:		// horizontal
			if (this.inst.x !== this.lastKnownValue)
				this.initialValue += this.inst.x - this.lastKnownValue;
			this.inst.x = this.initialValue + this.waveFunc(this.i) * this.mag;
			this.lastKnownValue = this.inst.x;
			break;
		case 1:		// vertical
			if (this.inst.y !== this.lastKnownValue)
				this.initialValue += this.inst.y - this.lastKnownValue;
			this.inst.y = this.initialValue + this.waveFunc(this.i) * this.mag;
			this.lastKnownValue = this.inst.y;
			break;
		case 2:		// size
			this.inst.width = this.initialValue + this.waveFunc(this.i) * this.mag;
			this.inst.height = this.inst.width * this.ratio;
			break;
		case 3:		// width
			this.inst.width = this.initialValue + this.waveFunc(this.i) * this.mag;
			break;
		case 4:		// height
			this.inst.height = this.initialValue + this.waveFunc(this.i) * this.mag;
			break;
		case 5:		// angle
			if (this.inst.angle !== this.lastKnownValue)
				this.initialValue = cr.clamp_angle(this.initialValue + (this.inst.angle - this.lastKnownValue));
			this.inst.angle = cr.clamp_angle(this.initialValue + this.waveFunc(this.i) * this.mag);
			this.lastKnownValue = this.inst.angle;
			break;
		case 6:		// opacity
			this.inst.opacity = this.initialValue + (this.waveFunc(this.i) * this.mag) / 100;
			if (this.inst.opacity < 0)
				this.inst.opacity = 0;
			else if (this.inst.opacity > 1)
				this.inst.opacity = 1;
			break;
		case 8:		// forwards/backwards
			if (this.inst.x !== this.lastKnownValue)
				this.initialValue += this.inst.x - this.lastKnownValue;
			if (this.inst.y !== this.lastKnownValue2)
				this.initialValue2 += this.inst.y - this.lastKnownValue2;
			this.inst.x = this.initialValue + Math.cos(this.inst.angle) * this.waveFunc(this.i) * this.mag;
			this.inst.y = this.initialValue2 + Math.sin(this.inst.angle) * this.waveFunc(this.i) * this.mag;
			this.lastKnownValue = this.inst.x;
			this.lastKnownValue2 = this.inst.y;
			break;
		}
		this.inst.set_bbox_changed();
	};
	behinstProto.onSpriteFrameChanged = function (prev_frame, next_frame)
	{
		switch (this.movement) {
		case 2:	// size
			this.initialValue *= (next_frame.width / prev_frame.width);
			this.ratio = next_frame.height / next_frame.width;
			break;
		case 3:	// width
			this.initialValue *= (next_frame.width / prev_frame.width);
			break;
		case 4:	// height
			this.initialValue *= (next_frame.height / prev_frame.height);
			break;
		}
	};
	function Cnds() {};
	Cnds.prototype.IsActive = function ()
	{
		return this.active;
	};
	Cnds.prototype.CompareMovement = function (m)
	{
		return this.movement === m;
	};
	Cnds.prototype.ComparePeriod = function (cmp, v)
	{
		return cr.do_cmp(this.period, cmp, v);
	};
	Cnds.prototype.CompareMagnitude = function (cmp, v)
	{
		if (this.movement === 5)
			return cr.do_cmp(this.mag, cmp, cr.to_radians(v));
		else
			return cr.do_cmp(this.mag, cmp, v);
	};
	Cnds.prototype.CompareWave = function (w)
	{
		return this.wave === w;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetActive = function (a)
	{
		this.active = (a === 1);
	};
	Acts.prototype.SetPeriod = function (x)
	{
		this.period = x;
	};
	Acts.prototype.SetMagnitude = function (x)
	{
		this.mag = x;
		if (this.movement === 5)	// angle
			this.mag = cr.to_radians(this.mag);
	};
	Acts.prototype.SetMovement = function (m)
	{
		if (this.movement === 5)
			this.mag = cr.to_degrees(this.mag);
		this.movement = m;
		this.init();
	};
	Acts.prototype.SetWave = function (w)
	{
		this.wave = w;
	};
	Acts.prototype.SetPhase = function (x)
	{
		this.i = (x * _2pi) % _2pi;
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.CyclePosition = function (ret)
	{
		ret.set_float(this.i / _2pi);
	};
	Exps.prototype.Period = function (ret)
	{
		ret.set_float(this.period);
	};
	Exps.prototype.Magnitude = function (ret)
	{
		if (this.movement === 5)	// angle
			ret.set_float(cr.to_degrees(this.mag));
		else
			ret.set_float(this.mag);
	};
	Exps.prototype.Value = function (ret)
	{
		ret.set_float(this.waveFunc(this.i) * this.mag);
	};
	behaviorProto.exps = new Exps();
}());
;
;
function trim (str) {
    return str.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
}
cr.behaviors.lunarray_Tween = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.lunarray_Tween.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
		this.i = 0;		// progress
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.groupUpdateProgress = function(v)
	{
		if (v > 1) v = 1;
		if (cr.lunarray_tweenProgress[this.group] = -1) cr.lunarray_tweenProgress[this.group] = v;
		if (cr.lunarray_tweenProgress[this.group] >= v) cr.lunarray_tweenProgress[this.group] = v;
	}
	behinstProto.groupSync = function()
	{
		if (this.group != "") {
			if (typeof cr.lunarray_tweenGroup === "undefined") {
				cr.lunarray_tweenGroup = {};
				cr.lunarray_tweenProgress = {};
			}
			if (typeof cr.lunarray_tweenGroup[this.group] === "undefined") {
				cr.lunarray_tweenGroup[this.group] = [];
				cr.lunarray_tweenProgress[this.group] = -1;
			}
			if (cr.lunarray_tweenGroup[this.group].indexOf(this) == -1) {
				cr.lunarray_tweenGroup[this.group].push(this);
			}
		}
	}
	behinstProto.saveState = function()
	{
		this.tweenSaveWidth = this.inst.width;
		this.tweenSaveHeight = this.inst.height;
		this.tweenSaveAngle = this.inst.angle;
		this.tweenSaveOpacity = this.inst.opacity;
		this.tweenSaveX = this.inst.x;
		this.tweenSaveY = this.inst.y;
		this.tweenSaveValue = this.value;
	}
	behinstProto.onCreate = function()
	{
		this.active = (this.properties[0] === 1);
		this.tweened = this.properties[1]; // 0=Position|1=Size|2=Width|3=Height|4=Angle|5=Opacity|6=Value only|7=Pixel Size
		this.easing = this.properties[2];
		this.initial = this.properties[3];
		this.target = this.properties[4];
		this.duration = this.properties[5];
		this.wait = this.properties[6];
		this.playmode = this.properties[7]; //0=Play Once|1=Repeat|2=Ping Pong|3=Play once and destroy|4=Loop|5=Ping Pong Stop|6=Play and stop
		this.value = this.properties[8];
		this.coord_mode = this.properties[9]; //0=Absolute|1=Relative
		this.forceInit = (this.properties[10] === 1);
		this.group = this.properties[11];
		this.targetObject = null;
		this.pingpongCounter = 0;
		if (this.playmode == 5) this.pingpongCounter = 1;
		this.groupSync();
		this.isPaused = false;
		this.initialX = this.inst.x;
		this.initialY = this.inst.y;
		this.targetX = parseFloat(this.target.split(",")[0]);
		this.targetY = parseFloat(this.target.split(",")[1]);
		this.tweenSaveWidth = this.inst.width;
		this.tweenSaveHeight = this.inst.height;
		this.tweenSaveAngle = this.inst.angle;
		this.tweenSaveOpacity = this.inst.opacity;
		this.tweenSaveX = this.inst.x;
		this.tweenSaveY = this.inst.y;
		this.tweenSaveValue = this.value;
		this.tweenInitialX = 0;
		this.tweenInitialY = 0;
		this.tweenTargetX = 0;
		this.tweenTargetY = 0;
		this.tweenTargetAngle = 0;
		this.ratio = this.inst.height / this.inst.width;
		this.reverse = false;
		this.rewindMode = false;
		this.doTweenX = true;
		this.doTweenY = true;
		this.loop = false;
		this.initiating = 0;
		this.cooldown = 0;
		this.lastPlayMode = this.playmode;
		this.lastKnownValue = this.tweenInitialX;
		this.lastKnownX = this.tweenInitialX;
		this.lastKnownY = this.tweenInitialY;
		if (this.forceInit) this.init();
		if (this.initial == "") this.initial = "current";
		this.onStarted = false;
		this.onStartedDone = false;
		this.onWaitEnd = false;
		this.onWaitEndDone = false;
		this.onEnd = false;
		this.onEndDone = false;
		this.onCooldown = false;
		this.onCooldownDone = false;
		if (this.active) {
			this.init();
		}
	};
	behinstProto.init = function ()
	{
		this.onStarted = false;
		if (this.initial === "") this.initial = "current";
		if (this.target === "") this.target = "current";
		var isCurrent = (this.initial === "current");
		var targetIsCurrent = (this.target === "current");
		var isTargettingObject = (this.target === "OBJ");
		if (this.target === "OBJ") {
			if (this.targetObject != null) {
				if (this.tweened == 0) {
					if (this.coord_mode == 1) //relative mode
						this.target = (this.targetObject.x-this.inst.x) + "," + (this.targetObject.y-this.inst.y);
					else //absolute mode
						this.target = (this.targetObject.x) + "," + (this.targetObject.y);
				} else if ((this.tweened == 1) || (this.tweened == 2) || (this.tweened == 3) || (this.tweened == 7)) {
					if (this.coord_mode == 1) { //relative mode
						this.target = ((this.tweened==2)?1:(this.targetObject.width)) + "," + ((this.tweened==3)?1:(this.targetObject.height));
					} else {
						this.target = ((this.tweened==2)?1:(this.targetObject.width/this.tweenSaveWidth)) + "," + ((this.tweened==3)?1:(this.targetObject.height/this.tweenSaveHeight));
					}
				} else if (this.tweened == 4) {
					if (this.coord_mode == 1) //relative mode
						this.target = cr.to_degrees(this.targetObject.angle-this.inst.angle) + "";
					else //absolute mode
						this.target = cr.to_degrees(this.targetObject.angle) + "";
				} else if (this.tweened == 5) {
					if (this.coord_mode == 1) //relative mode
						this.target = ((this.targetObject.opacity-this.inst.opacity)*100) + "";
					else //absolute mode
						this.target = (this.targetObject.opacity*100) + "";
				}
			}
		}
		if (this.tweened == 0) {
			if (targetIsCurrent) this.target = this.inst.x + "," + this.inst.y;
			if (!isCurrent) {
				if (!this.reverse) {
					if (this.playmode != 1) {
						this.inst.x = parseFloat(this.initial.split(",")[0]);
						this.inst.y = parseFloat(this.initial.split(",")[1]);
					}
				}
			} else {
				if (this.coord_mode == 1) {
					this.initial = this.inst.x + "," + this.inst.y;
				} else {
					this.initial = this.tweenSaveX + "," + this.tweenSaveY;
				}
			}
			if (this.coord_mode == 1) {
				if (this.loop) {
					this.inst.x = this.tweenSaveX;
					this.inst.y = this.tweenSaveY;
				}
				this.initialX = this.inst.x;
				this.initialY = this.inst.y;
				if (!this.reverse) {
					this.targetX = parseFloat(this.target.split(",")[0]);
					this.targetY = parseFloat(this.target.split(",")[1]);
				} else {
					this.targetX = -parseFloat(this.target.split(",")[0]);
					this.targetY = -parseFloat(this.target.split(",")[1]);
				}
				this.tweenInitialX = this.initialX;
				this.tweenInitialY = this.initialY;
				this.tweenTargetX = this.tweenInitialX + this.targetX;
				this.tweenTargetY = this.tweenInitialY + this.targetY;
			} else {
				if (!this.reverse) {
					this.inst.x = this.tweenSaveX;
					this.inst.y = this.tweenSaveY;
					this.targetX = parseFloat(this.target.split(",")[0]);
					this.targetY = parseFloat(this.target.split(",")[1]);
				} else {
					this.inst.x = parseFloat(this.target.split(",")[0]);
					this.inst.y = parseFloat(this.target.split(",")[1]);
					this.targetX = this.tweenSaveX;
					this.targetY = this.tweenSaveY;
				}
				this.initialX = this.inst.x;
				this.initialY = this.inst.y;
				this.tweenInitialX = this.initialX;
				this.tweenInitialY = this.initialY;
				this.tweenTargetX = this.targetX;
				this.tweenTargetY = this.targetY;
				if (this.playmode == -6) {
					this.tweenTargetX = this.tweenSaveX;
					this.tweenTargetY = this.tweenSaveY;
				}
			}
		} else if ((this.tweened == 1) || (this.tweened == 2) || (this.tweened == 3)) {
			if (targetIsCurrent) this.target = "1,1";
			if (this.initial == "current") this.initial = "1,1";
			this.initial = "" + this.initial;
			this.target = "" + this.target;
			if (this.tweened == 2) {
				if (this.initial.indexOf(',') == -1) this.initial = parseFloat(this.initial) + ",1";
				if (this.target.indexOf(',') == -1) this.target = parseFloat(this.target) + ",1";
			} else if (this.tweened == 3) {
				if (this.initial.indexOf(',') == -1) this.initial = "1," + parseFloat(this.initial);
				if (this.target.indexOf(',') == -1) this.target = "1," + parseFloat(this.target);
			} else {
				if (this.initial.indexOf(',') == -1) this.initial = parseFloat(this.initial) + "," + parseFloat(this.initial);
				if (this.target.indexOf(',') == -1) this.target = parseFloat(this.target) + "," + parseFloat(this.target);
			}
			var ix = parseFloat(this.initial.split(",")[0]);
			var iy = parseFloat(this.initial.split(",")[1]);
			this.doTweenX = true;
			var tx = parseFloat(this.target.split(",")[0]);
			if ((tx == 0) || (isNaN(tx)))	this.doTweenX = false;
			if (this.tweened == 3) this.doTweenX = false;
			this.doTweenY = true;
			var ty = parseFloat(this.target.split(",")[1]);
			if ((ty == 0) || (isNaN(ty)))	this.doTweenY = false;
			if (this.tweened == 2) this.doTweenY = false;
			if (this.coord_mode == 1) {
				if (this.loop) {
					this.inst.width = this.tweenSaveWidth;
					this.inst.height = this.tweenSaveHeight;
				}
				if (!isCurrent) {
					if (!this.reverse) {
						this.inst.width = this.inst.width * ix;
						this.inst.height = this.inst.height * iy;
					} else {
						this.inst.width = this.inst.width * tx;
						this.inst.height = this.inst.height * ty;
					}
				}
				this.initialX = this.inst.width;
				this.initialY = this.inst.height;
				this.tweenInitialX = this.initialX;
				this.tweenInitialY = this.initialY;
				if (!this.reverse) {
					this.targetX = this.initialX * tx;
					this.targetY = this.initialY * ty;
				} else {
					this.targetX = this.initialX * ix/tx;
					this.targetY = this.initialY * iy/ty;
				}
				this.tweenTargetX = this.targetX;
				this.tweenTargetY = this.targetY;
			} else {
				if (!isCurrent) {
					if (!this.reverse) {
						this.inst.width = this.tweenSaveWidth * ix;
						this.inst.height = this.tweenSaveHeight * iy;
					} else {
						this.inst.width = this.tweenSaveWidth * tx;
						this.inst.height = this.tweenSaveHeight * ty;
					}
				}
				this.initialX = this.inst.width;
				this.initialY = this.inst.height;
				this.tweenInitialX = this.initialX;
				this.tweenInitialY = this.initialY;
				if (!this.reverse) {
					this.targetX = this.tweenSaveWidth * tx;
					this.targetY = this.tweenSaveHeight * ty;
				} else {
					this.targetX = this.tweenSaveWidth * ix;
					this.targetY = this.tweenSaveHeight * iy;
				}
				this.tweenTargetX = this.targetX;
				this.tweenTargetY = this.targetY;
			}
			if (this.playmode == -6) {
				this.tweenTargetX = this.tweenSaveWidth * ix;
				this.tweenTargetY = this.tweenSaveHeight * iy;
			}
		} else if (this.tweened == 4) {
			if (targetIsCurrent) this.target = cr.to_degrees(this.inst.angle);
			if (this.initial != "current") {
				if (!this.reverse) {
					if (this.playmode != 1) { //if repeat, don't initialize
						this.inst.angle = cr.to_radians(parseFloat(this.initial.split(",")[0]));
					}
				}
			}
			if (this.coord_mode == 1) {
				if (this.loop) {
					this.inst.angle = this.tweenSaveAngle;
				}
				this.initialX = this.inst.angle;
				if (this.reverse) {
					this.targetX = this.inst.angle - cr.to_radians(parseFloat(this.target.split(",")[0]));
				} else {
					this.targetX = this.inst.angle + cr.to_radians(parseFloat(this.target.split(",")[0]));
				}
				this.tweenInitialX = this.initialX;
				this.tweenTargetX = cr.to_degrees(this.targetX);
			} else {
				if (this.reverse) {
					this.inst.angle = cr.to_radians(parseFloat(this.target.split(",")[0]));;
					this.initialX = this.inst.angle;
					this.targetX = this.tweenSaveAngle;
					this.tweenInitialX = this.initialX;
					this.tweenTargetX = cr.to_degrees(this.targetX);
				} else {
					this.inst.angle = this.tweenSaveAngle;
					this.initialX = this.inst.angle;
					this.targetX = cr.to_radians(parseFloat(this.target.split(",")[0]));
					this.tweenInitialX = this.initialX;
					this.tweenTargetX = cr.to_degrees(this.targetX);
				}
			}
			if (this.playmode == -6) {
				this.tweenTargetX = cr.to_degrees(this.tweenSaveAngle);
			}
			this.tweenTargetAngle = cr.to_radians(this.tweenTargetX);
		} else if (this.tweened == 5) {
			if (this.initial == "current") this.initial = this.inst.opacity;
			if (targetIsCurrent) this.target = ""+this.inst.opacity;
			if (!isCurrent) {
				if (!this.reverse) {
					if (this.playmode != 1) { //if repeat, don't initialize
						this.inst.opacity = parseFloat(this.initial.split(",")[0]) / 100;
					}
				}
			}
			if (this.coord_mode == 1) {
				if (this.loop) {
					this.inst.opacity = this.tweenSaveOpacity;
				}
				this.initialX = this.inst.opacity;
				this.tweenInitialX = this.initialX;
				if (!this.reverse) {
					this.targetX = parseFloat(this.target.split(",")[0]) / 100;
				} else {
					this.targetX = -parseFloat(this.target.split(",")[0]) / 100;
				}
				this.tweenTargetX = this.tweenInitialX + this.targetX;
			} else {
				this.initialX = this.inst.opacity;
				if (!this.reverse) {
					this.tweenInitialX = this.initialX;
					this.targetX = parseFloat(this.target.split(",")[0]) / 100;
				} else {
					this.tweenInitialX = parseFloat(this.target.split(",")[0]) / 100;
					this.targetX = parseFloat(this.initial.split(",")[0]) / 100;
				}
				this.tweenTargetX = this.targetX;
			}
			if (this.playmode == -6) {
				this.tweenTargetX = this.tweenSaveOpacity;
			}
		} else if (this.tweened == 6) {
			if (isNaN(this.value)) this.value = 0;
			if (this.initial == "current") this.initial = ""+this.value;
			if (targetIsCurrent) this.target = ""+this.value;
			if (!isCurrent) {
				if (!this.reverse) {
					if (this.playmode != 1) { //if repeat, don't initialize
						this.value = parseFloat(this.initial.split(",")[0]);
					}
				}
			}
			if (this.coord_mode == 1) {
				if (this.loop) {
					this.value = this.tweenSaveValue;
				}
				if (!isCurrent) {
					if (!this.reverse) {
						this.value = parseFloat(this.initial.split(",")[0]);
					} else {
						this.value = parseFloat(this.target.split(",")[0]);
					}
				}
				this.initialX = this.value;
				if (!this.reverse) {
					this.targetX = this.initialX + parseFloat(this.target.split(",")[0]);
				} else {
					this.targetX = this.initialX - parseFloat(this.target.split(",")[0]);
				}
				this.tweenInitialX = this.initialX;
				this.tweenTargetX = this.targetX;
			} else {
				if (!isCurrent) {
					if (!this.reverse) {
						this.value = parseFloat(this.initial.split(",")[0]);
					} else {
						this.value = parseFloat(this.target.split(",")[0]);
					}
				}
				this.initialX = this.value;
				if (!this.reverse) {
					this.targetX = parseFloat(this.target.split(",")[0]);
				} else {
					this.targetX = parseFloat(this.initial.split(",")[0]);
				}
				this.tweenInitialX = this.initialX;
				this.tweenTargetX = this.targetX;
			}
			if (this.playmode == -6) {
				this.tweenTargetX = this.tweenSaveValue;
			}
		} else if (this.tweened == 7) {
			if (targetIsCurrent) this.target = this.inst.width + "," + this.inst.height;
			if (this.initial != "current") {
				if (!this.reverse) {
					if (this.playmode != 1) { //if repeat, don't initialize
						this.inst.width = parseFloat(this.initial.split(",")[0]);
						this.inst.height = parseFloat(this.initial.split(",")[1]);
					}
				}
			}
			this.doTweenX = true;
			var tx = parseFloat(this.target.split(",")[0]);
			if ((tx < 0) || (isNaN(tx)))	this.doTweenX = false;
			this.doTweenY = true;
			var ty = parseFloat(this.target.split(",")[1]);
			if ((ty < 0) || (isNaN(ty)))	this.doTweenY = false;
			if (this.coord_mode == 1) {
				if (this.loop) {
					this.inst.width = this.tweenSaveWidth;
					this.inst.height = this.tweenSaveHeight;
				}
				this.initialX = this.inst.width;
				this.initialY = this.inst.height;
				if (!this.reverse) {
					this.targetX = this.initialX + parseFloat(this.target.split(",")[0]);
					this.targetY = this.initialY + parseFloat(this.target.split(",")[1]);
				} else {
					this.targetX = this.initialX - parseFloat(this.target.split(",")[0]);
					this.targetY = this.initialY - parseFloat(this.target.split(",")[1]);
				}
				this.tweenInitialX = this.initialX;
				this.tweenInitialY = this.initialY;
				this.tweenTargetX = this.targetX;
				this.tweenTargetY = this.targetY;
			} else {
				if (!isCurrent) {
					if (!this.reverse) {
						this.inst.width = this.tweenSaveWidth;
						this.inst.height = this.tweenSaveHeight;
					} else {
						this.inst.width = parseFloat(this.target.split(",")[0]);
						this.inst.height = parseFloat(this.target.split(",")[1]);
					}
				}
				this.initialX = this.inst.width;
				this.initialY = this.inst.height;
				if (!this.reverse) {
					this.targetX = parseFloat(this.target.split(",")[0]);
					this.targetY = parseFloat(this.target.split(",")[1]);
				} else {
					this.targetX = this.tweenSaveWidth;
					this.targetY = this.tweenSaveHeight;
				}
				this.tweenInitialX = this.initialX;
				this.tweenInitialY = this.initialY;
				this.tweenTargetX = this.targetX;
				this.tweenTargetY = this.targetY;
			}
			if (this.playmode == -6) {
				this.tweenTargetX = this.tweenSaveWidth;
				this.tweenTargetY = this.tweenSaveHeight;
			}
		} else {
;
		}
		this.lastKnownValue = this.tweenInitialX;
		this.lastKnownX = this.tweenInitialX;
		this.lastKnownY = this.tweenInitialY;
		this.initiating = parseFloat(this.wait.split(",")[0]);
		this.cooldown = parseFloat(this.wait.split(",")[1]);
		if ((this.initiating < 0) || (isNaN(this.initiating)))	this.initiating = 0;
		if ((this.cooldown < 0) || (isNaN(this.cooldown)))	this.cooldown = 0;
		if (isCurrent) this.initial = "current";
		if (targetIsCurrent) this.target = "current";
		if (isTargettingObject) this.target = "OBJ";
	};
	function easeOutBounce(t,b,c,d) {
		if ((t/=d) < (1/2.75)) {
			return c*(7.5625*t*t) + b;
		} else if (t < (2/2.75)) {
			return c*(7.5625*(t-=(1.5/2.75))*t + .75) + b;
		} else if (t < (2.5/2.75)) {
			return c*(7.5625*(t-=(2.25/2.75))*t + .9375) + b;
		} else {
			return c*(7.5625*(t-=(2.625/2.75))*t + .984375) + b;
		}
	}
	behinstProto.easeFunc = function (t, b, c, d)
	{
		switch (this.easing) {
		case 0:		// linear
			return c*t/d + b;
		case 1:		// easeInQuad
			return c*(t/=d)*t + b;
		case 2:		// easeOutQuad
			return -c *(t/=d)*(t-2) + b;
		case 3:		// easeInOutQuad
			if ((t/=d/2) < 1) return c/2*t*t + b;
			return -c/2 * ((--t)*(t-2) - 1) + b;
		case 4:		// easeInCubic
			return c*(t/=d)*t*t + b;
		case 5:		// easeOutCubic
			return c*((t=t/d-1)*t*t + 1) + b;
		case 6:		// easeInOutCubic
			if ((t/=d/2) < 1)
				return c/2*t*t*t + b;
			return c/2*((t-=2)*t*t + 2) + b;
		case 7:		// easeInQuart
			return c*(t/=d)*t*t*t + b;
		case 8:		// easeOutQuart
			return -c * ((t=t/d-1)*t*t*t - 1) + b;
		case 9:		// easeInOutQuart
			if ((t/=d/2) < 1) return c/2*t*t*t*t + b;
			return -c/2 * ((t-=2)*t*t*t - 2) + b;
		case 10:		// easeInQuint
			return c*(t/=d)*t*t*t*t + b;
		case 11:		// easeOutQuint
			return c*((t=t/d-1)*t*t*t*t + 1) + b;
		case 12:		// easeInOutQuint
			if ((t/=d/2) < 1) return c/2*t*t*t*t*t + b;
			return c/2*((t-=2)*t*t*t*t + 2) + b;
		case 13:		// easeInCircle
			return -c * (Math.sqrt(1 - (t/=d)*t) - 1) + b;
		case 14:		// easeOutCircle
			return c * Math.sqrt(1 - (t=t/d-1)*t) + b;
		case 15:		// easeInOutCircle
			if ((t/=d/2) < 1) return -c/2 * (Math.sqrt(1 - t*t) - 1) + b;
			return c/2 * (Math.sqrt(1 - (t-=2)*t) + 1) + b;
		case 16:		// easeInBack
			var s = 0;
			if (s==0) s = 1.70158;
			return c*(t/=d)*t*((s+1)*t - s) + b;
		case 17:		// easeOutBack
			var s = 0;
			if (s==0) s = 1.70158;
			return c*((t=t/d-1)*t*((s+1)*t + s) + 1) + b;
		case 18:		// easeInOutBack
			var s = 0;
			if (s==0) s = 1.70158;
			if ((t/=d/2) < 1) return c/2*(t*t*(((s*=(1.525))+1)*t - s)) + b;
			return c/2*((t-=2)*t*(((s*=(1.525))+1)*t + s) + 2) + b;
		case 19:	//easeInElastic
			var a = 0;
			var p = 0;
			if (t==0) return b;  if ((t/=d)==1) return b+c; if (p==0) p=d*.3;
			if (a==0 || a < Math.abs(c)) { a=c; var s=p/4; }
			else var s = p/(2*Math.PI) * Math.asin (c/a);
			return -(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
		case 20:	//easeOutElastic
			var a = 0;
			var p = 0;
			if (t==0) return b;  if ((t/=d)==1) return b+c;  if (p == 0) p=d*.3;
			if (a==0 || a < Math.abs(c)) { a=c; var s=p/4; }
			else var s = p/(2*Math.PI) * Math.asin (c/a);
			return (a*Math.pow(2,-10*t) * Math.sin( (t*d-s)*(2*Math.PI)/p ) + c + b);
		case 21:	//easeInOutElastic
			var a = 0;
			var p = 0;
			if (t==0) return b;
			if ((t/=d/2)==2) return b+c;
			if (p==0) p=d*(.3*1.5);
			if (a==0 || a < Math.abs(c)) { a=c; var s=p/4; }
			else var s = p/(2*Math.PI) * Math.asin (c/a);
			if (t < 1) return -.5*(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
			return a*Math.pow(2,-10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )*.5 + c + b;
		case 22:	//easeInBounce
			return c - easeOutBounce(d-t, 0, c, d) + b;
		case 23:	//easeOutBounce
			return easeOutBounce(t,b,c,d);
		case 24:	//easeInOutBounce
			if (t < d/2) return (c - easeOutBounce(d-(t*2), 0, c, d) + b) * 0.5 +b;
			else return easeOutBounce(t*2-d, 0, c, d) * .5 + c*.5 + b;
		case 25:	//easeInSmoothstep
			var mt = (t/d) / 2;
			return (2*(mt * mt * (3 - 2*mt)));
		case 26:	//easeOutSmoothstep
			var mt = ((t/d) + 1) / 2;
			return ((2*(mt * mt * (3 - 2*mt))) - 1);
		case 27:	//easeInOutSmoothstep
			var mt = (t / d);
			return (mt * mt * (3 - 2*mt));
		};
		return 0;
	};
	behinstProto.tick = function ()
	{
		var dt = this.runtime.getDt(this.inst);
		var isForceStop = (this.i == -1);
		if (!this.active || dt === 0)
			return;
		if (this.i == 0) {
			if (!this.onStarted) {
				this.onStarted = true;
				this.onStartedDone = false;
				this.onWaitEnd = false;
				this.onWaitEndDone = false;
				this.onEnd = false;
				this.onEndDone = false;
				this.onCooldown = false;
				this.onCooldownDone = false;
				this.runtime.trigger(cr.behaviors.lunarray_Tween.prototype.cnds.OnStart, this.inst);
				this.onStartedDone = true;
			}
		}
		if (this.i == -1) {
			this.i = this.initiating + this.duration + this.cooldown;
		} else {
			this.i += dt;
		}
		if (this.i <= this.initiating) {
			return;
		} else {
			if (this.onWaitEnd == false) {
				this.onWaitEnd = true;
				this.runtime.trigger(cr.behaviors.lunarray_Tween.prototype.cnds.OnWaitEnd, this.inst);
				this.onWaitEndDone = true;
			}
		}
		if (this.i <= (this.duration + this.initiating)) {
			var factor = this.easeFunc(this.i-this.initiating, 0, 1, this.duration);
			if (this.tweened == 0) {
				if (this.coord_mode == 1) {
					if (this.inst.x !== this.lastKnownX) {
						this.tweenInitialX += (this.inst.x - this.lastKnownX);
						this.tweenTargetX += (this.inst.x - this.lastKnownX);
					}
					if (this.inst.y !== this.lastKnownY) {
						this.tweenInitialY += (this.inst.y - this.lastKnownY);
						this.tweenTargetY += (this.inst.y - this.lastKnownY);
					}
				} else {
					if (this.inst.x !== this.lastKnownX)
						this.tweenInitialX += (this.inst.x - this.lastKnownX);
					if (this.inst.y !== this.lastKnownY)
						this.tweenInitialY += (this.inst.y - this.lastKnownY);
				}
				this.inst.x = this.tweenInitialX + (this.tweenTargetX - this.tweenInitialX) * factor;
				this.inst.y = this.tweenInitialY + (this.tweenTargetY - this.tweenInitialY) * factor;
				this.lastKnownX = this.inst.x;
				this.lastKnownY = this.inst.y;
			} else if ((this.tweened == 1) || (this.tweened == 2) || (this.tweened == 3)) {
				if (this.inst.width !== this.lastKnownX)
					this.tweenInitialX = this.inst.width;
				if (this.inst.height !== this.lastKnownY)
					this.tweenInitialY = this.inst.height;
				if (this.doTweenX) {
					this.inst.width = this.tweenInitialX + (this.tweenTargetX - this.tweenInitialX) * factor;
				}
				if (this.doTweenY) {
					this.inst.height = this.tweenInitialY + (this.tweenTargetY - this.tweenInitialY) * factor;
				} else {
					if (this.tweened == 1) {
						this.inst.height = this.inst.width * this.ratio;
					}
				}
				this.lastKnownX = this.inst.width;
				this.lastKnownY = this.inst.height;
			} else if (this.tweened == 4) {
				var tangle = this.tweenInitialX + (this.tweenTargetAngle - this.tweenInitialX) * factor;
				if (this.i >= (this.duration + this.initiating))
					tangle = this.tweenTargetAngle;
				this.inst.angle = cr.clamp_angle(tangle);
			} else if (this.tweened == 5) {
				if (this.coord_mode == 1) {
					if (this.inst.opacity !== this.lastKnownX)
						this.tweenInitialX = this.inst.opacity;
				}
				this.inst.opacity = this.tweenInitialX + (this.tweenTargetX - this.tweenInitialX) * factor;
				this.lastKnownX = this.inst.opacity;
			} else if (this.tweened == 6) {
				this.value = this.tweenInitialX + (this.tweenTargetX - this.tweenInitialX) * factor;
			} else if (this.tweened == 7) {
				if (this.coord_mode == 1) {
					if (this.inst.width !== this.lastKnownX)
						this.tweenInitialX = this.inst.width;
					if (this.inst.height !== this.lastKnownY)
						this.tweenInitialY = this.inst.height;
				}
				if (this.doTweenX) this.inst.width = this.tweenInitialX + (this.tweenTargetX - this.tweenInitialX) * factor;
				if (this.doTweenY) this.inst.height = this.tweenInitialY + (this.tweenTargetY - this.tweenInitialY) * factor;
				this.lastKnownX = this.inst.width;
				this.lastKnownY = this.inst.height;
			}
			this.inst.set_bbox_changed();
		}
		if (this.i >= this.duration + this.initiating) {
			this.doEndFrame(isForceStop);
			this.inst.set_bbox_changed();
			if (this.onEnd == false) {
				this.onEnd = true;
				this.runtime.trigger(cr.behaviors.lunarray_Tween.prototype.cnds.OnEnd, this.inst);
				this.onEndDone = true;
			}
		};
	};
	behinstProto.doEndFrame = function (isForceStop)
	{
		switch (this.tweened) {
		case 0:		// position
			this.inst.x = this.tweenTargetX;
			this.inst.y = this.tweenTargetY;
			break;
		case 1:		// size
			if (this.doTweenX) this.inst.width = this.tweenTargetX;
			if (this.doTweenY) {
				this.inst.height = this.tweenTargetY;
			} else {
				this.inst.height = this.inst.width * this.ratio;
			}
			break;
		case 2:		// width
			this.inst.width = this.tweenTargetX;
			break;
		case 3:		// height
			this.inst.height = this.tweenTargetY;
			break;
		case 4:		// angle
			var tangle = this.tweenTargetAngle;
			this.inst.angle = cr.clamp_angle(tangle);
			this.lastKnownValue = this.inst.angle;
			break;
		case 5:		// opacity
			this.inst.opacity = this.tweenTargetX;
			break;
		case 6:		// value
			this.value = this.tweenTargetX;
			break;
		case 7:		// size
			if (this.doTweenX) this.inst.width = this.tweenTargetX;
			if (this.doTweenY) this.inst.height = this.tweenTargetY;
			break;
		}
		if (this.i >= this.duration + this.initiating + this.cooldown) {
			if (this.playmode == 0) {
				this.active = false;
				this.reverse = false;
				this.i = this.duration + this.initiating + this.cooldown;
			} else if (this.playmode == 1) {
				this.i = 0;
				this.init();
				this.active = true;
			} else if (this.playmode == 2) {
				if (isForceStop) {
					this.reverse = false;
					this.init();
				} else {
					this.reverse = !this.reverse;
					this.i = 0;
					this.init();
					this.active = true;
				}
			} else if (this.playmode == 3) {
				this.runtime.DestroyInstance(this.inst);
			} else if (this.playmode == 4) {
				this.loop = true;
				this.i = 0;
				this.init();
				this.active = true;
			} else if (this.playmode == 5) {
				if (isForceStop) {
					this.reverse = false;
					this.init();
				} else {
					if (this.pingpongCounter <= 0) {
						this.i = this.duration + this.initiating + this.cooldown;
						this.active = false;
					} else {
						if (!this.reverse) {
							this.pingpongCounter -= 1;
							this.reverse = true;
							this.i = 0;
							this.init();
							this.active = true;
						} else {
							this.pingpongCounter -= 1;
							this.reverse = false;
							this.i = 0;
							this.init();
							this.active = true;
						}
					}
				}
			} else if (this.playmode == -6) {
				this.playmode = this.lastPlayMode;
				this.reverse = false;
				this.i = 0;
				this.active = false;
			} else if (this.playmode == 6) {
				this.reverse = false;
				this.i = this.duration + this.initiating + this.cooldown;
				this.active = false;
			}
		}
		if (this.onCooldown == false) {
			this.onCooldown = true;
			this.runtime.trigger(cr.behaviors.lunarray_Tween.prototype.cnds.OnCooldownEnd, this.inst);
			this.onCooldownDone = true;
		}
	}
	behaviorProto.cnds = {};
	var cnds = behaviorProto.cnds;
	cnds.IsActive = function ()
	{
		return this.active;
	};
	cnds.CompareGroupProgress = function (cmp, v)
	{
		var x = [];
		cr.lunarray_tweenGroup[this.group].forEach(function (value) {
			x.push((value.i / (value.duration + value.initiating + value.cooldown)));
		} );
		return cr.do_cmp(	Math.min.apply(null, x), cmp, v );
	}
	cnds.CompareProgress = function (cmp, v)
	{
		return cr.do_cmp((this.i / (this.duration + this.initiating + this.cooldown)), cmp, v);
	};
	cnds.OnStart = function ()
	{
		if (this.onStartedDone === false) {
			return this.onStarted;
		}
	};
    cnds.OnWaitEnd = function ()
	{
		if (this.onWaitEndDone === false) {
			return this.onWaitEnd;
		}
	};
    cnds.OnEnd = function (a, b, c)
	{
		if (this.onEndDone === false) {
			return this.onEnd;
		}
	};
    cnds.OnCooldownEnd = function ()
	{
		if (this.onCooldownDone === false) {
			return this.onCooldown;
		}
	};
	behaviorProto.acts = {};
	var acts = behaviorProto.acts;
	acts.SetActive = function (a)
	{
		this.active = (a === 1);
	};
	acts.StartGroup = function (force, sgroup)
	{
		if (sgroup === "") sgroup = this.group;
		var groupReady = (force === 1) || cr.lunarray_tweenGroup[sgroup].every(function(value2) { return !value2.active; } );
		if ( groupReady ) {
			cr.lunarray_tweenGroup[sgroup].forEach(
				function(value) {
					if (force === 1) {
						acts.Force.apply(value);
					} else {
						acts.Start.apply(value);
					}
				}
			);
		}
	}
	acts.StopGroup = function (stopmode, sgroup)
	{
		if (sgroup === "") sgroup = this.group;
		cr.lunarray_tweenGroup[sgroup].forEach( function(value) {
			acts.Stop.apply(value, [stopmode]);
		} );
	}
	acts.ReverseGroup = function (force, rewindMode, sgroup)
	{
		if (sgroup === "") sgroup = this.group;
		var groupReady = (force === 1) || cr.lunarray_tweenGroup[sgroup].every(function(value2) { return !value2.active; } );
		if ( groupReady ) {
			cr.lunarray_tweenGroup[sgroup].forEach(
				function(value) {
					if (force === 1) {
						acts.ForceReverse.apply(value, [rewindMode]);
					} else {
						acts.Reverse.apply(value, [rewindMode]);
					}
				}
			);
		}
	}
	acts.Force = function ()
	{
		this.loop = (this.playmode === 4);
		if (this.playmode == 5) this.pingpongCounter = 1;
		if ((this.playmode == 6) || (this.playmode == -6)) {
			if (this.i < this.duration + this.cooldown + this.initiating) {
				this.reverse = false;
				this.init();
				this.active = true;
			}
		} else {
			this.saveState();
			this.reverse = false;
			this.i = 0;
			this.init();
			this.active = true;
		}
	};
	acts.ForceReverse = function (rewindMode)
	{
		this.rewindMode = (rewindMode == 1);
		this.loop = (this.playmode === 4);
		if (this.playmode == 5) this.pingpongCounter = 1;
		if ((this.playmode == 6) || (this.playmode == -6)) {
			if (this.i < this.duration + this.cooldown + this.initiating) {
				this.reverse = true;
				this.init();
				this.active = true;
			}
		} else {
			if (rewindMode) {
				if (this.pingpongCounter == 1) {
					if (this.i >= this.duration + this.cooldown + this.initiating) {
						this.reverse = true;
						this.i = 0;
						this.pingpongCounter = 2;
						this.init();
						this.active = true;
					}
				}
			} else {
				this.reverse = true;
				this.i = 0;
				this.init();
				this.active = true;
			}
		}
	};
	acts.Start = function ()
	{
		if (!this.active) {
			this.loop = (this.playmode === 4);
			if (this.playmode == 5) this.pingpongCounter = 1;
			if ((this.playmode == 6) || (this.playmode == -6)) {
				if (this.i < this.duration + this.cooldown + this.initiating) {
					this.reverse = false;
					this.init();
					this.active = true;
				}
			} else {
				this.pingpongCounter = 1;
				this.saveState();
				this.reverse = false;
				this.i = 0;
				this.init();
				this.active = true;
			}
		}
	};
	acts.Stop = function (stopmode)
	{
		if (this.active) {
			if ((this.playmode == 2) || (this.playmode == 4)) {
				if (this.reverse) {
					this.i = 0;
				} else {
					this.i = -1;
				}
			} else {
				if (stopmode == 1) {
					this.saveState();
				} else if (stopmode == 0) {
					this.i = this.initiating + this.cooldown + this.duration;
				} else {
					this.i = 0;
				}
			}
			this.tick();
			this.active = false;
		}
	};
	acts.Pause = function () {
		if (this.active) {
			this.isPaused = true;
			this.active = false;
		}
	}
	acts.Resume = function () {
		if (this.isPaused) {
			this.active = true;
			this.isPaused = false;
		} else {
			if (!this.active) {
				this.reverse = false;
				this.i = 0;
				this.init();
				this.active = true;
			}
		}
	}
	acts.Reverse = function (rewindMode)
	{
		this.rewindMode = (rewindMode == 1);
		if (!this.active) {
			this.loop = (this.playmode === 4);
			if (this.playmode == 5) this.pingpongCounter = 1;
			if ((this.playmode == 6) || (this.playmode == -6)) {
				if (this.i < this.duration + this.cooldown + this.initiating) {
					this.reverse = true;
					this.init();
					this.active = true;
				}
			} else {
				if (rewindMode) {
					if (this.pingpongCounter == 1) {
						if (this.i >= this.duration + this.cooldown + this.initiating) {
							this.reverse = true;
							this.i = 0;
							this.pingpongCounter = 2;
							this.init();
							this.active = true;
						}
					}
				} else {
					this.reverse = true;
					this.i = 0;
					this.init();
					this.active = true;
				}
			}
		}
	};
	acts.SetDuration = function (x)
	{
		this.duration = x;
	};
	acts.SetWait = function (x)
	{
		this.wait = x;
		this.initiating = parseFloat(this.wait.split(",")[0]);
		this.cooldown = parseFloat(this.wait.split(",")[1]);
		if ((this.initiating < 0) || (isNaN(this.initiating)))	this.initiating = 0;
		if ((this.cooldown < 0) || (isNaN(this.cooldown)))	this.cooldown = 0;
	};
	acts.SetTarget = function (x)
	{
		if (typeof(x) == "string") {
			this.target = x;
			this.targetX = parseFloat(x.split(",")[0]);
			this.targetY = parseFloat(x.split(",")[1]);
		} else {
			this.target = x;
			this.targetX = x;
		}
		if (!this.active) {
			this.init();
		} else {
		}
	};
	acts.SetTargetObject = function (obj)
	{
		if (!obj)
			return;
		var otherinst = obj.getFirstPicked();
		if (!otherinst)
			return;
		this.targetObject = otherinst;
		this.target = "OBJ";
	};
	acts.SetTargetX = function (x)
	{
		if ((this.tweened == 2) || (this.tweened == 3) || (this.tweened == 4) || (this.tweened == 5) || (this.tweened == 6)) {
			if (typeof(x) == "string") {
				this.target = parseFloat(x.split(",")[0]);
			} else {
				this.target = ""+x+","+this.targetY;
			}
			this.targetX = this.target;
		} else {
			var currY = this.target.split(",")[1];
			this.target = String(x) + "," + currY;
			this.targetX = parseFloat(this.target.split(",")[0]);
			this.targetY = parseFloat(this.target.split(",")[1]);
		}
		if (!this.active) {
			this.saveState();
			this.init();
		} else {
		}
	};
	acts.SetTargetY = function (x)
	{
		if ((this.tweened == 2) || (this.tweened == 3) || (this.tweened == 4) || (this.tweened == 5) || (this.tweened == 6)) {
			if (typeof(x) == "string") {
				this.target = parseFloat(x)+"";
			} else {
				this.target = this.targetX+","+x;
			}
			this.targetX = this.target;
		} else {
			var currX = this.target.split(",")[0];
			this.target = currX + "," + String(x);
			this.targetX = parseFloat(this.target.split(",")[0]);
			this.targetY = parseFloat(this.target.split(",")[1]);
		}
		if (!this.active) {
			this.saveState();
			this.init();
		} else {
		}
	};
	acts.SetInitial = function (x)
	{
		if (typeof(x) == "string") {
			this.initial = x;
			this.initialX = parseFloat(x.split(",")[0]);
			this.initialY = parseFloat(x.split(",")[1]);
		} else {
			this.initial = ""+x;
			this.initialX = x;
		}
		if (this.tweened == 6) {
			this.value = this.initialX;
		}
		if (!this.active) {
			this.saveState();
			this.init();
		} else {
		}
	};
	acts.SetInitialX = function (x)
	{
		if ((this.tweened == 2) || (this.tweened == 3) || (this.tweened == 4) || (this.tweened == 5) || (this.tweened == 6)) {
			if (typeof(x) == "string") {
				this.initial = parseFloat(x);
			} else {
				this.initial = ""+x+","+this.initialY;
			}
			this.initialX = this.initial;
		} else {
			if (this.initial == "") this.initial = "current";
			if (this.initial == "current") {
				var currY = this.tweenSaveY;
			} else {
				var currY = this.initial.split(",")[1];
			}
			this.initial = String(x) + "," + currY;
			this.initialX = parseFloat(this.initial.split(",")[0]);
			this.initialY = parseFloat(this.initial.split(",")[1]);
		}
		if (this.tweened == 6) {
			this.value = this.initialX;
		}
		if (!this.active) {
			this.saveState();
			this.init();
		} else {
		}
	};
	acts.SetInitialY = function (x)
	{
		if ((this.tweened == 2) || (this.tweened == 3) || (this.tweened == 4) || (this.tweened == 5) || (this.tweened == 6)) {
			if (typeof(x) == "string") {
				this.initial = parseFloat(x);
			} else {
				this.initial = ""+this.initialX+","+x;
			}
			this.initialX = this.initial;
		} else {
			if (this.initial == "") this.initial = "current";
			if (this.initial == "current") {
				var currX = this.tweenSaveX;
			} else {
				var currX = this.initial.split(",")[0];
			}
			this.initial = currX + "," + String(x);
			this.initialX = parseFloat(this.initial.split(",")[0]);
			this.initialY = parseFloat(this.initial.split(",")[1]);
		}
		if (!this.active) {
			this.saveState();
			this.init();
		} else {
		}
	};
	acts.SetValue = function (x)
	{
		this.value = x;
	};
	acts.SetTweenedProperty = function (m)
	{
		this.tweened = m;
	};
	acts.SetEasing = function (w)
	{
		this.easing = w;
	};
	acts.SetPlayback = function (x)
	{
		this.playmode = x;
	};
	acts.SetParameter = function (tweened, playmode, easefunction, initial, target, duration, wait, cmode)
	{
		this.tweened = tweened;
		this.playmode = playmode;
		this.easing = easefunction;
		acts.SetInitial.apply(this, [initial]);
		acts.SetTarget.apply(this, [target]);
		acts.SetDuration.apply(this, [duration]);
		acts.SetWait.apply(this, [wait]);
		this.coord_mode = cmode;
		this.saveState();
	};
	behaviorProto.exps = {};
	var exps = behaviorProto.exps;
	exps.Progress = function (ret)
	{
		ret.set_float(this.i / (this.duration + this.initiating + this.cooldown));
	};
	exps.ProgressTime = function (ret)
	{
		ret.set_float(this.i);
	};
	exps.Duration = function (ret)
	{
		ret.set_float(this.duration);
	};
	exps.Initiating = function (ret)
	{
		ret.set_float(this.initiating);
	};
	exps.Cooldown = function (ret)
	{
		ret.set_float(this.cooldown);
	};
	exps.Target = function (ret)
	{
		ret.set_string(this.target);
	};
	exps.Value = function (ret)
	{
		ret.set_float(this.value);
	};
	exps.isPaused = function (ret)
	{
		ret.set_int(this.isPaused ? 1: 0);
	};
}());
;
;
cr.behaviors.scrollto = function(runtime)
{
	this.runtime = runtime;
	this.shakeMag = 0;
	this.shakeStart = 0;
	this.shakeEnd = 0;
	this.shakeMode = 0;
};
(function ()
{
	var behaviorProto = cr.behaviors.scrollto.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.enabled = (this.properties[0] !== 0);
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"smg": this.behavior.shakeMag,
			"ss": this.behavior.shakeStart,
			"se": this.behavior.shakeEnd,
			"smd": this.behavior.shakeMode
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.behavior.shakeMag = o["smg"];
		this.behavior.shakeStart = o["ss"];
		this.behavior.shakeEnd = o["se"];
		this.behavior.shakeMode = o["smd"];
	};
	behinstProto.tick = function ()
	{
	};
	function getScrollToBehavior(inst)
	{
		var i, len, binst;
		for (i = 0, len = inst.behavior_insts.length; i < len; ++i)
		{
			binst = inst.behavior_insts[i];
			if (binst.behavior instanceof cr.behaviors.scrollto)
				return binst;
		}
		return null;
	};
	behinstProto.tick2 = function ()
	{
		if (!this.enabled)
			return;
		var all = this.behavior.my_instances.valuesRef();
		var sumx = 0, sumy = 0;
		var i, len, binst, count = 0;
		for (i = 0, len = all.length; i < len; i++)
		{
			binst = getScrollToBehavior(all[i]);
			if (!binst || !binst.enabled)
				continue;
			sumx += all[i].x;
			sumy += all[i].y;
			++count;
		}
		var layout = this.inst.layer.layout;
		var now = this.runtime.kahanTime.sum;
		var offx = 0, offy = 0;
		if (now >= this.behavior.shakeStart && now < this.behavior.shakeEnd)
		{
			var mag = this.behavior.shakeMag * Math.min(this.runtime.timescale, 1);
			if (this.behavior.shakeMode === 0)
				mag *= 1 - (now - this.behavior.shakeStart) / (this.behavior.shakeEnd - this.behavior.shakeStart);
			var a = Math.random() * Math.PI * 2;
			var d = Math.random() * mag;
			offx = Math.cos(a) * d;
			offy = Math.sin(a) * d;
		}
		layout.scrollToX(sumx / count + offx);
		layout.scrollToY(sumy / count + offy);
	};
	function Acts() {};
	Acts.prototype.Shake = function (mag, dur, mode)
	{
		this.behavior.shakeMag = mag;
		this.behavior.shakeStart = this.runtime.kahanTime.sum;
		this.behavior.shakeEnd = this.behavior.shakeStart + dur;
		this.behavior.shakeMode = mode;
	};
	Acts.prototype.SetEnabled = function (e)
	{
		this.enabled = (e !== 0);
	};
	behaviorProto.acts = new Acts();
}());
;
;
cr.behaviors.solid = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.solid.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.inst.extra["solidEnabled"] = (this.properties[0] !== 0);
	};
	behinstProto.tick = function ()
	{
	};
	function Cnds() {};
	Cnds.prototype.IsEnabled = function ()
	{
		return this.inst.extra["solidEnabled"];
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetEnabled = function (e)
	{
		this.inst.extra["solidEnabled"] = !!e;
	};
	behaviorProto.acts = new Acts();
}());
cr.getProjectModel = function() { return [
	null,
	"SplashScreen",
	[
	[
		cr.plugins_.Arr,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Audio,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Browser,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.CJSAds,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Dictionary,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.NinePatch,
		false,
		true,
		true,
		true,
		false,
		true,
		true,
		true,
		true
	]
,	[
		cr.plugins_.Keyboard,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Mouse,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Function,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Flurry,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Rex_Date,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Spritefont2,
		false,
		true,
		true,
		true,
		true,
		true,
		true,
		true,
		true
	]
,	[
		cr.plugins_.Sprite,
		false,
		true,
		true,
		true,
		true,
		true,
		true,
		true,
		false
	]
,	[
		cr.plugins_.Spriter,
		false,
		true,
		true,
		false,
		true,
		false,
		true,
		false,
		false
	]
,	[
		cr.plugins_.Touch,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.WebStorage,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
	],
	[
	[
		"t0",
		cr.plugins_.Sprite,
		false,
		[],
		5,
		0,
		null,
		[
			[
			"run",
			5,
			true,
			1,
			0,
			false,
			7342174198012416,
			[
				["player-sheet0.png", 1177, 0, 0, 64, 125, 1, 0.5, 0.5040000081062317,[],[],1]
			]
			]
,			[
			"slide",
			5,
			true,
			1,
			0,
			false,
			7646340488141153,
			[
				["player-sheet1.png", 1223, 0, 0, 125, 64, 0, 0.4959999918937683, 0,[],[],1]
			]
			]
		],
		[
		[
			"Platform",
			cr.behaviors.Platform,
			9439114105082842
		]
,		[
			"boostPlayer",
			cr.behaviors.lunarray_Tween,
			6879802832346218
		]
,		[
			"PlayerIn",
			cr.behaviors.lunarray_Tween,
			9767049428901134
		]
,		[
			"slowPlayer",
			cr.behaviors.lunarray_Tween,
			3296632147431632
		]
,		[
			"Flash",
			cr.behaviors.Flash,
			5555838873805099
		]
		],
		false,
		false,
		1574944349371332,
		[],
		null
	]
,	[
		"t1",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2883147182358999,
			[
				["obstacle3x2-sheet0.png", 1295, 0, 0, 187, 124, 1, 0.5026738047599793, 0.5,[],[],1]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			832931402192958
		]
		],
		false,
		false,
		9962422533704929,
		[],
		null
	]
,	[
		"t2",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774],
		4,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8110478400537352,
			[
				["cameratarget-sheet0.png", 1239, 0, 0, 48, 42, 1, 0.5, 0.5,[],[-0.3333330154418945,-0.3095239996910095,0,-0.5,0.3333330154418945,-0.3095239996910095,0.5,0,0.3333330154418945,0.3095239996910095,0,0.5,-0.3333330154418945,0.3095239996910095,-0.5,0],0]
			]
			]
		],
		[
		[
			"ScrollTo",
			cr.behaviors.scrollto,
			6014879730351388
		]
,		[
			"slideDown",
			cr.behaviors.lunarray_Tween,
			7484883868041265
		]
,		[
			"slideUp",
			cr.behaviors.lunarray_Tween,
			2752590951555132
		]
,		[
			"shoot",
			cr.behaviors.lunarray_Tween,
			539150346047026
		]
		],
		false,
		false,
		7312802037249272,
		[],
		null
	]
,	[
		"t3",
		cr.plugins_.Sprite,
		false,
		[296405503039092],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			6251591070621749,
			[
				["jumpbutton-sheet0.png", 2150, 0, 0, 71, 71, 1, 0.5070422291755676, 1.014084458351135,[],[],0],
				["jumpbutton-sheet1.png", 2753, 0, 0, 71, 71, 1, 0.5211267471313477, 0.98591548204422,[],[],0],
				["jumpbutton-sheet2.png", 2556, 0, 0, 71, 71, 1, 0.5070422291755676, 1.014084458351135,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7203434679610625,
		[],
		null
	]
,	[
		"t4",
		cr.plugins_.Sprite,
		false,
		[296405503039092],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			7716813756596113,
			[
				["jumpbutton-sheet0.png", 2150, 0, 0, 71, 71, 1, 0.5211267471313477, 1.014084458351135,[],[],0],
				["jumpbutton-sheet1.png", 2753, 0, 0, 71, 71, 1, 0.5070422291755676, 1,[],[],0],
				["jumpbutton-sheet2.png", 2556, 0, 0, 71, 71, 1, 0.5211267471313477, 1.014084458351135,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		3085270539148826,
		[],
		null
	]
,	[
		"t5",
		cr.plugins_.Sprite,
		false,
		[],
		2,
		0,
		null,
		[
			[
			"run",
			10,
			true,
			1,
			0,
			false,
			9281023438833385,
			[
				["indians-sheet0.png", 33660, 1, 1, 251, 356, 1, 0.5019920468330383, 0.5,[],[],0],
				["indians-sheet0.png", 33660, 254, 1, 251, 356, 1, 0.5019920468330383, 0.5,[],[],0],
				["indians-sheet1.png", 34445, 1, 1, 251, 356, 1, 0.5019920468330383, 0.5,[],[],0],
				["indians-sheet1.png", 34445, 254, 1, 251, 356, 1, 0.5019920468330383, 0.5,[],[],0],
				["indians-sheet2.png", 15884, 0, 0, 251, 356, 1, 0.5019920468330383, 0.5,[],[],0]
			]
			]
		],
		[
		[
			"capturePlayer",
			cr.behaviors.lunarray_Tween,
			3773406459354718
		]
,		[
			"indiansIn",
			cr.behaviors.lunarray_Tween,
			8334168487999471
		]
		],
		false,
		false,
		6002609267021989,
		[],
		null
	]
,	[
		"t6",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6401644792743981,
			[
				["obstacle1x3-sheet0.png", 1050, 0, 0, 64, 185, 1, 0.5, 0.5027027130126953,[],[],1]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			9731657047096348
		]
		],
		false,
		false,
		3806134617319604,
		[],
		null
	]
,	[
		"t7",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1130071629615991,
			[
				["obstaclee2x1-sheet0.png", 992, 0, 0, 125, 64, 1, 0.5040000081062317, 0.5,[],[],1]
			]
			]
		],
		[
		],
		false,
		false,
		9243576642155031,
		[],
		null
	]
,	[
		"t8",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,1299011799809829],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9964574562164101,
			[
				["ground_s1-sheet0.png", 159651, 0, 0, 1024, 383, 1, 0, 0,[],[0,0.03131520003080368,1,0.03131520003080368,1,1,0,1],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			4042902506342641
		]
		],
		false,
		false,
		5091589548642882,
		[],
		null
	]
,	[
		"t9",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,1299011799809829],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4668410855077886,
			[
				["ground_s2-sheet0.png", 147168, 0, 0, 1024, 383, 1, 0, 0,[],[0,0.03131520003080368,1,0.03131520003080368,1,1,0,1],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			3529010116002685
		]
		],
		false,
		false,
		751131708805807,
		[],
		null
	]
,	[
		"t10",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		2,
		0,
		null,
		[
			[
			"Default",
			2,
			true,
			1,
			0,
			false,
			7590983116390572,
			[
				["xp-sheet0.png", 592, 0, 0, 51, 35, 1, 0.5098039507865906, 0.5142857432365418,[],[],0]
			]
			]
		],
		[
		[
			"EaseTween",
			cr.behaviors.lunarray_Tween,
			7057104842826763
		]
,		[
			"EaseTween2",
			cr.behaviors.lunarray_Tween,
			6790971263722944
		]
		],
		false,
		false,
		4541960302006001,
		[],
		null
	]
,	[
		"t11",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774],
		2,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			245835804221344,
			[
				["cameratarget-sheet0.png", 1239, 0, 0, 48, 42, 1, 0.5, 0.5,[],[-0.3333330154418945,-0.3095239996910095,0,-0.5,0.3333330154418945,-0.3095239996910095,0.5,0,0.3333330154418945,0.3095239996910095,0,0.5,-0.3333330154418945,0.3095239996910095,-0.5,0],0]
			]
			]
		],
		[
		[
			"ScrollTo",
			cr.behaviors.scrollto,
			9938981428448412
		]
,		[
			"EaseTween",
			cr.behaviors.lunarray_Tween,
			3156961935881539
		]
		],
		false,
		false,
		4754261717924576,
		[],
		null
	]
,	[
		"t12",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			516410510711461,
			[
				["background1-sheet0.png", 74415, 0, 0, 1024, 691, 1, 0, 0,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		1254448263324823,
		[],
		null
	]
,	[
		"t13",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,5695956745128068],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5285587145112945,
			[
				["background2-sheet0.png", 83186, 0, 0, 1024, 190, 1, 0, 0,[],[0.09218750149011612,0.4978899955749512,0.5,0.1518989950418472,0.8968750238418579,0.5569620132446289,0.8757809996604919,0.4978899955749512,0.996874988079071,0.9831219911575317,0.003125000046566129,0.9831219911575317,0.09062500298023224,0.4978899955749512],0]
			]
			]
		],
		[
		],
		false,
		false,
		6720664592470932,
		[],
		null
	]
,	[
		"t14",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,199178403224448],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9076571917143702,
			[
				["desertl1tile1-sheet0.png", 12364, 0, 0, 1024, 120, 1, 0, 0,[],[0.02109380066394806,0.1800000071525574,0.5,0.153332993388176,0.9773439764976502,0.1933329999446869,1,0.5,1,1,0,1,0,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		1836969581500475,
		[],
		null
	]
,	[
		"t15",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3556792880141808],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3347444230595515,
			[
				["desertl2tile1-sheet0.png", 16717, 0, 0, 1024, 147, 1, 0, 0,[],[0.04765620082616806,0.3315219879150391,0.5,0.309783011674881,0.953125,0.3260869979858398,1,0.5,1,1,0,1,0,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		65677878044388,
		[],
		null
	]
,	[
		"t16",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,5695956745128068],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8962632805831676,
			[
				["background3-sheet0.png", 44982, 0, 0, 1024, 185, 1, 0, 0,[],[0.1539060026407242,0.8528140187263489,0.846094012260437,0.8528140187263489,0.659375011920929,0.4978350102901459,1,1,0,1,0.2007810026407242,0.4978350102901459],0]
			]
			]
		],
		[
		],
		false,
		false,
		450731665564114,
		[],
		null
	]
,	[
		"t17",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,199178403224448],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2303711094476696,
			[
				["desertl1tile2-sheet0.png", 14380, 0, 0, 1024, 120, 1, 0, 0,[],[0.02109380066394806,0.1800000071525574,0.5,0.153332993388176,0.9773439764976502,0.1933329999446869,1,0.5,1,1,0,1,0,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		6258133054286481,
		[],
		null
	]
,	[
		"t18",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3556792880141808],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6320660247877484,
			[
				["desertl2tile2-sheet0.png", 15328, 0, 0, 1024, 147, 1, 0, 0,[],[0.03281249850988388,0.2282609939575195,0.5,0.309783011674881,0.953125,0.3260869979858398,1,0.5,1,1,0,1,0,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		6452772360627606,
		[],
		null
	]
,	[
		"t19",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1490958901899792,
			[
				["sign-sheet0.png", 5444, 0, 0, 116, 282, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		6524462893064658,
		[],
		null
	]
,	[
		"t20",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2397133232679779,
			[
				["totem-sheet0.png", 12950, 0, 0, 254, 241, 1, 0.5, 0.5020747184753418,[],[0.5,-0.5020747184753418,0.5,0.4979252815246582,-0.5,0.4979252815246582,-0.5,-0.5020747184753418],0]
			]
			]
		],
		[
		],
		false,
		false,
		4154630745536231,
		[],
		null
	]
,	[
		"t21",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			847382170304635,
			[
				["watertower-sheet0.png", 6220, 0, 0, 152, 319, 1, 0.5, 0.5015674233436585,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		4156593579512031,
		[],
		null
	]
,	[
		"t22",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4194348583588696,
			[
				["telegraph-sheet0.png", 2959, 0, 0, 132, 333, 1, 0.5, 0.5015015006065369,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		6282128628055901,
		[],
		null
	]
,	[
		"t23",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			7523220639468565,
			[
				["sheriff-sheet0.png", 8178, 0, 0, 281, 310, 1, 0.5017793774604797, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		242988649080749,
		[],
		null
	]
,	[
		"t24",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1060855166857661,
			[
				["saloon-sheet0.png", 19371, 0, 0, 354, 315, 1, 0.5, 0.5015873312950134,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7985689725077881,
		[],
		null
	]
,	[
		"t25",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6101886317218501,
			[
				["gallows-sheet0.png", 4973, 0, 0, 117, 301, 1, 0.504273533821106, 0.5016611218452454,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		9673339953485229,
		[],
		null
	]
,	[
		"t26",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1679522295436699,
			[
				["appartment-sheet0.png", 6957, 0, 0, 352, 284, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		8562522637770838,
		[],
		null
	]
,	[
		"t27",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2043687791682329,
			[
				["bank-sheet0.png", 7831, 0, 0, 329, 292, 1, 0.5015197396278381, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		8539758535605749,
		[],
		null
	]
,	[
		"t28",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			7460193520015056,
			[
				["train-sheet0.png", 21245, 0, 0, 666, 215, 1, 0.5, 0.5023255944252014,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		4128304552775433,
		[],
		null
	]
,	[
		"t29",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,3352691869543536],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8183173543571449,
			[
				["waggon-sheet0.png", 3757, 0, 0, 274, 168, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		6618188790175063,
		[],
		null
	]
,	[
		"t30",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3906179992606977,
			[
				["obstacle1x1-sheet0.png", 2411, 0, 0, 99, 82, 1, 0.5050504803657532, 0.5,[],[-0.4343433976173401,-0.4024389982223511,0.4949495196342468,-0.4024389982223511,0.4949495196342468,0.5,-0.4343433976173401,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			8741158659754568
		]
		],
		false,
		false,
		5948844778709846,
		[],
		null
	]
,	[
		"t31",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8266820376569476,
			[
				["obstacle1x2-sheet0.png", 3911, 0, 0, 99, 141, 1, 0.5050504803657532, 0.5035461187362671,[],[-0.4343433976173401,-0.4468085169792175,0.4949495196342468,-0.4397163093090057,0.4949495196342468,0.4964538812637329,-0.4343433976173401,0.4964538812637329],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			7487387817869924
		]
		],
		false,
		false,
		1409123269030238,
		[],
		null
	]
,	[
		"t32",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4400404433413444,
			[
				["obstacle2x1-sheet0.png", 3607, 0, 0, 178, 82, 1, 0.5056179761886597, 0.5,[],[-0.4662921726703644,-0.4146341979503632,0.4943820238113403,-0.4146341979503632,0.4943820238113403,0.5,-0.4662921726703644,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			9902435720572223
		]
		],
		false,
		false,
		3962136192838529,
		[],
		null
	]
,	[
		"t33",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5161275342618364,
			[
				["obstacle2x2-sheet0.png", 5589, 0, 0, 178, 140, 1, 0.5056179761886597, 0.5,[],[-0.4662921726703644,-0.449999988079071,0.4943820238113403,-0.449999988079071,0.4943820238113403,0.5,-0.4662921726703644,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			186910228225121
		]
		],
		false,
		false,
		6823327926778313,
		[],
		null
	]
,	[
		"t34",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5738620811194906,
			[
				["obstacle10x05-sheet0.png", 6758, 0, 0, 414, 83, 1, 0.5, 0.5060241222381592,[],[-0.5,-0.3975901305675507,0.5,-0.3975901305675507,0.4951689839363098,0.4698798656463623,-0.5,0.4939758777618408],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			5135706320450839
		]
		],
		false,
		false,
		7443350822283575,
		[],
		null
	]
,	[
		"t35",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774,8364165705123452],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5336772423433823,
			[
				["obstaclee1x2-sheet0.png", 7211, 0, 0, 158, 134, 1, 0.5, 0.5074626803398132,[],[0.1513159871101379,0.469100296497345,0.006578981876373291,-0.1246496737003326,0.217104971408844,-0.4293376803398132,0.4276310205459595,0.09410029649734497,0.3289470076560974,0.469100296497345],0]
			]
			]
		],
		[
		],
		false,
		false,
		8024370866892135,
		[],
		null
	]
,	[
		"t36",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774,8364165705123452],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6395439267385438,
			[
				["devilsrope-sheet0.png", 7769, 0, 0, 172, 126, 1, 0.5, 0.5079365372657776,[],[-0.03011998534202576,-0.3079365491867065,0.4156630039215088,-0.399603545665741,0.3554210066795349,0.4420634508132935,0.01807200908660889,0.4420634508132935],0]
			]
			]
		],
		[
		],
		false,
		false,
		9014233427798095,
		[],
		null
	]
,	[
		"t37",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774,8364165705123452],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4817983777450029,
			[
				["indiantrap-sheet0.png", 7270, 0, 0, 143, 89, 1, 0.5804196000099182, 0.5393258333206177,[],[-0.2237766087055206,-0.2837078273296356,0.0410844087600708,-0.4311798214912415,0.284964382648468,-0.2668538391590118,0.3426573872566223,0.106741189956665,0.1765733957290649,0.370786190032959,-0.1416085958480835,0.3735951781272888,-0.2884615957736969,0.05337119102478027],0]
			]
			]
		],
		[
		],
		false,
		false,
		7584742161728346,
		[],
		null
	]
,	[
		"t38",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774,8364165705123452],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1351641980487296,
			[
				["rock-sheet0.png", 3639, 0, 0, 125, 114, 1, 0.5040000081062317, 0.5087719559669495,[],[-0.02500802278518677,-0.4995127022266388,0.2775129675865173,-0.3189569711685181,0.4959999918937683,-0.008771955966949463,0.323731005191803,0.3338210582733154,0.0002020001411437988,0.4912280440330505,-0.3191260099411011,0.3245610594749451,-0.5040000081062317,-0.008771955966949463,-0.3485380113124847,-0.3004389405250549],0]
			]
			]
		],
		[
		[
			"Rotate",
			cr.behaviors.Rotate,
			237060703657559
		]
		],
		false,
		false,
		2451066577150086,
		[],
		null
	]
,	[
		"t39",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		1,
		0,
		null,
		[
			[
			"Default",
			3,
			true,
			1,
			0,
			false,
			2620291921244552,
			[
				["danger-sheet0.png", 746, 1, 1, 34, 77, 1, 0.5, 0.5064935088157654,[],[-0.4411762058734894,-0.4285716116428375,0.389706015586853,-0.4285716116428375,0.389706015586853,0.4285714626312256,-0.4411764144897461,0.4285714626312256],0],
				["danger-sheet0.png", 746, 37, 1, 34, 77, 1, 0.5, 0.5064935088157654,[],[],0]
			]
			]
		],
		[
		[
			"AnimToTop",
			cr.behaviors.lunarray_Tween,
			7342389548076338
		]
		],
		false,
		false,
		9319313893113551,
		[],
		null
	]
,	[
		"t40",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2622267266213049,
			[
				["wood1x1-sheet0.png", 3773, 0, 0, 98, 82, 1, 0.5, 0.5,[],[-0.4285714030265808,-0.4024389982223511,0.5,-0.4024389982223511,0.5,0.5,-0.4285714030265808,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			7367740093111407
		]
		],
		false,
		false,
		38288410204481,
		[],
		null
	]
,	[
		"t41",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2314744283972669,
			[
				["wood1x2-sheet0.png", 6181, 0, 0, 98, 144, 1, 0.5, 0.5,[],[-0.4285714030265808,-0.4444443881511688,0.5,-0.4444443881511688,0.489795982837677,0.4930559992790222,-0.4285714030265808,0.4930559992790222],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			4855019721541451
		]
		],
		false,
		false,
		5293318682942905,
		[],
		null
	]
,	[
		"t42",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5065271747637173,
			[
				["wood2x1-sheet0.png", 4760, 0, 0, 176, 82, 1, 0.5, 0.5,[],[-0.4602273106575012,-0.4024389982223511,0.5,-0.4024389982223511,0.5,0.5,-0.4602273106575012,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			5309549142723975
		]
		],
		false,
		false,
		4552698003236383,
		[],
		null
	]
,	[
		"t43",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4870126833309145,
			[
				["wood6x1-sheet0.png", 7440, 0, 0, 482, 82, 1, 0.5, 0.5,[],[-0.4854772090911865,-0.4024389982223511,0.5,-0.4024389982223511,0.5,0.5,-0.4854772090911865,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			6726671760617079
		]
		],
		false,
		false,
		6571512551396121,
		[],
		null
	]
,	[
		"t44",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4103195536267463,
			[
				["wood2x3-sheet0.png", 12916, 0, 0, 254, 146, 1, 0.5, 0.5,[],[-0.4724408984184265,-0.4452055096626282,0.5,-0.4452055096626282,0.5,0.5,-0.4724408984184265,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			9302752423849536
		]
		],
		false,
		false,
		8360921829599333,
		[],
		null
	]
,	[
		"t45",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5106737534555999,
			[
				["metal1x1-sheet0.png", 1824, 0, 0, 98, 82, 1, 0.5, 0.5,[],[-0.4285714030265808,-0.4024389982223511,0.3979589939117432,-0.4024389982223511,0.3979589939117432,0.5,-0.4285714030265808,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			1142336214842973
		]
		],
		false,
		false,
		5151857733082569,
		[],
		null
	]
,	[
		"t46",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8293199476577836,
			[
				["metal1x2-sheet0.png", 3187, 0, 0, 98, 146, 1, 0.5, 0.5,[],[-0.4285714030265808,-0.4452055096626282,0.4285709857940674,-0.4452055096626282,0.4285709857940674,0.5,-0.4285714030265808,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			6108618033481354
		]
		],
		false,
		false,
		408162508538893,
		[],
		null
	]
,	[
		"t47",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4284926528106477,
			[
				["metal2x1-sheet0.png", 2274, 0, 0, 165, 82, 1, 0.5030303001403809, 0.5,[],[-0.4606060981750488,-0.4024389982223511,0.4606056809425354,-0.4024389982223511,0.4545456767082214,0.5,-0.4666666984558106,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			7048972149328703
		]
		],
		false,
		false,
		7517230845219581,
		[],
		null
	]
,	[
		"t48",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3396406344187339,
			[
				["metal3x2-sheet0.png", 5002, 0, 0, 237, 145, 1, 0.502109706401825, 0.5034482479095459,[],[-0.4725738167762756,-0.4482758641242981,0.4599152803421021,-0.4482758641242981,0.4599152803421021,0.4965517520904541,-0.4725738167762756,0.4965517520904541],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			5565539116064558
		]
		],
		false,
		false,
		1697534036699133,
		[],
		null
	]
,	[
		"t49",
		cr.plugins_.Sprite,
		false,
		[3776420743089811,8048048286713702,1446200655720839,9649101167041765,4263471990425527,8472860386875774],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6628681892904644,
			[
				["metal5x1-sheet0.png", 4459, 0, 0, 372, 82, 1, 0.5026881694793701, 0.5,[],[-0.4838709831237793,-0.4024389982223511,0.4731178283691406,-0.4024389982223511,0.4731178283691406,0.5,-0.4838709831237793,0.5],0]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			2625387478282627
		]
		],
		false,
		false,
		4046492451191052,
		[],
		null
	]
,	[
		"t50",
		cr.plugins_.Spritefont2,
		false,
		[4253491055789283],
		0,
		0,
		["cowboyslang34dark.png", 18427, 0],
		null,
		[
		],
		false,
		false,
		9692226586172359,
		[],
		null
	]
,	[
		"t51",
		cr.plugins_.Spritefont2,
		false,
		[2822903415177532,3315077698417568],
		1,
		0,
		["cowboyslang34gold.png", 33155, 0],
		null,
		[
		[
			"Pin",
			cr.behaviors.Pin,
			8080793004424034
		]
		],
		false,
		false,
		2141018690733889,
		[],
		null
	]
,	[
		"t52",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5447364477298863,
			[
				["mainback-sheet0.png", 1190599, 0, 0, 1024, 768, 1, 0, 0,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7781488726063859,
		[],
		null
	]
,	[
		"t53",
		cr.plugins_.Sprite,
		false,
		[1123494756284502],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			3682572148597423,
			[
				["firewaterui-sheet1.png", 2780, 0, 0, 46, 59, 1, 0, 0,[],[1,0,1,1,0,1,0,0],0],
				["firewaterui-sheet0.png", 6570, 0, 0, 46, 60, 1, 0, 0,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5213890515308443,
		[],
		null
	]
,	[
		"t54",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8765871749853523,
			[
				["boostbrand-sheet0.png", 10653, 0, 0, 738, 131, 1, 0.501354992389679, 1.007633566856384,[],[-0.501354992389679,-1.007633566856384,0.498645007610321,-1.007633566856384,0.4959350228309631,-0.007633566856384277,-0.501354992389679,-0.007633566856384277],0]
			]
			]
		],
		[
		[
			"BoostIn",
			cr.behaviors.lunarray_Tween,
			5198290241001009
		]
,		[
			"BoostOut",
			cr.behaviors.lunarray_Tween,
			4111803519918571
		]
,		[
			"Flash",
			cr.behaviors.Flash,
			7021878450875123
		]
		],
		false,
		false,
		1681535453589593,
		[],
		null
	]
,	[
		"t55",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2110035679746783,
			[
				["slide-sheet0.png", 8415, 0, 0, 157, 137, 1, 0, 1.007299304008484,[],[1,-1.007299304008484,1,-0.007299304008483887,0,-0.007299304008483887,0,-1.007299304008484],0]
			]
			]
		],
		[
		],
		false,
		false,
		6248410242078805,
		[],
		null
	]
,	[
		"t56",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8153054597848016,
			[
				["jump-sheet0.png", 8326, 0, 0, 155, 137, 1, 1.006451606750488, 1.007299304008484,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5097504315464244,
		[],
		null
	]
,	[
		"t57",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1175664810025265,
			[
				["multiplierfield-sheet0.png", 524, 0, 0, 66, 30, 1, 0.5, 0.5,[],[-0.4393939077854157,-0.3666670024394989,0,-0.5,0.4393939971923828,-0.3666670024394989,0.5,0,0.4393939971923828,0.3666669726371765,0,0.5,-0.4393939077854157,0.3666669726371765,-0.5,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		4272098417649432,
		[],
		null
	]
,	[
		"t58",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"loop",
			16,
			true,
			1,
			0,
			false,
			5192203501757727,
			[
				["runsmoke-sheet0.png", 11498, 1, 1, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 169, 1, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 337, 1, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 1, 64, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 169, 64, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 337, 64, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 1, 127, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 169, 127, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 337, 127, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 1, 190, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0]
			]
			]
,			[
			"start",
			16,
			false,
			1,
			0,
			false,
			7308744399236505,
			[
				["runsmoke-sheet0.png", 11498, 169, 190, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 337, 190, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 1, 253, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 169, 253, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 337, 253, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 1, 316, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 169, 316, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 337, 316, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0],
				["runsmoke-sheet0.png", 11498, 1, 379, 166, 61, 1, 0.5, 0.5081967115402222,[],[],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			4209683448999917
		]
		],
		false,
		false,
		6739837506832459,
		[],
		null
	]
,	[
		"t59",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		0,
		0,
		null,
		[
			[
			"Default",
			16,
			false,
			1,
			0,
			false,
			972079898001126,
			[
				["jumpsmoke-sheet0.png", 6904, 1, 1, 183, 150, 1, 0.5027322173118591, 0.5,[],[],0],
				["jumpsmoke-sheet0.png", 6904, 186, 1, 183, 150, 1, 0.5027322173118591, 0.5,[],[],0],
				["jumpsmoke-sheet0.png", 6904, 1, 153, 183, 150, 1, 0.5027322173118591, 0.5,[],[],0],
				["jumpsmoke-sheet0.png", 6904, 186, 153, 183, 150, 1, 0.5027322173118591, 0.5,[],[],0],
				["jumpsmoke-sheet0.png", 6904, 1, 305, 183, 150, 1, 0.5027322173118591, 0.5,[],[],0],
				["jumpsmoke-sheet0.png", 6904, 186, 305, 183, 150, 1, 0.5027322173118591, 0.5,[],[],0],
				["jumpsmoke-sheet1.png", 469, 0, 0, 183, 150, 1, 0.5027322173118591, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5169198445799934,
		[],
		null
	]
,	[
		"t60",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		0,
		0,
		null,
		[
			[
			"Default",
			16,
			false,
			1,
			0,
			false,
			6921653628447099,
			[
				["doublejumpsmoke-sheet0.png", 3320, 1, 1, 96, 122, 1, 0.5, 0.5,[],[],0],
				["doublejumpsmoke-sheet0.png", 3320, 99, 1, 96, 122, 1, 0.5, 0.5,[],[],0],
				["doublejumpsmoke-sheet0.png", 3320, 1, 125, 96, 122, 1, 0.5, 0.5,[],[],0],
				["doublejumpsmoke-sheet0.png", 3320, 99, 125, 96, 122, 1, 0.5, 0.5,[],[],0],
				["doublejumpsmoke-sheet1.png", 721, 1, 1, 96, 122, 1, 0.5, 0.5,[],[],0],
				["doublejumpsmoke-sheet1.png", 721, 99, 1, 96, 122, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5610222064552821,
		[],
		null
	]
,	[
		"t61",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		0,
		0,
		null,
		[
			[
			"Default",
			16,
			false,
			1,
			0,
			false,
			6025684027533087,
			[
				["puffsmoke-sheet0.png", 3019, 1, 1, 106, 81, 1, 0.5, 0.5061728358268738,[],[],0],
				["puffsmoke-sheet0.png", 3019, 109, 1, 106, 81, 1, 0.5, 0.5061728358268738,[],[],0],
				["puffsmoke-sheet0.png", 3019, 1, 84, 106, 81, 1, 0.5, 0.5061728358268738,[],[],0],
				["puffsmoke-sheet0.png", 3019, 109, 84, 106, 81, 1, 0.5, 0.5061728358268738,[],[],0],
				["puffsmoke-sheet0.png", 3019, 1, 167, 106, 81, 1, 0.5, 0.5061728358268738,[],[],0],
				["puffsmoke-sheet0.png", 3019, 109, 167, 106, 81, 1, 0.5, 0.5061728358268738,[],[],0],
				["puffsmoke-sheet1.png", 272, 0, 0, 106, 81, 1, 0.5, 0.5061728358268738,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5936904675293547,
		[],
		null
	]
,	[
		"t62",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		0,
		0,
		null,
		[
			[
			"Default",
			16,
			false,
			1,
			0,
			false,
			4413703661815511,
			[
				["puffsmoke2-sheet0.png", 5305, 1, 1, 208, 171, 1, 0.5, 0.5029239654541016,[],[],0],
				["puffsmoke2-sheet0.png", 5305, 211, 1, 208, 171, 1, 0.5, 0.5029239654541016,[],[],0],
				["puffsmoke2-sheet0.png", 5305, 1, 174, 208, 171, 1, 0.5, 0.5029239654541016,[],[],0],
				["puffsmoke2-sheet0.png", 5305, 211, 174, 208, 171, 1, 0.5, 0.5029239654541016,[],[],0],
				["puffsmoke2-sheet1.png", 2052, 1, 1, 208, 171, 1, 0.5, 0.5029239654541016,[],[],0],
				["puffsmoke2-sheet1.png", 2052, 211, 1, 208, 171, 1, 0.5, 0.5029239654541016,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		6592596083813137,
		[],
		null
	]
,	[
		"t63",
		cr.plugins_.Sprite,
		false,
		[],
		2,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			6121229767409521,
			[
				["shield-sheet0.png", 22859, 0, 0, 200, 219, 1, 0.5049999952316284, 0.5022830963134766,[],[-0.300000011920929,-0.3150680959224701,-0.004999995231628418,-0.4383561909198761,0.2950000166893005,-0.3196350932121277,0.425000011920929,-0.004566103219985962,0.2950000166893005,0.3150689005851746,-0.004999995231628418,0.4337899088859558,-0.3050000071525574,0.3150689005851746,-0.4350000023841858,-0.004566103219985962],0],
				["shield-sheet1.png", 18223, 0, 0, 237, 146, 1, 0.4978902935981751, 0.246575340628624,[],[-0.345991313457489,-3.427267074584961e-007,-2.980232238769531e-007,-0.178082138299942,0.3502107262611389,-3.427267074584961e-007,0.4388186931610107,0.2534246444702148,0.3502107262611389,0.5068496465682983,-2.980232238769531e-007,0.6849316358566284,-0.345991313457489,0.5068496465682983,-0.4345991909503937,0.2534246444702148],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			6449459490451192
		]
,		[
			"Flash",
			cr.behaviors.Flash,
			4252895586651794
		]
		],
		false,
		false,
		3039698962491453,
		[],
		null
	]
,	[
		"t64",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		1,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			887299056195903,
			[
				["genericbutton-sheet0.png", 6967, 0, 0, 331, 94, 0, 0.5015105605125427, 0.5,[],[-0.4471298456192017,-0.3085110187530518,-0.003021568059921265,-0.4148935973644257,0.4441084265708923,-0.3085110187530518,0.471299409866333,0,0.4441084265708923,0.3085110187530518,-0.003021568059921265,0.4042549729347229,-0.4471298456192017,0.3085110187530518,-0.474320262670517,0],0],
				["genericbutton-sheet0.png", 6967, 0, 0, 331, 94, 1, 0.5015105605125427, 0.5,[],[-0.4471298456192017,-0.3085110187530518,-0.003021568059921265,-0.4148935973644257,0.4441084265708923,-0.3085110187530518,0.471299409866333,0,0.4441084265708923,0.3085110187530518,-0.003021568059921265,0.4042549729347229,-0.4471298456192017,0.3085110187530518,-0.474320262670517,0],0],
				["genericbutton-sheet0.png", 6967, 0, 0, 331, 94, 1, 0.5015105605125427, 0.5,[],[-0.4471298456192017,-0.3085110187530518,-0.003021568059921265,-0.4148935973644257,0.4441084265708923,-0.3085110187530518,0.471299409866333,0,0.4441084265708923,0.3085110187530518,-0.003021568059921265,0.4042549729347229,-0.4471298456192017,0.3085110187530518,-0.474320262670517,0],0]
			]
			]
		],
		[
		[
			"ReplayButtonIn",
			cr.behaviors.lunarray_Tween,
			6238619762851945
		]
		],
		false,
		false,
		5789838351099301,
		[],
		null
	]
,	[
		"t65",
		cr.plugins_.Sprite,
		false,
		[5398135815209165],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2467456196001128,
			[
				["fieldxpscore-sheet0.png", 4383, 0, 0, 306, 93, 1, 0.5, 0.3333333432674408,[],[-0.46405228972435,-0.2150533497333527,0,-0.3010752499103546,0.4640520215034485,-0.2150533497333527,0.4869279861450195,0.1612906455993652,0.418300986289978,0.3978496491909027,0,0.6451616287231445,-0.4183006882667542,0.3978496491909027,-0.4901960790157318,0.1612906455993652],0]
			]
			]
		],
		[
		],
		false,
		false,
		6974558852422054,
		[],
		null
	]
,	[
		"t66",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			3751295309701909,
			[
				["genericbuttonsmall-sheet0.png", 2975, 0, 0, 104, 84, 0, 0.4423076808452606, 0.5,[],[-0.2692306637763977,-0.2857140004634857,0.05769231915473938,-0.3928570151329041,0.317307323217392,-0.2023810148239136,0.3557693064212799,0,0.317307323217392,0.2023810148239136,0.05769231915473938,0.380952000617981,-0.2692306637763977,0.2857139706611633,-0.3557691872119904,0],0],
				["genericbuttonsmall-sheet0.png", 2975, 0, 0, 104, 84, 1, 0.4423076808452606, 0.5,[],[-0.2692306637763977,-0.2857140004634857,0.05769231915473938,-0.3928570151329041,0.317307323217392,-0.2023810148239136,0.3557693064212799,0,0.317307323217392,0.2023810148239136,0.05769231915473938,0.380952000617981,-0.2692306637763977,0.2857139706611633,-0.3557691872119904,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		9151195263791595,
		[],
		null
	]
,	[
		"t67",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			1644505768748949,
			[
				["buttonstory-sheet0.png", 3263, 0, 0, 104, 84, 0, 0.4423076808452606, 0.5,[],[-0.2692306637763977,-0.2857140004634857,0.05769231915473938,-0.3928570151329041,0.317307323217392,-0.2023810148239136,0.3557693064212799,0,0.317307323217392,0.2023810148239136,0.05769231915473938,0.380952000617981,-0.2692306637763977,0.2857139706611633,-0.3557691872119904,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		9788355170559615,
		[],
		null
	]
,	[
		"t68",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4682144475837384,
			[
				["logo-sheet0.png", 105692, 0, 0, 586, 423, 1, 0.5, 0.5011820197105408,[],[-0.402730405330658,-0.366430014371872,0.3617749810218811,-0.3096930384635925,0.4556310176849365,0.4373520016670227,-0.4573379158973694,0.4397159814834595],0]
			]
			]
		],
		[
		],
		false,
		false,
		2792047760974779,
		[],
		null
	]
,	[
		"t69",
		cr.plugins_.Sprite,
		false,
		[3643487059373005],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			5317103080842685,
			[
				["shopitemfield-sheet0.png", 15113, 1, 1, 409, 93, 1, 0.5012224912643433, 0.4838709533214569,[],[],0],
				["shopitemfield-sheet0.png", 15113, 1, 96, 409, 93, 1, 0.5012224912643433, 0.4838709533214569,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5094071871004021,
		[],
		null
	]
,	[
		"t70",
		cr.plugins_.Sprite,
		false,
		[9073933279047931],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6627833990860381,
			[
				["fieldcoins-sheet0.png", 4807, 0, 0, 260, 98, 1, 0.4923076927661896, 0.3673469424247742,[],[-0.4269230961799622,-0.1938779354095459,0.007692307233810425,-0.2755102515220642,0.430769294500351,-0.1632649451494217,0.4538463056087494,0.1326530575752258,0.4038462936878204,0.3571430444717407,0.007692307233810425,0.6122450828552246,-0.3923076987266541,0.3673470616340637,-0.4538461863994598,0.1326530575752258],0]
			]
			]
		],
		[
		],
		false,
		false,
		9731624210251244,
		[],
		null
	]
,	[
		"t71",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			2225649150625251,
			[
				["buttonbuy-sheet0.png", 3596, 0, 0, 76, 71, 0, 0.460526317358017, 0.4788732528686523,[],[-0.3289473056793213,-0.3380282521247864,0.03947368264198303,-0.4788732528686523,0.4078947007656097,-0.3380282521247864,0.5263156890869141,0.01408475637435913,0.381578654050827,0.3521127700805664,0.03947368264198303,0.4507037401199341,-0.3026313185691834,0.3521127700805664,-0.4473684132099152,0.01408475637435913],0],
				["buttonbuy-sheet1.png", 3573, 0, 0, 76, 71, 1, 0.460526317358017, 0.4788732528686523,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		4922972740328045,
		[],
		null
	]
,	[
		"t72",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			80387938599076,
			[
				["buttonpause-sheet0.png", 2891, 0, 0, 79, 70, 0, 0.4556961953639984, 0.4714285731315613,[],[-0.3164551854133606,-0.3142855763435364,0.03797480463981628,-0.4571428596973419,0.4050628244876862,-0.3142855763435364,0.518987774848938,0.02857142686843872,0.3924048244953156,0.357142448425293,0.03797480463981628,0.4857144355773926,-0.30379718542099,0.357142448425293,-0.4177215099334717,0.02857142686843872],0]
			]
			]
		],
		[
		],
		false,
		false,
		5616275740572971,
		[],
		null
	]
,	[
		"t73",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2496335990225351,
			[
				["dslogo-sheet0.png", 12459, 0, 0, 206, 75, 1, 0.5, 0.5066666603088379,[],[-0.4805825054645538,-0.4533333480358124,0,-0.5066666603088379,0.4902909994125366,-0.4799999594688416,0.4951459765434265,0.4800003170967102,0,0.4800003170967102,-0.4757282137870789,0.4266663193702698,-0.5,-0.01333364844322205],0]
			]
			]
		],
		[
		],
		false,
		false,
		8361800129880512,
		[],
		null
	]
,	[
		"t74",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8254011706496395,
			[
				["rankbanner-sheet0.png", 21539, 0, 0, 674, 127, 1, 0.5, 0.5039370059967041,[],[-0.4881305992603302,-0.4409449100494385,0,-0.2440940141677856,0.483680009841919,-0.4173228144645691,0.4465879797935486,0.2125979661941528,0,0.4488189816474915,-0.4480712115764618,0.220471978187561,-0.4703263938426971,-0.007874011993408203],0]
			]
			]
		],
		[
		],
		false,
		false,
		3980364846892542,
		[],
		null
	]
,	[
		"t75",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			7735327353006492,
			[
				["tweenhelper-sheet0.png", 291, 0, 0, 13, 35, 1, 0.5384615659713745, 0.5142857432365418,[],[-0.2307695746421814,-0.399999737739563,0.4615384340286255,-0.5142857432365418,0.4615384340286255,0.4857142567634583,-0.2307695746421814,0.3714282512664795,-0.5384615659713745,-0.02857175469398499],0]
			]
			]
		],
		[
		[
			"EaseTween",
			cr.behaviors.lunarray_Tween,
			3722656211159886
		]
		],
		false,
		false,
		2040956818817507,
		[],
		null
	]
,	[
		"t76",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2666236018376552,
			[
				["congratsback-sheet0.png", 4198, 0, 0, 396, 84, 1, 0.5, 0.4523809552192688,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		4223132146937931,
		[],
		null
	]
,	[
		"t77",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			4273649920173877,
			[
				["buttonclose-sheet0.png", 4291, 0, 0, 114, 102, 0, 0.4649122953414917, 0.4803921580314636,[],[-0.289473295211792,-0.2843141555786133,0.0350877046585083,-0.4019607603549957,0.3508766889572144,-0.2745101451873779,0.4385967254638672,0.01960784196853638,0.3421056866645813,0.3039218187332153,0.0350877046585083,0.4117648601531982,-0.2807012796401978,0.3137258291244507,-0.3947368860244751,0.01960784196853638],0]
			]
			]
		],
		[
		],
		false,
		false,
		3124999471652734,
		[],
		null
	]
,	[
		"t78",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8676618130353661,
			[
				["xpfieldinner-sheet0.png", 170, 0, 0, 202, 38, 1, 0, 0.5263158082962036,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		9912960464553807,
		[],
		null
	]
,	[
		"t79",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6804719076021753,
			[
				["rankcharacter-sheet0.png", 40928, 0, 0, 396, 240, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5173542075685554,
		[],
		null
	]
,	[
		"t80",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			3915076322418183,
			[
				["buttonback-sheet0.png", 4275, 0, 0, 114, 102, 0, 0.4649122953414917, 0.4803921580314636,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		2974134174306839,
		[],
		null
	]
,	[
		"t81",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			4536953876622358,
			[
				["buttonforward-sheet0.png", 4276, 0, 0, 114, 102, 0, 0.4649122953414917, 0.4803921580314636,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		2844870773472575,
		[],
		null
	]
,	[
		"t82",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3682090711675967,
			[
				["xpfieldinnerstart-sheet0.png", 889, 0, 0, 239, 48, 1, 0.02092050202190876, 0.5208333134651184,[],[0.0125522967427969,-0.3541663289070129,0.4769874811172485,-0.4791666269302368,0.9497904777526856,-0.3750002980232239,0.9707114696502686,-0.02083331346511841,0.9497904777526856,0.3333336710929871,0.4769874811172485,0.4374997019767761,0.0125522967427969,0.3124997019767761,-0.008368202485144138,-0.02083331346511841],0]
			]
			]
		],
		[
		],
		false,
		false,
		5531392936520014,
		[],
		null
	]
,	[
		"t83",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			2428499072616688,
			[
				["buttonplaymenu-sheet0.png", 26637, 0, 0, 229, 229, 0, 0.4410480260848999, 0.5021833777427673,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		592080600579807,
		[],
		null
	]
,	[
		"t84",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		1,
		0,
		null,
		[
			[
			"Default",
			2,
			true,
			1,
			0,
			false,
			4575747498263473,
			[
				["coin-sheet0.png", 14325, 1, 1, 67, 78, 1, 0.5074626803398132, 0.5,[],[0.4925373196601868,-0.5,0.4925373196601868,0.5,-0.5074626803398132,0.5,-0.5074626803398132,-0.5],0],
				["coin-sheet1.png", 7014, 0, 0, 67, 78, 1, 0.5074626803398132, 0.5,[],[],0]
			]
			]
,			[
			"collect",
			16,
			false,
			1,
			0,
			false,
			9611069295392611,
			[
				["coin-sheet2.png", 7027, 0, 0, 80, 60, 1, 0.512499988079071, 0.5,[],[],0],
				["coin-sheet0.png", 14325, 70, 1, 40, 90, 1, 0.5, 0.5,[],[],0],
				["coin-sheet0.png", 14325, 1, 81, 32, 30, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		[
			"CoinOut",
			cr.behaviors.lunarray_Tween,
			6005880793425389
		]
		],
		false,
		false,
		5169197628364219,
		[],
		null
	]
,	[
		"t85",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		1,
		0,
		null,
		[
			[
			"Default",
			2,
			true,
			1,
			0,
			false,
			5581174863842773,
			[
				["pickupc1-sheet0.png", 10668, 1, 1, 59, 82, 1, 0.5254237055778503, 0.5121951103210449,[],[0.4745762944221497,-0.5121951103210449,0.4745762944221497,0.4878048896789551,-0.5254237055778503,0.4878048896789551,-0.5254237055778503,-0.5121951103210449],0],
				["pickupc1-sheet0.png", 10668, 62, 1, 59, 82, 1, 0.5254237055778503, 0.5121951103210449,[],[],0]
			]
			]
		],
		[
		[
			"AnimateToTop",
			cr.behaviors.lunarray_Tween,
			6293861131654015
		]
		],
		false,
		false,
		3544912044237422,
		[],
		null
	]
,	[
		"t86",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		1,
		0,
		null,
		[
			[
			"Default",
			2,
			true,
			1,
			0,
			false,
			6852857982021453,
			[
				["pickupbullet-sheet0.png", 20258, 0, 0, 133, 151, 1, 0.5263158082962036, 0.5099337697029114,[],[-0.5263158082962036,-0.3509937524795532,0.4285711646080017,-0.3509937524795532,0.4285711646080017,0.4834442138671875,-0.5263158082962036,0.4900662302970886],0]
			]
			]
		],
		[
		[
			"Sine",
			cr.behaviors.Sin,
			4560194793645432
		]
		],
		false,
		false,
		8421378513862869,
		[],
		null
	]
,	[
		"t87",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1368357534528467,
			[
				["tutarrow-sheet0.png", 1167, 0, 0, 87, 117, 1, 0.4942528605461121, 1,[],[-0.2528738677501679,-0.8205130100250244,1.490116119384766e-007,-0.9829059839248657,0.2643681168556213,-0.8205130100250244,0.459770143032074,-0.5042740106582642,0.2183911204338074,-0.2136750221252441,1.490116119384766e-007,-0.01709401607513428,-0.2068968713283539,-0.2136750221252441,-0.4482758641242981,-0.5042740106582642],0]
			]
			]
		],
		[
		[
			"Flash",
			cr.behaviors.Flash,
			9850306956608564
		]
		],
		false,
		false,
		7305187050487379,
		[],
		null
	]
,	[
		"t88",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389,1789944241426028],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9323707471365035,
			[
				["tuttrigger-sheet0.png", 109, 0, 0, 50, 300, 1, 0.5199999809265137, 1.003333330154419,[],[],1]
			]
			]
		],
		[
		],
		false,
		false,
		459592913565395,
		[],
		null
	]
,	[
		"t89",
		cr.plugins_.NinePatch,
		false,
		[],
		0,
		0,
		["tutorial9patch.png", 2268, 0],
		null,
		[
		],
		false,
		false,
		1983918708952531,
		[],
		null
	]
,	[
		"t90",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			509861005845804,
			[
				["intro1-sheet0.png", 268060, 0, 0, 1024, 216, 1, 0.5, 0.5,[],[-0.4941176474094391,-0.4721116125583649,0.4941179752349854,-0.4721116125583649,0.4924370050430298,0.4641429781913757,-0.4924369752407074,0.4641429781913757],0]
			]
			]
		],
		[
		],
		false,
		false,
		9520683275447561,
		[],
		null
	]
,	[
		"t91",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6280963238563272,
			[
				["intro2-sheet0.png", 302376, 0, 0, 1024, 216, 1, 0.5, 0.5,[],[-0.4941176474094391,-0.4721116125583649,0.4941179752349854,-0.4721116125583649,0.4924370050430298,0.4641429781913757,-0.4924369752407074,0.4641429781913757],0]
			]
			]
		],
		[
		],
		false,
		false,
		4837361563543116,
		[],
		null
	]
,	[
		"t92",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6896385487801318,
			[
				["intro3-sheet0.png", 275334, 0, 0, 1024, 216, 1, 0.5, 0.5,[],[-0.4941176474094391,-0.4721116125583649,0.4941179752349854,-0.4721116125583649,0.4924370050430298,0.4641429781913757,-0.4924369752407074,0.4641429781913757],0]
			]
			]
		],
		[
		],
		false,
		false,
		9554583452958163,
		[],
		null
	]
,	[
		"t93",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			7788135112319866,
			[
				["intro4-sheet0.png", 305773, 0, 0, 1024, 216, 1, 0.5, 0.5,[],[-0.4941176474094391,-0.4721116125583649,0.4941179752349854,-0.4721116125583649,0.4924370050430298,0.4641429781913757,-0.4924369752407074,0.4641429781913757],0]
			]
			]
		],
		[
		],
		false,
		false,
		9175009811360483,
		[],
		null
	]
,	[
		"t94",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			4274611097711753,
			[
				["cowboy_cowboydefault_lefttigh-sheet1.png", 953, 1, 1, 24, 38, 1, 0, 0,[],[0.125,0.07894740253686905,0.5,0.05263160169124603,0.7916669845581055,0.1315789967775345,1,0.5,0.7916669845581055,0.8684210181236267,0.5,1,0.1666669994592667,0.8947370052337647,0,0.5],0],
				["cowboy_cowboydefault_lefttigh-sheet1.png", 953, 27, 1, 24, 38, 1, 0, 0,[],[0.125,0.07894740253686905,0.5,0.02631580084562302,0.7916669845581055,0.1315789967775345,1,0.5,0.7916669845581055,0.8684210181236267,0.5,1,0.1666669994592667,0.8947370052337647,0,0.5],0],
				["cowboy_cowboydefault_lefttigh-sheet2.png", 1282, 1, 1, 24, 38, 1, 0, 0,[],[0.125,0.07894740253686905,0.5,0.05263160169124603,0.7916669845581055,0.1315789967775345,1,0.5,0.7916669845581055,0.8684210181236267,0.5,1,0.1666669994592667,0.8947370052337647,0,0.5],0],
				["cowboy_cowboydefault_lefttigh-sheet0.png", 1147, 1, 1, 24, 39, 1, 0, 0,[],[0.125,0.07692310214042664,0.5,0.02564099989831448,0.7916669845581055,0.1282050013542175,1,0.4871790111064911,0.7916669845581055,0.8717949986457825,0.5,1,0.1666669994592667,0.8974360227584839,0,0.4871790111064911],0],
				["cowboy_cowboydefault_lefttigh-sheet2.png", 1282, 27, 1, 24, 38, 1, 0, 0,[],[0.125,0.07894740253686905,0.5,0.05263160169124603,0.7916669845581055,0.1315789967775345,1,0.5,0.7916669845581055,0.8684210181236267,0.5,1,0.1666669994592667,0.8947370052337647,0,0.5],0],
				["cowboy_cowboydefault_lefttigh-sheet1.png", 953, 27, 1, 24, 38, 1, 0, 0,[],[0.125,0.07894740253686905,0.5,0.02631580084562302,0.7916669845581055,0.1315789967775345,1,0.5,0.7916669845581055,0.8684210181236267,0.5,1,0.1666669994592667,0.8947370052337647,0,0.5],0],
				["cowboy_cowboydefault_lefttigh-sheet0.png", 1147, 27, 1, 24, 39, 1, 0, 0,[],[0.125,0.07692310214042664,0.5,0.05128210037946701,0.75,0.1538459956645966,0.9583330154418945,0.4871790111064911,0.7916669845581055,0.8717949986457825,0.5,0.9743589758872986,0.1666669994592667,0.8974360227584839,0,0.4871790111064911],0]
			]
			]
		],
		[
		],
		false,
		false,
		5054594404168787,
		[],
		null
	]
,	[
		"t95",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			5187944879550566,
			[
				["cowboy_cowboydefault_leftcalf-sheet1.png", 555, 1, 1, 16, 14, 1, 0, 0,[],[0.0625,0.07142859697341919,0.5,0,0.875,0.1428570002317429,1,0.5,0.875,0.857142984867096,0.5,1,0.125,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_leftcalf-sheet1.png", 555, 1, 17, 16, 14, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.8125,0.2142859995365143,1,0.5,0.9374999403953552,0.9285709857940674,0.5,1,0.125,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_leftcalf-sheet2.png", 697, 1, 1, 16, 14, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.8125,0.2142859995365143,1,0.5,0.9374999403953552,0.9285709857940674,0.5,1,0.125,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_leftcalf-sheet1.png", 555, 1, 17, 16, 14, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.8125,0.2142859995365143,1,0.5,0.9374999403953552,0.9285709857940674,0.5,1,0.125,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_leftcalf-sheet2.png", 697, 1, 17, 16, 14, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0.07142859697341919,0.8125,0.2142859995365143,1,0.5,0.9374999403953552,0.9285709857940674,0.5,1,0.125,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_leftcalf-sheet1.png", 555, 1, 17, 16, 14, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.8125,0.2142859995365143,1,0.5,0.9374999403953552,0.9285709857940674,0.5,1,0.125,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_leftcalf-sheet0.png", 312, 0, 0, 19, 16, 1, 0, 0,[],[0.105263002216816,0.125,0.4736840128898621,0.0625,0.7894740104675293,0.25,0.8947370052337647,0.5,0.842104971408844,0.8125,0.4736840128898621,0.9374999403953552,0.1578949987888336,0.8125,0.05263160169124603,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		4659467712421372,
		[],
		null
	]
,	[
		"t96",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			3612411123184311,
			[
				["cowboy_cowboydefault_leftboot-sheet1.png", 2751, 44, 1, 19, 26, 1, 0, 0,[],[0.5263159871101379,0.3846150040626526,0.4736840128898621,0.3846150040626526,0.8947370052337647,0.07692310214042664,0.8947370052337647,0.9230769872665405,0.105263002216816,0.9230769872665405,0.05263160169124603,0.5],0],
				["cowboy_cowboydefault_leftboot-sheet1.png", 2751, 22, 1, 20, 26, 1, 0, 0,[],[0.550000011920929,0.4230769872665405,0.5,0.4230769872665405,0.949999988079071,0.03846149891614914,1,0.5,1,1,0.1000000014901161,0.9230769872665405,0.05000000074505806,0.5],0],
				["cowboy_cowboydefault_leftboot-sheet0.png", 2333, 24, 32, 20, 27, 1, 0, 0,[],[0.5,0.3703700006008148,0.5,0.3333329856395721,0.8500000238418579,0.1111110001802445,0.8999999761581421,0.4814809858798981,0.8500000238418579,0.8888890147209168,0.5,0.8888890147209168,0.1000000014901161,0.9259259700775147,0.05000000074505806,0.4814809858798981],0],
				["cowboy_cowboydefault_leftboot-sheet0.png", 2333, 1, 36, 20, 27, 1, 0, 0,[],[0.5,0.3703700006008148,0.5,0.3703700006008148,0.8999999761581421,0.07407409697771072,0.8999999761581421,0.9259259700775147,0.1000000014901161,0.9259259700775147,0.05000000074505806,0.4814809858798981],0],
				["cowboy_cowboydefault_leftboot-sheet1.png", 2751, 1, 31, 18, 26, 1, 0, 0,[],[0.5555559992790222,0.3846150040626526,0.5,0.3846150040626526,0.9444440007209778,0.03846149891614914,1,0.5,0.9444440007209778,0.9615380167961121,0.5,0.9230769872665405,0.05555560067296028,0.9615380167961121,0.05555560067296028,0.5],0],
				["cowboy_cowboydefault_leftboot-sheet1.png", 2751, 22, 29, 19, 26, 1, 0, 0,[],[0.5789470076560974,0.4230769872665405,0.4736840128898621,0.4615379869937897,0.9473680257797241,0.03846149891614914,1,0.5,0.9473680257797241,0.9615380167961121,0.4736840128898621,0.9615380167961121,0.105263002216816,0.9230769872665405,0.05263160169124603,0.5],0],
				["cowboy_cowboydefault_leftboot-sheet1.png", 2751, 43, 29, 19, 26, 1, 0, 0,[],[0.5263159871101379,0.3846150040626526,0.4736840128898621,0.3846150040626526,0.8947370052337647,0.07692310214042664,0.8947370052337647,0.9230769872665405,0.105263002216816,0.9230769872665405,0.05263160169124603,0.5],0],
				["cowboy_cowboydefault_leftboot-sheet0.png", 2333, 1, 1, 21, 33, 1, 0, 0,[],[0.5238100290298462,0.3333329856395721,0.4761900007724762,0.4848479926586151,0.8095239996910095,0.1212119981646538,0.9523810148239136,0.4848479926586151,0.9047619700431824,0.9393939971923828,0.4761900007724762,0.9090909957885742,0.04761900007724762,0.9696969985961914,0.04761900007724762,0.4848479926586151],0],
				["cowboy_cowboydefault_leftboot-sheet0.png", 2333, 24, 1, 21, 29, 1, 0, 0,[],[0.5714290142059326,0.4137929975986481,0.4761900007724762,0.44827601313591,0.9047619700431824,0.06896550208330154,0.9047619700431824,0.9310349822044373,0.4761900007724762,0.965516984462738,0.095238097012043,0.9310349822044373,0.04761900007724762,0.4827589988708496],0],
				["cowboy_cowboydefault_leftboot-sheet1.png", 2751, 1, 1, 19, 28, 1, 0, 0,[],[0.5263159871101379,0.3571430146694183,0.4736840128898621,0.3571430146694183,0.8947370052337647,0.07142859697341919,0.8947370052337647,0.5,0.7894740104675293,0.857142984867096,0.4736840128898621,0.857142984867096,0.105263002216816,0.9285709857940674,0.05263160169124603,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		8940388481458724,
		[],
		null
	]
,	[
		"t97",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			7832097912397067,
			[
				["cowboy_cowboydefault_lefthand-sheet0.png", 355, 0, 0, 17, 22, 1, 0, 0,[],[0.1764709949493408,0.1363639980554581,0.8235290050506592,0.1363639980554581,0.9411759972572327,0.5,0.8235290050506592,0.8636360168457031,0.4705879986286163,0.9090909957885742,0.2352939993143082,0.8181819915771484,0.05882349982857704,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		3642540970840574,
		[],
		null
	]
,	[
		"t98",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			92037414261947,
			[
				["cowboy_cowboydefault_leftupperarm-sheet0.png", 2180, 31, 1, 28, 19, 1, 0, 0,[],[0.07142859697341919,0.105263002216816,0.5,0,0.8928570151329041,0.1578949987888336,1,0.4736840128898621,0.9285709857940674,0.8947370052337647,0.5,1,0.1071429997682571,0.842104971408844,0,0.4736840128898621],0],
				["cowboy_cowboydefault_leftupperarm-sheet0.png", 2180, 31, 22, 28, 19, 1, 0, 0,[],[0.07142859697341919,0.105263002216816,0.5,0,0.8928570151329041,0.1578949987888336,1,0.4736840128898621,0.9285709857940674,0.8947370052337647,0.5,1,0.1071429997682571,0.842104971408844,0,0.4736840128898621],0],
				["cowboy_cowboydefault_leftupperarm-sheet0.png", 2180, 1, 31, 28, 19, 1, 0, 0,[],[0.07142859697341919,0.105263002216816,0.5,0,0.8928570151329041,0.1578949987888336,1,0.4736840128898621,0.9285709857940674,0.8947370052337647,0.5,1,0.1071429997682571,0.842104971408844,0,0.4736840128898621],0],
				["cowboy_cowboydefault_leftupperarm-sheet0.png", 2180, 1, 1, 28, 28, 1, 0, 0,[],[0.2142859995365143,0.2142859995365143,0.5,0.1071429997682571,0.7857139706611633,0.2142859995365143,1,0.5,0.8214290142059326,0.8214290142059326,0.5,0.857142984867096,0.1785710006952286,0.8214290142059326,0,0.5],0],
				["cowboy_cowboydefault_leftupperarm-sheet0.png", 2180, 31, 43, 28, 19, 1, 0, 0,[],[0.07142859697341919,0.105263002216816,0.5,0,0.8928570151329041,0.1578949987888336,1,0.4736840128898621,0.9285709857940674,0.8947370052337647,0.5,1,0.1071429997682571,0.842104971408844,0,0.4736840128898621],0],
				["cowboy_cowboydefault_leftupperarm-sheet0.png", 2180, 1, 31, 28, 19, 1, 0, 0,[],[0.07142859697341919,0.105263002216816,0.5,0,0.8928570151329041,0.1578949987888336,1,0.4736840128898621,0.9285709857940674,0.8947370052337647,0.5,1,0.1071429997682571,0.842104971408844,0,0.4736840128898621],0],
				["cowboy_cowboydefault_leftupperarm-sheet1.png", 1741, 1, 1, 28, 19, 1, 0, 0,[],[0.07142859697341919,0.105263002216816,0.5,0,0.8928570151329041,0.1578949987888336,1,0.4736840128898621,0.8928570151329041,0.842104971408844,0.5,1,0.1071429997682571,0.842104971408844,0,0.4736840128898621],0],
				["cowboy_cowboydefault_leftupperarm-sheet1.png", 1741, 31, 1, 28, 19, 1, 0, 0,[],[0.07142859697341919,0.105263002216816,0.5,0,0.8928570151329041,0.1578949987888336,1,0.4736840128898621,0.9285709857940674,0.8947370052337647,0.5,1,0.1071429997682571,0.842104971408844,0,0.4736840128898621],0],
				["cowboy_cowboydefault_leftupperarm-sheet1.png", 1741, 1, 22, 28, 19, 1, 0, 0,[],[0.07142859697341919,0.105263002216816,0.5,0,0.8928570151329041,0.1578949987888336,1,0.4736840128898621,0.8928570151329041,0.842104971408844,0.5,1,0.1071429997682571,0.842104971408844,0,0.4736840128898621],0],
				["cowboy_cowboydefault_leftupperarm-sheet1.png", 1741, 31, 22, 28, 19, 1, 0, 0,[],[0.07142859697341919,0.105263002216816,0.5,0,0.8928570151329041,0.1578949987888336,1,0.4736840128898621,0.8928570151329041,0.842104971408844,0.5,1,0.1071429997682571,0.842104971408844,0,0.4736840128898621],0]
			]
			]
		],
		[
		],
		false,
		false,
		4934524682373763,
		[],
		null
	]
,	[
		"t99",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			9991496571259252,
			[
				["cowboy_cowboydefault_leftforearm-sheet1.png", 1326, 27, 1, 25, 20, 1, 0, 0,[],[0.119999997317791,0.1500000059604645,0.4799999892711639,0.05000000074505806,0.8799999952316284,0.1500000059604645,1,0.5,0.9599999785423279,0.949999988079071,0.4799999892711639,0.8999999761581421,0.1599999964237213,0.800000011920929,0,0.5],0],
				["cowboy_cowboydefault_leftforearm-sheet0.png", 1678, 1, 1, 24, 21, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.9166669845581055,0.095238097012043,1,0.4761900007724762,0.9583330154418945,0.9523810148239136,0.5,0.857142984867096,0.2083330005407333,0.7619050145149231,0.04166670143604279,0.4761900007724762],0],
				["cowboy_cowboydefault_leftforearm-sheet0.png", 1678, 27, 1, 24, 21, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.9166669845581055,0.095238097012043,1,0.4761900007724762,0.9583330154418945,0.9523810148239136,0.5,0.857142984867096,0.2083330005407333,0.7619050145149231,0,0.4761900007724762],0],
				["cowboy_cowboydefault_leftforearm-sheet0.png", 1678, 27, 1, 24, 21, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.9166669845581055,0.095238097012043,1,0.4761900007724762,0.9583330154418945,0.9523810148239136,0.5,0.857142984867096,0.2083330005407333,0.7619050145149231,0,0.4761900007724762],0],
				["cowboy_cowboydefault_leftforearm-sheet0.png", 1678, 1, 24, 24, 21, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.9166669845581055,0.095238097012043,0.9583330154418945,0.4761900007724762,0.9583330154418945,0.9523810148239136,0.5,0.9047619700431824,0.2083330005407333,0.7619050145149231,0,0.4761900007724762],0],
				["cowboy_cowboydefault_leftforearm-sheet0.png", 1678, 27, 1, 24, 21, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.9166669845581055,0.095238097012043,1,0.4761900007724762,0.9583330154418945,0.9523810148239136,0.5,0.857142984867096,0.2083330005407333,0.7619050145149231,0,0.4761900007724762],0],
				["cowboy_cowboydefault_leftforearm-sheet1.png", 1326, 27, 23, 25, 20, 1, 0, 0,[],[0.119999997317791,0.1500000059604645,0.4799999892711639,0,0.8799999952316284,0.1500000059604645,0.9599999785423279,0.5,0.9599999785423279,0.949999988079071,0.4799999892711639,0.8999999761581421,0.1599999964237213,0.800000011920929,0,0.5],0],
				["cowboy_cowboydefault_leftforearm-sheet0.png", 1678, 27, 24, 24, 21, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.9166669845581055,0.095238097012043,1,0.4761900007724762,0.9583330154418945,0.9523810148239136,0.5,0.9047619700431824,0.2083330005407333,0.7619050145149231,0,0.4761900007724762],0],
				["cowboy_cowboydefault_leftforearm-sheet1.png", 1326, 1, 1, 24, 21, 1, 0, 0,[],[0.125,0.1428570002317429,0.5,0,0.9166669845581055,0.095238097012043,1,0.4761900007724762,0.9583330154418945,0.9523810148239136,0.5,0.857142984867096,0.2083330005407333,0.7619050145149231,0,0.4761900007724762],0],
				["cowboy_cowboydefault_leftforearm-sheet2.png", 548, 0, 0, 25, 20, 1, 0, 0,[],[0.1599999964237213,0.2000000029802322,0.4799999892711639,0.05000000074505806,0.8799999952316284,0.1500000059604645,0.9599999785423279,0.5,0.9599999785423279,0.949999988079071,0.4799999892711639,0.949999988079071,0.1599999964237213,0.800000011920929,0,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		9687210456880722,
		[],
		null
	]
,	[
		"t100",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			3334664126288218,
			[
				["cowboy_cowboydefault_head-sheet0.png", 2287, 0, 0, 77, 100, 1, 0, 0,[],[0.1558440029621124,0.119999997317791,0.4935060143470764,0.05999999865889549,0.8311690092086792,0.1299999952316284,0.9480519890785217,0.5,0.9090909957885742,0.9300000071525574,0.4935060143470764,0.8799999952316284,0.2337660044431686,0.8199999928474426,0.05194810032844544,0.5],0],
				["cowboy_cowboydefault_head-sheet1.png", 2990, 0, 0, 76, 100, 1, 0, 0,[],[0.1578949987888336,0.119999997317791,0.5,0.07000000029802322,0.8289470076560974,0.1299999952316284,0.9736840128898621,0.5,0.9210529923439026,0.9399999976158142,0.5,0.8799999952316284,0.236842006444931,0.8199999928474426,0.05263160169124603,0.5],0],
				["cowboy_cowboydefault_head-sheet2.png", 3063, 0, 0, 78, 97, 1, 0, 0,[],[0.1282050013542175,0.1030929982662201,0.5,0.04123710095882416,0.8589739799499512,0.1134020015597343,0.9743589758872986,0.4948450028896332,0.910256028175354,0.9278349876403809,0.5,0.8762890100479126,0.2435899972915649,0.8041239976882935,0.08974359929561615,0.4948450028896332],0]
			]
			]
		],
		[
		],
		false,
		false,
		3247835865313474,
		[],
		null
	]
,	[
		"t101",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			431722345420518,
			[
				["cowboy_cowboydefault_body-sheet1.png", 4864, 1, 1, 60, 81, 1, 0, 0,[],[0.01666669920086861,0.0123456995934248,0.5,0.0123456995934248,0.8833330273628235,0.08641979843378067,1,0.4938269853591919,0.9166669845581055,0.9382719993591309,0.5,0.9629629850387573,0.1500000059604645,0.8888890147209168,0.06666669994592667,0.4938269853591919],0],
				["cowboy_cowboydefault_body-sheet0.png", 17652, 188, 94, 59, 83, 1, 0, 0,[],[0.08474580198526382,0.06024099886417389,0.4915249943733215,0,0.8983049988746643,0.07228919863700867,1,0.4939759969711304,0.8983049988746643,0.9277110099792481,0.4915249943733215,0.9638550281524658,0.1694920063018799,0.8795179724693298,0.05084750056266785,0.4939759969711304],0],
				["cowboy_cowboydefault_body-sheet0.png", 17652, 1, 93, 62, 85, 1, 0, 0,[],[0.04838709905743599,0.03529410064220429,0.5,0.02352939918637276,0.8709679841995239,0.09411759674549103,1,0.4941180050373077,0.9193549752235413,0.9411759972572327,0.5,0.9411759972572327,0.1774190068244934,0.8705880045890808,0.09677419811487198,0.4941180050373077],0],
				["cowboy_cowboydefault_body-sheet0.png", 17652, 125, 1, 58, 91, 1, 0, 0,[],[0.03448279947042465,0.02197800017893314,0.5,0.03296700119972229,0.8793100118637085,0.07692310214042664,1,0.494504988193512,0.8448280096054077,0.9010990262031555,0.5,0.8901100158691406,0.2413789927959442,0.8461539745330811,0.03448279947042465,0.494504988193512],0],
				["cowboy_cowboydefault_body-sheet0.png", 17652, 125, 94, 61, 84, 1, 0, 0,[],[0.01639340072870255,0.01190480031073093,0.491802990436554,0.01190480031073093,0.8852459788322449,0.08333329856395721,0.9836069941520691,0.5,0.9016389846801758,0.9285709857940674,0.491802990436554,0.9285709857940674,0.1803279966115952,0.869047999382019,0.08196719735860825,0.5],0],
				["cowboy_cowboydefault_body-sheet0.png", 17652, 65, 1, 58, 95, 1, 0, 0,[],[0.08620689809322357,0.05263160169124603,0.5,0.06315790116786957,0.8448280096054077,0.09473679959774017,1,0.4947369992733002,0.8448280096054077,0.9052630066871643,0.5,0.884211003780365,0.2586210072040558,0.842104971408844,0.05172409862279892,0.4947369992733002],0],
				["cowboy_cowboydefault_body-sheet0.png", 17652, 1, 1, 62, 90, 1, 0, 0,[],[0.0645160973072052,0.04444440081715584,0.5,0.03333330154418945,0.8870970010757446,0.07777780294418335,0.9838709831237793,0.5,0.8709679841995239,0.9111109972000122,0.5,0.9111109972000122,0.2258059978485107,0.8444439768791199,0.08064520359039307,0.5],0],
				["cowboy_cowboydefault_body-sheet1.png", 4864, 63, 1, 56, 79, 1, 0, 0,[],[0.125,0.08860760182142258,0.5,0.01265820022672415,0.875,0.08860760182142258,0.982142984867096,0.4936710000038147,0.9285709857940674,0.9493669867515564,0.5,0.9746840000152588,0.125,0.9113919734954834,0.01785710081458092,0.4936710000038147],0],
				["cowboy_cowboydefault_body-sheet0.png", 17652, 65, 98, 58, 84, 1, 0, 0,[],[0.1379310041666031,0.095238097012043,0.5,0.01190480031073093,0.8793100118637085,0.08333329856395721,0.9827589988708496,0.5,0.8965520262718201,0.9285709857940674,0.5,0.9285709857940674,0.1724140048027039,0.880952000617981,0.03448279947042465,0.5],0],
				["cowboy_cowboydefault_body-sheet0.png", 17652, 185, 1, 58, 91, 1, 0, 0,[],[0.05172409862279892,0.03296700119972229,0.5,0.04395600035786629,0.8620690107345581,0.08791209757328033,0.9827589988708496,0.494504988193512,0.8620690107345581,0.9120879769325256,0.5,0.9120879769325256,0.224138006567955,0.857142984867096,0.03448279947042465,0.494504988193512],0]
			]
			]
		],
		[
		],
		false,
		false,
		783029824083005,
		[],
		null
	]
,	[
		"t102",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			9163557157117541,
			[
				["cowboy_cowboydefault_hip-sheet0.png", 14342, 1, 1, 44, 91, 1, 0, 0,[],[0.1136360019445419,0.05494510009884834,0.5,0.05494510009884834,0.7272729873657227,0.1318680047988892,1,0.494504988193512,0.7045450210571289,0.857142984867096,0.5,0.9120879769325256,0.1590909957885742,0.9230769872665405],0],
				["cowboy_cowboydefault_hip-sheet0.png", 14342, 47, 1, 41, 94, 1, 0, 0,[],[0.04878050088882446,0.02127660065889359,0.4878050088882446,0.07446809858083725,0.6829270124435425,0.1382980048656464,1,0.5,0.6829270124435425,0.861702024936676,0.4878050088882446,0.9148939847946167,0.1463409960269928,0.9361699819564819,0.07317069917917252,0.5],0],
				["cowboy_cowboydefault_hip-sheet0.png", 14342, 43, 97, 40, 86, 1, 0, 0,[],[0.05000000074505806,0.02325580082833767,0.5,0.08139540255069733,0.699999988079071,0.1395349949598312,1,0.5,0.7250000238418579,0.8720930218696594,0.5,0.9534879922866821,0.05000000074505806,0.9767439961433411,0.02500000037252903,0.5],0],
				["cowboy_cowboydefault_hip-sheet0.png", 14342, 90, 93, 40, 90, 1, 0, 0,[],[0.05000000074505806,0.02222220040857792,0.5,0.07777780294418335,0.699999988079071,0.1333329975605011,1,0.5,0.699999988079071,0.8666669726371765,0.5,0.9111109972000122,0.125,0.9444440007209778,0.05000000074505806,0.5],0],
				["cowboy_cowboydefault_hip-sheet0.png", 14342, 173, 1, 41, 88, 1, 0, 0,[],[0.04878050088882446,0.02272729948163033,0.4878050088882446,0.06818179786205292,0.7073169946670532,0.1363639980554581,1,0.5,0.731706976890564,0.875,0.4878050088882446,0.9431819915771484,0.1219509989023209,0.9431819915771484,0.07317069917917252,0.5],0],
				["cowboy_cowboydefault_hip-sheet0.png", 14342, 1, 94, 40, 90, 1, 0, 0,[],[0.05000000074505806,0.02222220040857792,0.5,0.08888889849185944,0.699999988079071,0.1333329975605011,1,0.5,0.699999988079071,0.8666669726371765,0.5,0.9333329796791077,0.1000000014901161,0.9555559754371643,0.02500000037252903,0.5],0],
				["cowboy_cowboydefault_hip-sheet0.png", 14342, 90, 1, 41, 90, 1, 0, 0,[],[0.07317069917917252,0.03333330154418945,0.4878050088882446,0.06666669994592667,0.7073169946670532,0.1333329975605011,1,0.5,0.7073169946670532,0.8666669726371765,0.4878050088882446,0.9222220182418823,0.1219509989023209,0.9444440007209778,0.04878050088882446,0.5],0],
				["cowboy_cowboydefault_hip-sheet0.png", 14342, 173, 91, 41, 88, 1, 0, 0,[],[0.04878050088882446,0.02272729948163033,0.4878050088882446,0.06818179786205292,0.7073169946670532,0.1363639980554581,1,0.5,0.731706976890564,0.875,0.4878050088882446,0.9431819915771484,0.1219509989023209,0.9431819915771484,0.07317069917917252,0.5],0],
				["cowboy_cowboydefault_hip-sheet0.png", 14342, 133, 1, 38, 95, 1, 0, 0,[],[0.105263002216816,0.0421052984893322,0.5,0.05263160169124603,0.7894740104675293,0.08421050012111664,1,0.4947369992733002,0.657895028591156,0.8631579875946045,0.5,0.884211003780365,0.236842006444931,0.9052630066871643,0.105263002216816,0.4947369992733002],0]
			]
			]
		],
		[
		],
		false,
		false,
		6839137786166706,
		[],
		null
	]
,	[
		"t103",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			8031825240907565,
			[
				["cowboy_cowboydefault_rightclaf-sheet0.png", 1767, 37, 1, 17, 14, 1, 0, 0,[],[0.1176469996571541,0.1428570002317429,0.4705879986286163,0,0.8823530077934265,0.1428570002317429,1,0.5,0.8823530077934265,0.857142984867096,0.4705879986286163,1,0.1764709949493408,0.7857139706611633,0,0.5],0],
				["cowboy_cowboydefault_rightclaf-sheet0.png", 1767, 37, 17, 17, 14, 1, 0, 0,[],[0.1176469996571541,0.1428570002317429,0.4705879986286163,0,0.8235290050506592,0.2142859995365143,1,0.5,0.9411759972572327,0.9285709857940674,0.4705879986286163,1,0.1176469996571541,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_rightclaf-sheet0.png", 1767, 1, 18, 17, 14, 1, 0, 0,[],[0.1176469996571541,0.1428570002317429,0.4705879986286163,0,0.8235290050506592,0.2142859995365143,1,0.5,0.9411759972572327,0.9285709857940674,0.4705879986286163,1,0.1176469996571541,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_rightclaf-sheet0.png", 1767, 37, 17, 17, 14, 1, 0, 0,[],[0.1176469996571541,0.1428570002317429,0.4705879986286163,0,0.8235290050506592,0.2142859995365143,1,0.5,0.9411759972572327,0.9285709857940674,0.4705879986286163,1,0.1176469996571541,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_rightclaf-sheet0.png", 1767, 20, 33, 17, 14, 1, 0, 0,[],[0.1176469996571541,0.1428570002317429,0.4705879986286163,0,0.8235290050506592,0.2142859995365143,1,0.5,0.9411759972572327,0.9285709857940674,0.4705879986286163,1,0.1176469996571541,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_rightclaf-sheet0.png", 1767, 37, 17, 17, 14, 1, 0, 0,[],[0.1176469996571541,0.1428570002317429,0.4705879986286163,0,0.8235290050506592,0.2142859995365143,1,0.5,0.9411759972572327,0.9285709857940674,0.4705879986286163,1,0.1176469996571541,0.857142984867096,0,0.5],0],
				["cowboy_cowboydefault_rightclaf-sheet0.png", 1767, 1, 1, 16, 15, 1, 0, 0,[],[0.0625,0.06666669994592667,0.5,0.06666669994592667,0.8125,0.2000000029802322,1,0.4666669964790344,0.875,0.8666669726371765,0.5,1,0.1875,0.800000011920929,0,0.4666669964790344],0],
				["cowboy_cowboydefault_rightclaf-sheet0.png", 1767, 19, 1, 16, 15, 1, 0, 0,[],[0.0625,0.06666669994592667,0.5,0.06666669994592667,0.8125,0.2000000029802322,1,0.4666669964790344,0.875,0.8666669726371765,0.5,1,0.1875,0.800000011920929,0,0.4666669964790344],0]
			]
			]
		],
		[
		],
		false,
		false,
		1815154512264847,
		[],
		null
	]
,	[
		"t104",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			5679525399873727,
			[
				["cowboy_cowboydefault_righttigh-sheet0.png", 5104, 49, 1, 22, 39, 1, 0, 0,[],[0.1363639980554581,0.07692310214042664,0.5,0.05128210037946701,0.7727270126342773,0.1282050013542175,1,0.4871790111064911,0.7727270126342773,0.8717949986457825,0.5,1,0.1363639980554581,0.9230769872665405,0,0.4871790111064911],0],
				["cowboy_cowboydefault_righttigh-sheet0.png", 5104, 73, 1, 22, 39, 1, 0, 0,[],[0.1363639980554581,0.07692310214042664,0.5,0.05128210037946701,0.7727270126342773,0.1282050013542175,1,0.4871790111064911,0.7727270126342773,0.8717949986457825,0.5,1,0.1818179935216904,0.8974360227584839,0,0.4871790111064911],0],
				["cowboy_cowboydefault_righttigh-sheet0.png", 5104, 97, 1, 22, 39, 1, 0, 0,[],[0.1818179935216904,0.1025639995932579,0.5,0.02564099989831448,0.7727270126342773,0.1282050013542175,1,0.4871790111064911,0.7727270126342773,0.8717949986457825,0.5,0.9743589758872986,0.1818179935216904,0.8974360227584839,0.04545449838042259,0.4871790111064911],0],
				["cowboy_cowboydefault_righttigh-sheet0.png", 5104, 25, 1, 22, 40, 1, 0, 0,[],[0.1363639980554581,0.07500000298023224,0.5,0.02500000037252903,0.7727270126342773,0.125,1,0.5,0.7727270126342773,0.875,0.5,1,0.1818179935216904,0.8999999761581421,0,0.5],0],
				["cowboy_cowboydefault_righttigh-sheet0.png", 5104, 49, 42, 22, 39, 1, 0, 0,[],[0.1363639980554581,0.07692310214042664,0.5,0.05128210037946701,0.7727270126342773,0.1282050013542175,1,0.4871790111064911,0.7727270126342773,0.8717949986457825,0.5,1,0.1818179935216904,0.8974360227584839,0,0.4871790111064911],0],
				["cowboy_cowboydefault_righttigh-sheet0.png", 5104, 73, 1, 22, 39, 1, 0, 0,[],[0.1363639980554581,0.07692310214042664,0.5,0.05128210037946701,0.7727270126342773,0.1282050013542175,1,0.4871790111064911,0.7727270126342773,0.8717949986457825,0.5,1,0.1818179935216904,0.8974360227584839,0,0.4871790111064911],0],
				["cowboy_cowboydefault_righttigh-sheet0.png", 5104, 1, 1, 22, 42, 1, 0, 0,[],[0.1363639980554581,0.07142859697341919,0.5,0.095238097012043,0.7272729873657227,0.1428570002317429,1,0.5,0.7727270126342773,0.880952000617981,0.5,0.9761899709701538,0.1363639980554581,0.9285709857940674,0,0.5],0],
				["cowboy_cowboydefault_righttigh-sheet0.png", 5104, 73, 42, 22, 39, 1, 0, 0,[],[0.1363639980554581,0.07692310214042664,0.5,0.05128210037946701,0.7727270126342773,0.1282050013542175,1,0.4871790111064911,0.7727270126342773,0.8717949986457825,0.5,1,0.1818179935216904,0.8974360227584839,0,0.4871790111064911],0]
			]
			]
		],
		[
		],
		false,
		false,
		255291869629264,
		[],
		null
	]
,	[
		"t105",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			8471427035950152,
			[
				["cowboy_cowboydefault_holster-sheet0.png", 2161, 1, 28, 35, 27, 1, 0, 0,[],[0.171428993344307,0.2222220003604889,0.4857139885425568,0.03703700006008148,0.9142860174179077,0.1111110001802445,0.942857027053833,0.4814809858798981,0.6571429967880249,0.5555559992790222,0.4857139885425568,0.9629629850387573,0.171428993344307,0.7777779698371887],0],
				["cowboy_cowboydefault_holster-sheet0.png", 2161, 1, 1, 46, 25, 1, 0, 0,[],[0.1739130020141602,0.3199999928474426,0.5,0.07999999821186066,0.9565219879150391,0.07999999821186066,1,0.4799999892711639,0.9782609939575195,0.9599999785423279,0.5,0.9599999785423279,0.1956519931554794,0.6399999856948853,0,0.4799999892711639],0],
				["cowboy_cowboydefault_holster-sheet1.png", 1166, 1, 1, 35, 27, 1, 0, 0,[],[0.171428993344307,0.2222220003604889,0.4857139885425568,0.03703700006008148,0.9142860174179077,0.1111110001802445,0.942857027053833,0.4814809858798981,0.6571429967880249,0.5555559992790222,0.4857139885425568,0.9629629850387573,0.171428993344307,0.7777779698371887],0],
				["cowboy_cowboydefault_holster-sheet2.png", 902, 1, 27, 38, 16, 1, 0, 0,[],[0.105263002216816,0.25,0.5,0.3125,0.9210529923439026,0.1875,0.9210529923439026,0.5,0.8157889842987061,0.5625,0.5,0.5625,0.07894740253686905,0.8125,0.02631580084562302,0.5],0],
				["cowboy_cowboydefault_holster-sheet2.png", 902, 1, 1, 29, 24, 1, 0, 0,[],[0.1724140048027039,0.2083330005407333,0.8275859951972961,0.2083330005407333,0.965516984462738,0.5,0.8965520262718201,0.875,0.4827589988708496,0.9583330154418945,0.06896550208330154,0.9166669845581055,0.03448279947042465,0.5],0],
				["cowboy_cowboydefault_holster-sheet1.png", 1166, 1, 30, 44, 21, 1, 0, 0,[],[0.02272729948163033,0.04761900007724762,0.5,0.04761900007724762,0.8636360168457031,0.2857140004634857,0.9318180084228516,0.857142984867096,0.5,0.2857140004634857,0.3409090042114258,0.2857140004634857,0.6818180084228516,0.4761900007724762],0]
			]
			]
		],
		[
		],
		false,
		false,
		9749702094909136,
		[],
		null
	]
,	[
		"t106",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			9414921246413443,
			[
				["cowboy_cowboydefault_hat-sheet2.png", 7769, 1, 1, 57, 130, 1, 0, 0,[],[0.456140011548996,0.2000000029802322,0.4912280142307282,0.1307689994573593,0.842104971408844,0.06923080235719681,0.6666669845581055,0.5,0.9824560284614563,0.9923080205917358,0.4912280142307282,0.8153849840164185,0.4210529923439026,0.8153849840164185,0.01754390075802803,0.5],0],
				["cowboy_cowboydefault_hat-sheet2.png", 7769, 60, 1, 57, 130, 1, 0, 0,[],[0.456140011548996,0.2000000029802322,0.4912280142307282,0.1307689994573593,0.842104971408844,0.06923080235719681,0.6666669845581055,0.5,0.9824560284614563,0.9923080205917358,0.4912280142307282,0.8153849840164185,0.4210529923439026,0.8153849840164185,0.01754390075802803,0.5],0],
				["cowboy_cowboydefault_hat-sheet2.png", 7769, 119, 1, 53, 131, 1, 0, 0,[],[0.528302013874054,0.2137400060892105,0.4905659854412079,0.2366410046815872,0.9622640013694763,0.01526719983667135,0.6981130242347717,0.4961830079555512,0.9622640013694763,0.984732985496521,0.4905659854412079,0.8167939782142639,0.4905659854412079,0.8015270233154297,0,0.4961830079555512],0],
				["cowboy_cowboydefault_hat-sheet1.png", 9883, 1, 1, 92, 129, 1, 0, 0,[],[0.3586960136890411,0.2558139860630035,0.5,0.1860470026731491,0.8478260040283203,0.1085269972681999,0.9782609939575195,0.4961239993572235,0.9565219879150391,0.9689919948577881,0.5,0.8992249965667725,0.2934780120849609,0.7906979918479919,0.2282609939575195,0.4961239993572235],0],
				["cowboy_cowboydefault_hat-sheet1.png", 9883, 172, 1, 76, 126, 1, 0, 0,[],[0.4210529923439026,0.2539680004119873,0.9605259895324707,0.02380950003862381,0.7894740104675293,0.5,0.7894740104675293,0.8730159997940064,0.5,0.8253970146179199,0.3947370052337647,0.7619050145149231,0.05263160169124603,0.5],0],
				["cowboy_cowboydefault_hat-sheet0.png", 14442, 185, 1, 62, 136, 1, 0, 0,[],[0.4516130089759827,0.2058819979429245,0.5,0.2058819979429245,0.8064519762992859,0.08823529630899429,0.9516130089759827,0.5,0.8225809931755066,0.9191179871559143,0.5,0.860293984413147,0.3225809931755066,0.8529409766197205,0.04838709905743599,0.5],0],
				["cowboy_cowboydefault_hat-sheet1.png", 9883, 95, 1, 75, 157, 1, 0, 0,[],[0.3733330070972443,0.1783439964056015,0.4933330118656158,0.01273890025913715,0.7599999904632568,0.1146500036120415,0.8399999737739563,0.4968149960041046,0.7866669893264771,0.8980889916419983,0.4933330118656158,0.9936310052871704,0.4533329904079437,0.7834399938583374,0.01333330012857914,0.4968149960041046],0],
				["cowboy_cowboydefault_hat-sheet0.png", 14442, 1, 145, 110, 108, 1, 0, 0,[],[0.5,0.2222220003604889,0.699999988079071,0.3055559992790222,0.9909089803695679,0.5,0.8090909719467163,0.8055559992790222,0.5,0.8240739703178406,0.3363640010356903,0.6574069857597351,0.300000011920929,0.5],0],
				["cowboy_cowboydefault_hat-sheet0.png", 14442, 1, 1, 110, 142, 1, 0, 0,[],[0.4000000059604645,0.3098590075969696,0.6727269887924194,0.2535209953784943,0.7181820273399353,0.5,0.699999988079071,0.7676060199737549,0.5,0.9788730144500732,0.2727270126342773,0.7887319922447205,0.07272730022668839,0.5],0],
				["cowboy_cowboydefault_hat-sheet0.png", 14442, 113, 1, 70, 190, 1, 0, 0,[],[0.5,0.3157890141010284,0.7428569793701172,0.5,0.8999999761581421,0.9631580114364624,0.5,0.7473679780960083,0.5857139825820923,0.7842109799385071,0.1428570002317429,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		9476384786512703,
		[],
		null
	]
,	[
		"t107",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			7931120875594242,
			[
				["cowboy_cowboydefault_righthand-sheet0.png", 323, 0, 0, 22, 21, 1, 0, 0,[],[0.1818179935216904,0.1904760003089905,0.5,0.1428570002317429,0.7727270126342773,0.2380950003862381,0.8181819915771484,0.4761900007724762,0.8181819915771484,0.8095239996910095,0.5,0.9523810148239136,0.1818179935216904,0.8095239996910095,0.04545449838042259,0.4761900007724762],0]
			]
			]
		],
		[
		],
		false,
		false,
		7138926412502216,
		[],
		null
	]
,	[
		"t108",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			309852775936784,
			[
				["cowboy_cowboydefault_rightforearm-sheet1.png", 1310, 1, 1, 26, 23, 1, 0, 0,[],[0.115385003387928,0.1304350048303604,0.5,0.04347829893231392,0.9230769872665405,0.08695650100708008,0.9615380167961121,0.4782609939575195,0.9230769872665405,0.9130430221557617,0.5,0.8695650100708008,0.2307689934968948,0.7391300201416016,0.03846149891614914,0.4782609939575195],0],
				["cowboy_cowboydefault_rightforearm-sheet0.png", 2433, 31, 28, 26, 25, 1, 0, 0,[],[0.1923079937696457,0.2000000029802322,0.5,0.119999997317791,0.8461539745330811,0.1599999964237213,0.9615380167961121,0.4799999892711639,0.9615380167961121,0.9599999785423279,0.5,0.8799999952316284,0.2307689934968948,0.7599999904632568,0.03846149891614914,0.4799999892711639],0],
				["cowboy_cowboydefault_rightforearm-sheet0.png", 2433, 1, 1, 27, 25, 1, 0, 0,[],[0.1481480002403259,0.1599999964237213,0.4814809858798981,0.119999997317791,0.8518519997596741,0.1599999964237213,0.9259259700775147,0.4799999892711639,0.9259259700775147,0.9200000166893005,0.4814809858798981,0.8799999952316284,0.2222220003604889,0.7599999904632568,0.03703700006008148,0.4799999892711639],0],
				["cowboy_cowboydefault_rightforearm-sheet0.png", 2433, 1, 1, 27, 25, 1, 0, 0,[],[0.1481480002403259,0.1599999964237213,0.4814809858798981,0.119999997317791,0.8518519997596741,0.1599999964237213,0.9259259700775147,0.4799999892711639,0.9259259700775147,0.9200000166893005,0.4814809858798981,0.8799999952316284,0.2222220003604889,0.7599999904632568,0.03703700006008148,0.4799999892711639],0],
				["cowboy_cowboydefault_rightforearm-sheet1.png", 1310, 29, 1, 26, 23, 1, 0, 0,[],[0.115385003387928,0.1304350048303604,0.5,0.04347829893231392,0.9230769872665405,0.08695650100708008,0.9615380167961121,0.4782609939575195,0.9230769872665405,0.9130430221557617,0.5,0.8695650100708008,0.2307689934968948,0.7391300201416016,0.03846149891614914,0.4782609939575195],0],
				["cowboy_cowboydefault_rightforearm-sheet0.png", 2433, 1, 1, 27, 25, 1, 0, 0,[],[0.1481480002403259,0.1599999964237213,0.4814809858798981,0.119999997317791,0.8518519997596741,0.1599999964237213,0.9259259700775147,0.4799999892711639,0.9259259700775147,0.9200000166893005,0.4814809858798981,0.8799999952316284,0.2222220003604889,0.7599999904632568,0.03703700006008148,0.4799999892711639],0],
				["cowboy_cowboydefault_rightforearm-sheet1.png", 1310, 1, 26, 26, 22, 1, 0, 0,[],[0.1538459956645966,0.1818179935216904,0.5,0.04545449838042259,0.8846150040626526,0.1363639980554581,0.9615380167961121,0.5,0.9615380167961121,0.9545450210571289,0.5,0.9090909957885742,0.1923079937696457,0.7727270126342773,0.03846149891614914,0.5],0],
				["cowboy_cowboydefault_rightforearm-sheet0.png", 2433, 30, 1, 27, 25, 1, 0, 0,[],[0.1481480002403259,0.1599999964237213,0.4814809858798981,0.03999999910593033,0.8518519997596741,0.1599999964237213,0.9629629850387573,0.4799999892711639,0.8518519997596741,0.8399999737739563,0.4814809858798981,0.800000011920929,0.2592589855194092,0.7200000286102295,0.03703700006008148,0.4799999892711639],0],
				["cowboy_cowboydefault_rightforearm-sheet0.png", 2433, 1, 28, 28, 24, 1, 0, 0,[],[0.1428570002317429,0.1666669994592667,0.5,0.04166670143604279,0.857142984867096,0.1666669994592667,0.9285709857940674,0.5,0.9285709857940674,0.9166669845581055,0.5,0.8333330154418945,0.2142859995365143,0.75,0.0357142984867096,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		6544345338978074,
		[],
		null
	]
,	[
		"t109",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			3896888862141547,
			[
				["cowboy_cowboydefault_rightupperarm-sheet0.png", 6131, 71, 26, 30, 21, 1, 0, 0,[],[0.06666669994592667,0.095238097012043,0.5,0,0.8333330154418945,0.2380950003862381,0.9333329796791077,0.4761900007724762,0.9666669964790344,0.9523810148239136,0.5,1,0.1000000014901161,0.857142984867096,0,0.4761900007724762],0],
				["cowboy_cowboydefault_rightupperarm-sheet0.png", 6131, 37, 27, 31, 20, 1, 0, 0,[],[0.0645160973072052,0.1000000014901161,0.4838710129261017,0,0.8387100100517273,0.25,0.935483992099762,0.5,0.9677420258522034,0.949999988079071,0.4838710129261017,1,0.09677419811487198,0.8500000238418579,0.03225810080766678,0.5],0],
				["cowboy_cowboydefault_rightupperarm-sheet0.png", 6131, 1, 47, 31, 20, 1, 0, 0,[],[0.0645160973072052,0.1000000014901161,0.4838710129261017,0,0.8387100100517273,0.25,0.935483992099762,0.5,0.9677420258522034,0.949999988079071,0.4838710129261017,1,0.09677419811487198,0.8500000238418579,0.03225810080766678,0.5],0],
				["cowboy_cowboydefault_rightupperarm-sheet0.png", 6131, 71, 1, 31, 23, 1, 0, 0,[],[0.09677419811487198,0.1304350048303604,0.4838710129261017,0.04347829893231392,0.8387100100517273,0.2173909991979599,0.9677420258522034,0.4782609939575195,0.935483992099762,0.9130430221557617,0.4838710129261017,0.9565219879150391,0.1290320008993149,0.8260869979858398,0.03225810080766678,0.4782609939575195],0],
				["cowboy_cowboydefault_rightupperarm-sheet0.png", 6131, 34, 49, 31, 20, 1, 0, 0,[],[0.0645160973072052,0.1000000014901161,0.4838710129261017,0,0.8387100100517273,0.25,0.9677420258522034,0.5,0.9677420258522034,0.949999988079071,0.4838710129261017,1,0.09677419811487198,0.8500000238418579,0.03225810080766678,0.5],0],
				["cowboy_cowboydefault_rightupperarm-sheet0.png", 6131, 67, 49, 31, 20, 1, 0, 0,[],[0.03225810080766678,0.05000000074505806,0.4838710129261017,0,0.9032260179519653,0.1500000059604645,1,0.5,0.935483992099762,0.8999999761581421,0.4838710129261017,1,0.1612900048494339,0.75,0.0645160973072052,0.5],0],
				["cowboy_cowboydefault_rightupperarm-sheet0.png", 6131, 1, 26, 34, 19, 1, 0, 0,[],[0.02941180020570755,0.05263160169124603,0.5,0,0.8529409766197205,0.263157993555069,0.9117649793624878,0.4736840128898621,0.9411759972572327,0.8947370052337647,0.5,1,0.1470589935779572,0.7368419766426086,0.1470589935779572,0.4736840128898621],0],
				["cowboy_cowboydefault_rightupperarm-sheet0.png", 6131, 38, 1, 31, 24, 1, 0, 0,[],[0.0645160973072052,0.08333329856395721,0.4838710129261017,0.08333329856395721,0.8064519762992859,0.25,0.935483992099762,0.5,0.9677420258522034,0.9583330154418945,0.4838710129261017,1,0.09677419811487198,0.875,0,0.5],0],
				["cowboy_cowboydefault_rightupperarm-sheet0.png", 6131, 1, 1, 35, 23, 1, 0, 0,[],[0.05714289844036102,0.08695650100708008,0.4857139885425568,0.04347829893231392,0.857142984867096,0.2173909991979599,0.9142860174179077,0.4782609939575195,0.942857027053833,0.9130430221557617,0.4857139885425568,0.9130430221557617,0.1142859980463982,0.8260869979858398,0.05714289844036102,0.4782609939575195],0],
				["cowboy_cowboydefault_rightupperarm-sheet0.png", 6131, 1, 69, 31, 20, 1, 0, 0,[],[0.0645160973072052,0.1000000014901161,0.4838710129261017,0,0.8387100100517273,0.25,0.935483992099762,0.5,0.9677420258522034,0.949999988079071,0.4838710129261017,1,0.09677419811487198,0.8500000238418579,0.03225810080766678,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		2388178521996216,
		[],
		null
	]
,	[
		"t110",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			2418320423570911,
			[
				["cowboy_cowboydefault_rightboot-sheet0.png", 6665, 99, 1, 22, 33, 1, 0, 0,[],[0.5454549789428711,0.3636359870433807,0.5,0.3939389884471893,0.9090909957885742,0.06060609966516495,0.9090909957885742,0.4848479926586151,0.8181819915771484,0.8787879943847656,0.5,0.9090909957885742,0.1363639980554581,0.9090909957885742,0.09090910106897354,0.4848479926586151],0],
				["cowboy_cowboydefault_rightboot-sheet0.png", 6665, 1, 40, 23, 30, 1, 0, 0,[],[0.5217390060424805,0.4000000059604645,0.4782609939575195,0.4333330094814301,0.9565219879150391,0.03333330154418945,1,0.5,0.9565219879150391,0.9666669964790344,0.1304350048303604,0.8999999761581421,0.04347829893231392,0.5],0],
				["cowboy_cowboydefault_rightboot-sheet0.png", 6665, 52, 1, 21, 36, 1, 0, 0,[],[0.4761900007724762,0.2777779996395111,0.4761900007724762,0.08333329856395721,0.8095239996910095,0.1111110001802445,0.857142984867096,0.5,0.7142860293388367,0.8333330154418945,0.4761900007724762,0.8888890147209168,0.1904760003089905,0.8888890147209168,0.04761900007724762,0.5],0],
				["cowboy_cowboydefault_rightboot-sheet0.png", 6665, 75, 37, 21, 34, 1, 0, 0,[],[0.5714290142059326,0.3529410064220429,0.4761900007724762,0.4117650091648102,0.9047619700431824,0.05882349982857704,0.9047619700431824,0.5,0.8095239996910095,0.8823530077934265,0.4761900007724762,0.9117649793624878,0.1428570002317429,0.9117649793624878,0.095238097012043,0.5],0],
				["cowboy_cowboydefault_rightboot-sheet0.png", 6665, 26, 40, 19, 30, 1, 0, 0,[],[0.5263159871101379,0.3333329856395721,0.4736840128898621,0.4000000059604645,0.9473680257797241,0.03333330154418945,1,0.5,0.8947370052337647,0.9333329796791077,0.4736840128898621,0.9333329796791077,0.05263160169124603,0.9666669964790344,0.05263160169124603,0.5],0],
				["cowboy_cowboydefault_rightboot-sheet0.png", 6665, 52, 39, 21, 29, 1, 0, 0,[],[0.5714290142059326,0.4137929975986481,0.4761900007724762,0.44827601313591,0.9523810148239136,0.03448279947042465,1,0.4827589988708496,0.9523810148239136,0.965516984462738,0.4761900007724762,0.965516984462738,0.095238097012043,0.9310349822044373,0.04761900007724762,0.4827589988708496],0],
				["cowboy_cowboydefault_rightboot-sheet0.png", 6665, 99, 36, 22, 33, 1, 0, 0,[],[0.5454549789428711,0.3636359870433807,0.5,0.3939389884471893,0.9090909957885742,0.06060609966516495,0.9090909957885742,0.4848479926586151,0.8181819915771484,0.8787879943847656,0.5,0.9090909957885742,0.1363639980554581,0.9090909957885742,0.09090910106897354,0.4848479926586151],0],
				["cowboy_cowboydefault_rightboot-sheet0.png", 6665, 1, 1, 24, 37, 1, 0, 0,[],[0.625,0.4054049849510193,0.5,0.4594590067863464,0.875,0.0810810998082161,0.9583330154418945,0.4864859879016876,0.8333330154418945,0.8918920159339905,0.5,0.9459459781646729,0.08333329856395721,0.9459459781646729,0.125,0.4864859879016876],0],
				["cowboy_cowboydefault_rightboot-sheet0.png", 6665, 27, 1, 23, 37, 1, 0, 0,[],[0.6086959838867188,0.3783780038356781,0.4782609939575195,0.51351398229599,0.7826089859008789,0.1351349949836731,0.9565219879150391,0.4864859879016876,0.8260869979858398,0.8918920159339905,0.4782609939575195,0.9729729890823364,0.08695650100708008,0.9459459781646729,0.08695650100708008,0.4864859879016876],0],
				["cowboy_cowboydefault_rightboot-sheet0.png", 6665, 75, 1, 22, 34, 1, 0, 0,[],[0.5454549789428711,0.3529410064220429,0.5,0.3529410064220429,0.9090909957885742,0.05882349982857704,0.9090909957885742,0.5,0.7727270126342773,0.8529409766197205,0.5,0.9117649793624878,0.1363639980554581,0.9117649793624878,0.09090910106897354,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		6284330073164671,
		[],
		null
	]
,	[
		"t111",
		cr.plugins_.NinePatch,
		false,
		[],
		0,
		0,
		["missionsdisplayback.png", 122, 2],
		null,
		[
		],
		false,
		false,
		9225833014846463,
		[],
		null
	]
,	[
		"t112",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4078101135872002,
			[
				["checkbox-sheet0.png", 1839, 0, 0, 80, 74, 1, 0.512499988079071, 0.5135135054588318,[],[-0.3374999761581421,-0.3243244886398315,-0.01249998807907105,-0.3783785104751587,0.3125,-0.3108105063438416,0.362500011920929,-0.01351350545883179,0.3125,0.297297477722168,-0.01249998807907105,0.3513514995574951,-0.324999988079071,0.297297477722168,-0.387499988079071,-0.01351350545883179],0]
			]
			]
		],
		[
		],
		false,
		false,
		3637793879094352,
		[],
		null
	]
,	[
		"t113",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8785556017870232,
			[
				["check-sheet0.png", 3909, 0, 0, 85, 84, 1, 0.5058823823928833, 0.511904776096344,[],[-0.05882337689399719,-0.05952379107475281,-3.576278686523438e-007,-0.1547617614269257,0.3999996185302734,-0.4047617912292481,0.2588236331939697,-0.01190477609634399,-3.576278686523438e-007,0.2976192235946655,-0.2470583915710449,0.238095223903656,-0.4235294759273529,-0.01190477609634399],0]
			]
			]
		],
		[
		],
		false,
		false,
		1495526339845307,
		[],
		null
	]
,	[
		"t114",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1093241995332919,
			[
				["daily_booze-sheet0.png", 3416, 0, 0, 553, 92, 1, 0.5009041428565979, 0.5,[],[-0.4954791963100433,-0.467391312122345,-0.001808136701583862,-0.4782609045505524,0.4918628334999085,-0.4565216898918152,0.4575048685073853,0,0.4936708807945252,0.4673910140991211,-0.4972875118255615,0.4782609939575195],0]
			]
			]
		],
		[
		],
		false,
		false,
		1060366790712687,
		[],
		null
	]
,	[
		"t115",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			695770728221584,
			[
				["daily_b-sheet0.png", 2517, 0, 0, 82, 101, 1, 0.5, 0.5049505233764648,[],[-0.4390243887901306,-0.4554455280303955,0,-0.4851485192775726,0.3536589741706848,-0.386138528585434,0.4024389982223511,-0.009900510311126709,0.365854024887085,0.3861384987831116,0,0.4752475023269653,-0.4390243887901306,0.4455444812774658,-0.3902440071105957,-0.009900510311126709],0]
			]
			]
		],
		[
		[
			"Sine",
			cr.behaviors.Sin,
			6605144806111955
		]
		],
		false,
		false,
		1417408298419106,
		[],
		null
	]
,	[
		"t116",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5642304115762645,
			[
				["daily_e-sheet0.png", 1744, 0, 0, 78, 101, 1, 0.5, 0.5049505233764648,[],[-0.4358974099159241,-0.4554455280303955,0,-0.4851485192775726,0.4230769872665405,-0.4455446302890778,0.4615380167961121,-0.009900510311126709,0.4358969926834106,0.4455444812774658,0,0.4752475023269653,-0.4358974099159241,0.4455444812774658,-0.3974359929561615,-0.009900510311126709],0]
			]
			]
		],
		[
		[
			"Sine",
			cr.behaviors.Sin,
			4503738316633934
		]
		],
		false,
		false,
		3571966000886786,
		[],
		null
	]
,	[
		"t117",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4789245140764865,
			[
				["daily_o-sheet0.png", 2794, 0, 0, 82, 103, 1, 0.5, 0.5048543810844421,[],[-0.3414629995822907,-0.3786403834819794,0,-0.485436886548996,0.3414629697799683,-0.3786403834819794,0.4756100177764893,-0.009708374738693237,0.3536589741706848,0.3786405920982361,0,0.4757286310195923,-0.3414629995822907,0.3689315915107727,-0.4756098091602325,-0.009708374738693237],0]
			]
			]
		],
		[
		[
			"Sine",
			cr.behaviors.Sin,
			2928888867212856
		]
		],
		false,
		false,
		1428500867757999,
		[],
		null
	]
,	[
		"t118",
		cr.plugins_.Sprite,
		false,
		[9649101167041765,4263471990425527,8472860386875774,2065199550186494,1984357723664389],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9226483725158632,
			[
				["daily_z-sheet0.png", 2080, 0, 0, 76, 102, 1, 0.5, 0.5,[],[-0.4342105090618134,-0.4509803950786591,0,-0.480392187833786,0.434211015701294,-0.4509803950786591,0.4210529923439026,0,0.434211015701294,0.450980007648468,0,0.4705880284309387,-0.4342105090618134,0.450980007648468,-0.3552629947662354,0],0]
			]
			]
		],
		[
		[
			"Sine",
			cr.behaviors.Sin,
			6569389848607763
		]
		],
		false,
		false,
		1709663065798758,
		[],
		null
	]
,	[
		"t119",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			3138227147196227,
			[
				["daily_field_big_y-sheet0.png", 18770, 1, 1, 512, 96, 1, 0.5, 0.5,[],[-0.4737609028816223,-0.359375,0,-0.4375,0.4723029732704163,-0.3515619933605194,0.4868800044059753,0,0.4723029732704163,0.3515629768371582,0,0.4296879768371582,-0.4737609028816223,0.359375,-0.4883382022380829,0],0],
				["daily_field_big_y-sheet0.png", 18770, 1, 99, 512, 96, 1, 0.5, 0.5,[],[-0.4737609028816223,-0.359375,0,-0.4375,0.4723029732704163,-0.3515619933605194,0.4868800044059753,0,0.4723029732704163,0.3515629768371582,0,0.4296879768371582,-0.4737609028816223,0.359375,-0.4883382022380829,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		8001895629092601,
		[],
		null
	]
,	[
		"t120",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			4671504532524325,
			[
				["daily_field_small_y-sheet0.png", 5867, 0, 0, 166, 150, 1, 0.5, 0.5,[],[-0.3915660083293915,-0.3799999952316284,0,-0.4466666877269745,0.3855419754981995,-0.3733330070972443,0.4457830190658569,0,0.3855419754981995,0.3733329772949219,0,0.4399999976158142,-0.3915660083293915,0.3799999952316284,-0.4518072009086609,0],0],
				["daily_field_small_y-sheet1.png", 5909, 0, 0, 166, 150, 1, 0.5, 0.5,[],[-0.3915660083293915,-0.3799999952316284,0,-0.4466666877269745,0.3855419754981995,-0.3733330070972443,0.4457830190658569,0,0.3855419754981995,0.3733329772949219,0,0.4399999976158142,-0.3915660083293915,0.3799999952316284,-0.4518072009086609,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		2729764155379464,
		[],
		null
	]
,	[
		"t121",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3919376983644021,
			[
				["daily_coins-sheet0.png", 2390, 0, 0, 39, 43, 1, 0.5128205418586731, 0.5116279125213623,[],[-0.3076925277709961,-0.325580894947052,-0.02564153075218201,-0.4186046123504639,0.2820514440536499,-0.325580894947052,0.4102564454078674,-0.02325591444969177,0.2820514440536499,0.3023250699043274,-0.02564153075218201,0.4186050891876221,-0.3076925277709961,0.3023250699043274,-0.4102565348148346,-0.02325591444969177],0]
			]
			]
		],
		[
		],
		false,
		false,
		9200458917106449,
		[],
		null
	]
,	[
		"t122",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			6735187728902237,
			[
				["buttonbuyshop-sheet0.png", 5803, 0, 0, 109, 98, 0, 0.4587155878543854, 0.4795918464660645,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		2266006050013012,
		[],
		null
	]
,	[
		"t123",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			4993554887213042,
			[
				["buttonselectshop-sheet0.png", 4304, 0, 0, 109, 98, 0, 0.4587155878543854, 0.4795918464660645,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		4013401469591196,
		[],
		null
	]
,	[
		"t124",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			8220481064024039,
			[
				["buttonrestoreshop-sheet0.png", 4725, 0, 0, 111, 98, 0, 0.4594594538211823, 0.4795918464660645,[],[-0.3243244588375092,-0.3265308439731598,0.03603553771972656,-0.4591836333274841,0.3873875439167023,-0.3061228394508362,0.4864865243434906,0.02040815353393555,0.3783785402774811,0.3367351293563843,0.03603553771972656,0.4693881273269653,-0.3063064515590668,0.3469391465187073,-0.4414414465427399,0.02040815353393555],0]
			]
			]
		],
		[
		],
		false,
		false,
		1610605978093674,
		[],
		null
	]
,	[
		"t125",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			8154517154329346,
			[
				["buttonshopright-sheet0.png", 1668, 0, 0, 90, 116, 0, 0.4555555582046509, 0.4827586114406586,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		9339761131876418,
		[],
		null
	]
,	[
		"t126",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			7689572265114416,
			[
				["buttonshopleft-sheet0.png", 1670, 0, 0, 90, 116, 0, 0.5444444417953491, 0.517241358757019,[],[0.4555555582046509,0.482758641242981,-0.5444444417953491,0.482758641242981,-0.5444444417953491,-0.517241358757019,0.4555555582046509,-0.517241358757019],0]
			]
			]
		],
		[
		],
		false,
		false,
		9227590228981139,
		[],
		null
	]
,	[
		"t127",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			4752383605806306,
			[
				["index_catergories-sheet0.png", 3580, 1, 1, 186, 75, 1, 0, 0.5066666603088379,[],[0,0.08000034093856812,0.2474859952926636,-0.4799999594688416,0.958840012550354,-0.3999996781349182,0.9987289905548096,-0.01333364844322205,0.958840012550354,0.3866663575172424,0.2474859952926636,0.4666663408279419,0,-0.0933336615562439],0],
				["index_catergories-sheet0.png", 3580, 1, 78, 186, 75, 1, 0, 0.5066666603088379,[],[],0],
				["index_catergories-sheet0.png", 3580, 1, 155, 186, 75, 1, 0, 0.5066666603088379,[],[],0],
				["index_catergories-sheet1.png", 1681, 1, 1, 186, 75, 1, 0, 0.5066666603088379,[],[],0],
				["index_catergories-sheet1.png", 1681, 1, 78, 186, 75, 1, 0, 0.5066666603088379,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7148143081716321,
		[],
		null
	]
,	[
		"t128",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			8963485973548721,
			[
				["categorybootsicons-sheet0.png", 82260, 1, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorybootsicons-sheet0.png", 82260, 163, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorybootsicons-sheet0.png", 82260, 325, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorybootsicons-sheet0.png", 82260, 1, 119, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorybootsicons-sheet0.png", 82260, 163, 119, 160, 116, 1, 0.5, 0.5,[],[-0.34375,-0.284483015537262,0,-0.3189660012722015,0.1187499761581421,0.02586197853088379,0.106249988079071,0,0.387499988079071,0.3448280096054077,0,0.3103449940681458,-0.293749988079071,0.215516984462738,-0.3062500059604645,0],0],
				["categorybootsicons-sheet0.png", 82260, 325, 119, 160, 116, 1, 0.5, 0.5,[],[-0.3499999940395355,-0.2931029796600342,0,-0.284483015537262,0.1000000238418579,0.05172401666641235,0.07499998807907105,0,0.393750011920929,0.3534479737281799,0,0.3448280096054077,-0.324999988079071,0.2586209774017334],0],
				["categorybootsicons-sheet0.png", 82260, 1, 237, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorybootsicons-sheet0.png", 82260, 163, 237, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorybootsicons-sheet0.png", 82260, 325, 237, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorybootsicons-sheet0.png", 82260, 1, 355, 160, 116, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7699336668986867,
		[],
		null
	]
,	[
		"t129",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			1490744999544086,
			[
				["bg_shop_card-sheet0.png", 6226, 1, 1, 396, 499, 1, 0, 0,[],[0.02020199969410896,0.01603209972381592,0.9797980189323425,0.01603209972381592,0.994949996471405,0.4989979863166809,0.9797980189323425,0.9839680194854736,0.02020199969410896,0.9839680194854736,0.005050510168075562,0.4989979863166809],0],
				["bg_shop_card-sheet0.png", 6226, 399, 1, 396, 499, 1, 0, 0,[],[],0],
				["bg_shop_card-sheet0.png", 6226, 1, 502, 396, 499, 1, 0, 0,[],[],0],
				["bg_shop_card-sheet0.png", 6226, 399, 502, 396, 499, 1, 0, 0,[],[],0],
				["bg_shop_card-sheet1.png", 1583, 0, 0, 396, 499, 1, 0, 0,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		1335097425134509,
		[],
		null
	]
,	[
		"t130",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			7127864467903952,
			[
				["buttonlocked-sheet0.png", 4121, 0, 0, 109, 98, 0, 0.4587155878543854, 0.4795918464660645,[],[-0.4587155878543854,-0.4795918464660645,0.541284441947937,-0.4795918464660645,0.541284441947937,0.5204081535339356,-0.4495412707328796,0.5204081535339356],0]
			]
			]
		],
		[
		],
		false,
		false,
		1766074268818615,
		[],
		null
	]
,	[
		"t131",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			8072589653130782,
			[
				["categorytrousersicons-sheet0.png", 37338, 1, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorytrousersicons-sheet0.png", 37338, 163, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorytrousersicons-sheet0.png", 37338, 325, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorytrousersicons-sheet0.png", 37338, 1, 119, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorytrousersicons-sheet0.png", 37338, 163, 119, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorytrousersicons-sheet0.png", 37338, 325, 119, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorytrousersicons-sheet0.png", 37338, 1, 237, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categorytrousersicons-sheet0.png", 37338, 163, 237, 160, 116, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		277850272345043,
		[],
		null
	]
,	[
		"t132",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			5323676313125344,
			[
				["categoryjacketsicons-sheet0.png", 54329, 1, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryjacketsicons-sheet0.png", 54329, 163, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryjacketsicons-sheet0.png", 54329, 325, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryjacketsicons-sheet0.png", 54329, 1, 119, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryjacketsicons-sheet0.png", 54329, 163, 119, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryjacketsicons-sheet0.png", 54329, 325, 119, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryjacketsicons-sheet0.png", 54329, 1, 237, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryjacketsicons-sheet0.png", 54329, 163, 237, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryjacketsicons-sheet0.png", 54329, 325, 237, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryjacketsicons-sheet0.png", 54329, 1, 355, 160, 116, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7673749171775359,
		[],
		null
	]
,	[
		"t133",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			1862890996359496,
			[
				["categoryhatsicons-sheet0.png", 98126, 1, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryhatsicons-sheet0.png", 98126, 163, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryhatsicons-sheet0.png", 98126, 325, 1, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryhatsicons-sheet0.png", 98126, 1, 119, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryhatsicons-sheet0.png", 98126, 163, 119, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryhatsicons-sheet0.png", 98126, 325, 119, 160, 116, 1, 0.5, 0.5,[],[-0.268750011920929,-0.1810339987277985,0,-0.3620690107345581,0.2250000238418579,-0.1206899881362915,0.375,0,0.21875,0.1120690107345581,0,0.4482759833335877,-0.2750000059604645,0.1896550059318543,-0.331250011920929,0],0],
				["categoryhatsicons-sheet0.png", 98126, 1, 237, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryhatsicons-sheet0.png", 98126, 163, 237, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryhatsicons-sheet0.png", 98126, 325, 237, 160, 116, 1, 0.5, 0.5,[],[],0],
				["categoryhatsicons-sheet0.png", 98126, 1, 355, 160, 116, 1, 0.5, 0.5,[],[-0.1812500059604645,-0.06034499406814575,0,-0.284483015537262,0.2874999642372131,-0.2068969905376434,0.40625,0,0.2437499761581421,0.1465520262718201,0,0.2413790225982666,-0.375,0.3275859951972961,-0.1875,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		4434599922005591,
		[],
		null
	]
,	[
		"t134",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			7817318698411625,
			[
				["categoryothericons-sheet0.png", 7153, 0, 0, 127, 111, 1, 0.5039370059967041, 0.5045045018196106,[],[],0],
				["categoryothericons-sheet0.png", 7153, 0, 0, 127, 111, 1, 0.5039370059967041, 0.5045045018196106,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		3926000088101082,
		[],
		null
	]
,	[
		"t135",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			2343186067123005,
			[
				["buttonsceneselect-sheet0.png", 20295, 0, 0, 150, 150, 0, 0.4399999976158142, 0.4733333289623261,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		1446552860989195,
		[],
		null
	]
,	[
		"t136",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6425925821859879,
			[
				["scene_field-sheet0.png", 1286, 0, 0, 256, 421, 1, 0.5, 0.5011876225471497,[],[-0.46875,-0.4821852147579193,0,-0.4964370429515839,0.46875,-0.4821852147579193,0.4921879768371582,-0.002375632524490356,0.46875,0.479810357093811,0,0.4940613508224487,-0.46875,0.479810357093811,-0.4921875,-0.002375632524490356],0]
			]
			]
		],
		[
		],
		false,
		false,
		4545107866882916,
		[],
		null
	]
,	[
		"t137",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			2704654120278117,
			[
				["play_city-sheet0.png", 16090, 0, 0, 210, 206, 1, 0.5, 0.5,[],[],0],
				["play_city-sheet1.png", 18833, 0, 0, 210, 206, 1, 0.5, 0.5,[],[],0],
				["play_city-sheet2.png", 13712, 0, 0, 210, 206, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		1480104753007914,
		[],
		null
	]
,	[
		"t138",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2065635666957237,
			[
				["locked-sheet0.png", 1834, 0, 0, 69, 83, 1, 0.5072463750839233, 0.5060241222381592,[],[-0.3043473958969116,-0.3373491168022156,-0.01449236273765564,-0.4939759373664856,0.3043476343154907,-0.3493971228599548,0.4782606363296509,-0.01204812526702881,0.4202896356582642,0.4337348937988281,-0.01449236273765564,0.4698798656463623,-0.4347825646400452,0.4337348937988281,-0.47826087474823,-0.01204812526702881],0]
			]
			]
		],
		[
		],
		false,
		false,
		4042583965662335,
		[],
		null
	]
,	[
		"t139",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9825526937630189,
			[
				["scene_attr_field-sheet0.png", 782, 0, 0, 212, 45, 1, 0.5, 0.5111111402511597,[],[-0.462264209985733,-0.3333331346511841,0,-0.4666667282581329,0.4622640013694763,-0.3333331346511841,0.4905660152435303,-0.0222221314907074,0.4622640013694763,0.3111108541488648,0,0.4444448351860046,-0.462264209985733,0.3111108541488648,-0.4858491122722626,-0.0222221314907074],0]
			]
			]
		],
		[
		],
		false,
		false,
		6678237479899335,
		[],
		null
	]
,	[
		"t140",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4030033113903778,
			[
				["score_field-sheet0.png", 916, 0, 0, 171, 45, 1, 0.5029239654541016, 0.5111111402511597,[],[-0.4619882702827454,-0.3555551469326019,-0.005847960710525513,-0.4666667282581329,0.4502920508384705,-0.3333331346511841,0.4853800535202026,-0.0222221314907074,0.4502920508384705,0.3111108541488648,-0.005847960710525513,0.4444448351860046,-0.4619882702827454,0.3333328366279602,-0.4912280738353729,-0.0222221314907074],0]
			]
			]
		],
		[
		],
		false,
		false,
		8706154787557301,
		[],
		null
	]
,	[
		"t141",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1510808970657198,
			[
				["shopbackleft-sheet0.png", 105, 0, 0, 5, 5, 1, -0.2000000029802322, -0.2000000029802322,[],[0.2119190096855164,0.2170647978782654,0.7208579778671265,0.2017064839601517,1.198808073997498,0.2614333927631378,1.198808073997498,1.138566970825195,0.7208579778671265,1.196586966514587,0.2131108045578003,1.181228995323181],3]
			]
			]
		],
		[
		],
		false,
		false,
		7352435548560744,
		[],
		null
	]
,	[
		"t142",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4482479455710288,
			[
				["score_field-sheet0.png", 916, 0, 0, 171, 45, 1, 0, 0,[],[0.0409356988966465,0.1555559933185577,0.4970760047435761,0.04444440081715584,0.953216016292572,0.1777780055999756,0.9883040189743042,0.4888890087604523,0.953216016292572,0.8222219944000244,0.4970760047435761,0.9555559754371643,0.0409356988966465,0.8444439768791199,0.01169590000063181,0.4888890087604523],0]
			]
			]
		],
		[
		],
		false,
		false,
		7130901553939429,
		[],
		null
	]
,	[
		"t143",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			4130475939639558,
			[
				["indextableft-sheet0.png", 2699, 1, 1, 222, 99, 1, 0, 0,[],[],0],
				["indextableft-sheet0.png", 2699, 1, 102, 222, 99, 1, 0, 0,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		4388606835983507,
		[],
		null
	]
,	[
		"t144",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			447842644054977,
			[
				["indextabright-sheet0.png", 1027, 1, 1, 224, 58, 1, 0, 0,[],[],0],
				["indextabright-sheet0.png", 1027, 1, 61, 224, 58, 1, 0, 0,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5704836590485846,
		[],
		null
	]
,	[
		"t145",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			8224638697206711,
			[
				["c-sheet0.png", 1534, 0, 0, 45, 49, 1, 0.5111111402511597, 0.5102040767669678,[],[-0.2888891398906708,-0.3061220645904541,-0.0222221314907074,-0.4285713732242584,0.2666668295860291,-0.3061220645904541,0.3999998569488525,-0.02040806412696838,0.2888888716697693,0.306122899055481,-0.0222221314907074,0.4081629514694214,-0.2888891398906708,0.2857139110565186,-0.4000001549720764,-0.02040806412696838],0],
				["c-sheet1.png", 593, 0, 0, 53, 37, 0, 0.5094339847564697, 0.5135135054588318,[],[-0.4339622855186462,-0.4054055213928223,-0.01886799931526184,-0.4594593942165375,0.3962259888648987,-0.3783785104751587,0.4339619874954224,-0.02702751755714417,0.3207550048828125,0.2432435154914856,-0.01886799931526184,0.4324324727058411,-0.4339622855186462,0.3783785104751587,-0.3773589730262756,-0.02702751755714417],0]
			]
			]
		],
		[
		],
		false,
		false,
		6460572443738173,
		[],
		null
	]
,	[
		"t146",
		cr.plugins_.NinePatch,
		false,
		[],
		0,
		0,
		["shopleftback9patch.png", 1462, 0],
		null,
		[
		],
		false,
		false,
		1694415804000932,
		[],
		null
	]
,	[
		"t147",
		cr.plugins_.Sprite,
		false,
		[],
		2,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3087248130219595,
			[
				["sparkle-sheet0.png", 2909, 0, 0, 56, 44, 1, 0.5178571343421936, 0.5227272510528565,[],[-0.5027056336402893,-0.5042087435722351,0.4821428656578064,-0.5042087435722351,0.4669908881187439,0.4772727489471436,-0.5027056336402893,0.4772727489471436],0]
			]
			]
		],
		[
		[
			"blink",
			cr.behaviors.lunarray_Tween,
			5187681490172018
		]
,		[
			"EaseTween",
			cr.behaviors.lunarray_Tween,
			363507246656566
		]
		],
		false,
		false,
		2866016318098885,
		[],
		null
	]
,	[
		"t148",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			500064282547512,
			[
				["shopbackleft-sheet0.png", 105, 0, 0, 5, 5, 1, 0, 0,[],[0.01745639927685261,0.02054790034890175,0.4937660098075867,0.001712330034933984,0.9750620126724243,0.01712330058217049,0.9975060224533081,0.5,0.9750620126724243,0.9828770160675049,0.4937660098075867,0.9982879757881165,0.01745639927685261,0.9794520139694214,0.002493770094588399,0.5],3]
			]
			]
		],
		[
		],
		false,
		false,
		9659410557168385,
		[],
		null
	]
,	[
		"t149",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			7941519801097967,
			[
				["attr_field_boots-sheet0.png", 8463, 1, 105, 229, 50, 1, 0.5021833777427673, 0.5199999809265137,[],[-0.4716156721115112,-0.3799999952316284,-0.004366368055343628,-0.4999999701976776,0.4541486501693726,-0.3199999928474426,0.4672486186027527,-0.01999998092651367,0.4410476088523865,0.2200000286102295,-0.004366368055343628,0.3199999928474426,-0.4541484713554382,0.2599999904632568,-0.4890829920768738,-0.01999998092651367],0],
				["attr_field_boots-sheet0.png", 8463, 1, 1, 230, 50, 1, 0.5, 0.5,[],[],0],
				["attr_field_boots-sheet0.png", 8463, 1, 53, 230, 50, 1, 0.5, 0.5,[],[],0],
				["attr_field_boots-sheet0.png", 8463, 1, 157, 229, 50, 1, 0.5021833777427673, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		1408351960326551,
		[],
		null
	]
,	[
		"t150",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8265789255305991,
			[
				["attr_field_other-sheet0.png", 1888, 0, 0, 251, 50, 1, 0.5019920468330383, 0.5199999809265137,[],[-0.4741036593914032,-0.3799999952316284,-0.003984034061431885,-0.4999999701976776,0.4581669569015503,-0.3199999928474426,0.4701199531555176,-0.01999998092651367,0.4501989483833313,0.2400000095367432,-0.003984034061431885,0.3199999928474426,-0.4581673443317413,0.2599999904632568,-0.4900398552417755,-0.01999998092651367],0]
			]
			]
		],
		[
		],
		false,
		false,
		5292645141114707,
		[],
		null
	]
,	[
		"t151",
		cr.plugins_.NinePatch,
		false,
		[],
		0,
		0,
		["shopleftback9patch.png", 1462, 0],
		null,
		[
		],
		false,
		false,
		9153994324000798,
		[],
		null
	]
,	[
		"t152",
		cr.plugins_.NinePatch,
		false,
		[],
		0,
		0,
		["shopleftback9patch.png", 1462, 0],
		null,
		[
		],
		false,
		false,
		4732435771569536,
		[],
		null
	]
,	[
		"t153",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			9643100427541445,
			[
				["buttonsharescore-sheet0.png", 5545, 0, 0, 139, 126, 0, 0.4676258862018585, 0.4841269850730896,[],[-0.4676258862018585,-0.4841269850730896,0.5323741436004639,-0.4841269850730896,0.5323741436004639,0.5158730149269104,-0.4604316353797913,0.5158730149269104],0]
			]
			]
		],
		[
		],
		false,
		false,
		2436533843533091,
		[],
		null
	]
,	[
		"t154",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			3507602452487939,
			[
				["buttonachievements-sheet0.png", 7134, 0, 0, 132, 128, 0, 0.4621212184429169, 0.4765625,[],[-0.3939394354820252,-0.40625,0.03787878155708313,-0.4609375,0.4393937885761261,-0.3749994933605194,0.4621208012104034,0.0234375,0.3939397633075714,0.3750004768371582,0.03787878155708313,0.4140625,-0.3409092128276825,0.3984375,-0.4469697177410126,0.0234375],0]
			]
			]
		],
		[
		],
		false,
		false,
		7416323541358807,
		[],
		null
	]
,	[
		"t155",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			835363410872426,
			[
				["buttonhighscore-sheet0.png", 6886, 0, 0, 132, 128, 0, 0.4621212184429169, 0.4765625,[],[-0.3939394354820252,-0.40625,0.03787878155708313,-0.4609375,0.4393937885761261,-0.3749994933605194,0.4621208012104034,0.0234375,0.3939397633075714,0.3750004768371582,0.03787878155708313,0.4140625,-0.3409092128276825,0.3984375,-0.4469697177410126,0.0234375],0]
			]
			]
		],
		[
		],
		false,
		false,
		9004626118164143,
		[],
		null
	]
,	[
		"t156",
		cr.plugins_.Sprite,
		false,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			1410580307682324,
			[
				["buttongamecenter-sheet0.png", 14548, 0, 0, 132, 128, 0, 0.4621212184429169, 0.4765625,[],[-0.4393939077854157,-0.4765625,0.5378787517547607,-0.4765625,0.5378787517547607,0.5234375,-0.4621212184429169,0.5234375],0]
			]
			]
		],
		[
		],
		false,
		false,
		7905294855971515,
		[],
		null
	]
,	[
		"t157",
		cr.plugins_.NinePatch,
		false,
		[],
		0,
		0,
		["shopleftback9patch.png", 1462, 0],
		null,
		[
		],
		false,
		false,
		4231218060738314,
		[],
		null
	]
,	[
		"t158",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			0,
			false,
			1,
			0,
			false,
			2529314971406562,
			[
				["booze-sheet0.png", 25398, 1, 1, 98, 202, 1, 0.5, 0.5,[],[-0.1938779950141907,-0.351485013961792,0,-0.4851484894752502,0.2040820121765137,-0.356436014175415,0.4591839909553528,0,0.4183670282363892,0.4603959918022156,0,0.4900990128517151,-0.4183672964572907,0.4603959918022156,-0.4489796161651611,0],0],
				["booze-sheet0.png", 25398, 101, 1, 88, 192, 1, 0.5, 0.5,[],[0,0.3177080154418945,0.4431819915771484,0.4739580154418945,0,0.5,-0.4431818127632141,0.4739580154418945],0]
			]
			]
		],
		[
		],
		false,
		false,
		42315066785885,
		[],
		null
	]
,	[
		"t159",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1648930795338494,
			[
				["bullet_lottery_active-sheet0.png", 3037, 0, 0, 62, 138, 1, 0.5, 0.5,[],[-0.3064520061016083,-0.4130434989929199,0,-0.5,0.3064519762992859,-0.4130434989929199,0.5,0,0.4516130089759827,0.4782609939575195,0,0.5,-0.4677419066429138,0.4855070114135742,-0.5,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		7515814686223285,
		[],
		null
	]
,	[
		"t160",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9733898404531415,
			[
				["tap-sheet0.png", 6404, 0, 0, 207, 207, 1, 0.5024154782295227, 0.5024154782295227,[],[-0.3333334922790527,-0.3333334922790527,-0.004830479621887207,-0.4734299778938294,0.3285025358200073,-0.3333334922790527,0.4685985445976257,-0.004830479621887207,0.3285025358200073,0.3285025358200073,-0.004830479621887207,0.4685985445976257,-0.3333334922790527,0.3285025358200073,-0.4734299778938294,-0.004830479621887207],0]
			]
			]
		],
		[
		],
		false,
		false,
		6861269639196789,
		[],
		null
	]
,	[
		"t161",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8624887984418145,
			[
				["win-sheet0.png", 6646, 0, 0, 213, 188, 1, 0.5023474097251892, 0.5,[],[-0.2018783986568451,-0.1595740020275116,-0.00469440221786499,-0.2659569978713989,0.2723006010055542,-0.2446810007095337,0.338028609752655,0,0.3286386132240295,0.3085110187530518,-0.00469440221786499,0.2925530076026917,-0.2394364178180695,0.202127993106842,-0.4366196990013123,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		9837348147646857,
		[],
		null
	]
,	[
		"t162",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5290552677316243,
			[
				["booze_broken-sheet0.png", 21527, 0, 0, 88, 192, 1, 0.5, 0.5,[],[0,0.3177080154418945,0.4431819915771484,0.4739580154418945,0,0.5,-0.4431818127632141,0.4739580154418945],0]
			]
			]
		],
		[
		],
		false,
		false,
		7233269645037468,
		[],
		null
	]
,	[
		"t163",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		8890912026364851,
		[],
		null
	]
,	[
		"t164",
		cr.plugins_.Dictionary,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		6433305120496832,
		[],
		null
	]
,	[
		"t165",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		1711599941750342,
		[],
		null
	]
,	[
		"t166",
		cr.plugins_.Dictionary,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		9021319657772856,
		[],
		null
	]
,	[
		"t167",
		cr.plugins_.Dictionary,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		6336098261300763,
		[],
		null
	]
,	[
		"t168",
		cr.plugins_.Dictionary,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		4762302484121726,
		[],
		null
	]
,	[
		"t169",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		9752758195328192,
		[],
		null
	]
,	[
		"t170",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		8986217086611966,
		[],
		null
	]
,	[
		"t171",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		6720534006854597,
		[],
		null
	]
,	[
		"t172",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		3241044975540483,
		[],
		null
	]
,	[
		"t173",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		9363120053858136,
		[],
		null
	]
,	[
		"t174",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		3849613094257144,
		[],
		null
	]
,	[
		"t175",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		8280764099352713,
		[],
		null
	]
,	[
		"t176",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		1502089309876288,
		[],
		null
	]
,	[
		"t177",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		1247137077443697,
		[],
		null
	]
,	[
		"t178",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		7217616996745375,
		[],
		null
	]
,	[
		"t179",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		510241467306845,
		[],
		null
	]
,	[
		"t180",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		7641797176489582,
		[],
		null
	]
,	[
		"t181",
		cr.plugins_.Arr,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		9114126900147573,
		[],
		null
	]
,	[
		"t182",
		cr.plugins_.Dictionary,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		4267149249223337,
		[],
		null
	]
,	[
		"t183",
		cr.plugins_.Keyboard,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		9377068421552704,
		[],
		null
		,[]
	]
,	[
		"t184",
		cr.plugins_.Touch,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		9397428913823622,
		[],
		null
		,[0]
	]
,	[
		"t185",
		cr.plugins_.Function,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		267534481839543,
		[],
		null
		,[]
	]
,	[
		"t186",
		cr.plugins_.Browser,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		6159784329263387,
		[],
		null
		,[]
	]
,	[
		"t187",
		cr.plugins_.Mouse,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		9643168808971291,
		[],
		null
		,[]
	]
,	[
		"t188",
		cr.plugins_.WebStorage,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		5260217139972596,
		[],
		null
		,[]
	]
,	[
		"t189",
		cr.plugins_.Audio,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		2729432388997054,
		[],
		null
		,[0,0,0,1,1,600,600,10000,1,5000,1]
	]
,	[
		"t190",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5467483695861632,
			[
				["ds_logo-sheet0.png", 17439, 0, 0, 617, 176, 1, 0.5008103847503662, 0.5,[],[],1]
			]
			]
		],
		[
		],
		false,
		false,
		5099426900395652,
		[],
		null
	]
,	[
		"t191",
		cr.plugins_.Spriter,
		false,
		[],
		2,
		0,
		null,
		null,
		[
		[
			"Pin",
			cr.behaviors.Pin,
			7959720248105916
		]
,		[
			"Flash",
			cr.behaviors.Flash,
			7458518699608531
		]
		],
		false,
		false,
		433218764040676,
		[],
		null
	]
,	[
		"t192",
		cr.plugins_.CJSAds,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		8334784094425334,
		[],
		null
		,[0,0,3,0,"","",""]
	]
,	[
		"t193",
		cr.plugins_.Rex_Date,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		true,
		false,
		3646827039803667,
		[],
		null
	]
,	[
		"t194",
		cr.plugins_.Flurry,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		2769982679915749,
		[],
		null
		,["NHWXKJTDR5XDJGMRJXQR"]
	]
,	[
		"t195",
		cr.plugins_.Sprite,
		true,
		[3776420743089811,8048048286713702,1446200655720839],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		5603269642935597,
		[],
		null
	]
,	[
		"t196",
		cr.plugins_.Sprite,
		true,
		[9649101167041765,4263471990425527,8472860386875774],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		609386846865296,
		[],
		null
	]
,	[
		"t197",
		cr.plugins_.Sprite,
		true,
		[296405503039092],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		9453691358861101,
		[],
		null
	]
,	[
		"t198",
		cr.plugins_.Sprite,
		true,
		[2065199550186494,1984357723664389],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		2278360192757915,
		[],
		null
	]
,	[
		"t199",
		cr.plugins_.Sprite,
		true,
		[1299011799809829],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		2702345395260042,
		[],
		null
	]
,	[
		"t200",
		cr.plugins_.Sprite,
		true,
		[1306981442595432,603451623606539,5969043979318471],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		961800238193562,
		[],
		null
	]
,	[
		"t201",
		cr.plugins_.Sprite,
		true,
		[5695956745128068],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		2405714719038775,
		[],
		null
	]
,	[
		"t202",
		cr.plugins_.Sprite,
		true,
		[199178403224448],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		5524862415001365,
		[],
		null
	]
,	[
		"t203",
		cr.plugins_.Sprite,
		true,
		[3556792880141808],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		1033153218595664,
		[],
		null
	]
,	[
		"t204",
		cr.plugins_.Sprite,
		true,
		[8364165705123452],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		3813758983578839,
		[],
		null
	]
,	[
		"t205",
		cr.plugins_.Sprite,
		true,
		[3352691869543536],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		1788188676725066,
		[],
		null
	]
,	[
		"t206",
		cr.plugins_.Sprite,
		true,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		2006887745789102,
		[],
		null
	]
,	[
		"t207",
		cr.plugins_.Sprite,
		true,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		8709253906955637,
		[],
		null
	]
	],
	[
		[195,36,37,45,46,47,48,49,34,30,31,6,32,33,1,35,7,38,40,41,42,44,43]
,		[196,26,13,16,27,2,11,84,115,116,117,118,39,14,17,15,18,36,60,25,8,9,37,59,45,46,47,48,49,34,30,31,6,32,33,1,35,7,86,85,61,62,38,24,23,19,22,20,28,88,29,21,40,41,42,44,43,10]
,		[197,3,4]
,		[198,84,115,116,117,118,39,60,59,86,85,61,62,88,10]
,		[199,8,9]
,		[200,154,80,71,122,77,81,156,155,130,72,83,124,135,123,153,126,125,67,64,66,127]
,		[201,13,16]
,		[202,14,17]
,		[203,15,18]
,		[204,36,37,35,38]
,		[205,26,27,25,24,23,19,22,20,28,29,21]
,		[206,101,106,100,102,105,96,95,99,97,94,98,110,103,108,107,104,109]
,		[207,149,150,129,122,130,83,124,135,123,126,125,145,128,133,132,113,112,115,114,121,116,119,120,117,118,142,64,66,127,143,144,138,137,139,136,140,141,147]
	],
	[
	[
		"O1W1",
		1280,
		960,
		false,
		null,
		9896768134250546,
		[
		[
			"Layer 3",
			0,
			4308879289748778,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 2",
			1,
			8799490246103831,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[724, 464, 0, 116, 282, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				19,
				154,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"Layer 1",
			2,
			2693042798061048,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				148,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				149,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			3,
			7368076434780064,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"O1W2",
		1280,
		960,
		false,
		null,
		9538927484902029,
		[
		[
			"Layer 3",
			0,
			3540081561959725,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 2",
			1,
			9746906119851249,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 4",
			2,
			1396181988027715,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1585, 476, 0, 254, 241, 0, 0, 1, 0.5, 0.5020747184753418, 0, 0, []],
				20,
				153,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"Layer 1",
			3,
			8403153249961768,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				155,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				156,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			4,
			2112710892522246,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"O1W3",
		1280,
		960,
		false,
		null,
		3502641686579816,
		[
		[
			"Layer 3",
			0,
			132078243680026,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 2",
			1,
			3335546698347416,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[724, 464, 0, 116, 282, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				19,
				159,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"Layer 1",
			2,
			1504787272063801,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				160,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				161,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			3,
			2972675435349876,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"O2W1",
		1280,
		960,
		false,
		null,
		5367502857562285,
		[
		[
			"Layer 3",
			0,
			9449710706797335,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[3098, 464, 0, 117, 301, 0, 0, 1, 0.504273533821106, 0.5016611218452454, 0, 0, []],
				25,
				170,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"Layer 2",
			1,
			8524572833525689,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1364, 457, 0, 329, 292, 0, 0, 1, 0.5015197396278381, 0.5, 0, 0, []],
				27,
				175,
				[
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 1",
			2,
			3379644978248315,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				172,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				173,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			3,
			9616329729762495,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2560, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				171,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"O2W2",
		1280,
		960,
		false,
		null,
		614794871159439,
		[
		[
			"Layer 3",
			0,
			7440520880780256,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2395, 445, 0, 359, 320, 0, 0, 1, 0.5, 0.5015873312950134, 0, 0, []],
				24,
				176,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1113, 445, 0, 281, 310, 0, 0, 1, 0.5017793774604797, 0.5, 0, 0, []],
				23,
				177,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"Layer 2",
			1,
			3264197827020745,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 1",
			2,
			6469110412569692,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				180,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				181,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			3,
			4865617958704864,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2560, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				182,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"O2W3",
		1280,
		960,
		false,
		null,
		2932827529791334,
		[
		[
			"Layer 3",
			0,
			9695101716191979,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1729, 454, 0, 281, 310, 0, 0, 1, 0.5017793774604797, 0.5, 0, 0, []],
				23,
				185,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1451, 463, 0, 117, 301, 0, 0, 1, 0.504273533821106, 0.5016611218452454, 0, 0, []],
				25,
				178,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"Layer 2",
			1,
			8185537468438816,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 1",
			2,
			5798157533166781,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				189,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				190,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			3,
			5808960951893442,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2560, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				191,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"O3W1",
		1280,
		960,
		false,
		null,
		7253018064359836,
		[
		[
			"Layer 3",
			0,
			2421721543672495,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1022, 429, 0, 132, 333, 0, 0, 1, 0.5, 0.5015015006065369, 0, 0, []],
				22,
				186,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[2782, 489, 0, 666, 215, 0, 0, 1, 0.5, 0.5023255944252014, 0, 0, []],
				28,
				289,
				[
					[""],
					[""],
					["singleObject"],
					[0.3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 2",
			1,
			3839194903789797,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 1",
			2,
			5559170991329329,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				193,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				194,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			3,
			1587798879033388,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2560, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				195,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"O3W2",
		1280,
		960,
		false,
		null,
		7663692193535043,
		[
		[
			"Layer 3",
			0,
			8726843878632575,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2715, 435, 0, 132, 333, 0, 0, 1, 0.5, 0.5015015006065369, 0, 0, []],
				22,
				196,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1201, 507, 0, 274, 168, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				29,
				290,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 2",
			1,
			1556168499242525,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 1",
			2,
			9565454178797689,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				197,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				198,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			3,
			6329387612113072,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2560, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				199,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"O3W3",
		1280,
		960,
		false,
		null,
		9344121700711686,
		[
		[
			"Layer 3",
			0,
			4684150585999515,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2302, 440, 0, 152, 319, 0, 0, 1, 0.5, 0.5015674233436585, 0, 0, []],
				21,
				200,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"Layer 2",
			1,
			8780473503822582,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 1",
			2,
			6518441826387109,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				202,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				203,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			3,
			6741670522316144,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2560, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				204,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"D1W1",
		1280,
		960,
		false,
		null,
		7116916249389912,
		[
		[
			"Layer 2",
			0,
			4605242502189602,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 1",
			1,
			5202884250465992,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				75,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				76,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			2,
			66987613401645,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[640, 558, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				9,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2288, 529, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				13,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1590, 479, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				12,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[750, 553, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				24,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"D1W2",
		1280,
		960,
		false,
		null,
		265282626098547,
		[
		[
			"Layer 0",
			0,
			6043787238516435,
			true,
			[255, 255, 255],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1552, 414, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				42,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1321, 481, 0, 414, 83, 0, 0, 1, 0.5, 0.5060241222381592, 0, 0, []],
				34,
				41,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1392, 388, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				40,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1423, 293, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				100,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"D1W3",
		1280,
		960,
		false,
		null,
		3794338014349263,
		[
		[
			"Layer 0",
			0,
			4143303885070141,
			true,
			[255, 255, 255],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1417, 215, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				47,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2162, 522, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				49,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1192, 394, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				48,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2195, 437, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				101,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"D1W4",
		1280,
		960,
		false,
		null,
		6416724750939617,
		[
		[
			"Layer 0",
			0,
			3118354221721867,
			true,
			[255, 255, 255],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1741, 256, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				54,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[685, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				77,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 1",
			1,
			6548663403859279,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2111, 532, 0, 178, 140, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				33,
				78,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[831, 439, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				102,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 2",
			2,
			5936148299842306,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[799, 533, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				55,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"D1W5",
		1280,
		960,
		false,
		null,
		3824954581854999,
		[
		[
			"Layer 0",
			0,
			7698235483232142,
			true,
			[255, 255, 255],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 1",
			1,
			7614020962076288,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1954, 205, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				62,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[443, 553, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				60,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[862, 405, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				63,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1290, 278, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				64,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1674, 278, 0, 414, 83, 0, 0, 1, 0.5, 0.5060241222381592, 0, 0, []],
				34,
				65,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2122, 524, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				66,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2154, 439, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				103,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D1W1",
		1280,
		960,
		false,
		null,
		6687434574238708,
		[
		[
			"Back",
			0,
			1111835248888469,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1989, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1122,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2089, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1133,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1789, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1135,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1889, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1136,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[818, 471, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1157,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			7616920589080791,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1117,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1118,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1119,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			3280862255088343,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[527, 518, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1121,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[588, 452, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1126,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[819, 312, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1127,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[814, 560, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1125,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2306, 557, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1158,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2309, 473, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1159,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1045, 451, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1134,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1104, 521, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1160,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[920, 324, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1161,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[983, 387, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1162,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[653, 383, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1112,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[721, 326, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1113,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2916, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1114,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3035, 421, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1115,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2686, 509, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1116,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2801, 419, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1123,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3157, 511, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1124,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3265, 425, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1130,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3369, 509, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1191,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1553, 511, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				419,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D1W3",
		1280,
		960,
		false,
		null,
		9880695027412434,
		[
		[
			"Back",
			0,
			2229908220509495,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1562, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1128,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1662, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1129,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1362, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1131,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1462, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1132,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[914, 467, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1163,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[918, 313, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1185,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[979, 247, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1186,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1044, 178, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1187,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1112, 121, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1188,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			8772786123821835,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1164,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1165,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1166,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			9433881059049883,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[527, 518, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1167,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[588, 452, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1168,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[819, 312, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1169,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[910, 556, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1170,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2109, 561, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1171,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2112, 477, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1172,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[653, 383, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1177,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[721, 326, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1178,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3183, 561, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1173,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3186, 477, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1174,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2153, 368, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1175,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2253, 368, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1176,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1953, 368, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1189,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2053, 368, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1190,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2727, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1179,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2827, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1180,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2527, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1181,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2627, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1182,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3181, 284, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1194,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1815, 426, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				420,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2401, 433, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				421,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D1W2",
		1280,
		960,
		false,
		null,
		2904420987921467,
		[
		[
			"Back",
			0,
			5533060354933187,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[729, 506, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1137,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[829, 506, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1138,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[929, 506, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1139,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1962, 275, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1140,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2062, 275, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1141,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2162, 275, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1142,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1762, 275, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1143,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1862, 275, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1144,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2976, 505, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1145,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3076, 505, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1146,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3176, 505, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1147,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2776, 505, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1148,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2876, 505, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1149,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[318, 506, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				418,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			2537390096117984,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1150,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1151,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1152,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			5220947753911083,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[529, 506, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1153,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3395, 506, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1154,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[629, 506, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1155,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1222, 505, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1156,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D1W4",
		1280,
		960,
		false,
		null,
		5728059550622123,
		[
		[
			"Back",
			0,
			1521172354264972,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[729, 511, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1183,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[829, 511, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1184,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1995, 380, 0, 68.48358154296875, 79.72714996337891, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1192,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2095, 380, 0, 68.48358154296875, 79.72714996337891, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1193,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1795, 380, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1195,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1895, 380, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1196,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3025, 316, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1197,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3125, 316, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1198,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3225, 316, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1199,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2825, 316, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1200,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2925, 316, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1201,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1948, 472, 0, 414, 83, 0, 0, 1, 0.5, 0.5060241222381592, 0, 0, []],
				34,
				1209,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3663, 512, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				422,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			8534713278506874,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1202,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1203,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1204,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			2048535355840126,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[529, 511, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1205,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1943, 555, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1206,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[629, 511, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1207,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3021, 408, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1208,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D2W1",
		1280,
		960,
		false,
		null,
		1608411324557881,
		[
		[
			"Back",
			0,
			683003795349451,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			5153483305855941,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				219,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				218,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				217,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			5725084037260522,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 0",
			3,
			7615229637927576,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[3349, 530, 0, 178, 140, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				33,
				233,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[282, 524, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				234,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2442, 503, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				235,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1920, 557, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				236,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3193, 530, 0, 178, 140, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				33,
				237,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2893, 511, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1224,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1925, 454, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1225,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[373, 449, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1226,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[468, 522, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1227,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2535, 504, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1228,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2633, 507, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1229,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2718, 510, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1230,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3585, 519, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1231,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3678, 520, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1232,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3776, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1233,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3861, 526, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1234,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3270, 397, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				423,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D2W2",
		1280,
		960,
		false,
		null,
		231838743450007,
		[
		[
			"Back",
			0,
			6326438935370296,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			283501916490027,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				229,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				230,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				231,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			9091240014656032,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[3291, 421, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				43,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2483, 282, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				424,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3635, 518, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				425,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			3,
			6000880175220661,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1677, 465, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				238,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[716, 375, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				434,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[713, 470, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				435,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1669, 557, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				436,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2005, 527, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1211,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2066, 461, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1212,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2131, 392, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1213,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2199, 335, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1214,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1243, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1215,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1343, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1216,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1043, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1217,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1143, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1218,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2886, 462, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1219,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2945, 532, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1220,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2761, 335, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1221,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2824, 398, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1222,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3264, 531, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				1223,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D2W3",
		1280,
		960,
		false,
		null,
		8646393633291942,
		[
		[
			"Back",
			0,
			9485764239487263,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			9728343545546001,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				241,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				242,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				243,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			636152467425436,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[615, 535, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				245,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3460, 515, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				451,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2763, 465, 0, 414, 83, 0, 0, 1, 0.5, 0.5060241222381592, 0, 0, []],
				34,
				452,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[645, 427, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				455,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[616, 534, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				456,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3680, 428, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				248,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3651, 535, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				249,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1528, 230, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				246,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1772, 450, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				438,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1831, 520, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				439,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1647, 323, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				440,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1710, 386, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				441,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1007, 515, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				442,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1107, 515, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				443,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[807, 515, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				444,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[907, 515, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				445,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3213, 465, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				446,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3272, 535, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				447,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3088, 338, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				448,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3151, 401, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				449,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[248, 518, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				426,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2761, 362, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1278,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D2W4",
		1280,
		960,
		false,
		null,
		7524536988636215,
		[
		[
			"Back",
			0,
			6296109099830421,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1601, 518, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				254,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1701, 518, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				261,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1401, 518, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				450,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1501, 518, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				453,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[416, 511, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				223,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[516, 511, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				224,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[216, 511, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				225,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[316, 511, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				437,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[812, 510, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				454,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[612, 510, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1210,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[712, 510, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1235,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1158, 468, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1279,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			4639665780602743,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				256,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				257,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				258,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			4639384315585258,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1983, 466, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				260,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1975, 558, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				262,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2831, 465, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				263,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2823, 557, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				264,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3327, 294, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				247,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2429, 424, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				251,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3323, 374, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				457,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1154, 559, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				458,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D2W1X",
		1280,
		960,
		false,
		null,
		7154493259261065,
		[
		[
			"Back",
			0,
			8429612248010383,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			1672481760514522,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				268,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				269,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				270,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			2417225094794751,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1861, 446, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				50,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2609, 559, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				14,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3333, 535, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				56,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1859, 328, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				57,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3358, 425, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				272,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[961, 529, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				459,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[962, 414, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				460,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[843, 558, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				461,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[725, 530, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				462,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[815, 526, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				463,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[845, 384, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				464,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[726, 414, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				465,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1859, 555, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				45,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[880, 524, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				226,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3371, 133, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				267,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3299, 136, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				466,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D2W2X",
		1280,
		960,
		false,
		null,
		2808130382931401,
		[
		[
			"Back",
			0,
			133302583484585,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			7802336295888467,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				274,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				275,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				276,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			7552160954741421,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[994, 532, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				281,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2336, 529, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				282,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1026, 422, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				284,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2136, 499, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				273,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2211, 530, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				278,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2236, 420, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				279,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3340, 533, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				280,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3365, 423, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				283,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1134, 533, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				285,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3470, 527, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				286,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2793, 263, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				287,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1588, 263, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				288,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D2W3X",
		1280,
		960,
		false,
		null,
		317551515074248,
		[
		[
			"Back",
			0,
			2470955923415904,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			906214762389544,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				3,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				292,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				293,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			5894908179893951,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1902, 294, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				307,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1665, 263, 0, 414, 83, 0, 0, 1, 0.5, 0.5060241222381592, 0, 0, []],
				34,
				309,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1569, 169, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				298,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1787, 170, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				299,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1819, 69, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				300,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3425, 533, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				301,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3455, 423, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				302,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[640, 529, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				303,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2453, 524, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				305,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1444, 443, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				306,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1443, 293, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				308,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1444, 558, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				310,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1906, 558, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				311,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1907, 449, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				312,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[478, 542, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				295,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[511, 444, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				313,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2916, 181, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				314,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2911, 276, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				304,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D2W4X",
		1280,
		960,
		false,
		null,
		8109156251708601,
		[
		[
			"Back",
			0,
			4954470896521911,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			7680086013534757,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				330,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				337,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				338,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			1048561346607191,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2017, 248, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				342,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3425, 533, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				345,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3455, 423, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				346,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2349, 173, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				347,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1777, 353, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				348,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1233, 558, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				351,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1777, 558, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				352,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1777, 453, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				353,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[547, 542, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				354,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[580, 444, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				355,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2878, 526, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				356,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2358, 269, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				357,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2706, 529, 0, 178, 140, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				33,
				358,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[462, 534, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				339,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D3W1",
		1280,
		960,
		false,
		null,
		7154493259261065,
		[
		[
			"Back",
			0,
			8429612248010383,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			1672481760514522,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				0,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				2,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			2417225094794751,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1861, 446, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				4,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2609, 559, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				5,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3333, 535, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				6,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3358, 425, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				7,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1862, 287, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				8,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3357, 170, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				10,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[779, 519, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				11,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[879, 519, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				255,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[579, 519, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				15,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[679, 519, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				16,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2990, 449, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				17,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3051, 383, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				18,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3116, 314, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				19,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3184, 257, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				20,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3703, 387, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				21,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3762, 457, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				22,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3578, 260, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				23,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3641, 323, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1236,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2607, 435, 0, 59, 82, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1280,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D3W2",
		1280,
		960,
		false,
		null,
		2808130382931401,
		[
		[
			"Back",
			0,
			133302583484585,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			7802336295888467,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				25,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				26,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				27,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			7552160954741421,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[994, 532, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				28,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1026, 422, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				29,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2241, 306, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				30,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2211, 530, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				31,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2236, 420, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				32,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3340, 533, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				33,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3365, 423, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				34,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3359, 300, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				35,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1030, 300, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				36,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1511, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				37,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1611, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				38,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1311, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				39,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1411, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1237,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1907, 516, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1238,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1707, 516, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1239,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1807, 516, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1240,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2704, 515, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1241,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2804, 515, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1242,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2504, 515, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1243,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2604, 515, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1244,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3100, 514, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1245,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2900, 514, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1246,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3000, 514, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1247,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D3W3",
		1280,
		960,
		false,
		null,
		317551515074248,
		[
		[
			"Back",
			0,
			2470955923415904,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2458, 414, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				44,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2519, 348, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				46,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2584, 279, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				51,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2652, 222, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				52,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[806, 524, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				53,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1102, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				58,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[902, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				59,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1002, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				61,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			906214762389544,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				67,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				68,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				69,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			5894908179893951,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1679, 318, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				70,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3425, 533, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				71,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3455, 423, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				72,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1444, 558, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				73,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1906, 558, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				74,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[478, 542, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				79,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[511, 444, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				80,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2916, 181, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				81,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2911, 276, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				82,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S1D3W4",
		1280,
		960,
		false,
		null,
		8109156251708601,
		[
		[
			"Back",
			0,
			4954470896521911,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[758, 529, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				83,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1054, 528, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				84,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[854, 528, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				85,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[954, 528, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				86,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2985, 518, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				87,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3281, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1248,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3081, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1249,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3181, 517, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1250,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3582, 519, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1281,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			7680086013534757,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				88,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				89,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				90,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			1048561346607191,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2217, 221, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				91,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3425, 533, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				92,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3455, 423, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				93,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1233, 558, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				94,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1777, 558, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				95,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[547, 542, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				96,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[580, 444, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				97,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2878, 526, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				98,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2226, 333, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				99,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2706, 529, 0, 178, 140, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				33,
				104,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D1W1",
		1280,
		960,
		false,
		null,
		1195803847859274,
		[
		[
			"Back",
			0,
			3783594999962113,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			5818641667455579,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				105,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				106,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				107,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			1306068405777011,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1359, 377, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				108,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2769, 556, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				109,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2778, 459, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				110,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2088, 242, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				111,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1347, 482, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				112,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2087, 136, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				113,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[308, 526, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				116,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[604, 525, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				117,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[404, 525, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				118,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[504, 525, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				119,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3150, 529, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1251,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3446, 528, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1252,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3246, 528, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1253,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3346, 528, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1254,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3020, 388, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1255,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3079, 458, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1256,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2895, 261, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1257,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2958, 324, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1258,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2820, 200, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1316,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D1W2",
		1280,
		960,
		false,
		null,
		6625835165107084,
		[
		[
			"Back",
			0,
			4047610531997404,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Earth",
			1,
			4570061671257844,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				120,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				121,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				122,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			2456826972414,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2353, 387, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				123,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3026, 434, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				124,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1438, 524, 0, 98, 144, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				41,
				125,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1884, 541, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				469,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2354, 526, 0, 98, 144, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				41,
				126,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2998, 545, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				127,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[364, 429, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				468,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[336, 540, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				470,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1880, 427, 0, 98, 144, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				41,
				467,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1444, 390, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				128,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[798, 531, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				129,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[898, 531, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				130,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[598, 531, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				131,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[698, 531, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				471,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1194, 530, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				473,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[994, 530, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1259,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1094, 530, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1260,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D1W3",
		1280,
		960,
		false,
		null,
		1849746015167004,
		[
		[
			"Back",
			0,
			7139779099575018,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1426, 461, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				1261,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2546, 459, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				479,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2038, 519, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				482,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2138, 519, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				483,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1838, 519, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				485,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1938, 519, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				486,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3361, 457, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				490,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3420, 527, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				491,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3236, 330, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1262,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3299, 393, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1263,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[984, 506, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1264,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1045, 440, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1265,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1110, 371, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1266,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1178, 314, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1267,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3166, 270, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1317,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			9616404331801312,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				475,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				476,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				477,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			6485590580778327,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2545, 541, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				480,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3026, 434, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				481,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1441, 379, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				484,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2998, 545, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				487,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[364, 429, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				488,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[336, 540, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				489,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D1W4",
		1280,
		960,
		false,
		null,
		4613196647721885,
		[
		[
			"Back",
			0,
			5615588383008897,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2962, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				505,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3062, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				518,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2762, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				522,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2862, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				523,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3358, 522, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				524,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3158, 522, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				525,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3258, 522, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				526,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			9272278711928254,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				492,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				493,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				498,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			859320806795502,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1537, 520, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				508,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1258, 520, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				509,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[963, 520, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				514,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3695, 544, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				507,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3725, 432, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				515,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2318, 557, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				40,
				537,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2202, 552, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1311,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2276, 485, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				1312,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2090, 556, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				40,
				1313,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2128, 485, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				1314,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D2W1",
		1280,
		960,
		false,
		null,
		6185230560538459,
		[
		[
			"Back",
			0,
			3775707594403884,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[3336, 545, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				527,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2837, 520, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				528,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2937, 520, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				529,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2637, 520, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				530,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2737, 520, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				531,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1883, 516, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				532,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1983, 516, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				534,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1683, 516, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				540,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1783, 516, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				541,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			9614586426215728,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				519,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				520,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				521,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			9354954316572708,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2388, 560, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				40,
				1310,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2272, 555, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				535,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2346, 488, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				538,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1309, 367, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				549,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1289, 465, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				552,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3336, 465, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				542,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2160, 559, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				40,
				536,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2198, 488, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				539,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D2W2",
		1280,
		960,
		false,
		null,
		640538337344914,
		[
		[
			"Back",
			0,
			9070840420284325,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2870, 520, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				547,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2970, 520, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				548,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2670, 520, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				557,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2770, 520, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				560,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[732, 470, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				570,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[793, 404, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				572,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[858, 335, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				579,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[926, 278, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1268,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1313, 369, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1318,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			8019808389748013,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				553,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				554,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				555,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			6262854452134686,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2200, 473, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				559,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1744, 473, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				576,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1842, 316, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				577,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1289, 473, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				571,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1840, 199, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				578,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3824, 541, 0, 125, 114, 0, 0, 1, 0.5040000081062317, 0.5087719559669495, 0, 0, []],
				38,
				558,
				[
					[0.4],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				[
					-300,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2301, 368, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				561,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3232, 561, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				562,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3244, 463, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				563,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D2W3",
		1280,
		960,
		false,
		null,
		9500913963877812,
		[
		[
			"Back",
			0,
			7583045196310636,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1186, 499, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				543,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1247, 433, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				544,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1312, 364, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				545,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1380, 307, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				546,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2199, 512, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				569,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2260, 446, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				573,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2325, 377, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				574,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2393, 320, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				584,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[638, 353, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1319,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			752843682890035,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				566,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				567,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				568,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			4276685236340283,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2640, 376, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				588,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1662, 383, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				589,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[4200, 541, 0, 125, 114, 0, 0, 1, 0.5040000081062317, 0.5087719559669495, 0, 0, []],
				38,
				580,
				[
					[0.4],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				[
					-300,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3967, 541, 0, 125, 114, 0, 0, 1, 0.5040000081062317, 0.5087719559669495, 0, 0, []],
				38,
				581,
				[
					[0.4],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				[
					-300,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3731, 541, 0, 125, 114, 0, 0, 1, 0.5040000081062317, 0.5087719559669495, 0, 0, []],
				38,
				583,
				[
					[0.4],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				[
					-300,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D2W4",
		1280,
		960,
		false,
		null,
		3828229213063105,
		[
		[
			"Back",
			0,
			3048963246186099,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[778, 508, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				612,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[878, 508, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				613,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[578, 508, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1269,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[678, 508, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1270,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1972, 376, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				582,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2063, 376, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				604,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2154, 380, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				610,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			3812870096584399,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				597,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				598,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				599,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			7731658744125595,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1968, 553, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				603,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2324, 441, 0, 98, 144, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				41,
				602,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2058, 472, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				605,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1794, 441, 0, 98, 144, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				41,
				606,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2324, 314, 0, 98, 144, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				41,
				607,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2054, 283, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				608,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1793, 314, 0, 98, 144, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				41,
				609,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2490, 385, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				614,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3337, 513, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				617,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3679, 427, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				618,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3647, 535, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				619,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2976, 559, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				600,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2986, 455, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				620,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D3W1",
		1280,
		960,
		false,
		null,
		5594721402174349,
		[
		[
			"Back",
			0,
			3440533656454168,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1492, 282, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				593,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1592, 282, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				611,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1292, 282, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				615,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1392, 282, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				616,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[664, 462, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				622,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[764, 462, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				623,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[464, 462, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				625,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[564, 462, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				626,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3597, 303, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1321,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			344758235598234,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				587,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				590,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				591,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			2989563578708007,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1442, 376, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				632,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3142, 518, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				633,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2115, 130, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				634,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2174, 470, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				629,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2156, 217, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				630,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[609, 558, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				621,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2162, 558, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				624,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D3W2",
		1280,
		960,
		false,
		null,
		9635955790443624,
		[
		[
			"Back",
			0,
			8212176581987211,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1697, 546, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				594,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1797, 546, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				627,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1497, 546, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				628,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1597, 546, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				631,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3043, 377, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				637,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3143, 377, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				638,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2843, 377, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				644,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2943, 377, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				645,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2287, 502, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				646,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2348, 436, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				649,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2413, 367, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				650,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[860, 494, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				656,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[735, 367, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				657,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[798, 430, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1271,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[674, 303, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1320,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			8146981434369805,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				639,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				640,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				641,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			8928895911425279,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[3256, 466, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				647,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1851, 469, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				658,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1235, 546, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				643,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1395, 469, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				648,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2801, 466, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				651,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2648, 381, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				652,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[552, 473, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				654,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3385, 312, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				655,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3373, 400, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				659,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[542, 558, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				660,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D3W3",
		1280,
		960,
		false,
		null,
		5816599270690571,
		[
		[
			"Back",
			0,
			7225299396283626,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2355, 527, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				665,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3080, 394, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				666,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[911, 524, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				668,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1011, 524, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				669,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[711, 524, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				670,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[811, 524, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				671,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1307, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				675,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1107, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				676,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1207, 523, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				677,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[100, 507, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				681,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[161, 441, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				682,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[226, 372, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1272,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[535, 507, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1273,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[410, 380, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1274,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[473, 443, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1275,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			9365992434573379,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				662,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				663,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				664,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			2585355268732716,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1623, 391, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				673,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1955, 536, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				672,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1985, 427, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				674,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1619, 528, 0, 98, 144, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				41,
				678,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3080, 528.5, 0, 98, 145, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				41,
				680,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2694, 537, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				683,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2724, 428, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				684,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S2D3W4",
		1280,
		960,
		false,
		null,
		9206836079995547,
		[
		[
			"Back",
			0,
			71018903025479,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[694, 362, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				679,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1543, 533, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				696,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1573, 424, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				697,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2526, 541, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				698,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2556, 432, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				699,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3173, 526, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				700,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3273, 526, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				701,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2973, 526, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				703,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3073, 526, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				706,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[276, 510, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				711,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[376, 510, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				712,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[76, 510, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1276,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[176, 510, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1277,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			1847105875318609,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				687,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				688,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				689,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			9832133708040765,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2310, 365, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				691,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[688, 458, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				702,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2306, 462, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				704,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1576, 341, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				710,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1581, 238, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				692,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D1W2",
		1280,
		960,
		false,
		null,
		6645482087858014,
		[
		[
			"Back",
			0,
			8580813797415203,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[684, 380, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				713,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[745, 314, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				718,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[810, 245, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				719,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1205, 365, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				722,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1080, 238, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				723,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1143, 301, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				742,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3578, 447, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				747,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3453, 320, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				748,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3516, 383, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				749,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			8813178773309774,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				736,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				737,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				738,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			5729459331826566,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2822, 362, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				743,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2149, 464, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				746,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2011, 367, 0, 98, 146, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				46,
				739,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2284, 366, 0, 98, 146, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				46,
				740,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2149, 270, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				744,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2824, 463, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				745,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2105, 366, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				750,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2185, 366, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				751,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[555, 504, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				752,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1315, 503, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				753,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[960, 429, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				755,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[929, 536, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				756,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[185, 429, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				757,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[154, 536, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				758,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3297, 430, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				759,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3266, 537, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				760,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D1W1",
		1280,
		960,
		false,
		null,
		595997320321029,
		[
		[
			"Back",
			0,
			7723290052951628,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2429, 399, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				503,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2543, 272, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				506,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2604, 206, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				510,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2669, 137, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				511,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1001, 255, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				512,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1062, 189, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				513,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1127, 120, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				709,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			9906877878922375,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				695,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				705,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				707,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			7852052408768339,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1866, 190, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				717,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2300, 493, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				714,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[893, 392, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				726,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[901, 477, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				716,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1520, 190, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				715,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1575, 103, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				720,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1793, 122, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				727,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1807, 27, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				728,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1659, 554, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				729,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1673, 459, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				730,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3680, 544, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				731,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3713, 426, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				732,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[588, 557, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				733,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[594, 462, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				734,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2707, 559, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				724,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2721, 464, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				725,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D1W3",
		1280,
		960,
		false,
		null,
		7731102473529181,
		[
		[
			"Back",
			0,
			5452643095802243,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[833, 231, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1322,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3124, 250, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				776,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			5972464732932109,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				763,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				764,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				765,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			6774843984852928,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1363, 115, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				767,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1887, -27, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				768,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[351, 474, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				769,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[830, 328, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				770,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1369, 200, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				771,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1887, 70, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				772,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2505, 188, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				773,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3124, 342, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				774,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3702, 474, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				775,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[349, 386, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				777,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2502, 107, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				778,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3696, 392, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				780,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1880, 432, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				781,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1849, 539, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				784,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D1W4",
		1280,
		960,
		false,
		null,
		1061460756233637,
		[
		[
			"Back",
			0,
			2808903048551955,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1072, 459, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				754,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1133, 393, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				791,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1198, 324, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				792,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1265, 253, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				795,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3163, 346, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				796,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3038, 219, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				797,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3101, 282, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				798,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3226, 416, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				799,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			5878942615502792,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				785,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				786,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				787,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			6766958310963493,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1657, 242, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				790,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1645, 336, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				794,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[462, 428, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				803,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[431, 535, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				804,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2190, 243, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				807,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2178, 337, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				808,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2715, 246, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				810,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2703, 340, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				811,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3787, 543, 0, 119, 108, 0, 0, 1, 0.5040000081062317, 0.5087719559669495, 0, 0, []],
				38,
				789,
				[
					[0.4],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				[
					-300,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D2W1",
		1280,
		960,
		false,
		null,
		425309641250255,
		[
		[
			"Back",
			0,
			574066638138461,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1059, 513, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				800,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1132, 514, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				801,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1207, 514, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				802,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[983, 514, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				805,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			5391711011717292,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				812,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				813,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				814,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			1385353163101927,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2709, 71, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				816,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1645, 419, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				817,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[649, 430, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				818,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[618, 537, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				819,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2181, 187, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				832,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2178, 280, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				833,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1647, 328, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				834,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2703, 161, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				835,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3191, 527, 0, 237, 145, 0, 0, 1, 0.502109706401825, 0.5034482479095459, 0, 0, []],
				48,
				820,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3569, 521, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				836,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3642, 522, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				837,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3717, 522, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				838,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3493, 522, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				826,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3197, 405, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				829,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D2W4",
		1280,
		960,
		false,
		null,
		1257685794139381,
		[
		[
			"Back",
			0,
			8599332805579782,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1664, 253, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				806,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1183, 409, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				821,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2463, -9, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				822,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1029, 309, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				823,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1115, 308, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				824,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1197, 308, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				825,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1282, 307, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				827,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2843, -9, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				828,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			5571882685339393,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				891,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				894,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				895,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			7542560867513011,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2911, 87, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				905,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2566, 87, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				896,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1674, 161, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				903,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2221, 87, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				901,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2553, -10, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				900,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2646, -10, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				902,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2743, -11, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				904,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3801, 540, 0, 119, 108, 0, 0, 1, 0.5040000081062317, 0.5087719559669495, 0, 0, []],
				38,
				907,
				[
					[0.4],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				[
					-300,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3935, 540, 0, 119, 108, 0, 0, 1, 0.5040000081062317, 0.5087719559669495, 0, 0, []],
				38,
				908,
				[
					[0.4],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				[
					-300,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2372, -10, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				912,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3118, 561, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				913,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3127, 468, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				914,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[367, 561, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				915,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[372, 469, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				918,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D2W3",
		1280,
		960,
		false,
		null,
		326935795285586,
		[
		[
			"Back",
			0,
			1346327403089478,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1618, 250, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				873,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2097, 255, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				874,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1007, 427, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				875,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1068, 361, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				876,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1133, 292, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				880,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2629, 410, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				883,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2504, 283, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				884,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2567, 346, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				885,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[384, 504, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				886,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[470, 503, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				887,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[552, 503, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				897,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[637, 502, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				898,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3385, 510, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				906,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3471, 509, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				909,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3553, 509, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				910,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3638, 508, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				911,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			1833175034839944,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				870,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				871,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				872,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			1811592515005371,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2034, 359, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				878,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1688, 358, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				882,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1849, 292, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				892,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1861, 189, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				893,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1865, 9, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				881,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3021, 559, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				877,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3033, 456, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				888,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D2W2",
		1280,
		960,
		false,
		null,
		8025097812009123,
		[
		[
			"Back",
			0,
			3298802086303102,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[861, 423, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				846,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[922, 357, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				849,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[987, 288, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				851,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2815, 428, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				852,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2690, 301, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				859,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2753, 364, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				862,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3294, 457, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				855,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3290, 538, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				856,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[408, 456, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				853,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[404, 537, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				854,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			7497159009203314,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				839,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				840,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				841,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			8206490708599539,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2376, 360, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				845,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2034, 359, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				844,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1727, 266, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				863,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1688, 358, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				843,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1851, 267, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				847,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1966, 268, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				848,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1342, 358, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				850,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1477, 289, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				857,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1489, 186, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				858,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2247, 290, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				860,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2259, 187, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				861,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D3W1",
		1280,
		960,
		false,
		null,
		2202595048491013,
		[
		[
			"Back",
			0,
			9845766379504249,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1675, 538, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				864,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2861, 531, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				867,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2947, 530, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				916,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3029, 530, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				917,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3114, 529, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				931,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			803710771931058,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				921,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				922,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				923,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			3920573666701502,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1929, 466, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				925,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1584, 466, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				932,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1240, 466, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				926,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1475, 539, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				940,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2509, 555, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				941,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2518, 462, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				942,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1582, 397, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				945,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1589, 310, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				946,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1576, 538, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				934,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[425, 538, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				924,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[457, 425, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				936,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3407, 536, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				865,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3439, 423, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				866,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D3W2",
		1280,
		960,
		false,
		null,
		7310919390022956,
		[
		[
			"Back",
			0,
			2998522588900308,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[935, 537, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				935,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1960, 538, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				943,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2886, 541, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				944,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2634, 508, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				951,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2509, 381, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				952,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2572, 444, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				953,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2204, 514, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				954,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2265, 448, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				955,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2330, 379, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				956,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1652, 501, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				957,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1527, 374, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				958,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1590, 437, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				961,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1222, 507, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				962,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1283, 441, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				963,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1348, 372, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				964,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1965, 454, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				45,
				947,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[943, 457, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				45,
				949,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2892, 457, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				45,
				959,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			3103353249898213,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				937,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				938,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				939,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			9328601950499921,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[3335, 560, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				45,
				960,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1438, 555, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				45,
				948,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[471, 554, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				45,
				930,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2435, 557, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				45,
				933,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D3W3",
		1280,
		960,
		false,
		null,
		1982196100372345,
		[
		[
			"Back",
			0,
			5036049313364084,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1199, 510, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				965,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[676, 507, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				966,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2750, 535, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				967,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2836, 534, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				968,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2918, 534, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				969,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3003, 533, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				975,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3084, 531, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				977,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3170, 530, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				978,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3252, 530, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				981,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3337, 529, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				982,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			2333217117217175,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				972,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				973,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				974,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			2452505833244722,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[936, 558, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				986,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[950, 458.4934692382813, 0, 34, 75, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				987,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1963, 556, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				979,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1977, 457, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				980,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2491, 415, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				984,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2245, 517, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				992,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2459, 536, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				983,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1452, 415, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				988,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1420, 536, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				989,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1696, 509, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				993,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[466, 416, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				995,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[434, 537, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				997,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"S3D3W4",
		1280,
		960,
		false,
		null,
		8260781043757492,
		[
		[
			"Back",
			0,
			2924372655258396,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[3246, 114, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				985,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3438, 117, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				990,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1700, 112, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				991,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2448, 259, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				994,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2530, 259, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				996,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2615, 258, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1019,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[772, 259, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1022,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[854, 259, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1023,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[939, 258, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1315,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			3602751758295563,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1000,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1001,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1002,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			2069937226769059,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1258, 560, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1005,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[726, 355, 0, 34, 75, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1006,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1273, 460, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1024,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[518, 537, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				1025,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[875, 350, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				1003,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1700, 200, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				1007,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2553, 350, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				1008,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3336, 200, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				1009,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1669, 545, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				1010,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1699, 424, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1011,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2132, 559, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1012,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2147, 460, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1013,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[549, 416, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1014,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2920, 543, 0, 166, 120, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				1015,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2950, 422, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1016,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3313, 537, 0, 152, 128, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				1017,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3344, 416, 0, 34, 76, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1018,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3344, 118, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1020,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"TutS1",
		1280,
		960,
		false,
		null,
		6860576872329485,
		[
		[
			"Back",
			0,
			5462565068089942,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[581, 471, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1051,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[470, 589, 0, 50, 300, 0, 0, 1, 0.5199999809265137, 1.003333330154419, 0, 0, []],
				88,
				1047,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0],
					[0]
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[3038, 248, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				1049,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2891, 470, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1288,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2893, 478, 0, 50, 300, 0, 0, 1, 0.5199999809265137, 1.003333330154419, 0, 0, []],
				88,
				1289,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0],
					[0]
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			2605676462338472,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1053,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1054,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1287,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			1010108486904424,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[577, 560, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1291,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2769, 594, 0, 50, 300, 0, 0, 1, 0.5199999809265137, 1.003333330154419, 0, 0, []],
				88,
				1048,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0],
					[0]
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[2886, 559, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1050,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"TutS2",
		2000,
		960,
		false,
		null,
		994846860759233,
		[
		[
			"Back",
			0,
			4832658055887522,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[694, 457, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				1290,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[654, 365, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				1293,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1923, 505, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1295,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2154, 505, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1299,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2366, 509, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				1300,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[655, 243, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				1292,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Earth",
			1,
			5559150253587362,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2558, 580, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1296,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1297,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				1298,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			2,
			6930645741222311,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[579, 599, 0, 50, 300, 0, 0, 1, 0.5199999809265137, 1.003333330154419, 0, 0, []],
				88,
				1294,
				[
					[""],
					["GScrolling"],
					["random3"],
					[1],
					[0],
					[0]
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[2857, 594, 0, 50, 300, 0, 0, 1, 0.5199999809265137, 1.003333330154419, 0, 0, []],
				88,
				1301,
				[
					[""],
					["GScrolling"],
					["random3"],
					[1],
					[0],
					[0]
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[1807, 589, 0, 50, 300, 0, 0, 1, 0.5199999809265137, 1.003333330154419, 0, 0, []],
				88,
				1285,
				[
					[""],
					["GScrolling"],
					["random3"],
					[1],
					[0],
					[0]
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[3132, 529, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				1304,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3004, 560, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1305,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3257, 562, 0, 147, 84, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				1306,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3007, 468, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1307,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3260, 469, 0, 34, 77, 0, 0, 1, 0.5, 0.5064935088157654, 0, 0, []],
				39,
				1308,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"100, 100",
					2.5,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3925, 596, 0, 50, 300, 0, 0, 1, 0.5199999809265137, 1.003333330154419, 0, 0, []],
				88,
				1309,
				[
					[""],
					["GScrolling"],
					["random3"],
					[1],
					[0],
					[0]
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"MainGame",
		2560,
		960,
		true,
		"GameEvents",
		3065451075266157,
		[
		[
			"BG",
			0,
			125048399677537,
			true,
			[254, 159, 7],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, -192, 0, 1280, 864, 0, 0, 1, 0, 0, 0, 0, []],
				12,
				132,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[0, 415, 0, 1280, 237, 0, 0, 1, 0, 0, 0, 0, []],
				13,
				133,
				[
					[""],
					["L1Scrolling"],
					["repeat"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1280, 416, 0, 1280, 231, 0, 0, 1, 0, 0, 0, 0, []],
				16,
				134,
				[
					[""],
					["L1Scrolling"],
					["repeat"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Desert",
			1,
			671169048732768,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 510, 0, 1280, 150, 0, 0, 1, 0, 0, 0, 0, []],
				14,
				135,
				[
					[""],
					["L2Scrolling"],
					["random2"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[2560, 510, 0, 1280, 140, 0, 0, 1, 0, 0, 0, 0, []],
				14,
				136,
				[
					[""],
					["L2Scrolling"],
					["random2"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1280, 510, 0, 1280, 150, 0, 0, 1, 0, 0, 0, 0, []],
				17,
				137,
				[
					[""],
					["L2Scrolling"],
					["random2"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Desert2",
			2,
			2241398652087748,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 495, 0, 1280, 184, 0, 0, 1, 0, 0, 0, 0, []],
				15,
				138,
				[
					[""],
					["L3Scrolling"],
					["random2"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[2560, 495, 0, 1280, 184, 0, 0, 1, 0, 0, 0, 0, []],
				15,
				139,
				[
					[""],
					["L3Scrolling"],
					["random2"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1280, 495, 0, 1280, 184, 0, 0, 1, 0, 0, 0, 0, []],
				18,
				140,
				[
					[""],
					["L3Scrolling"],
					["random2"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Objects",
			3,
			5817372202972609,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Ground",
			4,
			1103481779760558,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				141,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2560, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				142,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1280, 579, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				9,
				143,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Obstacles",
			5,
			6758604155857028,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[640, 360, 0, 48, 42, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				2,
				144,
				[
					[""],
					[""],
					[""]
				],
				[
				[
					1
				],
				[
					0,
					0,
					0,
					"current",
					"0, 64",
					0.3,
					"0,0",
					0,
					0,
					1,
					0,
					""
				],
				[
					0,
					0,
					0,
					"current",
					"0, -64",
					0.3,
					"0,0",
					0,
					0,
					1,
					0,
					""
				],
				[
					0,
					0,
					0,
					"current",
					"0, 20",
					0.05,
					"0,0",
					5,
					0,
					1,
					0,
					""
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Player",
			6,
			1208786322221002,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[494, 526, 0, 64, 125, 0, 0, 1, 0.5, 0.5040000081062317, 0, 0, []],
				0,
				146,
				[
				],
				[
				[
					330,
					1500,
					1500,
					650,
					2200,
					1000,
					0,
					0,
					0,
					1
				],
				[
					0,
					6,
					2,
					"0",
					"4",
					1,
					"0,0",
					0,
					0,
					1,
					0,
					""
				],
				[
					0,
					6,
					26,
					"0",
					"480",
					2,
					"0,0",
					0,
					0,
					1,
					0,
					""
				],
				[
					0,
					6,
					8,
					"0",
					"3",
					1,
					"0,0",
					0,
					0,
					1,
					0,
					""
				],
				[
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[392, 561, 0, 166, 61, 0, 0, 1, 0.5, 0.5081967115402222, 0, 0, []],
				58,
				147,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[491, 584, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				191,
				150,
				[
				],
				[
				[
				],
				[
				]
				],
				[
					"Cowboy.scon",
					"",
					""
				]
			]
			],
			[			]
		]
,		[
			"indians",
			7,
			341920337063195,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-165.5169372558594, 365.2382202148438, 0, 324.6279907226563, 460.4285583496094, 0, 0, 1, 0.5019920468330383, 0.5, 0, 0, []],
				5,
				151,
				[
				],
				[
				[
					0,
					0,
					0,
					"current",
					"50, 0",
					0.4,
					"0,0",
					0,
					0,
					1,
					0,
					""
				],
				[
					1,
					0,
					23,
					"current",
					"190, 0",
					1.5,
					"1.7,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"HUD",
			8,
			8578918675165126,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1099, 1345, 0, 378.6475830078125, 378.6475830078125, 0, 0, 1, 0.5070422291755676, 1.014084458351135, 0, 0, []],
				3,
				152,
				[
					["Jump"]
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[196, 1344, 0, 376.7014770507813, 376.7014770507813, 0, 0, 1, 0.5211267471313477, 1.014084458351135, 0, 0, []],
				4,
				157,
				[
					["Slide"]
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[127, 14, 0, 46, 59, 0, 0, 1, 0, 0, 0, 0, []],
				53,
				158,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[172, 14, 0, 46, 59, 0, 0, 1, 0, 0, 0, 0, []],
				53,
				162,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[219, 14, 0, 46, 59, 0, 0, 1, 0, 0, 0, 0, []],
				53,
				163,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2, 720, 0, 157, 137, 0, 0, 0.5, 0, 1.007299304008484, 0, 0, []],
				55,
				164,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1281, 719, 0, 155, 137, 0, 0, 0.5, 1.006451606750488, 1.007299304008484, 0, 0, []],
				56,
				165,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[66, 41, 0, 79, 70, 0, 0, 1, 0.4556961953639984, 0.4714285731315613, 0, 0, []],
				72,
				166,
				[
					["pause"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Blackscreen",
			9,
			7281863826667259,
			false,
			[0, 0, 0],
			false,
			1,
			1,
			0.949999988079071,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"EndOver",
			10,
			8947191760167879,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-8, 18, 0, 13, 35, 0, 0, 1, 0.5384615659713745, 0.5142857432365418, 0, 0, []],
				75,
				167,
				[
				],
				[
				[
					0,
					6,
					0,
					"0",
					"800",
					4,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"EndLottery",
			11,
			807196988017099,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"RankUp",
			12,
			3238393532321106,
			false,
			[0, 0, 0],
			false,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Pause",
			13,
			7850335407548939,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Mission",
			14,
			416499256048516,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Tutorial",
			15,
			3735563154930536,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Tutorial2",
			16,
			4360511025440424,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[523, 554, 0, 24, 38, 0, 1.523804187774658, 1, 0, 0, 0, 0, []],
				94,
				168,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[513, 574, 0, 16, 14, 0, 1.65134334564209, 1, 0, 0, 0, 0, []],
				95,
				205,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[524, 579, 0, 19, 26, 0, 1.602837085723877, 1, 0, 0, 0, 0, []],
				96,
				206,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[529, 529, 0, 17, 22, 0, 0.1859006881713867, 1, 0, 0, 0, 0, []],
				97,
				207,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[519, 507, 0, 28, 19, 0, 1.181540966033936, 1, 0, 0, 0, 0, []],
				98,
				208,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[520, 520, 0, 25, 20, 0, 0.6863536834716797, 1, 0, 0, 0, 0, []],
				99,
				209,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[537, 451, 0, 77, 100, 0, 1.599091053009033, 1, 0, 0, 0, 0, []],
				100,
				210,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[534, 502, 0, 60, 81, 0, 1.575844764709473, 1, 0, 0, 0, 0, []],
				101,
				211,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[534, 531, 0, 44, 91, 0, 1.368572235107422, 1, 0, 0, 0, 0, []],
				102,
				212,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[485, 570, 0, 17, 14, 0, 1.555483818054199, 1, 0, 0, 0, 0, []],
				103,
				213,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[497, 567, 0, 22, 39, 0, 1.792567729949951, 1, 0, 0, 0, 0, []],
				104,
				214,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[500, 540.0000610351563, 0, 35, 27, 0, 1.911814689636231, 1, 0, 0, 0, 0, []],
				105,
				215,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[552, 421, 0, 57, 130, 0, 1.499338626861572, 1, 0, 0, 0, 0, []],
				106,
				216,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[466, 533, 0, 22, 21, 0, 1.163632392883301, 1, 0, 0, 0, 0, []],
				107,
				227,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[463, 516, 0, 26, 23, 0, 1.275243759155273, 1, 0, 0, 0, 0, []],
				108,
				228,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[447, 521, 0, 30, 21, 0, -0.7872712016105652, 1, 0, 0, 0, 0, []],
				109,
				239,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[496, 578, 0, 22, 33, 0, 1.628437995910645, 1, 0, 0, 0, 0, []],
				110,
				240,
				[
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"MissionPopIn",
			17,
			4969637540996279,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
		],
		[
			[
				null,
				175,
				220,
				[
				],
				[
				],
				[
					10,
					1,
					1
				]
			]
,			[
				null,
				173,
				221,
				[
				],
				[
				],
				[
					10,
					1,
					1
				]
			]
,			[
				null,
				178,
				1044,
				[
				],
				[
				],
				[
					10,
					1,
					1
				]
			]
,			[
				null,
				163,
				222,
				[
				],
				[
				],
				[
					3,
					1,
					1
				]
			]
,			[
				null,
				177,
				232,
				[
				],
				[
				],
				[
					10,
					1,
					1
				]
			]
,			[
				null,
				172,
				244,
				[
				],
				[
				],
				[
					3,
					1,
					1
				]
			]
,			[
				null,
				174,
				265,
				[
				],
				[
				],
				[
					10,
					1,
					1
				]
			]
,			[
				null,
				167,
				326,
				[
				],
				[
				],
				[
				]
			]
,			[
				null,
				171,
				592,
				[
				],
				[
				],
				[
					10,
					1,
					1
				]
			]
,			[
				null,
				169,
				551,
				[
				],
				[
				],
				[
					10,
					1,
					1
				]
			]
,			[
				null,
				164,
				556,
				[
				],
				[
				],
				[
				]
			]
,			[
				null,
				166,
				565,
				[
				],
				[
				],
				[
				]
			]
,			[
				null,
				170,
				693,
				[
				],
				[
				],
				[
					10,
					1,
					1
				]
			]
,			[
				null,
				165,
				1120,
				[
				],
				[
				],
				[
					1,
					3,
					1
				]
			]
,			[
				null,
				176,
				145,
				[
				],
				[
				],
				[
					30,
					7,
					1
				]
			]
,			[
				null,
				193,
				1283,
				[
				],
				[
				],
				[
				]
			]
,			[
				null,
				179,
				362,
				[
				],
				[
				],
				[
					10,
					1,
					1
				]
			]
,			[
				null,
				180,
				502,
				[
				],
				[
				],
				[
					10,
					1,
					1
				]
			]
,			[
				null,
				181,
				369,
				[
				],
				[
				],
				[
					22,
					1,
					1
				]
			]
,			[
				null,
				182,
				115,
				[
				],
				[
				],
				[
				]
			]
		],
		[]
	]
,	[
		"ObjectDepot",
		2560,
		960,
		false,
		"SplashEvents",
		774392735369738,
		[
		[
			"Obstacles",
			0,
			5414973180833747,
			true,
			[255, 255, 255],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[32, 686, 0, 99, 82, 0, 0, 1, 0.5050504803657532, 0.5, 0, 0, []],
				30,
				250,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[-276, 667, 0, 99, 141, 0, 0, 1, 0.5050504803657532, 0.5035461187362671, 0, 0, []],
				31,
				252,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[165, 625, 0, 64, 185, 0, 0, 1, 0.5, 0.5027027130126953, 0, 0, []],
				6,
				253,
				[
					[1],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[296, 513, 0, 178, 82, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				32,
				259,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[390, 653, 0, 178, 140, 0, 0, 1, 0.5056179761886597, 0.5, 0, 0, []],
				33,
				266,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[549, 652, 0, 187, 124, 0, 0, 1, 0.5026738047599793, 0.5, 0, 0, []],
				1,
				271,
				[
					[1],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[-144, 633, 0, 158, 134, 0, 0, 1, 0.5, 0.5074626803398132, 0, 0, []],
				35,
				277,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[778, 681, 0, 125, 64, 0, 0, 1, 0.5040000081062317, 0.5, 0, 0, []],
				7,
				294,
				[
					[1],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[642, 757, 0, 1280, 479, 0, 0, 1, 0, 0, 0, 0, []],
				8,
				296,
				[
					[""],
					["GScrolling"],
					["random3"],
					[0]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[322, 812, 0, 414, 83, 0, 0, 1, 0.5, 0.5060241222381592, 0, 0, []],
				34,
				297,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[34, 863, 0, 65, 69, 0, 0, 1, 0.5254237055778503, 0.5121951103210449, 0, 0, []],
				85,
				315,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"150, 30",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1321, 268, 0, 67, 78, 0, 0, 1, 0.5074626803398132, 0.5, 0, 0, []],
				84,
				316,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					0,
					0,
					"current",
					"440, 60",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1396, 413, 0, 106, 81, 0, 0, 1, 0.5, 0.5061728358268738, 0, 0, []],
				61,
				317,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2657, 112, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				40,
				318,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2761, 87, 0, 98, 144, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				41,
				319,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2903, 116, 0, 176, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				320,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3253, 117, 0, 482, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				43,
				321,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2945, -10, 0, 254, 146, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				44,
				322,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[-406, 692, 0, 98, 82, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				45,
				323,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2755, 304, 0, 98, 146, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				46,
				324,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2894, 335, 0, 165, 82, 0, 0, 1, 0.5030303001403809, 0.5, 0, 0, []],
				47,
				325,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3105, 308, 0, 237, 145, 0, 0, 1, 0.502109706401825, 0.5034482479095459, 0, 0, []],
				48,
				327,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[3441, 337, 0, 372, 82, 0, 0, 1, 0.5026881694793701, 0.5, 0, 0, []],
				49,
				328,
				[
					[0],
					[0],
					["notSet"],
					[""],
					["Obstacles"],
					["singleObject"]
				],
				[
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[-153, 809, 0, 172, 126, 0, 0, 1, 0.5, 0.5079365372657776, 0, 0, []],
				36,
				329,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[-127, 956, 0, 143, 89, 0, 0, 1, 0.5804196000099182, 0.5393258333206177, 0, 0, []],
				37,
				331,
				[
					[0],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Buttons",
			1,
			2058145774518554,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[155, 117, 0, 280, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				332,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					1,
					1,
					1,
					0,
					0,
					0
				]
			]
,			[
				[0, 0, 0, 306, 93, 0, 0, 1, 0.5, 0.3333333432674408, 0, 0, []],
				65,
				333,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[171, 308, 0, 104, 84, 0, 0, 1, 0.4423076808452606, 0.5, 0, 0, []],
				67,
				334,
				[
					["story"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"EndScreen",
			2,
			8759549454701253,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2, 1, 0, 479, 513, 0, 0, 1, 0, 0, 0, 0, []],
				152,
				335,
				[
				],
				[
				],
				[
					28,
					28,
					30,
					30,
					1,
					1,
					0,
					0,
					0
				]
			]
,			[
				[251, 86, 0, 356, 98, 0, 0, 1, 0.5, 0.3333333432674408, 0, 0, []],
				65,
				1082,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[247, 233, 0, 356, 98, 0, 0, 1, 0.5, 0.3333333432674408, 0, 0, []],
				65,
				1083,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[247, 385, 0, 356, 98, 0, 0, 1, 0.5, 0.3333333432674408, 0, 0, []],
				65,
				1084,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[314, -50, 0, 171, 45, 0, 0, 1, 0, 0, 0, 0, []],
				142,
				1085,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[872, 27, 0, 356, 98, 0, 0, 1, 0.5, 0.3333333432674408, 0, 0, []],
				65,
				1086,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[868, 191, 0, 139, 126, 0, 0, 1, 0.4676258862018585, 0.4841269850730896, 0, 0, []],
				153,
				1087,
				[
					["sharescore"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[952, 398, 0, 132, 128, 0, 0, 1, 0.4621212184429169, 0.4765625, 0, 0, []],
				154,
				1088,
				[
					["achievements"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[778, 400, 0, 132, 128, 0, 0, 1, 0.4621212184429169, 0.4765625, 0, 0, []],
				155,
				1089,
				[
					["highscore"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[869, 393, 0, 139, 126, 0, 0, 1, 0.4621212184429169, 0.4765625, 0, 0, []],
				156,
				1090,
				[
					["gamecenter"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[249, 557, 0, 331, 94, 0, 0, 1, 0.5015105605125427, 0.5, 0, 0, []],
				64,
				1091,
				[
					["start"],
					[1],
					[1]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"0, 0",
					0.8,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[866, 559, 0, 331, 94, 0, 0, 1, 0.5015105605125427, 0.5, 0, 0, []],
				64,
				1092,
				[
					["start"],
					[1],
					[1]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"0, 0",
					0.8,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[155, -30, 0, 316, 81, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				1093,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1.5,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[884, 268, 0, 316, 81, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				1094,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1.5,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
			],
			[			]
		]
,		[
			"Player",
			3,
			1689472234542815,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1223, 357, 0, 183, 150, 0, 0, 1, 0.5027322173118591, 0.5, 0, 0, []],
				59,
				336,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1196, 492, 0, 96, 122, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				60,
				340,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1179.306396484375, 274.6073608398438, 0, 73.17786407470703, 50.2201042175293, 0, 0, 0.6499999761581421, 0.5098039507865906, 0.5142857432365418, 0, 0, []],
				10,
				341,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					1,
					1,
					23,
					"0.1,0.1",
					"10, 10",
					0.5,
					"0",
					0,
					0,
					1,
					0,
					""
				],
				[
					0,
					1,
					0,
					"current",
					"0.1,0.1",
					0.3,
					"0.5,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1485, 549, 0, 208, 171, 0, 0, 1, 0.5, 0.5029239654541016, 0, 0, []],
				62,
				343,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[-382, 915, 0, 200, 219, 0, 0, 1, 0.5049999952316284, 0.5022830963134766, 0, 0, []],
				63,
				344,
				[
				],
				[
				[
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[70, 1040, 0, 133, 151, 0, 0, 1, 0.5263158082962036, 0.5099337697029114, 0, 0, []],
				86,
				417,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					1,
					1,
					0,
					4,
					0,
					0,
					0,
					150,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"UI",
			4,
			5478551650721793,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[798, -48, 0, 239, 48, 0, 0, 1, 0.02092050202190876, 0.5208333134651184, 0, 0, []],
				82,
				349,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[911, -88, 0, 738, 131, 0, 0, 1, 0.501354992389679, 1.007633566856384, 0, 0, []],
				54,
				350,
				[
				],
				[
				[
					0,
					0,
					23,
					"current",
					"0,0",
					0.3,
					"0,0",
					0,
					0,
					0,
					0,
					""
				],
				[
					0,
					0,
					0,
					"current",
					"0, 300",
					0.2,
					"0,0",
					0,
					0,
					1,
					0,
					""
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[811, -47, 0, 202, 38, 0, 0, 1, 0, 0.5263158082962036, 0, 0, []],
				78,
				359,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[0, 0, 0, 356, 98, 0, 0, 1, 0.5, 0.3333333432674408, 0, 0, []],
				65,
				361,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[99, 40, 0, 66, 30, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				57,
				1096,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[100.5, 89.5, 0, 66, 46, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				1097,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"X4",
					0.8,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[235, 1209, 0, 179, 182, 0, 0, 1, 0.4410480260848999, 0.5021833777427673, 0, 0, []],
				83,
				1302,
				[
					["start"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[480, 1209, 0, 50, 300, 0, 0, 1, 0.5199999809265137, 1.003333330154419, 0, 0, []],
				88,
				1303,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0],
					[0]
				],
				[
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[2203, 1156, 0, 56, 44, 0, 0, 1, 0.5178571343421936, 0.5227272510528565, 0, 0, []],
				147,
				360,
				[
				],
				[
				[
					1,
					5,
					0,
					"current",
					"-100,-100",
					1,
					"0,0",
					2,
					0,
					1,
					0,
					""
				],
				[
					1,
					4,
					0,
					"current",
					"30",
					1,
					"0,0",
					1,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Shop",
			5,
			1912080558250924,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1730, 145, 0, 409, 93, 0, 0, 1, 0.5012224912643433, 0.4838709533214569, 0, 0, []],
				69,
				363,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1944, -2, 0, 260, 98, 0, 0, 1, 0.4923076927661896, 0.3673469424247742, 0, 0, []],
				70,
				364,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1731, 252, 0, 409, 93, 0, 0, 1, 0.5012224912643433, 0.4838709533214569, 0, 0, []],
				69,
				365,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1731, 362, 0, 409, 93, 0, 0, 1, 0.5012224912643433, 0.4838709533214569, 0, 0, []],
				69,
				366,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1730, 473, 0, 409, 93, 0, 0, 1, 0.5012224912643433, 0.4838709533214569, 0, 0, []],
				69,
				367,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1877, 145, 0, 76, 71, 0, 0, 1, 0.460526317358017, 0.4788732528686523, 0, 0, []],
				71,
				368,
				[
					["buyshield"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[435, 524, 0, 240, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				370,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					1,
					1,
					0,
					0,
					0
				]
			]
,			[
				[1727, 158, 0, 231, 47, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				371,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hell",
					1,
					0,
					0,
					1,
					1,
					0,
					0,
					0
				]
			]
,			[
				[1768, 157, 0, 155, 46, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				372,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"10p",
					1,
					0,
					2,
					1,
					1,
					0,
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"End",
			6,
			812534094385258,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2163, 513, 0, 356, 98, 0, 0, 1, 0.5, 0.3333333432674408, 0, 0, []],
				65,
				432,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2164, 611, 0, 356, 98, 0, 0, 1, 0.5, 0.3333333432674408, 0, 0, []],
				65,
				433,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2164, 708, 0, 356, 98, 0, 0, 1, 0.5, 0.3333333432674408, 0, 0, []],
				65,
				494,
				[
					[""]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[428, 76, 0, 396, 84, 0, 0, 1, 0.5, 0.4523809552192688, 0, 0, []],
				76,
				495,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[449, 157, 0, 231, 47, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				496,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hell",
					1,
					0,
					0,
					1,
					1,
					0,
					0,
					0
				]
			]
,			[
				[872, 7, 0, 114, 102, 0, 0, 1, 0.4649122953414917, 0.4803921580314636, 0, 0, []],
				77,
				497,
				[
					["close"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[420, 275, 0, 396, 240, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				79,
				499,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1, 1, 0, 881, 582, 0, 0, 1, 0, 0, 0, 0, []],
				157,
				1095,
				[
				],
				[
				],
				[
					28,
					28,
					30,
					30,
					1,
					1,
					0,
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"BackObjects",
			7,
			1733904421857618,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1308, 820, 0, 116, 282, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				19,
				500,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1451, 844, 0, 254, 241, 0, 0, 1, 0.5, 0.5020747184753418, 0, 0, []],
				20,
				501,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1664, 807, 0, 152, 319, 0, 0, 1, 0.5, 0.5015674233436585, 0, 0, []],
				21,
				1021,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[1850, 793, 0, 132, 333, 0, 0, 1, 0.5, 0.5015015006065369, 0, 0, []],
				22,
				1026,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[2087, 980, 0, 281, 310, 0, 0, 1, 0.5017793774604797, 0.5, 0, 0, []],
				23,
				1027,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[2458, 973, 0, 359, 320, 0, 0, 1, 0.5, 0.5015873312950134, 0, 0, []],
				24,
				1028,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[2549, 608, 0, 117, 301, 0, 0, 1, 0.504273533821106, 0.5016611218452454, 0, 0, []],
				25,
				1029,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[2848, 981, 0, 352, 284, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				26,
				1030,
				[
					[""],
					[""],
					["singleObject"],
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
,			[
				[-112, 436, 0, 125, 114, 0, 0, 1, 0.5040000081062317, 0.5087719559669495, 0, 0, []],
				38,
				1031,
				[
					[0.4],
					[0],
					["damage"],
					[""],
					["Obstacles"],
					["singleObject"],
					[0]
				],
				[
				[
					-300,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Pause",
			8,
			819770208341742,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[435, 129, 0, 331, 94, 0, 0, 1, 0.5015105605125427, 0.5, 0, 0, []],
				64,
				1032,
				[
					["start"],
					[1],
					[1]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"0, 0",
					0.8,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[443, 128, 0, 308, 94, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				1033,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[988, 182, 0, 104, 84, 0, 0, 1, 0.4423076808452606, 0.5, 0, 0, []],
				66,
				1034,
				[
					["music"],
					[1],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1057, 293, 0, 331, 94, 0, 0, 1, 0.5015105605125427, 0.5, 0, 0, []],
				64,
				1035,
				[
					["start"],
					[1],
					[1]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"0, 0",
					0.8,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[436, 349, 0, 331, 94, 0, 0, 1, 0.5015105605125427, 0.5, 0, 0, []],
				64,
				1037,
				[
					["start"],
					[1],
					[1]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"0, 0",
					0.8,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[444, 350, 0, 308, 94, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				1038,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[578, 44, 0, 240, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				1039,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					1,
					1,
					0,
					0,
					0
				]
			]
,			[
				[1125, 182, 0, 104, 84, 0, 0, 1, 0.4423076808452606, 0.5, 0, 0, []],
				66,
				1040,
				[
					["music"],
					[1],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1063, 396, 0, 331, 94, 0, 0, 1, 0.5015105605125427, 0.5, 0, 0, []],
				64,
				374,
				[
					["start"],
					[1],
					[1]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"0, 0",
					0.8,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Tutorial",
			9,
			3067143517936926,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[803, 515, 0, 114, 102, 0, 0, 1, 0.4649122953414917, 0.4803921580314636, 0, 0, []],
				81,
				1041,
				[
					["forward"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[68, 515, 0, 114, 102, 0, 0, 1, 0.4649122953414917, 0.4803921580314636, 0, 0, []],
				80,
				1042,
				[
					["back"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[435, 17, 0, 674, 127, 0, 0, 1, 0.5, 0.5039370059967041, 0, 0, []],
				74,
				1043,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[897, 424, 0, 157, 137, 0, 0, 0.5, 0, 1.007299304008484, 0, 0, []],
				55,
				1045,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1540, 420, 0, 155, 137, 0, 0, 1, 1.006451606750488, 1.007299304008484, 0, 0, []],
				56,
				1046,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1112, -227, 0, 87, 117, 0, 0, 1, 0.4942528605461121, 1, 0, 0, []],
				87,
				1052,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[489, 291, 0, 505, 91, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				1057,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[489, 391, 0, 505, 91, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				1059,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[-672, -339, 0, 132, 132, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				89,
				1284,
				[
				],
				[
				],
				[
					42,
					42,
					42,
					42,
					1,
					1,
					0,
					1,
					0
				]
			]
,			[
				[713, -439, 0, 550, 370, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				1286,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini, Please press",
					1,
					0,
					1,
					1,
					1,
					0,
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"Intro",
			10,
			5959947086577346,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[2664, 605, 0, 1190, 251, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				90,
				1060,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2662, 859, 0, 1190, 251, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				91,
				1061,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2663, 1115, 0, 1190, 251, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				92,
				1062,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2663, 1373, 0, 1190, 251, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				93,
				1063,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[155, -512, 0, 617, 176, 0, 0, 1, 0.5008103847503662, 0.5, 0, 0, []],
				190,
				1064,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"new ref",
			11,
			9237120513961532,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Missions",
			12,
			3118449177290363,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-1, -1, 0, 1284, 160, 0, 0, 1, 0, 0, 0, 0, []],
				111,
				375,
				[
				],
				[
				],
				[
					16,
					16,
					16,
					16,
					1,
					1,
					0,
					0,
					1
				]
			]
,			[
				[638, 43, 0, 1271, 81, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				1036,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1.5,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[223, -50, 0, 224, 58, 0, 0, 1, 0, 0, 0, 0, []],
				144,
				376,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[477, -46, 0, 171, 45, 0, 0, 1, 0, 0, 0, 0, []],
				142,
				377,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[485, -32, 0, 45, 49, 0, 0, 1, 0.5111111402511597, 0.5102040767669678, 0, 0, []],
				145,
				378,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[423, 206.5, 0, 823, 43, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				379,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[2, -49, 0, 222, 99, 0, 0, 1, 0, 0, 0, 0, []],
				143,
				380,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[-139, -50, 0, 80, 74, 0, 0, 1, 0.512499988079071, 0.5135135054588318, 0, 0, []],
				112,
				381,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[-114, 183, 0, 80, 74, 0, 0, 1, 0.512499988079071, 0.5135135054588318, 0, 0, []],
				112,
				382,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[-114, 108, 0, 80, 74, 0, 0, 1, 0.512499988079071, 0.5135135054588318, 0, 0, []],
				112,
				383,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Daily",
			13,
			2927493060660602,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[164, 333, 0, 166, 150, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				120,
				384,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[427, 114, 0, 553, 92, 0, 0, 1, 0.5009041428565979, 0.5, 0, 0, []],
				114,
				385,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[184, 113, 0, 82, 101, 0, 0, 1, 0.5, 0.5049505233764648, 0, 0, []],
				115,
				386,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					1,
					0,
					4,
					0,
					0,
					0,
					150,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[667, 113, 0, 78, 101, 0, 0, 1, 0.5, 0.5049505233764648, 0, 0, []],
				116,
				387,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					1,
					0,
					4,
					0,
					0,
					0,
					150,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[419, 479, 0, 686, 128, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				119,
				388,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[334, 333, 0, 166, 150, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				120,
				389,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[165, 299.5, 0, 124, 47, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				398,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hel",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[308, 113, 0, 82, 103, 0, 0, 1, 0.5, 0.5048543810844421, 0, 0, []],
				117,
				408,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					1,
					0,
					4,
					0,
					0,
					0,
					150,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[551, 113, 0, 76, 102, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				118,
				472,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					1,
					0,
					4,
					0,
					0,
					0,
					150,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[162, 362, 0, 39, 43, 0, 0, 1, 0.5128205418586731, 0.5116279125213623, 0, 0, []],
				121,
				390,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[165, 328, 0, 124, 47, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				474,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hel",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[505, 335, 0, 166, 150, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				120,
				478,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[672, 335, 0, 166, 150, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				120,
				504,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[215, 380, 0, 85, 84, 0, 0, 1, 0.5058823823928833, 0.511904776096344, 0, 0, []],
				113,
				391,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[432, 112, 0, 82, 103, 0, 0, 1, 0.5, 0.5048543810844421, 0, 0, []],
				117,
				516,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					0,
					1,
					0,
					4,
					0,
					0,
					0,
					150,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[419.5, 480.5, 0, 646, 47, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				392,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[195, 584, 0, 331, 94, 0, 0, 1, 0.5015105605125427, 0.5, 0, 0, []],
				64,
				533,
				[
					["start"],
					[1],
					[1]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"0, 0",
					0.8,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"alignStuff",
			14,
			9134672226053968,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1, 0, 0, 222, 99, 0, 0, 1, 0, 0, 0, 0, []],
				143,
				393,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[114, 28, 0, 199, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				394,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[194, -4, 0, 224, 58, 0, 0, 1, 0, 0, 0, 0, []],
				144,
				395,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Layer 0",
			15,
			5942798069468268,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[667, -46, 0, 171, 45, 0, 0, 1, 0, 0, 0, 0, []],
				142,
				396,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[675, -32, 0, 45, 49, 0, 0, 1, 0.5111111402511597, 0.5102040767669678, 0, 0, []],
				145,
				397,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[786, -83, 0, 199, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				399,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"Customize",
			16,
			7450226213244366,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 0, 0, 5, 5, 0, 0, 1, 0, 0, 0, 0, []],
				148,
				400,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[279, 197, 0, 229, 50, 0, 0, 1, 0.5021833777427673, 0.5199999809265137, 0, 0, []],
				149,
				401,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[205, 280, 0, 251, 50, 0, 0, 1, 0.5019920468330383, 0.5199999809265137, 0, 0, []],
				150,
				402,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[205, 332, 0, 251, 50, 0, 0, 1, 0.5019920468330383, 0.5199999809265137, 0, 0, []],
				150,
				403,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[205, 384, 0, 251, 50, 0, 0, 1, 0.5019920468330383, 0.5199999809265137, 0, 0, []],
				150,
				404,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[204, 436, 0, 251, 50, 0, 0, 1, 0.5019920468330383, 0.5199999809265137, 0, 0, []],
				150,
				405,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[206, 488, 0, 251, 50, 0, 0, 1, 0.5019920468330383, 0.5199999809265137, 0, 0, []],
				150,
				406,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[203, 583, 0, 331, 94, 0, 0, 1, 0.5015105605125427, 0.5, 0, 0, []],
				64,
				517,
				[
					["start"],
					[1],
					[1]
				],
				[
				[
					0,
					0,
					23,
					"current",
					"0, 0",
					0.8,
					"0,0",
					0,
					0,
					1,
					0,
					""
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, 1, 0, 397, 587, 0, 0, 1, 0, 0, 0, 0, []],
				151,
				1081,
				[
				],
				[
				],
				[
					28,
					28,
					29,
					29,
					0,
					0,
					0,
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"ShopPremium",
			17,
			728949551545998,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 1, 0, 841, 586, 0, 0, 1, 0, 0, 0, 0, []],
				146,
				1080,
				[
				],
				[
				],
				[
					28,
					28,
					30,
					30,
					0,
					0,
					0,
					0,
					0
				]
			]
,			[
				[2, 1, 0, 5, 5, 0, 0, 1, -0.2000000029802322, -0.2000000029802322, 0, 0, []],
				141,
				407,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[2, 1, 0, 396, 499, 0, 0, 1, 0, 0, 0, 0, []],
				129,
				550,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[401, 489, 0, 109, 98, 0, 0, 1, 0.4587155878543854, 0.4795918464660645, 0, 0, []],
				122,
				585,
				[
					["shopcard"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[99, 96, 0, 178, 47, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				409,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hell",
					1,
					0,
					0,
					1,
					1,
					0,
					0,
					0
				]
			]
,			[
				[959, 647, 0, 109, 98, 0, 0, 1, 0.4587155878543854, 0.4795918464660645, 0, 0, []],
				123,
				636,
				[
					["shopequip"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[520, 406, 0, 111, 98, 0, 0, 1, 0.4594594538211823, 0.4795918464660645, 0, 0, []],
				124,
				642,
				[
					["restore"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[208, 316, 0, 229, 50, 0, 0, 1, 0.5021833777427673, 0.5199999809265137, 0, 0, []],
				149,
				653,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[209, 371, 0, 229, 50, 0, 0, 1, 0.5021833777427673, 0.5199999809265137, 0, 0, []],
				149,
				661,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[132, 447, 0, 210, 65, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				667,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"5000",
					1,
					0,
					2,
					1,
					1,
					0,
					0,
					0
				]
			]
,			[
				[257, 449, 0, 45, 49, 0, 0, 1, 0.5111111402511597, 0.5102040767669678, 0, 0, []],
				145,
				685,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[203, 188, 0, 160, 116, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				128,
				686,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1123, 123, 0, 376, 117, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				690,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hell",
					1,
					0,
					1,
					1,
					1,
					0,
					0,
					0
				]
			]
,			[
				[785, 276, 0, 90, 116, 0, 0, 1, 0.4555555582046509, 0.4827586114406586, 0, 0, []],
				125,
				575,
				[
					["music"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[469, 279, 0, 90, 116, 0, 0, 1, 0.5444444417953491, 0.517241358757019, 0, 0, []],
				126,
				410,
				[
					["music"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[606, 153, 0, 186, 75, 0, 0, 1, 0, 0.5066666603088379, 0, 0, []],
				127,
				586,
				[
					["close"],
					[1],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1, -1, 0, 109, 98, 0, 0, 1, 0.4587155878543854, 0.4795918464660645, 0, 0, []],
				130,
				564,
				[
					["shoplocked"],
					[1],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[980, 449, 0, 160, 116, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				131,
				595,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[859, 448, 0, 127, 111, 0, 0, 1, 0.5039370059967041, 0.5045045018196106, 0, 0, []],
				134,
				596,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[977, 344, 0, 160, 116, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				132,
				601,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[858, 343, 0, 160, 116, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				133,
				635,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Missionselect",
			18,
			6585830676485687,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[153, 293, 0, 256, 421, 0, 0, 1, 0.5, 0.5011876225471497, 0, 0, []],
				136,
				741,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[157, 284, 0, 210, 206, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				137,
				721,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[150, 296, 0, 150, 150, 0, 0, 1, 0.4399999976158142, 0.4733333289623261, 0, 0, []],
				135,
				708,
				[
					["playscene"],
					[1],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[152, 204, 0, 171, 45, 0, 0, 1, 0.5029239654541016, 0.5111111402511597, 0, 0, []],
				140,
				761,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[153, 267, 0, 69, 83, 0, 0, 1, 0.5072463750839233, 0.5060241222381592, 0, 0, []],
				138,
				735,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[154, 417, 0, 212, 45, 0, 0, 1, 0.5, 0.5111111402511597, 0, 0, []],
				139,
				762,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[155, 467, 0, 212, 45, 0, 0, 1, 0.5, 0.5111111402511597, 0, 0, []],
				139,
				766,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[152, 203, 0, 165, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				411,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[154, 174, 0, 165, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				412,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[153, 87, 0, 253, 91, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				782,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1.8,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[154, 335, 0, 161, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				783,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[154, 418, 0, 199, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				788,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[156, 467, 0, 200, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				793,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[423, 294, 0, 256, 421, 0, 0, 1, 0.5, 0.5011876225471497, 0, 0, []],
				136,
				809,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[427, 285, 0, 210, 206, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				137,
				815,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[420, 297, 0, 150, 150, 0, 0, 1, 0.4399999976158142, 0.4733333289623261, 0, 0, []],
				135,
				830,
				[
					["playscene"],
					[1],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[422, 205, 0, 171, 45, 0, 0, 1, 0.5029239654541016, 0.5111111402511597, 0, 0, []],
				140,
				831,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[423, 268, 0, 69, 83, 0, 0, 1, 0.5072463750839233, 0.5060241222381592, 0, 0, []],
				138,
				842,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[424, 418, 0, 212, 45, 0, 0, 1, 0.5, 0.5111111402511597, 0, 0, []],
				139,
				868,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[425, 468, 0, 212, 45, 0, 0, 1, 0.5, 0.5111111402511597, 0, 0, []],
				139,
				869,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[422, 204, 0, 165, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				879,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[424, 175, 0, 165, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				889,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[423, 89, 0, 253, 91, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				890,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1.8,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[424, 336, 0, 161, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				899,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[424, 419, 0, 200, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				919,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[426, 468, 0, 200, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				920,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[692, 294, 0, 256, 421, 0, 0, 1, 0.5, 0.5011876225471497, 0, 0, []],
				136,
				927,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[696, 285, 0, 210, 206, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				137,
				928,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[689, 297, 0, 150, 150, 0, 0, 1, 0.4399999976158142, 0.4733333289623261, 0, 0, []],
				135,
				929,
				[
					["playscene"],
					[1],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[691, 205, 0, 171, 45, 0, 0, 1, 0.5029239654541016, 0.5111111402511597, 0, 0, []],
				140,
				950,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[692, 268, 0, 69, 83, 0, 0, 1, 0.5072463750839233, 0.5060241222381592, 0, 0, []],
				138,
				970,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[693, 418, 0, 212, 45, 0, 0, 1, 0.5, 0.5111111402511597, 0, 0, []],
				139,
				971,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[694, 468, 0, 212, 45, 0, 0, 1, 0.5, 0.5111111402511597, 0, 0, []],
				139,
				976,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[691, 204, 0, 165, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				998,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[693, 175, 0, 165, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				999,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[692, 88, 0, 253, 91, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				1004,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1.8,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[693, 336, 0, 161, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				51,
				1055,
				[
					["startText"],
					[1]
				],
				[
				[
				]
				],
				[
					42,
					47,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"GENERIC",
					1,
					0,
					1,
					1,
					1,
					0,
					-2,
					0
				]
			]
,			[
				[694, 419, 0, 200, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				1071,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
,			[
				[694, 468, 0, 200, 44, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				50,
				1079,
				[
					["text"]
				],
				[
				],
				[
					38,
					43,
					"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,;:?!-_~#\"'&()[]|`\\/@°+=*$£€<>%ÄäÖöÜüßÀàâÆæÇçÈèÉéÊêËëÎîÏïÔôŒœÙùÛûÁáÍíÑñÓóÚú¿¡₧Ãã",
					"Hello My Name is Reini",
					1,
					0,
					0,
					0,
					1,
					0,
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"EndLottery",
			19,
			7905878819775893,
			true,
			[0, 0, 0],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[420, 604, 0, 62, 138, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				159,
				413,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[520, 604, 0, 62, 138, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				159,
				414,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[630, 605, 0, 62, 138, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				159,
				415,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[735, 605, 0, 62, 138, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				159,
				416,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[835, 605, 0, 62, 138, 0, 0, 0.2000000029802322, 0.5, 0.5, 0, 0, []],
				159,
				1098,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[338, 116, 0, 98, 202, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				158,
				1099,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[982, 127, 0, 213, 188, 0, 0, 1, 0.5023474097251892, 0.5, 0, 0, []],
				161,
				1101,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[942, 608, 0, 62, 138, 0, 0, 0.2000000029802322, 0.5, 0.5, 0, 0, []],
				159,
				1102,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[129, 121, 0, 207, 207, 0, 0, 1, 0.5024154782295227, 0.5024154782295227, 0, 0, []],
				160,
				1100,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[558, 121, 0, 98, 202, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				158,
				1103,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[771, 121, 0, 98, 202, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				158,
				1104,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[983, 125, 0, 98, 202, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				158,
				1105,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[333, 385, 0, 98, 202, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				158,
				1106,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[976, 396, 0, 213, 188, 0, 0, 1, 0.5023474097251892, 0.5, 0, 0, []],
				161,
				1107,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[554, 391, 0, 98, 202, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				158,
				1108,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[766, 391, 0, 98, 202, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				158,
				1109,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[978, 394, 0, 98, 202, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				158,
				1110,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1395, 429, 0, 133, 151, 0, 0, 1, 0.5263158082962036, 0.5099337697029114, 0, 0, []],
				86,
				1111,
				[
					[""],
					[""],
					["singleObject"],
					[1],
					[0]
				],
				[
				[
					1,
					1,
					0,
					4,
					0,
					0,
					0,
					150,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
			[
				null,
				168,
				694,
				[
				],
				[
				],
				[
				]
			]
		],
		[]
	]
,	[
		"MainMenu",
		1280,
		960,
		false,
		"MainMenuEvents",
		890203314407547,
		[
		[
			"Layer 0",
			0,
			1848800706387863,
			true,
			[255, 255, 255],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 0, 0, 1280, 960, 0, 0, 1, 0, 0, 0, 0, []],
				52,
				1065,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[630, 449, 0, 586, 423, 0, 0, 1, 0.5, 0.5011820197105408, 0, 0, []],
				68,
				1066,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"OrientationLock",
			1,
			9019938591215348,
			false,
			[0, 0, 0],
			false,
			1,
			1,
			0.8999999761581421,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"MissionPopIn",
			2,
			2485508842294684,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"Story",
		1280,
		960,
		false,
		"StoryEvents",
		3024291189742407,
		[
		[
			"Back",
			0,
			8989550478114185,
			true,
			[255, 255, 255],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 0, 0, 1280, 960, 0, 0, 0.800000011920929, 0, 0, 0, 0, []],
				52,
				1068,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Overlay",
			1,
			3819221629567677,
			true,
			[0, 0, 0],
			false,
			1,
			1,
			0.5,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"UI",
			2,
			4997717840855684,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1217, 49, 0, 114, 102, 0, 0, 1, 0.4649122953414917, 0.4803921580314636, 0, 0, []],
				77,
				1069,
				[
					["skipStory"],
					[0],
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"Shop",
		1280,
		960,
		false,
		"ShopEvents",
		3065790048333916,
		[
		[
			"Background",
			0,
			2342129993431365,
			true,
			[0, 0, 0],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 0, 0, 1280, 960, 0, 0, 1, 0, 0, 0, 0, []],
				52,
				1070,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"Darken",
			1,
			1757106847976155,
			true,
			[0, 0, 0],
			false,
			0,
			0,
			0.6000000238418579,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Overlay",
			2,
			6391584729016027,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"ButtonsAndFields",
			3,
			4587083159420899,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Mission",
			4,
			1172857015413033,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Customize",
			5,
			2011486527113211,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Cowboy",
			6,
			2672456295117116,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"MissionPopIn",
			7,
			7623633876209048,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Tutorial2",
			8,
			6421898974848012,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"SplashScreen",
		1280,
		960,
		false,
		"SplashEvents",
		9995844105479424,
		[
		[
			"Layer 0",
			0,
			9168310501864862,
			true,
			[0, 0, 0],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"Layer 1",
			1,
			1912893531255882,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
		],
		[
		],
		[]
	]
	],
	[
	[
		"GameEvents",
		[
		[
			2,
			"Social",
			false
		]
,		[
			2,
			"Tutorial",
			false
		]
,		[
			2,
			"Customize",
			false
		]
,		[
			2,
			"Missions",
			false
		]
,		[
			2,
			"SaveAndLoad",
			false
		]
,		[
			2,
			"Character",
			false
		]
,		[
			2,
			"InitFonts",
			false
		]
,		[
			2,
			"Audio",
			false
		]
,		[
			2,
			"ButtonsAndFields",
			false
		]
,		[
			1,
			"newHighScoreWasShowen",
			0,
			0,
false,false,4157536402716266,false
		]
,		[
			1,
			"newHighScore",
			0,
			0,
false,false,8814074515128036,false
		]
,		[
			1,
			"invincible",
			0,
			0,
false,false,9685274375258225,false
		]
,		[
			1,
			"initPlayerSpeed",
			0,
			0,
false,false,7132191846351719,false
		]
,		[
			1,
			"EndOverlayActive",
			0,
			0,
false,false,5588760325665472,false
		]
,		[
			1,
			"inputActive",
			0,
			1,
false,false,3460709775251285,false
		]
,		[
			1,
			"BulletsCollected",
			0,
			0,
false,false,9279359588791975,false
		]
,		[
			1,
			"LeadValue",
			0,
			0,
false,false,4588396080129402,false
		]
,		[
			1,
			"BasicTutorialMode",
			0,
			0,
false,false,8035617186650633,false
		]
,		[
			1,
			"SceneChanged",
			0,
			0,
false,false,9880081697077146,false
		]
,		[
			1,
			"SceneReached",
			0,
			1,
false,false,8684514177063114,false
		]
,		[
			1,
			"wasBoosting",
			0,
			0,
false,false,6672013053677848,false
		]
,		[
			1,
			"BoostBannerIn",
			0,
			0,
false,false,8550135498179889,false
		]
,		[
			1,
			"TimeDelta",
			0,
			0,
false,false,3205970634730914,false
		]
,		[
			1,
			"tutorialScreenActive",
			0,
			1,
false,false,2666713503377822,false
		]
,		[
			1,
			"SCALEFACTOR",
			0,
			1,
false,true,9754166698091544,false
		]
,		[
			1,
			"hitState",
			0,
			0,
false,false,2821491282565322,false
		]
,		[
			1,
			"xpMultiplier",
			0,
			1,
false,false,170715364461345,false
		]
,		[
			1,
			"coinMultiplier",
			0,
			1,
false,false,9961343992331467,false
		]
,		[
			1,
			"scoreMultiplier",
			0,
			1,
false,false,6582030220594558,false
		]
,		[
			1,
			"scoreActive",
			0,
			1,
false,false,2433817006737217,false
		]
,		[
			1,
			"HighDifficulty",
			0,
			1,
false,false,8646499351838841,false
		]
,		[
			1,
			"LowDifficulty",
			0,
			0,
false,false,3277484302415333,false
		]
,		[
			1,
			"CurDifficulty",
			0,
			1,
false,false,3812638774131616,false
		]
,		[
			1,
			"CurL5ScreenPassed",
			0,
			0,
false,false,2293228888292349,false
		]
,		[
			1,
			"CurObjectScreenPassed",
			0,
			0,
false,false,3943936212509927,false
		]
,		[
			1,
			"CurGScreenPassed",
			0,
			0,
false,false,8301727226509084,false
		]
,		[
			1,
			"ScreensPassed",
			0,
			0,
false,false,3904763457164423,false
		]
,		[
			1,
			"SpeedSubstract",
			0,
			12,
false,false,1519508424153055,false
		]
,		[
			1,
			"SpeedDisplay",
			0,
			0,
false,false,4367646792222534,false
		]
,		[
			1,
			"TopSpeedDisplay",
			0,
			0,
false,false,2605600140935323,false
		]
,		[
			1,
			"playerSpeedDisplay",
			0,
			0,
false,false,6008373160182252,false
		]
,		[
			1,
			"playerSpeed",
			0,
			700,
false,false,383257295494082,false
		]
,		[
			1,
			"speed",
			0,
			700,
false,false,8406598363086769,false
		]
,		[
			1,
			"numScreenpass",
			0,
			0,
false,false,8809278399574866,false
		]
,		[
			1,
			"moveCount",
			0,
			0,
false,false,444352919555393,false
		]
,		[
			1,
			"L1SpeedMod",
			0,
			0.04,
false,false,265783520127571,false
		]
,		[
			1,
			"L2SpeedMod",
			0,
			0.12,
false,false,5858277075690524,false
		]
,		[
			1,
			"L3SpeedMod",
			0,
			0.25,
false,false,6052815028753486,false
		]
,		[
			1,
			"ObjSpeedMod",
			0,
			0.95,
false,false,3419572050820783,false
		]
,		[
			1,
			"L4SpeedMod",
			0,
			0.2,
false,false,4606333269402912,false
		]
,		[
			1,
			"myScreenWidth",
			0,
			0,
false,false,4036418921527797,false
		]
,		[
			1,
			"L5SpeedMod",
			0,
			0.95,
false,false,4912007477666767,false
		]
,		[
			1,
			"L7SpeedMod",
			0,
			2,
false,false,5275607957424402,false
		]
,		[
			1,
			"GSpeedMod",
			0,
			1,
false,false,9888142725050756,false
		]
,		[
			1,
			"PlayerX",
			0,
			0,
false,false,6978515584107341,false
		]
,		[
			1,
			"jumpPressTime",
			0,
			1,
false,false,4111032442400686,false
		]
,		[
			1,
			"CamShakeCharge",
			0,
			0,
false,false,6429774724695466,false
		]
,		[
			1,
			"isSliding",
			0,
			0,
false,false,4692858527232615,false
		]
,		[
			1,
			"camSlideAnimReady",
			0,
			1,
false,false,4031194341247637,false
		]
,		[
			1,
			"jumpTouchNum",
			0,
			0,
false,false,6045374329983776,false
		]
,		[
			1,
			"slideTouchNum",
			0,
			0,
false,false,5184296485770322,false
		]
,		[
			1,
			"gameIntroActive",
			0,
			1,
false,false,3190117368254133,false
		]
,		[
			1,
			"Firewaters",
			0,
			0,
false,false,1400252671779205,false
		]
,		[
			1,
			"runDistance",
			0,
			0,
false,false,1433262559124243,false
		]
,		[
			1,
			"doublejump",
			0,
			0,
false,false,8912533451683004,false
		]
,		[
			1,
			"jumpCount",
			0,
			0,
false,false,1729243592363911,false
		]
,		[
			1,
			"isBoosting",
			0,
			0,
false,false,3092590563075317,false
		]
,		[
			1,
			"currentBoost",
			0,
			0,
false,false,7002371796264884,false
		]
,		[
			1,
			"jumpReady",
			0,
			1,
false,false,5526408286550767,false
		]
,		[
			1,
			"desert1Y",
			0,
			0,
false,false,7293923327896156,false
		]
,		[
			1,
			"desert2Y",
			0,
			0,
false,false,1434908669523425,false
		]
,		[
			0,
			[true, "INIT"],
			false,
			null,
			1419564460269054,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				1419564460269054,
				false
				,[
				[
					1,
					[
						2,
						"INIT"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8011807367369471,
				[
				[
					-1,
					cr.system_object.prototype.cnds.OnLayoutStart,
					null,
					1,
					false,
					false,
					false,
					5359526409063415,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					7425289848839098,
					false
					,[
					[
						11,
						"Gameplays"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					0,
					cr.behaviors.lunarray_Tween.prototype.acts.SetTarget,
					"PlayerIn",
					9190599701730424,
					false
					,[
					[
						1,
						[
							19,
							cr.system_object.prototype.exps.str
							,[
[
								4,
								[
									0,
									480
								]
								,[
									6,
									[
										0,
										60
									]
									,[
										6,
										[
											23,
											"leadLevel"
										]
										,[
											0,
											2
										]
									]
								]
							]
							]
						]
					]
					]
				]
,				[
					0,
					cr.behaviors.lunarray_Tween.prototype.acts.Start,
					"PlayerIn",
					5721851350843739,
					false
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8852850491746311,
					false
					,[
					[
						1,
						[
							2,
							"SaveGame"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8918062709073536,
					false
					,[
					[
						11,
						"SceneReached"
					]
,					[
						7,
						[
							23,
							"CurrentScene"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					9160939168336144,
					false
					,[
					[
						1,
						[
							2,
							"CONTROLS"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2699900020500264,
					false
					,[
					[
						11,
						"myScreenWidth"
					]
,					[
						7,
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.layoutwidth
							]
							,[
								0,
								2
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetLayerVisible,
					null,
					1370849555442596,
					false
					,[
					[
						5,
						[
							2,
							"Blackscreen"
						]
					]
,					[
						3,
						0
					]
					]
				]
,				[
					58,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					715113695761801,
					false
					,[
					[
						4,
						0
					]
,					[
						3,
						1
					]
					]
				]
,				[
					191,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					5783938103785278,
					false
					,[
					[
						4,
						0
					]
,					[
						3,
						1
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9416065853506615,
					false
					,[
					[
						1,
						[
							2,
							"setInitPositions"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					2693575986503325,
					false
					,[
					[
						1,
						[
							2,
							"END OVERLAY"
						]
					]
,					[
						3,
						0
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5018894297064297,
					false
					,[
					[
						1,
						[
							2,
							"startMusic"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2450166806067601,
					false
					,[
					[
						11,
						"CustomizeActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5034845176137386,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							2,
							"HUD"
						]
					]
,					[
						0,
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.viewportright
								,[
[
									2,
									"HUD"
								]
								]
							]
							,[
								0,
								2
							]
						]
					]
,					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.viewporttop
								,[
[
									2,
									"HUD"
								]
								]
							]
							,[
								0,
								165
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					7042010472075394,
					false
					,[
					[
						0,
						[
							0,
							800
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					9785346488575288,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					945637506858602,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					1061981426892815,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							2,
							"PlayerSpeedDisplay"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					4853308470084249,
					false
					,[
					[
						7,
						[
							23,
							"playerSpeedDisplay"
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6310315257633666,
					false
					,[
					[
						1,
						[
							2,
							"setUpgradeParams"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					8099134752110338,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9117991449151196,
						false
						,[
						[
							11,
							"shieldActive"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3306423858655732,
						false
						,[
						[
							4,
							63
						]
,						[
							5,
							[
								2,
								"Player"
							]
						]
,						[
							0,
							[
								20,
								0,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								5,
								[
									20,
									0,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									10
								]
							]
						]
						]
					]
,					[
						63,
						cr.behaviors.Pin.prototype.acts.Pin,
						"Pin",
						6181301028895034,
						false
						,[
						[
							4,
							0
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6765003378178928,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6505526778972306,
						false
						,[
						[
							11,
							"Gameplays"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7876761582921383,
						false
						,[
						[
							11,
							"BasicTutorialMode"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1922364700321814,
						false
						,[
						[
							1,
							[
								2,
								"checkDaily"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					743047821880814,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6266045625451208,
						false
						,[
						[
							11,
							"BasicTutorialMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4722178266982756,
						false
						,[
						[
							1,
							[
								10,
								[
									10,
									[
										10,
										[
											2,
											"createS"
										]
										,[
											23,
											"CurrentScene"
										]
									]
									,[
										2,
										"D1W"
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										4,
										[
											19,
											cr.system_object.prototype.exps.floor
											,[
[
												19,
												cr.system_object.prototype.exps.random
												,[
[
													0,
													4
												]
												]
											]
											]
										]
										,[
											0,
											1
										]
									]
									]
								]
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2293469478705532,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						406205585643204,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9702961990298242,
						false
						,[
						[
							1,
							[
								2,
								"createTutS1"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8832101675253947,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7897501546446929,
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,
						null,
						0,
						false,
						false,
						false,
						8082793401168248,
						false
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.PreloadFullscreen,
						null,
						8858603673572908,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1158394021918066,
					[
					[
						194,
						cr.plugins_.Flurry.prototype.cnds.flurryReady,
						null,
						0,
						false,
						false,
						false,
						3394167639466538,
						false
					]
					],
					[
					[
						194,
						cr.plugins_.Flurry.prototype.acts.logEvent,
						null,
						5114456884126655,
						false
						,[
						[
							1,
							[
								2,
								"GameStarted"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8415674719026929,
				[
				[
					191,
					cr.plugins_.Spriter.prototype.cnds.readyForSetup,
					null,
					1,
					false,
					false,
					false,
					9773304245665484,
					false
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7284995853690547,
					false
					,[
					[
						1,
						[
							2,
							"updateCharacterMaps"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4925936274493257,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4370930231223936,
					false
					,[
					[
						1,
						[
							2,
							"startMusic"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					9242607546909424,
					false
					,[
					[
						0,
						[
							1,
							0.2
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7908414914015124,
					false
					,[
					[
						1,
						[
							2,
							"playMusic"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					63012927396952,
					false
					,[
					[
						1,
						[
							2,
							"updateCharacterMaps"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9950252813668213,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1836272260465249,
					false
					,[
					[
						1,
						[
							2,
							"setUpgradeParams"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					605639243646959,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						3318659263104635,
						false
						,[
						[
							11,
							"playerSpeed"
						]
,						[
							7,
							[
								6,
								[
									23,
									"CharSpeed"
								]
								,[
									0,
									10
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						5887156663050275,
						false
						,[
						[
							11,
							"TopSpeed"
						]
,						[
							7,
							[
								6,
								[
									23,
									"CharTopSpeed"
								]
								,[
									0,
									10
								]
							]
						]
						]
					]
,					[
						0,
						cr.behaviors.lunarray_Tween.prototype.acts.SetDuration,
						"boostPlayer",
						4833368612433247,
						false
						,[
						[
							0,
							[
								4,
								[
									0,
									1
								]
								,[
									6,
									[
										23,
										"CharBoost"
									]
									,[
										1,
										0.5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3363052899581878,
						false
						,[
						[
							11,
							"TopSpeedDisplay"
						]
,						[
							7,
							[
								5,
								[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										7,
										[
											6,
											[
												23,
												"TopSpeed"
											]
											,[
												0,
												20
											]
										]
										,[
											0,
											100
										]
									]
									]
								]
								,[
									0,
									100
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7193676295420129,
						false
						,[
						[
							11,
							"LeadValue"
						]
,						[
							7,
							[
								23,
								"CharLead"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4925806685962234,
						false
						,[
						[
							11,
							"shieldActive"
						]
,						[
							7,
							[
								23,
								"CharShield"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5961904706501248,
						false
						,[
						[
							11,
							"scoreMultiplier"
						]
,						[
							7,
							[
								23,
								"CharScore"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4776199068401,
						false
						,[
						[
							11,
							"coinMultiplier"
						]
,						[
							7,
							[
								23,
								"CharCoins"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8020000631710156,
						false
						,[
						[
							11,
							"xpMultiplier"
						]
,						[
							7,
							[
								23,
								"CharXP"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3771433588741875,
						false
						,[
						[
							11,
							"secondChanceActive"
						]
,						[
							7,
							[
								23,
								"CharRevive"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						838769368896351,
						false
						,[
						[
							11,
							"initPlayerSpeed"
						]
,						[
							7,
							[
								23,
								"playerSpeed"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					440310210974399,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						305525087696923,
						false
						,[
						[
							11,
							"CurrentScene"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						9000327173916762,
						false
						,[
						[
							11,
							"scoreMultiplier"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3152153869026026,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7692368396030736,
						false
						,[
						[
							11,
							"CurrentScene"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						619125670183758,
						false
						,[
						[
							11,
							"scoreMultiplier"
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						8596917307396966,
						false
						,[
						[
							11,
							"xpMultiplier"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8797641515050494,
				[
				[
					-1,
					cr.system_object.prototype.cnds.OnLayoutEnd,
					null,
					1,
					false,
					false,
					false,
					4685492546661805,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.ResetGlobals,
					null,
					7180210983368629,
					false
				]
				]
			]
,			[
				1,
				"PARALLAXMULTIPLIERDESERT2",
				0,
				0.2,
false,true,9439902112954172,false
			]
,			[
				1,
				"PARALLAXMULTIPLIERDESERT1",
				0,
				0.2,
false,true,6937430221153466,false
			]
,			[
				1,
				"PARALLAXMULTIPLIERMOUNTAINS",
				0,
				1,
false,true,785324486973229,false
			]
,			[
				0,
				null,
				false,
				null,
				225956979625358,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2765422054389383,
					false
					,[
					[
						1,
						[
							2,
							"setInitPositions"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8407385173878318,
					false
					,[
					[
						1,
						[
							2,
							"createFieldCoinsHUD"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_COINS"
								]
							]
,
							[
								7,
								[
									0,
									453
								]
							]
,
							[
								7,
								[
									4,
									[
										19,
										cr.system_object.prototype.exps.viewporttop
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										36
									]
								]
							]
,
							[
								7,
								[
									2,
									"HUD"
								]
							]
,
							[
								7,
								[
									2,
									"coins"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3527038057430874,
					false
					,[
					[
						1,
						[
							2,
							"createFieldScoreHUD"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_SCORE"
								]
							]
,
							[
								7,
								[
									0,
									781
								]
							]
,
							[
								7,
								[
									4,
									[
										19,
										cr.system_object.prototype.exps.viewporttop
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										36
									]
								]
							]
,
							[
								7,
								[
									2,
									"HUD"
								]
							]
,
							[
								7,
								[
									2,
									"score"
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6415439170899619,
					false
					,[
					[
						1,
						[
							2,
							"createFieldXpHUD"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_XP"
								]
							]
,
							[
								7,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										173
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										19,
										cr.system_object.prototype.exps.viewporttop
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										36
									]
								]
							]
,
							[
								7,
								[
									2,
									"HUD"
								]
							]
,
							[
								7,
								[
									2,
									"score"
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8281101516546207,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDark"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_BOOZETOBOOST"
								]
							]
,
							[
								7,
								[
									0,
									195
								]
							]
,
							[
								7,
								[
									4,
									[
										19,
										cr.system_object.prototype.exps.viewporttop
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										96
									]
								]
							]
,
							[
								7,
								[
									2,
									"HUD"
								]
							]
,
							[
								7,
								[
									2,
									"bozzetoField"
								]
							]
,
							[
								7,
								[
									1,
									0.7
								]
							]
					]
					]
				]
,				[
					72,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					8266280596698567,
					false
					,[
					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.viewporttop
								,[
[
									2,
									"HUD"
								]
								]
							]
							,[
								0,
								41
							]
						]
					]
					]
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					6125058048678046,
					false
					,[
					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.viewporttop
								,[
[
									2,
									"HUD"
								]
								]
							]
							,[
								0,
								14
							]
						]
					]
					]
				]
,				[
					56,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					4733188932611483,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								2,
								"HUD"
							]
							]
						]
					]
					]
				]
,				[
					55,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					534556081780978,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								2,
								"HUD"
							]
							]
						]
					]
					]
				]
,				[
					3,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					7189439635132708,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								2,
								"HUD"
							]
							]
						]
					]
					]
				]
,				[
					4,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					9616810888762335,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								2,
								"HUD"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetLayerParallax,
					null,
					9471813485710557,
					false
					,[
					[
						5,
						[
							2,
							"Desert"
						]
					]
,					[
						0,
						[
							4,
							[
								0,
								15
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									23,
									"PARALLAXMULTIPLIERDESERT1"
								]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								0,
								15
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									23,
									"PARALLAXMULTIPLIERDESERT1"
								]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetLayerParallax,
					null,
					6371081369877398,
					false
					,[
					[
						5,
						[
							2,
							"Desert2"
						]
					]
,					[
						0,
						[
							4,
							[
								0,
								30
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									23,
									"PARALLAXMULTIPLIERDESERT2"
								]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								0,
								30
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									23,
									"PARALLAXMULTIPLIERDESERT2"
								]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetLayerParallax,
					null,
					973101977467376,
					false
					,[
					[
						5,
						[
							2,
							"BG"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							4,
							[
								0,
								10
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									23,
									"PARALLAXMULTIPLIERDESERT1"
								]
							]
						]
					]
					]
				]
,				[
					12,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					1614022415376021,
					false
					,[
					[
						0,
						[
							4,
							[
								20,
								12,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									1,
									0.25
								]
							]
						]
					]
					]
				]
,				[
					13,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					7620189221493201,
					false
					,[
					[
						0,
						[
							4,
							[
								20,
								13,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									1,
									0.25
								]
							]
						]
					]
					]
				]
,				[
					16,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					6571341310189221,
					false
					,[
					[
						0,
						[
							4,
							[
								20,
								16,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									1,
									0.3
								]
							]
						]
					]
					]
				]
,				[
					14,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					5947773641113935,
					false
					,[
					[
						0,
						[
							4,
							[
								20,
								14,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									1,
									0.22
								]
							]
						]
					]
					]
				]
,				[
					17,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					1685419335085694,
					false
					,[
					[
						0,
						[
							4,
							[
								20,
								17,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									1,
									0.22
								]
							]
						]
					]
					]
				]
,				[
					15,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					9583079422958727,
					false
					,[
					[
						0,
						[
							4,
							[
								20,
								15,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									1,
									0.15
								]
							]
						]
					]
					]
				]
,				[
					18,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					8742969815790205,
					false
					,[
					[
						0,
						[
							4,
							[
								20,
								18,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									1,
									0.15
								]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6590889817751929,
					false
					,[
					[
						11,
						"desert1Y"
					]
,					[
						7,
						[
							4,
							[
								20,
								14,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									1,
									0.22
								]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3820293636219922,
					false
					,[
					[
						11,
						"desert2Y"
					]
,					[
						7,
						[
							4,
							[
								20,
								15,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								6,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										720
									]
								]
								,[
									1,
									0.15
								]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					1188064364255494,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8071097748947875,
						false
						,[
						[
							11,
							"startBoostActive"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9093456462015413,
						false
						,[
						[
							1,
							[
								2,
								"activateStartBoost"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7062779863434459,
				[
				[
					50,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					2536285145183181,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"coinsField"
						]
					]
					]
				]
				],
				[
				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					7757315200603229,
					false
					,[
					[
						7,
						[
							23,
							"MCoins"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				701867870831427,
				[
				[
					50,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					4149387129222907,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"scoreField"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3698619171722217,
					false
					,[
					[
						11,
						"Score"
					]
,					[
						7,
						[
							6,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									6,
									[
										23,
										"runDistance"
									]
									,[
										1,
										0.01
									]
								]
								]
							]
							,[
								23,
								"scoreMultiplier"
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					7994655470466698,
					false
					,[
					[
						7,
						[
							19,
							cr.system_object.prototype.exps.str
							,[
[
								23,
								"Score"
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6151108554028159,
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					4336817037306528,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"scoreMultiplyField"
						]
					]
					]
				]
				],
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					5044876877543109,
					false
					,[
					[
						7,
						[
							10,
							[
								2,
								"X "
							]
							,[
								23,
								"scoreMultiplier"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7330559731218084,
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					7533985332170918,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"coinsMultiplyField"
						]
					]
					]
				]
				],
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					8877261711801011,
					false
					,[
					[
						7,
						[
							10,
							[
								2,
								"X "
							]
							,[
								23,
								"coinMultiplier"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4227268160741859,
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					2809936960570174,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"xpMultiplyField"
						]
					]
					]
				]
				],
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					99643515680204,
					false
					,[
					[
						7,
						[
							10,
							[
								2,
								"X "
							]
							,[
								23,
								"xpMultiplier"
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "UPDATE"],
			false,
			null,
			4694416210234928,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4694416210234928,
				false
				,[
				[
					1,
					[
						2,
						"UPDATE"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1941690504439836,
				[
				[
					-1,
					cr.system_object.prototype.cnds.EveryTick,
					null,
					0,
					false,
					false,
					false,
					8431124798729611,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7736080029586615,
					false
					,[
					[
						11,
						"moveCount"
					]
,					[
						7,
						[
							6,
							[
								23,
								"playerSpeed"
							]
							,[
								19,
								cr.system_object.prototype.exps.dt
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					5226037604615145,
					false
					,[
					[
						11,
						"CurObjectScreenPassed"
					]
,					[
						7,
						[
							6,
							[
								23,
								"moveCount"
							]
							,[
								6,
								[
									0,
									1
								]
								,[
									23,
									"L5SpeedMod"
								]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					4897860928527332,
					false
					,[
					[
						11,
						"CurGScreenPassed"
					]
,					[
						7,
						[
							6,
							[
								23,
								"moveCount"
							]
							,[
								6,
								[
									0,
									1
								]
								,[
									23,
									"GSpeedMod"
								]
							]
						]
					]
					]
				]
,				[
					195,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					7191017226197404,
					false
					,[
					[
						0,
						[
							5,
							[
								20,
								195,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									23,
									"moveCount"
								]
								,[
									21,
									195,
									false,
									null
									,0
								]
							]
						]
					]
					]
				]
,				[
					198,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					4717765797712722,
					false
					,[
					[
						0,
						[
							5,
							[
								20,
								198,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									23,
									"moveCount"
								]
								,[
									21,
									198,
									false,
									null
									,0
								]
							]
						]
					]
					]
				]
,				[
					199,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					752187110622339,
					false
					,[
					[
						0,
						[
							5,
							[
								20,
								199,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									23,
									"moveCount"
								]
								,[
									21,
									199,
									false,
									null
									,0
								]
							]
						]
					]
					]
				]
,				[
					201,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					2923471427291959,
					false
					,[
					[
						0,
						[
							5,
							[
								20,
								201,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									23,
									"moveCount"
								]
								,[
									21,
									201,
									false,
									null
									,0
								]
							]
						]
					]
					]
				]
,				[
					202,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					9152925731009443,
					false
					,[
					[
						0,
						[
							5,
							[
								20,
								202,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									23,
									"moveCount"
								]
								,[
									21,
									202,
									false,
									null
									,0
								]
							]
						]
					]
					]
				]
,				[
					203,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					4309240659744203,
					false
					,[
					[
						0,
						[
							5,
							[
								20,
								203,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									23,
									"moveCount"
								]
								,[
									21,
									203,
									false,
									null
									,0
								]
							]
						]
					]
					]
				]
,				[
					205,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					2752995390508591,
					false
					,[
					[
						0,
						[
							5,
							[
								20,
								205,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									23,
									"moveCount"
								]
								,[
									21,
									205,
									false,
									null
									,0
								]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7197241548511005,
					false
					,[
					[
						11,
						"TimeDelta"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.dt
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					7296232614507554,
					false
					,[
					[
						11,
						"runDistance"
					]
,					[
						7,
						[
							23,
							"moveCount"
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5043842029945857,
					[
					[
						0,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						9984052478581959,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								1100
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						1835950473056913,
						false
						,[
						[
							11,
							"PlayerX"
						]
,						[
							7,
							[
								6,
								[
									5,
									[
										23,
										"speed"
									]
									,[
										23,
										"playerSpeed"
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.dt
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4461817466324686,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						6836723661446984,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"xpField"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						6463805646455644,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									23,
									"XPCollected"
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9713487131810919,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					false,
					false,
					6189207424125796,
					false
					,[
					[
						4,
						199
					]
					]
				]
				],
				[
				[
					0,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					5512667288266846,
					false
					,[
					[
						0,
						[
							5,
							[
								20,
								0,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								1
							]
						]
					]
					]
				]
				]
			]
,			[
				1,
				"DifficultyRandom",
				0,
				0,
false,false,7301835563584593,false
			]
,			[
				1,
				"WaveRandom",
				0,
				0,
false,false,1552344234691223,false
			]
,			[
				1,
				"sceneChangedx",
				0,
				0,
false,false,8831812700007995,false
			]
,			[
				0,
				null,
				false,
				null,
				8498320996772105,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					2381572564426508,
					false
					,[
					[
						0,
						[
							1,
							0.1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8552082476664328,
					false
					,[
					[
						11,
						"playerSpeedDisplay"
					]
,					[
						7,
						[
							5,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									7,
									[
										6,
										[
											23,
											"playerSpeed"
										]
										,[
											0,
											20
										]
									]
									,[
										0,
										100
									]
								]
								]
							]
							,[
								0,
								100
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					9137603474573971,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7253531456161552,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"PlayerSpeedDisplay"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						2409841270302105,
						false
						,[
						[
							7,
							[
								10,
								[
									10,
									[
										10,
										[
											10,
											[
												7,
												[
													4,
													[
														23,
														"playerSpeedDisplay"
													]
													,[
														23,
														"currentBoost"
													]
												]
												,[
													0,
													2
												]
											]
											,[
												2,
												" mph"
											]
										]
										,[
											2,
											" / "
										]
									]
									,[
										7,
										[
											23,
											"TopSpeedDisplay"
										]
										,[
											0,
											2
										]
									]
								]
								,[
									2,
									" mph"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8912604398511201,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						6906212294006358,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"IndiansSpeedDisplay"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						7883180841684298,
						false
						,[
						[
							7,
							[
								10,
								[
									7,
									[
										23,
										"SpeedDisplay"
									]
									,[
										0,
										2
									]
								]
								,[
									2,
									" mph"
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7323091899609522,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					2489314164243571,
					false
					,[
					[
						0,
						[
							1,
							0.5
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9084857005861825,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2522411092163947,
						false
						,[
						[
							11,
							"BasicTutorialMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						109303334835879,
						[
						[
							0,
							cr.plugins_.Sprite.prototype.cnds.CompareX,
							null,
							0,
							false,
							false,
							false,
							3121430141403701,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									0,
									1080
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							69904698903545,
							false
							,[
							[
								11,
								"LeadValue"
							]
,							[
								8,
								2
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							5772053220692457,
							false
							,[
							[
								11,
								"speed"
							]
,							[
								7,
								[
									1,
									0.55
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5346624234826908,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							3796473284524166,
							false
							,[
							[
								11,
								"playerSpeed"
							]
,							[
								8,
								2
							]
,							[
								7,
								[
									0,
									800
								]
							]
							]
						]
						],
						[
						]
						,[
						[
							0,
							null,
							false,
							null,
							4215597868040162,
							[
							[
								-1,
								cr.system_object.prototype.cnds.Compare,
								null,
								0,
								false,
								false,
								false,
								1260809526844393,
								false
								,[
								[
									7,
									[
										5,
										[
											23,
											"speed"
										]
										,[
											23,
											"playerSpeed"
										]
									]
								]
,								[
									8,
									2
								]
,								[
									7,
									[
										0,
										20
									]
								]
								]
							]
							],
							[
							[
								-1,
								cr.system_object.prototype.acts.AddVar,
								null,
								7953450772079997,
								false
								,[
								[
									11,
									"speed"
								]
,								[
									7,
									[
										1,
										0.35
									]
								]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4097884939677217,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							6508530930980744,
							false
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							3696132341400038,
							false
							,[
							[
								11,
								"speed"
							]
,							[
								7,
								[
									1,
									0.35
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6905993443846832,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3220471176990933,
						false
						,[
						[
							11,
							"numScreenpass"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9381603126958731,
						false
						,[
						[
							11,
							"SceneChanged"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2843167669038412,
						false
						,[
						[
							11,
							"CurGScreenPassed"
						]
,						[
							8,
							5
						]
,						[
							7,
							[
								6,
								[
									23,
									"myScreenWidth"
								]
								,[
									1,
									1.5
								]
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6444358983046031,
						false
						,[
						[
							11,
							"SceneReached"
						]
,						[
							7,
							[
								23,
								"CurrentScene"
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7324262529675445,
						false
						,[
						[
							1,
							[
								2,
								"sceneDisplay"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2629891531152942,
						false
						,[
						[
							11,
							"SceneChanged"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7527727800654984,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3042171466524283,
						false
						,[
						[
							11,
							"CurrentScene"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						1929608506667853,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6353869261774996,
							false
							,[
							[
								11,
								"Score"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									23,
									"TopScoreS1"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							703912421562438,
							false
							,[
							[
								11,
								"TopScoreS1"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8354420190778545,
							false
							,[
							[
								11,
								"newHighScoreWasShowen"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7771700357377119,
							false
							,[
							[
								1,
								[
									2,
									"genericPopIn"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"Str_NEWHIGHSCORE"
										]
									]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							501293651640884,
							false
							,[
							[
								11,
								"newHighScoreWasShowen"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8398414557759246,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6472585135738866,
						false
						,[
						[
							11,
							"CurrentScene"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						1909616039421422,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							3515826120680023,
							false
							,[
							[
								11,
								"Score"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									23,
									"TopScoreS2"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2878457934545712,
							false
							,[
							[
								11,
								"TopScoreS2"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							4218876024911042,
							false
							,[
							[
								11,
								"newHighScoreWasShowen"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6881936530945303,
							false
							,[
							[
								1,
								[
									2,
									"genericPopIn"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"Str_NEWHIGHSCORE"
										]
									]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							4043261395489859,
							false
							,[
							[
								11,
								"newHighScoreWasShowen"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8344764531313428,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8825158027252491,
						false
						,[
						[
							11,
							"CurrentScene"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						5788377029363799,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2366169842121411,
							false
							,[
							[
								11,
								"Score"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									23,
									"TopScoreS3"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							215579208260823,
							false
							,[
							[
								11,
								"TopScoreS3"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6984073140393893,
							false
							,[
							[
								11,
								"newHighScoreWasShowen"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2835193414988599,
							false
							,[
							[
								1,
								[
									2,
									"genericPopIn"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"Str_NEWHIGHSCORE"
										]
									]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							3406529265790988,
							false
							,[
							[
								11,
								"newHighScoreWasShowen"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2484782697853105,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7133716239657141,
					false
					,[
					[
						1,
						[
							2,
							"spawnBullet"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					1,
					"DiceBullet",
					0,
					0,
false,false,5858565431998897,false
				]
,				[
					0,
					null,
					false,
					null,
					4395351583604404,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6292875830183503,
						false
						,[
						[
							11,
							"DiceBullet"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									100
								]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5444332695116659,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						3248670185981212,
						false
						,[
						[
							7,
							[
								23,
								"DiceBullet"
							]
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								5,
								[
									0,
									90
								]
								,[
									6,
									[
										23,
										"CharLuck"
									]
									,[
										0,
										2
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4880301415673184,
						false
						,[
						[
							11,
							"BulletsCollected"
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								0,
								6
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2133537752462754,
						false
						,[
						[
							1,
							[
								2,
								"createBullet"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											300
										]
										]
									]
								]
,
								[
									7,
									[
										0,
										350
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6830181968428074,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4306506163372986,
					false
					,[
					[
						1,
						[
							2,
							"spawnLetter"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					1,
					"DiceBooze",
					0,
					0,
false,false,2101096848965031,false
				]
,				[
					0,
					null,
					false,
					null,
					4760287571980794,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4618636573192612,
						false
						,[
						[
							11,
							"DiceBooze"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									100
								]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7186297317567295,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						7312236654155444,
						false
						,[
						[
							7,
							[
								23,
								"DiceBooze"
							]
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								5,
								[
									0,
									93
								]
								,[
									6,
									[
										23,
										"CharLuck"
									]
									,[
										0,
										2
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2275003219007873,
						false
						,[
						[
							11,
							"LettersCollected"
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								0,
								5
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1441506871347823,
						false
						,[
						[
							11,
							"TodaySolved"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7597998808878225,
						false
						,[
						[
							1,
							[
								2,
								"createLetter"
							]
						]
,						[
							13,
															[
									7,
									[
										4,
										[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												500
											]
											]
										]
										,[
											0,
											300
										]
									]
								]
,
								[
									7,
									[
										0,
										350
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3947850694329438,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3274491812672857,
					false
					,[
					[
						11,
						"BasicTutorialMode"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6303432853578928,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5774623571755409,
						false
						,[
						[
							11,
							"CurGScreenPassed"
						]
,						[
							8,
							5
						]
,						[
							7,
							[
								6,
								[
									23,
									"myScreenWidth"
								]
								,[
									0,
									3
								]
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						6949208572445415,
						false
						,[
						[
							11,
							"numScreenpass"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9794757815047516,
						false
						,[
						[
							11,
							"CurGScreenPassed"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5749547995978809,
						false
						,[
						[
							11,
							"DifficultyRandom"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										4,
										[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												23,
												"LowDifficulty"
											]
,[
												23,
												"HighDifficulty"
											]
											]
										]
										,[
											0,
											1
										]
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2133002637332793,
						false
						,[
						[
							11,
							"WaveRandom"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									4,
									[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												4
											]
											]
										]
										]
									]
									,[
										0,
										1
									]
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8517455554476826,
						false
						,[
						[
							1,
							[
								10,
								[
									10,
									[
										10,
										[
											10,
											[
												10,
												[
													2,
													"createS"
												]
												,[
													23,
													"CurrentScene"
												]
											]
											,[
												2,
												"D"
											]
										]
										,[
											23,
											"DifficultyRandom"
										]
									]
									,[
										2,
										"W"
									]
								]
								,[
									23,
									"WaveRandom"
								]
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4307613548259281,
						false
						,[
						[
							1,
							[
								2,
								"spawnBullet"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4278266924810009,
						false
						,[
						[
							1,
							[
								2,
								"spawnLetter"
							]
						]
,						[
							13,
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5891556880691032,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8212136221346818,
							false
							,[
							[
								11,
								"numScreenpass"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									4
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							7073114185106254,
							false
							,[
							[
								11,
								"HighDifficulty"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7105886598222994,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1143144106461598,
							false
							,[
							[
								11,
								"numScreenpass"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									12
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							4397337786434945,
							false
							,[
							[
								11,
								"LowDifficulty"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9744739746751004,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2754674787269027,
							false
							,[
							[
								11,
								"numScreenpass"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									8
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							6419318602450916,
							false
							,[
							[
								11,
								"HighDifficulty"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						6687191701509167,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2881983975950943,
							false
							,[
							[
								11,
								"numScreenpass"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									24
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							9129695505734002,
							false
							,[
							[
								11,
								"LowDifficulty"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9315816380815632,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					8250728862315128,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					630500194131014,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						697350897847436,
						false
						,[
						[
							11,
							"CurGScreenPassed"
						]
,						[
							8,
							5
						]
,						[
							7,
							[
								6,
								[
									23,
									"myScreenWidth"
								]
								,[
									0,
									3
								]
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3336623829596606,
						false
						,[
						[
							11,
							"CurGScreenPassed"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1797291003930098,
						false
						,[
						[
							1,
							[
								2,
								"createTutS2"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7845920334592056,
						false
						,[
						[
							11,
							"BasicTutorialMode"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				1,
				"l_ObjectWaveRandom",
				0,
				0,
false,false,1215908285691837,false
			]
,			[
				0,
				null,
				false,
				null,
				4167050046693464,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5917781319458749,
					false
					,[
					[
						11,
						"CurObjectScreenPassed"
					]
,					[
						8,
						5
					]
,					[
						7,
						[
							6,
							[
								23,
								"myScreenWidth"
							]
							,[
								0,
								3
							]
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					76116924075136,
					false
					,[
					[
						11,
						"CurObjectScreenPassed"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6120578823678669,
					false
					,[
					[
						11,
						"l_ObjectWaveRandom"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									3
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3625629593452817,
					false
					,[
					[
						1,
						[
							10,
							[
								10,
								[
									10,
									[
										2,
										"createO"
									]
									,[
										23,
										"CurrentScene"
									]
								]
								,[
									2,
									"W"
								]
							]
							,[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									4,
									[
										23,
										"l_ObjectWaveRandom"
									]
									,[
										0,
										1
									]
								]
								]
							]
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1313999273454944,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6977900934308328,
					false
					,[
					[
						1,
						[
							2,
							"sceneDisplay"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8448808067537815,
					false
					,[
					[
						4,
						74
					]
,					[
						5,
						[
							2,
							"HUD"
						]
					]
,					[
						0,
						[
							6,
							[
								19,
								cr.system_object.prototype.exps.viewportright
								,[
[
									2,
									"HUD"
								]
								]
							]
							,[
								1,
								0.5
							]
						]
					]
,					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.viewporttop
								,[
[
									2,
									"HUD"
								]
								]
							]
							,[
								0,
								175
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6089649342352621,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkBig"
						]
					]
,					[
						13,
													[
								7,
								[
									10,
									[
										2,
										"Str_SCENE"
									]
									,[
										23,
										"CurrentScene"
									]
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										19,
										cr.system_object.prototype.exps.viewporttop
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										0,
										188
									]
								]
							]
,
							[
								7,
								[
									2,
									"HUD"
								]
							]
,
							[
								7,
								[
									2,
									"secondChanceDisplay"
								]
							]
,
							[
								7,
								[
									1,
									1.5
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					9035805938028865,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					74,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					4943303618539418,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					9821590309817646,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						597476714958032,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"secondChanceDisplay"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						7751875738354324,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "COLLISIONS"],
			false,
			null,
			1809449153258159,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				1809449153258159,
				false
				,[
				[
					1,
					[
						2,
						"COLLISIONS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6934139491409068,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					true,
					false,
					9335974718177651,
					false
					,[
					[
						4,
						195
					]
					]
				]
				],
				[
				[
					0,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					8638004822086604,
					false
					,[
					[
						0,
						[
							23,
							"PlayerX"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6734499230424332,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					false,
					false,
					2720951132425813,
					false
					,[
					[
						4,
						195
					]
					]
				]
				],
				[
				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					5669382882583071,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
				,[
				[
					0,
					null,
					true,
					null,
					7917323125344724,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						464458725334296,
						false
						,[
						[
							11,
							"isBoosting"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						704490556078492,
						false
						,[
						[
							11,
							"invincible"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						195,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						2527695487762,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						7550354845508305,
						false
						,[
						[
							4,
							62
						]
,						[
							5,
							[
								2,
								"Player"
							]
						]
,						[
							0,
							[
								20,
								195,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								20,
								195,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2617528562090206,
						false
						,[
						[
							1,
							[
								2,
								"createXP"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										195,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										20,
										195,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
								]
						]
						]
					]
,					[
						62,
						cr.plugins_.Sprite.prototype.acts.SetScale,
						null,
						9531057357444086,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						2,
						cr.behaviors.scrollto.prototype.acts.Shake,
						"ScrollTo",
						1647165649488776,
						false
						,[
						[
							0,
							[
								0,
								20
							]
						]
,						[
							0,
							[
								1,
								0.3
							]
						]
,						[
							3,
							0
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5167664028561497,
						false
						,[
						[
							1,
							[
								2,
								"playDamage"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						7644941383884228,
						false
						,[
						[
							11,
							"MobjectDestroyed"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						297364265837186,
						false
						,[
						[
							11,
							"MpObjectDestroyed"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6552364021138301,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1392352943889711,
						false
						,[
						[
							11,
							"shieldActive"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4332856320982587,
						false
						,[
						[
							11,
							"isBoosting"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						195,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						8629199897931424,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3972192991377498,
						false
						,[
						[
							4,
							62
						]
,						[
							5,
							[
								2,
								"Player"
							]
						]
,						[
							0,
							[
								20,
								195,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								20,
								195,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3843050599492182,
						false
						,[
						[
							1,
							[
								2,
								"createXP"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										195,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										20,
										195,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
								]
						]
						]
					]
,					[
						62,
						cr.plugins_.Sprite.prototype.acts.SetScale,
						null,
						3546602003682076,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3009673981214131,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2410950639601011,
						false
						,[
						[
							11,
							"shieldActive"
						]
,						[
							7,
							[
								5,
								[
									23,
									"shieldActive"
								]
								,[
									0,
									1
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5533192757817924,
						false
						,[
						[
							1,
							[
								2,
								"playDamage"
							]
						]
,						[
							13,
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4101325244425028,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9591742915307383,
							false
							,[
							[
								11,
								"shieldActive"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							63,
							cr.plugins_.Sprite.prototype.acts.Destroy,
							null,
							4588188551249284,
							false
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7974551479664262,
					[
					[
						195,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5238440104323584,
						false
						,[
						[
							10,
							2
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"moveUp"
							]
						]
						]
					]
					],
					[
					[
						0,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						9846831716220397,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									0,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									23,
									"moveCount"
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						2185046816376061,
						false
						,[
						[
							11,
							"PlayerX"
						]
,						[
							7,
							[
								23,
								"moveCount"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						true,
						null,
						7342360501376676,
						[
						[
							184,
							cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
							null,
							0,
							false,
							false,
							false,
							2813598104588153,
							false
							,[
							[
								4,
								4
							]
							]
						]
,						[
							183,
							cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,
							null,
							0,
							false,
							false,
							false,
							2799991939947098,
							false
							,[
							[
								9,
								40
							]
							]
						]
						],
						[
						[
							195,
							cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
							null,
							1474977798551765,
							false
							,[
							[
								10,
								2
							]
,							[
								7,
								[
									2,
									"moveDown"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					368881763354888,
					[
					[
						195,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						1439354466688916,
						false
						,[
						[
							10,
							2
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"moveDown"
							]
						]
						]
					]
					],
					[
					[
						0,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						1055827591809254,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									0,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									23,
									"moveCount"
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						4945823494893425,
						false
						,[
						[
							11,
							"PlayerX"
						]
,						[
							7,
							[
								23,
								"moveCount"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5123719481159053,
					[
					[
						195,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						2141153020283532,
						false
						,[
						[
							10,
							2
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"damage"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6820604269714817,
						false
						,[
						[
							11,
							"isBoosting"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9777389648050792,
						false
						,[
						[
							11,
							"shieldActive"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1165271867498179,
						false
						,[
						[
							11,
							"invincible"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						0,
						cr.behaviors.Platform.prototype.acts.SetVectorY,
						"Platform",
						9474918012037788,
						false
						,[
						[
							0,
							[
								0,
								-850
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						8316479640591758,
						[
						[
							-1,
							cr.system_object.prototype.cnds.TriggerOnce,
							null,
							0,
							false,
							false,
							false,
							6229007945154454,
							false
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1008820601488609,
							false
							,[
							[
								1,
								[
									2,
									"slowPlayer"
								]
							]
,							[
								13,
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9771511447034291,
							false
							,[
							[
								1,
								[
									2,
									"playHit"
								]
							]
,							[
								13,
							]
							]
						]
						]
						,[
						[
							0,
							null,
							false,
							null,
							9688791611766812,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								3683018754916244,
								false
								,[
								[
									11,
									"playerSpeed"
								]
,								[
									8,
									3
								]
,								[
									7,
									[
										23,
										"initPlayerSpeed"
									]
								]
								]
							]
							],
							[
							[
								-1,
								cr.system_object.prototype.acts.SubVar,
								null,
								4037748935780203,
								false
								,[
								[
									11,
									"playerSpeed"
								]
,								[
									7,
									[
										0,
										5
									]
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							3115599295867798,
							[
							[
								-1,
								cr.system_object.prototype.cnds.Else,
								null,
								0,
								false,
								false,
								false,
								3043071745124296,
								false
							]
							],
							[
							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								9032147379647515,
								false
								,[
								[
									11,
									"playerSpeed"
								]
,								[
									7,
									[
										23,
										"initPlayerSpeed"
									]
								]
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3673353539481972,
				[
				[
					62,
					cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,
					null,
					1,
					false,
					false,
					false,
					8492590282007908,
					false
				]
				],
				[
				[
					62,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					5861796845825899,
					false
				]
				]
			]
			]
		]
,		[
			0,
			[true, "TUTORIAL"],
			false,
			null,
			4711513121535089,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4711513121535089,
				false
				,[
				[
					1,
					[
						2,
						"TUTORIAL"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3743991463104282,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8475014925430015,
					false
					,[
					[
						1,
						[
							2,
							"TutorialOverlay"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2762487876722219,
					false
					,[
					[
						1,
						[
							2,
							"pauseMusic"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetTimescale,
					null,
					4936974305351447,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8954638829676162,
					false
					,[
					[
						11,
						"paused"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetLayerVisible,
					null,
					1430466313546617,
					false
					,[
					[
						5,
						[
							2,
							"Blackscreen"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					9324892053051368,
					false
					,[
					[
						1,
						[
							2,
							"UPDATE"
						]
					]
,					[
						3,
						0
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					9022239214534376,
					false
					,[
					[
						1,
						[
							2,
							"COLLISIONS"
						]
					]
,					[
						3,
						0
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PAUSE"],
			false,
			null,
			6591607118001019,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				6591607118001019,
				false
				,[
				[
					1,
					[
						2,
						"PAUSE"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6764119330923034,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9906121671606704,
					false
					,[
					[
						1,
						[
							2,
							"Pause"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1328345259993373,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3511480809683744,
						false
						,[
						[
							11,
							"paused"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8658156674185102,
						false
						,[
						[
							1,
							[
								2,
								"PauseOverlay"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6171706460334099,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9093962285954913,
					false
					,[
					[
						1,
						[
							2,
							"PauseOverlay"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetTimescale,
					null,
					7531202777292469,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5536929276929216,
					false
					,[
					[
						11,
						"paused"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					1826273445098644,
					false
					,[
					[
						1,
						[
							2,
							"UPDATE"
						]
					]
,					[
						3,
						0
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					578510455358498,
					false
					,[
					[
						1,
						[
							2,
							"COLLISIONS"
						]
					]
,					[
						3,
						0
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7582416581241164,
					false
					,[
					[
						1,
						[
							2,
							"pauseMusic"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetLayerVisible,
					null,
					3809525307440446,
					false
					,[
					[
						5,
						[
							2,
							"Blackscreen"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					5,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					6255052208180232,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					1209334730422982,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					260106474065426,
					false
					,[
					[
						1,
						[
							2,
							"CreateMissionBackground"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									0,
									12
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											4,
											[
												19,
												cr.system_object.prototype.exps.viewporttop
												,[
[
													2,
													"HUD"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.viewportbottom
												,[
[
													2,
													"HUD"
												]
												]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										280
									]
								]
							]
,
							[
								7,
								[
									2,
									"Mission"
								]
							]
,
							[
								7,
								[
									2,
									"missions"
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8194332551121399,
					false
					,[
					[
						1,
						[
							2,
							"SaveGame"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1421896166121123,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3710254786647299,
					false
					,[
					[
						11,
						"paused"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					967921381407365,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						892304788475098,
						false
						,[
						[
							11,
							"MusicOn"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						9860436640521969,
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							4909016688680053,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"musicText"
								]
							]
							]
						]
						],
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.acts.SetText,
							null,
							5643680182161705,
							false
							,[
							[
								7,
								[
									20,
									173,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										173,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											2,
											"Str_OFF"
										]
										]
									]
,[
										23,
										"LanguageInt"
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1328764349598005,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						7597560123618286,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						6145910899936364,
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							2808658062318209,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"musicText"
								]
							]
							]
						]
						],
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.acts.SetText,
							null,
							7368109317772755,
							false
							,[
							[
								7,
								[
									20,
									173,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										173,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											2,
											"Str_ON"
										]
										]
									]
,[
										23,
										"LanguageInt"
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					730940997549548,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2166886760478448,
						false
						,[
						[
							11,
							"SfxOn"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						9636230417894806,
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							6495930830346758,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"sfxText"
								]
							]
							]
						]
						],
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.acts.SetText,
							null,
							1551978082101785,
							false
							,[
							[
								7,
								[
									20,
									173,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										173,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											2,
											"Str_OFF"
										]
										]
									]
,[
										23,
										"LanguageInt"
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1990968657285006,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						8837956594747225,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						8557386050004646,
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							7964133231706242,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"sfxText"
								]
							]
							]
						]
						],
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.acts.SetText,
							null,
							2189902888144729,
							false
							,[
							[
								7,
								[
									20,
									173,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										173,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											2,
											"Str_ON"
										]
										]
									]
,[
										23,
										"LanguageInt"
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6081308527368847,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9312196398256493,
					false
					,[
					[
						1,
						[
							2,
							"RemovePauseOverlay"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetTimescale,
					null,
					2807735151205652,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4818005657688314,
					false
					,[
					[
						11,
						"paused"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					6302313148294578,
					false
					,[
					[
						1,
						[
							2,
							"UPDATE"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					8086104095641792,
					false
					,[
					[
						1,
						[
							2,
							"COLLISIONS"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					5,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					28214654646714,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetLayerVisible,
					null,
					3976699954396585,
					false
					,[
					[
						5,
						[
							2,
							"Blackscreen"
						]
					]
,					[
						3,
						0
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1941535932365251,
					false
					,[
					[
						1,
						[
							2,
							"resumeMusic"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "END GAME"],
			false,
			null,
			9346378518429164,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9346378518429164,
				false
				,[
				[
					1,
					[
						2,
						"END GAME"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7433272728071702,
				[
				],
				[
				]
			]
,			[
				0,
				null,
				false,
				null,
				3186383686720921,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					9831124238718627,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							0,
							180
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1637615402197302,
					false
					,[
					[
						11,
						"gameIntroActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4016437965845267,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3016776956038003,
						false
						,[
						[
							11,
							"secondChanceActive"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6408954045369977,
						false
						,[
						[
							11,
							"BoostBannerIn"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8807051081119451,
						false
						,[
						[
							11,
							"speed"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6428585251557792,
						false
						,[
						[
							11,
							"playerSpeed"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetGroupActive,
						null,
						9441088133922397,
						false
						,[
						[
							1,
							[
								2,
								"CONTROLS"
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						870099808972467,
						[
						[
							-1,
							cr.system_object.prototype.cnds.TriggerOnce,
							null,
							0,
							false,
							false,
							false,
							3005311430350195,
							false
						]
						],
						[
						]
						,[
						[
							0,
							null,
							false,
							null,
							1632712915087372,
							[
							[
								50,
								cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
								null,
								0,
								false,
								false,
								false,
								7531118980241601,
								false
								,[
								[
									10,
									0
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"PlayerSpeedDisplay"
									]
								]
								]
							]
							],
							[
							[
								50,
								cr.plugins_.Spritefont2.prototype.acts.Destroy,
								null,
								4316922819492157,
								false
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							9915616607213803,
							[
							],
							[
							[
								5,
								cr.behaviors.lunarray_Tween.prototype.acts.Start,
								"capturePlayer",
								1182470635432517,
								false
							]
,							[
								185,
								cr.plugins_.Function.prototype.acts.CallFunction,
								null,
								1411083406970247,
								false
								,[
								[
									1,
									[
										2,
										"playHit"
									]
								]
,								[
									13,
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.CreateObject,
								null,
								9821895505851046,
								false
								,[
								[
									4,
									62
								]
,								[
									5,
									[
										2,
										"Player"
									]
								]
,								[
									0,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,								[
									0,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
								]
								]
							]
,							[
								62,
								cr.plugins_.Sprite.prototype.acts.SetScale,
								null,
								722042533903399,
								false
								,[
								[
									0,
									[
										0,
										2
									]
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.Wait,
								null,
								3333505073036757,
								false
								,[
								[
									0,
									[
										1,
										0.3
									]
								]
								]
							]
,							[
								185,
								cr.plugins_.Function.prototype.acts.CallFunction,
								null,
								5187278204566496,
								false
								,[
								[
									1,
									[
										2,
										"playHit"
									]
								]
,								[
									13,
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.CreateObject,
								null,
								6604698947143389,
								false
								,[
								[
									4,
									62
								]
,								[
									5,
									[
										2,
										"Player"
									]
								]
,								[
									0,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,								[
									0,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
								]
								]
							]
,							[
								62,
								cr.plugins_.Sprite.prototype.acts.SetScale,
								null,
								9774176512777087,
								false
								,[
								[
									0,
									[
										0,
										2
									]
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.Wait,
								null,
								4678285493416115,
								false
								,[
								[
									0,
									[
										1,
										0.2
									]
								]
								]
							]
,							[
								185,
								cr.plugins_.Function.prototype.acts.CallFunction,
								null,
								3106377187596537,
								false
								,[
								[
									1,
									[
										2,
										"playHit"
									]
								]
,								[
									13,
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.CreateObject,
								null,
								6283527981778328,
								false
								,[
								[
									4,
									62
								]
,								[
									5,
									[
										2,
										"Player"
									]
								]
,								[
									0,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,								[
									0,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
								]
								]
							]
,							[
								62,
								cr.plugins_.Sprite.prototype.acts.SetScale,
								null,
								2185390725151078,
								false
								,[
								[
									0,
									[
										0,
										2
									]
								]
								]
							]
,							[
								191,
								cr.plugins_.Spriter.prototype.acts.pauseAnimation,
								null,
								5636928713079358,
								false
							]
,							[
								0,
								cr.plugins_.Sprite.prototype.acts.SetCollisions,
								null,
								7504974175249513,
								false
								,[
								[
									3,
									0
								]
								]
							]
,							[
								58,
								cr.plugins_.Sprite.prototype.acts.StopAnim,
								null,
								902391989091341,
								false
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					410977317933344,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						3038516012272478,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						7254653334374487,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							4749470723041428,
							false
							,[
							[
								11,
								"secondChanceActive"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							4818306799412815,
							false
							,[
							[
								11,
								"secondChanceActive"
							]
,							[
								7,
								[
									5,
									[
										23,
										"secondChanceActive"
									]
									,[
										0,
										1
									]
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9414730071929208,
							false
							,[
							[
								1,
								[
									2,
									"secondChanceDisplay"
								]
							]
,							[
								13,
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							7406430233484747,
							false
							,[
							[
								11,
								"PlayerX"
							]
,							[
								7,
								[
									4,
									[
										4,
										[
											23,
											"PlayerX"
										]
										,[
											0,
											100
										]
									]
									,[
										23,
										"moveCount"
									]
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							2226593754476818,
							false
							,[
							[
								11,
								"playerSpeed"
							]
,							[
								7,
								[
									23,
									"TopSpeed"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						6745711350066295,
						[
						[
							-1,
							cr.system_object.prototype.cnds.TriggerOnce,
							null,
							0,
							false,
							false,
							false,
							4622875882124491,
							false
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							1957578506492594,
							false
							,[
							[
								11,
								"PlayerX"
							]
,							[
								7,
								[
									4,
									[
										4,
										[
											23,
											"PlayerX"
										]
										,[
											0,
											20
										]
									]
									,[
										23,
										"moveCount"
									]
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5847618508237374,
							false
							,[
							[
								1,
								[
									2,
									"boostPlayer"
								]
							]
,							[
								13,
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							1926362474503234,
							false
							,[
							[
								0,
								[
									1,
									0.3
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5291840866671706,
						[
						[
							0,
							cr.behaviors.lunarray_Tween.prototype.cnds.IsActive,
							"slowPlayer",
							0,
							false,
							false,
							false,
							2097522780879341,
							false
						]
						],
						[
						[
							0,
							cr.behaviors.lunarray_Tween.prototype.acts.Stop,
							"slowPlayer",
							3153028393986928,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1816539422965677,
				[
				[
					5,
					cr.behaviors.lunarray_Tween.prototype.cnds.OnEnd,
					"capturePlayer",
					1,
					false,
					false,
					false,
					1183791906917316,
					false
				]
				],
				[
				[
					5,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					8689721552076324,
					false
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					9783662625767526,
					false
					,[
					[
						1,
						[
							2,
							"END OVERLAY"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5249715477492287,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1821608817302318,
						false
						,[
						[
							11,
							"BulletsCollected"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9793595553650504,
						false
						,[
						[
							1,
							[
								2,
								"EndLottery"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5793798493039939,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						2065605666343577,
						false
					]
,					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						9273195365890571,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						14613549079676,
						false
						,[
						[
							1,
							[
								2,
								"setTopScore"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4106443278613154,
						false
						,[
						[
							1,
							[
								2,
								"EndOverlay"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "END LOTTERY"],
			false,
			null,
			3236944149435483,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				3236944149435483,
				false
				,[
				[
					1,
					[
						2,
						"END LOTTERY"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8689663303444901,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9842020722212184,
					false
					,[
					[
						1,
						[
							2,
							"EndLottery"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5192884081830983,
					false
					,[
					[
						1,
						[
							2,
							"stopMusic"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetLayerVisible,
					null,
					8341787465912471,
					false
					,[
					[
						5,
						[
							2,
							"Blackscreen"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2754086787509634,
					false
					,[
					[
						1,
						[
							2,
							"playAmbience"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					8349181112395824,
					[
					[
						-1,
						cr.system_object.prototype.cnds.For,
						null,
						0,
						true,
						false,
						false,
						5733375387591135,
						false
						,[
						[
							1,
							[
								2,
								"BottlesRow1"
							]
						]
,						[
							0,
							[
								0,
								1
							]
						]
,						[
							0,
							[
								0,
								4
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8721474664826188,
						false
						,[
						[
							4,
							158
						]
,						[
							5,
							[
								2,
								"EndLottery"
							]
						]
,						[
							0,
							[
								4,
								[
									0,
									138
								]
								,[
									6,
									[
										0,
										200
									]
									,[
										19,
										cr.system_object.prototype.exps.loopindex
									]
								]
							]
						]
,						[
							0,
							[
								5,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"EndOver"
										]
										]
									]
									,[
										1,
										0.5
									]
								]
								,[
									0,
									244
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2697209978088765,
					[
					[
						-1,
						cr.system_object.prototype.cnds.For,
						null,
						0,
						true,
						false,
						false,
						6013168296659246,
						false
						,[
						[
							1,
							[
								2,
								"BottlesRow2"
							]
						]
,						[
							0,
							[
								0,
								1
							]
						]
,						[
							0,
							[
								0,
								4
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						958248225687325,
						false
						,[
						[
							4,
							158
						]
,						[
							5,
							[
								2,
								"EndLottery"
							]
						]
,						[
							0,
							[
								4,
								[
									0,
									138
								]
								,[
									6,
									[
										0,
										200
									]
									,[
										19,
										cr.system_object.prototype.exps.loopindex
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"EndOver"
										]
										]
									]
									,[
										1,
										0.5
									]
								]
								,[
									0,
									25
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4156447396312486,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3348492124239166,
						false
						,[
						[
							1,
							[
								2,
								"UpdateBullets"
							]
						]
,						[
							13,
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						3462697275299316,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6974985777687287,
							false
							,[
							[
								11,
								"tutLottery9"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7530434189233641,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											9
										]
									]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2805445447028338,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6014292072919639,
					false
					,[
					[
						1,
						[
							2,
							"UpdateBullets"
						]
					]
					]
				]
				],
				[
				[
					159,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					8837040838350951,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					9318192610849616,
					[
					[
						-1,
						cr.system_object.prototype.cnds.For,
						null,
						0,
						true,
						false,
						false,
						4691039274760074,
						false
						,[
						[
							1,
							[
								2,
								"bullets"
							]
						]
,						[
							0,
							[
								0,
								1
							]
						]
,						[
							0,
							[
								0,
								6
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						4005124018502026,
						false
						,[
						[
							4,
							159
						]
,						[
							5,
							[
								2,
								"EndLottery"
							]
						]
,						[
							0,
							[
								4,
								[
									0,
									240
								]
								,[
									6,
									[
										0,
										110
									]
									,[
										19,
										cr.system_object.prototype.exps.loopindex
									]
								]
							]
						]
,						[
							0,
							[
								5,
								[
									19,
									cr.system_object.prototype.exps.viewportbottom
									,[
[
										2,
										"EndOver"
									]
									]
								]
								,[
									0,
									126
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7519025529541713,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							4219566051907738,
							false
							,[
							[
								11,
								"BulletsCollected"
							]
,							[
								8,
								2
							]
,							[
								7,
								[
									19,
									cr.system_object.prototype.exps.loopindex
								]
							]
							]
						]
						],
						[
						[
							159,
							cr.plugins_.Sprite.prototype.acts.SetOpacity,
							null,
							7858649109897005,
							false
							,[
							[
								0,
								[
									0,
									20
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2001845273657651,
				[
				[
					187,
					cr.plugins_.Mouse.prototype.cnds.OnObjectClicked,
					null,
					1,
					false,
					false,
					false,
					3966821874817313,
					false
					,[
					[
						3,
						0
					]
,					[
						3,
						0
					]
,					[
						4,
						158
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					557829400752642,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						5203873761350588,
						false
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9080469307145317,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						8403969557261962,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1100621747437546,
							false
							,[
							[
								11,
								"BulletsCollected"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							194421506383338,
							false
							,[
							[
								11,
								"BulletsCollected"
							]
,							[
								7,
								[
									5,
									[
										23,
										"BulletsCollected"
									]
									,[
										0,
										1
									]
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7796820218806234,
							false
							,[
							[
								1,
								[
									2,
									"UpdateBullets"
								]
							]
,							[
								13,
							]
							]
						]
,						[
							158,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							6018753463199931,
							false
							,[
							[
								0,
								[
									0,
									1
								]
							]
							]
						]
,						[
							2,
							cr.behaviors.lunarray_Tween.prototype.acts.Start,
							"shoot",
							4692411887994961,
							false
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							600628359666766,
							false
							,[
							[
								1,
								[
									2,
									"playShoot"
								]
							]
,							[
								13,
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1046085449175711,
							false
							,[
							[
								1,
								[
									2,
									"ShootBottle"
								]
							]
,							[
								13,
																	[
										7,
										[
											20,
											158,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
									]
,
									[
										7,
										[
											20,
											158,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
									]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							3198457971597612,
							false
							,[
							[
								11,
								"AbottlesShot"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4938862297671807,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							56916762393682,
							false
							,[
							[
								11,
								"BulletsCollected"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							2873076228253096,
							false
							,[
							[
								0,
								[
									1,
									2.5
								]
							]
							]
						]
,						[
							159,
							cr.plugins_.Sprite.prototype.acts.Destroy,
							null,
							1646905981264427,
							false
						]
						]
						,[
						[
							0,
							null,
							false,
							null,
							2439374231453123,
							[
							[
								-1,
								cr.system_object.prototype.cnds.PickAll,
								null,
								0,
								false,
								false,
								false,
								2827911681133945,
								false
								,[
								[
									4,
									158
								]
								]
							]
							],
							[
							[
								158,
								cr.plugins_.Sprite.prototype.acts.Destroy,
								null,
								580422637124379,
								false
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							636105737682465,
							[
							[
								-1,
								cr.system_object.prototype.cnds.PickAll,
								null,
								0,
								false,
								false,
								false,
								6916968861112248,
								false
								,[
								[
									4,
									161
								]
								]
							]
							],
							[
							[
								161,
								cr.plugins_.Sprite.prototype.acts.Destroy,
								null,
								2146025619656968,
								false
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							6211961426034093,
							[
							[
								-1,
								cr.system_object.prototype.cnds.PickAll,
								null,
								0,
								false,
								false,
								false,
								7702403043799902,
								false
								,[
								[
									4,
									84
								]
								]
							]
							],
							[
							[
								84,
								cr.plugins_.Sprite.prototype.acts.Destroy,
								null,
								1351974282013219,
								false
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							4254395167066319,
							[
							[
								51,
								cr.plugins_.Spritefont2.prototype.cnds.IsOnLayer,
								null,
								0,
								false,
								false,
								false,
								9707840079667962,
								false
								,[
								[
									5,
									[
										2,
										"EndLottery"
									]
								]
								]
							]
							],
							[
							[
								51,
								cr.plugins_.Spritefont2.prototype.acts.Destroy,
								null,
								1676203609861673,
								false
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							6071692013284441,
							[
							],
							[
							[
								185,
								cr.plugins_.Function.prototype.acts.CallFunction,
								null,
								406267657634296,
								false
								,[
								[
									1,
									[
										2,
										"setTopScore"
									]
								]
,								[
									13,
								]
								]
							]
,							[
								185,
								cr.plugins_.Function.prototype.acts.CallFunction,
								null,
								5974790924108974,
								false
								,[
								[
									1,
									[
										2,
										"EndOverlay"
									]
								]
,								[
									13,
								]
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1815068098720119,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.OnTapGestureObject,
					null,
					1,
					false,
					false,
					false,
					6860307454372513,
					false
					,[
					[
						4,
						158
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5604886845353162,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						272894022791671,
						false
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8094116262055639,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						6295180176197486,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							999844107577694,
							false
							,[
							[
								11,
								"BulletsCollected"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							2464841987980912,
							false
							,[
							[
								11,
								"BulletsCollected"
							]
,							[
								7,
								[
									5,
									[
										23,
										"BulletsCollected"
									]
									,[
										0,
										1
									]
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7358728096099032,
							false
							,[
							[
								1,
								[
									2,
									"UpdateBullets"
								]
							]
,							[
								13,
							]
							]
						]
,						[
							158,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							689687231587221,
							false
							,[
							[
								0,
								[
									0,
									1
								]
							]
							]
						]
,						[
							2,
							cr.behaviors.lunarray_Tween.prototype.acts.Start,
							"shoot",
							503605556115139,
							false
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1551725774016574,
							false
							,[
							[
								1,
								[
									2,
									"playShoot"
								]
							]
,							[
								13,
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1292061935760043,
							false
							,[
							[
								1,
								[
									2,
									"ShootBottle"
								]
							]
,							[
								13,
																	[
										7,
										[
											20,
											158,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
									]
,
									[
										7,
										[
											20,
											158,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
									]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							4841223642728419,
							false
							,[
							[
								11,
								"AbottlesShot"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8358555876075766,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9066651498204969,
							false
							,[
							[
								11,
								"BulletsCollected"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							2136573998299987,
							false
							,[
							[
								0,
								[
									1,
									2.5
								]
							]
							]
						]
,						[
							159,
							cr.plugins_.Sprite.prototype.acts.Destroy,
							null,
							794100214526226,
							false
						]
						]
						,[
						[
							0,
							null,
							false,
							null,
							4975946563643765,
							[
							[
								-1,
								cr.system_object.prototype.cnds.PickAll,
								null,
								0,
								false,
								false,
								false,
								3709207965888129,
								false
								,[
								[
									4,
									158
								]
								]
							]
							],
							[
							[
								158,
								cr.plugins_.Sprite.prototype.acts.Destroy,
								null,
								3431128017834973,
								false
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							2527327671958359,
							[
							[
								-1,
								cr.system_object.prototype.cnds.PickAll,
								null,
								0,
								false,
								false,
								false,
								4857823381680657,
								false
								,[
								[
									4,
									161
								]
								]
							]
							],
							[
							[
								161,
								cr.plugins_.Sprite.prototype.acts.Destroy,
								null,
								3656961369943425,
								false
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							4589760013306697,
							[
							[
								-1,
								cr.system_object.prototype.cnds.PickAll,
								null,
								0,
								false,
								false,
								false,
								3435085976951536,
								false
								,[
								[
									4,
									84
								]
								]
							]
							],
							[
							[
								84,
								cr.plugins_.Sprite.prototype.acts.Destroy,
								null,
								2716237945376798,
								false
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							7545687413534894,
							[
							[
								51,
								cr.plugins_.Spritefont2.prototype.cnds.IsOnLayer,
								null,
								0,
								false,
								false,
								false,
								9091573576104961,
								false
								,[
								[
									5,
									[
										2,
										"EndLottery"
									]
								]
								]
							]
							],
							[
							[
								51,
								cr.plugins_.Spritefont2.prototype.acts.Destroy,
								null,
								10791851944931,
								false
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							5894134903143302,
							[
							],
							[
							[
								185,
								cr.plugins_.Function.prototype.acts.CallFunction,
								null,
								9653451603127112,
								false
								,[
								[
									1,
									[
										2,
										"setTopScore"
									]
								]
,								[
									13,
								]
								]
							]
,							[
								185,
								cr.plugins_.Function.prototype.acts.CallFunction,
								null,
								2093866730567333,
								false
								,[
								[
									1,
									[
										2,
										"EndOverlay"
									]
								]
,								[
									13,
								]
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				752980874942899,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5472907355436371,
					false
					,[
					[
						1,
						[
							2,
							"ShootBottle"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					497101386406577,
					false
					,[
					[
						4,
						62
					]
,					[
						5,
						[
							2,
							"EndLottery"
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								0
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
					]
				]
,				[
					62,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					6815744014635089,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					62,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					5991820965191359,
					false
					,[
					[
						0,
						[
							0,
							20
						]
					]
					]
				]
				]
				,[
				[
					1,
					"winAmount",
					0,
					0,
false,false,6009128954845184,false
				]
,				[
					0,
					null,
					false,
					null,
					5405372957452858,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						2171307485738678,
						false
						,[
						[
							7,
							[
								4,
								[
									0,
									50
								]
								,[
									6,
									[
										23,
										"CharLuck"
									]
									,[
										0,
										10
									]
								]
							]
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										100
									]
									]
								]
								]
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						7502127142117752,
						false
						,[
						[
							4,
							161
						]
,						[
							5,
							[
								2,
								"EndLottery"
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3085565502418432,
						false
						,[
						[
							11,
							"winAmount"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										50
									]
,[
										4,
										[
											0,
											150
										]
										,[
											6,
											[
												23,
												"CharLuck"
											]
											,[
												0,
												10
											]
										]
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						176738082127568,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldGoldUnlockLvl"
							]
						]
,						[
							13,
															[
									7,
									[
										10,
										[
											2,
											"+"
										]
										,[
											23,
											"winAmount"
										]
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
								]
,
								[
									7,
									[
										2,
										"EndLottery"
									]
								]
,
								[
									7,
									[
										2,
										"coinWinValue"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8372848820563726,
						false
						,[
						[
							4,
							84
						]
,						[
							5,
							[
								2,
								"EndLottery"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									80
								]
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2177591460657627,
						false
						,[
						[
							11,
							"Coins"
						]
,						[
							7,
							[
								23,
								"winAmount"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						66487071017829,
						false
						,[
						[
							11,
							"MCoins"
						]
,						[
							7,
							[
								23,
								"winAmount"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7315126075947344,
						false
						,[
						[
							0,
							[
								1,
								0.25
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7579744737377122,
						false
						,[
						[
							1,
							[
								2,
								"playCoin"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "END OVERLAY"],
			false,
			null,
			9151587197364329,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9151587197364329,
				false
				,[
				[
					1,
					[
						2,
						"END OVERLAY"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3335082260036993,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1900477655799149,
					false
					,[
					[
						1,
						[
							2,
							"setTopScore"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6799316489888258,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2443776206589333,
						false
						,[
						[
							11,
							"Score"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								23,
								"TopScoreS1"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6207458133683201,
						false
						,[
						[
							11,
							"CurrentScene"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7872577778477236,
						false
						,[
						[
							11,
							"TopScoreS1"
						]
,						[
							7,
							[
								23,
								"Score"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3010557348748764,
						false
						,[
						[
							11,
							"newHighScore"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7157043672055573,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6789844816877894,
						false
						,[
						[
							11,
							"Score"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								23,
								"TopScoreS2"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9260073417363002,
						false
						,[
						[
							11,
							"CurrentScene"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8236967292271742,
						false
						,[
						[
							11,
							"TopScoreS2"
						]
,						[
							7,
							[
								23,
								"Score"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9412991377174371,
						false
						,[
						[
							11,
							"newHighScore"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5176994273624395,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7821555849356949,
						false
						,[
						[
							11,
							"Score"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								23,
								"TopScoreS3"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2946565896476018,
						false
						,[
						[
							11,
							"CurrentScene"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						436225005397794,
						false
						,[
						[
							11,
							"TopScoreS3"
						]
,						[
							7,
							[
								23,
								"Score"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6373003512082965,
						false
						,[
						[
							11,
							"newHighScore"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9110479838981581,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						173445457854669,
						false
						,[
						[
							11,
							"TopScore"
						]
,						[
							7,
							[
								4,
								[
									4,
									[
										23,
										"TopScoreS1"
									]
									,[
										23,
										"TopScoreS2"
									]
								]
								,[
									23,
									"TopScoreS3"
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5642227393033201,
						false
						,[
						[
							11,
							"OverallScore"
						]
,						[
							7,
							[
								4,
								[
									4,
									[
										23,
										"TopScoreS1"
									]
									,[
										23,
										"TopScoreS2"
									]
								]
								,[
									23,
									"TopScoreS3"
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6763763481677663,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4625032607006594,
					false
					,[
					[
						1,
						[
							2,
							"EndOverlay"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8701940717308796,
					false
					,[
					[
						11,
						"EndOverlayActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2290921485858863,
					false
					,[
					[
						1,
						[
							2,
							"CheckgPlayLogin"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9187245639833839,
					false
					,[
					[
						11,
						"EndOverlayActive"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8304376684338359,
					false
					,[
					[
						1,
						[
							2,
							"stopMusic"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetLayerVisible,
					null,
					2844225640294846,
					false
					,[
					[
						5,
						[
							2,
							"Blackscreen"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7789624315857525,
					false
					,[
					[
						4,
						152
					]
,					[
						5,
						[
							2,
							"EndOver"
						]
					]
,					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.viewportright
									,[
[
										2,
										"HUD"
									]
									]
								]
								,[
									1,
									0.75
								]
							]
							,[
								0,
								300
							]
						]
					]
,					[
						0,
						[
							5,
							[
								6,
								[
									4,
									[
										19,
										cr.system_object.prototype.exps.viewporttop
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
								]
								,[
									1,
									0.5
								]
							]
							,[
								0,
								256
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2395936851049899,
					false
					,[
					[
						1,
						[
							2,
							"CreateCoinMenuField"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoString"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										314
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										46
									]
								]
							]
,
							[
								7,
								[
									20,
									152,
									cr.plugins_.NinePatch.prototype.exps.LayerName,
									true,
									null
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1336192570395671,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldEndscreen"
						]
					]
,					[
						13,
													[
								7,
								[
									10,
									[
										2,
										"Str_SCENE"
									]
									,[
										23,
										"CurrentScene"
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										155
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										25
									]
								]
							]
,
							[
								7,
								[
									2,
									"EndOver"
								]
							]
,
							[
								7,
								[
									2,
									"sceneField"
								]
							]
,
							[
								7,
								[
									1,
									1.5
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					713127862826898,
					false
					,[
					[
						1,
						[
							2,
							"createFieldXp"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_XP"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											152,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										233
									]
								]
							]
,
							[
								7,
								[
									2,
									"EndOver"
								]
							]
,
							[
								7,
								[
									2,
									"xp"
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8364865817466156,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkXp"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											152,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										4,
										[
											20,
											152,
											cr.plugins_.NinePatch.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											231
										]
									]
									,[
										0,
										40
									]
								]
							]
,
							[
								7,
								[
									2,
									"EndOver"
								]
							]
,
							[
								7,
								[
									2,
									"xpField"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6863036084341017,
					false
					,[
					[
						1,
						[
							2,
							"createFieldScore"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_SCORE"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											152,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										86
									]
								]
							]
,
							[
								7,
								[
									2,
									"EndOver"
								]
							]
,
							[
								7,
								[
									2,
									"score"
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5701300800819281,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkScore"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											152,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										4,
										[
											20,
											152,
											cr.plugins_.NinePatch.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											84
										]
									]
									,[
										0,
										40
									]
								]
							]
,
							[
								7,
								[
									2,
									"EndOver"
								]
							]
,
							[
								7,
								[
									2,
									"scorefield"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3153015511878809,
					false
					,[
					[
						1,
						[
							2,
							"createFieldCoins"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_COINS"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											152,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										385
									]
								]
							]
,
							[
								7,
								[
									2,
									"EndOver"
								]
							]
,
							[
								7,
								[
									2,
									"coins"
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4489720419946938,
					false
					,[
					[
						1,
						[
							2,
							"createFieldScore"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_OVERALLSCORE"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										1,
										0.25
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										27
									]
								]
							]
,
							[
								7,
								[
									2,
									"EndOver"
								]
							]
,
							[
								7,
								[
									2,
									"topscore"
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4291700306679551,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkTopScore"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										1,
										0.25
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										4,
										[
											20,
											152,
											cr.plugins_.NinePatch.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											25
										]
									]
									,[
										0,
										40
									]
								]
							]
,
							[
								7,
								[
									2,
									"EndOver"
								]
							]
,
							[
								7,
								[
									2,
									"topscorefield"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3348000931185496,
					false
					,[
					[
						4,
						153
					]
,					[
						5,
						[
							2,
							"EndOver"
						]
					]
,					[
						0,
						[
							6,
							[
								19,
								cr.system_object.prototype.exps.viewportright
								,[
[
									2,
									"HUD"
								]
								]
							]
							,[
								1,
								0.25
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								152,
								cr.plugins_.NinePatch.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								191
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6305105601935902,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGold"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_SHARESCORE"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										1,
										0.25
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										268
									]
								]
							]
,
							[
								7,
								[
									2,
									"EndOver"
								]
							]
,
							[
								7,
								[
									2,
									"sharescoreField"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8884440416858309,
					false
					,[
					[
						1,
						[
							2,
							"calculateXP"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					1227016989336103,
					false
					,[
					[
						0,
						[
							1,
							0.2
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1841781122000409,
					false
					,[
					[
						1,
						[
							2,
							"playAmbience"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6472176413503313,
					[
					[
						194,
						cr.plugins_.Flurry.prototype.cnds.flurryReady,
						null,
						0,
						false,
						false,
						false,
						7257268616522488,
						false
					]
					],
					[
					[
						182,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						1382041916393843,
						false
						,[
						[
							1,
							[
								2,
								"TopScore"
							]
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									23,
									"TopScore"
								]
								]
							]
						]
						]
					]
,					[
						194,
						cr.plugins_.Flurry.prototype.acts.logParamsEvent,
						null,
						1834696456650908,
						false
						,[
						[
							1,
							[
								2,
								"Highscore"
							]
						]
,						[
							1,
							[
								20,
								182,
								cr.plugins_.Dictionary.prototype.exps.AsJSON,
								true,
								null
							]
						]
						]
					]
,					[
						182,
						cr.plugins_.Dictionary.prototype.acts.Clear,
						null,
						5737585302119634,
						false
					]
,					[
						194,
						cr.plugins_.Flurry.prototype.acts.logEvent,
						null,
						4729008089144251,
						false
						,[
						[
							1,
							[
								2,
								"EndScreen"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						1778203118442011,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6123692655021103,
							false
							,[
							[
								11,
								"CurrentScene"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							194,
							cr.plugins_.Flurry.prototype.acts.logEvent,
							null,
							3856689174052433,
							false
							,[
							[
								1,
								[
									2,
									"EndScreenDesert"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						741098647695174,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1801329697698105,
							false
							,[
							[
								11,
								"CurrentScene"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									2
								]
							]
							]
						]
						],
						[
						[
							194,
							cr.plugins_.Flurry.prototype.acts.logEvent,
							null,
							5748179664118204,
							false
							,[
							[
								1,
								[
									2,
									"EndScreenCity"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8366531832730457,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9693554408928992,
							false
							,[
							[
								11,
								"CurrentScene"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									3
								]
							]
							]
						]
						],
						[
						[
							194,
							cr.plugins_.Flurry.prototype.acts.logEvent,
							null,
							3089688839110628,
							false
							,[
							[
								1,
								[
									2,
									"EndScreenTrain"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4383672498787191,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8303658504939089,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Android"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						4162779124081638,
						false
						,[
						[
							4,
							155
						]
,						[
							5,
							[
								2,
								"EndOver"
							]
						]
,						[
							0,
							[
								5,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										1,
										0.25
									]
								]
								,[
									0,
									80
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									152,
									cr.plugins_.NinePatch.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									400
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3528800818407894,
						false
						,[
						[
							4,
							154
						]
,						[
							5,
							[
								2,
								"EndOver"
							]
						]
,						[
							0,
							[
								4,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										1,
										0.25
									]
								]
								,[
									0,
									80
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									152,
									cr.plugins_.NinePatch.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									398
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					205187303557259,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8996509646075005,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"iOS"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						7512567184106868,
						false
						,[
						[
							4,
							156
						]
,						[
							5,
							[
								2,
								"EndOver"
							]
						]
,						[
							0,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.viewportright
									,[
[
										2,
										"HUD"
									]
									]
								]
								,[
									1,
									0.25
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									152,
									cr.plugins_.NinePatch.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									400
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7019584207663502,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6714208646378221,
						false
						,[
						[
							11,
							"newHighScore"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						5915514798819868,
						false
						,[
						[
							4,
							147
						]
,						[
							5,
							[
								2,
								"EndOver"
							]
						]
,						[
							0,
							[
								4,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											152,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
								,[
									0,
									152
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									152,
									cr.plugins_.NinePatch.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									80
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						7150259929776946,
						false
						,[
						[
							4,
							147
						]
,						[
							5,
							[
								2,
								"EndOver"
							]
						]
,						[
							0,
							[
								4,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										1,
										0.25
									]
								]
								,[
									0,
									152
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									152,
									cr.plugins_.NinePatch.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									20
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9363451213384289,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7461251591368091,
					false
					,[
					[
						1,
						[
							2,
							"calculateXP"
						]
					]
					]
				]
				],
				[
				[
					75,
					cr.behaviors.lunarray_Tween.prototype.acts.SetParameter,
					"EaseTween",
					7902408196754382,
					false
					,[
					[
						3,
						6
					]
,					[
						3,
						0
					]
,					[
						3,
						0
					]
,					[
						1,
						[
							19,
							cr.system_object.prototype.exps.str
							,[
[
								23,
								"XP"
							]
							]
						]
					]
,					[
						1,
						[
							19,
							cr.system_object.prototype.exps.str
							,[
[
								4,
								[
									23,
									"XP"
								]
								,[
									23,
									"XPCollected"
								]
							]
							]
						]
					]
,					[
						0,
						[
							19,
							cr.system_object.prototype.exps.clamp
							,[
[
								6,
								[
									23,
									"XPCollected"
								]
								,[
									1,
									0.1
								]
							]
,[
								0,
								1
							]
,[
								0,
								2
							]
							]
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
,					[
						3,
						0
					]
					]
				]
,				[
					75,
					cr.behaviors.lunarray_Tween.prototype.acts.Start,
					"EaseTween",
					9419372440853249,
					false
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5952619151005038,
					false
					,[
					[
						1,
						[
							2,
							"playCountUp"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7218636583902661,
				[
				[
					78,
					cr.plugins_.Sprite.prototype.cnds.OnCreated,
					null,
					1,
					false,
					false,
					false,
					3411938770726932,
					false
				]
				],
				[
				[
					78,
					cr.plugins_.Sprite.prototype.acts.SetWidth,
					null,
					9447222925204461,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.clamp
							,[
[
								6,
								[
									7,
									[
										5,
										[
											23,
											"XP"
										]
										,[
											23,
											"previousLevelXP"
										]
									]
									,[
										5,
										[
											23,
											"nextLevelXP"
										]
										,[
											23,
											"previousLevelXP"
										]
									]
								]
								,[
									0,
									201
								]
							]
,[
								0,
								0
							]
,[
								0,
								201
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9867870570757253,
				[
				[
					75,
					cr.behaviors.lunarray_Tween.prototype.cnds.IsActive,
					"EaseTween",
					0,
					false,
					false,
					false,
					4352730863176803,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2436831490864888,
					false
					,[
					[
						11,
						"XP"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								22,
								75,
								"EaseTween",
								cr.behaviors.lunarray_Tween.prototype.exps.Value,
								false,
								null
							]
							]
						]
					]
					]
				]
,				[
					78,
					cr.plugins_.Sprite.prototype.acts.SetWidth,
					null,
					1918827350801387,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.clamp
							,[
[
								6,
								[
									7,
									[
										5,
										[
											23,
											"XP"
										]
										,[
											23,
											"previousLevelXP"
										]
									]
									,[
										5,
										[
											23,
											"nextLevelXP"
										]
										,[
											23,
											"previousLevelXP"
										]
									]
								]
								,[
									0,
									201
								]
							]
,[
								0,
								0
							]
,[
								0,
								201
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5730567931931962,
				[
				[
					50,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					3080805868621185,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"xpField"
						]
					]
					]
				]
				],
				[
				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					8722197726535797,
					false
					,[
					[
						7,
						[
							19,
							cr.system_object.prototype.exps.str
							,[
[
								23,
								"XP"
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1459231507251224,
				[
				[
					75,
					cr.behaviors.lunarray_Tween.prototype.cnds.OnEnd,
					"EaseTween",
					1,
					false,
					false,
					false,
					4897849940539447,
					false
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7517763583097698,
					false
					,[
					[
						1,
						[
							2,
							"SaveGame"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5077283381768717,
					false
					,[
					[
						1,
						[
							2,
							"stopCountUp"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1348021189551131,
					false
					,[
					[
						1,
						[
							2,
							"createGenericButton"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_HOME"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										1,
										0.25
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										152,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										557
									]
								]
							]
,
							[
								7,
								[
									2,
									"EndOver"
								]
							]
,
							[
								7,
								[
									2,
									"endshop"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8118654831578996,
					false
					,[
					[
						4,
						83
					]
,					[
						5,
						[
							2,
							"EndOver"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								152,
								cr.plugins_.NinePatch.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									20,
									152,
									cr.plugins_.NinePatch.prototype.exps.Width,
									false,
									null
								]
								,[
									1,
									0.5
								]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								152,
								cr.plugins_.NinePatch.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								540
							]
						]
					]
					]
				]
,				[
					83,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					4401053615594943,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							2,
							"replay"
						]
					]
					]
				]
,				[
					83,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					8887885205189233,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							1,
							0.75
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					4317562137338121,
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,
						null,
						0,
						false,
						false,
						false,
						2852890305155519,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9385606205562454,
						false
						,[
						[
							0,
							[
								1,
								0.3
							]
						]
						]
					]
,					[
						192,
						cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
						null,
						1202135882722793,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5358221985451197,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					670319777754617,
					false
					,[
					[
						11,
						"XP"
					]
,					[
						8,
						5
					]
,					[
						7,
						[
							23,
							"nextLevelXP"
						]
					]
					]
				]
				],
				[
				[
					75,
					cr.behaviors.lunarray_Tween.prototype.acts.Pause,
					"EaseTween",
					4774844548495591,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					8708049575971394,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						4223705962923682,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						137432171588137,
						false
						,[
						[
							1,
							[
								2,
								"setNextXP"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				760409757089393,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1709627417402859,
					false
					,[
					[
						1,
						[
							2,
							"setNextXP"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9113292635620415,
					false
					,[
					[
						1,
						[
							2,
							"stopCountUp"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6174077184820353,
					false
					,[
					[
						1,
						[
							2,
							"stopCountUp"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					9408597790774688,
					false
					,[
					[
						11,
						"RankInt"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4134138732352059,
					false
					,[
					[
						11,
						"previousLevelXP"
					]
,					[
						7,
						[
							23,
							"nextLevelXP"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					247830090198832,
					false
					,[
					[
						11,
						"nextLevelXP"
					]
,					[
						7,
						[
							20,
							181,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								23,
								"RankInt"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					237547921929602,
					false
					,[
					[
						0,
						[
							1,
							0.8
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					66164579137735,
					false
					,[
					[
						1,
						[
							2,
							"CreateRankUp"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					1043207671744211,
					[
					[
						194,
						cr.plugins_.Flurry.prototype.cnds.flurryReady,
						null,
						0,
						false,
						false,
						false,
						8014043733876487,
						false
					]
					],
					[
					[
						182,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						295682386014127,
						false
						,[
						[
							1,
							[
								2,
								"Rank"
							]
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									23,
									"RankInt"
								]
								]
							]
						]
						]
					]
,					[
						194,
						cr.plugins_.Flurry.prototype.acts.logParamsEvent,
						null,
						174400885626672,
						false
						,[
						[
							1,
							[
								2,
								"Rank"
							]
						]
,						[
							1,
							[
								20,
								182,
								cr.plugins_.Dictionary.prototype.exps.AsJSON,
								true,
								null
							]
						]
						]
					]
,					[
						182,
						cr.plugins_.Dictionary.prototype.acts.Clear,
						null,
						5170336078117205,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7095820088192812,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5654664829706872,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"rankName"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						5809151196980786,
						false
						,[
						[
							7,
							[
								20,
								178,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									178,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										2,
										"Str_RANKNAME"
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
,[
									5,
									[
										23,
										"RankInt"
									]
									,[
										0,
										1
									]
								]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9158392968841941,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						6776577700033513,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"xpText"
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						3273075329550294,
						false
						,[
						[
							7,
							[
								10,
								[
									2,
									"XP | Rank "
								]
								,[
									23,
									"RankInt"
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5004433556884112,
				[
				[
					50,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					9960373572751786,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"yourRanknow"
						]
					]
					]
				]
				],
				[
				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					4701435077580951,
					false
					,[
					[
						0,
						[
							0,
							600
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3683387517797682,
				[
				[
					50,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					9929069423529922,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"youReceive"
						]
					]
					]
				]
				],
				[
				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					7103698115412524,
					false
					,[
					[
						0,
						[
							0,
							800
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					3698363677199687,
					false
					,[
					[
						7,
						[
							10,
							[
								10,
								[
									10,
									[
										10,
										[
											20,
											173,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												20,
												173,
												cr.plugins_.Arr.prototype.exps.IndexOf,
												false,
												null
												,[
[
													2,
													"Str_YOURECEIVE"
												]
												]
											]
,[
												23,
												"LanguageInt"
											]
											]
										]
										,[
											2,
											" "
										]
									]
									,[
										2,
										"+1"
									]
								]
								,[
									2,
									" "
								]
							]
							,[
								20,
								174,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									174,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										2,
										"Str_TOPSPEED"
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				109055039938171,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5723290744103541,
					false
					,[
					[
						1,
						[
							2,
							"CreateRankUp"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetLayerVisible,
					null,
					6302838285486167,
					false
					,[
					[
						5,
						[
							2,
							"RankUp"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2375115761467966,
					false
					,[
					[
						4,
						157
					]
,					[
						5,
						[
							2,
							"RankUp"
						]
					]
,					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.viewportright
									,[
[
										2,
										"HUD"
									]
									]
								]
								,[
									1,
									0.5
								]
							]
							,[
								0,
								442
							]
						]
					]
,					[
						0,
						[
							5,
							[
								6,
								[
									4,
									[
										19,
										cr.system_object.prototype.exps.viewporttop
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
								]
								,[
									1,
									0.5
								]
							]
							,[
								0,
								293
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					268470584360607,
					false
					,[
					[
						4,
						76
					]
,					[
						5,
						[
							2,
							"RankUp"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								157,
								cr.plugins_.NinePatch.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									20,
									157,
									cr.plugins_.NinePatch.prototype.exps.Width,
									false,
									null
								]
								,[
									1,
									0.5
								]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								157,
								cr.plugins_.NinePatch.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								76
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1986228236785712,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGold"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_CONGRATULATIONS"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											157,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										76
									]
								]
							]
,
							[
								7,
								[
									2,
									"RankUp"
								]
							]
,
							[
								7,
								[
									2,
									"congratz"
								]
							]
,
							[
								7,
								[
									1,
									1
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3496218451849968,
					false
					,[
					[
						4,
						79
					]
,					[
						5,
						[
							2,
							"RankUp"
						]
					]
,					[
						0,
						[
							5,
							[
								4,
								[
									20,
									157,
									cr.plugins_.NinePatch.prototype.exps.X,
									false,
									null
								]
								,[
									6,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.Width,
										false,
										null
									]
									,[
										1,
										0.5
									]
								]
							]
							,[
								0,
								15
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								157,
								cr.plugins_.NinePatch.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								275
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5896785418766384,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDark"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_YOURRANKNOW"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											157,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										157
									]
								]
							]
,
							[
								7,
								[
									2,
									"RankUp"
								]
							]
,
							[
								7,
								[
									2,
									"yourRanknow"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2922550999961269,
					false
					,[
					[
						4,
						74
					]
,					[
						5,
						[
							2,
							"RankUp"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								157,
								cr.plugins_.NinePatch.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									20,
									157,
									cr.plugins_.NinePatch.prototype.exps.Width,
									false,
									null
								]
								,[
									1,
									0.5
								]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								157,
								cr.plugins_.NinePatch.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								406
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8223402296071654,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkRank"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_RANKNAME"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											157,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										421
									]
								]
							]
,
							[
								7,
								[
									2,
									"RankUp"
								]
							]
,
							[
								7,
								[
									2,
									"rankName2"
								]
							]
,
							[
								7,
								[
									1,
									1.2
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6615559165202511,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDark"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_YOURECEIVE"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											157,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										500
									]
								]
							]
,
							[
								7,
								[
									2,
									"RankUp"
								]
							]
,
							[
								7,
								[
									2,
									"youReceive"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5992034902878791,
					false
					,[
					[
						4,
						77
					]
,					[
						5,
						[
							2,
							"RankUp"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								157,
								cr.plugins_.NinePatch.prototype.exps.X,
								false,
								null
							]
							,[
								20,
								157,
								cr.plugins_.NinePatch.prototype.exps.Width,
								false,
								null
							]
						]
					]
,					[
						0,
						[
							20,
							157,
							cr.plugins_.NinePatch.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4573691609011473,
					false
					,[
					[
						4,
						62
					]
,					[
						5,
						[
							2,
							"RankUp"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								157,
								cr.plugins_.NinePatch.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									20,
									157,
									cr.plugins_.NinePatch.prototype.exps.Width,
									false,
									null
								]
								,[
									1,
									0.5
								]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								157,
								cr.plugins_.NinePatch.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								336
							]
						]
					]
					]
				]
,				[
					62,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					3685666007256617,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7304645233970302,
					false
					,[
					[
						1,
						[
							2,
							"createGenericButton"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_OK"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.X,
										false,
										null
									]
									,[
										6,
										[
											20,
											157,
											cr.plugins_.NinePatch.prototype.exps.Width,
											false,
											null
										]
										,[
											1,
											0.5
										]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										20,
										157,
										cr.plugins_.NinePatch.prototype.exps.Height,
										false,
										null
									]
								]
							]
,
							[
								7,
								[
									2,
									"RankUp"
								]
							]
,
							[
								7,
								[
									2,
									"close"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6065621119488976,
					false
					,[
					[
						1,
						[
							2,
							"playLevelUp"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					1233965054926863,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					9006683636422944,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4575904083673534,
						false
						,[
						[
							11,
							"tutLevelUp11"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						881592319562724,
						false
						,[
						[
							1,
							[
								2,
								"ShowTutorial"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										11
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3112121128276515,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1705893580795937,
					false
					,[
					[
						1,
						[
							2,
							"RemoveRankUp"
						]
					]
					]
				]
				],
				[
				[
					76,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					773861324075854,
					false
				]
,				[
					75,
					cr.behaviors.lunarray_Tween.prototype.acts.Resume,
					"EaseTween",
					8612179222634212,
					false
				]
,				[
					79,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					7785276329059266,
					false
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8090637736142255,
					false
					,[
					[
						1,
						[
							2,
							"playCountUp"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					157,
					cr.plugins_.NinePatch.prototype.acts.Destroy,
					null,
					2894821420189657,
					false
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetLayerVisible,
					null,
					3270984481980685,
					false
					,[
					[
						5,
						[
							2,
							"RankUp"
						]
					]
,					[
						3,
						0
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					7977557936443947,
					[
					[
						-1,
						cr.system_object.prototype.cnds.PickByEvaluate,
						null,
						0,
						false,
						false,
						false,
						8678615316846219,
						false
						,[
						[
							4,
							77
						]
,						[
							0,
							[
								12,
								[
									20,
									77,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
								,[
									2,
									"RankUp"
								]
							]
						]
						]
					]
					],
					[
					[
						77,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						3219070443432524,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5089133745619369,
					[
					[
						-1,
						cr.system_object.prototype.cnds.PickByEvaluate,
						null,
						0,
						false,
						false,
						false,
						5468703105032425,
						false
						,[
						[
							4,
							50
						]
,						[
							0,
							[
								12,
								[
									20,
									50,
									cr.plugins_.Spritefont2.prototype.exps.LayerName,
									true,
									null
								]
								,[
									2,
									"RankUp"
								]
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						403556832116675,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					638923602132096,
					[
					[
						-1,
						cr.system_object.prototype.cnds.PickByEvaluate,
						null,
						0,
						false,
						false,
						false,
						4845348790953133,
						false
						,[
						[
							4,
							51
						]
,						[
							0,
							[
								12,
								[
									20,
									51,
									cr.plugins_.Spritefont2.prototype.exps.LayerName,
									true,
									null
								]
								,[
									2,
									"RankUp"
								]
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						8689923913696028,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					495585252502287,
					[
					[
						-1,
						cr.system_object.prototype.cnds.PickByEvaluate,
						null,
						0,
						false,
						false,
						false,
						43104068548142,
						false
						,[
						[
							4,
							74
						]
,						[
							0,
							[
								12,
								[
									20,
									74,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
								,[
									2,
									"RankUp"
								]
							]
						]
						]
					]
					],
					[
					[
						74,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						1063762537729447,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5195640068793275,
					[
					[
						-1,
						cr.system_object.prototype.cnds.PickByEvaluate,
						null,
						0,
						false,
						false,
						false,
						6327439931931492,
						false
						,[
						[
							4,
							64
						]
,						[
							0,
							[
								12,
								[
									20,
									64,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
								,[
									2,
									"RankUp"
								]
							]
						]
						]
					]
					],
					[
					[
						64,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						9837131561285705,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "CONTROLS"],
			false,
			null,
			1490136893887388,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				1490136893887388,
				false
				,[
				[
					1,
					[
						2,
						"CONTROLS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6913267994913424,
				[
				[
					183,
					cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,
					null,
					0,
					false,
					false,
					false,
					942870591538926,
					false
					,[
					[
						9,
						38
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2274453274232279,
					false
					,[
					[
						11,
						"jumpPressTime"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2944805885829453,
					false
					,[
					[
						11,
						"jumpReady"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9126378949322761,
					false
					,[
					[
						11,
						"isBoosting"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1043747263732998,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					0,
					cr.behaviors.Platform.prototype.acts.SetVectorY,
					"Platform",
					7345807973070918,
					false
					,[
					[
						0,
						[
							0,
							-800
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					206907028008443,
					false
					,[
					[
						11,
						"jumpPressTime"
					]
,					[
						7,
						[
							6,
							[
								1,
								6.5
							]
							,[
								19,
								cr.system_object.prototype.exps.dt
							]
						]
					]
					]
				]
,				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					7461505906642346,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					4583390701275091,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						8243210357369822,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						2376851143755472,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2884017946677868,
							false
							,[
							[
								11,
								"jumpCount"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							3453826404664935,
							false
							,[
							[
								4,
								59
							]
,							[
								5,
								[
									2,
									"Player"
								]
							]
,							[
								0,
								[
									5,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										35
									]
								]
							]
,							[
								0,
								[
									5,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
							]
						]
,						[
							191,
							cr.plugins_.Spriter.prototype.acts.setAnim,
							null,
							9222653873956657,
							false
							,[
							[
								1,
								[
									2,
									"Jump"
								]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									200
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8721326829305615,
							false
							,[
							[
								1,
								[
									2,
									"playJump"
								]
							]
,							[
								13,
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						3784542600512709,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6553242325817485,
							false
							,[
							[
								11,
								"jumpCount"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									2
								]
							]
							]
						]
						],
						[
						[
							191,
							cr.plugins_.Spriter.prototype.acts.setAnim,
							null,
							563397696751151,
							false
							,[
							[
								1,
								[
									2,
									"Doublejump"
								]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							4802503878878658,
							false
							,[
							[
								4,
								60
							]
,							[
								5,
								[
									2,
									"Player"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										10
									]
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							889151543548701,
							false
							,[
							[
								1,
								[
									2,
									"createXP"
								]
							]
,							[
								13,
																	[
										7,
										[
											20,
											0,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												0,
												cr.plugins_.Sprite.prototype.exps.Y,
												false,
												null
											]
											,[
												0,
												10
											]
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6545957835893224,
							false
							,[
							[
								1,
								[
									2,
									"playDoubleJump"
								]
							]
,							[
								13,
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							531059027981458,
							false
							,[
							[
								11,
								"MDoubleJump"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							2918107879635238,
							false
							,[
							[
								11,
								"MpDoubleJump"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3740037652913462,
				[
				[
					183,
					cr.plugins_.Keyboard.prototype.cnds.OnKey,
					null,
					1,
					false,
					false,
					false,
					5461148211058856,
					false
					,[
					[
						9,
						38
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6872074452022217,
					false
					,[
					[
						11,
						"jumpReady"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7039695283465948,
					false
					,[
					[
						11,
						"isBoosting"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8148333798478445,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					6274148631934666,
					false
					,[
					[
						11,
						"jumpCount"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				305533448605673,
				[
				[
					183,
					cr.plugins_.Keyboard.prototype.cnds.OnKeyReleased,
					null,
					1,
					false,
					false,
					false,
					5666404482542046,
					false
					,[
					[
						9,
						38
					]
					]
				]
,				[
					0,
					cr.behaviors.Platform.prototype.cnds.IsOnFloor,
					"Platform",
					0,
					false,
					true,
					false,
					85018006397287,
					false
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8643511509525637,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					350241339323924,
					false
					,[
					[
						11,
						"jumpPressTime"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6163885116680209,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6639899434179191,
						false
						,[
						[
							11,
							"doubleJumpActive"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2816253839560969,
						false
						,[
						[
							11,
							"jumpPressTime"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4738106549425701,
						false
						,[
						[
							11,
							"jumpCount"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5723787600689382,
						false
						,[
						[
							11,
							"isBoosting"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2275782729092603,
						false
						,[
						[
							11,
							"jumpPressTime"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5563004199454313,
						false
						,[
						[
							11,
							"CamShakeCharge"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4441157690424897,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					false,
					false,
					8307491154258615,
					false
					,[
					[
						4,
						3
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5519302570064476,
					false
					,[
					[
						11,
						"jumpPressTime"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4130391365744512,
					false
					,[
					[
						11,
						"jumpReady"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					616553017831077,
					false
					,[
					[
						11,
						"isBoosting"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6060109333915184,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					0,
					cr.behaviors.Platform.prototype.acts.SetVectorY,
					"Platform",
					9767089335927676,
					false
					,[
					[
						0,
						[
							0,
							-800
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					4082615782466118,
					false
					,[
					[
						11,
						"jumpPressTime"
					]
,					[
						7,
						[
							6,
							[
								1,
								6.5
							]
							,[
								19,
								cr.system_object.prototype.exps.dt
							]
						]
					]
					]
				]
,				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					3879877513465901,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6689944059821308,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						3708953153222511,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						4318575863330751,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							614589805934027,
							false
							,[
							[
								11,
								"jumpCount"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							5074667285332824,
							false
							,[
							[
								4,
								59
							]
,							[
								5,
								[
									2,
									"Player"
								]
							]
,							[
								0,
								[
									5,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										35
									]
								]
							]
,							[
								0,
								[
									5,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
							]
						]
,						[
							191,
							cr.plugins_.Spriter.prototype.acts.setAnim,
							null,
							261390646349639,
							false
							,[
							[
								1,
								[
									2,
									"Jump"
								]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5667047388066256,
							false
							,[
							[
								1,
								[
									2,
									"playJump"
								]
							]
,							[
								13,
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						420873669519508,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							3794340825788917,
							false
							,[
							[
								11,
								"jumpCount"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									2
								]
							]
							]
						]
						],
						[
						[
							191,
							cr.plugins_.Spriter.prototype.acts.setAnim,
							null,
							5649919325464128,
							false
							,[
							[
								1,
								[
									2,
									"Doublejump"
								]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							5083437919447097,
							false
							,[
							[
								4,
								60
							]
,							[
								5,
								[
									2,
									"Player"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										10
									]
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4836241372886438,
							false
							,[
							[
								1,
								[
									2,
									"createXP"
								]
							]
,							[
								13,
																	[
										7,
										[
											20,
											0,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												0,
												cr.plugins_.Sprite.prototype.exps.Y,
												false,
												null
											]
											,[
												0,
												10
											]
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1185549189805855,
							false
							,[
							[
								1,
								[
									2,
									"playDoubleJump"
								]
							]
,							[
								13,
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							2124657408948509,
							false
							,[
							[
								11,
								"MDoubleJump"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							5027771292992398,
							false
							,[
							[
								11,
								"MpDoubleJump"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				689710035763569,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2295042057535174,
					false
					,[
					[
						4,
						3
					]
					]
				]
,				[
					0,
					cr.behaviors.Platform.prototype.cnds.IsOnFloor,
					"Platform",
					0,
					false,
					true,
					false,
					5697337299292126,
					false
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7878510819788779,
					false
					,[
					[
						11,
						"doubleJumpActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1379061711566268,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2467794453411096,
					false
					,[
					[
						11,
						"jumpPressTime"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9220495954708393,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					7227812998780743,
					false
					,[
					[
						4,
						3
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7875354740686746,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6791103469632037,
					false
					,[
					[
						11,
						"jumpTouchNum"
					]
,					[
						7,
						[
							20,
							184,
							cr.plugins_.Touch.prototype.exps.TouchIndex,
							false,
							null
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					5942097778437271,
					false
					,[
					[
						11,
						"jumpCount"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				891076045255201,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,
					null,
					1,
					false,
					false,
					false,
					5057606619626461,
					false
					,[
					[
						0,
						[
							23,
							"jumpTouchNum"
						]
					]
					]
				]
,				[
					0,
					cr.behaviors.Platform.prototype.cnds.IsOnFloor,
					"Platform",
					0,
					false,
					true,
					false,
					2972179499437374,
					false
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					579195293889957,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3838645163778597,
					false
					,[
					[
						11,
						"jumpPressTime"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6825789615824657,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7157299341976754,
						false
						,[
						[
							11,
							"doubleJumpActive"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7765517077938515,
						false
						,[
						[
							11,
							"jumpPressTime"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4904774161623255,
						false
						,[
						[
							11,
							"jumpCount"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7261171535967234,
						false
						,[
						[
							11,
							"isBoosting"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						681754594250841,
						false
						,[
						[
							11,
							"jumpPressTime"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2812100378061822,
						false
						,[
						[
							11,
							"CamShakeCharge"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4346901527387191,
				[
				[
					59,
					cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,
					null,
					1,
					false,
					false,
					false,
					2668778916337204,
					false
				]
				],
				[
				[
					59,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					9939737140686285,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7120019218037798,
				[
				[
					60,
					cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,
					null,
					1,
					false,
					false,
					false,
					7902224684536891,
					false
				]
				],
				[
				[
					60,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					1375390782206083,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9695189591353646,
				[
				[
					0,
					cr.behaviors.Platform.prototype.cnds.IsFalling,
					"Platform",
					0,
					false,
					false,
					false,
					4247121356658802,
					false
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					159435424434309,
					false
					,[
					[
						11,
						"isBoosting"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					6098662624672348,
					false
					,[
					[
						11,
						"CamShakeCharge"
					]
,					[
						7,
						[
							6,
							[
								0,
								8
							]
							,[
								19,
								cr.system_object.prototype.exps.dt
							]
						]
					]
					]
				]
,				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					6327372185467999,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					8788549497405498,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					255232849130429,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9116418602697712,
						false
						,[
						[
							11,
							"jumpCount"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4656500587983377,
						false
						,[
						[
							11,
							"jumpReady"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3616980770250899,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						3649665744073076,
						false
					]
					],
					[
					[
						191,
						cr.plugins_.Spriter.prototype.acts.setAnim,
						null,
						7715718034058345,
						false
						,[
						[
							1,
							[
								2,
								"Fall"
							]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				981919565621366,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					9891831473081485,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4263723475104882,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3877816131096978,
						false
						,[
						[
							11,
							"isSliding"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1440384538014339,
						false
						,[
						[
							11,
							"jumpReady"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4999269752256169,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3715024259910367,
						false
						,[
						[
							11,
							"isSliding"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2590581014211884,
						false
						,[
						[
							11,
							"jumpReady"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2293055016913143,
				[
				[
					0,
					cr.behaviors.Platform.prototype.cnds.IsOnFloor,
					"Platform",
					0,
					false,
					false,
					false,
					1925831504114756,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4149743311970598,
					false
					,[
					[
						11,
						"jumpPressTime"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					1099882012647334,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5488131650812303,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2586045375209221,
						false
						,[
						[
							11,
							"CamShakeCharge"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7356829623241211,
						false
						,[
						[
							1,
							[
								2,
								"playLand"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8521343600810306,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						1472899560947135,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						199340363127427,
						false
						,[
						[
							1,
							[
								2,
								"camShake"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1602126818914745,
						false
						,[
						[
							11,
							"CamShakeCharge"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1665409895169898,
						false
						,[
						[
							11,
							"jumpCount"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						191,
						cr.plugins_.Spriter.prototype.acts.setAnim,
						null,
						4037585243047723,
						false
						,[
						[
							1,
							[
								2,
								"Run"
							]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						58,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						1465160943811001,
						false
						,[
						[
							1,
							[
								2,
								"start"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4780340673200406,
				[
				[
					58,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					462844156883322,
					false
					,[
					[
						1,
						[
							2,
							"start"
						]
					]
					]
				]
				],
				[
				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					6617044897166322,
					false
					,[
					[
						1,
						[
							2,
							"loop"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9981082290355081,
				[
				[
					183,
					cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,
					null,
					0,
					false,
					false,
					false,
					9697658445122398,
					false
					,[
					[
						9,
						40
					]
					]
				]
,				[
					0,
					cr.behaviors.Platform.prototype.cnds.IsOnFloor,
					"Platform",
					0,
					false,
					false,
					false,
					6979948574689766,
					false
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8305382268700999,
					false
					,[
					[
						11,
						"isBoosting"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2222705842034886,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					0,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					2679504763497885,
					false
					,[
					[
						1,
						[
							2,
							"slide"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					310456656244862,
					false
					,[
					[
						11,
						"isSliding"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					63,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					5258216543566655,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					4447288623552904,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						5291522556667963,
						false
					]
					],
					[
					[
						191,
						cr.plugins_.Spriter.prototype.acts.setAnim,
						null,
						2808080795426963,
						false
						,[
						[
							1,
							[
								2,
								"Slide"
							]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4338159544577396,
						false
						,[
						[
							1,
							[
								2,
								"playJump"
							]
						]
,						[
							13,
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7218148857087388,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							538498572217189,
							false
							,[
							[
								11,
								"camSlideAnimReady"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							3383500509751654,
							false
							,[
							[
								11,
								"camSlideAnimReady"
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1983135005325919,
							false
							,[
							[
								1,
								[
									2,
									"camSlideDown"
								]
							]
,							[
								13,
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				367030803206672,
				[
				[
					183,
					cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,
					null,
					0,
					false,
					false,
					false,
					8156148791396513,
					false
					,[
					[
						9,
						40
					]
					]
				]
,				[
					0,
					cr.behaviors.Platform.prototype.cnds.IsOnFloor,
					"Platform",
					0,
					false,
					true,
					false,
					6730755109487928,
					false
				]
,				[
					0,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					true,
					false,
					8071738836267406,
					false
					,[
					[
						4,
						195
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2137635317284242,
					false
					,[
					[
						11,
						"isBoosting"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6405437748286085,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					0,
					cr.behaviors.Platform.prototype.acts.SetGravity,
					"Platform",
					4735190896104798,
					false
					,[
					[
						0,
						[
							0,
							20000
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					7632302070437346,
					false
					,[
					[
						11,
						"CamShakeCharge"
					]
,					[
						7,
						[
							1,
							0.5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				768922203613656,
				[
				[
					183,
					cr.plugins_.Keyboard.prototype.cnds.OnKeyReleased,
					null,
					1,
					false,
					false,
					false,
					7740363758576958,
					false
					,[
					[
						9,
						40
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9876090750454466,
					false
					,[
					[
						11,
						"isSliding"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					0,
					cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
					null,
					0,
					false,
					true,
					false,
					5881477199696933,
					false
					,[
					[
						4,
						195
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							0,
							-60
						]
					]
					]
				]
				],
				[
				[
					0,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					1074783595451853,
					false
					,[
					[
						1,
						[
							2,
							"run"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6137275979672683,
					false
					,[
					[
						11,
						"isSliding"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4763024320820692,
					false
					,[
					[
						1,
						[
							2,
							"camSlideUp"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5959993704170461,
					false
					,[
					[
						11,
						"camSlideAnimReady"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					63,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					4767771270609032,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6492604978012468,
				[
				[
					183,
					cr.plugins_.Keyboard.prototype.cnds.IsKeyDown,
					null,
					0,
					false,
					true,
					false,
					8414177670184119,
					false
					,[
					[
						9,
						40
					]
					]
				]
,				[
					184,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					5126428903402503,
					false
					,[
					[
						4,
						4
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3597560766847284,
					false
					,[
					[
						11,
						"isSliding"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					0,
					cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
					null,
					0,
					false,
					true,
					false,
					1032159560515942,
					false
					,[
					[
						4,
						195
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							0,
							-60
						]
					]
					]
				]
				],
				[
				[
					0,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					9977324380222832,
					false
					,[
					[
						1,
						[
							2,
							"run"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					191,
					cr.plugins_.Spriter.prototype.acts.setAnim,
					null,
					1585077945412386,
					false
					,[
					[
						1,
						[
							2,
							"Run"
						]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3184482708860328,
					false
					,[
					[
						11,
						"isSliding"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8192443223614158,
					false
					,[
					[
						1,
						[
							2,
							"camSlideUp"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2298674350285946,
					false
					,[
					[
						11,
						"camSlideAnimReady"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					63,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					1155145808277843,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5281165139903975,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					false,
					false,
					4205291737073096,
					false
					,[
					[
						4,
						4
					]
					]
				]
,				[
					0,
					cr.behaviors.Platform.prototype.cnds.IsOnFloor,
					"Platform",
					0,
					false,
					false,
					false,
					3390461022755405,
					false
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4113348352131048,
					false
					,[
					[
						11,
						"isBoosting"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					685625074882037,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					0,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					3827899987617201,
					false
					,[
					[
						1,
						[
							2,
							"slide"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4999448651661122,
					false
					,[
					[
						11,
						"isSliding"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					63,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					2257484421457152,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					765232211668264,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						7956673234928115,
						false
					]
					],
					[
					[
						191,
						cr.plugins_.Spriter.prototype.acts.setAnim,
						null,
						4144215282205624,
						false
						,[
						[
							1,
							[
								2,
								"Slide"
							]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						843980299806488,
						false
						,[
						[
							1,
							[
								2,
								"playJump"
							]
						]
,						[
							13,
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						2186660505898311,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6331329319776571,
							false
							,[
							[
								11,
								"camSlideAnimReady"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							8012412179788041,
							false
							,[
							[
								11,
								"camSlideAnimReady"
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2355511959254699,
							false
							,[
							[
								1,
								[
									2,
									"camSlideDown"
								]
							]
,							[
								13,
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				697138468748901,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,
					null,
					1,
					false,
					false,
					false,
					6189007229943298,
					false
					,[
					[
						0,
						[
							23,
							"slideTouchNum"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					509200419906806,
					false
					,[
					[
						11,
						"isSliding"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					0,
					cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
					null,
					0,
					false,
					true,
					false,
					3693200799246301,
					false
					,[
					[
						4,
						195
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							0,
							-60
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3946780530539974,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					0,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					4508729323487035,
					false
					,[
					[
						1,
						[
							2,
							"run"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					191,
					cr.plugins_.Spriter.prototype.acts.setAnim,
					null,
					9311396423113669,
					false
					,[
					[
						1,
						[
							2,
							"Run"
						]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1503999851116532,
					false
					,[
					[
						11,
						"isSliding"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1906303582947445,
					false
					,[
					[
						1,
						[
							2,
							"camSlideUp"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8683480060777813,
					false
					,[
					[
						11,
						"camSlideAnimReady"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					63,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					6690333849197151,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4170134165331003,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					7321135988822969,
					false
					,[
					[
						4,
						4
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					586659577093284,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6506773788556244,
					false
					,[
					[
						11,
						"slideTouchNum"
					]
,					[
						7,
						[
							20,
							184,
							cr.plugins_.Touch.prototype.exps.TouchIndex,
							false,
							null
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5222516401732101,
					[
					[
						0,
						cr.behaviors.Platform.prototype.cnds.IsOnFloor,
						"Platform",
						0,
						false,
						true,
						false,
						2268568208793414,
						false
					]
,					[
						0,
						cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
						null,
						0,
						false,
						true,
						false,
						9650422021642495,
						false
						,[
						[
							4,
							195
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9031176575653117,
						false
						,[
						[
							11,
							"isBoosting"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						0,
						cr.behaviors.Platform.prototype.acts.SetGravity,
						"Platform",
						8389092943835149,
						false
						,[
						[
							0,
							[
								0,
								20000
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						3004240460044347,
						false
						,[
						[
							11,
							"CamShakeCharge"
						]
,						[
							7,
							[
								0,
								10
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				734468195718219,
				[
				[
					0,
					cr.behaviors.Platform.prototype.cnds.IsOnFloor,
					"Platform",
					0,
					false,
					false,
					false,
					9889971426951554,
					false
				]
				],
				[
				[
					0,
					cr.behaviors.Platform.prototype.acts.SetGravity,
					"Platform",
					3861517721121699,
					false
					,[
					[
						0,
						[
							0,
							3000
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2432439781153613,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9905385341617077,
					false
					,[
					[
						11,
						"isSliding"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					0,
					cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
					null,
					0,
					false,
					false,
					false,
					818160809809647,
					false
					,[
					[
						4,
						195
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							0,
							-70
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1722487780507178,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						3227728513829481,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						6310937733344262,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4754355867520686,
						false
						,[
						[
							1,
							[
								2,
								"createXP"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "CAMERA"],
				false,
				null,
				3238454011776639,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					3238454011776639,
					false
					,[
					[
						1,
						[
							2,
							"CAMERA"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4588201471498116,
					[
					[
						0,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						952142796433328,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								500
							]
						]
						]
					]
,					[
						0,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						7858638783393384,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								1900
							]
						]
						]
					]
					],
					[
					[
						2,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						4763961556098014,
						false
						,[
						[
							0,
							[
								4,
								[
									20,
									0,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									140
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3736895040336935,
					[
					[
						0,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						229884807740463,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								300
							]
						]
						]
					]
					],
					[
					[
						2,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						6386418818991617,
						false
						,[
						[
							0,
							[
								4,
								[
									20,
									0,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									60
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4840081717827204,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						1242888103618003,
						false
						,[
						[
							1,
							[
								2,
								"camShake"
							]
						]
						]
					]
					],
					[
					[
						2,
						cr.behaviors.scrollto.prototype.acts.Shake,
						"ScrollTo",
						7200428667374397,
						false
						,[
						[
							0,
							[
								23,
								"CamShakeCharge"
							]
						]
,						[
							0,
							[
								4,
								[
									1,
									0.05
								]
								,[
									6,
									[
										23,
										"CamShakeCharge"
									]
									,[
										1,
										0.07000000000000001
									]
								]
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					80130017899898,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						1439537171556563,
						false
						,[
						[
							1,
							[
								2,
								"camSlideDown"
							]
						]
						]
					]
					],
					[
					[
						2,
						cr.behaviors.lunarray_Tween.prototype.acts.Start,
						"slideDown",
						3397244971058153,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3484924711183945,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						972010519880194,
						false
						,[
						[
							1,
							[
								2,
								"camSlideUP"
							]
						]
						]
					]
					],
					[
					[
						2,
						cr.behaviors.lunarray_Tween.prototype.acts.Start,
						"slideUp",
						145411041147853,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "SCROLLING"],
			false,
			null,
			3179184793352892,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				3179184793352892,
				false
				,[
				[
					1,
					[
						2,
						"SCROLLING"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6201035809245021,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5516652373830209,
					false
					,[
					[
						1,
						[
							2,
							"functionDepot"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9285120404077487,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4065043000707406,
						false
						,[
						[
							1,
							[
								2,
								"createOWatertower"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5814005505162987,
						false
						,[
						[
							1,
							[
								2,
								"createOTelegraph"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9851255575281053,
						false
						,[
						[
							1,
							[
								2,
								"createOSheriff"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3673908733173493,
						false
						,[
						[
							1,
							[
								2,
								"createOSaloon"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9070453187875291,
						false
						,[
						[
							1,
							[
								2,
								"createOGallows"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						452069075857649,
						false
						,[
						[
							1,
							[
								2,
								"createOAppartment"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5805887576169769,
						false
						,[
						[
							1,
							[
								2,
								"createOBank"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6450363517909057,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9284150340298583,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4069873756629107,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4803238411791122,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x3"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1036987131375993,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7896945816754153,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4201752893613631,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						146305038678432,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4631799311048134,
						false
						,[
						[
							1,
							[
								2,
								"createMetal3x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1914337890838391,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7281715334332375,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1147
									]
								]
,
								[
									7,
									[
										0,
										532
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9868449311903083,
						false
						,[
						[
							1,
							[
								2,
								"createEDevilsRope"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						909343433710418,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2762181946805369,
						false
						,[
						[
							1,
							[
								2,
								"createERock"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3448427481447729,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1417
									]
								]
,
								[
									7,
									[
										0,
										215
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1500402281070181,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3326
									]
								]
,
								[
									7,
									[
										0,
										505
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7881431213227208,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1423
									]
								]
,
								[
									7,
									[
										0,
										291
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8074017855506424,
						false
						,[
						[
							1,
							[
								2,
								"createObst1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										326
									]
								]
,
								[
									7,
									[
										0,
										558
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2015404708777562,
						false
						,[
						[
							1,
							[
								2,
								"createObst1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										326
									]
								]
,
								[
									7,
									[
										0,
										558
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7544299892250617,
						false
						,[
						[
							1,
							[
								2,
								"createObst2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										326
									]
								]
,
								[
									7,
									[
										0,
										558
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5766408204669244,
						false
						,[
						[
							1,
							[
								2,
								"createObst2x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										326
									]
								]
,
								[
									7,
									[
										0,
										558
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1327742138897796,
						false
						,[
						[
							1,
							[
								2,
								"createObst10x05"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										326
									]
								]
,
								[
									7,
									[
										0,
										558
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1504523836582132,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										807
									]
								]
,
								[
									7,
									[
										0,
										515
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						803470643668134,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3088
									]
								]
,
								[
									7,
									[
										0,
										338
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4204658997307624,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										918
									]
								]
,
								[
									7,
									[
										0,
										313
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7328091045033017,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineZigZag"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2686
									]
								]
,
								[
									7,
									[
										0,
										509
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1358563014643804,
						false
						,[
						[
							1,
							[
								2,
								"createTrigger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										0,
										0
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8193807472752557,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4779198576864755,
					false
					,[
					[
						1,
						[
							2,
							"createSXDXWX"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1107549059038174,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						894468644514437,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										318
									]
								]
,
								[
									7,
									[
										0,
										506
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8853938962073783,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										527
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7042857682759572,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										819
									]
								]
,
								[
									7,
									[
										0,
										312
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3150672170672819,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										920
									]
								]
,
								[
									7,
									[
										0,
										324
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3491806102757424,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1789
									]
								]
,
								[
									7,
									[
										0,
										513
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1879983016237203,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										818
									]
								]
,
								[
									7,
									[
										0,
										471
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5110259470502312,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										814
									]
								]
,
								[
									7,
									[
										0,
										560
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4897778718239244,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2309
									]
								]
,
								[
									7,
									[
										0,
										473
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2251107782526984,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2306
									]
								]
,
								[
									7,
									[
										0,
										557
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3638936413081356,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineZigZag"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2686
									]
								]
,
								[
									7,
									[
										0,
										509
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2855287330900256,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3369
									]
								]
,
								[
									7,
									[
										0,
										509
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "Scene01"],
				false,
				null,
				2904818284917909,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					2904818284917909,
					false
					,[
					[
						1,
						[
							2,
							"Scene01"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7489912151450684,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						1581164415309463,
						false
						,[
						[
							1,
							[
								2,
								"createS1D1W1"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						3888001066911932,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6506824501548373,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineUpRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											527
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3476775667107032,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											819
										]
									]
,
									[
										7,
										[
											0,
											312
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2064541457936069,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineDownRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											920
										]
									]
,
									[
										7,
										[
											0,
											324
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9086530338451267,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1553
										]
									]
,
									[
										7,
										[
											0,
											511
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9650090335893809,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1789
										]
									]
,
									[
										7,
										[
											0,
											513
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7885777055374257,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											818
										]
									]
,
									[
										7,
										[
											0,
											471
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5661119284296718,
							false
							,[
							[
								1,
								[
									2,
									"createEIndianTrap"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											814
										]
									]
,
									[
										7,
										[
											0,
											560
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9886782607332674,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2309
										]
									]
,
									[
										7,
										[
											0,
											473
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							89937766322689,
							false
							,[
							[
								1,
								[
									2,
									"createEIndianTrap"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2306
										]
									]
,
									[
										7,
										[
											0,
											557
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1525652040010488,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineZigZag"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2686
										]
									]
,
									[
										7,
										[
											0,
											509
										]
									]
,
									[
										7,
										[
											0,
											2
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4142116031698292,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3369
										]
									]
,
									[
										7,
										[
											0,
											509
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3343598118206342,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						2949783771617221,
						false
						,[
						[
							1,
							[
								2,
								"createS1D1W2"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						8230366977676036,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4917424696642302,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											318
										]
									]
,
									[
										7,
										[
											0,
											506
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							855494111553851,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											529
										]
									]
,
									[
										7,
										[
											0,
											506
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6743773210125571,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1229
										]
									]
,
									[
										7,
										[
											0,
											506
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2870637782181176,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1762
										]
									]
,
									[
										7,
										[
											0,
											275
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3366671505291679,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2776
										]
									]
,
									[
										7,
										[
											0,
											506
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1098573471448921,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3495
										]
									]
,
									[
										7,
										[
											0,
											506
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1963413053532212,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						4925188349440023,
						false
						,[
						[
							1,
							[
								2,
								"createS1D1W3"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						7208232090977163,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6086930524846792,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineUpRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											527
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2029326567644238,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											819
										]
									]
,
									[
										7,
										[
											0,
											312
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3063612593433182,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineUpRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											918
										]
									]
,
									[
										7,
										[
											0,
											313
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1523914662776608,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1362
										]
									]
,
									[
										7,
										[
											0,
											513
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							616060386631616,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1953
										]
									]
,
									[
										7,
										[
											0,
											368
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7205376814096646,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2527
										]
									]
,
									[
										7,
										[
											0,
											513
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4400485699186949,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											914
										]
									]
,
									[
										7,
										[
											0,
											467
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9954650361022155,
							false
							,[
							[
								1,
								[
									2,
									"createEIndianTrap"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											910
										]
									]
,
									[
										7,
										[
											0,
											556
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							261199983086077,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2112
										]
									]
,
									[
										7,
										[
											0,
											477
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7704205927643296,
							false
							,[
							[
								1,
								[
									2,
									"createEIndianTrap"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2109
										]
									]
,
									[
										7,
										[
											0,
											561
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							955098181649881,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3186
										]
									]
,
									[
										7,
										[
											0,
											477
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1513904411476715,
							false
							,[
							[
								1,
								[
									2,
									"createEIndianTrap"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3183
										]
									]
,
									[
										7,
										[
											0,
											561
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1990227771978867,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3181
										]
									]
,
									[
										7,
										[
											0,
											284
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5593685573213503,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1815
										]
									]
,
									[
										7,
										[
											0,
											426
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							98284356346446,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2401
										]
									]
,
									[
										7,
										[
											0,
											433
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6876769507975701,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						8712302647761701,
						false
						,[
						[
							1,
							[
								2,
								"createS1D1W4"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						2798185060950482,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2465358424926596,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											529
										]
									]
,
									[
										7,
										[
											0,
											511
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8454329468572161,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1943
										]
									]
,
									[
										7,
										[
											0,
											555
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9929838096351592,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1795
										]
									]
,
									[
										7,
										[
											0,
											380
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2930018845115056,
							false
							,[
							[
								1,
								[
									2,
									"createObst10x05"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1948
										]
									]
,
									[
										7,
										[
											0,
											472
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5258229835356991,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2825
										]
									]
,
									[
										7,
										[
											0,
											316
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8152013267858398,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3021
										]
									]
,
									[
										7,
										[
											0,
											408
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6912491166128508,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3663
										]
									]
,
									[
										7,
										[
											0,
											512
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6273201658910537,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3280186980116409,
						false
						,[
						[
							1,
							[
								2,
								"createS1D2W1"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						9466135389182325,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1309491182891892,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineZigZag"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											279
										]
									]
,
									[
										7,
										[
											0,
											525
										]
									]
,
									[
										7,
										[
											0,
											4
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							92486522516823,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1922
										]
									]
,
									[
										7,
										[
											0,
											455
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6416756911774252,
							false
							,[
							[
								1,
								[
									2,
									"createObst1x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1917
										]
									]
,
									[
										7,
										[
											0,
											558
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9581192401214172,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2439
										]
									]
,
									[
										7,
										[
											0,
											504
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7560666668412693,
							false
							,[
							[
								1,
								[
									2,
									"createObst2x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3346
										]
									]
,
									[
										7,
										[
											0,
											531
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4579474760967598,
							false
							,[
							[
								1,
								[
									2,
									"createObst2x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3190
										]
									]
,
									[
										7,
										[
											0,
											531
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5783662086439277,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3270
										]
									]
,
									[
										7,
										[
											0,
											397
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4454326812852663,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2890
										]
									]
,
									[
										7,
										[
											0,
											512
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5278939540653556,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3582
										]
									]
,
									[
										7,
										[
											0,
											520
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4319367750926513,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3586609495499166,
						false
						,[
						[
							1,
							[
								2,
								"createS1D2W2"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						6872576867286626,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5285375963863246,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											716
										]
									]
,
									[
										7,
										[
											0,
											376
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7768126336320323,
							false
							,[
							[
								1,
								[
									2,
									"createObst2x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											713
										]
									]
,
									[
										7,
										[
											0,
											471
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2906577097649788,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1043
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							953819996174249,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1677
										]
									]
,
									[
										7,
										[
											0,
											466
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8550225220673804,
							false
							,[
							[
								1,
								[
									2,
									"createEIndianTrap"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1669
										]
									]
,
									[
										7,
										[
											0,
											558
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							551152973193305,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineUpRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2005
										]
									]
,
									[
										7,
										[
											0,
											528
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4333497045443039,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2483
										]
									]
,
									[
										7,
										[
											0,
											282
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8770571542396983,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineDownRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2761
										]
									]
,
									[
										7,
										[
											0,
											336
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4713944232695266,
							false
							,[
							[
								1,
								[
									2,
									"createObstE1x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3264
										]
									]
,
									[
										7,
										[
											0,
											532
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1983847892381947,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3291
										]
									]
,
									[
										7,
										[
											0,
											421
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1751039830019209,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3635
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1244805821728308,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						76140439856514,
						false
						,[
						[
							1,
							[
								2,
								"createS1D2W3"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						4086623103712047,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							157906457693987,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											645
										]
									]
,
									[
										7,
										[
											0,
											427
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3748060185092327,
							false
							,[
							[
								1,
								[
									2,
									"createObstE1x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											616
										]
									]
,
									[
										7,
										[
											0,
											534
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1219370320964738,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											807
										]
									]
,
									[
										7,
										[
											0,
											515
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1311310722124115,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1528
										]
									]
,
									[
										7,
										[
											0,
											230
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2344483751325957,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineDownRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1647
										]
									]
,
									[
										7,
										[
											0,
											323
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1412935947126934,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineUpRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2236
										]
									]
,
									[
										7,
										[
											0,
											526
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5278959808634957,
							false
							,[
							[
								1,
								[
									2,
									"createObst10x05"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2763
										]
									]
,
									[
										7,
										[
											0,
											465
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9591947734667595,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineDownRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3088
										]
									]
,
									[
										7,
										[
											0,
											338
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6565274251084156,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3460
										]
									]
,
									[
										7,
										[
											0,
											515
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1259073192267741,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3680
										]
									]
,
									[
										7,
										[
											0,
											428
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9883825484529424,
							false
							,[
							[
								1,
								[
									2,
									"createObstE1x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3651
										]
									]
,
									[
										7,
										[
											0,
											535
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6755886957958458,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2761
										]
									]
,
									[
										7,
										[
											0,
											362
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5483566591634047,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						2000363876375097,
						false
						,[
						[
							1,
							[
								2,
								"createS1D2W4"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						3967818902827794,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4947832956873245,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											230
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											6
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7180492715549967,
							false
							,[
							[
								1,
								[
									2,
									"createObst1x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1154
										]
									]
,
									[
										7,
										[
											0,
											559
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1126526430737071,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1158
										]
									]
,
									[
										7,
										[
											0,
											468
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3106238870089293,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1401
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1360785619979906,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1983
										]
									]
,
									[
										7,
										[
											0,
											466
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							991233108342252,
							false
							,[
							[
								1,
								[
									2,
									"createEIndianTrap"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1975
										]
									]
,
									[
										7,
										[
											0,
											558
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5014025753744975,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2429
										]
									]
,
									[
										7,
										[
											0,
											424
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4758516087445212,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2831
										]
									]
,
									[
										7,
										[
											0,
											465
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7982922356011337,
							false
							,[
							[
								1,
								[
									2,
									"createEIndianTrap"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2823
										]
									]
,
									[
										7,
										[
											0,
											557
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7253018837219635,
							false
							,[
							[
								1,
								[
									2,
									"createObst2x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3323
										]
									]
,
									[
										7,
										[
											0,
											374
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9022562277870802,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3327
										]
									]
,
									[
										7,
										[
											0,
											294
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3704241108036041,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						2731870520529051,
						false
						,[
						[
							1,
							[
								2,
								"createS1D3W1"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						6149617668858661,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6417153825974359,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											579
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4947412921873672,
							false
							,[
							[
								1,
								[
									2,
									"createObst1x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1861
										]
									]
,
									[
										7,
										[
											0,
											446
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5472681732546277,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1862
										]
									]
,
									[
										7,
										[
											0,
											287
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9558512843387068,
							false
							,[
							[
								1,
								[
									2,
									"createObst1x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2609
										]
									]
,
									[
										7,
										[
											0,
											559
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1764793190536698,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineUpRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2990
										]
									]
,
									[
										7,
										[
											0,
											450
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4610726153250115,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3358
										]
									]
,
									[
										7,
										[
											0,
											425
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5055421554319202,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3357
										]
									]
,
									[
										7,
										[
											0,
											170
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4294705406555009,
							false
							,[
							[
								1,
								[
									2,
									"createObstE1x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3333
										]
									]
,
									[
										7,
										[
											0,
											535
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2759519354038151,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineDownRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3578
										]
									]
,
									[
										7,
										[
											0,
											260
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							471600700969567,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2607
										]
									]
,
									[
										7,
										[
											0,
											435
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					100726192227063,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						6533199779797316,
						false
						,[
						[
							1,
							[
								2,
								"createS1D3W2"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						9685199458438979,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7948655240437911,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1026
										]
									]
,
									[
										7,
										[
											0,
											422
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7967730134481536,
							false
							,[
							[
								1,
								[
									2,
									"createObstE1x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											994
										]
									]
,
									[
										7,
										[
											0,
											532
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4369921204936176,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1030
										]
									]
,
									[
										7,
										[
											0,
											300
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6057163743960405,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1311
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											6
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9898935532365159,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2236
										]
									]
,
									[
										7,
										[
											0,
											420
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9377405318034952,
							false
							,[
							[
								1,
								[
									2,
									"createObstE1x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2211
										]
									]
,
									[
										7,
										[
											0,
											530
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4989728240233757,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2241
										]
									]
,
									[
										7,
										[
											0,
											300
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1150405441855218,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2504
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											6
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6024679182724217,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3365
										]
									]
,
									[
										7,
										[
											0,
											423
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8620818342890814,
							false
							,[
							[
								1,
								[
									2,
									"createObstE1x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3340
										]
									]
,
									[
										7,
										[
											0,
											533
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8126374523956189,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3359
										]
									]
,
									[
										7,
										[
											0,
											300
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6543231497684198,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						4602637309743474,
						false
						,[
						[
							1,
							[
								2,
								"createS1D3W3"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						74633157075766,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1263110179231244,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											511
										]
									]
,
									[
										7,
										[
											0,
											444
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1088528021805303,
							false
							,[
							[
								1,
								[
									2,
									"createEDevilsRope"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											478
										]
									]
,
									[
										7,
										[
											0,
											542
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3504648028640444,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											806
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							277051815437232,
							false
							,[
							[
								1,
								[
									2,
									"createObst1x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1444
										]
									]
,
									[
										7,
										[
											0,
											558
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4181914505597277,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1679
										]
									]
,
									[
										7,
										[
											0,
											318
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2873789191347545,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLineUpRight"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2458
										]
									]
,
									[
										7,
										[
											0,
											414
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2081866570603351,
							false
							,[
							[
								1,
								[
									2,
									"createObst1x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1906
										]
									]
,
									[
										7,
										[
											0,
											558
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6367033377803522,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2916
										]
									]
,
									[
										7,
										[
											0,
											181
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3405035301302042,
							false
							,[
							[
								1,
								[
									2,
									"createObst2x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2911
										]
									]
,
									[
										7,
										[
											0,
											276
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5051131822446516,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3455
										]
									]
,
									[
										7,
										[
											0,
											423
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9158925667967919,
							false
							,[
							[
								1,
								[
									2,
									"createObstE1x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3425
										]
									]
,
									[
										7,
										[
											0,
											533
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8256802237699941,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3638406600904085,
						false
						,[
						[
							1,
							[
								2,
								"createS1D3W4"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						7593005995032111,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1936099085373743,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											580
										]
									]
,
									[
										7,
										[
											0,
											444
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6673409273829606,
							false
							,[
							[
								1,
								[
									2,
									"createEDevilsRope"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											547
										]
									]
,
									[
										7,
										[
											0,
											542
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9915638717469145,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											758
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9585556995247861,
							false
							,[
							[
								1,
								[
									2,
									"createObst1x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1233
										]
									]
,
									[
										7,
										[
											0,
											558
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4265677469990381,
							false
							,[
							[
								1,
								[
									2,
									"createObst1x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											1777
										]
									]
,
									[
										7,
										[
											0,
											558
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1006446803136623,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2217
										]
									]
,
									[
										7,
										[
											0,
											221
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2430305915463005,
							false
							,[
							[
								1,
								[
									2,
									"createObst2x1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2226
										]
									]
,
									[
										7,
										[
											0,
											333
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3621199435752523,
							false
							,[
							[
								1,
								[
									2,
									"createObst2x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2706
										]
									]
,
									[
										7,
										[
											0,
											529
										]
									]
,
									[
										7,
										[
											2,
											"moveUp"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3120943626603024,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2878
										]
									]
,
									[
										7,
										[
											0,
											526
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							438751721038117,
							false
							,[
							[
								1,
								[
									2,
									"makeCoinLine"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											2985
										]
									]
,
									[
										7,
										[
											0,
											518
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							124052321887028,
							false
							,[
							[
								1,
								[
									2,
									"createDanger"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3455
										]
									]
,
									[
										7,
										[
											0,
											423
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							254108763320292,
							false
							,[
							[
								1,
								[
									2,
									"createObstE1x2"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3425
										]
									]
,
									[
										7,
										[
											0,
											533
										]
									]
,
									[
										7,
										[
											2,
											"damage"
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8297542757893807,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC1"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											3582
										]
									]
,
									[
										7,
										[
											0,
											519
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8413272383794165,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						9603225761768338,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						7812189787265081,
						[
						[
							-1,
							cr.system_object.prototype.cnds.For,
							null,
							0,
							true,
							false,
							false,
							4169870037125701,
							false
							,[
							[
								1,
								[
									2,
									"Coins"
								]
							]
,							[
								0,
								[
									0,
									0
								]
							]
,							[
								0,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6225564266530239,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC2"
								]
							]
,							[
								13,
																	[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											,[
												6,
												[
													0,
													105
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
,
									[
										7,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9993704003316184,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						8807053116449023,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						8592341375847054,
						[
						[
							-1,
							cr.system_object.prototype.cnds.For,
							null,
							0,
							true,
							false,
							false,
							3411704779651465,
							false
							,[
							[
								1,
								[
									2,
									"Coins"
								]
							]
,							[
								0,
								[
									0,
									0
								]
							]
,							[
								0,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8057994681149643,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC2"
								]
							]
,							[
								13,
																	[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											,[
												6,
												[
													0,
													65
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
,
									[
										7,
										[
											5,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													1
												]
												]
											]
											,[
												6,
												[
													0,
													65
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6834687292470785,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3598252645519209,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						245616174343311,
						[
						[
							-1,
							cr.system_object.prototype.cnds.For,
							null,
							0,
							true,
							false,
							false,
							1312362178380139,
							false
							,[
							[
								1,
								[
									2,
									"Coins"
								]
							]
,							[
								0,
								[
									0,
									0
								]
							]
,							[
								0,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9346208126114657,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC2"
								]
							]
,							[
								13,
																	[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											,[
												6,
												[
													0,
													65
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													1
												]
												]
											]
											,[
												6,
												[
													0,
													65
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7911433460345962,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5796064426320688,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineZigZag"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						4206243718740603,
						[
						[
							-1,
							cr.system_object.prototype.cnds.For,
							null,
							0,
							true,
							false,
							false,
							4222952340021631,
							false
							,[
							[
								1,
								[
									2,
									"Coins"
								]
							]
,							[
								0,
								[
									0,
									0
								]
							]
,							[
								0,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5851538440372519,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC2"
								]
							]
,							[
								13,
																	[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											,[
												6,
												[
													0,
													230
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													1
												]
												]
											]
											,[
												0,
												0
											]
										]
									]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3319238623181489,
							false
							,[
							[
								1,
								[
									2,
									"createPickupC2"
								]
							]
,							[
								13,
																	[
										7,
										[
											4,
											[
												4,
												[
													20,
													185,
													cr.plugins_.Function.prototype.exps.Param,
													false,
													null
													,[
[
														0,
														0
													]
													]
												]
												,[
													0,
													115
												]
											]
											,[
												6,
												[
													0,
													240
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													1
												]
												]
											]
											,[
												0,
												-100
											]
										]
									]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "Scene02"],
				false,
				null,
				2351072491861131,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					2351072491861131,
					false
					,[
					[
						1,
						[
							2,
							"Scene02"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9460666022745875,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						1750818095158784,
						false
						,[
						[
							1,
							[
								2,
								"createS2D1W1"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4671037859064161,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										308
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4520357030593068,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1347
									]
								]
,
								[
									7,
									[
										0,
										482
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3496902851453917,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1359
									]
								]
,
								[
									7,
									[
										0,
										377
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						866645046073206,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2088
									]
								]
,
								[
									7,
									[
										0,
										242
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8323278600407753,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2087
									]
								]
,
								[
									7,
									[
										0,
										136
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8654679811635929,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2778
									]
								]
,
								[
									7,
									[
										0,
										459
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9896876627126358,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2769
									]
								]
,
								[
									7,
									[
										0,
										556
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6688080432798293,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2895
									]
								]
,
								[
									7,
									[
										0,
										261
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3792320797385219,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3150
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6621433146549268,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2820
									]
								]
,
								[
									7,
									[
										0,
										200
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3941452807030941,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						7449216797808654,
						false
						,[
						[
							1,
							[
								2,
								"createS2D1W2"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6257017784490615,
						false
						,[
						[
							1,
							[
								2,
								"createEDevilsRope"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										336
									]
								]
,
								[
									7,
									[
										0,
										540
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1961099146260511,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										364
									]
								]
,
								[
									7,
									[
										0,
										429
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4717364335868564,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										598
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										6
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2488837000106369,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1444
									]
								]
,
								[
									7,
									[
										0,
										390
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3309722735699667,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1438
									]
								]
,
								[
									7,
									[
										0,
										524
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8714214163762999,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1884
									]
								]
,
								[
									7,
									[
										0,
										541
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7440157558402696,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1880
									]
								]
,
								[
									7,
									[
										0,
										427
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2545229447204968,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2353
									]
								]
,
								[
									7,
									[
										0,
										387
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9897595534859357,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2354
									]
								]
,
								[
									7,
									[
										0,
										524
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7716041844937389,
						false
						,[
						[
							1,
							[
								2,
								"createEDevilsRope"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2998
									]
								]
,
								[
									7,
									[
										0,
										545
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5152432453994968,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3026
									]
								]
,
								[
									7,
									[
										0,
										434
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					658309392066897,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						9362573483500286,
						false
						,[
						[
							1,
							[
								2,
								"createS2D1W3"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1356853683926847,
						false
						,[
						[
							1,
							[
								2,
								"createEDevilsRope"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										336
									]
								]
,
								[
									7,
									[
										0,
										540
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						645232129021351,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										364
									]
								]
,
								[
									7,
									[
										0,
										429
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6664207415058711,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										984
									]
								]
,
								[
									7,
									[
										0,
										506
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						691324666119903,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1441
									]
								]
,
								[
									7,
									[
										0,
										379
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8245371994809064,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1426
									]
								]
,
								[
									7,
									[
										0,
										461
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6311023288698925,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1838
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1289860336269571,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2546
									]
								]
,
								[
									7,
									[
										0,
										459
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2920391189128651,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2545
									]
								]
,
								[
									7,
									[
										0,
										541
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9851614481947933,
						false
						,[
						[
							1,
							[
								2,
								"createEDevilsRope"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2998
									]
								]
,
								[
									7,
									[
										0,
										545
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4004720670268502,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3026
									]
								]
,
								[
									7,
									[
										0,
										434
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8221772500754945,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3236
									]
								]
,
								[
									7,
									[
										0,
										330
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						920429840724696,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3166
									]
								]
,
								[
									7,
									[
										0,
										270
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					483345066496471,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						1119997381773084,
						false
						,[
						[
							1,
							[
								2,
								"createS2D1W4"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6621443871047381,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										963
									]
								]
,
								[
									7,
									[
										0,
										520
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7547560459491221,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1258
									]
								]
,
								[
									7,
									[
										0,
										520
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6569810599820768,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1537
									]
								]
,
								[
									7,
									[
										0,
										520
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1638087579190271,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2090
									]
								]
,
								[
									7,
									[
										0,
										556
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5788966752627061,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2318
									]
								]
,
								[
									7,
									[
										0,
										557
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5014438212400275,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2202
									]
								]
,
								[
									7,
									[
										0,
										552
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1507991023058985,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2128
									]
								]
,
								[
									7,
									[
										0,
										485
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9743512525285347,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2276
									]
								]
,
								[
									7,
									[
										0,
										485
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3794120734746048,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2762
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										6
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7935305062120322,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3725
									]
								]
,
								[
									7,
									[
										0,
										432
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3781987591018887,
						false
						,[
						[
							1,
							[
								2,
								"createEDevilsRope"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3695
									]
								]
,
								[
									7,
									[
										0,
										544
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					989501060714375,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5721921924881821,
						false
						,[
						[
							1,
							[
								2,
								"createS2D2W1"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1844654489528898,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1309
									]
								]
,
								[
									7,
									[
										0,
										367
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2891913761171159,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1289
									]
								]
,
								[
									7,
									[
										0,
										465
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						966247134968516,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1683
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4019870888654625,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2160
									]
								]
,
								[
									7,
									[
										0,
										559
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9431799219955957,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2388
									]
								]
,
								[
									7,
									[
										0,
										560
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1732616286423829,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2272
									]
								]
,
								[
									7,
									[
										0,
										555
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8500381525468906,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2198
									]
								]
,
								[
									7,
									[
										0,
										488
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1007243538641451,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2346
									]
								]
,
								[
									7,
									[
										0,
										488
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8781080771478792,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2637
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8157222804616647,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3336
									]
								]
,
								[
									7,
									[
										0,
										545
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2071184939095052,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3336
									]
								]
,
								[
									7,
									[
										0,
										465
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1777665687509888,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						6747220835494521,
						false
						,[
						[
							1,
							[
								2,
								"createS2D2W2"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						358358901505673,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1313
									]
								]
,
								[
									7,
									[
										0,
										369
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1710206120934872,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										732
									]
								]
,
								[
									7,
									[
										0,
										470
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9855094607954564,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1840
									]
								]
,
								[
									7,
									[
										0,
										199
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9294604567383247,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2301
									]
								]
,
								[
									7,
									[
										0,
										368
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3541913641513161,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2200
									]
								]
,
								[
									7,
									[
										0,
										473
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6654112960198975,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1744
									]
								]
,
								[
									7,
									[
										0,
										473
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6198614603766527,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1289
									]
								]
,
								[
									7,
									[
										0,
										473
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9662596800233971,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1842
									]
								]
,
								[
									7,
									[
										0,
										316
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1999846192159115,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2670
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8870029491335478,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3244
									]
								]
,
								[
									7,
									[
										0,
										463
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1399882197487063,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3232
									]
								]
,
								[
									7,
									[
										0,
										561
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2803175838265242,
						false
						,[
						[
							1,
							[
								2,
								"createERock"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										7400
									]
								]
,
								[
									7,
									[
										0,
										541
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9500220170550908,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5672705742850359,
						false
						,[
						[
							1,
							[
								2,
								"createS2D2W3"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7808011518702885,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										638
									]
								]
,
								[
									7,
									[
										0,
										383
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1170061679299366,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1662
									]
								]
,
								[
									7,
									[
										0,
										383
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5806402772603126,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2640
									]
								]
,
								[
									7,
									[
										0,
										376
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1364798216815228,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1186
									]
								]
,
								[
									7,
									[
										0,
										499
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1291993788918275,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2199
									]
								]
,
								[
									7,
									[
										0,
										499
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						975594145707155,
						false
						,[
						[
							1,
							[
								2,
								"createERock"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										7400
									]
								]
,
								[
									7,
									[
										0,
										541
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8319829028407115,
						false
						,[
						[
							1,
							[
								2,
								"createERock"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										5500
									]
								]
,
								[
									7,
									[
										0,
										541
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3189753897916262,
						false
						,[
						[
							1,
							[
								2,
								"createERock"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2800
									]
								]
,
								[
									7,
									[
										0,
										541
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1864354303856621,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2670
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					596192244399678,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						8683289364569543,
						false
						,[
						[
							1,
							[
								2,
								"createS2D2W4"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3342492732866504,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										578
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2737004426861848,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2323
									]
								]
,
								[
									7,
									[
										0,
										442
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6067375338205763,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2323
									]
								]
,
								[
									7,
									[
										0,
										315
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3965916511003893,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2057
									]
								]
,
								[
									7,
									[
										0,
										473
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8399123461480977,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2053
									]
								]
,
								[
									7,
									[
										0,
										284
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2202918846235708,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1793
									]
								]
,
								[
									7,
									[
										0,
										442
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9007127158391804,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1792
									]
								]
,
								[
									7,
									[
										0,
										315
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9036756469726147,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1972
									]
								]
,
								[
									7,
									[
										0,
										376
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						777039074707058,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2063
									]
								]
,
								[
									7,
									[
										0,
										376
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6052711803403822,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2154
									]
								]
,
								[
									7,
									[
										0,
										376
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4409296941098813,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1968
									]
								]
,
								[
									7,
									[
										0,
										553
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4102453171095703,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2490
									]
								]
,
								[
									7,
									[
										0,
										385
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2321959827818536,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3337
									]
								]
,
								[
									7,
									[
										0,
										513
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4918352078740039,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2986
									]
								]
,
								[
									7,
									[
										0,
										455
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2600206899340447,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2976
									]
								]
,
								[
									7,
									[
										0,
										559
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3582059288472321,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3678
									]
								]
,
								[
									7,
									[
										0,
										428
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1272505991105079,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3646
									]
								]
,
								[
									7,
									[
										0,
										536
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1310100658323029,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						4464313385407825,
						false
						,[
						[
							1,
							[
								2,
								"createS2D3W1"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5651284347378235,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										609
									]
								]
,
								[
									7,
									[
										0,
										558
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3586738493646116,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										464
									]
								]
,
								[
									7,
									[
										0,
										462
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3247865217903496,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1442
									]
								]
,
								[
									7,
									[
										0,
										376
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5284723707251808,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2156
									]
								]
,
								[
									7,
									[
										0,
										217
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3165871751747827,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1292
									]
								]
,
								[
									7,
									[
										0,
										282
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9682385546806465,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2174
									]
								]
,
								[
									7,
									[
										0,
										470
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9593481488259044,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2162
									]
								]
,
								[
									7,
									[
										0,
										558
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9138854694809871,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2115
									]
								]
,
								[
									7,
									[
										0,
										84
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8553259009638959,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3142
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3757875810096442,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3597
									]
								]
,
								[
									7,
									[
										0,
										303
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1702769215141667,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						4621692022617983,
						false
						,[
						[
							1,
							[
								2,
								"createS2D3W2"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5547381433233208,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										674
									]
								]
,
								[
									7,
									[
										0,
										303
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						657645299996392,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										552
									]
								]
,
								[
									7,
									[
										0,
										473
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7540312164816277,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										542
									]
								]
,
								[
									7,
									[
										0,
										558
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4549491573231476,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										753
									]
								]
,
								[
									7,
									[
										0,
										367
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9121402265977849,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1851
									]
								]
,
								[
									7,
									[
										0,
										469
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6543627841001399,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1395
									]
								]
,
								[
									7,
									[
										0,
										469
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2677044124503409,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1497
									]
								]
,
								[
									7,
									[
										0,
										546
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						396399375706458,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1235
									]
								]
,
								[
									7,
									[
										0,
										546
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						674096676077286,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2287
									]
								]
,
								[
									7,
									[
										0,
										502
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8617787318652444,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3256
									]
								]
,
								[
									7,
									[
										0,
										466
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9152011320291552,
						false
						,[
						[
							1,
							[
								2,
								"createWood6x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2801
									]
								]
,
								[
									7,
									[
										0,
										466
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6091639610153693,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2843
									]
								]
,
								[
									7,
									[
										0,
										377
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8274500357670019,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2648
									]
								]
,
								[
									7,
									[
										0,
										381
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6629965976479105,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3385
									]
								]
,
								[
									7,
									[
										0,
										312
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7522126544644687,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3373
									]
								]
,
								[
									7,
									[
										0,
										400
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2279713898532302,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3395557280496255,
						false
						,[
						[
							1,
							[
								2,
								"createS2D3W3"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1218404494238093,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										100
									]
								]
,
								[
									7,
									[
										0,
										507
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4000596406472875,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										410
									]
								]
,
								[
									7,
									[
										0,
										380
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2646712179556889,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										711
									]
								]
,
								[
									7,
									[
										0,
										524
									]
								]
,
								[
									7,
									[
										0,
										6
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2319419741934733,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1619
									]
								]
,
								[
									7,
									[
										0,
										528
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2179585370221328,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1623
									]
								]
,
								[
									7,
									[
										0,
										391
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						47086348266589,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1985
									]
								]
,
								[
									7,
									[
										0,
										427
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9955265709514511,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1955
									]
								]
,
								[
									7,
									[
										0,
										536
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6641374162458727,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2355
									]
								]
,
								[
									7,
									[
										0,
										527
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2975456004296998,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2724
									]
								]
,
								[
									7,
									[
										0,
										428
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2683794144550942,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2694
									]
								]
,
								[
									7,
									[
										0,
										537
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1976885869541024,
						false
						,[
						[
							1,
							[
								2,
								"createWood1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3080
									]
								]
,
								[
									7,
									[
										0,
										529
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9957294566809301,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3080
									]
								]
,
								[
									7,
									[
										0,
										394
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2170884884893765,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5275892115446075,
						false
						,[
						[
							1,
							[
								2,
								"createS2D3W4"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4104344408048946,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										76
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8645621211762925,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										688
									]
								]
,
								[
									7,
									[
										0,
										458
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8762246211373014,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1576
									]
								]
,
								[
									7,
									[
										0,
										341
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8541940888745485,
						false
						,[
						[
							1,
							[
								2,
								"createWood2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2306
									]
								]
,
								[
									7,
									[
										0,
										458
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2922753969009378,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1573
									]
								]
,
								[
									7,
									[
										0,
										424
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8536531660077017,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1543
									]
								]
,
								[
									7,
									[
										0,
										533
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5944720539773151,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										694
									]
								]
,
								[
									7,
									[
										0,
										362
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1204959239479781,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1581
									]
								]
,
								[
									7,
									[
										0,
										238
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5949497396217367,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2310
									]
								]
,
								[
									7,
									[
										0,
										362
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8678482083737706,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2973
									]
								]
,
								[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										6
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1411127597722991,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2556
									]
								]
,
								[
									7,
									[
										0,
										432
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4924946270716684,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2526
									]
								]
,
								[
									7,
									[
										0,
										541
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "Scene03"],
				false,
				null,
				6737306993516026,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					6737306993516026,
					false
					,[
					[
						1,
						[
							2,
							"Scene03"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4693432468871309,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						550529196182396,
						false
						,[
						[
							1,
							[
								2,
								"createS3D1W1"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5359076980764047,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										594
									]
								]
,
								[
									7,
									[
										0,
										462
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9244871450150909,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										588
									]
								]
,
								[
									7,
									[
										0,
										557
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9471175846628109,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										901
									]
								]
,
								[
									7,
									[
										0,
										477
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7551130340390603,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										893
									]
								]
,
								[
									7,
									[
										0,
										392
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7962181130704362,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1001
									]
								]
,
								[
									7,
									[
										0,
										255
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9884171135802856,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1520
									]
								]
,
								[
									7,
									[
										0,
										190
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3720680018637001,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1866
									]
								]
,
								[
									7,
									[
										0,
										190
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						140623620286248,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1575
									]
								]
,
								[
									7,
									[
										0,
										103
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9106330030362757,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1807
									]
								]
,
								[
									7,
									[
										0,
										27
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1301415046078949,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1793
									]
								]
,
								[
									7,
									[
										0,
										122
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7031352149835184,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1673
									]
								]
,
								[
									7,
									[
										0,
										495
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5325347932611319,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1659
									]
								]
,
								[
									7,
									[
										0,
										554
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5894718864452497,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2429
									]
								]
,
								[
									7,
									[
										0,
										399
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3403259840079633,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2300
									]
								]
,
								[
									7,
									[
										0,
										493
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7896024722680438,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2721
									]
								]
,
								[
									7,
									[
										0,
										464
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4306088037088715,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2707
									]
								]
,
								[
									7,
									[
										0,
										559
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6538482558800679,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3713
									]
								]
,
								[
									7,
									[
										0,
										426
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6910417457623894,
						false
						,[
						[
							1,
							[
								2,
								"createEDevilsRope"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3680
									]
								]
,
								[
									7,
									[
										0,
										544
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1019042757679241,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2543
									]
								]
,
								[
									7,
									[
										0,
										272
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5152937861856339,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						1252143393179769,
						false
						,[
						[
							1,
							[
								2,
								"createS3D1W2"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9974852869131778,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										185
									]
								]
,
								[
									7,
									[
										0,
										429
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						98202291347304,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										154
									]
								]
,
								[
									7,
									[
										0,
										536
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6868165334088416,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										555
									]
								]
,
								[
									7,
									[
										0,
										504
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8589130072862587,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										684
									]
								]
,
								[
									7,
									[
										0,
										380
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7646845864182855,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										960
									]
								]
,
								[
									7,
									[
										0,
										429
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2375566267528455,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										929
									]
								]
,
								[
									7,
									[
										0,
										536
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6604762736820518,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1080
									]
								]
,
								[
									7,
									[
										0,
										238
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3255745759978127,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1315
									]
								]
,
								[
									7,
									[
										0,
										503
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9027825109643772,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2149
									]
								]
,
								[
									7,
									[
										0,
										464
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9599942855069748,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2284
									]
								]
,
								[
									7,
									[
										0,
										366
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6520201202359093,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2011
									]
								]
,
								[
									7,
									[
										0,
										366
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3421256135963555,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2149
									]
								]
,
								[
									7,
									[
										0,
										270
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6810161795211435,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2105
									]
								]
,
								[
									7,
									[
										0,
										366
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5674359462068132,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2185
									]
								]
,
								[
									7,
									[
										0,
										366
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4255421184513604,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2824
									]
								]
,
								[
									7,
									[
										0,
										463
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4095205211657702,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2822
									]
								]
,
								[
									7,
									[
										0,
										362
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4607477624079152,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3453
									]
								]
,
								[
									7,
									[
										0,
										320
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6569980320768734,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3297
									]
								]
,
								[
									7,
									[
										0,
										430
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2882793403611451,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3266
									]
								]
,
								[
									7,
									[
										0,
										537
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8238624980413901,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						2377151497262567,
						false
						,[
						[
							1,
							[
								2,
								"createS3D1W3"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5589099747743279,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										351
									]
								]
,
								[
									7,
									[
										0,
										474
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1675057823652639,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										349
									]
								]
,
								[
									7,
									[
										0,
										386
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9111470031427356,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										830
									]
								]
,
								[
									7,
									[
										0,
										328
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						667171855663087,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										820
									]
								]
,
								[
									7,
									[
										0,
										238
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9045846103270816,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1369
									]
								]
,
								[
									7,
									[
										0,
										200
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3825365488473336,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1363
									]
								]
,
								[
									7,
									[
										0,
										115
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8746939316799024,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1887
									]
								]
,
								[
									7,
									[
										0,
										70
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2232291256129076,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1887
									]
								]
,
								[
									7,
									[
										0,
										-27
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1721000473373092,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2505
									]
								]
,
								[
									7,
									[
										0,
										188
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						568482395422404,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2502
									]
								]
,
								[
									7,
									[
										0,
										107
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1956232204723805,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3124
									]
								]
,
								[
									7,
									[
										0,
										342
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2722828884531063,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3119
									]
								]
,
								[
									7,
									[
										0,
										257
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						467301859819695,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3702
									]
								]
,
								[
									7,
									[
										0,
										474
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						95511107520343,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3696
									]
								]
,
								[
									7,
									[
										0,
										392
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9262260715953009,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1880
									]
								]
,
								[
									7,
									[
										0,
										432
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5205895855450733,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1849
									]
								]
,
								[
									7,
									[
										0,
										539
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9284585381248343,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5861037767143642,
						false
						,[
						[
							1,
							[
								2,
								"createS3D1W4"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6592191046251085,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										462
									]
								]
,
								[
									7,
									[
										0,
										428
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1831834505068469,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										431
									]
								]
,
								[
									7,
									[
										0,
										535
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5016919293691199,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1072
									]
								]
,
								[
									7,
									[
										0,
										495
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						863895557223409,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1645
									]
								]
,
								[
									7,
									[
										0,
										336
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9430094679637403,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1657
									]
								]
,
								[
									7,
									[
										0,
										242
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3065684540941096,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2178
									]
								]
,
								[
									7,
									[
										0,
										337
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1437937889331809,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2190
									]
								]
,
								[
									7,
									[
										0,
										243
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7079688474889348,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2703
									]
								]
,
								[
									7,
									[
										0,
										340
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2155747739579188,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2715
									]
								]
,
								[
									7,
									[
										0,
										246
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7430526408593129,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3038
									]
								]
,
								[
									7,
									[
										0,
										219
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3331536778642439,
						false
						,[
						[
							1,
							[
								2,
								"createERock"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										4000
									]
								]
,
								[
									7,
									[
										0,
										543
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3483040262992841,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3542958550695311,
						false
						,[
						[
							1,
							[
								2,
								"createS3D2W1"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4377106322442185,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										649
									]
								]
,
								[
									7,
									[
										0,
										430
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8337089005227785,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										618
									]
								]
,
								[
									7,
									[
										0,
										537
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7183025747556863,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										983
									]
								]
,
								[
									7,
									[
										0,
										514
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5947228349815811,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1647
									]
								]
,
								[
									7,
									[
										0,
										328
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3302239041838802,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1645
									]
								]
,
								[
									7,
									[
										0,
										419
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7657685835409244,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2181
									]
								]
,
								[
									7,
									[
										0,
										187
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2484035170487089,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2178
									]
								]
,
								[
									7,
									[
										0,
										280
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9196532274351117,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2709
									]
								]
,
								[
									7,
									[
										0,
										71
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1338629402256032,
						false
						,[
						[
							1,
							[
								2,
								"createMetal2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2703
									]
								]
,
								[
									7,
									[
										0,
										161
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2430005783692607,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3197
									]
								]
,
								[
									7,
									[
										0,
										405
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9485963545144288,
						false
						,[
						[
							1,
							[
								2,
								"createMetal3x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3191
									]
								]
,
								[
									7,
									[
										0,
										527
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9291567425738435,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3493
									]
								]
,
								[
									7,
									[
										0,
										522
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5655986892460713,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3667976711789017,
						false
						,[
						[
							1,
							[
								2,
								"createS3D2W2"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4044962360320683,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										408
									]
								]
,
								[
									7,
									[
										0,
										456
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2113923843226213,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										404
									]
								]
,
								[
									7,
									[
										0,
										537
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4093691355521904,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										861
									]
								]
,
								[
									7,
									[
										0,
										423
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1296914035069451,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2376
									]
								]
,
								[
									7,
									[
										0,
										360
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						211559250778748,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2034
									]
								]
,
								[
									7,
									[
										0,
										360
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6958453398292798,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1688
									]
								]
,
								[
									7,
									[
										0,
										360
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2445958340122464,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1342
									]
								]
,
								[
									7,
									[
										0,
										360
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7982300891279452,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1727
									]
								]
,
								[
									7,
									[
										0,
										266
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9416236063744721,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1851
									]
								]
,
								[
									7,
									[
										0,
										266
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9709811482357292,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1966
									]
								]
,
								[
									7,
									[
										0,
										266
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8650930142612519,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1489
									]
								]
,
								[
									7,
									[
										0,
										186
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9990931143646603,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1477
									]
								]
,
								[
									7,
									[
										0,
										289
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5298217254890151,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2259
									]
								]
,
								[
									7,
									[
										0,
										186
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7057602279672389,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2247
									]
								]
,
								[
									7,
									[
										0,
										289
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1888189618555069,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2690
									]
								]
,
								[
									7,
									[
										0,
										301
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3392689062066986,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3294
									]
								]
,
								[
									7,
									[
										0,
										457
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7589384247697449,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3290
									]
								]
,
								[
									7,
									[
										0,
										538
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6467379889134012,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5883233180434099,
						false
						,[
						[
							1,
							[
								2,
								"createS3D2W3"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7154592164346874,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										384
									]
								]
,
								[
									7,
									[
										0,
										504
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2532582698981128,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1007
									]
								]
,
								[
									7,
									[
										0,
										427
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2742313288862368,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2034
									]
								]
,
								[
									7,
									[
										0,
										359
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8393767370804262,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1688
									]
								]
,
								[
									7,
									[
										0,
										358
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8047541089371228,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1861
									]
								]
,
								[
									7,
									[
										0,
										189
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6062777354286588,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1849
									]
								]
,
								[
									7,
									[
										0,
										292
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8397214714912099,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1618
									]
								]
,
								[
									7,
									[
										0,
										250
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6009544726535821,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1865
									]
								]
,
								[
									7,
									[
										0,
										9
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2220863389486183,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2097
									]
								]
,
								[
									7,
									[
										0,
										255
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1807247908929468,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3033
									]
								]
,
								[
									7,
									[
										0,
										456
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2727412770297167,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3021
									]
								]
,
								[
									7,
									[
										0,
										559
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2322929558566237,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2504
									]
								]
,
								[
									7,
									[
										0,
										283
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9191207144986736,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3385
									]
								]
,
								[
									7,
									[
										0,
										510
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6307792916318926,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						4410841366170752,
						false
						,[
						[
							1,
							[
								2,
								"createS3D2W4"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						982446698372636,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										372
									]
								]
,
								[
									7,
									[
										0,
										469
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2759757640618825,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										367
									]
								]
,
								[
									7,
									[
										0,
										561
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1193444903461671,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1183
									]
								]
,
								[
									7,
									[
										0,
										409
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						103106109094445,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1029
									]
								]
,
								[
									7,
									[
										0,
										309
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8133638700815646,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1664
									]
								]
,
								[
									7,
									[
										0,
										253
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						193446672458638,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1674
									]
								]
,
								[
									7,
									[
										0,
										161
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2084108982279996,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2221
									]
								]
,
								[
									7,
									[
										0,
										87
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9428808584925551,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2566
									]
								]
,
								[
									7,
									[
										0,
										87
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8173603975949335,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2911
									]
								]
,
								[
									7,
									[
										0,
										87
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6096487316109452,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2372
									]
								]
,
								[
									7,
									[
										0,
										-9
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3698683645352288,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2463
									]
								]
,
								[
									7,
									[
										0,
										-9
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9249107237031416,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2843
									]
								]
,
								[
									7,
									[
										0,
										-9
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6827999323840638,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3127
									]
								]
,
								[
									7,
									[
										0,
										468
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9591571572738583,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3118
									]
								]
,
								[
									7,
									[
										0,
										561
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3689247217406416,
						false
						,[
						[
							1,
							[
								2,
								"createERock"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										4500
									]
								]
,
								[
									7,
									[
										0,
										540
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4386780942589682,
						false
						,[
						[
							1,
							[
								2,
								"createERock"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										5300
									]
								]
,
								[
									7,
									[
										0,
										540
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5735171331089759,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						1602507784847852,
						false
						,[
						[
							1,
							[
								2,
								"createS3D3W1"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6565969679314621,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										457
									]
								]
,
								[
									7,
									[
										0,
										425
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2434392117610493,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										425
									]
								]
,
								[
									7,
									[
										0,
										538
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						463105207112549,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1929
									]
								]
,
								[
									7,
									[
										0,
										466
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1540462018598559,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1584
									]
								]
,
								[
									7,
									[
										0,
										466
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5691969937604001,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1240
									]
								]
,
								[
									7,
									[
										0,
										466
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7352884908965077,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1589
									]
								]
,
								[
									7,
									[
										0,
										310
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1153617427709035,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1582
									]
								]
,
								[
									7,
									[
										0,
										397
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2130040887172329,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1475
									]
								]
,
								[
									7,
									[
										0,
										539
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4581359084241479,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1576
									]
								]
,
								[
									7,
									[
										0,
										538
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7318524395716814,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1675
									]
								]
,
								[
									7,
									[
										0,
										538
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3712333658769496,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2518
									]
								]
,
								[
									7,
									[
										0,
										462
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1910107964662847,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2509
									]
								]
,
								[
									7,
									[
										0,
										555
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5203284383210408,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3439
									]
								]
,
								[
									7,
									[
										0,
										423
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1033692440960535,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3407
									]
								]
,
								[
									7,
									[
										0,
										536
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2301067622239412,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2861
									]
								]
,
								[
									7,
									[
										0,
										531
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6585856362329939,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						9035426488451046,
						false
						,[
						[
							1,
							[
								2,
								"createS3D3W2"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						324430870705505,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										471
									]
								]
,
								[
									7,
									[
										0,
										554
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						183319406084178,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										943
									]
								]
,
								[
									7,
									[
										0,
										457
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7113634182655512,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1438
									]
								]
,
								[
									7,
									[
										0,
										555
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9673659741032279,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1965
									]
								]
,
								[
									7,
									[
										0,
										454
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1960391144359883,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2435
									]
								]
,
								[
									7,
									[
										0,
										557
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5276046869091325,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2892
									]
								]
,
								[
									7,
									[
										0,
										457
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1801022695534124,
						false
						,[
						[
							1,
							[
								2,
								"createMetal1x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3335
									]
								]
,
								[
									7,
									[
										0,
										560
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4683788923786554,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										935
									]
								]
,
								[
									7,
									[
										0,
										537
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6595920998814615,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1960
									]
								]
,
								[
									7,
									[
										0,
										538
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						251513744048244,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2886
									]
								]
,
								[
									7,
									[
										0,
										541
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2661917699621155,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1222
									]
								]
,
								[
									7,
									[
										0,
										507
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						532143350037415,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1527
									]
								]
,
								[
									7,
									[
										0,
										374
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2935652132096555,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineUpRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2204
									]
								]
,
								[
									7,
									[
										0,
										514
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4249648338023202,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLineDownRight"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2509
									]
								]
,
								[
									7,
									[
										0,
										381
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9505659882374738,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						2741764032126259,
						false
						,[
						[
							1,
							[
								2,
								"createS3D3W3"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2438069680248436,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										466
									]
								]
,
								[
									7,
									[
										0,
										416
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1231800341010198,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										434
									]
								]
,
								[
									7,
									[
										0,
										537
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4014424133884665,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										676
									]
								]
,
								[
									7,
									[
										0,
										507
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1876851976666896,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										950
									]
								]
,
								[
									7,
									[
										0,
										459
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6571918851798267,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										936
									]
								]
,
								[
									7,
									[
										0,
										558
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2745334056261419,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1199
									]
								]
,
								[
									7,
									[
										0,
										510
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3437559587701569,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1452
									]
								]
,
								[
									7,
									[
										0,
										415
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9236170661925995,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1420
									]
								]
,
								[
									7,
									[
										0,
										532
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						497936215283886,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1696
									]
								]
,
								[
									7,
									[
										0,
										510
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6235468790638412,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1977
									]
								]
,
								[
									7,
									[
										0,
										457
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8615171596214999,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1963
									]
								]
,
								[
									7,
									[
										0,
										556
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9700172239045087,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2245
									]
								]
,
								[
									7,
									[
										0,
										510
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						581964158042643,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2491
									]
								]
,
								[
									7,
									[
										0,
										415
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8162895613611587,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2459
									]
								]
,
								[
									7,
									[
										0,
										532
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6487921194238661,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2750
									]
								]
,
								[
									7,
									[
										0,
										535
									]
								]
,
								[
									7,
									[
										0,
										8
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7340377929810177,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						7986988846264871,
						false
						,[
						[
							1,
							[
								2,
								"createS3D3W4"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						997242198209012,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										875
									]
								]
,
								[
									7,
									[
										0,
										350
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2321716769927404,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1700
									]
								]
,
								[
									7,
									[
										0,
										200
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						137934991110856,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2553
									]
								]
,
								[
									7,
									[
										0,
										350
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5067326142344826,
						false
						,[
						[
							1,
							[
								2,
								"createMetal5x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3336
									]
								]
,
								[
									7,
									[
										0,
										200
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8642470567505001,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										549
									]
								]
,
								[
									7,
									[
										0,
										416
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1950276247315017,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										518
									]
								]
,
								[
									7,
									[
										0,
										537
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9202434323323537,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1273
									]
								]
,
								[
									7,
									[
										0,
										460
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						147077365599001,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1258
									]
								]
,
								[
									7,
									[
										0,
										560
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6593248613986552,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1699
									]
								]
,
								[
									7,
									[
										0,
										424
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7462536932439064,
						false
						,[
						[
							1,
							[
								2,
								"createEDevilsRope"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1669
									]
								]
,
								[
									7,
									[
										0,
										545
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5735420373727318,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2147
									]
								]
,
								[
									7,
									[
										0,
										460
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7179809455295453,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2132
									]
								]
,
								[
									7,
									[
										0,
										559
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2109519007773063,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2950
									]
								]
,
								[
									7,
									[
										0,
										422
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8859735689876965,
						false
						,[
						[
							1,
							[
								2,
								"createEDevilsRope"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2920
									]
								]
,
								[
									7,
									[
										0,
										543
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						401765766191757,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3344
									]
								]
,
								[
									7,
									[
										0,
										416
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5489770641094989,
						false
						,[
						[
							1,
							[
								2,
								"createObstE1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3313
									]
								]
,
								[
									7,
									[
										0,
										537
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5242367447160214,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1700
									]
								]
,
								[
									7,
									[
										0,
										112
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1155927296745552,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3246
									]
								]
,
								[
									7,
									[
										0,
										114
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1605357606323294,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3344
									]
								]
,
								[
									7,
									[
										0,
										114
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3081960714082832,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3438
									]
								]
,
								[
									7,
									[
										0,
										114
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5394413841936186,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										772
									]
								]
,
								[
									7,
									[
										0,
										259
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						746855161189793,
						false
						,[
						[
							1,
							[
								2,
								"makeCoinLine"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2448
									]
								]
,
								[
									7,
									[
										0,
										259
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "Tutorial Scenes"],
				false,
				null,
				8795164931471091,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					8795164931471091,
					false
					,[
					[
						1,
						[
							2,
							"Tutorial Scenes"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					8736661568761172,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						4062515840050854,
						false
						,[
						[
							1,
							[
								2,
								"createTutS1"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4114059884341315,
						false
						,[
						[
							1,
							[
								2,
								"createTrigger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										470
									]
								]
,
								[
									7,
									[
										0,
										589
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7596498761854289,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										577
									]
								]
,
								[
									7,
									[
										0,
										560
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9195091256453541,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										584
									]
								]
,
								[
									7,
									[
										0,
										471
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3948873601808433,
						false
						,[
						[
							1,
							[
								2,
								"createTrigger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2769
									]
								]
,
								[
									7,
									[
										0,
										594
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
,
								[
									7,
									[
										0,
										2
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7234578827645699,
						false
						,[
						[
							1,
							[
								2,
								"createTrigger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2893
									]
								]
,
								[
									7,
									[
										0,
										478
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
,
								[
									7,
									[
										0,
										3
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9935380085988475,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2886
									]
								]
,
								[
									7,
									[
										0,
										559
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1334353631418493,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2891
									]
								]
,
								[
									7,
									[
										0,
										470
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7066611770095517,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3038
									]
								]
,
								[
									7,
									[
										0,
										248
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2417321242137162,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						9383113217227001,
						false
						,[
						[
							1,
							[
								2,
								"createTutS2"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6992541146654986,
						false
						,[
						[
							1,
							[
								2,
								"createTrigger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										579
									]
								]
,
								[
									7,
									[
										0,
										599
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
,
								[
									7,
									[
										0,
										4
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9248692514631992,
						false
						,[
						[
							1,
							[
								2,
								"createObst2x1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										694
									]
								]
,
								[
									7,
									[
										0,
										457
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1283733749062896,
						false
						,[
						[
							1,
							[
								2,
								"createObst1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										654
									]
								]
,
								[
									7,
									[
										0,
										365
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9925972474016649,
						false
						,[
						[
							1,
							[
								2,
								"createObst1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										655
									]
								]
,
								[
									7,
									[
										0,
										243
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1778080114332487,
						false
						,[
						[
							1,
							[
								2,
								"createTrigger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1807
									]
								]
,
								[
									7,
									[
										0,
										589
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
,
								[
									7,
									[
										0,
										5
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4092221419543119,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										1923
									]
								]
,
								[
									7,
									[
										0,
										505
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6825366739895702,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2154
									]
								]
,
								[
									7,
									[
										0,
										505
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2867632025116289,
						false
						,[
						[
							1,
							[
								2,
								"createPickupC1"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2366
									]
								]
,
								[
									7,
									[
										0,
										505
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5431919886925655,
						false
						,[
						[
							1,
							[
								2,
								"createTrigger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										2857
									]
								]
,
								[
									7,
									[
										0,
										594
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
,
								[
									7,
									[
										0,
										6
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6239174152301004,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3004
									]
								]
,
								[
									7,
									[
										0,
										560
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4706281946659627,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3007
									]
								]
,
								[
									7,
									[
										0,
										471
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3314109180755969,
						false
						,[
						[
							1,
							[
								2,
								"createObst1x2"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3132
									]
								]
,
								[
									7,
									[
										0,
										529
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7835093486149424,
						false
						,[
						[
							1,
							[
								2,
								"createEIndianTrap"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3257
									]
								]
,
								[
									7,
									[
										0,
										560
									]
								]
,
								[
									7,
									[
										2,
										"damage"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4494967245212607,
						false
						,[
						[
							1,
							[
								2,
								"createDanger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3260
									]
								]
,
								[
									7,
									[
										0,
										471
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7988257729724719,
						false
						,[
						[
							1,
							[
								2,
								"createTrigger"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										3925
									]
								]
,
								[
									7,
									[
										0,
										599
									]
								]
,
								[
									7,
									[
										2,
										"moveUp"
									]
								]
,
								[
									7,
									[
										0,
										7
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2137477304662848,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9943597386174857,
					false
					,[
					[
						1,
						[
							2,
							"createO1W1"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					165123292046172,
					false
					,[
					[
						1,
						[
							2,
							"createOSign"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									724
								]
							]
,
							[
								7,
								[
									0,
									464
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5756526528794053,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					750721241966382,
					false
					,[
					[
						1,
						[
							2,
							"createO1W2"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9839270869623161,
					false
					,[
					[
						1,
						[
							2,
							"createOTotem"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									1585
								]
							]
,
							[
								7,
								[
									0,
									476
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4188805363357653,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3515473305451907,
					false
					,[
					[
						1,
						[
							2,
							"createO1W3"
						]
					]
					]
				]
				],
				[
				]
			]
,			[
				0,
				null,
				false,
				null,
				115040536396412,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4835831890997562,
					false
					,[
					[
						1,
						[
							2,
							"createO2W1"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2312941018919417,
					false
					,[
					[
						1,
						[
							2,
							"createOBank"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									1364
								]
							]
,
							[
								7,
								[
									0,
									457
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2760248995591172,
					false
					,[
					[
						1,
						[
							2,
							"createOGallows"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									3098
								]
							]
,
							[
								7,
								[
									0,
									464
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8070523192050179,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5478983164078218,
					false
					,[
					[
						1,
						[
							2,
							"createO2W2"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4501287730574256,
					false
					,[
					[
						1,
						[
							2,
							"createOSheriff"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									1113
								]
							]
,
							[
								7,
								[
									0,
									445
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7678482403360673,
					false
					,[
					[
						1,
						[
							2,
							"createOSaloon"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									2395
								]
							]
,
							[
								7,
								[
									0,
									445
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4244852165784645,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2872328843862117,
					false
					,[
					[
						1,
						[
							2,
							"createO2W3"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					838825996614055,
					false
					,[
					[
						1,
						[
							2,
							"createOGallows"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									1451
								]
							]
,
							[
								7,
								[
									0,
									463
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8369236002729567,
					false
					,[
					[
						1,
						[
							2,
							"createOSheriff"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									1729
								]
							]
,
							[
								7,
								[
									0,
									454
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8018203090165568,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8594681414255332,
					false
					,[
					[
						1,
						[
							2,
							"createO3W1"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2185554491372381,
					false
					,[
					[
						1,
						[
							2,
							"createOTelegraph"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									1022
								]
							]
,
							[
								7,
								[
									0,
									429
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1470584023919081,
					false
					,[
					[
						1,
						[
							2,
							"createOTrain"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									2782
								]
							]
,
							[
								7,
								[
									0,
									489
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9650986018275226,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1544160127660078,
					false
					,[
					[
						1,
						[
							2,
							"createO3W2"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6250536145559946,
					false
					,[
					[
						1,
						[
							2,
							"createOWaggon"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									1201
								]
							]
,
							[
								7,
								[
									0,
									507
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8403592167836552,
					false
					,[
					[
						1,
						[
							2,
							"createOTelegraph"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									2715
								]
							]
,
							[
								7,
								[
									0,
									435
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6753564124479236,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1766677734626528,
					false
					,[
					[
						1,
						[
							2,
							"createO3W3"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8629330651969639,
					false
					,[
					[
						1,
						[
							2,
							"createOWatertower"
						]
					]
,					[
						13,
													[
								7,
								[
									0,
									2302
								]
							]
,
							[
								7,
								[
									0,
									440
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9999226775504984,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1828431339158597,
					false
					,[
					[
						1,
						[
							2,
							"createObst1x1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2244387559591356,
					false
					,[
					[
						4,
						30
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					30,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					5620984874975035,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8940351082271057,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7357805500523846,
					false
					,[
					[
						1,
						[
							2,
							"createObst1x2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7973736698769413,
					false
					,[
					[
						4,
						31
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					31,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					9319990013986053,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7632832799655823,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4518160281788451,
					false
					,[
					[
						1,
						[
							2,
							"createObst2x2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4697138772678883,
					false
					,[
					[
						4,
						33
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					33,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					457673607448111,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5191594777903005,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8858851936313675,
					false
					,[
					[
						1,
						[
							2,
							"createObst2x1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6136226493098884,
					false
					,[
					[
						4,
						32
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					32,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					9208715476421224,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				102366966093384,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5392278229499444,
					false
					,[
					[
						1,
						[
							2,
							"createObst10x05"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8134714811870115,
					false
					,[
					[
						4,
						34
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					34,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					6289192226284104,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5817177849437409,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5305875462906656,
					false
					,[
					[
						1,
						[
							2,
							"createWood1x1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					829796500943986,
					false
					,[
					[
						4,
						40
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					40,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					844745992215078,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6256208007666497,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8580322109257487,
					false
					,[
					[
						1,
						[
							2,
							"createWood1x2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4145202854530789,
					false
					,[
					[
						4,
						41
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					41,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					4068447143904035,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6383062905359979,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6846270052010141,
					false
					,[
					[
						1,
						[
							2,
							"createWood2x1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3266962965696007,
					false
					,[
					[
						4,
						42
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					42,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					4222544289996536,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				227043903041502,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2628688252310498,
					false
					,[
					[
						1,
						[
							2,
							"createWood2x3"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2917515442178864,
					false
					,[
					[
						4,
						44
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					44,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					702468505342171,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3301068651057297,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5515555483662214,
					false
					,[
					[
						1,
						[
							2,
							"createWood6x1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6719886804422957,
					false
					,[
					[
						4,
						43
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					43,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					1217875689141769,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8651520672651572,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9932808701060994,
					false
					,[
					[
						1,
						[
							2,
							"createMetal1x1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3923296897733138,
					false
					,[
					[
						4,
						45
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					45,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					1538851560505502,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7112180807397656,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7165663802843019,
					false
					,[
					[
						1,
						[
							2,
							"createMetal1x2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4508344975744706,
					false
					,[
					[
						4,
						46
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					46,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					3262509793325787,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3294026024028065,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7758910321201181,
					false
					,[
					[
						1,
						[
							2,
							"createMetal2x1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4908055876279394,
					false
					,[
					[
						4,
						47
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					8874718881427455,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1052336774268288,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1113457842137269,
					false
					,[
					[
						1,
						[
							2,
							"createMetal3x2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4723166440298681,
					false
					,[
					[
						4,
						48
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					48,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					2264393388095306,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7413662745694129,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9556987530518289,
					false
					,[
					[
						1,
						[
							2,
							"createMetal5x1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1374789636273676,
					false
					,[
					[
						4,
						49
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					49,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					9506998701827816,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1161472054943545,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2470491138657935,
					false
					,[
					[
						1,
						[
							2,
							"createObstE1x2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					587737955633674,
					false
					,[
					[
						4,
						35
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					35,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					9769883028112651,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6403932027748602,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3111479939572555,
					false
					,[
					[
						1,
						[
							2,
							"createEDevilsRope"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3699577060549938,
					false
					,[
					[
						4,
						36
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					36,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					4315421154938753,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7055210945889466,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7315516172994848,
					false
					,[
					[
						1,
						[
							2,
							"createEIndianTrap"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9601407474735946,
					false
					,[
					[
						4,
						37
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					37,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					8249857059062635,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7652628465952275,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9457676244008992,
					false
					,[
					[
						1,
						[
							2,
							"createERock"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8393893661414259,
					false
					,[
					[
						4,
						38
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					38,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					3657538899010487,
					false
					,[
					[
						10,
						2
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5045792109259785,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7030384181180064,
					false
					,[
					[
						1,
						[
							2,
							"createPickupC1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5694504145711309,
					false
					,[
					[
						4,
						85
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7438539497141019,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					281396645559263,
					false
					,[
					[
						1,
						[
							2,
							"createPickupC2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6733492931451091,
					false
					,[
					[
						4,
						84
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3223172958748077,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8376652099206565,
					false
					,[
					[
						1,
						[
							2,
							"createTrigger"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7215334027920799,
					false
					,[
					[
						4,
						88
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
,				[
					88,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					7684837013740673,
					false
					,[
					[
						10,
						5
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4336906202058475,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1353039964580934,
					false
					,[
					[
						1,
						[
							2,
							"createDanger"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6296601528603466,
					false
					,[
					[
						4,
						39
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8934425134008552,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7524132426565529,
					false
					,[
					[
						1,
						[
							2,
							"createBullet"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5852252524706085,
					false
					,[
					[
						4,
						86
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5645104667519633,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8555918601327348,
					false
					,[
					[
						1,
						[
							2,
							"createLetter"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3639285135795885,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3124264555432543,
						false
						,[
						[
							11,
							"LettersCollected"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						4036772043226088,
						false
						,[
						[
							4,
							115
						]
,						[
							5,
							[
								2,
								"Obstacles"
							]
						]
,						[
							0,
							[
								6,
								[
									4,
									[
										6,
										[
											23,
											"myScreenWidth"
										]
										,[
											0,
											2
										]
									]
									,[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
								]
								,[
									23,
									"SCALEFACTOR"
								]
							]
						]
,						[
							0,
							[
								6,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									23,
									"SCALEFACTOR"
								]
							]
						]
						]
					]
,					[
						115,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						4925446702351144,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8470669587011714,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1361813817614478,
						false
						,[
						[
							11,
							"LettersCollected"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						557694927341658,
						false
						,[
						[
							4,
							117
						]
,						[
							5,
							[
								2,
								"Obstacles"
							]
						]
,						[
							0,
							[
								6,
								[
									4,
									[
										6,
										[
											23,
											"myScreenWidth"
										]
										,[
											0,
											2
										]
									]
									,[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
								]
								,[
									23,
									"SCALEFACTOR"
								]
							]
						]
,						[
							0,
							[
								6,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									23,
									"SCALEFACTOR"
								]
							]
						]
						]
					]
,					[
						117,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						9721907729994589,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4647928347999278,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7908807060463261,
						false
						,[
						[
							11,
							"LettersCollected"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						6087960287445329,
						false
						,[
						[
							4,
							117
						]
,						[
							5,
							[
								2,
								"Obstacles"
							]
						]
,						[
							0,
							[
								6,
								[
									4,
									[
										6,
										[
											23,
											"myScreenWidth"
										]
										,[
											0,
											2
										]
									]
									,[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
								]
								,[
									23,
									"SCALEFACTOR"
								]
							]
						]
,						[
							0,
							[
								6,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									23,
									"SCALEFACTOR"
								]
							]
						]
						]
					]
,					[
						117,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						6311950714376868,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5985536251582243,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9466738986293029,
						false
						,[
						[
							11,
							"LettersCollected"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8147184649440208,
						false
						,[
						[
							4,
							118
						]
,						[
							5,
							[
								2,
								"Obstacles"
							]
						]
,						[
							0,
							[
								6,
								[
									4,
									[
										6,
										[
											23,
											"myScreenWidth"
										]
										,[
											0,
											2
										]
									]
									,[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
								]
								,[
									23,
									"SCALEFACTOR"
								]
							]
						]
,						[
							0,
							[
								6,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									23,
									"SCALEFACTOR"
								]
							]
						]
						]
					]
,					[
						118,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						17660709681406,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					214071333926668,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8354692268698977,
						false
						,[
						[
							11,
							"LettersCollected"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								4
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						1800547896578821,
						false
						,[
						[
							4,
							116
						]
,						[
							5,
							[
								2,
								"Obstacles"
							]
						]
,						[
							0,
							[
								6,
								[
									4,
									[
										6,
										[
											23,
											"myScreenWidth"
										]
										,[
											0,
											2
										]
									]
									,[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
								]
								,[
									23,
									"SCALEFACTOR"
								]
							]
						]
,						[
							0,
							[
								6,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									23,
									"SCALEFACTOR"
								]
							]
						]
						]
					]
,					[
						116,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						4333027449432713,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5581458158056107,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7841507889149137,
					false
					,[
					[
						1,
						[
							2,
							"createOWatertower"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3336309490938003,
					false
					,[
					[
						4,
						21
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1433505802883836,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4138994565594043,
					false
					,[
					[
						1,
						[
							2,
							"createOSign"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3912208531490119,
					false
					,[
					[
						4,
						19
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9299145773141304,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1804521088274476,
					false
					,[
					[
						1,
						[
							2,
							"createOTotem"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9115939412586478,
					false
					,[
					[
						4,
						20
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6785209164075271,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6654248912014397,
					false
					,[
					[
						1,
						[
							2,
							"createOTelegraph"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9373389675418396,
					false
					,[
					[
						4,
						22
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2429349603984523,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7357021513129986,
					false
					,[
					[
						1,
						[
							2,
							"createOSheriff"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7336123601812923,
					false
					,[
					[
						4,
						23
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9373864034300296,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2089547871330924,
					false
					,[
					[
						1,
						[
							2,
							"createOSaloon"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7130317186963438,
					false
					,[
					[
						4,
						24
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5389411609698792,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3303988478852705,
					false
					,[
					[
						1,
						[
							2,
							"createOGallows"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9864277947889942,
					false
					,[
					[
						4,
						25
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5218395591540437,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9180341628395336,
					false
					,[
					[
						1,
						[
							2,
							"createOAppartment"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4122714922127016,
					false
					,[
					[
						4,
						26
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4431953019228875,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6205763397860263,
					false
					,[
					[
						1,
						[
							2,
							"createOBank"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6326893441716521,
					false
					,[
					[
						4,
						27
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2627780962706144,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8588186101322605,
					false
					,[
					[
						1,
						[
							2,
							"createOTrain"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7916958311415137,
					false
					,[
					[
						4,
						28
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5896122013291647,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5023634669795416,
					false
					,[
					[
						1,
						[
							2,
							"createOWaggon"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1115886735745302,
					false
					,[
					[
						4,
						29
					]
,					[
						5,
						[
							2,
							"Objects"
						]
					]
,					[
						0,
						[
							6,
							[
								4,
								[
									6,
									[
										23,
										"myScreenWidth"
									]
									,[
										0,
										2
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
,					[
						0,
						[
							6,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								23,
								"SCALEFACTOR"
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "BACKGROUND SCROLLING"],
				false,
				null,
				7262100672397593,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					7262100672397593,
					false
					,[
					[
						1,
						[
							2,
							"BACKGROUND SCROLLING"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9298371994835453,
					[
					[
						195,
						cr.plugins_.Sprite.prototype.cnds.OnCreated,
						null,
						1,
						false,
						false,
						false,
						3772281806221278,
						false
					]
					],
					[
					[
						195,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						6831544989421045,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								4,
								[
									23,
									"GSpeedMod"
								]
								,[
									21,
									195,
									false,
									null
									,0
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6811256095851785,
					[
					[
						199,
						cr.plugins_.Sprite.prototype.cnds.OnCreated,
						null,
						1,
						false,
						false,
						false,
						4897959129387955,
						false
					]
					],
					[
					[
						199,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						8140344735413006,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								23,
								"GSpeedMod"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1903590595659258,
					[
					[
						201,
						cr.plugins_.Sprite.prototype.cnds.OnCreated,
						null,
						1,
						false,
						false,
						false,
						2005175033237384,
						false
					]
					],
					[
					[
						201,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						9141309595954421,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								4,
								[
									21,
									201,
									false,
									null
									,0
								]
								,[
									23,
									"L1SpeedMod"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4744473323746863,
					[
					[
						202,
						cr.plugins_.Sprite.prototype.cnds.OnCreated,
						null,
						1,
						false,
						false,
						false,
						2504445631518324,
						false
					]
					],
					[
					[
						202,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						9443642944328428,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								4,
								[
									21,
									202,
									false,
									null
									,0
								]
								,[
									23,
									"L2SpeedMod"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8449809001632376,
					[
					[
						203,
						cr.plugins_.Sprite.prototype.cnds.OnCreated,
						null,
						1,
						false,
						false,
						false,
						7439572337553282,
						false
					]
					],
					[
					[
						203,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						3897436089476357,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								4,
								[
									21,
									203,
									false,
									null
									,0
								]
								,[
									23,
									"L3SpeedMod"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5391995636336285,
					[
					[
						205,
						cr.plugins_.Sprite.prototype.cnds.OnCreated,
						null,
						1,
						false,
						false,
						false,
						5336495426827592,
						false
					]
					],
					[
					[
						205,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						1347106567108202,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								4,
								[
									21,
									205,
									false,
									null
									,0
								]
								,[
									23,
									"ObjSpeedMod"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2446617015256306,
					[
					[
						196,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						9942728734017978,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								6,
								[
									20,
									196,
									cr.plugins_.Sprite.prototype.exps.Width,
									false,
									null
								]
								,[
									0,
									-1
								]
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						1,
						"randomNum",
						0,
						0,
false,false,2018682819719452,false
					]
,					[
						0,
						null,
						false,
						null,
						6380706940485756,
						[
						[
							196,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							289206763621078,
							false
							,[
							[
								10,
								2
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"random3"
								]
							]
							]
						]
						],
						[
						[
							196,
							cr.plugins_.Sprite.prototype.acts.Destroy,
							null,
							6140481819792632,
							false
						]
						]
						,[
						[
							0,
							null,
							false,
							null,
							6814638191298018,
							[
							[
								196,
								cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
								null,
								0,
								false,
								false,
								false,
								5370908751038674,
								false
								,[
								[
									10,
									1
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"GScrolling"
									]
								]
								]
							]
							],
							[
							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								9506419123910977,
								false
								,[
								[
									11,
									"randomNum"
								]
,								[
									7,
									[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												2
											]
											]
										]
										]
									]
								]
								]
							]
							]
							,[
							[
								0,
								null,
								false,
								null,
								1806366783321962,
								[
								[
									-1,
									cr.system_object.prototype.cnds.CompareVar,
									null,
									0,
									false,
									false,
									false,
									8641065295436464,
									false
									,[
									[
										11,
										"randomNum"
									]
,									[
										8,
										0
									]
,									[
										7,
										[
											0,
											0
										]
									]
									]
								]
								],
								[
								[
									-1,
									cr.system_object.prototype.acts.CreateObject,
									null,
									5083819399831165,
									false
									,[
									[
										4,
										8
									]
,									[
										5,
										[
											2,
											"Ground"
										]
									]
,									[
										0,
										[
											4,
											[
												20,
												196,
												cr.plugins_.Sprite.prototype.exps.X,
												false,
												null
											]
											,[
												6,
												[
													20,
													196,
													cr.plugins_.Sprite.prototype.exps.Width,
													false,
													null
												]
												,[
													0,
													3
												]
											]
										]
									]
,									[
										0,
										[
											0,
											579
										]
									]
									]
								]
								]
							]
,							[
								0,
								null,
								false,
								null,
								630853089524402,
								[
								[
									-1,
									cr.system_object.prototype.cnds.CompareVar,
									null,
									0,
									false,
									false,
									false,
									8095534831034585,
									false
									,[
									[
										11,
										"randomNum"
									]
,									[
										8,
										0
									]
,									[
										7,
										[
											0,
											1
										]
									]
									]
								]
								],
								[
								[
									-1,
									cr.system_object.prototype.acts.CreateObject,
									null,
									1492845623400783,
									false
									,[
									[
										4,
										8
									]
,									[
										5,
										[
											2,
											"Ground"
										]
									]
,									[
										0,
										[
											4,
											[
												20,
												196,
												cr.plugins_.Sprite.prototype.exps.X,
												false,
												null
											]
											,[
												6,
												[
													20,
													196,
													cr.plugins_.Sprite.prototype.exps.Width,
													false,
													null
												]
												,[
													0,
													3
												]
											]
										]
									]
,									[
										0,
										[
											0,
											579
										]
									]
									]
								]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						3313162181049337,
						[
						[
							196,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							5032569884430245,
							false
							,[
							[
								10,
								2
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"random2"
								]
							]
							]
						]
						],
						[
						[
							196,
							cr.plugins_.Sprite.prototype.acts.Destroy,
							null,
							689735261852065,
							false
						]
						]
						,[
						[
							0,
							null,
							false,
							null,
							2075701280345103,
							[
							[
								196,
								cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
								null,
								0,
								false,
								false,
								false,
								5854578935686082,
								false
								,[
								[
									10,
									1
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"L3Scrolling"
									]
								]
								]
							]
							],
							[
							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								5545193924756718,
								false
								,[
								[
									11,
									"randomNum"
								]
,								[
									7,
									[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												2
											]
											]
										]
										]
									]
								]
								]
							]
							]
							,[
							[
								0,
								null,
								false,
								null,
								5104246898761335,
								[
								[
									-1,
									cr.system_object.prototype.cnds.CompareVar,
									null,
									0,
									false,
									false,
									false,
									3945007552740478,
									false
									,[
									[
										11,
										"randomNum"
									]
,									[
										8,
										0
									]
,									[
										7,
										[
											0,
											0
										]
									]
									]
								]
								],
								[
								[
									-1,
									cr.system_object.prototype.acts.CreateObject,
									null,
									2587881777595236,
									false
									,[
									[
										4,
										15
									]
,									[
										5,
										[
											2,
											"Desert2"
										]
									]
,									[
										0,
										[
											4,
											[
												20,
												196,
												cr.plugins_.Sprite.prototype.exps.X,
												false,
												null
											]
											,[
												6,
												[
													20,
													196,
													cr.plugins_.Sprite.prototype.exps.Width,
													false,
													null
												]
												,[
													0,
													3
												]
											]
										]
									]
,									[
										0,
										[
											4,
											[
												0,
												495
											]
											,[
												6,
												[
													5,
													[
														19,
														cr.system_object.prototype.exps.viewportbottom
														,[
[
															2,
															"HUD"
														]
														]
													]
													,[
														0,
														720
													]
												]
												,[
													1,
													0.19
												]
											]
										]
									]
									]
								]
								]
							]
,							[
								0,
								null,
								false,
								null,
								7479049230227856,
								[
								[
									-1,
									cr.system_object.prototype.cnds.CompareVar,
									null,
									0,
									false,
									false,
									false,
									13585005659348,
									false
									,[
									[
										11,
										"randomNum"
									]
,									[
										8,
										0
									]
,									[
										7,
										[
											0,
											1
										]
									]
									]
								]
								],
								[
								[
									-1,
									cr.system_object.prototype.acts.CreateObject,
									null,
									1124232387391944,
									false
									,[
									[
										4,
										15
									]
,									[
										5,
										[
											2,
											"Desert2"
										]
									]
,									[
										0,
										[
											4,
											[
												20,
												196,
												cr.plugins_.Sprite.prototype.exps.X,
												false,
												null
											]
											,[
												6,
												[
													20,
													196,
													cr.plugins_.Sprite.prototype.exps.Width,
													false,
													null
												]
												,[
													0,
													3
												]
											]
										]
									]
,									[
										0,
										[
											4,
											[
												0,
												495
											]
											,[
												6,
												[
													5,
													[
														19,
														cr.system_object.prototype.exps.viewportbottom
														,[
[
															2,
															"HUD"
														]
														]
													]
													,[
														0,
														720
													]
												]
												,[
													1,
													0.19
												]
											]
										]
									]
									]
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							5702094367683827,
							[
							[
								196,
								cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
								null,
								0,
								false,
								false,
								false,
								7146176406487558,
								false
								,[
								[
									10,
									1
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"L2Scrolling"
									]
								]
								]
							]
							],
							[
							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								3841519390121515,
								false
								,[
								[
									11,
									"randomNum"
								]
,								[
									7,
									[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												2
											]
											]
										]
										]
									]
								]
								]
							]
							]
							,[
							[
								0,
								null,
								false,
								null,
								4333208315302389,
								[
								[
									-1,
									cr.system_object.prototype.cnds.CompareVar,
									null,
									0,
									false,
									false,
									false,
									3848599436228724,
									false
									,[
									[
										11,
										"randomNum"
									]
,									[
										8,
										0
									]
,									[
										7,
										[
											0,
											0
										]
									]
									]
								]
								],
								[
								[
									-1,
									cr.system_object.prototype.acts.CreateObject,
									null,
									2644542938970171,
									false
									,[
									[
										4,
										14
									]
,									[
										5,
										[
											2,
											"Desert"
										]
									]
,									[
										0,
										[
											4,
											[
												20,
												196,
												cr.plugins_.Sprite.prototype.exps.X,
												false,
												null
											]
											,[
												6,
												[
													20,
													196,
													cr.plugins_.Sprite.prototype.exps.Width,
													false,
													null
												]
												,[
													0,
													3
												]
											]
										]
									]
,									[
										0,
										[
											4,
											[
												0,
												510
											]
											,[
												6,
												[
													5,
													[
														19,
														cr.system_object.prototype.exps.viewportbottom
														,[
[
															2,
															"HUD"
														]
														]
													]
													,[
														0,
														720
													]
												]
												,[
													1,
													0.22
												]
											]
										]
									]
									]
								]
								]
							]
,							[
								0,
								null,
								false,
								null,
								9894271642221275,
								[
								[
									-1,
									cr.system_object.prototype.cnds.CompareVar,
									null,
									0,
									false,
									false,
									false,
									8143024412853786,
									false
									,[
									[
										11,
										"randomNum"
									]
,									[
										8,
										0
									]
,									[
										7,
										[
											0,
											1
										]
									]
									]
								]
								],
								[
								[
									-1,
									cr.system_object.prototype.acts.CreateObject,
									null,
									6917496098536443,
									false
									,[
									[
										4,
										17
									]
,									[
										5,
										[
											2,
											"Desert"
										]
									]
,									[
										0,
										[
											4,
											[
												20,
												196,
												cr.plugins_.Sprite.prototype.exps.X,
												false,
												null
											]
											,[
												6,
												[
													20,
													196,
													cr.plugins_.Sprite.prototype.exps.Width,
													false,
													null
												]
												,[
													0,
													3
												]
											]
										]
									]
,									[
										0,
										[
											4,
											[
												0,
												510
											]
											,[
												6,
												[
													5,
													[
														19,
														cr.system_object.prototype.exps.viewportbottom
														,[
[
															2,
															"HUD"
														]
														]
													]
													,[
														0,
														720
													]
												]
												,[
													1,
													0.22
												]
											]
										]
									]
									]
								]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7178915327144745,
						[
						[
							196,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							646330410903549,
							false
							,[
							[
								10,
								2
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"repeat"
								]
							]
							]
						]
						],
						[
						]
						,[
						[
							0,
							null,
							false,
							null,
							4457225212874548,
							[
							[
								196,
								cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
								null,
								0,
								false,
								false,
								false,
								754035785106414,
								false
								,[
								[
									10,
									1
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"L1Scrolling"
									]
								]
								]
							]
							],
							[
							[
								196,
								cr.plugins_.Sprite.prototype.acts.SetX,
								null,
								1360720050793808,
								false
								,[
								[
									0,
									[
										4,
										[
											20,
											196,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											6,
											[
												20,
												196,
												cr.plugins_.Sprite.prototype.exps.Width,
												false,
												null
											]
											,[
												0,
												2
											]
										]
									]
								]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8841906860789554,
						[
						[
							196,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							6149344646083028,
							false
							,[
							[
								10,
								2
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"singleObject"
								]
							]
							]
						]
						],
						[
						[
							196,
							cr.plugins_.Sprite.prototype.acts.Destroy,
							null,
							7218660587790512,
							false
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			1,
			"FirewatersCollected",
			0,
			0,
false,false,4140627984880575,false
		]
,		[
			1,
			"FirewatersCounted",
			0,
			0,
false,false,453287279139062,false
		]
,		[
			0,
			[true, "PICKUPS AND BOOSTING"],
			false,
			null,
			7492584705221086,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				7492584705221086,
				false
				,[
				[
					1,
					[
						2,
						"PICKUPS AND BOOSTING"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7747122729681015,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					533188547407118,
					false
					,[
					[
						4,
						85
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8307077158197714,
					false
					,[
					[
						11,
						"Firewaters"
					]
,					[
						8,
						2
					]
,					[
						7,
						[
							0,
							4
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9277991187914317,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5404807988697863,
						false
						,[
						[
							11,
							"LeadValue"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2452321116336802,
						false
						,[
						[
							11,
							"Firewaters"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						1384929025730516,
						false
						,[
						[
							11,
							"FirewatersCollected"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5273404731787328,
						false
						,[
						[
							1,
							[
								2,
								"createXP"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										85,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										20,
										85,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
								]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.MoveToLayer,
						null,
						9094447995918794,
						false
						,[
						[
							5,
							[
								2,
								"HUD"
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetPos,
						null,
						4688566075587075,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									85,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									5,
									[
										20,
										2,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										620
									]
								]
							]
						]
,						[
							0,
							[
								5,
								[
									20,
									85,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									5,
									[
										20,
										2,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										320
									]
								]
							]
						]
						]
					]
,					[
						85,
						cr.behaviors.lunarray_Tween.prototype.acts.SetTargetX,
						"AnimateToTop",
						3963450263450345,
						false
						,[
						[
							0,
							[
								4,
								[
									0,
									150
								]
								,[
									6,
									[
										0,
										50
									]
									,[
										5,
										[
											23,
											"Firewaters"
										]
										,[
											0,
											1
										]
									]
								]
							]
						]
						]
					]
,					[
						85,
						cr.behaviors.lunarray_Tween.prototype.acts.SetTargetY,
						"AnimateToTop",
						6637682851013284,
						false
						,[
						[
							0,
							[
								4,
								[
									19,
									cr.system_object.prototype.exps.viewporttop
									,[
[
										2,
										"HUD"
									]
									]
								]
								,[
									0,
									14
								]
							]
						]
						]
					]
,					[
						85,
						cr.behaviors.lunarray_Tween.prototype.acts.Start,
						"AnimateToTop",
						3751054138653054,
						false
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2292132890651462,
						false
						,[
						[
							1,
							[
								2,
								"playFirewater"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					99643504901097,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						173744420128708,
						false
						,[
						[
							11,
							"Firewaters"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9889119170162958,
						false
						,[
						[
							1,
							[
								2,
								"CreateBoostBanner"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2215090446366635,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						958769866808878,
						false
						,[
						[
							11,
							"Firewaters"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								4
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4648691637318461,
						false
						,[
						[
							1,
							[
								2,
								"createXP"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										85,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										20,
										85,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
								]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						9483226309698249,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6506044933595877,
						false
						,[
						[
							11,
							"Firewaters"
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9712566824498773,
						false
						,[
						[
							11,
							"FirewatersCollected"
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6181814559291451,
						false
						,[
						[
							11,
							"FirewatersCounted"
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7832259000524285,
						false
						,[
						[
							1,
							[
								2,
								"playFirewater"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9817679228631965,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3076846722081979,
						false
						,[
						[
							11,
							"LeadValue"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2065581035284754,
						false
						,[
						[
							1,
							[
								2,
								"createXP"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										85,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										20,
										85,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
								]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						3017503585446972,
						false
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5357214596277103,
						false
						,[
						[
							1,
							[
								2,
								"playFirewater"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9245053006217427,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					1546729714005326,
					false
					,[
					[
						4,
						39
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7980568464863684,
					false
					,[
					[
						1,
						[
							2,
							"createXP"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									39,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
							]
,
							[
								7,
								[
									20,
									39,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3483076680921884,
					false
					,[
					[
						1,
						[
							2,
							"playDanger"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					39,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					3168409036797561,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6359290833034187,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					8647155747977674,
					false
					,[
					[
						4,
						86
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					740050360888247,
					false
					,[
					[
						1,
						[
							2,
							"playDanger"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					335260072019098,
					false
					,[
					[
						11,
						"BulletsCollected"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					474952912758209,
					false
					,[
					[
						4,
						62
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							20,
							86,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							86,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					86,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					853240866840454,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					7456940776536412,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7870509406277272,
						false
						,[
						[
							11,
							"tutBottle8"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5773691575163179,
						false
						,[
						[
							1,
							[
								2,
								"ShowTutorial"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										8
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5683883930835318,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					5216434627035049,
					false
					,[
					[
						4,
						115
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2799548532558987,
					false
					,[
					[
						1,
						[
							2,
							"playDanger"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					1414565919479552,
					false
					,[
					[
						11,
						"LettersCollected"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1078645276554588,
					false
					,[
					[
						4,
						62
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							20,
							115,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							115,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					115,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					3463513468990023,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					1235939745497516,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7599040682413933,
						false
						,[
						[
							11,
							"tutLetter10"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4686769351166668,
						false
						,[
						[
							1,
							[
								2,
								"ShowTutorial"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										10
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5517322349739779,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					8324203619809485,
					false
					,[
					[
						4,
						117
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7662234847589084,
					false
					,[
					[
						1,
						[
							2,
							"playDanger"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					8558125103982553,
					false
					,[
					[
						11,
						"LettersCollected"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1025121219514995,
					false
					,[
					[
						4,
						62
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							20,
							117,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							117,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					117,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					6621767716833134,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5841238653161125,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					9758808962406451,
					false
					,[
					[
						4,
						118
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6570878405770928,
					false
					,[
					[
						1,
						[
							2,
							"playDanger"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					388493547012964,
					false
					,[
					[
						11,
						"LettersCollected"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7668429685651321,
					false
					,[
					[
						4,
						62
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							20,
							118,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							118,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					118,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					3335118246891099,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2171229370798073,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					7536065150534737,
					false
					,[
					[
						4,
						116
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2391599523398514,
					false
					,[
					[
						1,
						[
							2,
							"playDanger"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					2878827687842236,
					false
					,[
					[
						11,
						"LettersCollected"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9345939061245024,
					false
					,[
					[
						4,
						62
					]
,					[
						5,
						[
							2,
							"Obstacles"
						]
					]
,					[
						0,
						[
							20,
							118,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							118,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					116,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					744084728063422,
					false
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1152480757234938,
					false
					,[
					[
						11,
						"TodaySolved"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9469946465800456,
					false
					,[
					[
						1,
						[
							2,
							"genericPopIn"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_DAILYCOMPLETE"
								]
							]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					4159418177682914,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8609136470966883,
						false
						,[
						[
							11,
							"DaysSolved"
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								0,
								5
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						6263560868088475,
						false
						,[
						[
							11,
							"DaysSolved"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					804695352443774,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5455021458275888,
						false
						,[
						[
							11,
							"DaysSolved"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2439418519374596,
						false
						,[
						[
							11,
							"Coins"
						]
,						[
							7,
							[
								6,
								[
									0,
									500
								]
								,[
									23,
									"coinMultiplier"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4124755992302372,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						573178603603731,
						false
						,[
						[
							11,
							"DaysSolved"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						7365350961109999,
						false
						,[
						[
							11,
							"Coins"
						]
,						[
							7,
							[
								6,
								[
									0,
									1000
								]
								,[
									23,
									"coinMultiplier"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2085902702720598,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9060636185606891,
						false
						,[
						[
							11,
							"DaysSolved"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						4938773447661626,
						false
						,[
						[
							11,
							"Coins"
						]
,						[
							7,
							[
								6,
								[
									0,
									2500
								]
								,[
									23,
									"coinMultiplier"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5259132538679758,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6376941886433275,
						false
						,[
						[
							11,
							"DaysSolved"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								4
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						1836430495494501,
						false
						,[
						[
							11,
							"Coins"
						]
,						[
							7,
							[
								6,
								[
									0,
									4000
								]
								,[
									23,
									"coinMultiplier"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4696520597336194,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8772392828307378,
						false
						,[
						[
							11,
							"DaysSolved"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								5
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2783348783210151,
						false
						,[
						[
							11,
							"CharSpeed"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4390605625288955,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					6790123409186541,
					false
					,[
					[
						4,
						84
					]
					]
				]
				],
				[
				[
					84,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					34325478772044,
					false
					,[
					[
						1,
						[
							2,
							"collect"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2595216635236524,
					false
					,[
					[
						1,
						[
							2,
							"createXP"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									84,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
							]
,
							[
								7,
								[
									20,
									84,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5763970624869123,
					false
					,[
					[
						1,
						[
							2,
							"playCoin"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6071846066103994,
				[
				[
					84,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					8016270950837619,
					false
					,[
					[
						1,
						[
							2,
							"collect"
						]
					]
					]
				]
				],
				[
				[
					84,
					cr.plugins_.Sprite.prototype.acts.MoveToLayer,
					null,
					9681673716623317,
					false
					,[
					[
						5,
						[
							2,
							"HUD"
						]
					]
					]
				]
,				[
					84,
					cr.plugins_.Sprite.prototype.acts.SetPos,
					null,
					2337862656142837,
					false
					,[
					[
						0,
						[
							5,
							[
								20,
								84,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								5,
								[
									20,
									2,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									620
								]
							]
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								84,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								5,
								[
									20,
									2,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									320
								]
							]
						]
					]
					]
				]
,				[
					84,
					cr.behaviors.lunarray_Tween.prototype.acts.Start,
					"CoinOut",
					5380242784721126,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1517638130979144,
				[
				[
					84,
					cr.behaviors.lunarray_Tween.prototype.cnds.OnEnd,
					"CoinOut",
					1,
					false,
					false,
					false,
					3379913040988237,
					false
				]
				],
				[
				[
					84,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					9450097409395712,
					false
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					7019638830588726,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						7,
						[
							6,
							[
								0,
								1
							]
							,[
								23,
								"coinMultiplier"
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					2509073202630406,
					false
					,[
					[
						11,
						"MCoins"
					]
,					[
						7,
						[
							6,
							[
								0,
								1
							]
							,[
								23,
								"coinMultiplier"
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					6818554409953105,
					false
					,[
					[
						11,
						"MpCoins"
					]
,					[
						7,
						[
							6,
							[
								0,
								1
							]
							,[
								23,
								"coinMultiplier"
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1401202226793278,
					false
					,[
					[
						1,
						[
							2,
							"playCoin2"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2726967050770858,
				[
				[
					85,
					cr.behaviors.lunarray_Tween.prototype.cnds.OnEnd,
					"AnimateToTop",
					1,
					false,
					false,
					false,
					487732769082784,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6639763622513517,
					false
					,[
					[
						4,
						62
					]
,					[
						5,
						[
							2,
							"HUD"
						]
					]
,					[
						0,
						[
							20,
							85,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								85,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								25
							]
						]
					]
					]
				]
,				[
					62,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					6161630878037712,
					false
					,[
					[
						10,
						1
					]
,					[
						7,
						[
							2,
							"XXX"
						]
					]
					]
				]
,				[
					62,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					695624500780527,
					false
					,[
					[
						10,
						3
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					85,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					4144011770465683,
					false
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1259085953765557,
					false
					,[
					[
						1,
						[
							2,
							"countFirewater"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					4773956443519888,
					false
					,[
					[
						11,
						"FirewatersCounted"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6070894879498502,
					[
					[
						53,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7371319959509376,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"FirewatersCounted"
							]
						]
						]
					]
					],
					[
					[
						53,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						1707430397160457,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2992829980639878,
				[
				[
					0,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					2865978081984012,
					false
					,[
					[
						4,
						88
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7275417394040203,
					false
					,[
					[
						1,
						[
							2,
							"ShowTutorial"
						]
					]
,					[
						13,
													[
								7,
								[
									21,
									88,
									false,
									null
									,5
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6981384721854185,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					333045490948846,
					false
					,[
					[
						1,
						[
							2,
							"CreateBoostBanner"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3174031400108386,
					false
					,[
					[
						4,
						54
					]
,					[
						5,
						[
							2,
							"HUD"
						]
					]
,					[
						0,
						[
							6,
							[
								23,
								"myScreenWidth"
							]
							,[
								1,
								0.5
							]
						]
					]
,					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.viewportbottom
								,[
[
									2,
									"BG"
								]
								]
							]
							,[
								0,
								200
							]
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					3892201977739918,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
,				[
					54,
					cr.behaviors.lunarray_Tween.prototype.acts.SetTargetY,
					"BoostIn",
					3795001867933105,
					false
					,[
					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.viewportbottom
								,[
[
									2,
									"HUD"
								]
								]
							]
							,[
								0,
								6
							]
						]
					]
					]
				]
,				[
					54,
					cr.behaviors.lunarray_Tween.prototype.acts.SetTargetX,
					"BoostIn",
					3925515364211598,
					false
					,[
					[
						0,
						[
							6,
							[
								23,
								"myScreenWidth"
							]
							,[
								1,
								0.5
							]
						]
					]
					]
				]
,				[
					54,
					cr.behaviors.lunarray_Tween.prototype.acts.Start,
					"BoostIn",
					2494582684043105,
					false
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6834662426431074,
					false
					,[
					[
						11,
						"BoostBannerIn"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4605879826576755,
					false
					,[
					[
						1,
						[
							2,
							"playHugh"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7887395982196441,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3768666448022229,
					false
					,[
					[
						1,
						[
							2,
							"RemoveBoostBanner"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					230059933752365,
					false
					,[
					[
						11,
						"Firewaters"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					570111411902156,
					false
					,[
					[
						11,
						"BoostBannerIn"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4572049244009563,
					false
					,[
					[
						11,
						"wasBoosting"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					54,
					cr.behaviors.lunarray_Tween.prototype.acts.Start,
					"BoostOut",
					4939591096498483,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2461477274330632,
				[
				[
					54,
					cr.behaviors.lunarray_Tween.prototype.cnds.OnEnd,
					"BoostOut",
					1,
					false,
					false,
					false,
					6005178548652686,
					false
				]
				],
				[
				[
					54,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					3537992336532626,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9817137297077597,
				[
				[
					54,
					cr.behaviors.lunarray_Tween.prototype.cnds.OnEnd,
					"BoostIn",
					1,
					false,
					false,
					false,
					7620759893238607,
					false
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9975722410454053,
					false
					,[
					[
						11,
						"wasBoosting"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				]
			]
,			[
				0,
				null,
				true,
				null,
				6828521438826624,
				[
				[
					183,
					cr.plugins_.Keyboard.prototype.cnds.OnKey,
					null,
					1,
					false,
					false,
					false,
					6737492435099239,
					false
					,[
					[
						9,
						32
					]
					]
				]
,				[
					184,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					false,
					false,
					6219703588097081,
					false
					,[
					[
						4,
						54
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4594981024553286,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						369445961604414,
						false
						,[
						[
							11,
							"isBoosting"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4372361432194046,
						false
						,[
						[
							11,
							"BoostBannerIn"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8084092098840816,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3333750026873712,
						false
						,[
						[
							1,
							[
								2,
								"boostPlayer"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						54,
						cr.behaviors.Flash.prototype.acts.Flash,
						"Flash",
						5607962798628619,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
,						[
							0,
							[
								1,
								0.1
							]
						]
,						[
							0,
							[
								1,
								1.5
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						566645951315848,
						[
						[
							85,
							cr.behaviors.lunarray_Tween.prototype.cnds.IsActive,
							"AnimateToTop",
							0,
							false,
							false,
							false,
							8412825748273109,
							false
						]
						],
						[
						[
							85,
							cr.plugins_.Sprite.prototype.acts.Destroy,
							null,
							5099843678500827,
							false
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "XP"],
			false,
			null,
			8556521826843588,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8556521826843588,
				false
				,[
				[
					1,
					[
						2,
						"XP"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3058312847804826,
				[
				[
					10,
					cr.behaviors.lunarray_Tween.prototype.cnds.OnEnd,
					"EaseTween2",
					1,
					false,
					false,
					false,
					8212486518439992,
					false
				]
				],
				[
				[
					10,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					5947184767978481,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5899686909951469,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					766882457411166,
					false
					,[
					[
						1,
						[
							2,
							"createXP"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7506122092861843,
					false
					,[
					[
						4,
						10
					]
,					[
						5,
						[
							2,
							"Player"
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								0
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					8223336996512012,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							6,
							[
								0,
								1
							]
							,[
								23,
								"xpMultiplier"
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PLAYER TWEENS"],
			false,
			null,
			8942160010551338,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8942160010551338,
				false
				,[
				[
					1,
					[
						2,
						"PLAYER TWEENS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				483116569027809,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7251390256350172,
					false
					,[
					[
						1,
						[
							2,
							"boostPlayer"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7640052947730105,
					false
					,[
					[
						1,
						[
							2,
							"playBoost"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6337851993736022,
					false
					,[
					[
						1,
						[
							2,
							"increaseSpeed"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					0,
					cr.behaviors.lunarray_Tween.prototype.acts.Start,
					"boostPlayer",
					3102334151606171,
					false
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4484187395335722,
					false
					,[
					[
						1,
						[
							2,
							"showBoostShield"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9282827080041998,
					false
					,[
					[
						11,
						"Firewaters"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8728037343617389,
					false
					,[
					[
						11,
						"FirewatersCollected"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7880702427364261,
					false
					,[
					[
						11,
						"FirewatersCounted"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					948469653667083,
					false
					,[
					[
						11,
						"startBoostActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					9596544857976574,
					false
					,[
					[
						11,
						"MBoosted"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					687336761563901,
					false
					,[
					[
						11,
						"MpBoost"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7202202343873677,
					false
					,[
					[
						11,
						"invincible"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					1985157204427303,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					191,
					cr.plugins_.Spriter.prototype.acts.setAnim,
					null,
					5480906846368766,
					false
					,[
					[
						1,
						[
							2,
							"Run"
						]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					191,
					cr.plugins_.Spriter.prototype.acts.setPlaybackSpeedRatio,
					null,
					5573347710915786,
					false
					,[
					[
						0,
						[
							1,
							1.8
						]
					]
					]
				]
,				[
					0,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					3988347130303603,
					false
					,[
					[
						1,
						[
							2,
							"run"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					8098493464374044,
					false
					,[
					[
						0,
						[
							1,
							0.2
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5437021230569596,
					false
					,[
					[
						4,
						61
					]
,					[
						5,
						[
							2,
							"Player"
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								0,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								30
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								0,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								30
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7112060371674054,
					false
					,[
					[
						1,
						[
							2,
							"createXP"
						]
					]
,					[
						13,
													[
								7,
								[
									5,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										30
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										30
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					1883657531302648,
					false
					,[
					[
						0,
						[
							1,
							0.2
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3472538577876189,
					false
					,[
					[
						4,
						61
					]
,					[
						5,
						[
							2,
							"Player"
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								0,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								30
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								0,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								30
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3371490372353663,
					false
					,[
					[
						1,
						[
							2,
							"createXP"
						]
					]
,					[
						13,
													[
								7,
								[
									5,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										30
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										30
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					4991150749881117,
					false
					,[
					[
						0,
						[
							1,
							0.2
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7554936866472377,
					false
					,[
					[
						4,
						61
					]
,					[
						5,
						[
							2,
							"Player"
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								0,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								30
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								0,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								30
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3588812793121104,
					false
					,[
					[
						1,
						[
							2,
							"createXP"
						]
					]
,					[
						13,
													[
								7,
								[
									5,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										30
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										0,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										30
									]
								]
							]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2750495759935832,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						3541177250682718,
						false
						,[
						[
							7,
							[
								23,
								"LeadValue"
							]
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4008072847047253,
						false
						,[
						[
							11,
							"speed"
						]
,						[
							7,
							[
								4,
								[
									23,
									"speed"
								]
								,[
									0,
									800
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9164776308721163,
						false
						,[
						[
							11,
							"playerSpeed"
						]
,						[
							7,
							[
								4,
								[
									23,
									"playerSpeed"
								]
								,[
									0,
									800
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3192384924235458,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7373651663713128,
					false
					,[
					[
						1,
						[
							2,
							"increaseSpeed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					1779464727717165,
					false
					,[
					[
						11,
						"playerSpeed"
					]
,					[
						7,
						[
							4,
							[
								1,
								16.5
							]
							,[
								6,
								[
									0,
									11
								]
								,[
									23,
									"CharBoost"
								]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					4056421767105899,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1994474793603011,
						false
						,[
						[
							11,
							"playerSpeed"
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								0,
								800
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						6373577005879374,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							3522953556867308,
							false
							,[
							[
								7,
								[
									5,
									[
										23,
										"speed"
									]
									,[
										23,
										"playerSpeed"
									]
								]
							]
,							[
								8,
								2
							]
,							[
								7,
								[
									0,
									20
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.AddVar,
							null,
							1563489740584323,
							false
							,[
							[
								11,
								"speed"
							]
,							[
								7,
								[
									0,
									7
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3537295507247567,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						126251172096855,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						9356241069114119,
						false
						,[
						[
							11,
							"speed"
						]
,						[
							7,
							[
								0,
								12
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4121965749989731,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2350244436695213,
						false
						,[
						[
							11,
							"playerSpeed"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								23,
								"TopSpeed"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8492328924435537,
						false
						,[
						[
							11,
							"playerSpeed"
						]
,						[
							7,
							[
								23,
								"TopSpeed"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4508937750396957,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4327964616193812,
					false
					,[
					[
						1,
						[
							2,
							"ShowBoostShield"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7259047383523176,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8725494680080515,
						false
						,[
						[
							11,
							"shieldActive"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						9206322859469554,
						false
						,[
						[
							4,
							63
						]
,						[
							5,
							[
								2,
								"Player"
							]
						]
,						[
							0,
							[
								20,
								0,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								5,
								[
									20,
									0,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									10
								]
							]
						]
						]
					]
,					[
						63,
						cr.behaviors.Pin.prototype.acts.Pin,
						"Pin",
						2442846965885502,
						false
						,[
						[
							4,
							0
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3250270475534798,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7572137716537372,
					false
					,[
					[
						1,
						[
							2,
							"slowPlayer"
						]
					]
					]
				]
				],
				[
				[
					191,
					cr.behaviors.Flash.prototype.acts.Flash,
					"Flash",
					85793336445832,
					false
					,[
					[
						0,
						[
							1,
							0.1
						]
					]
,					[
						0,
						[
							1,
							0.05
						]
					]
,					[
						0,
						[
							1,
							1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3677572299156219,
				[
				[
					0,
					cr.behaviors.lunarray_Tween.prototype.cnds.IsActive,
					"boostPlayer",
					0,
					false,
					false,
					false,
					2621913515460383,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9282496517559203,
					false
					,[
					[
						11,
						"currentBoost"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								6,
								[
									22,
									0,
									"boostPlayer",
									cr.behaviors.lunarray_Tween.prototype.exps.Value,
									false,
									null
								]
								,[
									0,
									10
								]
							]
							]
						]
					]
					]
				]
,				[
					0,
					cr.behaviors.Platform.prototype.acts.SetGravity,
					"Platform",
					1701352565684771,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					0,
					cr.behaviors.Platform.prototype.acts.SetVectorY,
					"Platform",
					998326280362,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7589856591180745,
					false
					,[
					[
						11,
						"isBoosting"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					199,
					cr.plugins_.Sprite.prototype.acts.SetCollisions,
					null,
					1044892556827857,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					3335956156649743,
					[
					[
						-1,
						cr.system_object.prototype.cnds.TriggerOnce,
						null,
						0,
						false,
						false,
						false,
						9908402156129376,
						false
					]
					],
					[
					[
						0,
						cr.plugins_.Sprite.prototype.acts.SetSize,
						null,
						6199474087521042,
						false
						,[
						[
							0,
							[
								0,
								64
							]
						]
,						[
							0,
							[
								0,
								500
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						9208333086562784,
						[
						[
							195,
							cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
							null,
							0,
							false,
							false,
							false,
							1746637781939441,
							false
							,[
							[
								4,
								0
							]
							]
						]
						],
						[
						[
							195,
							cr.plugins_.Sprite.prototype.acts.SetCollisions,
							null,
							3561759262742058,
							false
							,[
							[
								3,
								0
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1894056583144902,
					[
					[
						0,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						2727642641663631,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								1100
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5420248558065208,
						false
						,[
						[
							11,
							"PlayerX"
						]
,						[
							7,
							[
								4,
								[
									23,
									"PlayerX"
								]
								,[
									6,
									[
										4,
										[
											1,
											3.5
										]
										,[
											6,
											[
												23,
												"boostLevel"
											]
											,[
												0,
												1
											]
										]
									]
									,[
										6,
										[
											0,
											60
										]
										,[
											19,
											cr.system_object.prototype.exps.dt
										]
									]
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9081636753522149,
				[
				[
					0,
					cr.behaviors.lunarray_Tween.prototype.cnds.OnEnd,
					"boostPlayer",
					1,
					false,
					false,
					false,
					1349822514449839,
					false
				]
				],
				[
				[
					0,
					cr.behaviors.Platform.prototype.acts.SetGravity,
					"Platform",
					8317809199072771,
					false
					,[
					[
						0,
						[
							0,
							3000
						]
					]
					]
				]
,				[
					191,
					cr.plugins_.Spriter.prototype.acts.setPlaybackSpeedRatio,
					null,
					3206168262558516,
					false
					,[
					[
						0,
						[
							1,
							1
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					118134223277983,
					false
					,[
					[
						1,
						[
							2,
							"RemoveBoostBanner"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4497401764575539,
					false
					,[
					[
						11,
						"isBoosting"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					0,
					cr.plugins_.Sprite.prototype.acts.SetSize,
					null,
					8839219533451675,
					false
					,[
					[
						0,
						[
							0,
							64
						]
					]
,					[
						0,
						[
							0,
							125
						]
					]
					]
				]
,				[
					199,
					cr.plugins_.Sprite.prototype.acts.SetCollisions,
					null,
					4853810155976038,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2370449367585359,
					false
					,[
					[
						11,
						"currentBoost"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					7518056178395994,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9003104219869939,
						false
						,[
						[
							11,
							"LeadValue"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						115800119988457,
						false
						,[
						[
							11,
							"speed"
						]
,						[
							7,
							[
								5,
								[
									23,
									"speed"
								]
								,[
									0,
									800
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						82916616202389,
						false
						,[
						[
							11,
							"playerSpeed"
						]
,						[
							7,
							[
								5,
								[
									23,
									"playerSpeed"
								]
								,[
									0,
									800
								]
							]
						]
						]
					]
,					[
						0,
						cr.behaviors.lunarray_Tween.prototype.acts.SetDuration,
						"boostPlayer",
						2006854084668762,
						false
						,[
						[
							0,
							[
								4,
								[
									0,
									1
								]
								,[
									6,
									[
										23,
										"CharBoost"
									]
									,[
										1,
										0.4
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5683108696382261,
						false
						,[
						[
							11,
							"LeadValue"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					141348892366553,
					[
					],
					[
					[
						63,
						cr.behaviors.Flash.prototype.acts.Flash,
						"Flash",
						4673832585384035,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
,						[
							0,
							[
								1,
								0.1
							]
						]
,						[
							0,
							[
								1,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						2786603341669332,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9902136748556226,
						false
						,[
						[
							11,
							"invincible"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						8311463696308627,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							3167762850919754,
							false
							,[
							[
								11,
								"shieldActive"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							63,
							cr.plugins_.Sprite.prototype.acts.Destroy,
							null,
							941006538367934,
							false
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2942825728288626,
				[
				[
					0,
					cr.behaviors.lunarray_Tween.prototype.cnds.IsActive,
					"slowPlayer",
					0,
					false,
					false,
					false,
					317576647584869,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5498640248881387,
					false
					,[
					[
						11,
						"PlayerX"
					]
,					[
						7,
						[
							5,
							[
								23,
								"PlayerX"
							]
							,[
								6,
								[
									0,
									2
								]
								,[
									6,
									[
										0,
										60
									]
									,[
										19,
										cr.system_object.prototype.exps.dt
									]
								]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3523150579349183,
				[
				[
					0,
					cr.behaviors.lunarray_Tween.prototype.cnds.IsActive,
					"PlayerIn",
					0,
					false,
					false,
					false,
					6682390453233369,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5663513250362107,
					false
					,[
					[
						11,
						"PlayerX"
					]
,					[
						7,
						[
							22,
							0,
							"PlayerIn",
							cr.behaviors.lunarray_Tween.prototype.exps.Value,
							false,
							null
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8905827189118954,
				[
				[
					0,
					cr.behaviors.lunarray_Tween.prototype.cnds.OnEnd,
					"PlayerIn",
					1,
					false,
					false,
					false,
					362408806477815,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2043005089495871,
					false
					,[
					[
						11,
						"gameIntroActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2050287269151439,
					false
					,[
					[
						1,
						[
							2,
							"sceneDisplay"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5437368128564029,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7555206172029341,
						false
						,[
						[
							11,
							"LeadValue"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						0,
						cr.behaviors.lunarray_Tween.prototype.acts.SetDuration,
						"boostPlayer",
						8451108273531406,
						false
						,[
						[
							0,
							[
								4,
								[
									0,
									1
								]
								,[
									6,
									[
										23,
										"CharLead"
									]
									,[
										0,
										2
									]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						31503540814564,
						false
						,[
						[
							1,
							[
								2,
								"boostPlayer"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9199242146999187,
			[
			[
				61,
				cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
				null,
				1,
				false,
				false,
				false,
				5265901834760921,
				false
				,[
				[
					1,
					[
						2,
						"default"
					]
				]
				]
			]
			],
			[
			[
				61,
				cr.plugins_.Sprite.prototype.acts.Destroy,
				null,
				3330751252533534,
				false
			]
			]
		]
,		[
			0,
			[true, "POWERUPS"],
			false,
			null,
			2255839675655166,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				2255839675655166,
				false
				,[
				[
					1,
					[
						2,
						"POWERUPS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9365992179353089,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8846251564755992,
					false
					,[
					[
						1,
						[
							2,
							"activateStartBoost"
						]
					]
					]
				]
				],
				[
				[
					53,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					3768376391707861,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5456147664321355,
					false
					,[
					[
						11,
						"Firewaters"
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6778843687034755,
					false
					,[
					[
						1,
						[
							2,
							"CreateBoostBanner"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4966360430530039,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3739581779903226,
					false
					,[
					[
						1,
						[
							2,
							"secondChanceDisplay"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3542383036075826,
					false
					,[
					[
						4,
						74
					]
,					[
						5,
						[
							2,
							"HUD"
						]
					]
,					[
						0,
						[
							6,
							[
								19,
								cr.system_object.prototype.exps.viewportright
								,[
[
									2,
									"HUD"
								]
								]
							]
							,[
								1,
								0.5
							]
						]
					]
,					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.viewportbottom
									,[
[
										2,
										"HUD"
									]
									]
								]
								,[
									1,
									0.5
								]
							]
							,[
								0,
								15
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2059240485397509,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkBig"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_SECONDCHANCE"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"HUD"
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									2,
									"HUD"
								]
							]
,
							[
								7,
								[
									2,
									"secondChanceDisplay"
								]
							]
,
							[
								7,
								[
									1,
									1.5
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					9894684406245836,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
,				[
					74,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					569217593218614,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					1755065247156759,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						1797160355876585,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"secondChanceDisplay"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						4234600505051336,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "CHEATS"],
			false,
			null,
			6734077903081591,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				6734077903081591,
				false
				,[
				[
					1,
					[
						2,
						"CHEATS"
					]
				]
				]
			]
			],
			[
			]
		]
,		[
			0,
			null,
			false,
			null,
			5603916031725134,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnFullscreenShown,
				null,
				1,
				false,
				false,
				false,
				5178490742878597,
				false
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				1167386376924723,
				false
				,[
				[
					1,
					[
						2,
						"stopAmbience"
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
		]
	]
,	[
		"ButtonsAndFields",
		[
		[
			2,
			"Social",
			false
		]
,		[
			2,
			"Tutorial",
			false
		]
,		[
			1,
			"lvl2unlock",
			0,
			6,
false,false,1692773798111365,false
		]
,		[
			1,
			"lvl3unlock",
			0,
			10,
false,false,778137824268888,false
		]
,		[
			1,
			"CustomizeActive",
			0,
			0,
false,false,7341522166860971,false
		]
,		[
			1,
			"ButtonDownScale",
			0,
			0.1,
false,false,2452126600966003,false
		]
,		[
			1,
			"ButtonDownScaleTouch",
			0,
			0.9,
false,false,706848534891835,false
		]
,		[
			1,
			"ButtonDelay",
			0,
			0,
false,false,9301115331134097,false
		]
,		[
			1,
			"LastTouchedButton",
			1,
			"",
false,false,5155973675839263,false
		]
,		[
			1,
			"ButtonCustomizePos",
			1,
			"0,0",
false,false,9901655031390748,false
		]
,		[
			1,
			"ButtonOverScale",
			0,
			0.05,
false,false,4116155479359622,false
		]
,		[
			0,
			[true, "ButtonLogic"],
			false,
			null,
			6357905649626758,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				6357905649626758,
				false
				,[
				[
					1,
					[
						2,
						"ButtonLogic"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2529260162800965,
				[
				[
					187,
					cr.plugins_.Mouse.prototype.cnds.IsOverObject,
					null,
					0,
					false,
					false,
					false,
					4769751786423689,
					false
					,[
					[
						4,
						200
					]
					]
				]
				],
				[
				[
					187,
					cr.plugins_.Mouse.prototype.acts.SetCursor,
					null,
					4236721747286735,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					200,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					8486768124683123,
					false
					,[
					[
						0,
						[
							4,
							[
								21,
								200,
								false,
								null
								,2
							]
							,[
								23,
								"ButtonOverScale"
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					3057711559796517,
					[
					[
						200,
						cr.plugins_.Sprite.prototype.cnds.IsBoolInstanceVarSet,
						null,
						0,
						false,
						false,
						false,
						7119456625019751,
						false
						,[
						[
							10,
							1
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						8401624498913462,
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							9818484984238163,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									10,
									[
										21,
										200,
										true,
										null
										,0
									]
									,[
										2,
										"Text"
									]
								]
							]
							]
						]
						],
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.acts.SetScale,
							null,
							1031412897223705,
							false
							,[
							[
								0,
								[
									4,
									[
										21,
										200,
										false,
										null
										,2
									]
									,[
										23,
										"ButtonOverScale"
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8031321855780455,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnRelease,
						null,
						1,
						false,
						false,
						false,
						7861226771062201,
						false
						,[
						[
							3,
							0
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						3121536804638511,
						[
						[
							-1,
							cr.system_object.prototype.cnds.TriggerOnce,
							null,
							0,
							false,
							false,
							false,
							8969505625148213,
							false
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7944382244768154,
							false
							,[
							[
								11,
								"inputActive"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1777123700711835,
							false
							,[
							[
								1,
								[
									10,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											21,
											200,
											true,
											null
											,0
										]
										]
									]
									,[
										2,
										"ButtonPressed"
									]
								]
							]
,							[
								13,
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5097102717855178,
							false
							,[
							[
								1,
								[
									2,
									"playClick"
								]
							]
,							[
								13,
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1089578008961195,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.IsButtonDown,
						null,
						0,
						false,
						false,
						false,
						9997835535694067,
						false
						,[
						[
							3,
							0
						]
						]
					]
					],
					[
					[
						200,
						cr.plugins_.Sprite.prototype.acts.SetScale,
						null,
						8377664075065244,
						false
						,[
						[
							0,
							[
								5,
								[
									21,
									200,
									false,
									null
									,2
								]
								,[
									23,
									"ButtonDownScale"
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						2522269548027443,
						[
						[
							200,
							cr.plugins_.Sprite.prototype.cnds.IsBoolInstanceVarSet,
							null,
							0,
							false,
							false,
							false,
							2330398053754338,
							false
							,[
							[
								10,
								1
							]
							]
						]
						],
						[
						]
						,[
						[
							0,
							null,
							false,
							null,
							8013521013460741,
							[
							[
								51,
								cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
								null,
								0,
								false,
								false,
								false,
								4234108955664515,
								false
								,[
								[
									10,
									0
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										10,
										[
											21,
											200,
											true,
											null
											,0
										]
										,[
											2,
											"Text"
										]
									]
								]
								]
							]
							],
							[
							[
								51,
								cr.plugins_.Spritefont2.prototype.acts.SetScale,
								null,
								8517061277380177,
								false
								,[
								[
									0,
									[
										5,
										[
											21,
											200,
											false,
											null
											,2
										]
										,[
											23,
											"ButtonDownScale"
										]
									]
								]
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6265020321589879,
				[
				[
					187,
					cr.plugins_.Mouse.prototype.cnds.IsOverObject,
					null,
					0,
					false,
					true,
					false,
					2534105750912494,
					false
					,[
					[
						4,
						200
					]
					]
				]
,				[
					184,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					3393665673894358,
					false
					,[
					[
						4,
						200
					]
					]
				]
				],
				[
				[
					187,
					cr.plugins_.Mouse.prototype.acts.SetCursor,
					null,
					4666214940780494,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					200,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					2379410786763425,
					false
					,[
					[
						0,
						[
							21,
							200,
							false,
							null
							,2
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					4130893956502609,
					false
					,[
					[
						0,
						[
							21,
							51,
							false,
							null
							,1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2963730448055813,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					4415930205598863,
					false
					,[
					[
						4,
						200
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6477000323433758,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					200,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					817652360391723,
					false
					,[
					[
						0,
						[
							5,
							[
								21,
								200,
								false,
								null
								,2
							]
							,[
								23,
								"ButtonDownScale"
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4918804187810996,
					false
					,[
					[
						11,
						"LastTouchedButton"
					]
,					[
						7,
						[
							21,
							200,
							true,
							null
							,0
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					716612243106728,
					[
					[
						200,
						cr.plugins_.Sprite.prototype.cnds.IsBoolInstanceVarSet,
						null,
						0,
						false,
						false,
						false,
						2674320345858827,
						false
						,[
						[
							10,
							1
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						5380810751672447,
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							2804268425353171,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									10,
									[
										21,
										200,
										true,
										null
										,0
									]
									,[
										2,
										"Text"
									]
								]
							]
							]
						]
						],
						[
						[
							51,
							cr.plugins_.Spritefont2.prototype.acts.SetScale,
							null,
							2940893144642197,
							false
							,[
							[
								0,
								[
									5,
									[
										21,
										200,
										false,
										null
										,2
									]
									,[
										23,
										"ButtonDownScale"
									]
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8235321030716272,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					5640111550297549,
					false
				]
,				[
					184,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					false,
					false,
					9084169302178731,
					false
					,[
					[
						4,
						200
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					8848416078809292,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3033622340535773,
						false
						,[
						[
							11,
							"LastTouchedButton"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								21,
								200,
								true,
								null
								,0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6761055385789893,
						false
						,[
						[
							1,
							[
								2,
								"playClick"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2282810294894573,
						false
						,[
						[
							1,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"LastTouchedButton"
									]
									]
								]
								,[
									2,
									"ButtonPressed"
								]
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "ButtonFunctions"],
			false,
			null,
			9109520795988219,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9109520795988219,
				false
				,[
				[
					1,
					[
						2,
						"ButtonFunctions"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9355213139117099,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8850889486369281,
					false
					,[
					[
						1,
						[
							2,
							"moregamesButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					61622218804698,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5083817396517931,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"html5"
							]
						]
						]
					]
					],
					[
					[
						186,
						cr.plugins_.Browser.prototype.acts.GoToURL,
						null,
						2707507900731402,
						false
						,[
						[
							1,
							[
								2,
								"/"
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					234030851327175,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						3708113226208782,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						true,
						null,
						9060091797608866,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1863637421445566,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"AR"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8544111419699669,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"AU"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7480297773452308,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"AT"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7493519188795251,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"BR"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2236862540230247,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"CA"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7853114584778977,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"FR"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1633233131641075,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"DE"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9466817211392742,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"IN"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8169907012248206,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"IT"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2508099183138815,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"MX"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6891538929459847,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"NL"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6558055597326796,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"PT"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8998088306965965,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"RU"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1201951107155313,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"ZA"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							476282754095816,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"ES"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							3935954794205303,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"CH"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7569657901276963,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"TR"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							594772606798677,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"UK"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8664295420051946,
							false
							,[
							[
								11,
								"Country"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"US"
								]
							]
							]
						]
						],
						[
						]
						,[
						[
							0,
							null,
							false,
							null,
							1173342826448014,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								2320117731791964,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"AR"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								9186240727679836,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.com.ar/"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							4124287963588849,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								1989063249430716,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"AT"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								8996238380981369,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.com.at/"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							1343744942198924,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								5626280451277771,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"BR"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								720724034402946,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.com.br/"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							4805476151658802,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								1543677990643732,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"CA"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								5860675530615088,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.ca"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							7139384440144648,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								638278972137981,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"FR"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								5687882434481548,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.fr"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							4216020499877365,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								5789844223440117,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"DE"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								1330722062824027,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.itouchservice.de"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							3427014836212261,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								3675260360890616,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"IN"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								9797763625421688,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.in"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							2999560186106811,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								2276779191725152,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"IT"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								8281934767852752,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.playmobile.it"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							8306473639984948,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								2358874329280207,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"MX"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								3202720945906569,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.com.mx/"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							3928592058062816,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								2962899079798175,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"NL"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								4787786165096059,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.nl/"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							9989923725418583,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								3730323885278758,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"PT"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								6715543136574414,
								false
								,[
								[
									1,
									[
										2,
										"http://www.playplanet.pt/"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							1165046121141401,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								5112043558046046,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"RU"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								4032231022879725,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.ru"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							3729193552140461,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								4645088262647192,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"ZA"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								7900983695992565,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.co.za/"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							8525058154308952,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								5843876152297273,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"ES"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								7977429893733502,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.es"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							6590883716524028,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								440471216986297,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"CH"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								5261637738211731,
								false
								,[
								[
									1,
									[
										2,
										"http://www.playplanet.ch"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							1406520455229079,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								6989898692419802,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"TR"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								6043826518892691,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.com.tr"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							6294254356625236,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								4131980667735466,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"UK"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								4281445725376269,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.com/"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							6403585932749325,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								820508509945976,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"US"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								4233021576586507,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.net"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							232916955107919,
							[
							[
								-1,
								cr.system_object.prototype.cnds.CompareVar,
								null,
								0,
								false,
								false,
								false,
								7182785319530008,
								false
								,[
								[
									11,
									"Country"
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										2,
										"AU"
									]
								]
								]
							]
							],
							[
							[
								186,
								cr.plugins_.Browser.prototype.acts.GoToURL,
								null,
								5909932395035279,
								false
								,[
								[
									1,
									[
										2,
										"http://playplanet.mobivillage.com.au"
									]
								]
,								[
									3,
									0
								]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						6080491395388654,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							4354686457552081,
							false
						]
						],
						[
						[
							186,
							cr.plugins_.Browser.prototype.acts.GoToURL,
							null,
							9437406273604452,
							false
							,[
							[
								1,
								[
									2,
									"http://playplanet.mobivillage.com"
								]
							]
,							[
								3,
								0
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6879862224113256,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					25458091808321,
					false
					,[
					[
						1,
						[
							2,
							"startButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5851717615922694,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5298618589091978,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						4484023345119434,
						false
						,[
						[
							0,
							[
								23,
								"ButtonDelay"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.GoToLayoutByName,
						null,
						969721014649392,
						false
						,[
						[
							1,
							[
								2,
								"Shop"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3378540447425772,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8489150328413069,
					false
					,[
					[
						1,
						[
							2,
							"playButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9705055070838397,
					false
					,[
					[
						1,
						[
							2,
							"LeaveShop"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					4051883039089428,
					false
					,[
					[
						0,
						[
							23,
							"ButtonDelay"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.GoToLayoutByName,
					null,
					3795541121012124,
					false
					,[
					[
						1,
						[
							2,
							"MainGame"
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1906152572580196,
					false
					,[
					[
						1,
						[
							2,
							"stopAmbience"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7548447697882104,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2910421653643174,
					false
					,[
					[
						1,
						[
							2,
							"shophomeButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					1709352006042036,
					false
					,[
					[
						0,
						[
							23,
							"ButtonDelay"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.GoToLayoutByName,
					null,
					3530821649501388,
					false
					,[
					[
						1,
						[
							2,
							"MainMenu"
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8839863515699525,
					false
					,[
					[
						1,
						[
							2,
							"stopAmbience"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				762831458560689,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6712252791867021,
					false
					,[
					[
						1,
						[
							2,
							"replayButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					1903011974736655,
					false
					,[
					[
						0,
						[
							23,
							"ButtonDelay"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.GoToLayoutByName,
					null,
					577179913278609,
					false
					,[
					[
						1,
						[
							2,
							"Shop"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2933618438973147,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1889297757707503,
					false
					,[
					[
						1,
						[
							2,
							"homeButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					6140301611268577,
					false
					,[
					[
						0,
						[
							23,
							"ButtonDelay"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.GoToLayoutByName,
					null,
					9913062761852229,
					false
					,[
					[
						1,
						[
							2,
							"MainMenu"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2224900942736054,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					579787634622951,
					false
					,[
					[
						1,
						[
							2,
							"endshopButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					2921394005093898,
					false
					,[
					[
						0,
						[
							23,
							"ButtonDelay"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.GoToLayoutByName,
					null,
					4265637380670737,
					false
					,[
					[
						1,
						[
							2,
							"MainMenu"
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3114707584387475,
					false
					,[
					[
						1,
						[
							2,
							"stopAmbience"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2634249841967995,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2515662774693452,
					false
					,[
					[
						1,
						[
							2,
							"achievementsButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9099917227025241,
					false
					,[
					[
						1,
						[
							2,
							"showAchievements"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9170332291473444,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					783645966144401,
					false
					,[
					[
						1,
						[
							2,
							"highscoreButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7577881818336333,
					false
					,[
					[
						1,
						[
							2,
							"showLeaderboard"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2907646448744453,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8090049803772211,
					false
					,[
					[
						1,
						[
							2,
							"gamecenterButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7919039484866063,
					false
					,[
					[
						1,
						[
							2,
							"showLeaderboard"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9272017105880592,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5304341275088288,
					false
					,[
					[
						1,
						[
							2,
							"endButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetTimescale,
					null,
					3693049158975763,
					false
					,[
					[
						0,
						[
							1,
							1
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5100569472463825,
					false
					,[
					[
						1,
						[
							2,
							"SaveGame"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					9067784391033711,
					false
					,[
					[
						0,
						[
							23,
							"ButtonDelay"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					4340769803063752,
					false
					,[
					[
						1,
						[
							2,
							"UPDATE"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					3692704999242092,
					false
					,[
					[
						1,
						[
							2,
							"COLLISIONS"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.GoToLayoutByName,
					null,
					5982224370200934,
					false
					,[
					[
						1,
						[
							2,
							"MainMenu"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				454476371979624,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6696577064213944,
					false
					,[
					[
						1,
						[
							2,
							"pauseButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					8110776169446257,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3108673689510142,
						false
						,[
						[
							11,
							"paused"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.LayerVisible,
						null,
						0,
						false,
						true,
						false,
						6132754598964899,
						false
						,[
						[
							5,
							[
								2,
								"Blackscreen"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6284198372902638,
						false
						,[
						[
							1,
							[
								2,
								"Pause"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9835894573954002,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3141366424054172,
					false
					,[
					[
						1,
						[
							2,
							"closeButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8608918852315154,
					false
					,[
					[
						1,
						[
							2,
							"RemoveRankUp"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1206070510898455,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6323872126359949,
					false
					,[
					[
						1,
						[
							2,
							"tutcloseButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8502242747396153,
					false
					,[
					[
						1,
						[
							2,
							"RemoveTutorialOverlay"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4806390107967377,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2897427518432569,
					false
					,[
					[
						1,
						[
							2,
							"storyButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.GoToLayoutByName,
					null,
					2541388558241468,
					false
					,[
					[
						1,
						[
							2,
							"Story"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2966006284745786,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5777016425166321,
					false
					,[
					[
						1,
						[
							2,
							"resumegameButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetTimescale,
					null,
					400828898107133,
					false
					,[
					[
						0,
						[
							1,
							1
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3130545407911977,
					false
					,[
					[
						1,
						[
							2,
							"DeleteMissionBackground"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					6590118458387357,
					false
					,[
					[
						0,
						[
							23,
							"ButtonDelay"
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7064982862256761,
					false
					,[
					[
						1,
						[
							2,
							"RemovePauseOverlay"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9031262342425609,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1600811276957845,
					false
					,[
					[
						1,
						[
							2,
							"backButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6156318448014164,
					false
					,[
					[
						1,
						[
							2,
							"prevTutScreen"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6561700015376099,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6704892218727816,
					false
					,[
					[
						1,
						[
							2,
							"forwardButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6855617433507435,
					false
					,[
					[
						1,
						[
							2,
							"nextTutScreen"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2728142598446792,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					502637594880933,
					false
					,[
					[
						1,
						[
							2,
							"tutorialButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1520116099028389,
					false
					,[
					[
						1,
						[
							2,
							"ShowTutorial"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3793783058198432,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1453313765155103,
					false
					,[
					[
						1,
						[
							2,
							"skipStoryButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6647672620103045,
					false
					,[
					[
						1,
						[
							2,
							"SkipStory"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9063782640323076,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8794178657716981,
					false
					,[
					[
						1,
						[
							2,
							"nextStoryButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1532248489095423,
					false
					,[
					[
						1,
						[
							2,
							"NextStory"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9085723497802562,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9601877200605522,
					false
					,[
					[
						1,
						[
							2,
							"restoreButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3214968696668537,
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,
						null,
						0,
						false,
						false,
						false,
						3639775043968606,
						false
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.RestorePurchases,
						null,
						4381747128733319,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6115519352866804,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4227661618481066,
					false
					,[
					[
						1,
						[
							2,
							"levelselect1ButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.GoToLayoutByName,
					null,
					750371390177268,
					false
					,[
					[
						1,
						[
							2,
							"MainGame"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5154928791729995,
					false
					,[
					[
						11,
						"CurrentScene"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1301900628788423,
					false
					,[
					[
						1,
						[
							2,
							"stopAmbience"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8493111317042922,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2760367042571068,
					false
					,[
					[
						1,
						[
							2,
							"levelselect2ButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.GoToLayoutByName,
					null,
					8104767435768109,
					false
					,[
					[
						1,
						[
							2,
							"MainGame"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7896717317909463,
					false
					,[
					[
						11,
						"CurrentScene"
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9917491709611873,
					false
					,[
					[
						1,
						[
							2,
							"stopAmbience"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8085440828083713,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6089024302767856,
					false
					,[
					[
						1,
						[
							2,
							"levelselect3ButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.GoToLayoutByName,
					null,
					5842074284323267,
					false
					,[
					[
						1,
						[
							2,
							"MainGame"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7741901607410943,
					false
					,[
					[
						11,
						"CurrentScene"
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7648663357464305,
					false
					,[
					[
						1,
						[
							2,
							"stopAmbience"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				806249269729284,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6351181720097998,
					false
					,[
					[
						1,
						[
							2,
							"customizeButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2328773109412494,
					false
					,[
					[
						1,
						[
							2,
							"DeleteMissionBackground"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4639202939776109,
					false
					,[
					[
						1,
						[
							2,
							"CreateMissionBackground"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									0,
									12
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										293
									]
								]
							]
,
							[
								7,
								[
									2,
									"Mission"
								]
							]
,
							[
								7,
								[
									2,
									"shop"
								]
							]
					]
					]
				]
,				[
					191,
					cr.plugins_.Spriter.prototype.acts.setAnim,
					null,
					3215038676182811,
					false
					,[
					[
						1,
						[
							2,
							"Run"
						]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5461476116146522,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6716508931382831,
					false
					,[
					[
						1,
						[
							2,
							"missionsButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4105877651480912,
					false
					,[
					[
						1,
						[
							2,
							"DeleteMissionBackground"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5366459864667752,
					false
					,[
					[
						1,
						[
							2,
							"CreateMissionBackground"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									0,
									12
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										293
									]
								]
							]
,
							[
								7,
								[
									2,
									"Mission"
								]
							]
,
							[
								7,
								[
									2,
									"missions"
								]
							]
					]
					]
				]
,				[
					191,
					cr.plugins_.Spriter.prototype.acts.setAnim,
					null,
					1322379182753276,
					false
					,[
					[
						1,
						[
							2,
							"Idle"
						]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					8045498891343395,
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,
						null,
						0,
						false,
						false,
						false,
						1741439318080995,
						false
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
						null,
						7736724444393188,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5314058302531262,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8246422217324391,
					false
					,[
					[
						1,
						[
							2,
							"missionplayButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5299816912925054,
					false
					,[
					[
						1,
						[
							2,
							"DeleteMissionBackground"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1876318961079888,
					false
					,[
					[
						1,
						[
							2,
							"CreateLevelSelectBackground"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									0,
									12
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										293
									]
								]
							]
,
							[
								7,
								[
									2,
									"Mission"
								]
							]
,
							[
								7,
								[
									2,
									"missions"
								]
							]
					]
					]
				]
,				[
					191,
					cr.plugins_.Spriter.prototype.acts.setAnim,
					null,
					6087063985709895,
					false
					,[
					[
						1,
						[
							2,
							"Idle"
						]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2143097506564554,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1705048151457772,
					false
					,[
					[
						1,
						[
							2,
							"sharescoreButtonPressed"
						]
					]
					]
				]
				],
				[
				[
					186,
					cr.plugins_.Browser.prototype.acts.GoToURLWindow,
					null,
					1750560734166629,
					false
					,[
					[
						1,
						[
							10,
							[
								10,
								[
									10,
									[
										2,
										"https://www.facebook.com/sharer/sharer.php?u=http://www.doublesmith.com/firewater/fbshare/share.php?score="
									]
									,[
										20,
										188,
										cr.plugins_.WebStorage.prototype.exps.LocalValue,
										true,
										null
										,[
[
											2,
											"OverallScore"
										]
										]
									]
								]
								,[
									2,
									":"
								]
							]
							,[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									1
								]
,[
									0,
									10
								]
								]
							]
						]
					]
,					[
						1,
						[
							2,
							"NewWindow"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				310327341966716,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5942293892535826,
					false
					,[
					[
						1,
						[
							2,
							"shoprightButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					2368077370344072,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2175234148232362,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7558047291457633,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						651362569906329,
						false
						,[
						[
							11,
							"CardIndex"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7650349857964886,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9503500080625544,
							false
							,[
							[
								11,
								"CardIndex"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									20,
									169,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							3114795456526579,
							false
							,[
							[
								11,
								"CardIndex"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2042183597869872,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							312598329330852,
							false
							,[
							[
								11,
								"CatergoryIndex"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									3
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							1444795266228152,
							false
							,[
							[
								11,
								"CatergoryIndex"
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							3717282489213254,
							false
							,[
							[
								11,
								"CardIndex"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						6460444309315167,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							589155754046438,
							false
							,[
							[
								1,
								[
									2,
									"CreateShopCard"
								]
							]
,							[
								13,
																	[
										7,
										[
											23,
											"ShopcardX"
										]
									]
,
									[
										7,
										[
											23,
											"ShopcardY"
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					286024214724781,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						298528212535735,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9369387678710962,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						8200788185489198,
						false
						,[
						[
							11,
							"CardIndexP"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						3086981341280375,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5771947239838355,
							false
							,[
							[
								11,
								"CardIndexP"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									20,
									170,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										23,
										"CatergoryIndexP"
									]
									]
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							7131411188271086,
							false
							,[
							[
								11,
								"CardIndexP"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4977891468410436,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1157202922778648,
							false
							,[
							[
								11,
								"CatergoryIndexP"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									4
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							9222283643649667,
							false
							,[
							[
								11,
								"CatergoryIndexP"
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							5776918580671154,
							false
							,[
							[
								11,
								"CardIndexP"
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						3208456451196603,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8746046101406237,
							false
							,[
							[
								1,
								[
									2,
									"CreateShopCardPremium"
								]
							]
,							[
								13,
																	[
										7,
										[
											23,
											"ShopcardX"
										]
									]
,
									[
										7,
										[
											23,
											"ShopcardY"
										]
									]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4438018584141235,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7721682478362375,
					false
					,[
					[
						1,
						[
							2,
							"shopleftButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5512353801282745,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3938262244983379,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1399014401649601,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						2548885637339153,
						false
						,[
						[
							11,
							"CardIndex"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						2242667611379355,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							3210823692883008,
							false
							,[
							[
								11,
								"CardIndex"
							]
,							[
								8,
								2
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							4367518207290367,
							false
							,[
							[
								11,
								"CatergoryIndex"
							]
,							[
								8,
								5
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							9211592854545895,
							false
							,[
							[
								11,
								"CardIndex"
							]
,							[
								7,
								[
									19,
									cr.system_object.prototype.exps["int"]
									,[
[
										20,
										169,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											23,
											"CatergoryIndex"
										]
										]
									]
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2094722953165918,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2355429370649225,
							false
							,[
							[
								11,
								"CatergoryIndex"
							]
,							[
								8,
								2
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							8574147169750129,
							false
							,[
							[
								11,
								"CatergoryIndex"
							]
,							[
								7,
								[
									0,
									3
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							4544613520228793,
							false
							,[
							[
								11,
								"CardIndex"
							]
,							[
								7,
								[
									19,
									cr.system_object.prototype.exps["int"]
									,[
[
										20,
										169,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											23,
											"CatergoryIndex"
										]
										]
									]
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4029134689482035,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							202896610997962,
							false
							,[
							[
								1,
								[
									2,
									"CreateShopCard"
								]
							]
,							[
								13,
																	[
										7,
										[
											23,
											"ShopcardX"
										]
									]
,
									[
										7,
										[
											23,
											"ShopcardY"
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					34284798027202,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						5614754739199469,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8709380493604523,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						7241322250780296,
						false
						,[
						[
							11,
							"CardIndexP"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5454574573666625,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9493264019300254,
							false
							,[
							[
								11,
								"CardIndexP"
							]
,							[
								8,
								2
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							833372588910062,
							false
							,[
							[
								11,
								"CatergoryIndexP"
							]
,							[
								8,
								5
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							5541643872335138,
							false
							,[
							[
								11,
								"CardIndexP"
							]
,							[
								7,
								[
									19,
									cr.system_object.prototype.exps["int"]
									,[
[
										20,
										170,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											23,
											"CatergoryIndexP"
										]
										]
									]
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						6440914297458183,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9817857813182751,
							false
							,[
							[
								11,
								"CatergoryIndexP"
							]
,							[
								8,
								2
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							6967563919681072,
							false
							,[
							[
								11,
								"CatergoryIndexP"
							]
,							[
								7,
								[
									0,
									4
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							5019581283125872,
							false
							,[
							[
								11,
								"CardIndexP"
							]
,							[
								7,
								[
									19,
									cr.system_object.prototype.exps["int"]
									,[
[
										20,
										170,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											23,
											"CatergoryIndexP"
										]
										]
									]
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8802762154721734,
						[
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1687141429869183,
							false
							,[
							[
								1,
								[
									2,
									"CreateShopCardPremium"
								]
							]
,							[
								13,
																	[
										7,
										[
											23,
											"ShopcardX"
										]
									]
,
									[
										7,
										[
											23,
											"ShopcardY"
										]
									]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4205458422541426,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7528404549795773,
					false
					,[
					[
						1,
						[
							2,
							"bootsButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6506020122834925,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2454240580754383,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5445723497443894,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1682197945161691,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7319995951015417,
						false
						,[
						[
							11,
							"CardIndex"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4319138693777519,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCard"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4965935355300879,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						6187287063707194,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3218283197249369,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1923863535126221,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1458826758237736,
						false
						,[
						[
							11,
							"CardIndexP"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1948487795753189,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCardPremium"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2520905414662023,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8156422635791505,
					false
					,[
					[
						1,
						[
							2,
							"trousersButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					8390646331242181,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9016643552169012,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8891171925251574,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2998819205982902,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2238256128609043,
						false
						,[
						[
							11,
							"CardIndex"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9998266001610737,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCard"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1844411732836412,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						8334609906887166,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2708844318311583,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5628612303225948,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8462164975978362,
						false
						,[
						[
							11,
							"CardIndexP"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7243150595302801,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCardPremium"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9066957702426591,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					792696008888089,
					false
					,[
					[
						1,
						[
							2,
							"jacketsButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4095790703184277,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9765225042845375,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8675927642454057,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5755053902946724,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8875632488141614,
						false
						,[
						[
							11,
							"CardIndex"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6713869811577457,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCard"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1682321088291211,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						3242968303785291,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1091612757646654,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6527703322159447,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						329842553827646,
						false
						,[
						[
							11,
							"CardIndexP"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7032149999876904,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCardPremium"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5399607444227797,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2823783219320309,
					false
					,[
					[
						1,
						[
							2,
							"hatsButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					2990121608112511,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						987289767594153,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9783267775403601,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1636858997028575,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9605423576782166,
						false
						,[
						[
							11,
							"CardIndex"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6368716978770718,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCard"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7735759492171626,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						7952368815680625,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						391888425297832,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1668149960621921,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1164468674511956,
						false
						,[
						[
							11,
							"CardIndexP"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						216949730413235,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCardPremium"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3003070515655197,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6712550510670401,
					false
					,[
					[
						1,
						[
							2,
							"otherButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9778003654862127,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1971073003109169,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5822620815807877,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						584946932836098,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							7,
							[
								0,
								4
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9397300117746762,
						false
						,[
						[
							11,
							"CardIndex"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1429696816691861,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCard"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9811978915648496,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						4241651307231477,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1477673741846505,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3217650633047075,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							7,
							[
								0,
								4
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7520708368578908,
						false
						,[
						[
							11,
							"CardIndexP"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2412005313378256,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCardPremium"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1130094644033674,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1270399122997567,
					false
					,[
					[
						1,
						[
							2,
							"shopcardButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6823963966387554,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						740711614735141,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9916790949521191,
						false
						,[
						[
							1,
							[
								2,
								"tryBuyItem"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7977736095587328,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						5774744366167473,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						405824064573715,
						false
						,[
						[
							1,
							[
								2,
								"tryBuyItemPremium"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3428015355902635,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6746694834352958,
					false
					,[
					[
						1,
						[
							2,
							"shopequipButtonPressed"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9508862715040955,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1274698368941068,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2389546825466612,
						false
						,[
						[
							1,
							[
								2,
								"equipItem"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6283005654820398,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						9032478295242001,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4686534972203136,
						false
						,[
						[
							1,
							[
								2,
								"equipItemPremium"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "ButtonCreation"],
			false,
			null,
			2322178973018721,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				2322178973018721,
				false
				,[
				[
					1,
					[
						2,
						"ButtonCreation"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7876157947052056,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4354254390724767,
					false
					,[
					[
						1,
						[
							2,
							"createGenericButton"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4917733318933595,
					false
					,[
					[
						4,
						64
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1960488893476476,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					851022944563211,
					false
					,[
					[
						4,
						64
					]
,					[
						3,
						1
					]
					]
				]
,				[
					64,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					8376672485675842,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					874967264491669,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							10,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
							,[
								2,
								"Text"
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					4928185232601456,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					7353802383586504,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1534645673782726,
				[
				[
					64,
					cr.plugins_.Sprite.prototype.cnds.OnDestroyed,
					null,
					1,
					false,
					false,
					false,
					8558982310398072,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					8932780937080797,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						8916199058147381,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								10,
								[
									21,
									64,
									true,
									null
									,0
								]
								,[
									2,
									"Text"
								]
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						4590408804488952,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9063672576534377,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1922149555222896,
					false
					,[
					[
						1,
						[
							2,
							"createShopCategoryButton"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5408693276170173,
					false
					,[
					[
						4,
						127
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2225865754979944,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								0,
								97
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					5239956603615395,
					false
					,[
					[
						0,
						[
							0,
							178
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					572948849687877,
					false
					,[
					[
						0,
						[
							0,
							96
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					6458693956948753,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					51,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					8356909387485387,
					false
					,[
					[
						4,
						127
					]
,					[
						3,
						1
					]
					]
				]
,				[
					127,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					439155398870743,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					571196976977645,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							10,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
							,[
								2,
								"Text"
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					5233478393189449,
					false
					,[
					[
						7,
						[
							20,
							174,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								174,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					5222221723935647,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6694878575689025,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						9621234297872823,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_BOOTS"
							]
						]
						]
					]
					],
					[
					[
						127,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						5699467434164133,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6389281834318301,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						847394612169433,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_TROUSERS"
							]
						]
						]
					]
					],
					[
					[
						127,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						1416664180739127,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3562546377980446,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						6159670183539677,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_JACKETS"
							]
						]
						]
					]
					],
					[
					[
						127,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						282634543397319,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1577155018414709,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						8636605785496725,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_HATS"
							]
						]
						]
					]
					],
					[
					[
						127,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						2832689984533617,
						false
						,[
						[
							0,
							[
								0,
								3
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3514996820734052,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						5525635752197047,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_OTHER"
							]
						]
						]
					]
					],
					[
					[
						127,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						5355923671346024,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8345043534694373,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6452698074907125,
					false
					,[
					[
						1,
						[
							2,
							"createGenericButtonSmall"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2033397296668482,
					false
					,[
					[
						4,
						66
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2729805923459703,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					6246090572024657,
					false
					,[
					[
						4,
						66
					]
,					[
						3,
						1
					]
					]
				]
,				[
					66,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					648077265672751,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					3459735523010707,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							10,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
							,[
								2,
								"Text"
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					6540220298067337,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					3322044342372186,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					199948201947364,
					false
					,[
					[
						10,
						1
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6130596055971496,
				[
				[
					66,
					cr.plugins_.Sprite.prototype.cnds.OnDestroyed,
					null,
					1,
					false,
					false,
					false,
					3258313914296761,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1769270813348444,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5411689682480934,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								10,
								[
									21,
									66,
									true,
									null
									,0
								]
								,[
									2,
									"Text"
								]
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						3559170123738482,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7144716914591148,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9458393740313002,
					false
					,[
					[
						1,
						[
							2,
							"createShopLockedButton"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5887206220894618,
					false
					,[
					[
						4,
						130
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1181683678891335,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								0,
								3
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									2
								]
								]
							]
							,[
								0,
								18
							]
						]
					]
					]
				]
,				[
					51,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					6778095272454892,
					false
					,[
					[
						4,
						130
					]
,					[
						3,
						1
					]
					]
				]
,				[
					130,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					8420058908182102,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					6986093945521726,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							10,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
							,[
								2,
								"Text"
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					5957392299585701,
					false
					,[
					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								0
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					5338276389764547,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					6865675903401221,
					false
					,[
					[
						10,
						1
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9002962327498118,
				[
				[
					130,
					cr.plugins_.Sprite.prototype.cnds.OnDestroyed,
					null,
					1,
					false,
					false,
					false,
					3384303086109807,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5493835615870516,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						1922999915249489,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								10,
								[
									21,
									130,
									true,
									null
									,0
								]
								,[
									2,
									"Text"
								]
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						5740541365781019,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "FieldCreation"],
			false,
			null,
			6397557684175815,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				6397557684175815,
				false
				,[
				[
					1,
					[
						2,
						"FieldCreation"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8199190409275382,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5532310380619013,
					false
					,[
					[
						1,
						[
							2,
							"createFieldCoinsHUD"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3725690211721456,
					false
					,[
					[
						4,
						65
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3852862153807152,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					7924695770085086,
					false
					,[
					[
						4,
						65
					]
,					[
						3,
						1
					]
					]
				]
,				[
					65,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					6103179473820028,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					2486332121053032,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							10,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
							,[
								2,
								"Text"
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					7412370781337627,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5748941288264842,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkCoins"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									5,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										20
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										39
									]
								]
							]
,
							[
								7,
								[
									20,
									65,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
,
							[
								7,
								[
									2,
									"coinsField"
								]
							]
,
							[
								7,
								[
									1,
									0.8
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					63540276565416,
					false
					,[
					[
						4,
						57
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								65,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								80
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								65,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								38
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5089794215952637,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldHudMultiply"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										80
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										38
									]
								]
							]
,
							[
								7,
								[
									20,
									65,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
,
							[
								7,
								[
									2,
									"coinsMultiplyField"
								]
							]
,
							[
								7,
								[
									1,
									0.8
								]
							]
,
							[
								7,
								[
									10,
									[
										2,
										"X "
									]
									,[
										23,
										"coinMultiplier"
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1161480898036211,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7824268065203231,
					false
					,[
					[
						1,
						[
							2,
							"createFieldScoreHUD"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3067825316652608,
					false
					,[
					[
						4,
						65
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4344631309087213,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					253943308181773,
					false
					,[
					[
						4,
						65
					]
,					[
						3,
						1
					]
					]
				]
,				[
					65,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					6216962442811068,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					1943603501922534,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							10,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
							,[
								2,
								"Text"
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					5635238049380693,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6889187347793156,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkScore"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									5,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										20
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										39
									]
								]
							]
,
							[
								7,
								[
									20,
									65,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
,
							[
								7,
								[
									2,
									"scoreField"
								]
							]
,
							[
								7,
								[
									1,
									0.8
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7887810078196028,
					false
					,[
					[
						4,
						57
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								65,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								80
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								65,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								38
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6447436092113494,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldHudMultiply"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										80
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										38
									]
								]
							]
,
							[
								7,
								[
									20,
									65,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
,
							[
								7,
								[
									2,
									"scoreMultiplyField"
								]
							]
,
							[
								7,
								[
									1,
									0.8
								]
							]
,
							[
								7,
								[
									10,
									[
										2,
										"X "
									]
									,[
										23,
										"scoreMultiplier"
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9704818157209986,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4467276041549768,
					false
					,[
					[
						1,
						[
							2,
							"createFieldXpHUD"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					938942699357149,
					false
					,[
					[
						4,
						65
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3416362540863775,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					9545914265519608,
					false
					,[
					[
						4,
						65
					]
,					[
						3,
						1
					]
					]
				]
,				[
					65,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					5949937519356762,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					9777563087279089,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							10,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
							,[
								2,
								"Text"
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					6878762117413151,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6523298115712913,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkScore"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									5,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										20
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										39
									]
								]
							]
,
							[
								7,
								[
									20,
									65,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
,
							[
								7,
								[
									2,
									"xpField"
								]
							]
,
							[
								7,
								[
									1,
									0.8
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7623753703908342,
					false
					,[
					[
						4,
						57
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								65,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								80
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								65,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								38
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7878796496310474,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldHudMultiply"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										80
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										38
									]
								]
							]
,
							[
								7,
								[
									20,
									65,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
,
							[
								7,
								[
									2,
									"xpMultiplyField"
								]
							]
,
							[
								7,
								[
									1,
									0.8
								]
							]
,
							[
								7,
								[
									10,
									[
										2,
										"X "
									]
									,[
										23,
										"xpMultiplier"
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				139069751006941,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8425413443011777,
					false
					,[
					[
						1,
						[
							2,
							"createFieldCoins"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4693882528167981,
					false
					,[
					[
						4,
						65
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3250341380130391,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					4294273963508705,
					false
					,[
					[
						4,
						65
					]
,					[
						3,
						1
					]
					]
				]
,				[
					65,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					5048462020015355,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					22024691731648,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							10,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
							,[
								2,
								"Text"
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					6194703090827447,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6490544612090697,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkCoins"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoSTRING"
								]
							]
,
							[
								7,
								[
									20,
									65,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										65,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										37
									]
								]
							]
,
							[
								7,
								[
									20,
									65,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
,
							[
								7,
								[
									2,
									"coinsField"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6069045501923027,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2684741038087807,
					false
					,[
					[
						1,
						[
							2,
							"createFieldScore"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6933234320739465,
					false
					,[
					[
						4,
						65
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3770981116415629,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					4946740895579348,
					false
					,[
					[
						4,
						65
					]
,					[
						3,
						1
					]
					]
				]
,				[
					65,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					6463688650159365,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					4383494551634877,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							10,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
							,[
								2,
								"Text"
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					4517202144738157,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9632623123859409,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6940391954108709,
					false
					,[
					[
						1,
						[
							2,
							"createFieldXp"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4424138376963979,
					false
					,[
					[
						4,
						65
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9332033992831301,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					5840603487455688,
					false
					,[
					[
						4,
						65
					]
,					[
						3,
						1
					]
					]
				]
,				[
					65,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					8928035832181977,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					7709638363466467,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							10,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
							,[
								2,
								"Text"
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					578967695295499,
					false
					,[
					[
						7,
						[
							10,
							[
								2,
								"XP | Rank "
							]
							,[
								23,
								"RankInt"
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5669311636873509,
					false
					,[
					[
						4,
						82
					]
,					[
						5,
						[
							20,
							65,
							cr.plugins_.Sprite.prototype.exps.LayerName,
							true,
							null
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								65,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								113
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								65,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								39
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7990580796736323,
					false
					,[
					[
						4,
						78
					]
,					[
						5,
						[
							20,
							65,
							cr.plugins_.Sprite.prototype.exps.LayerName,
							true,
							null
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								65,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								98
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								65,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								39
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5041997902433048,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9427927026226588,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkScore"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6542502287327844,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					9407542300103661,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					1952937619818476,
					false
					,[
					[
						7,
						[
							23,
							"Score"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					4617798446923618,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1927051789384931,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6815517758130215,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkTopScore"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4858599521115441,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					5436198049938747,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					7558963162040203,
					false
					,[
					[
						7,
						[
							23,
							"TopScore"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					4643204568037332,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6045393870503257,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1113318651123803,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkTopScoreS1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6240408946250398,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					5419451456599194,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					2693954492666577,
					false
					,[
					[
						7,
						[
							19,
							cr.system_object.prototype.exps.str
							,[
[
								23,
								"TopScoreS1"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					5547296191810552,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8607794643049424,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4748660373380738,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkTopScoreS2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6574604827663189,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					2988041111624314,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					8948711848561547,
					false
					,[
					[
						7,
						[
							23,
							"TopScoreS2"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					2230399370952404,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1612667283015692,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3867063884219918,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkTopScoreS3"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6383131002773305,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					4832987886741604,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					6830762988739041,
					false
					,[
					[
						7,
						[
							23,
							"TopScoreS3"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					1779923601178311,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3839393896444857,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7497798183631504,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkCoins"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8731707757668813,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					5880330973841072,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					7795015978354666,
					false
					,[
					[
						7,
						[
							23,
							"Coins"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					8803461390710394,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3704018742591507,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					390942399401367,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkLvl"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5116005312665933,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					6956540966886195,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					5905070076894239,
					false
					,[
					[
						7,
						[
							10,
							[
								2,
								"Rank "
							]
							,[
								23,
								"RankInt"
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					6088464639411569,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8480266324387577,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8471337977494161,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkXP"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1531824945451872,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					6802561769451165,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					6808509986481967,
					false
					,[
					[
						7,
						[
							23,
							"XP"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					4723477968356255,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				255493392740856,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1819188708391053,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDark"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5910606588322094,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					8201680351463534,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					4097820871368124,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					6338145767827456,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6982383308194202,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8160793872598599,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkCloth"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5754566185736065,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					4727036250626981,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					232010218988734,
					false
					,[
					[
						7,
						[
							20,
							174,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								174,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					9781417151188533,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				803055414530429,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4728649595362912,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkCharAttributes"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5202329466423594,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					9082220773563853,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					3378444062424817,
					false
					,[
					[
						7,
						[
							10,
							[
								20,
								174,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									174,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
							,[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									6
								]
								]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					3105121654678684,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2930443374004727,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7294075153938541,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkBig"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3885767069370977,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					166510321420927,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					9677431769696735,
					false
					,[
					[
						0,
						[
							0,
							800
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					4820399288333392,
					false
					,[
					[
						0,
						[
							0,
							500
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					940875661913659,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					5743293596299151,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4393605467499519,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3083056679789491,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkTutDes"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3240075720467226,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					3502077630821898,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetVAlign,
					null,
					7032426248079615,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					2723377919433627,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					3810957629228805,
					false
					,[
					[
						0,
						[
							0,
							505
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					10562547174461,
					false
					,[
					[
						0,
						[
							0,
							91
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					6000059609054437,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					7974923196596816,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4928868242348008,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3562751178097472,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkTut"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4252875144530738,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					1578334111163583,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					6539629426723172,
					false
					,[
					[
						0,
						[
							0,
							611
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					4906975942441369,
					false
					,[
					[
						0,
						[
							0,
							120
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					8256092730591763,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					8796270849665553,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7130326878777375,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3244208702299474,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkMissions"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1684918327596158,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					1282534422148923,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					9488200288517144,
					false
					,[
					[
						0,
						[
							0,
							620
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					6206726245964403,
					false
					,[
					[
						0,
						[
							0,
							89
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					3857770571852236,
					false
					,[
					[
						7,
						[
							20,
							177,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								177,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					9810119115298956,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					4963755968012225,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetVAlign,
					null,
					5341196093769236,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4995116920727275,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4661166711041699,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkShopCard"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7567485969352654,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					5202949776022313,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					3274086883707522,
					false
					,[
					[
						0,
						[
							0,
							376
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					8771547240979181,
					false
					,[
					[
						0,
						[
							0,
							117
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					3471579811668728,
					false
					,[
					[
						7,
						[
							20,
							176,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								176,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					7464858260606016,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8523785952052123,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1912765205948078,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkShopCardCocoon"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8157457161514247,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					5413223383223556,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					9295808940601336,
					false
					,[
					[
						0,
						[
							0,
							376
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					1249857130512556,
					false
					,[
					[
						0,
						[
							0,
							117
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					5270449256619645,
					false
					,[
					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								0
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					2489028128857392,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8569467570618879,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					978346105082408,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkDay5"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9374032934437352,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					3143738505441936,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					4022093771388833,
					false
					,[
					[
						0,
						[
							0,
							646
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					9636975660435934,
					false
					,[
					[
						0,
						[
							0,
							47
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					2725901041849407,
					false
					,[
					[
						7,
						[
							10,
							[
								10,
								[
									20,
									174,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											2,
											"Str_DAY5"
										]
										]
									]
,[
										23,
										"LanguageInt"
									]
									]
								]
								,[
									2,
									"   "
								]
							]
							,[
								20,
								174,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									174,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										2,
										"Str_DAY5PRICE"
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					690980184069351,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetVAlign,
					null,
					5556240997032929,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2039836500885735,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2532396277722502,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkNextChallange"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6211420461498211,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					8172887396089285,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					5361678087644455,
					false
					,[
					[
						0,
						[
							0,
							823
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					1675658320248261,
					false
					,[
					[
						0,
						[
							0,
							47
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					2159942947130712,
					false
					,[
					[
						7,
						[
							20,
							174,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								174,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					9072643668874795,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetVAlign,
					null,
					2086257612804875,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2488655607994526,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3917759250515134,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGold"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9294467979438399,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					1379603912946376,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					1423449019987998,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					2851368432464711,
					false
					,[
					[
						10,
						1
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					3657814926046327,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5052834987236594,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1452404649251019,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldHudMultiply"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3959558014466093,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					1696457827499471,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					5908147179031905,
					false
					,[
					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								6
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					9252534882662923,
					false
					,[
					[
						10,
						1
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					6297993419189445,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				154073102399904,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1658186788957567,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldMissions"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2593454098820066,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					2162668442540727,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					1834492740587173,
					false
					,[
					[
						7,
						[
							10,
							[
								20,
								177,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									177,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
							,[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									6
								]
								]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					106959947893451,
					false
					,[
					[
						0,
						[
							0,
							1280
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					6649800166132473,
					false
					,[
					[
						0,
						[
							0,
							160
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					7853466998809082,
					false
					,[
					[
						10,
						1
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					5516988380623389,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2027830666589613,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					709759995943531,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldMissionsDebug"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					546013402430704,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					4971883137845077,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					7875708033690396,
					false
					,[
					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								0
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					9951649784991627,
					false
					,[
					[
						0,
						[
							0,
							1280
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					1761366904626461,
					false
					,[
					[
						0,
						[
							0,
							160
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					4022673570772802,
					false
					,[
					[
						10,
						1
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					6551523448435152,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4418278841043257,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2179336246902219,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldLevelSelect"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9788865052370483,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					3526615880333964,
					false
					,[
					[
						0,
						[
							0,
							253
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					10052362958054,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					1230896137392736,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					2394933136956693,
					false
					,[
					[
						10,
						1
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					240305694886191,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					152933938017215,
					false
					,[
					[
						0,
						[
							0,
							91
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1493953287938485,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6067765648667795,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkRank"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3340574817480718,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					7144210488210863,
					false
					,[
					[
						0,
						[
							0,
							1000
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					1874196706955458,
					false
					,[
					[
						0,
						[
							0,
							150
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					1112454585302834,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					8973283202897004,
					false
					,[
					[
						7,
						[
							20,
							178,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								178,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
,[
								5,
								[
									23,
									"RankInt"
								]
								,[
									0,
									1
								]
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					4181195619583193,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3147278865877484,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1038140656174139,
					false
					,[
					[
						1,
						[
							2,
							"createShopTextFieldDarkLeft"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7968131969125341,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					5901615670055038,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					780702589092139,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					795877098124994,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					9673555081370855,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								6
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					860962338286523,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2817661974693088,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1740492212437766,
					false
					,[
					[
						1,
						[
							2,
							"createShopTextFieldDarkAmount"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3641045942103815,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					9870628977841207,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					1348494208342991,
					false
					,[
					[
						7,
						[
							2,
							"XXX"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					7047246595226639,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					4052360858255473,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								6
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					8446500957063421,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4270404229603849,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3825890833638097,
					false
					,[
					[
						1,
						[
							2,
							"createShopTextFieldDarkPrice"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8560289448511916,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					4051940227345345,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					530777371728817,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					5342634278756955,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					8535374970470719,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								6
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					1117117905012803,
					false
					,[
					[
						3,
						2
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8719124919371159,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7868064827952295,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkShopAttribute"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9717322592199602,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					true,
					null,
					6573634584614435,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4444006034048934,
						false
						,[
						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_XP"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						2903076531277195,
						false
						,[
						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_COINS"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						3133177608155231,
						false
						,[
						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SCORE"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						3469960975153856,
						false
						,[
						[
							7,
							[
								10,
								[
									10,
									[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											174,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											]
										]
,[
											23,
											"LanguageInt"
										]
										]
									]
									,[
										2,
										" X "
									]
								]
								,[
									19,
									cr.system_object.prototype.exps["int"]
									,[
[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												6
											]
											]
										]
										,[
											0,
											1
										]
									]
									]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8847678186269875,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						6591528288456749,
						false
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						3417859853934356,
						false
						,[
						[
							7,
							[
								10,
								[
									10,
									[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											174,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											]
										]
,[
											23,
											"LanguageInt"
										]
										]
									]
									,[
										2,
										" X "
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										6
									]
									]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1712465812913699,
					[
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
						null,
						8588962183488269,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
						]
						]
					]
,					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetScale,
						null,
						1648844117070707,
						false
						,[
						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									5
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4472934751105085,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9296378668090673,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkShopAttributePremium"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3934431906454541,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					true,
					null,
					9038572909500517,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						1033602777145824,
						false
						,[
						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_XP"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						672375868699998,
						false
						,[
						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_COINS"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						2992104459952423,
						false
						,[
						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SCORE"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						9668496966233988,
						false
						,[
						[
							7,
							[
								10,
								[
									10,
									[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											174,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											]
										]
,[
											23,
											"LanguageInt"
										]
										]
									]
									,[
										2,
										" X "
									]
								]
								,[
									19,
									cr.system_object.prototype.exps["int"]
									,[
[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												6
											]
											]
										]
										,[
											0,
											1
										]
									]
									]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3602013602127641,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						8640405827429119,
						false
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						7134514671702989,
						false
						,[
						[
							7,
							[
								10,
								[
									10,
									[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											174,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											]
										]
,[
											23,
											"LanguageInt"
										]
										]
									]
									,[
										2,
										" X "
									]
								]
								,[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										6
									]
									]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2264580269807789,
					[
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
						null,
						3108245646451226,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
						]
						]
					]
,					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetScale,
						null,
						5500178624343238,
						false
						,[
						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									5
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8317617365182336,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6153269858272803,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkShopAttribute2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8688210380576379,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					870155258899334,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					2392765921687183,
					false
					,[
					[
						7,
						[
							10,
							[
								10,
								[
									20,
									174,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										]
									]
,[
										23,
										"LanguageInt"
									]
									]
								]
								,[
									2,
									" + "
								]
							]
							,[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									6
								]
								]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					7192336178478505,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9826326629413786,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5185672989002517,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkCoinsPriceTag"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					364004737558511,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					7040150957231874,
					false
					,[
					[
						0,
						[
							0,
							210
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					9432103366381646,
					false
					,[
					[
						0,
						[
							0,
							65
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					8698902819949145,
					false
					,[
					[
						3,
						2
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					2676787377652496,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					3885589420012096,
					false
					,[
					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								0
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					1525931328698274,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7996861790553261,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5871187989215397,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkCoinsPriceTagCocoon"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7695931246104886,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					4761331711142403,
					false
					,[
					[
						0,
						[
							0,
							210
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					480632915316291,
					false
					,[
					[
						0,
						[
							0,
							65
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					2393475385013574,
					false
					,[
					[
						3,
						2
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					6325213328037646,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					4736919868324287,
					false
					,[
					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								0
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					322146393785409,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4692339532101221,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1030236884646489,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldUnlockLvl"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2211449137579201,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					3684463883324058,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					6904567159302645,
					false
					,[
					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								0
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					6241803097361108,
					false
					,[
					[
						10,
						1
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					6279493241998693,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6501059879540079,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2161544603589771,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldEndscreen"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9123016109101786,
					false
					,[
					[
						4,
						51
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetHAlign,
					null,
					764342118563972,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					6936298023134694,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					9549203702165452,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					7884544616577937,
					false
					,[
					[
						0,
						[
							0,
							316
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					7173066904066601,
					false
					,[
					[
						0,
						[
							0,
							95
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					9801510743030417,
					false
					,[
					[
						10,
						1
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					1548735895341354,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				790044750945655,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7473825151936471,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkLevelParams"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3760631591936654,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					4744043268750991,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								4
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					7479707042092473,
					false
					,[
					[
						7,
						[
							10,
							[
								10,
								[
									20,
									173,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										173,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										]
									]
,[
										23,
										"LanguageInt"
									]
									]
								]
								,[
									2,
									" X "
								]
							]
							,[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									6
								]
								]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetScale,
					null,
					2261775623204205,
					false
					,[
					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								5
							]
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			1,
			"ShopMissionMode",
			1,
			"missions",
false,false,377661657392129,false
		]
,		[
			0,
			[true, "MISSION SHOP BACKGROUND"],
			false,
			null,
			3093392920650386,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				3093392920650386,
				false
				,[
				[
					1,
					[
						2,
						"MISSION SHOP BACKGROUND"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8934697571131918,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5523813282292996,
					false
					,[
					[
						1,
						[
							2,
							"CreateMissionBackground"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4975699700670478,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						5876679580744233,
						false
						,[
						[
							4,
							141
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									2
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4168912986467837,
						false
						,[
						[
							1,
							[
								2,
								"CreateIndexTabLeft"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoString"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											2
										]
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											49
										]
									]
								]
,
								[
									7,
									[
										20,
										141,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											4
										]
										]
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4555161722243934,
						false
						,[
						[
							1,
							[
								2,
								"CreateIndexTabRight"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoString"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											223
										]
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											50
										]
									]
								]
,
								[
									7,
									[
										20,
										141,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											4
										]
										]
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						9168710775863586,
						false
						,[
						[
							4,
							146
						]
,						[
							5,
							[
								20,
								141,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									141,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									2
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									141,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									3
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9909387312017192,
						false
						,[
						[
							1,
							[
								2,
								"CreateLvlMenuField"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoString"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											477
										]
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											46
										]
									]
								]
,
								[
									7,
									[
										20,
										141,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9664577550760138,
						false
						,[
						[
							1,
							[
								2,
								"CreateCoinMenuField"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoString"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											667
										]
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											46
										]
									]
								]
,
								[
									7,
									[
										20,
										141,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1706372911603888,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									4
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4076512260266089,
						false
						,[
						[
							1,
							[
								2,
								"updateCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					844153503764435,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						5062852761164954,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"missions"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3947785793424625,
						false
						,[
						[
							1,
							[
								2,
								"CreateMissionsContent"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											2
										]
										]
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8701965469545334,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						8947431108967412,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"daily"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5972842574027071,
						false
						,[
						[
							1,
							[
								2,
								"CreateDailyContent"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											2
										]
										]
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5957573559947981,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						4462558388867851,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2929141841754098,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopContent"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											2
										]
										]
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3355774476273299,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						6382742075415076,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"premium"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1780184181704329,
						false
						,[
						[
							1,
							[
								2,
								"CreatePremiumContent"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											2
										]
										]
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6140711002549859,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8141535239778685,
						false
						,[
						[
							11,
							"CustomizeActive"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7446838731533343,
						false
						,[
						[
							1,
							[
								2,
								"UpdateCustomizeButton"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				581736356158756,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9811961390690774,
					false
					,[
					[
						1,
						[
							2,
							"CreateLevelSelectBackground"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1953608547584754,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3850397698119375,
						false
						,[
						[
							4,
							141
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									2
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3221332738188718,
						false
						,[
						[
							4,
							146
						]
,						[
							5,
							[
								20,
								141,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									141,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									2
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									141,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									3
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2707070251149354,
						false
						,[
						[
							1,
							[
								2,
								"CreateLvlMenuField"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoString"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											477
										]
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											46
										]
									]
								]
,
								[
									7,
									[
										20,
										141,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7306276442369476,
						false
						,[
						[
							1,
							[
								2,
								"CreateCoinMenuField"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoString"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											667
										]
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											141,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											46
										]
									]
								]
,
								[
									7,
									[
										20,
										141,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						907016718608441,
						false
						,[
						[
							1,
							[
								2,
								"CreateLevelSelectContent"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											2
										]
										]
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6249266185746328,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4466859045075191,
						false
						,[
						[
							11,
							"tutMissionSelect24"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2671672254672135,
						false
						,[
						[
							1,
							[
								2,
								"ShowTutorial"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										24
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9420013880353191,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7871401209961816,
					false
					,[
					[
						1,
						[
							2,
							"CreateIndexTabLeft"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2165137087579316,
					false
					,[
					[
						4,
						143
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					4423783232997121,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						1174104304924695,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"missions"
							]
						]
						]
					]
					],
					[
					[
						143,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						172982936887622,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4607054585152725,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDark"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_MISSIONS"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											143,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											110
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											143,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											28
										]
									]
								]
,
								[
									7,
									[
										20,
										143,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"indextableft"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7020085166610278,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						3709641573622176,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"daily"
							]
						]
						]
					]
					],
					[
					[
						143,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						2732798560360554,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4718736991508728,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDark"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_MISSIONS"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											143,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											110
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											143,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											28
										]
									]
								]
,
								[
									7,
									[
										20,
										143,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"indextableft"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4422980432756823,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						7020919277672044,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						143,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						2879606558997843,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7350681462835631,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDark"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_SHOP"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											143,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											110
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											143,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											28
										]
									]
								]
,
								[
									7,
									[
										20,
										143,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"indextableft"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6926109988676695,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						6145197362676977,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"premium"
							]
						]
						]
					]
					],
					[
					[
						143,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						5353383135667083,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6975864395781485,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDark"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_SHOP"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											143,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											110
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											143,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											28
										]
									]
								]
,
								[
									7,
									[
										20,
										143,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"indextableft"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8013660872838716,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9785484443581912,
					false
					,[
					[
						1,
						[
							2,
							"CreateIndexTabRight"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2813094363980124,
					false
					,[
					[
						4,
						144
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					9423757054507851,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						6985315227734179,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"missions"
							]
						]
						]
					]
					],
					[
					[
						144,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						5330416765028666,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2997920033562612,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDark"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_DAILY"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											144,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											113
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											144,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											28
										]
									]
								]
,
								[
									7,
									[
										20,
										144,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"indextabright"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4047857762146441,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						9500185558609888,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"daily"
							]
						]
						]
					]
					],
					[
					[
						144,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						4801019755312164,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9994171135435129,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDark"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_DAILY"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											144,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											113
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											144,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											28
										]
									]
								]
,
								[
									7,
									[
										20,
										144,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"indextabright"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7645043629601702,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						917686250384499,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
					],
					[
					[
						144,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						6494611960590193,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1735540661328128,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDark"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_PREMIUM"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											144,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											113
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											144,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											28
										]
									]
								]
,
								[
									7,
									[
										20,
										144,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"indextabright"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8736045285120937,
						false
						,[
						[
							4,
							147
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									4,
									[
										20,
										144,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										180
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										30
									]
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									144,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									3
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2493529118610108,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.CompareParam,
						null,
						0,
						false,
						false,
						false,
						3508171837310336,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"premium"
							]
						]
						]
					]
					],
					[
					[
						144,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						1558070510135326,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1845185000149942,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDark"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_PREMIUM"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											144,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											113
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											144,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											28
										]
									]
								]
,
								[
									7,
									[
										20,
										144,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"indextabright"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4165106633155647,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8968163866180304,
					false
					,[
					[
						1,
						[
							2,
							"CreateLvlMenuField"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7020963077060614,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						7755521895901987,
						false
						,[
						[
							4,
							142
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									2
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						4735802761546977,
						false
						,[
						[
							4,
							145
						]
,						[
							5,
							[
								20,
								142,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									142,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									8
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									142,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									14
								]
							]
						]
						]
					]
,					[
						145,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						7236952825593884,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7451188967523188,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkLvl"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoSTRING"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											142,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											86
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											142,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											22
										]
									]
								]
,
								[
									7,
									[
										20,
										142,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"xpAmount"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3786187098655806,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6000710574132669,
					false
					,[
					[
						1,
						[
							2,
							"CreateCoinMenuField"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9013555967816595,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						6275368672239534,
						false
						,[
						[
							4,
							142
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
						]
,						[
							0,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									2
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						9029324010590273,
						false
						,[
						[
							4,
							145
						]
,						[
							5,
							[
								20,
								142,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									142,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									8
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									142,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									14
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7025281175737208,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCoins"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoSTRING"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											142,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											86
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											142,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											22
										]
									]
								]
,
								[
									7,
									[
										20,
										142,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"coinAmount"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1462169220438397,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7983078213762675,
					false
					,[
					[
						1,
						[
							2,
							"DeleteMissionBackground"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7268176410491458,
					false
					,[
					[
						1,
						[
							2,
							"DeleteShopCard"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2068612871363271,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.IsOnLayer,
						null,
						0,
						false,
						false,
						false,
						4948065449987577,
						false
						,[
						[
							5,
							[
								2,
								"Mission"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						1046655910107084,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3475680233373361,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.IsOnLayer,
						null,
						0,
						false,
						false,
						false,
						3492502147523932,
						false
						,[
						[
							5,
							[
								2,
								"Mission"
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						663744953712253,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4368154087387673,
					[
					[
						146,
						cr.plugins_.NinePatch.prototype.cnds.IsOnLayer,
						null,
						0,
						false,
						false,
						false,
						7213227740455243,
						false
						,[
						[
							5,
							[
								2,
								"Mission"
							]
						]
						]
					]
					],
					[
					[
						146,
						cr.plugins_.NinePatch.prototype.acts.Destroy,
						null,
						1237687757296544,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6978178326824957,
					[
					[
						207,
						cr.plugins_.Sprite.prototype.cnds.IsOnLayer,
						null,
						0,
						false,
						false,
						false,
						8870289757542827,
						false
						,[
						[
							5,
							[
								2,
								"Mission"
							]
						]
						]
					]
					],
					[
					[
						207,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						3468092276173754,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8623895418636451,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					7487121868882754,
					false
					,[
					[
						4,
						143
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4359231494215104,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3568350445148407,
					false
					,[
					[
						1,
						[
							2,
							"playClick"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					true,
					null,
					7236137221357051,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9830324101328703,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"missions"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						19768881205605,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"daily"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1422311102268655,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7026941552359175,
						false
						,[
						[
							1,
							[
								2,
								"DeleteMissionBackground"
							]
						]
,						[
							13,
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5033992160493995,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1460605890099475,
							false
							,[
							[
								11,
								"paused"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9190558615999892,
							false
							,[
							[
								1,
								[
									2,
									"CreateMissionBackground"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"NoSTRING"
										]
									]
,
									[
										7,
										[
											0,
											12
										]
									]
,
									[
										7,
										[
											5,
											[
												6,
												[
													19,
													cr.system_object.prototype.exps.viewportbottom
													,[
[
														0,
														0
													]
													]
												]
												,[
													1,
													0.5
												]
											]
											,[
												0,
												293
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"missions"
										]
									]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8289938083128507,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							8642662954517682,
							false
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8473573938524993,
							false
							,[
							[
								1,
								[
									2,
									"CreateMissionBackground"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"NoSTRING"
										]
									]
,
									[
										7,
										[
											0,
											12
										]
									]
,
									[
										7,
										[
											5,
											[
												6,
												[
													19,
													cr.system_object.prototype.exps.viewportbottom
													,[
[
														0,
														0
													]
													]
												]
												,[
													1,
													0.5
												]
											]
											,[
												0,
												280
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"missions"
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					true,
					null,
					1991995112187809,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5678978774661203,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8814195824955805,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"premium"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						391581538683617,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9500299068636772,
						false
						,[
						[
							1,
							[
								2,
								"DeleteMissionBackground"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7061196150183252,
						false
						,[
						[
							1,
							[
								2,
								"CreateMissionBackground"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoSTRING"
									]
								]
,
								[
									7,
									[
										0,
										12
									]
								]
,
								[
									7,
									[
										5,
										[
											6,
											[
												19,
												cr.system_object.prototype.exps.viewportbottom
												,[
[
													0,
													0
												]
												]
											]
											,[
												1,
												0.5
											]
										]
										,[
											0,
											293
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"shop"
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9372368869795031,
				[
				[
					184,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					7614764665822224,
					false
					,[
					[
						4,
						144
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4705165955146463,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3081754510254465,
					false
					,[
					[
						1,
						[
							2,
							"playClick"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					true,
					null,
					3221795618660942,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5855239565068997,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"missions"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						54589142494916,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"daily"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2142691292674372,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8930545044290783,
						false
						,[
						[
							1,
							[
								2,
								"DeleteMissionBackground"
							]
						]
,						[
							13,
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7441847408519658,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8103598744886397,
							false
							,[
							[
								11,
								"paused"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1470399170068533,
							false
							,[
							[
								1,
								[
									2,
									"CreateMissionBackground"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"NoSTRING"
										]
									]
,
									[
										7,
										[
											0,
											12
										]
									]
,
									[
										7,
										[
											5,
											[
												6,
												[
													19,
													cr.system_object.prototype.exps.viewportbottom
													,[
[
														0,
														0
													]
													]
												]
												,[
													1,
													0.5
												]
											]
											,[
												0,
												293
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"daily"
										]
									]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8170512687654538,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							7341799766408547,
							false
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7877826048824841,
							false
							,[
							[
								1,
								[
									2,
									"CreateMissionBackground"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"NoSTRING"
										]
									]
,
									[
										7,
										[
											0,
											12
										]
									]
,
									[
										7,
										[
											5,
											[
												6,
												[
													19,
													cr.system_object.prototype.exps.viewportbottom
													,[
[
														0,
														0
													]
													]
												]
												,[
													1,
													0.5
												]
											]
											,[
												0,
												280
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"daily"
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					true,
					null,
					358565326643528,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3512371118285661,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9973031350992103,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"premium"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5460320731822981,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5874415149617292,
						false
						,[
						[
							1,
							[
								2,
								"DeleteMissionBackground"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1670150356717295,
						false
						,[
						[
							1,
							[
								2,
								"CreateMissionBackground"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoSTRING"
									]
								]
,
								[
									7,
									[
										0,
										12
									]
								]
,
								[
									7,
									[
										5,
										[
											6,
											[
												19,
												cr.system_object.prototype.exps.viewportbottom
												,[
[
													0,
													0
												]
												]
											]
											,[
												1,
												0.5
											]
										]
										,[
											0,
											293
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"premium"
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4070026771383489,
				[
				[
					187,
					cr.plugins_.Mouse.prototype.cnds.OnObjectClicked,
					null,
					1,
					false,
					false,
					false,
					7497581849065222,
					false
					,[
					[
						3,
						0
					]
,					[
						3,
						0
					]
,					[
						4,
						143
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9471058226060815,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5862755528268559,
					false
					,[
					[
						1,
						[
							2,
							"playClick"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					true,
					null,
					8077159041869221,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8501657312897663,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"missions"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2292940286014789,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"daily"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1359265583062989,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7405082494872398,
						false
						,[
						[
							1,
							[
								2,
								"DeleteMissionBackground"
							]
						]
,						[
							13,
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						6178315270734561,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7987208879343582,
							false
							,[
							[
								11,
								"paused"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8980545567302555,
							false
							,[
							[
								1,
								[
									2,
									"CreateMissionBackground"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"NoSTRING"
										]
									]
,
									[
										7,
										[
											0,
											12
										]
									]
,
									[
										7,
										[
											5,
											[
												6,
												[
													19,
													cr.system_object.prototype.exps.viewportbottom
													,[
[
														0,
														0
													]
													]
												]
												,[
													1,
													0.5
												]
											]
											,[
												0,
												293
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"missions"
										]
									]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						6016269649668195,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							5246887193496601,
							false
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7644221725372266,
							false
							,[
							[
								1,
								[
									2,
									"CreateMissionBackground"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"NoSTRING"
										]
									]
,
									[
										7,
										[
											0,
											12
										]
									]
,
									[
										7,
										[
											5,
											[
												6,
												[
													19,
													cr.system_object.prototype.exps.viewportbottom
													,[
[
														0,
														0
													]
													]
												]
												,[
													1,
													0.5
												]
											]
											,[
												0,
												280
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"missions"
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					true,
					null,
					6344186812650502,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1588212714353594,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5200528838122391,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"premium"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7753730110965936,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3238613556743262,
						false
						,[
						[
							1,
							[
								2,
								"DeleteMissionBackground"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4222043046454863,
						false
						,[
						[
							1,
							[
								2,
								"CreateMissionBackground"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoSTRING"
									]
								]
,
								[
									7,
									[
										0,
										12
									]
								]
,
								[
									7,
									[
										5,
										[
											6,
											[
												19,
												cr.system_object.prototype.exps.viewportbottom
												,[
[
													0,
													0
												]
												]
											]
											,[
												1,
												0.5
											]
										]
										,[
											0,
											293
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"shop"
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1938635062199807,
				[
				[
					187,
					cr.plugins_.Mouse.prototype.cnds.OnObjectClicked,
					null,
					1,
					false,
					false,
					false,
					3976368232059673,
					false
					,[
					[
						3,
						0
					]
,					[
						3,
						0
					]
,					[
						4,
						144
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7629264651815914,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5350016445659377,
					false
					,[
					[
						1,
						[
							2,
							"playClick"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					true,
					null,
					8699475368053572,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						40143457188007,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"missions"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2086504833864688,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"daily"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7929488520207371,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6723013533680339,
						false
						,[
						[
							1,
							[
								2,
								"DeleteMissionBackground"
							]
						]
,						[
							13,
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4728140280062708,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							72180389418207,
							false
							,[
							[
								11,
								"paused"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3627742279402216,
							false
							,[
							[
								1,
								[
									2,
									"CreateMissionBackground"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"NoSTRING"
										]
									]
,
									[
										7,
										[
											0,
											12
										]
									]
,
									[
										7,
										[
											5,
											[
												6,
												[
													19,
													cr.system_object.prototype.exps.viewportbottom
													,[
[
														0,
														0
													]
													]
												]
												,[
													1,
													0.5
												]
											]
											,[
												0,
												293
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"daily"
										]
									]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9050614144748962,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							8298549386433158,
							false
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3578859853173615,
							false
							,[
							[
								1,
								[
									2,
									"CreateMissionBackground"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"NoSTRING"
										]
									]
,
									[
										7,
										[
											0,
											12
										]
									]
,
									[
										7,
										[
											5,
											[
												6,
												[
													19,
													cr.system_object.prototype.exps.viewportbottom
													,[
[
														0,
														0
													]
													]
												]
												,[
													1,
													0.5
												]
											]
											,[
												0,
												280
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"daily"
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					true,
					null,
					4743701251648972,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9427670065659339,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4588969383652921,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"premium"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5349223846175775,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1949269541491069,
						false
						,[
						[
							1,
							[
								2,
								"DeleteMissionBackground"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1769470165487096,
						false
						,[
						[
							1,
							[
								2,
								"CreateMissionBackground"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NoSTRING"
									]
								]
,
								[
									7,
									[
										0,
										12
									]
								]
,
								[
									7,
									[
										5,
										[
											6,
											[
												19,
												cr.system_object.prototype.exps.viewportbottom
												,[
[
													0,
													0
												]
												]
											]
											,[
												1,
												0.5
											]
										]
										,[
											0,
											293
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"premium"
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			1,
			"ScenesUnlocked",
			0,
			0,
false,false,1480421489589124,false
		]
,		[
			0,
			[true, "MISSION/DAILY WINDOW"],
			false,
			null,
			8066681399149365,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8066681399149365,
				false
				,[
				[
					1,
					[
						2,
						"MISSION/DAILY WINDOW"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				254925862355974,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3260395963637585,
					false
					,[
					[
						1,
						[
							2,
							"CreateMissionsContent"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					2796061037458651,
					[
					[
						-1,
						cr.system_object.prototype.cnds.For,
						null,
						0,
						true,
						false,
						false,
						262285220375601,
						false
						,[
						[
							1,
							[
								2,
								"missions"
							]
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							0,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						6668636678855888,
						false
						,[
						[
							4,
							112
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									104
								]
							]
						]
,						[
							0,
							[
								4,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										132
									]
								]
								,[
									6,
									[
										0,
										150
									]
									,[
										19,
										cr.system_object.prototype.exps.loopindex
									]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7928335736226794,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkMissions"
							]
						]
,						[
							13,
															[
									7,
									[
										10,
										[
											2,
											"Str_M"
										]
										,[
											20,
											163,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												19,
												cr.system_object.prototype.exps.loopindex
											]
											]
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											112,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											362
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											112,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											23
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"missionDescription"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						8395530826580302,
						[
						[
							172,
							cr.plugins_.Arr.prototype.cnds.CompareX,
							null,
							0,
							false,
							false,
							false,
							8410805305652345,
							false
							,[
							[
								0,
								[
									19,
									cr.system_object.prototype.exps.loopindex
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"solved"
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							8206577751295899,
							false
							,[
							[
								4,
								113
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										104
									]
								]
							]
,							[
								0,
								[
									4,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											132
										]
									]
									,[
										6,
										[
											0,
											150
										]
										,[
											19,
											cr.system_object.prototype.exps.loopindex
										]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1453798336523287,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6469822600608697,
						false
						,[
						[
							11,
							"paused"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						321155265294148,
						false
						,[
						[
							4,
							83
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									700
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									560
								]
							]
						]
						]
					]
,					[
						83,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						7565124149092454,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								2,
								"missionplay"
							]
						]
						]
					]
,					[
						83,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						6286218850286731,
						false
						,[
						[
							10,
							2
						]
,						[
							7,
							[
								1,
								0.9
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4471940025053583,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_HOME"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											195
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											584
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"shophome"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						3352438546882573,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9774774340065141,
							false
							,[
							[
								11,
								"tutShop13"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							4422047227509095,
							false
							,[
							[
								11,
								"tutNext25"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							8770110181075481,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											25
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					824905272247596,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						109369964254867,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9542617394400317,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButtonSmall"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_ON"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											988
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											182
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"music"
									]
								]
,
								[
									7,
									[
										1,
										0.8
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5210257026637472,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldGold"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_MUSIC"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											988
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											123
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"music"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7041523839366648,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldGold"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_SFX"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											1123
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											123
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"sfx"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						703545357060831,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButtonSmall"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_ON"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											1123
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											182
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"sfx"
									]
								]
,
								[
									7,
									[
										1,
										0.8
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9243421469430235,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_END"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											1057
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											293
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"end"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1278155846410784,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_RESUME"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											1057
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											396
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"resumegame"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5016357082569643,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2494257717076153,
					false
					,[
					[
						1,
						[
							2,
							"checkDaily"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3920919340693317,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9984158008134265,
						false
						,[
						[
							11,
							"LastDatePlayed"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								20,
								193,
								cr.plugins_.Rex_Date.prototype.exps.Date,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8152285388895658,
						false
						,[
						[
							11,
							"LettersCollected"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6089277898246452,
						false
						,[
						[
							11,
							"LastDatePlayed"
						]
,						[
							7,
							[
								20,
								193,
								cr.plugins_.Rex_Date.prototype.exps.Date,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8892786509972308,
						false
						,[
						[
							11,
							"TodaySolved"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						2305064711085492,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2008458322659162,
							false
							,[
							[
								11,
								"DaysSolved"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									5
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							2058043720286093,
							false
							,[
							[
								11,
								"DaysSolved"
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6222748201874922,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5710192119210851,
					false
					,[
					[
						1,
						[
							2,
							"CreateDailyContent"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3719081602763949,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8609624369898208,
						false
						,[
						[
							4,
							114
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									427
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									104
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						6955236119786084,
						false
						,[
						[
							4,
							119
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									419
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									469
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8799937786947169,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkDay5"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"NO_STRING"
									]
								]
,
								[
									7,
									[
										20,
										119,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										20,
										119,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"day5Description"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						3225910718677554,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8654827660474428,
							false
							,[
							[
								11,
								"TodaySolved"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1548348593404732,
							false
							,[
							[
								1,
								[
									2,
									"createTextFieldDarkNextChallange"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"Str_THISCHALLANGE"
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											,[
												0,
												423
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													1
												]
												]
											]
											,[
												0,
												202
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"nextChallangeDescription"
										]
									]
,
									[
										7,
										[
											0,
											1
										]
									]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						3960373878955456,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							7022858900581321,
							false
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							2099732128401,
							false
							,[
							[
								1,
								[
									2,
									"createTextFieldDarkNextChallange"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"Str_NEXTCHALLANGE"
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											,[
												0,
												423
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													1
												]
												]
											]
											,[
												0,
												202
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"nextChallangeDescription"
										]
									]
,
									[
										7,
										[
											0,
											1
										]
									]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7703838649708084,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8598909604036324,
							false
							,[
							[
								11,
								"DaysSolved"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									5
								]
							]
							]
						]
						],
						[
						[
							119,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							3316649699558418,
							false
							,[
							[
								0,
								[
									0,
									1
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							3879186727574638,
							false
							,[
							[
								4,
								113
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										732
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										514
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9723801346758239,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							3177135905094983,
							false
						]
						],
						[
						[
							119,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							500231751496161,
							false
							,[
							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9534472735699259,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6434833553678897,
							false
							,[
							[
								11,
								"LettersCollected"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							7053621822603019,
							false
							,[
							[
								4,
								115
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										184
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										103
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4205515513654914,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1864231564689388,
							false
							,[
							[
								11,
								"LettersCollected"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							512621648931562,
							false
							,[
							[
								4,
								117
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										308
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										103
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						930187102964532,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							353761076750445,
							false
							,[
							[
								11,
								"LettersCollected"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									2
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							3499133538543764,
							false
							,[
							[
								4,
								117
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										433
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										103
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2638734580054335,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5265376170088512,
							false
							,[
							[
								11,
								"LettersCollected"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									3
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							6771259891171814,
							false
							,[
							[
								4,
								118
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										551
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										103
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						1980962934616279,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							567744203196889,
							false
							,[
							[
								11,
								"LettersCollected"
							]
,							[
								8,
								4
							]
,							[
								7,
								[
									0,
									4
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							7505744990711435,
							false
							,[
							[
								4,
								116
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										667
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										103
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5625666989013137,
					[
					[
						-1,
						cr.system_object.prototype.cnds.For,
						null,
						0,
						true,
						false,
						false,
						8329854005250624,
						false
						,[
						[
							1,
							[
								2,
								"days"
							]
						]
,						[
							0,
							[
								0,
								1
							]
						]
,						[
							0,
							[
								0,
								4
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						7721220074259446,
						false
						,[
						[
							4,
							120
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										164
									]
								]
								,[
									6,
									[
										0,
										168
									]
									,[
										5,
										[
											19,
											cr.system_object.prototype.exps.loopindex
										]
										,[
											0,
											1
										]
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									323
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7209719326366298,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCloth"
							]
						]
,						[
							13,
															[
									7,
									[
										10,
										[
											2,
											"Str_DAY"
										]
										,[
											19,
											cr.system_object.prototype.exps.loopindex
										]
									]
								]
,
								[
									7,
									[
										20,
										120,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											120,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											36
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"dayDescription"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7277152557331989,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCloth"
							]
						]
,						[
							13,
															[
									7,
									[
										10,
										[
											10,
											[
												2,
												"Str_DAY"
											]
											,[
												19,
												cr.system_object.prototype.exps.loopindex
											]
										]
										,[
											2,
											"PRICE"
										]
									]
								]
,
								[
									7,
									[
										20,
										120,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											120,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"dayPriceDescription"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3960391907638929,
						false
						,[
						[
							4,
							121
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								20,
								120,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									120,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									32
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						875226924435311,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5815130706938149,
							false
							,[
							[
								11,
								"DaysSolved"
							]
,							[
								8,
								5
							]
,							[
								7,
								[
									19,
									cr.system_object.prototype.exps.loopindex
								]
							]
							]
						]
						],
						[
						[
							120,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							7371792360585999,
							false
							,[
							[
								0,
								[
									0,
									1
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							7352264726681047,
							false
							,[
							[
								4,
								113
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											215
										]
									]
									,[
										6,
										[
											0,
											168
										]
										,[
											5,
											[
												19,
												cr.system_object.prototype.exps.loopindex
											]
											,[
												0,
												1
											]
										]
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										370
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8028821561046369,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							3723773702781805,
							false
						]
						],
						[
						[
							120,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							1145464390857307,
							false
							,[
							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4840936581274996,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2745790931682921,
						false
						,[
						[
							11,
							"paused"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						9838040403123478,
						false
						,[
						[
							4,
							83
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									700
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									560
								]
							]
						]
						]
					]
,					[
						83,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						7820468410088213,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								2,
								"missionplay"
							]
						]
						]
					]
,					[
						83,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						8270046370224549,
						false
						,[
						[
							10,
							2
						]
,						[
							7,
							[
								1,
								0.9
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9422189256181118,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_HOME"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											195
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											584
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"shophome"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4015831755592383,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						8033635134085623,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1155529467609276,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButtonSmall"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_ON"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											988
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											182
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"music"
									]
								]
,
								[
									7,
									[
										1,
										0.8
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6531924255918352,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldGold"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_MUSIC"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											988
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											123
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"music"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9805135020718001,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldGold"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_SFX"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											1123
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											123
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"sfx"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6424603041328005,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButtonSmall"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_ON"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											1123
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											182
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"sfx"
									]
								]
,
								[
									7,
									[
										1,
										0.8
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5984774933722129,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_END"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											1057
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											293
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"end"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7500246676334165,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_RESUME"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											1057
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											396
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"resumegame"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "LEVELSELECT WINDOW"],
			false,
			null,
			2443223477058091,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				2443223477058091,
				false
				,[
				[
					1,
					[
						2,
						"LEVELSELECT WINDOW"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1202399411148588,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3467895144532732,
					false
					,[
					[
						1,
						[
							2,
							"CreateLevelSelectContent"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7799199627530653,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1026657683411221,
						false
						,[
						[
							11,
							"RankInt"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								5,
								[
									23,
									"lvl2unlock"
								]
								,[
									0,
									1
								]
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						678313816204174,
						false
						,[
						[
							11,
							"ScenesUnlocked"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9096181457659446,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5804020568810762,
						false
						,[
						[
							11,
							"RankInt"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								5,
								[
									23,
									"lvl3unlock"
								]
								,[
									0,
									1
								]
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3217550565949048,
						false
						,[
						[
							11,
							"ScenesUnlocked"
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					]
				]
,				[
					1,
					"spacing",
					0,
					270,
false,false,9069076593384636,false
				]
,				[
					0,
					null,
					false,
					null,
					2522074643518039,
					[
					[
						-1,
						cr.system_object.prototype.cnds.For,
						null,
						0,
						true,
						false,
						false,
						8603778757441056,
						false
						,[
						[
							1,
							[
								2,
								"levels"
							]
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							0,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						2555992392697285,
						false
						,[
						[
							4,
							136
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										153
									]
								]
								,[
									6,
									[
										23,
										"spacing"
									]
									,[
										19,
										cr.system_object.prototype.exps.loopindex
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									293
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6306772858808015,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldGoldLevelSelect"
							]
						]
,						[
							13,
															[
									7,
									[
										10,
										[
											2,
											"Str_SCENE"
										]
										,[
											4,
											[
												19,
												cr.system_object.prototype.exps.loopindex
											]
											,[
												0,
												1
											]
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											,[
												0,
												153
											]
										]
										,[
											6,
											[
												23,
												"spacing"
											]
											,[
												19,
												cr.system_object.prototype.exps.loopindex
											]
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											87
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"scene1header"
									]
								]
,
								[
									7,
									[
										1,
										1.4
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						38888229526113,
						false
						,[
						[
							4,
							137
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										157
									]
								]
								,[
									6,
									[
										23,
										"spacing"
									]
									,[
										19,
										cr.system_object.prototype.exps.loopindex
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									284
								]
							]
						]
						]
					]
,					[
						137,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						745465750090196,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.loopindex
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						4244213705248568,
						false
						,[
						[
							4,
							140
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										152
									]
								]
								,[
									6,
									[
										23,
										"spacing"
									]
									,[
										19,
										cr.system_object.prototype.exps.loopindex
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									203
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9844771567166063,
						false
						,[
						[
							1,
							[
								10,
								[
									2,
									"createTextFieldDarkTopScoreS"
								]
								,[
									4,
									[
										19,
										cr.system_object.prototype.exps.loopindex
									]
									,[
										0,
										1
									]
								]
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"No_STRING"
									]
								]
,
								[
									7,
									[
										4,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											,[
												0,
												152
											]
										]
										,[
											6,
											[
												23,
												"spacing"
											]
											,[
												19,
												cr.system_object.prototype.exps.loopindex
											]
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											203
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"scene1score"
									]
								]
,
								[
									7,
									[
										1,
										0.8
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9322761054709188,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldGold"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_SCORE"
									]
								]
,
								[
									7,
									[
										4,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											,[
												0,
												150
											]
										]
										,[
											6,
											[
												23,
												"spacing"
											]
											,[
												19,
												cr.system_object.prototype.exps.loopindex
											]
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											174
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"scene1scoregold"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						2963577717748084,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							589233216895749,
							false
							,[
							[
								11,
								"ScenesUnlocked"
							]
,							[
								8,
								5
							]
,							[
								7,
								[
									19,
									cr.system_object.prototype.exps.loopindex
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							3446435408103056,
							false
							,[
							[
								4,
								83
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											150
										]
									]
									,[
										6,
										[
											23,
											"spacing"
										]
										,[
											19,
											cr.system_object.prototype.exps.loopindex
										]
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										301
									]
								]
							]
							]
						]
,						[
							83,
							cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
							null,
							4884124473347677,
							false
							,[
							[
								10,
								0
							]
,							[
								7,
								[
									10,
									[
										2,
										"levelselect"
									]
									,[
										4,
										[
											19,
											cr.system_object.prototype.exps.loopindex
										]
										,[
											0,
											1
										]
									]
								]
							]
							]
						]
,						[
							83,
							cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
							null,
							3145421030280934,
							false
							,[
							[
								10,
								2
							]
,							[
								7,
								[
									1,
									0.65
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						6190427786858456,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							8802927532397256,
							false
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							3697125691919421,
							false
							,[
							[
								4,
								138
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											153
										]
									]
									,[
										6,
										[
											23,
											"spacing"
										]
										,[
											19,
											cr.system_object.prototype.exps.loopindex
										]
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										267
									]
								]
							]
							]
						]
						]
						,[
						[
							0,
							null,
							false,
							null,
							3335755002154993,
							[
							[
								-1,
								cr.system_object.prototype.cnds.Compare,
								null,
								0,
								false,
								false,
								false,
								3986829720068571,
								false
								,[
								[
									7,
									[
										19,
										cr.system_object.prototype.exps.loopindex
									]
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										0,
										1
									]
								]
								]
							]
							],
							[
							[
								185,
								cr.plugins_.Function.prototype.acts.CallFunction,
								null,
								8824896380869707,
								false
								,[
								[
									1,
									[
										2,
										"createTextFieldGoldUnlockLvl"
									]
								]
,								[
									13,
																			[
											7,
											[
												10,
												[
													2,
													"LVL "
												]
												,[
													23,
													"lvl2unlock"
												]
											]
										]
,
										[
											7,
											[
												4,
												[
													4,
													[
														20,
														185,
														cr.plugins_.Function.prototype.exps.Param,
														false,
														null
														,[
[
															0,
															0
														]
														]
													]
													,[
														0,
														150
													]
												]
												,[
													6,
													[
														23,
														"spacing"
													]
													,[
														19,
														cr.system_object.prototype.exps.loopindex
													]
												]
											]
										]
,
										[
											7,
											[
												4,
												[
													20,
													185,
													cr.plugins_.Function.prototype.exps.Param,
													false,
													null
													,[
[
														0,
														1
													]
													]
												]
												,[
													0,
													335
												]
											]
										]
,
										[
											7,
											[
												2,
												"Mission"
											]
										]
,
										[
											7,
											[
												2,
												"scene1scoregold"
											]
										]
,
										[
											7,
											[
												0,
												1
											]
										]
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							9341280207936491,
							[
							[
								-1,
								cr.system_object.prototype.cnds.Compare,
								null,
								0,
								false,
								false,
								false,
								6805830209418985,
								false
								,[
								[
									7,
									[
										19,
										cr.system_object.prototype.exps.loopindex
									]
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										0,
										2
									]
								]
								]
							]
							],
							[
							[
								185,
								cr.plugins_.Function.prototype.acts.CallFunction,
								null,
								980329587424453,
								false
								,[
								[
									1,
									[
										2,
										"createTextFieldGoldUnlockLvl"
									]
								]
,								[
									13,
																			[
											7,
											[
												10,
												[
													2,
													"LVL "
												]
												,[
													23,
													"lvl3unlock"
												]
											]
										]
,
										[
											7,
											[
												4,
												[
													4,
													[
														20,
														185,
														cr.plugins_.Function.prototype.exps.Param,
														false,
														null
														,[
[
															0,
															0
														]
														]
													]
													,[
														0,
														150
													]
												]
												,[
													6,
													[
														23,
														"spacing"
													]
													,[
														19,
														cr.system_object.prototype.exps.loopindex
													]
												]
											]
										]
,
										[
											7,
											[
												4,
												[
													20,
													185,
													cr.plugins_.Function.prototype.exps.Param,
													false,
													null
													,[
[
														0,
														1
													]
													]
												]
												,[
													0,
													335
												]
											]
										]
,
										[
											7,
											[
												2,
												"Mission"
											]
										]
,
										[
											7,
											[
												2,
												"scene1scoregold"
											]
										]
,
										[
											7,
											[
												0,
												1
											]
										]
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							2856137570279906,
							[
							],
							[
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						1171067681901521,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							6898079110297791,
							false
							,[
							[
								7,
								[
									19,
									cr.system_object.prototype.exps.loopindex
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							5267955446332443,
							false
							,[
							[
								4,
								139
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											154
										]
									]
									,[
										6,
										[
											23,
											"spacing"
										]
										,[
											19,
											cr.system_object.prototype.exps.loopindex
										]
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										417
									]
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7098947263935805,
							false
							,[
							[
								1,
								[
									2,
									"createTextFieldDarkLevelParams"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"Str_SCORE"
										]
									]
,
									[
										7,
										[
											4,
											[
												4,
												[
													20,
													185,
													cr.plugins_.Function.prototype.exps.Param,
													false,
													null
													,[
[
														0,
														0
													]
													]
												]
												,[
													0,
													154
												]
											]
											,[
												6,
												[
													23,
													"spacing"
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													1
												]
												]
											]
											,[
												0,
												418
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"missionDescription"
										]
									]
,
									[
										7,
										[
											1,
											0.8
										]
									]
,
									[
										7,
										[
											0,
											1
										]
									]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4856221254248678,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							4161574596794769,
							false
							,[
							[
								7,
								[
									19,
									cr.system_object.prototype.exps.loopindex
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							4041077878227338,
							false
							,[
							[
								4,
								139
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											154
										]
									]
									,[
										6,
										[
											23,
											"spacing"
										]
										,[
											19,
											cr.system_object.prototype.exps.loopindex
										]
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										417
									]
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							9696781816265905,
							false
							,[
							[
								1,
								[
									2,
									"createTextFieldDarkLevelParams"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"Str_SCORE"
										]
									]
,
									[
										7,
										[
											4,
											[
												4,
												[
													20,
													185,
													cr.plugins_.Function.prototype.exps.Param,
													false,
													null
													,[
[
														0,
														0
													]
													]
												]
												,[
													0,
													154
												]
											]
											,[
												6,
												[
													23,
													"spacing"
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													1
												]
												]
											]
											,[
												0,
												418
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"missionDescription"
										]
									]
,
									[
										7,
										[
											1,
											0.8
										]
									]
,
									[
										7,
										[
											0,
											2
										]
									]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7755618167499382,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							8627701298216344,
							false
							,[
							[
								7,
								[
									19,
									cr.system_object.prototype.exps.loopindex
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									2
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							3576262071653783,
							false
							,[
							[
								4,
								139
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											154
										]
									]
									,[
										6,
										[
											23,
											"spacing"
										]
										,[
											19,
											cr.system_object.prototype.exps.loopindex
										]
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										417
									]
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6757177755052707,
							false
							,[
							[
								1,
								[
									2,
									"createTextFieldDarkLevelParams"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"Str_SCORE"
										]
									]
,
									[
										7,
										[
											4,
											[
												4,
												[
													20,
													185,
													cr.plugins_.Function.prototype.exps.Param,
													false,
													null
													,[
[
														0,
														0
													]
													]
												]
												,[
													0,
													154
												]
											]
											,[
												6,
												[
													23,
													"spacing"
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													1
												]
												]
											]
											,[
												0,
												418
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"missionDescription"
										]
									]
,
									[
										7,
										[
											1,
											0.8
										]
									]
,
									[
										7,
										[
											0,
											3
										]
									]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							2397310302318256,
							false
							,[
							[
								4,
								139
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											154
										]
									]
									,[
										6,
										[
											23,
											"spacing"
										]
										,[
											19,
											cr.system_object.prototype.exps.loopindex
										]
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
,						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							287902481559007,
							false
							,[
							[
								1,
								[
									2,
									"createTextFieldDarkLevelParams"
								]
							]
,							[
								13,
																	[
										7,
										[
											2,
											"Str_XP"
										]
									]
,
									[
										7,
										[
											4,
											[
												4,
												[
													20,
													185,
													cr.plugins_.Function.prototype.exps.Param,
													false,
													null
													,[
[
														0,
														0
													]
													]
												]
												,[
													0,
													154
												]
											]
											,[
												6,
												[
													23,
													"spacing"
												]
												,[
													19,
													cr.system_object.prototype.exps.loopindex
												]
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													1
												]
												]
											]
											,[
												0,
												468
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"missionDescription"
										]
									]
,
									[
										7,
										[
											1,
											0.8
										]
									]
,
									[
										7,
										[
											0,
											2
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7661060522148515,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1034817286091939,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_BACK"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											195
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											584
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"missions"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			1,
			"ShopcardX",
			0,
			0,
false,false,5698875050012897,false
		]
,		[
			1,
			"ShopcardY",
			0,
			0,
false,false,7696345474277836,false
		]
,		[
			1,
			"CardIndex",
			0,
			1,
false,false,244814583165165,false
		]
,		[
			1,
			"CatergoryIndex",
			0,
			0,
false,false,6191340174722761,false
		]
,		[
			1,
			"CardIndexP",
			0,
			1,
false,false,315648405635018,false
		]
,		[
			1,
			"CatergoryIndexP",
			0,
			0,
false,false,9416047393531296,false
		]
,		[
			0,
			[true, "SHOP WINDOW"],
			false,
			null,
			4959169427428669,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4959169427428669,
				false
				,[
				[
					1,
					[
						2,
						"SHOP WINDOW"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5768863682387452,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6563214166210081,
					false
					,[
					[
						1,
						[
							2,
							"DeleteShopCard"
						]
					]
					]
				]
				],
				[
				[
					129,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					249661018017192,
					false
				]
,				[
					128,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					3103168886428489,
					false
				]
,				[
					131,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					7395077679871396,
					false
				]
,				[
					132,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					2526913021635587,
					false
				]
,				[
					133,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					995835419172478,
					false
				]
,				[
					134,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					2632716344843868,
					false
				]
,				[
					122,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					955777501533798,
					false
				]
,				[
					123,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					7020554492432341,
					false
				]
,				[
					130,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					2591120401212775,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					7656131336268995,
					[
					[
						149,
						cr.plugins_.Sprite.prototype.cnds.IsOnLayer,
						null,
						0,
						false,
						false,
						false,
						9732329542436214,
						false
						,[
						[
							5,
							[
								2,
								"Mission"
							]
						]
						]
					]
					],
					[
					[
						149,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						4381908021194978,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5093105786061554,
					[
					[
						-1,
						cr.system_object.prototype.cnds.PickNth,
						null,
						0,
						false,
						false,
						false,
						8705985037255795,
						false
						,[
						[
							4,
							145
						]
,						[
							0,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						145,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						5718078774596709,
						false
					]
					]
				]
,				[
					0,
					null,
					true,
					null,
					825798284066925,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7277722950127891,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shopcardtext"
							]
						]
						]
					]
,					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						2050105909194181,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"pricetag"
							]
						]
						]
					]
,					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						9436268099617154,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shopAttribute"
							]
						]
						]
					]
,					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7934125703768662,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shopAttribute2"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						5967808494390007,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8534061327790181,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9685374937054333,
					false
					,[
					[
						1,
						[
							2,
							"CreateShopContent"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1372471499444463,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3735577580456522,
						false
						,[
						[
							1,
							[
								2,
								"createShopCategoryButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_BOOTS"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											7
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											96
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"boots"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4745598943190134,
						false
						,[
						[
							1,
							[
								2,
								"createShopCategoryButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_TROUSERS"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											7
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											186
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"trousers"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4892536661820704,
						false
						,[
						[
							1,
							[
								2,
								"createShopCategoryButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_JACKETS"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											7
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											276
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"jackets"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						575923736218508,
						false
						,[
						[
							1,
							[
								2,
								"createShopCategoryButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_HATS"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											7
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											366
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"hats"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8906606770064445,
						false
						,[
						[
							4,
							125
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									785
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									276
								]
							]
						]
						]
					]
,					[
						125,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						5272712050989268,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								2,
								"shopright"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3392232334307351,
						false
						,[
						[
							4,
							125
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									303
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									281
								]
							]
						]
						]
					]
,					[
						125,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						85371629239448,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								2,
								"shopleft"
							]
						]
						]
					]
,					[
						125,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						3398537988227833,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						138077176895247,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCard"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1274766310158471,
						false
						,[
						[
							11,
							"ShopcardX"
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4433976563400085,
						false
						,[
						[
							11,
							"ShopcardY"
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3705222696762034,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8229340355312806,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_BACK"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											195
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											584
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"missions"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6867581957531047,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9980891645851294,
						false
						,[
						[
							11,
							"tutShop13"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6618772083803694,
						false
						,[
						[
							1,
							[
								2,
								"ShowTutorial"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										13
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8459432185624866,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9091986053495713,
					false
					,[
					[
						1,
						[
							2,
							"CreateShopCard"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3508579589971634,
					false
					,[
					[
						4,
						129
					]
,					[
						5,
						[
							2,
							"Mission"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
							,[
								0,
								347
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								0,
								30
							]
						]
					]
					]
				]
,				[
					129,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					9890109270359887,
					false
					,[
					[
						0,
						[
							23,
							"CatergoryIndex"
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8990316833687372,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkShopCard"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										1
									]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										200
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										72
									]
								]
							]
,
							[
								7,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
,
							[
								7,
								[
									2,
									"shopcardtext"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8077402622006849,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldDarkCoinsPriceTag"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										7
									]
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										115
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										448
									]
								]
							]
,
							[
								7,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
,
							[
								7,
								[
									2,
									"pricetag"
								]
							]
,
							[
								7,
								[
									1,
									1.3
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9347874905313163,
					false
					,[
					[
						4,
						145
					]
,					[
						5,
						[
							20,
							129,
							cr.plugins_.Sprite.prototype.exps.LayerName,
							true,
							null
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								247
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								449
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6976061197155535,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5064749835195485,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8549031032945665,
						false
						,[
						[
							4,
							128
						]
,						[
							5,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									203
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									188
								]
							]
						]
						]
					]
,					[
						128,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						6160981578811532,
						false
						,[
						[
							0,
							[
								5,
								[
									23,
									"CardIndex"
								]
								,[
									0,
									1
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2171651400586295,
						false
						,[
						[
							1,
							[
								2,
								"resetTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5967423295751942,
						false
						,[
						[
							1,
							[
								2,
								"updateCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8425827866516187,
						false
						,[
						[
							11,
							"CharMapBootsTemp"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2527203232894072,
						false
						,[
						[
							1,
							[
								2,
								"assigneTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3421340326627512,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3246091228268031,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3549896003600555,
						false
						,[
						[
							4,
							131
						]
,						[
							5,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									203
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									188
								]
							]
						]
						]
					]
,					[
						131,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						9065312313829165,
						false
						,[
						[
							0,
							[
								5,
								[
									23,
									"CardIndex"
								]
								,[
									0,
									1
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3829276031594433,
						false
						,[
						[
							1,
							[
								2,
								"resetTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5025190984980747,
						false
						,[
						[
							1,
							[
								2,
								"updateCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						755398493961385,
						false
						,[
						[
							11,
							"CharMapTrousersTemp"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7458626292877734,
						false
						,[
						[
							1,
							[
								2,
								"assigneTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9842912988688036,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8511799601072464,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						7715277993143671,
						false
						,[
						[
							4,
							132
						]
,						[
							5,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									203
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									188
								]
							]
						]
						]
					]
,					[
						132,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						6038222801104466,
						false
						,[
						[
							0,
							[
								5,
								[
									23,
									"CardIndex"
								]
								,[
									0,
									1
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6296661529772997,
						false
						,[
						[
							1,
							[
								2,
								"resetTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4627748616194232,
						false
						,[
						[
							1,
							[
								2,
								"updateCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						517950169264815,
						false
						,[
						[
							11,
							"CharMapJacketTemp"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6346438323103743,
						false
						,[
						[
							1,
							[
								2,
								"assigneTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5259142739971122,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6947653041477881,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						685787389289828,
						false
						,[
						[
							4,
							133
						]
,						[
							5,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									203
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									188
								]
							]
						]
						]
					]
,					[
						133,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						1940764007357819,
						false
						,[
						[
							0,
							[
								5,
								[
									23,
									"CardIndex"
								]
								,[
									0,
									1
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8915206201996608,
						false
						,[
						[
							1,
							[
								2,
								"resetTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2063506733122628,
						false
						,[
						[
							1,
							[
								2,
								"updateCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6559941739704713,
						false
						,[
						[
							11,
							"CharMapHatTemp"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2155116731196317,
						false
						,[
						[
							1,
							[
								2,
								"assigneTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3420774448097606,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						337543956633209,
						false
						,[
						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NO"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						2940328193509272,
						false
						,[
						[
							4,
							149
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									208
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									316
								]
							]
						]
						]
					]
,					[
						149,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						6381891761896575,
						false
						,[
						[
							0,
							[
								23,
								"CatergoryIndex"
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1812257495880905,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkShopAttribute"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												10,
												[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CatergoryIndex"
													]
													]
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CardIndex"
													]
													]
												]
											]
											]
										]
,[
											0,
											3
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											149,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"shopAttribute"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
,
								[
									7,
									[
										19,
										cr.system_object.prototype.exps["int"]
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												20,
												171,
												cr.plugins_.Arr.prototype.exps.IndexOf,
												false,
												null
												,[
[
													10,
													[
														19,
														cr.system_object.prototype.exps.str
														,[
[
															23,
															"CatergoryIndex"
														]
														]
													]
													,[
														19,
														cr.system_object.prototype.exps.str
														,[
[
															23,
															"CardIndex"
														]
														]
													]
												]
												]
											]
,[
												0,
												4
											]
											]
										]
										]
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5477567222415915,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						277456499391262,
						false
						,[
						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									5
								]
								]
							]
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NO"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						6742558944451663,
						false
						,[
						[
							4,
							149
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									208
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									371
								]
							]
						]
						]
					]
,					[
						149,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						2290718140731269,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2473518523234421,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkShopAttribute2"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												10,
												[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CatergoryIndex"
													]
													]
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CardIndex"
													]
													]
												]
											]
											]
										]
,[
											0,
											5
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											149,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											4
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"shopAttribute2"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
,
								[
									7,
									[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												10,
												[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CatergoryIndex"
													]
													]
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CardIndex"
													]
													]
												]
											]
											]
										]
,[
											0,
											6
										]
										]
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5985650944637787,
					[
					[
						166,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						false,
						false,
						6380251469121583,
						false
						,[
						[
							1,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndex"
									]
									]
								]
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						4371026493998359,
						[
						[
							164,
							cr.plugins_.Dictionary.prototype.cnds.CompareValue,
							null,
							0,
							false,
							false,
							false,
							4114167670723092,
							false
							,[
							[
								1,
								[
									2,
									"Boots"
								]
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									10,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndex"
										]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndex"
										]
										]
									]
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9798575143405809,
							false
							,[
							[
								11,
								"CatergoryIndex"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							196536411613499,
							false
							,[
							[
								4,
								123
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										376
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4291902883625573,
						[
						[
							164,
							cr.plugins_.Dictionary.prototype.cnds.CompareValue,
							null,
							0,
							false,
							false,
							false,
							9319907422516248,
							false
							,[
							[
								1,
								[
									2,
									"Trousers"
								]
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									10,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndex"
										]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndex"
										]
										]
									]
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5957589239243662,
							false
							,[
							[
								11,
								"CatergoryIndex"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							1405088566591596,
							false
							,[
							[
								4,
								123
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										376
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8179546718213021,
						[
						[
							164,
							cr.plugins_.Dictionary.prototype.cnds.CompareValue,
							null,
							0,
							false,
							false,
							false,
							2668509157805367,
							false
							,[
							[
								1,
								[
									2,
									"Jacket"
								]
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									10,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndex"
										]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndex"
										]
										]
									]
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1377711120017552,
							false
							,[
							[
								11,
								"CatergoryIndex"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									2
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							1372436592232781,
							false
							,[
							[
								4,
								123
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										376
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5451665039488839,
						[
						[
							164,
							cr.plugins_.Dictionary.prototype.cnds.CompareValue,
							null,
							0,
							false,
							false,
							false,
							9536940356669658,
							false
							,[
							[
								1,
								[
									2,
									"Hat"
								]
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									10,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndex"
										]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndex"
										]
										]
									]
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							4529330007076367,
							false
							,[
							[
								11,
								"CatergoryIndex"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									3
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							678979949765028,
							false
							,[
							[
								4,
								123
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										376
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2411960779507495,
					[
					[
						166,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						true,
						false,
						8220687254194557,
						false
						,[
						[
							1,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndex"
									]
									]
								]
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						5294248101360155,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							4972000612226982,
							false
							,[
							[
								11,
								"RankInt"
							]
,							[
								8,
								5
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										2
									]
									]
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							7147231954572023,
							false
							,[
							[
								4,
								122
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										376
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2349435372295972,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							1011232356762692,
							false
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6573108568923001,
							false
							,[
							[
								1,
								[
									2,
									"createShopLockedButton"
								]
							]
,							[
								13,
																	[
										7,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												171,
												cr.plugins_.Arr.prototype.exps.At,
												false,
												null
												,[
[
													20,
													171,
													cr.plugins_.Arr.prototype.exps.IndexOf,
													false,
													null
													,[
[
														10,
														[
															19,
															cr.system_object.prototype.exps.str
															,[
[
																23,
																"CatergoryIndex"
															]
															]
														]
														,[
															19,
															cr.system_object.prototype.exps.str
															,[
[
																23,
																"CardIndex"
															]
															]
														]
													]
													]
												]
,[
													0,
													2
												]
												]
											]
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												129,
												cr.plugins_.Sprite.prototype.exps.X,
												false,
												null
											]
											,[
												0,
												376
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												129,
												cr.plugins_.Sprite.prototype.exps.Y,
												false,
												null
											]
											,[
												0,
												468
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"lockedfield"
										]
									]
,
									[
										7,
										[
											0,
											1
										]
									]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				322255060248975,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3248365672778378,
					false
					,[
					[
						1,
						[
							2,
							"CreatePremiumContent"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6521437113211629,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9675568203633115,
						false
						,[
						[
							1,
							[
								2,
								"createShopCategoryButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_BOOTS"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											7
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											96
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"boots"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6160575258561891,
						false
						,[
						[
							1,
							[
								2,
								"createShopCategoryButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_TROUSERS"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											7
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											186
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"trousers"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3446414087014252,
						false
						,[
						[
							1,
							[
								2,
								"createShopCategoryButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_JACKETS"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											7
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											276
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"jackets"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6177042755617624,
						false
						,[
						[
							1,
							[
								2,
								"createShopCategoryButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_HATS"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											7
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											366
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"hats"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7946380641182814,
						false
						,[
						[
							1,
							[
								2,
								"createShopCategoryButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_OTHER"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											7
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											456
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"other"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						1853280987064579,
						false
						,[
						[
							4,
							125
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									785
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									276
								]
							]
						]
						]
					]
,					[
						125,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						4663210700287338,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								2,
								"shopright"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8127347498211717,
						false
						,[
						[
							4,
							125
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									303
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									281
								]
							]
						]
						]
					]
,					[
						125,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						4775835104069728,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								2,
								"shopleft"
							]
						]
						]
					]
,					[
						125,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						1002632677029432,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3216837361523445,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCardPremium"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6399794962967113,
						false
						,[
						[
							11,
							"ShopcardX"
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						768197492638877,
						false
						,[
						[
							11,
							"ShopcardY"
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5624273561445476,
						false
						,[
						[
							11,
							"MpremiumVisited"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5018548390480093,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9979384776008137,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"iOS"
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							8772185508162078,
							false
							,[
							[
								4,
								124
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										285
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									,[
										0,
										453
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2785283118296596,
						[
						[
							194,
							cr.plugins_.Flurry.prototype.cnds.flurryReady,
							null,
							0,
							false,
							false,
							false,
							7661334831881518,
							false
						]
						],
						[
						[
							194,
							cr.plugins_.Flurry.prototype.acts.logEvent,
							null,
							4110227393449435,
							false
							,[
							[
								1,
								[
									2,
									"PremiumShopViewed"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2507316707539396,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1401389961692166,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_BACK"
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											195
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												1
											]
											]
										]
										,[
											0,
											584
										]
									]
								]
,
								[
									7,
									[
										2,
										"Mission"
									]
								]
,
								[
									7,
									[
										2,
										"missions"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6128310969299075,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7155222967880026,
					false
					,[
					[
						1,
						[
							2,
							"CreateShopCardPremium"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1167706896829113,
					false
					,[
					[
						4,
						129
					]
,					[
						5,
						[
							2,
							"Mission"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
							,[
								0,
								347
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								0,
								30
							]
						]
					]
					]
				]
,				[
					129,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					6120214404255015,
					false
					,[
					[
						0,
						[
							23,
							"CatergoryIndexP"
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2225449835833977,
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,
						null,
						0,
						false,
						false,
						false,
						7912838013369954,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2238307867678858,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkShopCardCocoon"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										192,
										cr.plugins_.CJSAds.prototype.exps.ProductTitle,
										true,
										null
										,[
[
											19,
											cr.system_object.prototype.exps["int"]
											,[
[
												20,
												171,
												cr.plugins_.Arr.prototype.exps.At,
												false,
												null
												,[
[
													20,
													171,
													cr.plugins_.Arr.prototype.exps.IndexOf,
													false,
													null
													,[
[
														10,
														[
															10,
															[
																2,
																"P"
															]
															,[
																19,
																cr.system_object.prototype.exps.str
																,[
[
																	23,
																	"CatergoryIndexP"
																]
																]
															]
														]
														,[
															19,
															cr.system_object.prototype.exps.str
															,[
[
																23,
																"CardIndexP"
															]
															]
														]
													]
													]
												]
,[
													0,
													10
												]
												]
											]
											]
										]
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											129,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											200
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											129,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											72
										]
									]
								]
,
								[
									7,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"shopcardtext"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7018558701181631,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCoinsPriceTagCocoon"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											192,
											cr.plugins_.CJSAds.prototype.exps.ProductLocalizedPrice,
											true,
											null
											,[
[
												19,
												cr.system_object.prototype.exps["int"]
												,[
[
													20,
													171,
													cr.plugins_.Arr.prototype.exps.At,
													false,
													null
													,[
[
														20,
														171,
														cr.plugins_.Arr.prototype.exps.IndexOf,
														false,
														null
														,[
[
															10,
															[
																10,
																[
																	2,
																	"P"
																]
																,[
																	19,
																	cr.system_object.prototype.exps.str
																	,[
[
																		23,
																		"CatergoryIndexP"
																	]
																	]
																]
															]
															,[
																19,
																cr.system_object.prototype.exps.str
																,[
[
																	23,
																	"CardIndexP"
																]
																]
															]
														]
														]
													]
,[
														0,
														10
													]
													]
												]
												]
											]
											]
										]
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											129,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											182
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											129,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											448
										]
									]
								]
,
								[
									7,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"pricetag"
									]
								]
,
								[
									7,
									[
										1,
										1.3
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8190318435914007,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						4660761080620704,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6474671475693426,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkShopCard"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												10,
												[
													10,
													[
														2,
														"P"
													]
													,[
														19,
														cr.system_object.prototype.exps.str
														,[
[
															23,
															"CatergoryIndexP"
														]
														]
													]
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CardIndexP"
													]
													]
												]
											]
											]
										]
,[
											0,
											1
										]
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											129,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											200
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											129,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											72
										]
									]
								]
,
								[
									7,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"shopcardtext"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6628953326085337,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCoinsPriceTag"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												10,
												[
													10,
													[
														2,
														"P"
													]
													,[
														19,
														cr.system_object.prototype.exps.str
														,[
[
															23,
															"CatergoryIndexP"
														]
														]
													]
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CardIndexP"
													]
													]
												]
											]
											]
										]
,[
											0,
											7
										]
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											129,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											182
										]
									]
								]
,
								[
									7,
									[
										4,
										[
											20,
											129,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											448
										]
									]
								]
,
								[
									7,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"pricetag"
									]
								]
,
								[
									7,
									[
										1,
										1.3
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3985344199668241,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2770974975096748,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						4212726661457262,
						false
						,[
						[
							4,
							128
						]
,						[
							5,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									203
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									188
								]
							]
						]
						]
					]
,					[
						128,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						2126285588440346,
						false
						,[
						[
							0,
							[
								4,
								[
									5,
									[
										23,
										"CardIndexP"
									]
									,[
										0,
										1
									]
								]
								,[
									19,
									cr.system_object.prototype.exps["int"]
									,[
[
										20,
										169,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7893212294912565,
						false
						,[
						[
							1,
							[
								2,
								"resetTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2482790150224453,
						false
						,[
						[
							1,
							[
								2,
								"updateCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5330337272018657,
						false
						,[
						[
							11,
							"CharMapBootsTemp"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7079237471864784,
						false
						,[
						[
							1,
							[
								2,
								"assigneTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3633318559406244,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6550089516972793,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						2721387427346572,
						false
						,[
						[
							4,
							131
						]
,						[
							5,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									203
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									188
								]
							]
						]
						]
					]
,					[
						131,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						2212650724101179,
						false
						,[
						[
							0,
							[
								4,
								[
									5,
									[
										23,
										"CardIndexP"
									]
									,[
										0,
										1
									]
								]
								,[
									19,
									cr.system_object.prototype.exps["int"]
									,[
[
										20,
										169,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											0,
											1
										]
										]
									]
									]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						246958160114411,
						false
						,[
						[
							1,
							[
								2,
								"resetTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9762978252267679,
						false
						,[
						[
							1,
							[
								2,
								"updateCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2905583283188059,
						false
						,[
						[
							11,
							"CharMapTrousersTemp"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8518762493990737,
						false
						,[
						[
							1,
							[
								2,
								"assigneTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7604229728094134,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4508122246630484,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						6354191584217892,
						false
						,[
						[
							4,
							132
						]
,						[
							5,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									203
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									188
								]
							]
						]
						]
					]
,					[
						132,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						7261012233011178,
						false
						,[
						[
							0,
							[
								4,
								[
									5,
									[
										23,
										"CardIndexP"
									]
									,[
										0,
										1
									]
								]
								,[
									19,
									cr.system_object.prototype.exps["int"]
									,[
[
										20,
										169,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											0,
											2
										]
										]
									]
									]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6018586748908188,
						false
						,[
						[
							1,
							[
								2,
								"resetTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2286837724111216,
						false
						,[
						[
							1,
							[
								2,
								"updateCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7913053413337002,
						false
						,[
						[
							11,
							"CharMapJacketTemp"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2552645955759866,
						false
						,[
						[
							1,
							[
								2,
								"assigneTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2820201722638887,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1377834894283004,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3900790320228847,
						false
						,[
						[
							4,
							133
						]
,						[
							5,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									203
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									188
								]
							]
						]
						]
					]
,					[
						133,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						5593673180774483,
						false
						,[
						[
							0,
							[
								4,
								[
									5,
									[
										23,
										"CardIndexP"
									]
									,[
										0,
										1
									]
								]
								,[
									19,
									cr.system_object.prototype.exps["int"]
									,[
[
										20,
										169,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											0,
											3
										]
										]
									]
									]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7711265170845215,
						false
						,[
						[
							1,
							[
								2,
								"resetTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5395356220684285,
						false
						,[
						[
							1,
							[
								2,
								"updateCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1597857404595992,
						false
						,[
						[
							11,
							"CharMapHatTemp"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3314030456452331,
						false
						,[
						[
							1,
							[
								2,
								"assigneTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7228292475479486,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4565495417547045,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								4
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						9481717694616114,
						false
						,[
						[
							4,
							134
						]
,						[
							5,
							[
								20,
								129,
								cr.plugins_.Sprite.prototype.exps.LayerName,
								true,
								null
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									203
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									188
								]
							]
						]
						]
					]
,					[
						134,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						4313747391088105,
						false
						,[
						[
							0,
							[
								5,
								[
									23,
									"CardIndexP"
								]
								,[
									0,
									1
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9460086192892304,
						false
						,[
						[
							1,
							[
								2,
								"resetTempCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7787050788050121,
						false
						,[
						[
							1,
							[
								2,
								"updateCharacterMaps"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6621428891716652,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						1063008819736639,
						false
						,[
						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NO"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						7423047837705002,
						false
						,[
						[
							4,
							149
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									208
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									316
								]
							]
						]
						]
					]
,					[
						149,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						2941055555704052,
						false
						,[
						[
							0,
							[
								23,
								"CatergoryIndexP"
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6858233639439737,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkShopAttributePremium"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												10,
												[
													10,
													[
														2,
														"P"
													]
													,[
														19,
														cr.system_object.prototype.exps.str
														,[
[
															23,
															"CatergoryIndexP"
														]
														]
													]
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CardIndexP"
													]
													]
												]
											]
											]
										]
,[
											0,
											3
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											149,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"shopAttribute"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
,
								[
									7,
									[
										19,
										cr.system_object.prototype.exps["int"]
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												20,
												171,
												cr.plugins_.Arr.prototype.exps.IndexOf,
												false,
												null
												,[
[
													10,
													[
														10,
														[
															2,
															"P"
														]
														,[
															19,
															cr.system_object.prototype.exps.str
															,[
[
																23,
																"CatergoryIndexP"
															]
															]
														]
													]
													,[
														19,
														cr.system_object.prototype.exps.str
														,[
[
															23,
															"CardIndexP"
														]
														]
													]
												]
												]
											]
,[
												0,
												4
											]
											]
										]
										]
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2861919020612279,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						7036518270516059,
						false
						,[
						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									5
								]
								]
							]
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NO"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						4453633493268248,
						false
						,[
						[
							4,
							149
						]
,						[
							5,
							[
								2,
								"Mission"
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									208
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									129,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									371
								]
							]
						]
						]
					]
,					[
						149,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						8507963426293371,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6756786905360312,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkShopAttribute2"
							]
						]
,						[
							13,
															[
									7,
									[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												10,
												[
													10,
													[
														2,
														"P"
													]
													,[
														19,
														cr.system_object.prototype.exps.str
														,[
[
															23,
															"CatergoryIndexP"
														]
														]
													]
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CardIndexP"
													]
													]
												]
											]
											]
										]
,[
											0,
											5
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											149,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											4
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"shopAttribute2"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
,
								[
									7,
									[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												10,
												[
													10,
													[
														2,
														"P"
													]
													,[
														19,
														cr.system_object.prototype.exps.str
														,[
[
															23,
															"CatergoryIndexP"
														]
														]
													]
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CardIndexP"
													]
													]
												]
											]
											]
										]
,[
											0,
											6
										]
										]
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1380748404688537,
					[
					[
						166,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						false,
						false,
						8884422125205869,
						false
						,[
						[
							1,
							[
								10,
								[
									10,
									[
										2,
										"P"
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndexP"
										]
										]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndexP"
									]
									]
								]
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						8928285821802477,
						[
						[
							164,
							cr.plugins_.Dictionary.prototype.cnds.CompareValue,
							null,
							0,
							false,
							false,
							false,
							9355748930606025,
							false
							,[
							[
								1,
								[
									2,
									"Boots"
								]
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									10,
									[
										10,
										[
											2,
											"P"
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndexP"
											]
											]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndexP"
										]
										]
									]
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9377853050339313,
							false
							,[
							[
								11,
								"CatergoryIndexP"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							7648005834141254,
							false
							,[
							[
								4,
								123
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										376
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						1736588509640414,
						[
						[
							164,
							cr.plugins_.Dictionary.prototype.cnds.CompareValue,
							null,
							0,
							false,
							false,
							false,
							2154431674153861,
							false
							,[
							[
								1,
								[
									2,
									"Trousers"
								]
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									10,
									[
										10,
										[
											2,
											"P"
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndexP"
											]
											]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndexP"
										]
										]
									]
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8248789218803821,
							false
							,[
							[
								11,
								"CatergoryIndexP"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							7990725731739717,
							false
							,[
							[
								4,
								123
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										376
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5858631405263452,
						[
						[
							164,
							cr.plugins_.Dictionary.prototype.cnds.CompareValue,
							null,
							0,
							false,
							false,
							false,
							4150613211407192,
							false
							,[
							[
								1,
								[
									2,
									"Jacket"
								]
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									10,
									[
										10,
										[
											2,
											"P"
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndexP"
											]
											]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndexP"
										]
										]
									]
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5904377887404182,
							false
							,[
							[
								11,
								"CatergoryIndexP"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									2
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							8653522019544425,
							false
							,[
							[
								4,
								123
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										376
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9388913922243568,
						[
						[
							164,
							cr.plugins_.Dictionary.prototype.cnds.CompareValue,
							null,
							0,
							false,
							false,
							false,
							2082616638892761,
							false
							,[
							[
								1,
								[
									2,
									"Hat"
								]
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									10,
									[
										10,
										[
											2,
											"P"
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndexP"
											]
											]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndexP"
										]
										]
									]
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7463296128020189,
							false
							,[
							[
								11,
								"CatergoryIndexP"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									3
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							4464642899749088,
							false
							,[
							[
								4,
								123
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										376
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4424372097302061,
					[
					[
						166,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						true,
						false,
						9821302045419004,
						false
						,[
						[
							1,
							[
								10,
								[
									10,
									[
										2,
										"P"
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndexP"
										]
										]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndexP"
									]
									]
								]
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						8413531558532718,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							4477506452885617,
							false
							,[
							[
								11,
								"RankInt"
							]
,							[
								8,
								5
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												10,
												[
													2,
													"P"
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CatergoryIndexP"
													]
													]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndexP"
												]
												]
											]
										]
										]
									]
,[
										0,
										2
									]
									]
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.CreateObject,
							null,
							9932651910459178,
							false
							,[
							[
								4,
								122
							]
,							[
								5,
								[
									2,
									"Mission"
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
									,[
										0,
										376
									]
								]
							]
,							[
								0,
								[
									4,
									[
										20,
										129,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										468
									]
								]
							]
							]
						]
,						[
							122,
							cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
							null,
							1161217048630638,
							false
							,[
							[
								10,
								0
							]
,							[
								7,
								[
									2,
									"shopcard"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9293815378277006,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							701465045174548,
							false
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5398846628959584,
							false
							,[
							[
								1,
								[
									2,
									"createShopLockedButton"
								]
							]
,							[
								13,
																	[
										7,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												171,
												cr.plugins_.Arr.prototype.exps.At,
												false,
												null
												,[
[
													20,
													171,
													cr.plugins_.Arr.prototype.exps.IndexOf,
													false,
													null
													,[
[
														10,
														[
															19,
															cr.system_object.prototype.exps.str
															,[
[
																23,
																"CatergoryIndex"
															]
															]
														]
														,[
															19,
															cr.system_object.prototype.exps.str
															,[
[
																23,
																"CardIndex"
															]
															]
														]
													]
													]
												]
,[
													0,
													2
												]
												]
											]
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												129,
												cr.plugins_.Sprite.prototype.exps.X,
												false,
												null
											]
											,[
												0,
												376
											]
										]
									]
,
									[
										7,
										[
											4,
											[
												20,
												129,
												cr.plugins_.Sprite.prototype.exps.Y,
												false,
												null
											]
											,[
												0,
												468
											]
										]
									]
,
									[
										7,
										[
											2,
											"Mission"
										]
									]
,
									[
										7,
										[
											2,
											"lockedfield"
										]
									]
,
									[
										7,
										[
											0,
											1
										]
									]
							]
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "CUSTOMIZE WINDOW"],
			false,
			null,
			310910160326403,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				310910160326403,
				false
				,[
				[
					1,
					[
						2,
						"CUSTOMIZE WINDOW"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				985794890576038,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6190941442791915,
					false
					,[
					[
						1,
						[
							2,
							"UpdateCustomizeButton"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					true,
					null,
					323601549531244,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4499691085339707,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"shop"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7118350544402707,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"premium"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						809536286482643,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							174696206367967,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"customize"
								]
							]
							]
						]
						],
						[
						[
							64,
							cr.plugins_.Sprite.prototype.acts.Destroy,
							null,
							2654607405457706,
							false
						]
						]
					]
					]
				]
,				[
					0,
					null,
					true,
					null,
					2643621254578464,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6855239416532656,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"missions"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2718565068396186,
						false
						,[
						[
							11,
							"ShopMissionMode"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"daily"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						409532835130681,
						false
						,[
						[
							1,
							[
								2,
								"createGenericButton"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_CUSTOMIZE"
									]
								]
,
								[
									7,
									[
										19,
										cr.system_object.prototype.exps["int"]
										,[
[
											19,
											cr.system_object.prototype.exps.tokenat
											,[
[
												23,
												"ButtonCustomizePos"
											]
,[
												0,
												0
											]
,[
												2,
												","
											]
											]
										]
										]
									]
								]
,
								[
									7,
									[
										19,
										cr.system_object.prototype.exps["int"]
										,[
[
											19,
											cr.system_object.prototype.exps.tokenat
											,[
[
												23,
												"ButtonCustomizePos"
											]
,[
												0,
												1
											]
,[
												2,
												","
											]
											]
										]
										]
									]
								]
,
								[
									7,
									[
										2,
										"Customize"
									]
								]
,
								[
									7,
									[
										2,
										"customize"
									]
								]
,
								[
									7,
									[
										0,
										1
									]
								]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4983761635091348,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9760795723831882,
						false
						,[
						[
							11,
							"tutOpenShop12"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						338005659315821,
						false
						,[
						[
							11,
							"paused"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9676497034246703,
						false
						,[
						[
							1,
							[
								2,
								"ShowTutorial"
							]
						]
,						[
							13,
															[
									7,
									[
										0,
										12
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3709843714194591,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6861124324482722,
					false
					,[
					[
						1,
						[
							2,
							"CreateCustomizeWindow"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					6317975079984272,
					false
					,[
					[
						4,
						148
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								0,
								400
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7936582299459416,
					false
					,[
					[
						4,
						151
					]
,					[
						5,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								3
							]
							]
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							,[
								0,
								400
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									2
								]
								]
							]
							,[
								0,
								3
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1080784993971268,
					false
					,[
					[
						1,
						[
							2,
							"CreateClothAttributeFields"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoString"
								]
							]
,
							[
								7,
								[
									20,
									148,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
							]
,
							[
								7,
								[
									20,
									148,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
							]
,
							[
								7,
								[
									20,
									148,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3491710237397302,
					false
					,[
					[
						1,
						[
							2,
							"CreateCharacterAttributeFields"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"NoString"
								]
							]
,
							[
								7,
								[
									20,
									148,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
							]
,
							[
								7,
								[
									20,
									148,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
							]
,
							[
								7,
								[
									20,
									148,
									cr.plugins_.Sprite.prototype.exps.LayerName,
									true,
									null
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9155827371396799,
					false
					,[
					[
						4,
						191
					]
,					[
						5,
						[
							20,
							148,
							cr.plugins_.Sprite.prototype.exps.LayerName,
							true,
							null
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								148,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								80
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								148,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								215
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5891429646820283,
					false
					,[
					[
						11,
						"ButtonCustomizePos"
					]
,					[
						7,
						[
							10,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										4,
										[
											20,
											148,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											203
										]
									]
									]
								]
								,[
									2,
									","
								]
							]
							,[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									4,
									[
										20,
										148,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										583
									]
								]
								]
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					589813015265277,
					false
					,[
					[
						1,
						[
							2,
							"UpdateCustomizeButton"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9049013082530365,
					false
					,[
					[
						11,
						"CustomizeActive"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3177526545645098,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4912118869679235,
					false
					,[
					[
						1,
						[
							2,
							"CreateClothAttributeFields"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5402328931016228,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						1231519216663158,
						false
						,[
						[
							4,
							149
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									279
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
								,[
									0,
									47
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3576161929609474,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCloth"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											168,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Hat"
											]
											]
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											149,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"hatAttribute"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
						]
						]
					]
,					[
						149,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						3885067569750387,
						false
						,[
						[
							0,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						1950664019305828,
						false
						,[
						[
							4,
							149
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									279
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
								,[
									0,
									97
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6186519993073735,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCloth"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											168,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Jacket"
											]
											]
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											149,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"jacketAttribute"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
						]
						]
					]
,					[
						149,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						2276043121608679,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						7587120616587129,
						false
						,[
						[
							4,
							149
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									279
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
								,[
									0,
									147
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4703490862152421,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCloth"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											168,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Trousers"
											]
											]
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											149,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"trousersAttribute"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
						]
						]
					]
,					[
						149,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						9314761226594907,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						1691880621022519,
						false
						,[
						[
							4,
							149
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									279
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
								,[
									0,
									197
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3473805609235514,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCloth"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											168,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Boots"
											]
											]
										]
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											149,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										149,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"bootsAttribute"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
						]
						]
					]
,					[
						149,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						582241475405113,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4211645794973085,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3674104860278027,
					false
					,[
					[
						1,
						[
							2,
							"CreateCharacterAttributeFields"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5954433286403113,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8743167852326215,
						false
						,[
						[
							4,
							150
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									205
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
								,[
									0,
									280
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3484333569477202,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCharAttributes"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_SPEED"
									]
								]
,
								[
									7,
									[
										20,
										150,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											150,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										150,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"charSpeed"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
,
								[
									7,
									[
										10,
										[
											2,
											" + "
										]
										,[
											23,
											"CharSpeed"
										]
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						6564413515868288,
						false
						,[
						[
							4,
							150
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									205
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
								,[
									0,
									332
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3221341315794667,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCharAttributes"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_TOPSPEED"
									]
								]
,
								[
									7,
									[
										20,
										150,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											150,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										150,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"charTopSpeed"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
,
								[
									7,
									[
										10,
										[
											2,
											" + "
										]
										,[
											23,
											"CharTopSpeed"
										]
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8431947373287893,
						false
						,[
						[
							4,
							150
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									205
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
								,[
									0,
									384
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						916047864725087,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCharAttributes"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_BOOST"
									]
								]
,
								[
									7,
									[
										20,
										150,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											150,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										150,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"charBoost"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
,
								[
									7,
									[
										10,
										[
											2,
											" + "
										]
										,[
											23,
											"CharBoost"
										]
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3891305751983756,
						false
						,[
						[
							4,
							150
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									205
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
								,[
									0,
									436
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5282200688955831,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCharAttributes"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_LUCK"
									]
								]
,
								[
									7,
									[
										20,
										150,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											150,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										150,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"charLuck"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
,
								[
									7,
									[
										10,
										[
											2,
											" + "
										]
										,[
											23,
											"CharLuck"
										]
									]
								]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8330099796815634,
						false
						,[
						[
							4,
							150
						]
,						[
							5,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									3
								]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
								,[
									0,
									205
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										2
									]
									]
								]
								,[
									0,
									488
								]
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7410277710651867,
						false
						,[
						[
							1,
							[
								2,
								"createTextFieldDarkCharAttributes"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"Str_LEAD"
									]
								]
,
								[
									7,
									[
										20,
										150,
										cr.plugins_.Sprite.prototype.exps.X,
										false,
										null
									]
								]
,
								[
									7,
									[
										5,
										[
											20,
											150,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											5
										]
									]
								]
,
								[
									7,
									[
										20,
										150,
										cr.plugins_.Sprite.prototype.exps.LayerName,
										true,
										null
									]
								]
,
								[
									7,
									[
										2,
										"charLead"
									]
								]
,
								[
									7,
									[
										1,
										0.9
									]
								]
,
								[
									7,
									[
										10,
										[
											2,
											" + "
										]
										,[
											23,
											"CharLead"
										]
									]
								]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5118581741218265,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4169583759068799,
					false
					,[
					[
						1,
						[
							2,
							"UpdateCustomizeTextfields"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.SetReturnValue,
					null,
					9971048719827262,
					false
					,[
					[
						7,
						[
							21,
							50,
							true,
							null
							,0
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					7937585262821532,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						6989725242752874,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"hatAttribute"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						7157877870112556,
						false
						,[
						[
							7,
							[
								20,
								174,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									174,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											168,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Hat"
											]
											]
										]
										]
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5011469069211553,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7651464423878308,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"jacketAttribute"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						7751536474977124,
						false
						,[
						[
							7,
							[
								20,
								174,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									174,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											168,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Jacket"
											]
											]
										]
										]
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4148606493958405,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						1676294063761883,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"trousersAttribute"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						8040999145079936,
						false
						,[
						[
							7,
							[
								20,
								174,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									174,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											168,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Trousers"
											]
											]
										]
										]
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7537828950669408,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7730074551924977,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"bootsAttribute"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						7076873296496166,
						false
						,[
						[
							7,
							[
								20,
								174,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									174,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											168,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Boots"
											]
											]
										]
										]
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6034112675215747,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						3700014271533838,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"charSpeed"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						4477811931078607,
						false
						,[
						[
							7,
							[
								10,
								[
									10,
									[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											174,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												2,
												"Str_SPEED"
											]
											]
										]
,[
											23,
											"LanguageInt"
										]
										]
									]
									,[
										2,
										" + "
									]
								]
								,[
									23,
									"CharSpeed"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7689336981686892,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7349417654542497,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"charTopSpeed"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						5412456537765914,
						false
						,[
						[
							7,
							[
								10,
								[
									10,
									[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											174,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												2,
												"Str_TOPSPEED"
											]
											]
										]
,[
											23,
											"LanguageInt"
										]
										]
									]
									,[
										2,
										" + "
									]
								]
								,[
									23,
									"CharTopSpeed"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2658017720593468,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7701644699070932,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"charLuck"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						9665386837092382,
						false
						,[
						[
							7,
							[
								10,
								[
									10,
									[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											174,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												2,
												"Str_LUCK"
											]
											]
										]
,[
											23,
											"LanguageInt"
										]
										]
									]
									,[
										2,
										" + "
									]
								]
								,[
									23,
									"CharLuck"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7618743491695741,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						714455593933212,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"charBoost"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						2533582119425305,
						false
						,[
						[
							7,
							[
								10,
								[
									10,
									[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											174,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												2,
												"Str_BOOST"
											]
											]
										]
,[
											23,
											"LanguageInt"
										]
										]
									]
									,[
										2,
										" + "
									]
								]
								,[
									23,
									"CharBoost"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2839512625931987,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						2889402738373867,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"charLead"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						7525431107620512,
						false
						,[
						[
							7,
							[
								10,
								[
									10,
									[
										20,
										174,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											20,
											174,
											cr.plugins_.Arr.prototype.exps.IndexOf,
											false,
											null
											,[
[
												2,
												"Str_LEAD"
											]
											]
										]
,[
											23,
											"LanguageInt"
										]
										]
									]
									,[
										2,
										" + "
									]
								]
								,[
									23,
									"CharLead"
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1395067725773591,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5351674062172668,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"coinAmount"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						7243902197756235,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									23,
									"Coins"
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"MainMenuEvents",
		[
		[
			2,
			"Social",
			false
		]
,		[
			2,
			"Character",
			false
		]
,		[
			2,
			"Customize",
			false
		]
,		[
			2,
			"Missions",
			false
		]
,		[
			2,
			"SaveAndLoad",
			false
		]
,		[
			2,
			"Audio",
			false
		]
,		[
			2,
			"ButtonsAndFields",
			false
		]
,		[
			2,
			"InitFonts",
			false
		]
,		[
			1,
			"paused",
			0,
			0,
false,false,9361940665945885,false
		]
,		[
			1,
			"Coins",
			0,
			50,
false,false,2495477452314047,false
		]
,		[
			1,
			"Score",
			0,
			0,
false,false,8536169219260277,false
		]
,		[
			1,
			"shieldPrice",
			0,
			100,
false,false,9634957119606636,false
		]
,		[
			1,
			"shieldActive",
			0,
			0,
false,false,2937096297655265,false
		]
,		[
			1,
			"doubleJumpPrice",
			0,
			2,
false,false,4512153446120004,false
		]
,		[
			1,
			"coinDoublerPrice",
			0,
			200,
false,false,4397425934991979,false
		]
,		[
			1,
			"doubleJumpActive",
			0,
			1,
false,false,1959111953825676,false
		]
,		[
			1,
			"startBoostPrice",
			0,
			30,
false,false,2317478336888033,false
		]
,		[
			1,
			"startBoostActive",
			0,
			0,
false,false,3941913211638187,false
		]
,		[
			1,
			"coinDoublerActive",
			0,
			0,
false,false,2443307627304022,false
		]
,		[
			1,
			"secondChancePrice",
			0,
			100,
false,false,6260525044541582,false
		]
,		[
			1,
			"secondChanceActive",
			0,
			0,
false,false,5537626842153524,false
		]
,		[
			1,
			"XPCollected",
			0,
			0,
false,false,3336030642202449,false
		]
,		[
			1,
			"randomGift",
			0,
			0,
false,false,6907204382077494,false
		]
,		[
			1,
			"PUBLISHER",
			1,
			"DS",
false,true,169986668449984,false
		]
,		[
			1,
			"GameState",
			1,
			"MainMenu",
false,false,82828227162681,false
		]
,		[
			1,
			"ENGLISHONLY",
			0,
			0,
false,true,8596721138027731,false
		]
,		[
			1,
			"BUILDTARGET",
			1,
			"Android",
false,true,2447022851936629,false
		]
,		[
			0,
			[true, "HTML5Mobile"],
			false,
			null,
			8317060602520144,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8317060602520144,
				false
				,[
				[
					1,
					[
						2,
						"HTML5Mobile"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1791089094659065,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1790103521939693,
					false
					,[
					[
						11,
						"BUILDTARGET"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"html5"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3403549719410011,
					[
					[
						-1,
						cr.system_object.prototype.cnds.OnLayoutStart,
						null,
						1,
						false,
						false,
						false,
						7480038171444057,
						false
					]
					],
					[
					[
						186,
						cr.plugins_.Browser.prototype.acts.LockOrientation,
						null,
						9735055850055775,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5441977787351907,
					[
					[
						186,
						cr.plugins_.Browser.prototype.cnds.IsPortraitLandscape,
						null,
						0,
						false,
						false,
						false,
						8821990270012898,
						false
						,[
						[
							3,
							0
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetLayerVisible,
						null,
						3275920721301624,
						false
						,[
						[
							5,
							[
								2,
								"OrientationLock"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5647032120746342,
					[
					[
						186,
						cr.plugins_.Browser.prototype.cnds.IsPortraitLandscape,
						null,
						0,
						false,
						false,
						false,
						9385194936492882,
						false
						,[
						[
							3,
							1
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetLayerVisible,
						null,
						7356372800607253,
						false
						,[
						[
							5,
							[
								2,
								"OrientationLock"
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "Analytics"],
			false,
			null,
			8837127114643296,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8837127114643296,
				false
				,[
				[
					1,
					[
						2,
						"Analytics"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2695588200146353,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					9318778666506455,
					false
				]
,				[
					-1,
					cr.system_object.prototype.cnds.TriggerOnce,
					null,
					0,
					false,
					false,
					false,
					5352113985369403,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.startSession,
					null,
					3944424100824539,
					false
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					4553980225989751,
					false
					,[
					[
						1,
						[
							19,
							cr.system_object.prototype.exps.str
							,[
[
								23,
								"BUILDTARGET"
							]
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1860020427416838,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				4059919736805614,
				false
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6356495579764548,
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,
					null,
					0,
					false,
					false,
					false,
					155995623488535,
					false
					,[
					[
						1,
						[
							2,
							"versionControl"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7152820910925844,
					false
					,[
					[
						11,
						"MusicOn"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5978749942945974,
					false
					,[
					[
						11,
						"SfxOn"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4016195795983107,
					false
					,[
					[
						11,
						"CurrentScene"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6986924915919261,
					[
					[
						188,
						cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,
						null,
						0,
						false,
						false,
						false,
						7720201403481461,
						false
						,[
						[
							1,
							[
								2,
								"versionE097"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1641949558517837,
						false
						,[
						[
							1,
							[
								2,
								"LoadGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						794806422696444,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3139527597268256,
						false
						,[
						[
							1,
							[
								2,
								"createScreen"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7738295866151649,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						2257654946833377,
						false
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1493061648241248,
						false
						,[
						[
							1,
							[
								2,
								"DeleteSave"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3716275018511333,
						false
						,[
						[
							1,
							[
								2,
								"initMissions"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1984673793935944,
						false
						,[
						[
							1,
							[
								2,
								"initClothAttributes"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9753729486310702,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1165997339202042,
						false
						,[
						[
							1,
							[
								2,
								"createScreen"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6373022302174206,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					133665646963481,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3632254970016986,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9528787397009116,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"html5"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7880245511150838,
						false
						,[
						[
							1,
							[
								2,
								"disableSfx"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2840674808244799,
						false
						,[
						[
							11,
							"SfxOn"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5098189808336945,
						false
						,[
						[
							11,
							"MusicOn"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8522317919778419,
						false
						,[
						[
							1,
							[
								2,
								"disableMusic"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9377225417296192,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						6585439990114729,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1667569498836151,
						false
						,[
						[
							11,
							"MusicOn"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						680308072209837,
						false
						,[
						[
							1,
							[
								2,
								"enableMusic"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2078483936259227,
						false
						,[
						[
							11,
							"SfxOn"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7557713043314548,
						false
						,[
						[
							1,
							[
								2,
								"enableSfx"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6692942323607154,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3918221774034885,
						false
						,[
						[
							1,
							[
								2,
								"createScreen"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7954455248842506,
						false
						,[
						[
							1,
							[
								2,
								"initMissions"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9180581400562864,
						false
						,[
						[
							1,
							[
								2,
								"initClothAttributes"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6418305022641518,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.GoToLayoutByName,
						null,
						4777740752858973,
						false
						,[
						[
							1,
							[
								2,
								"Story"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7001746139813824,
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,
					null,
					0,
					false,
					false,
					false,
					2804628322359704,
					false
					,[
					[
						1,
						[
							2,
							"MusicOn"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9893473052542902,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1483973498735731,
						false
						,[
						[
							11,
							"MusicOn"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						323120259540804,
						false
						,[
						[
							11,
							"MusicOn"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7631627687573811,
						false
						,[
						[
							1,
							[
								2,
								"disableMusic"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8107518484017812,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						4684053970968742,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3887998937486151,
						false
						,[
						[
							11,
							"MusicOn"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5538949636554857,
						false
						,[
						[
							1,
							[
								2,
								"enableMusic"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				330077744230522,
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,
					null,
					0,
					false,
					false,
					false,
					8840542306225341,
					false
					,[
					[
						1,
						[
							2,
							"SfxOn"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1958993099985989,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3612871274719496,
						false
						,[
						[
							11,
							"SfxOn"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6185370423114927,
						false
						,[
						[
							11,
							"SfxOn"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8171053573259019,
						false
						,[
						[
							1,
							[
								2,
								"disableSfx"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7166293615226443,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						2269251044564506,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2638863286786204,
						false
						,[
						[
							11,
							"SfxOn"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						198741837331909,
						false
						,[
						[
							1,
							[
								2,
								"enableSfx"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				365002632067348,
				[
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1106680609115812,
					false
					,[
					[
						1,
						[
							2,
							"checkActiveMissions"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				785829865125248,
				[
				[
					192,
					cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,
					null,
					0,
					false,
					false,
					false,
					5438896819101462,
					false
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1685338609519277,
					false
					,[
					[
						1,
						[
							2,
							"gPlayLogIn"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4278832011931369,
			[
			[
				78,
				cr.plugins_.Sprite.prototype.cnds.OnCreated,
				null,
				1,
				false,
				false,
				false,
				9185105449489381,
				false
			]
			],
			[
			[
				78,
				cr.plugins_.Sprite.prototype.acts.SetWidth,
				null,
				6344999383966012,
				false
				,[
				[
					0,
					[
						19,
						cr.system_object.prototype.exps.clamp
						,[
[
							6,
							[
								7,
								[
									5,
									[
										23,
										"XP"
									]
									,[
										23,
										"previousLevelXP"
									]
								]
								,[
									5,
									[
										23,
										"nextLevelXP"
									]
									,[
										23,
										"previousLevelXP"
									]
								]
							]
							,[
								0,
								201
							]
						]
,[
							0,
							0
						]
,[
							0,
							201
						]
						]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4808279239008756,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6610439712533366,
				false
				,[
				[
					1,
					[
						2,
						"createScreen"
					]
				]
				]
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				5830573810736105,
				false
				,[
				[
					1,
					[
						2,
						"createFieldScore"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"Str_OVERALLSCORE"
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										175
									]
								]
								,[
									0,
									13
								]
							]
						]
,
						[
							7,
							[
								4,
								[
									4,
									[
										19,
										cr.system_object.prototype.exps.viewporttop
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										35
									]
								]
								,[
									0,
									13
								]
							]
						]
,
						[
							7,
							[
								0,
								0
							]
						]
,
						[
							7,
							[
								2,
								"score"
							]
						]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				664476873829799,
				false
				,[
				[
					1,
					[
						2,
						"createTextFieldDarkTopScore"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"NoSTRING"
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										175
									]
								]
								,[
									0,
									13
								]
							]
						]
,
						[
							7,
							[
								4,
								[
									4,
									[
										4,
										[
											19,
											cr.system_object.prototype.exps.viewporttop
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											35
										]
									]
									,[
										0,
										11
									]
								]
								,[
									0,
									40
								]
							]
						]
,
						[
							7,
							[
								0,
								0
							]
						]
,
						[
							7,
							[
								2,
								"topscorefield"
							]
						]
,
						[
							7,
							[
								0,
								1
							]
						]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				6636224985161168,
				false
				,[
				[
					1,
					[
						2,
						"createFieldXp"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"Str_XP"
							]
						]
,
						[
							7,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.viewportright
									,[
[
										0,
										0
									]
									]
								]
								,[
									1,
									0.5
								]
							]
						]
,
						[
							7,
							[
								4,
								[
									4,
									[
										19,
										cr.system_object.prototype.exps.viewporttop
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										35
									]
								]
								,[
									0,
									13
								]
							]
						]
,
						[
							7,
							[
								0,
								0
							]
						]
,
						[
							7,
							[
								2,
								"xp"
							]
						]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				6400629702790762,
				false
				,[
				[
					1,
					[
						2,
						"createTextFieldDarkXp"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"NoSTRING"
							]
						]
,
						[
							7,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.viewportright
									,[
[
										0,
										0
									]
									]
								]
								,[
									1,
									0.5
								]
							]
						]
,
						[
							7,
							[
								4,
								[
									4,
									[
										4,
										[
											19,
											cr.system_object.prototype.exps.viewporttop
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											35
										]
									]
									,[
										0,
										11
									]
								]
								,[
									0,
									40
								]
							]
						]
,
						[
							7,
							[
								0,
								0
							]
						]
,
						[
							7,
							[
								2,
								"xpField"
							]
						]
,
						[
							7,
							[
								0,
								1
							]
						]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				1070313933268878,
				false
				,[
				[
					1,
					[
						2,
						"createGenericButtonSmall"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"Str_ON"
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										72
									]
								]
								,[
									0,
									13
								]
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										40
									]
								]
								,[
									0,
									13
								]
							]
						]
,
						[
							7,
							[
								0,
								0
							]
						]
,
						[
							7,
							[
								2,
								"music"
							]
						]
,
						[
							7,
							[
								1,
								0.8
							]
						]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				5163218995101308,
				false
				,[
				[
					1,
					[
						2,
						"createTextFieldDark"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"Str_MUSIC"
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										72
									]
								]
								,[
									0,
									13
								]
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										5,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											46
										]
									]
									,[
										0,
										13
									]
								]
								,[
									0,
									50
								]
							]
						]
,
						[
							7,
							[
								0,
								0
							]
						]
,
						[
							7,
							[
								2,
								"music"
							]
						]
,
						[
							7,
							[
								1,
								0.9
							]
						]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				8940578262325293,
				false
				,[
				[
					1,
					[
						2,
						"createTextFieldDark"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"Str_SFX"
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										5,
										[
											19,
											cr.system_object.prototype.exps.viewportright
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											72
										]
									]
									,[
										0,
										13
									]
								]
								,[
									0,
									125
								]
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										5,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											46
										]
									]
									,[
										0,
										13
									]
								]
								,[
									0,
									50
								]
							]
						]
,
						[
							7,
							[
								0,
								0
							]
						]
,
						[
							7,
							[
								2,
								"sfx"
							]
						]
,
						[
							7,
							[
								1,
								0.9
							]
						]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				3210786990273327,
				false
				,[
				[
					1,
					[
						2,
						"createGenericButtonSmall"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"Str_ON"
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										5,
										[
											19,
											cr.system_object.prototype.exps.viewportright
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											72
										]
									]
									,[
										0,
										13
									]
								]
								,[
									0,
									125
								]
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											0,
											0
										]
										]
									]
									,[
										0,
										40
									]
								]
								,[
									0,
									13
								]
							]
						]
,
						[
							7,
							[
								0,
								0
							]
						]
,
						[
							7,
							[
								2,
								"sfx"
							]
						]
,
						[
							7,
							[
								1,
								0.8
							]
						]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				1436454153225697,
				false
				,[
				[
					1,
					[
						2,
						"createTextFieldDark"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"Str_STORY"
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										5,
										[
											19,
											cr.system_object.prototype.exps.viewportright
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											72
										]
									]
									,[
										0,
										13
									]
								]
								,[
									0,
									250
								]
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										5,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											0,
											46
										]
									]
									,[
										0,
										13
									]
								]
								,[
									0,
									50
								]
							]
						]
,
						[
							7,
							[
								0,
								0
							]
						]
,
						[
							7,
							[
								2,
								"story"
							]
						]
,
						[
							7,
							[
								1,
								0.9
							]
						]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.CreateObject,
				null,
				2599860203213625,
				false
				,[
				[
					4,
					83
				]
,				[
					5,
					[
						0,
						0
					]
				]
,				[
					0,
					[
						5,
						[
							6,
							[
								19,
								cr.system_object.prototype.exps.viewportright
								,[
[
									0,
									0
								]
								]
							]
							,[
								1,
								0.5
							]
						]
						,[
							0,
							10
						]
					]
				]
,				[
					0,
					[
						5,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								0,
								0
							]
							]
						]
						,[
							0,
							95
						]
					]
				]
				]
			]
,			[
				83,
				cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
				null,
				2482353443916031,
				false
				,[
				[
					10,
					2
				]
,				[
					7,
					[
						1,
						0.9
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.CreateObject,
				null,
				1523431443102617,
				false
				,[
				[
					4,
					67
				]
,				[
					5,
					[
						0,
						0
					]
				]
,				[
					0,
					[
						5,
						[
							5,
							[
								5,
								[
									19,
									cr.system_object.prototype.exps.viewportright
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									72
								]
							]
							,[
								0,
								13
							]
						]
						,[
							0,
							250
						]
					]
				]
,				[
					0,
					[
						5,
						[
							5,
							[
								19,
								cr.system_object.prototype.exps.viewportbottom
								,[
[
									0,
									0
								]
								]
							]
							,[
								0,
								40
							]
						]
						,[
							0,
							13
						]
					]
				]
				]
			]
,			[
				67,
				cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
				null,
				1415650833450759,
				false
				,[
				[
					10,
					0
				]
,				[
					7,
					[
						2,
						"story"
					]
				]
				]
			]
,			[
				68,
				cr.plugins_.Sprite.prototype.acts.SetPos,
				null,
				2146599419345305,
				false
				,[
				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportright
							,[
[
								0,
								0
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								0,
								0
							]
							]
						]
						,[
							1,
							0.45
						]
					]
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				1358714187052626,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9520111047708428,
					false
					,[
					[
						11,
						"BUILDTARGET"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Android"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1647323845653404,
					false
					,[
					[
						4,
						154
					]
,					[
						5,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.viewportleft
								,[
[
									0,
									0
								]
								]
							]
							,[
								0,
								90
							]
						]
					]
,					[
						0,
						[
							5,
							[
								5,
								[
									19,
									cr.system_object.prototype.exps.viewportbottom
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									46
								]
							]
							,[
								0,
								30
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4192128032005138,
					false
					,[
					[
						4,
						155
					]
,					[
						5,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.viewportleft
								,[
[
									0,
									0
								]
								]
							]
							,[
								0,
								235
							]
						]
					]
,					[
						0,
						[
							5,
							[
								5,
								[
									19,
									cr.system_object.prototype.exps.viewportbottom
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									46
								]
							]
							,[
								0,
								30
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6335682733824683,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6652323764833858,
					false
					,[
					[
						11,
						"BUILDTARGET"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"iOS"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2442274511839615,
					false
					,[
					[
						4,
						156
					]
,					[
						5,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.viewportleft
								,[
[
									0,
									0
								]
								]
							]
							,[
								0,
								90
							]
						]
					]
,					[
						0,
						[
							5,
							[
								5,
								[
									19,
									cr.system_object.prototype.exps.viewportbottom
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									46
								]
							]
							,[
								0,
								30
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5371158326554661,
			[
			[
				-1,
				cr.system_object.prototype.cnds.CompareVar,
				null,
				0,
				false,
				false,
				false,
				1559007478672335,
				false
				,[
				[
					11,
					"MusicOn"
				]
,				[
					8,
					0
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9325604375882848,
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					7872327395299837,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"musicText"
						]
					]
					]
				]
				],
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					8453831876094944,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									2,
									"Str_OFF"
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4479115888067647,
			[
			[
				-1,
				cr.system_object.prototype.cnds.Else,
				null,
				0,
				false,
				false,
				false,
				7646233856042357,
				false
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1242815051626494,
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					6694188421098911,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"musicText"
						]
					]
					]
				]
				],
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					696504663675353,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									2,
									"Str_ON"
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5027767142992232,
			[
			[
				-1,
				cr.system_object.prototype.cnds.CompareVar,
				null,
				0,
				false,
				false,
				false,
				2428068931118533,
				false
				,[
				[
					11,
					"SfxOn"
				]
,				[
					8,
					0
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6495318707527432,
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					7706684262250602,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"sfxText"
						]
					]
					]
				]
				],
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					7909752376351621,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									2,
									"Str_OFF"
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9766153755910209,
			[
			[
				-1,
				cr.system_object.prototype.cnds.Else,
				null,
				0,
				false,
				false,
				false,
				7820314120283699,
				false
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5575815682747111,
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					2344407850628708,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"sfxText"
						]
					]
					]
				]
				],
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					2638539618389871,
					false
					,[
					[
						7,
						[
							20,
							173,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									2,
									"Str_ON"
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"InitFonts",
		[
		[
			1,
			"Country",
			1,
			"\"US\"",
false,false,8880622435906479,false
		]
,		[
			1,
			"Language",
			1,
			"en",
false,false,5579283176437062,false
		]
,		[
			1,
			"LanguageInt",
			0,
			0,
false,false,1262568113480823,false
		]
,		[
			0,
			null,
			false,
			null,
			6310714677445995,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				1018830678931293,
				false
			]
			],
			[
			[
				176,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				3736292377963141,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[45,7,1],\"data\":[\n[[\"Str_B1\"],[\"YOUR ORDINARY BOOTS\"],[\"DEINE GEWÖHNLICHEN STIEFEL\"],[\"Tes bottes ordinaires\"],[\"GLI STIVALI DEL GIORNO\"],[\"Tu botas normales\"],[\"AS TUAS BOTAS COMUNS\"]],\n[[\"Str_B2\"],[\"BOOTS OF SPEED\"],[\"STIEFEL DER GESCHWINDIGKEIT\"],[\"Bottes de vitesse\"],[\"STIVALI VELOCI\"],[\"Botas de velocidad\"],[\"BOTAS DE VELOCIDADE\"]],\n[[\"Str_B3\"],[\"FUNNY BOOTS\"],[\"FUNNY BOOTS\"],[\"Converses\"],[\"STIVALI DIVERTENTI\"],[\"Botas divertidas\"],[\"BOTAS DIVERTIDAS\"]],\n[[\"Str_B4\"],[\"LIFE GUARD BOOTS\"],[\"BADEMEISTER STIEFEL\"],[\"Tongues de sauveteur\"],[\"STIVALI GUARDIA COSTIERA\"],[\"Botas de la guarda\"],[\"BOTAS SALVA-VIDAS\"]],\n[[\"Str_B5\"],[\"TACO BOOTS\"],[\"TACO STIEFEL\"],[\"Mexicaines\"],[\"STIVALI TACO\"],[\"Botas Taco\"],[\"BOTAS DE TACO\"]],\n[[\"Str_B6\"],[\"FREEDOM SOCKS\"],[\"LIEBESTÖTER\"],[\"Chaussettes aérées\"],[\"CALZINI DELLA LIBERTA'\"],[\"Calcetines liberadores\"],[\"MEIA LIBERDADE\"]],\n[[\"Str_B7\"],[\"MOCCASINS\"],[\"MOKASSINS\"],[\"Mocassins\"],[\"MOCASSINI\"],[\"Mocasines\"],[\"MOCCASINS\"]],\n[[\"Str_B8\"],[\"ROCKERS\"],[\"ROCKERS\"],[\"Santiagues\"],[\"SEDIE A DONDOLO\"],[\"ROCKER\"],[\"ROCKER\"]],\n[[\"Str_PB1\"],[\"GOLDEN BOOTS\"],[\"GOLDENE STIEFEL\"],[\"Bottes dorées\"],[\"STIVALI D'ORO\"],[\"Botas Doradas\"],[\"BOTAS DOURADAS\"]],\n[[\"Str_PB2\"],[\"INVISIBLE BOOTS\"],[\"UNSICHTBARE STIEFEL\"],[\"Bottes invisibles\"],[\"STIVALI INVISIBILI\"],[\"Botas Invisibilidad\"],[\"BOTAS INVISÍVEIS\"]],\n[[\"Str_T1\"],[\"YOUR ORDINARY TROUSERS\"],[\"DEINE GEWÖHNLICHEN HOSEN\"],[\"Ton pantalon ordinaire\"],[\"I TESORI DEL GIORNO\"],[\"Tu pantalones normales\"],[\"AS TUAS CALÇAS NORMAIS\"]],\n[[\"Str_T2\"],[\"BIKER SHORTS\"],[\"BIKER SHORTS\"],[\"Short de biker\"],[\"PANTALONCINI DA CICLISTA\"],[\"Pantalones cortos\"],[\"CALÇOES DE CICLISTA\"]],\n[[\"Str_T3\"],[\"FUNNY MUSHROOM PANTS\"],[\"LUSTIGE FLIEGENPILZ HOSE\"],[\"Pantalon champi\"],[\"DIVERTENTI PANTALONI A FUNGO\"],[\"Pantolones de Setas Divertidas\"],[\"CALÇAS E COGUMELOS ENGRAÇADOS\"]],\n[[\"Str_T4\"],[\"ADVENTURE SHORTS\"],[\"ABENTEURER HOSE\"],[\"Short d'aventurier\"],[\"PANTALONCINI DELL'AVVENTURIERO\"],[\"Pantalones de aventura\"],[\"CALÇOES DE AVENTURA\"]],\n[[\"Str_T5\"],[\"HOT!\"],[\"HOT!\"],[\"Chaud!\"],[\"HOT!\"],[\"¡Guapo!\"],[\"QUENTE!\"]],\n[[\"Str_T6\"],[\"LEATHER SHORTS\"],[\"SIOUX HOSEN\"],[\"Short souple\"],[\"PANTALONCINI DI CUOIO\"],[\"Pantalones de cuero\"],[\"CALÇOES DE PELE\"]],\n[[\"Str_PT1\"],[\"SILVER TROUSERS OF BOOST\"],[\"SILBERNE BOOST HOSE\"],[\"Pantalon argent\"],[\"AUMENTO DEI TESORI D'ARGENTO\"],[\"Pantalones plateados TURBO\"],[\"CALÇAS PRATEADAS\"]],\n[[\"Str_PT2\"],[\"INVISIBLE TROUSERS\"],[\"UNSICHTBARE HOSE\"],[\"Pantalon invisible\"],[\"TESORI INVISIBILI\"],[\"Chaqueta normal\"],[\"CALÇAS INVISÍVEIS\"]],\n[[\"Str_J1\"],[\"ORDINARY JACKET\"],[\"GEWÖHNLICHE JACKE\"],[\"Ta veste ordinaire\"],[\"GIACCA DEL GIORNO\"],[\"Chupa de cuero\"],[\"CASACO NORMAL\"]],\n[[\"Str_J2\"],[\"BIKER JACKET\"],[\"BIKER JACKE\"],[\"Veste de biker\"],[\"ATLETA DEL GIORNO\"],[\"CHAQUETA DE FRÍO\"],[\"CAMISA DE CICLISTA\"]],\n[[\"Str_J3\"],[\"FUNNY JACKET OF LUCK\"],[\"LUSTIGE GLÜCKS JACKE\"],[\"Veste champi\"],[\"DIVERTENTE GIACCA DELLA FORTUNA\"],[\"Chaqueta de la suerta divertida\"],[\"CASACO DA SORTE ENGRAÇADO\"]],\n[[\"Str_J4\"],[\"WHITE JACKET OF SCORE\"],[\"DIE WEISSE WESTE\"],[\"Veste blanche\"],[\"GIACCA BIANCA\"],[\"Chaqueta blanca\"],[\"CASACO BRANCO\"]],\n[[\"Str_J5\"],[\"PINATA JACKET\"],[\"PINATA JACKE\"],[\"Poncho\"],[\"GIACCA PINATA\"],[\"Chaqueta piñata\"],[\"CASACO PINATA\"]],\n[[\"Str_J6\"],[\"FLOWER POWER\"],[\"FLOWER POWER\"],[\"Chemise hawai\"],[\"POTENZA FIORITA\"],[\"Flower Power\"],[\"ENERGIA A FLORESCER\"]],\n[[\"Str_J7\"],[\"INDIAN JACKET\"],[\"INDIANER JACKE\"],[\"Manteau indien\"],[\"GIACCA INDIANA\"],[\"Chaqueta india\"],[\"CASACO INDIAMO\"]],\n[[\"Str_J8\"],[\"RACOON JACKET\"],[\"HOLZFÄLLER JACKE\"],[\"Veste ecureuil\"],[\"GIACCA A SPILLI\"],[\"Abrigo de pelo\"],[\"CASACO DE GUAXININ\"]],\n[[\"Str_PJ1\"],[\"SILVER JACKET\"],[\"SILBER JACKE\"],[\"Veste d'argent\"],[\"GIACCA D'ARGENTO\"],[\"Chaqueta plateada\"],[\"CASACO DE PRATA\"]],\n[[\"Str_PJ2\"],[\"INVISIBLE JACKET\"],[\"UNSICHTBARE JACKE\"],[\"Veste invisible\"],[\"GIACCA INVISIBILE\"],[\"Chaqueta de invisibilidad\"],[\"CASACO INVISÍVEL\"]],\n[[\"Str_H1\"],[\"YOUR ORDINARY HAT\"],[\"DEIN GEWÖHNLICHER HUT\"],[\"Ton chapeau ordinaire\"],[\"CAPPELLO DEL GIORNO\"],[\"Tu gorro normal\"],[\"O TEU CHAPÉU NORMAL\"]],\n[[\"Str_H2\"],[\"BIKER HAT\"],[\"BIKER HUT\"],[\"Chapeau de biker\"],[\"CAPPELLO DEL CICLISTA\"],[\"Gorro de cuero\"],[\"CHAPÉU DE CICLISTA\"]],\n[[\"Str_H3\"],[\"FUNNY HAT\"],[\"LUSTIGER HUT\"],[\"Casquette fun\"],[\"CAPPELLO DIVERTENTE\"],[\"Gorro divertido\"],[\"CHAPÉU ENGRAÇADO\"]],\n[[\"Str_H4\"],[\"COOKING POT OF PROTECTION\"],[\"BESCHÜTZENDER KOCHTOPF\"],[\"Marmitte de protection\"],[\"PENTOLA DI PROTEZIONE\"],[\"Puchero protector\"],[\"COZINHAR POTE DE PROTECÇÃO\"]],\n[[\"Str_H5\"],[\"BOOSTING CAP\"],[\"BOOST KAPPE\"],[\"Casquette de boost\"],[\"POTENZA CAPPELLO\"],[\"Gorra Turbo\"],[\"BARRETE\"]],\n[[\"Str_H6\"],[\"THIRST KILLER\"],[\"DER DURSTLÖSCHER\"],[\"Casque pour soif\"],[\"SETE DA KILLER\"],[\"Asesino Sediento\"],[\"SEDE DE MATAR\"]],\n[[\"Str_H7\"],[\"HAT OF FEATHERS\"],[\"FEDERHUT\"],[\"Chapeau en plume\"],[\"CAPPELLO DI PIUME\"],[\"Gorro de plumas\"],[\"CHAPÉU DE PENAS\"]],\n[[\"Str_H8\"],[\"BEAVER CAP\"],[\"BIBER MÜTZE\"],[\"Chapeau ecureuil\"],[\"CAPPELLO COOL\"],[\"Gorra de castor\"],[\"BARRETE DE CASTOR\"]],\n[[\"Str_PH1\"],[\"SILVER HAT\"],[\"SILBER HUT\"],[\"Chapeau argent\"],[\"CAPPELLO D'ARGENTO\"],[\"Gorro plateado\"],[\"CHAPÉU PRATEADO\"]],\n[[\"Str_PH2\"],[\"SOMBRERO\"],[\"SOMBRERO\"],[\"Sombrero\"],[\"SOMBRERO\"],[\"Sombrero\"],[\"SOMBRERO\"]],\n[[\"Str_PO1\"],[\"100,000 COINS\"],[\"100.000 MÜNZEN\"],[\"100k pièces\"],[\"100.000 MONETE\"],[\"100k monedas\"],[\"100K MOEDAS\"]],\n[[\"Str_PO2\"],[\"400,000 COINS\"],[\"400.000 MÜNZEN\"],[\"400k pièces\"],[\"400.000 MONETE\"],[\"400K monedas\"],[\"400K MOEDAS\"]]\n]}"
					]
				]
				]
			]
,			[
				173,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				7366440196274251,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[66,7,1],\"data\":[\n[[\"Str_START\"],[\"PLAY\"],[\"SPIELEN\"],[\"JOUER\"],[\"GIOCA\"],[\"JUGAR\"],[\"JOGAR\"]],\n[[\"Str_COINS\"],[\"COINS\"],[\"MÜNZEN\"],[\"PIECES\"],[\"MONETE\"],[\"MONEDAS\"],[\"MOEDAS\"]],\n[[\"Str_MOREGAMES\"],[\"MORE GAMES\"],[\"WEITERE SPIELE\"],[\"PLUS DE JEUX\"],[\"ALTRE PARTITE\"],[\"MÁS JUEGOS\"],[\"MAIS JOGOS\"]],\n[[\"Str_TOPSCORE\"],[\"TOP SCORE\"],[\"BESTLEISTUNG\"],[\"TOP SCORE\"],[\"RISULTATI\"],[\"TOP PUNTOS\"],[\"RESULTADOS\"]],\n[[\"Str_SFX\"],[\"SFX\"],[\"EFFEKTE\"],[\"SONS\"],[\"EFFETTI\"],[\"EFECTOS\"],[\"SFX\"]],\n[[\"Str_MUSIC\"],[\"MUSIC\"],[\"MUSIK\"],[\"AUDIO\"],[\"MUSICA\"],[\"MUSICA\"],[\"MUSICA\"]],\n[[\"Str_ON\"],[\"ON\"],[\"AN\"],[\"ON\"],[\"ON\"],[\"ON\"],[\"ON\"]],\n[[\"Str_OFF\"],[\"OFF\"],[\"AUS\"],[\"OFF\"],[\"OFF\"],[\"OFF\"],[\"OFF\"]],\n[[\"Str_MISSIONS\"],[\"MISSIONS\"],[\"MISSIONEN\"],[\"MISSIONS\"],[\"MISSIONI\"],[\"MISIONES\"],[\"MISSOES\"]],\n[[\"Str_DAILY\"],[\"DAILY\"],[\"TÄGLICH\"],[\"QUOTIDIEN\"],[\"GIORNALIERO\"],[\"DIARIO\"],[\"DIÁRIO\"]],\n[[\"Str_SHOP\"],[\"SHOP\"],[\"SHOP\"],[\"BOUTIQUE\"],[\"NEGOZIO\"],[\"TIENDA\"],[\"LOJA\"]],\n[[\"Str_PREMIUM\"],[\"PREMIUM\"],[\"PREMIUM\"],[\"PREMIUM\"],[\"PREMIUM\"],[\"PREMIUM\"],[\"PRÉMIO\"]],\n[[\"Str_CUSTOMIZE\"],[\"CUSTOMIZE\"],[\"ANPASSEN\"],[\"AMÉLIORER\"],[\"PERSONALIZZA\"],[\"VESTIDOR\"],[\"PERSONALIZAR\"]],\n[[\"Str_SHARESCORE\"],[\"SHARE SCORE\"],[\"PUNKTE TEILEN\"],[\"PARTAGER SCORE\"],[\"CONDIVIDI RISULTATO\"],[\"COMPARTIR PUNTUACIÓN\"],[\"PARTILHAR RESULTADO\"]],\n[[\"Str_RUN\"],[\"RUN!\"],[\"LOS!\"],[\"COURS!\"],[\"VAI!\"],[\"¡CORRE!\"],[\"CORRE!\"]],\n[[\"Str_BACK\"],[\"BACK\"],[\"ZURÜCK\"],[\"RETOUR\"],[\"INDIETRO\"],[\"VOLVER\"],[\"PARA TRÁS\"]],\n[[\"Str_HOME\"],[\"HOME\"],[\"ZURÜCK\"],[\"ACCUEIL\"],[\"INIZIO\"],[\"INICIO\"],[\"INÍCIO\"]],\n[[\"Str_END\"],[\"HOME\"],[\"BEENDEN\"],[\"FIN\"],[\"FINE\"],[\"FIN\"],[\"FIM\"]],\n[[\"Str_TUTORIAL\"],[\"TUTORIAL\"],[\"ANLEITUNG\"],[\"TUTORIEL\"],[\"GUIDA\"],[\"TUTORIAL\"],[\"TUTORIAL\"]],\n[[\"Str_RESUME\"],[\"RESUME\"],[\"WEITER\"],[\"RETOUR\"],[\"AVANTI\"],[\"RESUMEN\"],[\"RESUMO\"]],\n[[\"Str_SHIELD\"],[\"SHIELD\"],[\"SCHILD\"],[\"BOUCLIER\"],[\"SCUDO\"],[\"ESCUDO\"],[\"ESCUDO\"]],\n[[\"Str_STARTBOOST\"],[\"START BOOST\"],[\"START TURBO\"],[\"BOOST INITIAL\"],[\"SPINTA INIZIALE\"],[\"EMPEZAR TURBO\"],[\"IMPULSIONAR\"]],\n[[\"Str_COINDOUBLER\"],[\"COIN DOUBLER\"],[\"MÜNZ VERDOPPLER\"],[\"PIECES DOUBLE\"],[\"RADDOPPIA MONETE\"],[\"DOBLE MONEDA\"],[\"DUPLICAR MOEDAS\"]],\n[[\"Str_SECONDCHANCE\"],[\"SECOND CHANCE\"],[\"ZWEITE CHANCE\"],[\"SECONDE CHANCE\"],[\"SECONDA CHANCE\"],[\"OTRA OPORTUNIDAD\"],[\"NOVA OPORTUNIDADE\"]],\n[[\"Str_SPEED\"],[\"SPEED\"],[\"GESCHWINDIGKEIT\"],[\"VITESSE\"],[\"VELOCITA'\"],[\"VELOCIDAD\"],[\"VELOCIDADE\"]],\n[[\"Str_BOOST\"],[\"BOOST\"],[\"BOOST\"],[\"BOOST\"],[\"SPINTA\"],[\"TURBO\"],[\"IMPULSIONAR\"]],\n[[\"Str_LEAD\"],[\"LEAD\"],[\"VORSPRUNG\"],[\"AVANCE\"],[\"GUIDA\"],[\"VENTAJA\"],[\"VANTAGEM\"]],\n[[\"Str_ITEMS\"],[\"ITEMS\"],[\"GEGENSTÄNDE\"],[\"OBJETS\"],[\"OGGETTI\"],[\"ARTÍCULOS\"],[\"ITENS\"]],\n[[\"Str_POWERUPS\"],[\"POWER UPS\"],[\"VERBESSERUNGEN\"],[\"AMELIORATIONS\"],[\"PIU' POTERI\"],[\"MÁS POTENCIA\"],[\"POWER UPS\"]],\n[[\"Str_BOOZETOBOOST\"],[\"BOOZE TO BOOST\"],[\"BOOZE BIS BOOST\"],[\"BOIS ET BOOST\"],[\"BEVI PER SPINGERE\"],[\"ALCOHOL POTENCIADOR\"],[\"BEBIDAS PARA IMPULSIONAR\"]],\n[[\"Str_ACTIVEBOOSTS\"],[\"ACTIVE BOOSTS\"],[\"AKTIVE VERBESSERUNGEN\"],[\"BOOSTS ACTIFS\"],[\"SPINTE ATTIVE\"],[\"ACTIVAR TURBO\"],[\"ACTIVAR MELHORAMENTOS\"]],\n[[\"Str_SCORE\"],[\"SCORE\"],[\"PUNKTE\"],[\"SCORE\"],[\"PUNTEGGIO\"],[\"PUNTUACIÓN\"],[\"RESULTADO\"]],\n[[\"Str_OVERALLSCORE\"],[\"TOTAL SCORE\"],[\"GESAMTPUNKTE\"],[\"SCORE TOTAL\"],[\"CLASSIFICA GENERALE\"],[\"PUNTOS TOTALES\"],[\"PONTUAÇÃO GERAL\"]],\n[[\"Str_XP\"],[\"XP\"],[\"XP\"],[\"XP\"],[\"XP\"],[\"XP\"],[\"XP\"]],\n[[\"Str_REPLAY\"],[\"REPLAY\"],[\"NOCHMAL!\"],[\"REJOUER\"],[\"RIGIOCA\"],[\"REPETICIÓN\"],[\"REPETIR\"]],\n[[\"Str_YOURRANK\"],[\"* YOUR RANK *\"],[\"* DEIN RANG *\"],[\"* TON RANG *\"],[\"LA TUA POSIZIONE\"],[\"* TU RANKING *\"],[\"A TUA POSIÇÃO\"]],\n[[\"Str_YOURRANKNOW\"],[\"YOUR RANK IS NOW\"],[\"DEIN RANG IST JETZT\"],[\"NOUVEAU RANG\"],[\"LA TUA POSIZIONE ORA\"],[\"TU POSICIÓN\"],[\"POSIÇÃO ACTUAL\"]],\n[[\"Str_YOURECEIVE\"],[\"YOU RECEIVE\"],[\"DU BEKOMMST\"],[\"TU RECUPERES\"],[\"RICEVI\"],[\"USTED RECIBE\"],[\"RECEBES\"]],\n[[\"Str_CONGRATULATIONS\"],[\"CONGRATULATIONS!\"],[\"GRATULIERE!\"],[\"BRAVO!\"],[\"CONGRATULAZIONI\"],[\"¡ENHORABUENA!\"],[\"PARABÉNS!\"]],\n[[\"Str_OK\"],[\"OK\"],[\"OK\"],[\"OK\"],[\"OK\"],[\"OK\"],[\"OK\"]],\n[[\"Str_TOUCHTOSTART\"],[\"TOUCH TO START\"],[\"ZUM STARTEN BERÜHREN\"],[\"TAPE POUR CONTINUER\"],[\"PREMI START\"],[\"PULSA PARA EMPEZAR\"],[\"TOCA PARA INICIAR\"]],\n[[\"Str_NEXT\"],[\"NEXT\"],[\"WEITER\"],[\"SUIVANT\"],[\"PROSSIMO\"],[\"SIGUIENTE\"],[\"PRÓXIMO\"]],\n[[\"Str_SCENE0\"],[\"DESERT\"],[\"WÜSTE\"],[\"DESERT\"],[\"DESERTO\"],[\"ABANDONAR\"],[\"DESERTO\"]],\n[[\"Str_SCENE1\"],[\"DESERT\"],[\"WÜSTE\"],[\"DESERT\"],[\"DESERTO\"],[\"ABANDONAR\"],[\"DESERTO\"]],\n[[\"Str_SCENE2\"],[\"CITY\"],[\"STADT\"],[\"VILLE\"],[\"CITTA'\"],[\"CIUDAD\"],[\"CIDADE\"]],\n[[\"Str_SCENE3\"],[\"TRAIN\"],[\"ZUG\"],[\"TRAIN\"],[\"ALLENAMENTO\"],[\"TREN\"],[\"COMBOIO\"]],\n[[\"Str_STORY\"],[\"STORY\"],[\"INTRO\"],[\"INTRO\"],[\"INTRO\"],[\"INTRO\"],[\"INTRODUÇÃO\"]]\n]}"
					]
				]
				]
			]
,			[
				178,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				9186458703610932,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[1,7,22],\"data\":[\n[[\"Str_RANKNAME\"],[\"GREENHORN\",\"SUPER GREENHORN\",\"FAST GREENHORN\",\"DRUNKEN SNAIL\",\"SPEED SNAIL\",\"ONE LEGGED RABBIT\",\"TWO LEGGED RABBIT\",\"THREE LEGGED RABBIT\",\"FLYING RABBIT\",\"CROCK\",\"CRAZY CROCK\",\"POSTMANS HORSE\",\"WILD RACEHORSE\",\"FURY\",\"LASSIE\",\"DRUNKEN MASTER LVL1\",\"DRUNKEN MASTER LVL2\",\"DRUNKEN MASTER LVL3\",\"DRUNKEN MASTER LVL4\",\"DRUNKEN MASTER LVL5\",\"FIREWATER MASTER\",\"MANITOU\"],[\"GRÜNSCHNABEL\",\"SUPER GRÜNSCHNABEL\",\"MEGA GRÜNSCHNABEL\",\"BETRUNKENE SCHNECKE\",\"SCHNELLE SCHNECKE\",\"EINBEINIGER HASE\",\"ZWEIBEINIGER HASE\",\"DREIBEINIGER HASE\",\"FLIEGENDER HASE\",\"ALTER GAUL\",\"VERRÜCKTER GAUL\",\"MULI\",\"RENNPFERD\",\"FURY\",\"LASSIE\",\"SAUF MEISTER 1\",\"SAUF MEISTER 2\",\"SAUF MEISTER 3\",\"SAUF MEISTER 4\",\"SAUF MEISTER 5\",\"FEUERWASSER MEISTER \",\"MANITOU\"],[\"NAIF\",\"NAIF INTELLIGENT\",\"NAIF RAPIDE\",\"ESCARGOT SAOUL\",\"ESCARGOT RAPIDE\",\"LAPIN A UNE PATTE\",\"LAPIN A DEUX PATTES\",\"LAPIN A TROIS PATTES\",\"LAPIN VOLANT\",\"EPERVIER\",\"EPERVIER FOU\",\"CHEVAL DE COURSE\",\"ETALON SAUVAGE\",\"FURIE\",\"FLASH GORDON\",\"MAITRE SAOUL NIVEAU 1\",\"MAITRE SAOUL NIVEAU 2\",\"MAITRE SAOUL NIVEAU 3\",\"MAITRE SAOUL NIVEAU 4\",\"MAITRE SAOUL NIVEAU 5\",\"MAITRE FIREWATER\",\"DIEU\"],[\"IMBRANATO\",\"SUPER IMBRANATO\",\"TOTALE IMBRANATO\",\"LUMACA UBRIACA\",\"LUMACA VELOCE\",\"CONIGLIO A UNA ZAMPA\",\"CONIGLIO A DUE ZAMPE\",\"CONIGLIO A TRE ZAMPE\",\"CONIGLIO VOLANTE\",\"ROTTAME\",\"ROTTAME PAZZO\",\"MULO\",\"CAVALLO DA CORSA\",\"FURY\",\"LASSIE\",\"UBRIACONE DI 1 LIVELLO\",\"UBRIACONE DI 2 LIVELLO\",\"UBRIACONE DI 3 LIVELLO\",\"UBRIACONE DI 4 LIVELLO\",\"UBRIACONE DI 5 LIVELLO\",\"CAMPIONE DI FIREWATER\",\"MANITOU\"],[\"PARDILLO\",\"SUPER PARDILLO\",\"PARDILLO VELOZ\",\"CARACOL BORRACHO\",\"CARACOL VELOZ\",\"CONEJO DE UNA SOLA PATA\",\"CONEJO DE DOS PATA\",\"CONEJO DE TRES PATAS\",\"CONEJO VOLADOR\",\"PEDRUSCO\",\"PEDRUCO LOCO\",\"CABALLO DE CORREOS\",\"CABALLO SALVAJE\",\"FURY\",\"LASSIE\",\"MAESTRO BORRACHO1\",\"MAESTRO BORRACHO2\",\"MAESTRO BORRACHO3\",\"MAESTRO BORRACHO4\",\"MAESTRO BORRACHO5\",\"CAMPEON DEL AGUARDIENTE\",\"MANITOU\"],[\"APRENDIZ\",\"SUPER APRENDIZ\",\"APRENDIZ RÁPIDO\",\"CARACOL BÊBEDO\",\"CARACOL RÁPIDO\",\"COELHO COM UMA PATA\",\"COELHO COM DUAS PATAS\",\"COELHO COM TRÊS PATAS\",\"COELHO VOADOR\",\"POTE\",\"POTE LOUCO\",\"CAVALO CARTEIRO\",\"CAVALO  SELVAGEM\",\"FÚRIA\",\"MEDRICAS\",\"MESTRE BÊBEDO 1\",\"MESTRE BÊBEDO 2\",\"MESTRE BÊBEDO 3\",\"MESTRE BÊBEDO 4\",\"MESTRE BÊBEDO 5\",\"MESTRE AGUARDENTE\",\"ESPÍRITO\"]]\n]}"
					]
				]
				]
			]
,			[
				177,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				9475081346858855,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[65,7,1],\"data\":[\n[[\"Str_SOLVED\"],[\"MISSION SOLVED!\"],[\"MISSION ERFÜLLT!\"],[\"MISSIONE COMPIUTA!\"],[\"¡Misión completada!\"],[\"MISSION SOLVED!\"],[\"MISSÃO RESOLVIDA\"]],\n[[\"Str_DAILYCOMPLETE\"],[\"DAILY MISSION COMPLETED!\"],[\"TÄGLICHE MISSION ERFÜLLT!\"],[\"Mission du jour terminée\"],[\"MISSIONE DEL GIORNO COMPIUTA!\"],[\"¡Misión diaria completada!\"],[\"MISSÃO DIÁRIA COMPLETA\"]],\n[[\"Str_PURCHASEFAILED\"],[\"PURCHASE FAILED, PLEASE TRY AGAIN\"],[\"EINKAUF FEHLGESCHLAGEN, BITTE VERSUCHEN SIE ES ERNEUT!\"],[\"Achat échoué, essaye encore stp\"],[\"ACQUISTO FALLITO. PER FAVORE RIPROVA.\"],[\"Algo ha fallado, por favor, inténtalo de nuevo.\"],[\"FALHA NA COMPRA, POR FAVOR TENTE DE NOVO\"]],\n[[\"Str_MORECOINS\"],[\"NOT ENOUGH COINS\"],[\"NICHT GENUG MÜNZEN!\"],[\"NOT ENOUGH COINS\"],[\"NOT ENOUGH COINS\"],[\"NOT ENOUGH COINS\"],[\"NOT ENOUGH COINS\"]],\n[[\"Str_NEWHIGHSCORE\"],[\"NEW HIGHSCORE!\"],[\"NEUER REKORD!\"],[\"NEW HIGHSCORE!\"],[\"NEW HIGHSCORE!\"],[\"NEW HIGHSCORE!\"],[\"NEW HIGHSCORE!\"]],\n[[\"Str_M1\"],[\"OWN 500 COINS\"],[\"BESITZE 500 MÜNZEN\"],[\"Cumule 500 coins\"],[\"OTTIENI 500 MONETE\"],[\"Acumula 500 monedas\"],[\"TENS 500 MOEDAS\"]],\n[[\"Str_M2\"],[\"BUY NEW BOOTS\"],[\"KAUFE NEUE STIEFEL\"],[\"Achète de nouvelles bottes\"],[\"ACQUISTA NUOVI STIVALI\"],[\"Compra unas botas nuevas\"],[\"COMPRA NOVAS BOTAS\"]],\n[[\"Str_M3\"],[\"REACH RANK 3\"],[\"ERREICHE RANG 3\"],[\"Atteins le rang 3\"],[\"RAGGIUNGI IL RANK 3\"],[\"Alcanza la posición 3 del ranking\"],[\"CHEGA À FILA 3\"]],\n[[\"Str_M4\"],[\"BOOST 3 TIMES IN A RUN\"],[\"BOOSTE 3 MAL IN EINEM LAUF\"],[\"Booste 3 fois en une session\"],[\"AUMENTA VELOCITA' 3 VOLTE IN CORSA\"],[\"Usa 3 TURBOS en una carrera\"],[\"ESTÍMULO 3 VEZES NUMA CORRIDA\"]],\n[[\"Str_M5\"],[\"DOUBLE JUMP 10 X IN A RUN\"],[\"10 DOPPELSPRÜNGE IN EINEM LAUF\"],[\"Fais 10 double-sauts en une session\"],[\"DOPPIO SALTO 10X IN CORSA\"],[\"DOUBLE JUMP 10 X IN A RUN\"],[\"DUPLICA O SALTO 10 X NUMA CORRIDA\"]],\n[[\"Str_M6\"],[\"COLLECT 200 COINS IN A RUN\"],[\"SAMMLE 200 MÜNZEN IN EINEM LAUF\"],[\"Collecte 200 pièces\"],[\"RACCOGLI 200 MONETE\"],[\"Consigue 200 monedas\"],[\"APANHA 200 MOEDAS\"]],\n[[\"Str_M7\"],[\"REACH RANK 6\"],[\"ERREICHE RANG 6\"],[\"Atteins le rang 6\"],[\"RAGGIUNGI IL RANK 6\"],[\"Alcanza la posición 6 del ranking\"],[\"CHEGA À FILA 6\"]],\n[[\"Str_M8\"],[\"VISIT THE PREMIUM SHOP\"],[\"BESUCHE DEN PREMIUM SHOP\"],[\"Visite la boutique premium\"],[\"VISITA IL NEGOZIO PREMIUM\"],[\"Visita la tienda premium\"],[\"VISITA A LOJA PREMIUM\"]],\n[[\"Str_M9\"],[\"BOOST 100x\"],[\"BOOSTE 100x\"],[\"Booste 100 fois\"],[\"SPINTA 100X\"],[\"TURBO 100x\"],[\"IMPULSO 100X\"]],\n[[\"Str_M10\"],[\"DOUBLE JUMP 150x\"],[\"150 DOPPELSPRÜNGE\"],[\"Fais 150 double-sauts\"],[\"DOPPIO SALTO 150x\"],[\"Doble Salto 150x\"],[\"DUPLICA O SALTO 150x\"]],\n[[\"Str_M11\"],[\"COLLECT B-O-O-Z-E\"],[\"SAMMLE B-O-O-Z-E\"],[\"Collecte b-o-o-z-e\"],[\"RACCOGLI B-O-O-Z-E\"],[\"Consigue un B-O-O-Z-E\"],[\"APANHA B-O-O-Z-E\"]],\n[[\"Str_M12\"],[\"COLLECT 3 BULLETS IN A RUN\"],[\"SAMMLE 3 PATRONEN IN EINEM LAUF\"],[\"Collecte 3 balles en une session\"],[\"RACCOGLI 3 PROIETTILI IN CORSA\"],[\"Consigue 3 balas en una carrera\"],[\"APANHA 3 BALAS NUMA CORRIDA\"]],\n[[\"Str_M13\"],[\"DESTROY 30 OBJECTS IN A RUN\"],[\"ZERSTÖRE 30 OBJEKTE IN EINEM LAUF\"],[\"Detruis 30 objets en une session\"],[\"DISTRUGGI 30 OGGETTI IN CORSA\"],[\"Destruye 30 objetos en una carrera\"],[\"DESTRÓI 30 OBJECTOS NUMA CORRIDA\"]],\n[[\"Str_M14\"],[\"REACH RANK 10\"],[\"ERREICHE RANG 10\"],[\"Atteins le rang 10\"],[\"RAGGIUNGI IL RANK 10\"],[\"Alcanza la posición 10 del ranking\"],[\"CHEGA À FILA 10\"]],\n[[\"Str_M15\"],[\"BOOST 15 TIMES IN A RUN\"],[\"BOOSTE 15x IN EINEM LAUF\"],[\"Booste 15 fois en une session\"],[\"SPINTA 15 VOLTE IN CORSA\"],[\"Usa 15 TURBOS en una carrera\"],[\"IMPULSO 15 X NUMA CORRIDA\"]],\n[[\"Str_M16\"],[\"OWN 5000 COINS\"],[\"BESITZE 5000 MÜNZEN\"],[\"Cumule 5000 coins\"],[\"OTTIENI 5000 MONETE\"],[\"Acumula 5.000 monedas\"],[\"TENS 5000 MOEDAS\"]],\n[[\"Str_M17\"],[\"COLLECT 700 COINS IN A RUN\"],[\"SAMMLE 700 MÜNZEN IN EINEM LAUF\"],[\"Collecte 700 pieces en une session\"],[\"RACCOGLI 700 MONETE IN CORSA\"],[\"Consigue 700 monedas en una carrera\"],[\"APANHA 700 MOEDAS NUMA CORRIDA\"]],\n[[\"Str_M18\"],[\"DESTROY 500 OBJECTS\"],[\"ZERSTÖRE 500 OBJEKTE\"],[\"Detruis 500 objets\"],[\"DISTRUGGI 500 OGGETTI\"],[\"Destruye 500 objetos\"],[\"DESTRÓI 500 OBJECTOS\"]],\n[[\"Str_M19\"],[\"BOOST 200x\"],[\"BOOSTE 200x\"],[\"Booste 200 fois\"],[\"SPINTA 200X\"],[\"TURBO 200x\"],[\"IMPULSO 200X\"]],\n[[\"Str_M20\"],[\"COLLECT 4 BULLETS IN A RUN\"],[\"SAMMLE 4 PATRONEN IN EINEM LAUF\"],[\"Collecte 4 balles en une session\"],[\"RACCOGLI 4 PROIETTILI IN CORSA\"],[\"Consigue 4 balas en una carrera\"],[\"APANHA 4 BALAS NUMA CORRIDA\"]],\n[[\"Str_M21\"],[\"REACH RANK 12\"],[\"ERREICHE RANG 12\"],[\"Atteins le rang 12\"],[\"RAGGIUNGI IL RANK 12\"],[\"Alcanza la posición 12 del ranking\"],[\"CHEGA À FILA 12\"]],\n[[\"Str_M22\"],[\"DESTROY 60 OBJECTS IN A RUN\"],[\"ZERSTÖRE 60 OBJEKTE IN EINEM LAUF\"],[\"Detruis 60 objets en une session\"],[\"DISTRUGGI 60 OGGETTI IN CORSA\"],[\"Destruye 60 objetos en una carrera\"],[\"DDESTRÓI 60 OBJECTOS NUMA CORRIDA\"]],\n[[\"Str_M23\"],[\"OWN 25000 COINS\"],[\"BESITZE 25000 MÜNZEN\"],[\"Cumule 25000 pièces\"],[\"OTTIENI 25000 MONETE\"],[\"Acumula 25.000 monedas\"],[\"TENS 25000 MOEDAS\"]],\n[[\"Str_M24\"],[\"COLLECT B-O-O-Z-E\"],[\"SAMMLE B-O-O-Z-E\"],[\"Collecte b-o-o-z-e\"],[\"RACCOGLI B-O-O-Z-E\"],[\"Consigue un B-O-O-Z-E\"],[\"APANHA B-O-O-Z-E\"]],\n[[\"Str_M25\"],[\"COLLECT 1000 COINS IN A RUN\"],[\"SAMMLE 1000 MÜNZEN IN EINEM LAUF\"],[\"Collecte 1000 pieces en une session\"],[\"RACCOGLI 1000 MONETE IN CORSA\"],[\"Consigue 1000 monedas en una carrera\"],[\"APANHA 1000 MOEDAS NUMA CORRIDA\"]],\n[[\"Str_M26\"],[\"DESTROY 1500 OBJECTS\"],[\"ZERSTÖRE 60 OBJEKTE IN EINEM LAUF\"],[\"Detruis 1500 objets\"],[\"DISTRUGGI 1500 OGGETTI\"],[\"Destruye 1.500 objetos\"],[\"DESTRÓI 1500 OBJECTOS\"]],\n[[\"Str_M27\"],[\"REACH RANK 15\"],[\"ERREICHE RANG 15\"],[\"Atteins le rang 15\"],[\"RAGGIUNGI IL RANK 15\"],[\"Alcanza la posición 15 del ranking\"],[\"CHEGA À FILA 15\"]],\n[[\"Str_M28\"],[\"COLLECT 5 BULLETS IN A RUN\"],[\"SAMMLE 5 PATRONEN IN EINEM LAUF\"],[\"Collecte 5 balles en une session\"],[\"RACCOGLI 5 PROIETTILI IN CORSA\"],[\"Consigue 5 balas en una carrera\"],[\"APANHA 5 BALAS NUMA CORRIDA\"]],\n[[\"Str_M29\"],[\"BOOST 1000x\"],[\"BOOSTE 1000x\"],[\"Booste 1000 fois\"],[\"SPINTA 1000X\"],[\"TURBO 1.000x\"],[\"IMPULSO 1000X\"]],\n[[\"Str_M30\"],[\"MORE MISSIONS ARE COMING SOON!\"],[\"BALD GIBT ES MEHR MISSIONEN\"],[\"Plus de missions à venir\"],[\"ALTRE MISSIONI STANNO PER ARRIVARE!\"],[\"Más misiones te esperan en breve\"],[\"MAIS MISSÕES ESTÃO A CHEGAR BREVEMENTE\"]]\n]}"
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				6281929750044404,
				false
				,[
				[
					11,
					"Language"
				]
,				[
					7,
					[
						20,
						186,
						cr.plugins_.Browser.prototype.exps.Language,
						true,
						null
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				2224294743254994,
				false
				,[
				[
					11,
					"Language"
				]
,				[
					7,
					[
						19,
						cr.system_object.prototype.exps.left
						,[
[
							23,
							"Language"
						]
,[
							0,
							2
						]
						]
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				7044350394335488,
				false
				,[
				[
					1,
					[
						2,
						"setLanguageInt"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				174,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				244648461665077,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[30,7,1],\"data\":[\n[[\"Str_DAY1\"],[\"DAY 1\"],[\"TAG 1\"],[\"Jour 1\"],[\"GIORNO 1\"],[\"Día 1\"],[\"DIA 1\"]],\n[[\"Str_DAY2\"],[\"DAY 2\"],[\"TAG 2\"],[\"Jour 2\"],[\"GIORNO 2\"],[\"Día 2\"],[\"DIA 2\"]],\n[[\"Str_DAY3\"],[\"DAY 3\"],[\"TAG 3\"],[\"Jour 3\"],[\"GIORNO 3\"],[\"Día 3\"],[\"DIA 3\"]],\n[[\"Str_DAY4\"],[\"DAY 4\"],[\"TAG 4\"],[\"Jour 4\"],[\"GIORNO 4\"],[\"Día 4\"],[\"DIA 4\"]],\n[[\"Str_DAY5\"],[\"DAY 5\"],[\"TAG 5\"],[\"Jour 5\"],[\"GIORNO 5\"],[\"Día 5\"],[\"DIA 5\"]],\n[[\"Str_DAY1PRICE\"],[\"500\"],[\"500\"],[\"500\"],[\"500\"],[\"500\"],[\"500\"]],\n[[\"Str_DAY2PRICE\"],[\"1000\"],[\"1000\"],[\"1000\"],[\"1000\"],[\"1000\"],[\"1000\"]],\n[[\"Str_DAY3PRICE\"],[\"2500\"],[\"2500\"],[\"2500\"],[\"2500\"],[\"2500\"],[\"2500\"]],\n[[\"Str_DAY4PRICE\"],[\"4000\"],[\"4000\"],[\"4000\"],[\"4000\"],[\"4000\"],[\"4000\"]],\n[[\"Str_DAY5PRICE\"],[\"SPEED + 1\"],[\"GESCHW. + 1\"],[\"SPEED + 1\"],[\"SPEED + 1\"],[\"SPEED + 1\"],[\"SPEED + 1\"]],\n[[\"Str_NEXTCHALLANGE\"],[\"COME BACK TOMORROW FOR A NEW CHALLENGE\"],[\"MORGEN GIBT ES EINE NEUE HERAUSFORDERUNG\"],[\"Reviens demain pour un nouveau challenge\"],[\"TORNA DOMANI PER UNA NUOVA SFIDA\"],[\"Vuelve mañana y descubre un nuevo reto\"],[\"VOLTA AMANHÃ PARA NOVO DESAFIO\"]],\n[[\"Str_THISCHALLANGE\"],[\"COLLECT THE FIVE LETTERS!\"],[\"SAMMLE DIE 5 BUCHSTABEN!\"],[\"COLLECT THE FIVE LETTERS!\"],[\"COLLECT THE FIVE LETTERS!\"],[\"COLLECT THE FIVE LETTERS!\"],[\"COLLECT THE FIVE LETTERS!\"]],\n[[\"Str_BOOTS\"],[\"BOOTS\"],[\"STIEFEL\"],[\"Bottes\"],[\"STIVALI\"],[\"Botas\"],[\"BOTAS\"]],\n[[\"Str_TROUSERS\"],[\"PANTS\"],[\"HOSEN\"],[\"Pantalon\"],[\"TESORI\"],[\"Pantal.\"],[\"CALÇAS\"]],\n[[\"Str_JACKETS\"],[\"JACKETS\"],[\"JACKEN\"],[\"Vestes\"],[\"GIACCHE\"],[\"Chaquetas\"],[\"CASACOS\"]],\n[[\"Str_HATS\"],[\"HATS\"],[\"HÜTE\"],[\"Chapeau\"],[\"CAP.\"],[\"sombr.\"],[\"CHAPÉUS\"]],\n[[\"Str_OTHER\"],[\"COINS\"],[\"MÜNZEN\"],[\"PIÈCES\"],[\"MONETE\"],[\"MONEDAS\"],[\"MOEDAS\"]],\n[[\"Str_SPEED\"],[\"SPEED\"],[\"GESCHW.\"],[\"Vitesse\"],[\"VELOCITA'\"],[\"VELO.\"],[\"VELO.\"]],\n[[\"Str_TOPSPEED\"],[\"TOP SPEED\"],[\"HÖCHSTGE.\"],[\"Vitesse max\"],[\"VELO. MAX\"],[\"MÁX. VELO.\"],[\"VELO. MÁX.\"]],\n[[\"Str_BOOST\"],[\"BOOST\"],[\"BOOST\"],[\"Boost\"],[\"SPINTA\"],[\"TURBO\"],[\"TURBO\"]],\n[[\"Str_LUCK\"],[\"LUCK\"],[\"GLÜCK\"],[\"Chance\"],[\"FORTUNA\"],[\"Suerte\"],[\"SORTE\"]],\n[[\"Str_LEAD\"],[\"LEAD\"],[\"VORSPRUNG\"],[\"Avance\"],[\"GUIDA\"],[\"VENTAJA\"],[\"VANTAGEM\"]],\n[[\"Str_SHIELD\"],[\"SHIELD\"],[\"SCHILD\"],[\"Bouclier\"],[\"SCUDO\"],[\"ESCUDO\"],[\"ESCUDO\"]],\n[[\"Str_XP\"],[\"XP\"],[\"XP\"],[\"XP\"],[\"XP\"],[\"XP\"],[\"XP\"]],\n[[\"Str_SCORE\"],[\"SCORE\"],[\"PUNKTE\"],[\"Score\"],[\"PUNTEGGIO\"],[\"PUNTUACIÓN\"],[\"RESULTADO\"]],\n[[\"Str_REVIVE\"],[\"REVIVE\"],[\"WEITER\"],[\"Revivre\"],[\"RESUSCITA\"],[\"RESUCITAR\"],[\"REAVIVAR\"]],\n[[\"Str_COINS\"],[\"COINS\"],[\"MÜNZEN\"],[\"Pièces\"],[\"MONETE\"],[\"MONEDAS\"],[\"MOEDAS\"]],\n[[\"Str_NOTHING\"],[\"----\"],[\"----\"],[\"----\"],[\"----\"],[\"----\"],[\"----\"]],\n[[\"Str_NOADS\"],[\"NO ADS!\"],[\"KEINE WERBUNG!\"],[\"Pas de pub\"],[\"NO PUBBLICITA'\"],[\"SIN PUBLI\"],[\"SEM ADS\"]]\n]}"
					]
				]
				]
			]
,			[
				171,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				3836385283469604,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[40,11,1],\"data\":[\n[[\"01\"],[\"Str_B1\"],[\"0\"],[\"NO\"],[\"0\"],[\"NO\"],[\"1\"],[\"0\"],[\"StoreID00\"],[\"NONE\"],[\"X\"]],\n[[\"02\"],[\"Str_B2\"],[\"0\"],[\"NO\"],[\"0\"],[\"Str_SPEED\"],[\"1\"],[\"50\"],[\"StoreID01\"],[\"BikerBoots\"],[\"X\"]],\n[[\"03\"],[\"Str_B3\"],[\"0\"],[\"NO\"],[\"0\"],[\"Str_SPEED\"],[\"2\"],[\"1000\"],[\"StoreID02\"],[\"ClownBoots\"],[\"X\"]],\n[[\"04\"],[\"Str_B4\"],[\"0\"],[\"NO\"],[\"0\"],[\"Str_TOPSPEED\"],[\"2\"],[\"1000\"],[\"StoreID03\"],[\"CookBoots\"],[\"X\"]],\n[[\"05\"],[\"Str_B5\"],[\"0\"],[\"NO\"],[\"1\"],[\"Str_SPEED\"],[\"3\"],[\"3500\"],[\"StoreID05\"],[\"SombreroBoots\"],[\"x\"]],\n[[\"06\"],[\"Str_B6\"],[\"0\"],[\"NO\"],[\"1\"],[\"Str_LEAD\"],[\"2\"],[\"5000\"],[\"StoreID06\"],[\"DrinkerBoots\"],[\"X\"]],\n[[\"07\"],[\"Str_B7\"],[\"0\"],[\"Str_XP\"],[\"1\"],[\"Str_TOPSPEED\"],[\"2\"],[\"150000\"],[\"StoreID07\"],[\"IndianerBoots\"],[\"X\"]],\n[[\"08\"],[\"Str_B8\"],[\"0\"],[\"Str_COINS\"],[\"1\"],[\"Str_SPEED\"],[\"5\"],[\"500000\"],[\"StoreID08\"],[\"RacoonBoots\"],[\"X\"]],\n[[\"P01\"],[\"Str_PB1\"],[\"0\"],[\"Str_COINS\"],[\"2\"],[\"Str_SPEED\"],[\"3\"],[\"1.99 USD\"],[\"golden.boots.firewater\"],[\"SilverBoots\"],[\"7\"]],\n[[\"P02\"],[\"Str_PB2\"],[\"0\"],[\"Str_COINS\"],[\"1\"],[\"Str_SPEED\"],[\"4\"],[\"0.99 USD\"],[\"invisible.boots.firewater\"],[\"NakedBoots\"],[\"6\"]],\n[[\"11\"],[\"Str_T1\"],[\"0\"],[\"NO\"],[\"0\"],[\"NO\"],[\"2\"],[\"0\"],[\"StoreID10\"],[\"NONE\"],[\"X\"]],\n[[\"12\"],[\"Str_T2\"],[\"0\"],[\"NO\"],[\"0\"],[\"Str_BOOST\"],[\"1\"],[\"1000\"],[\"StoreID11\"],[\"BikerTrousers\"],[\"X\"]],\n[[\"13\"],[\"Str_T3\"],[\"0\"],[\"NO\"],[\"0\"],[\"Str_TOPSPEED\"],[\"2\"],[\"1000\"],[\"StoreID12\"],[\"ClownTrousers\"],[\"X\"]],\n[[\"14\"],[\"Str_T4\"],[\"0\"],[\"NO\"],[\"0\"],[\"Str_BOOST\"],[\"2\"],[\"3500\"],[\"StoreID13\"],[\"CookTrousers\"],[\"X\"]],\n[[\"15\"],[\"Str_T5\"],[\"0\"],[\"NO\"],[\"0\"],[\"Str_BOOST\"],[\"4\"],[\"15000\"],[\"StoreID15\"],[\"DrinkerTrousers\"],[\"X\"]],\n[[\"16\"],[\"Str_T6\"],[\"0\"],[\"Str_REVIVE\"],[\"1\"],[\"Str_LUCK\"],[\"8\"],[\"300000\"],[\"StoreID16\"],[\"IndianerTrousers\"],[\"X\"]],\n[[\"P11\"],[\"Str_PT1\"],[\"0\"],[\"Str_REVIVE\"],[\"2\"],[\"Str_LUCK\"],[\"4\"],[\"1.99 USD\"],[\"silver.trousers.firewater\"],[\"SilverTrousers\"],[\"1\"]],\n[[\"P12\"],[\"Str_PT2\"],[\"0\"],[\"Str_REVIVE\"],[\"1\"],[\"Str_BOOST\"],[\"2\"],[\"0.99 USD\"],[\"invisible.trousers.firewater\"],[\"NakedTrousers\"],[\"4\"]],\n[[\"21\"],[\"Str_J1\"],[\"0\"],[\"NO\"],[\"0\"],[\"NO\"],[\"2\"],[\"0\"],[\"StoreID18\"],[\"NONE\"],[\"X\"]],\n[[\"22\"],[\"Str_J2\"],[\"0\"],[\"NO\"],[\"2\"],[\"Str_BOOST\"],[\"1\"],[\"1000\"],[\"StoreID19\"],[\"BikerJacket\"],[\"X\"]],\n[[\"23\"],[\"Str_J3\"],[\"0\"],[\"NO\"],[\"0\"],[\"Str_LUCK\"],[\"2\"],[\"1000\"],[\"StoreID20\"],[\"ClownJacket\"],[\"X\"]],\n[[\"24\"],[\"Str_J4\"],[\"0\"],[\"NO\"],[\"0\"],[\"Str_LUCK\"],[\"3\"],[\"3500\"],[\"StoreID21\"],[\"CookJaket\"],[\"X\"]],\n[[\"25\"],[\"Str_J5\"],[\"0\"],[\"NO\"],[\"1\"],[\"Str_LEAD\"],[\"3\"],[\"7500\"],[\"StoreID23\"],[\"SombreroJacket\"],[\"X\"]],\n[[\"26\"],[\"Str_J6\"],[\"0\"],[\"NO\"],[\"1\"],[\"Str_SPEED\"],[\"4\"],[\"15000\"],[\"StoreID24\"],[\"DrinkerJacket\"],[\"X\"]],\n[[\"27\"],[\"Str_J7\"],[\"0\"],[\"Str_SHIELD\"],[\"2\"],[\"Str_TOPSPEED\"],[\"2\"],[\"150000\"],[\"StoreID25\"],[\"IndianerJacket\"],[\"X\"]],\n[[\"28\"],[\"Str_J8\"],[\"0\"],[\"Str_SCORE\"],[\"1\"],[\"Str_LEAD\"],[\"2\"],[\"500000\"],[\"StoreID26\"],[\"RacoonJacket\"],[\"X\"]],\n[[\"P21\"],[\"Str_PJ1\"],[\"0\"],[\"Str_XP\"],[\"2\"],[\"Str_LEAD\"],[\"4\"],[\"1.99 USD\"],[\"silver.jacket.firewater\"],[\"SilverJacket\"],[\"2\"]],\n[[\"P22\"],[\"Str_PJ2\"],[\"0\"],[\"Str_XP\"],[\"1\"],[\"Str_LUCK\"],[\"2\"],[\"0.99 USD\"],[\"invisible.jacket.firewater\"],[\"NakedJacket\"],[\"5\"]],\n[[\"31\"],[\"Str_H1\"],[\"0\"],[\"NO\"],[\"0\"],[\"NO\"],[\"2\"],[\"0\"],[\"StoreID28\"],[\"NONE\"],[\"X\"]],\n[[\"32\"],[\"Str_H2\"],[\"0\"],[\"NO\"],[\"1\"],[\"Str_LEAD\"],[\"1\"],[\"1000\"],[\"StoreID29\"],[\"BikerHat\"],[\"X\"]],\n[[\"33\"],[\"Str_H3\"],[\"0\"],[\"NO\"],[\"1\"],[\"Str_LUCK\"],[\"2\"],[\"1000\"],[\"StoreID30\"],[\"ClownHat\"],[\"X\"]],\n[[\"34\"],[\"Str_H4\"],[\"0\"],[\"NO\"],[\"1\"],[\"Str_SPEED\"],[\"3\"],[\"5000\"],[\"StoreID31\"],[\"CookHat\"],[\"X\"]],\n[[\"35\"],[\"Str_H5\"],[\"0\"],[\"Str_SHIELD\"],[\"1\"],[\"Str_SPEED\"],[\"2\"],[\"5000\"],[\"StoreID32\"],[\"CapHat\"],[\"X\"]],\n[[\"36\"],[\"Str_H6\"],[\"0\"],[\"Str_SHIELD\"],[\"1\"],[\"Str_LEAD\"],[\"2\"],[\"50000\"],[\"StoreID34\"],[\"DrinkerHat\"],[\"X\"]],\n[[\"37\"],[\"Str_H7\"],[\"0\"],[\"Str_REVIVE\"],[\"2\"],[\"Str_TOPSPEED\"],[\"2\"],[\"150000\"],[\"StoreID35\"],[\"IndianerHat\"],[\"X\"]],\n[[\"38\"],[\"Str_H8\"],[\"0\"],[\"Str_REVIVE\"],[\"3\"],[\"Str_BOOST\"],[\"2\"],[\"500000\"],[\"StoreID36\"],[\"RacoonHat\"],[\"X\"]],\n[[\"P31\"],[\"Str_PH1\"],[\"0\"],[\"Str_REVIVE\"],[\"3\"],[\"Str_BOOST\"],[\"3\"],[\"1.99 USD\"],[\"silver.hat.firewater\"],[\"SilverHat\"],[\"3\"]],\n[[\"P32\"],[\"Str_PH2\"],[\"0\"],[\"Str_REVIVE\"],[\"1\"],[\"Str_LEAD\"],[\"3\"],[\"0.99 USD\"],[\"sombrero.hat.firewater\"],[\"SombreroHat\"],[\"0\"]],\n[[\"P41\"],[\"Str_PO1\"],[\"0\"],[\"NO\"],[\"1\"],[\"NO\"],[\"2\"],[\"0.99 USD\"],[\"coins1.firewater\"],[\"NONE\"],[\"9\"]],\n[[\"P42\"],[\"Str_PO2\"],[\"0\"],[\"NO\"],[\"1\"],[\"NO\"],[\"2\"],[\"1.99 USD\"],[\"coins2.firewater\"],[\"NONE\"],[\"8\"]]\n]}"
					]
				]
				]
			]
,			[
				169,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				5840959003188917,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[4,1,1],\"data\":[\n[[\"8\"]],\n[[\"6\"]],\n[[\"8\"]],\n[[\"8\"]]\n]}"
					]
				]
				]
			]
,			[
				170,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				5127422244372337,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[5,1,1],\"data\":[\n[[\"2\"]],\n[[\"2\"]],\n[[\"2\"]],\n[[\"2\"]],\n[[\"2\"]]\n]}"
					]
				]
				]
			]
,			[
				179,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				7967525346438509,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[20,7,1],\"data\":[\n[[\"Str_TUT1\"],[\"PRESS THE RIGHT BUTTON TO JUMP! PRESS LONGER FOR HIGHER JUMPS\"],[\"DRÜCKE DEN RECHTEN KNOPF UM ZU SPRINGEN! DRÜCKE LÄNGER FÜR HÖHERE SPRÜNGE!\"],[\"Appuie sur le bouton droit pour sauter! Appuie plus longtemps pour faire un saut plus long\"],[\"PREMI IL BOTTONE DESTRO PER SALTARE! TIENI PREMUTO PER SALTARE PIU' ALTO\"],[\"¡PULSE EL BOTÓN DERECHO PARA SALTAR! MANTEN PRESIONADO EL BOTÓN PARA SALTAR MÁS ALTO\"],[\"PRESSIONA O BOTÃO DIREITO PARA SALTAR! MANTÉM PRESSIONADO PARA SALTOS MAIORES\"]],\n[[\"Str_TUT2\"],[\"JUMP AGAIN!\"],[\"SPRINGE NOCHMAL!\"],[\"Saute encore\"],[\"SALTA ANCORA!\"],[\"¡Salta otra vez!\"],[\"SALTA DE NOVO\"]],\n[[\"Str_TUT3\"],[\"PRESS JUMP IN MID-AIR FOR A DOUBLEJUMP\"],[\"SPRINGE IN DER LUFT FÜR EINEN DOPPELSPRUNG!\"],[\"Appuie deux fois sur le bouton de droite pour un double-saut\"],[\"PER UN DOPPIO SALTO\"],[\"CUANDO ESTAS EN EL AIRE, VUELVE A PULSAR PARA REALIZAR UN DOBLE SALTO\"],[\"PRESSIONA SALTO NO AR PARA UM SALTO DUPLO\"]],\n[[\"Str_TUT4\"],[\"PRESS THE BUTTON ON THE LEFT TO SLIDE!\"],[\"DRÜCKE DEN LINKEN KNOPF UM ZU RUTSCHEN!\"],[\"Appuie sur le bouton gauche pour glisser!\"],[\"PREMI IL BOTTONE SINISTRO PER SCIVOLARE!\"],[\"¡PULSA EL BOTÓN IZQUIERDO PARA DESLIZARTE!\"],[\"PRESSIONA O BOTÃO ESQUERDO PARA ESCORREGAR\"]],\n[[\"Str_TUT5\"],[\"COLLECT 3 BOTTLES OF FIREWATER TO CHARGE THE BOOST! (TAP ANYWHERE TO CONTINUE)\"],[\"SAMMLE 3 FLASCHEN UM DEN BOOST AUFZULADEN (TIPPE UM FORTZUFAHREN)\"],[\"Collecte 3 bouteilles de firewater pour charger le boost! (tape pour continuer)\"],[\"RACCOGLI 3 BOTTIBLIE DI ACQUAVITE PER CARICARE IL BOOST. (TOCCA UN QUALSIASI PUNTO PER PROSEGUIRE)\"],[\"Consigue 3 botellas de Aguardiente para cargar el TURBO (pulsa la pantalla para continuar)\"],[\"APANHA 3 GARRAFAS DE ALCÓOL PARA CARREGAR AS BOTAS (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT6\"],[\"TAP BOOST!\"],[\"TIPPE AUF BOOST!\"],[\"Tape le boost!\"],[\"SELEZIONA IL BOOST!\"],[\"¡Utiliza el TURBO!\"],[\"TOCA NAS BOTAS!\"]],\n[[\"Str_TUT7\"],[\"GREAT! HERE WE GO! (TAP ANYWHERE TO CONTINUE)\"],[\"GROSSARTIG! JETZT GEHTS LOS! (TIPPE UM FORTZUFAHREN)\"],[\"Bravo! Bonne chance (tape pour continuer)\"],[\"OTTIMO! CI SIAMO! (TOCCA UN QUALSIASI PUNTO PER PROSEGUIRE)\"],[\"¡Genial! ¡Aquí vamos! (pulsa la pantalla para continuar)\"],[\"BOA! AÍ VAMOS NÓS! (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT8\"],[\"YOU COLLECTED A BULLET. USE IT TO SHOOT AT A BOTTLE AFTER YOUR RUN! (TAP ANYWHERE TO CONTINUE)\"],[\"PATRONE EINGESAMMELT! SCHIESSE DAMIT AUF EINE FLASCHE AM ENDE DES LAUFES\"],[\"Tu viens de collecter une balle. Utilise-la pour tirer les bouteilles à la fin de la session (tape pour continuer)\"],[\"HAI COLLEZIONATO UN PROIETTILE. USALO PER COLPIRE UNA BOTTILE DOPO LA CORSA (TOCCA LO SCHERMO PER PROSEGUIRE)\"],[\"Has conseguido una bala. ¡Utilízala para disparar a la botella durante la carrera! (pulsa la pantalla para continuar)\"],[\"APANHASTE UMA BALA. USA-A PARA ATIRARES A UMA GARRAFA DEPOIS DE CORRERES! (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT9\"],[\"TAP BOTTLES TO SHOOT AT THEM! (TAP ANYWHERE TO CONTINUE)\"],[\"TIPPE AUF FLASCHEN UM SIE ZU ZERSCHIESSEN (TIPPE UM FORTZUFAHREN)\"],[\"Tape les bouteilles pour les shooter! (tape pour continuer)\"],[\"TOCCA LA BOTTIGLIA PER COLPIRLA! (TOCCA LO SCHERMO PER PROSEGUIRE)\"],[\"Toca las botellas para disparar sobre ellas (pulsa la pantalla para continuar)\"],[\"TOCA NAS GARRAFAS PARA AS ATIRARES!  (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT10\"],[\"YOU COLLECTED A LETTER! COLLECT 5 LETTERS TO GET THE DAILY REWARD (TAP ANYWHERE TO CONTINUE)\"],[\"BUCHSTABE EINGESAMMELT, SAMMLE 5 BUCHSTABEN FÜR DIE TÄGLICHE BELOHNUNG (TIPPE UM FORTZUFAHREN)\"],[\"Tu collecte une lettre! Collecte 5 lettres chaque jour pour obtenir une recompense (tape pour continuer)\"],[\"HAI COLLEZIONATO UNA LETTERA. COLLEZIONA 5 LETTERE PER IL COMPENSO GIORNALIERO. (TOCCA LO SCHERMO PER PROSEGUIRE)\"],[\"¡Has recogido una carta! Hazte con 5 cartas para conseguir tu recompensa diaria (pulsa la pantalla para continuar)\"],[\"APANHASTE A CARTA. APANHA 5 CARTAS PARA GANHARES A RECOMPENSA DIÁRIA! (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT11\"],[\"GREAT, YOU COLLECTED ENOUGH XP TO LEVEL UP! YOUR TOP SPEED INCREASES EVERYTIME YOU LEVEL UP! (TAP ANYWHERE TO CONTINUE)\"],[\"SUPER, GENUG XP FÜR EINEN STUFENAUFSTIEG GESAMMELT! DEINE HÖCHSTGESCHWINDIGKEIT ERHÖT SICH BEI JEDEM STUFENAUFSTIEG (TIPPE UM FORTZUFAHREN)\"],[\"Bravo. Tu as assez d'xp pour passer au rang suivant! Ta vitesse max augmente à chaque nouveau rang! (tape pour continuer)\"],[\"AUMENTA IN QUALSIASI ISTANTE IL TUO LIVELLO (TOCCA LO SCHERMO PER PROSEGUIRE)\"],[\"¡Fantástico! Has acumulado XP sufiente para subir de nivel. ¡Tu velocidad máxima incrementa cada vez que subes de nivel! (pulsa la pantalla para continuar)\"],[\"BOA! APANHASTE XP SUFICIENTES PARA PASSARES DE NÍVEL! A TUA VELOCIDADE AUMENTA SEMPRE QUE MUDES DE NÍVEL! (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT12\"],[\"TAP CUSTOMIZE TO ENTER THE SHOP!\"],[\"TIPPE AUF ANPASSEN UM DEN SHOP AUFZURUFEN!\"],[\"Tape améliorer pour entrer dans la boutique\"],[\"TOCCA PER ENTRARE NEL NEGOZIO E PERSONALIZZARTI.\"],[\"Pulsa sobre \"],[\"TOCA EM PERSONALIZAR PARA ENTRARES NA LOJA!\"]],\n[[\"Str_TUT13\"],[\"HAVE FUN WHILE SHOPPING! (TAP ANYWHERE TO CONTINUE)\"],[\"VIEL SPASS BEIM SHOPPEN (TIPPE UM FORTZUFAHREN) \"],[\"Achète pour etre meilleur! (tape pour continuer)\"],[\"DIVERTITI MENTRE FAI ACQUISTI! (TOCCA LO SCHERMO PER PROSEGUIRE))\"],[\"¡Diviértete de compras! (pulsa la pantalla para continuar)\"],[\"DIVERTE-TE NAS COMPRAS! (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT24\"],[\"PRESS THE PLAY BUTTON TO START THE LEVEL\"],[\"DRÜCKE DEN SPIELEN KNOPF UM DAS SPIEL ZU STARTEN\"],[\"Tape le bouton play pour jouer\"],[\"SELEZIONA PLAY PER INIZIARE IL LIVELLO\"],[\"Pulsa sobre el botón Play para acceder al nuevo nivel\"],[\"CARREGA NO BOTÃO JOGAR PARA COMEÇARES O NÍVEL\"]],\n[[\"Str_TUT14\"],[\"SPEED+ INCREASES YOUR STARTING SPEED (TAP ANYWHERE TO CONTINUE)\"],[\"GESCHW.+ ERHÖHT DEINE ANFANGSGESCHWINDIGKEIT  (TIPPE UM FORTZUFAHREN)\"],[\"Speed+ augmente la vitesse de départ (tape pour continuer)\"],[\"VELOCITA'+ AUMENTA LA TUA VELOCITA' DI PARTENZA (TOCCA LO SCHERMO PER CONTINUARE)\"],[\"Velocidad+ incrementa tu velocidad inicial (pulsa la pantalla para continuar)\"],[\"VELOCIDADE + AUMENTA A TUA VELOCIDADE INICIAL (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT15\"],[\"TOP SPEED+ INCREASES YOUR MAX SPEED (TAP ANYWHERE TO CONTINUE)\"],[\"HÖCHSTGE.+ ERHÖHT DEINE MAXIMALGESCHWINDIGKEIT (TIPPE UM FORTZUFAHREN)\"],[\"Vitesse max+ augmente la vitesse max (tape pour continuer)\"],[\"VELOCITA' TOP+ AUMENTA LA TUA VELOCITA' MASSIMA (TOCCA LO SCHERMO PER CONTINUARE)\"],[\"Velocidad MAX+ incrementa tu velocidad máxima (pulsa la pantalla para continuar)\"],[\"TOP VELOCIDADE + AUMENTA A TUA VELOCIDADE MÁXIMA (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT16\"],[\"BOOST+ INCREASES YOUR BOOST POWER AND LENGTH (TAP ANYWHERE TO CONTINUE)\"],[\"BOOST+ ERHÖHT DEINE BOOST STÄRKE UND LÄNGE (TIPPE UM FORTZUFAHREN)\"],[\"Boost+ augmente la puissance du boost (tape pour continuer)\"],[\"LA SPINTA AUMENTA LA TUA POTENZA DI ENERGIA E LA DURATA (TOCCA LO SCHERMO PER PROSEGUIRE)\"],[\"TURBO+ incrementa la potencia y longitud de tu TURBO (pulsa la pantalla para continuar)\"],[\"BOTAS + AUMENTA O TEU PODE DE IMPULSO E COMPRIMENTO (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT17\"],[\"WITH LUCK+ MORE BULLETS AND LETTERS WILL APPEAR AND ITS MORE LIKELY TO WIN WHEN SHOOTING BOTTLES (TAP ANYWHERE TO CONTINUE)\"],[\"DURCH GLÜCK+ ERSCHEINEN MEHR FLASCHEN UND BUCHSATBEN. ERHÖHT DIE CHANCE BEIM FLASCHENSCHIESSEN ZU GEWINNEN (TIPPE UM FORTZUFAHREN) \"],[\"Chance+ augmente l'apparition des lettres et des balles (tape pour continuer)\"],[\"CON L'AUMENTARE DELLA FORTUNA + DIVERSI PROIETTILI E LETTERE AVRAI LA POSSIBILITA' DI VINCERE DURANTE IL LANCIO DELLE BOTTIGLIE (TOCCA LO SCHERMO PER CONTINUARE)\"],[\"Con SUERTE+ más balas y cartas aparecerán durante la carrera. Por tanto, ¡más fácil de ganar disparando botellas! (pulsa la pantalla para continuar)\"],[\"COM SORTE E MAIS BALAS, MAIS CARTAS VÃO APARECER E TENS MAIS PROBALBILIDADES DE GANHAR AO ATIRARES ÀS GARRAFAS  (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT18\"],[\"LEAD+ IS A HUGE BOOST IN THE BEGINNING OF EACH RUN (TAP ANYWHERE TO CONTINUE)\"],[\"VORSPRUNG+ GIBT DIR EINEN MÄCHTIGEN BOOST AM BEGINN JEDEN LAUFES (TIPPE UM FORTZUFAHREN)\"],[\"Avance+ permet de commencer avec de l'avance (tape pour continuer)\"],[\"LA GUIDA TI DARA' LA SPINTA ALL'INIZIO DI OGNI CORSA (TOCCA LO SCHERMO PER CONTINUARE)\"],[\"Con Ventaja+ conseguirás un gran TURBO al principio de cada carrera (pulsa la pantalla para continuar)\"],[\"LEAD + É UM INCENTIVO ENORME NO ÍNICIO DA TUA CORRIDA (TOCA EM QUALQUER LADO PARA CONTINUARES)\"]],\n[[\"Str_TUT19\"],[\"SHIELD X1 WILL LET YOU START WITH A PROTECTIVE SHIELD (TAP ANYWHERE TO CONTINUE)\"],[\"SCHILD X1 LÄSST DICH MIT EINEM SCHUTZSCHILD STARTEN (TIPPE UM FORTZUFAHREN)\"],[\"Bouclier x1 te fais commencer avec une protection (tape pour continuer)\"],[\"1 SCUDO TI FARA' INIZIARE CON UNO SCUDO DI PROTEZIONE (TOCCA LO SCHERMO PER CONTINUARE)\"],[\"PROTECCIÓN X1 te permitirá comenzar con una coraza de protección (pulsa la pantalla para continuar)\"],[\"SHIELD X1 VAI DEIXAR-TE INICIAR COM UMA PROTECÇÃO DE SHIELD (TOCA EM QUALQUER LADO PARA CONTINUARES) \"]]\n]}"
					]
				]
				]
			]
,			[
				180,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				7465955619654113,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[20,7,1],\"data\":[\n[[\"Str_TUT20\"],[\"COINS X2 DOUBLES THE COINS YOU COLLECT! (TAP ANYWHERE TO CONTINUE)\"],[\"MÜNZEN X2 VERDOPPELT DIE GESAMMELTEN MÜNZEN (TIPPE UM FORTZUFAHREN)\"],[\"Pieces x2 double les pieces que tu collectes! (tape pour continuer)\"],[\"2 MONETE DOPPIE SONO QUELLE CHE DEVI COLLEZIONARE (TOCCA LO SCHERMO PER CONTINUARE)\"],[\"MONEDAS X2 dobla el valor de las monedas que recojas (pulsa la pantalla para continuar)\"],[\"MOEDAS X2 DUPLICA AS MOEDAS QUE APANHAS-TE! (TOCA EM QUALQUER LADO PARA CONTINUARES) \"]],\n[[\"Str_TUT21\"],[\"XP X2 DOUBLES THE XP YOU EARN! (TAP ANYWHERE TO CONTINUE)\"],[\"XP X2 VERDOPPELT DIE VERDIENTE XP! (TIPPE UM FORTZUFAHREN)\"],[\"XP X2 DOUBLES THE XP YOU EARN! (TAP ANYWHERE TO CONTINUE)\"],[\"XP X2 DOUBLES THE XP YOU EARN! (TAP ANYWHERE TO CONTINUE)\"],[\"XP X2 DOUBLES THE XP YOU EARN! (TAP ANYWHERE TO CONTINUE)\"],[\"XP X2 DOUBLES THE XP YOU EARN! (TAP ANYWHERE TO CONTINUE)\"]],\n[[\"Str_TUT22\"],[\"SCORE X2 DOUBLES YOUR SCORE! (TAP ANYWHERE TO CONTINUE)\"],[\"PUNKTE X2 VERDOPPELT DEINE PUNKTE! (TIPPE UM FORTZUFAHREN)\"],[\"Score x2 double le score! (tape pour continuer)\"],[\"2 DOPPI VOTI E' IL TUO RISULTATO (TOCCA LO SCHERMO PER CONTINUARE)\"],[\"¡PUNTUACIÓN X2 dobla tu puntuación ! (pulsa la pantalla para continuar)\"],[\"RESULTADO X2 DUPLICA O TEU RESULTADO (TOCA EM QUALQUER LADO PARA CONTINUARES) \"]],\n[[\"Str_TUT23\"],[\"REVIVE WILL GIVE YOU A SECOND CHANCE WHEN YOU GET CAUGHT (TAP ANYWHERE TO CONTINUE)\"],[\"NOCHMAL GIBT DIR EINE ZWEITE CHANCE WENN DU ERWISCHT WIRST (TIPPE UM FORTZUFAHREN)\"],[\"Revivre te donne une seconde chance lorsque tu perds (tape pour continuer)\"],[\"RESUSCITARE VI DARA' UNA SECONDA CHANCE QUANDO VI FARETE PRENDERE (TOCCA LO SCHERMO PER CONTINUARE)\"],[\"RESUCITAR te da una nueva oportunidad de correr si te atrapan (pulsa la pantalla para continuar)\"],[\"REVIVE VAI DAR-TE UMA OPORTUNIDADE PARA QUANDO FORES APANHADO (TOCA EM QUALQUER LADO PARA CONTINUARES) \"]],\n[[\"Str_TUT25\"],[\"TAP HERE TO SELECT YOUR NEXT LEVEL\"],[\"TIPPE HIER UM DEN NÄCHSTEN LEVEL ZU WÄHLEN\"],[\"TAP HERE TO SELECT YOUR NEXT LEVEL\"],[\"TAP HERE TO SELECT YOUR NEXT LEVEL\"],[\"TAP HERE TO SELECT YOUR NEXT LEVEL\"],[\"TAP HERE TO SELECT YOUR NEXT LEVEL\"]]\n]}"
					]
				]
				]
			]
,			[
				181,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				9051059446529694,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[22,1,1],\"data\":[[[120]],[[240]],[[480]],[[960]],[[1920]],[[3840]],[[6340]],[[9340]],[[13340]],[[17840]],[[23340]],[[30340]],[[38840]],[[48840]],[[60840]],[[75840]],[[94840]],[[118840]],[[148840]],[[188840]],[[268840]],[[368840]]]}"
					]
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				7067072900194243,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7028520358205724,
					false
					,[
					[
						11,
						"BUILDTARGET"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Android"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8733281738022083,
					false
					,[
					[
						11,
						"Country"
					]
,					[
						7,
						[
							20,
							186,
							cr.plugins_.Browser.prototype.exps.Language,
							true,
							null
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2584631821350795,
					false
					,[
					[
						11,
						"Country"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.right
							,[
[
								23,
								"Country"
							]
,[
								0,
								2
							]
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4241485208430824,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2268199443657501,
				false
				,[
				[
					1,
					[
						2,
						"setLanguageInt"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5684508159111315,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2080773308531671,
					false
					,[
					[
						11,
						"Language"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"en"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5838149094931918,
					false
					,[
					[
						11,
						"LanguageInt"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1305542392400111,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9861564156801076,
					false
					,[
					[
						11,
						"Language"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"de"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7505944110400648,
					false
					,[
					[
						11,
						"LanguageInt"
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6924417824431468,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8219788551457655,
					false
					,[
					[
						11,
						"Language"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"fr"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					403431350942564,
					false
					,[
					[
						11,
						"LanguageInt"
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1775351947805909,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5986782633826784,
					false
					,[
					[
						11,
						"Language"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"it"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5860028176818289,
					false
					,[
					[
						11,
						"LanguageInt"
					]
,					[
						7,
						[
							0,
							4
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2903521451584054,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3946246578198933,
					false
					,[
					[
						11,
						"Language"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"es"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5331546124992769,
					false
					,[
					[
						11,
						"LanguageInt"
					]
,					[
						7,
						[
							0,
							5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3660886176879551,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8301860533371385,
					false
					,[
					[
						11,
						"Language"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"pt"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4430793857575154,
					false
					,[
					[
						11,
						"LanguageInt"
					]
,					[
						7,
						[
							0,
							6
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				true,
				null,
				487509352608616,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8943588046568655,
					false
					,[
					[
						11,
						"LanguageInt"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2526651093580646,
					false
					,[
					[
						11,
						"ENGLISHONLY"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3284418015186714,
					false
					,[
					[
						11,
						"LanguageInt"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4159779293031121,
			[
			[
				50,
				cr.plugins_.Spritefont2.prototype.cnds.OnCreated,
				null,
				1,
				false,
				false,
				false,
				314645043454951,
				false
			]
			],
			[
			[
				175,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				2310615513723334,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[2,24,1],\"data\":[[[4],[6],[8],[9],[10],[11],[12],[13],[14],[15],[16],[17],[18],[19],[20],[21],[22],[23],[26],[27],[28],[30],[34],[36]],[[\"|\"],[\"'\"],[\".,;:\"],[\"(\"],[\"!)¡\"],[\"i[]\"],[\"Il1-`°ÎîÍí\"],[\"fj?\\\"=¿\"],[\"t*\"],[\"Jr\\\\/+<ï\"],[\"s>Ï\"],[\"FLZ~$öçèéêëôó\"],[\"EPSceoz3457_ÈÉÊË\"],[\"BCDGbgxy2£Ç\"],[\"OTYadnpquv08€äÖàâÔáñÓã\"],[\"AQRUVXhk69ÄÜüßÀÙùÛûÁÚúÃ\"],[\"HKNÑ\"],[\"MW\"],[\"æ\"],[\"w&%œ\"],[\"mÆŒ\"],[\"@\"],[\"₧\"],[\"#\"]]]}"
					]
				]
				]
			]
,			[
				50,
				cr.plugins_.Spritefont2.prototype.acts.SetCharacterWidth,
				null,
				5311668815522859,
				false
				,[
				[
					1,
					[
						2,
						" "
					]
				]
,				[
					0,
					[
						0,
						9
					]
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				9455257741748287,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					8443259126293305,
					false
					,[
					[
						1,
						[
							2,
							"y"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								175,
								cr.plugins_.Arr.prototype.exps.Height,
								false,
								null
							]
							,[
								0,
								1
							]
						]
					]
					]
				]
				],
				[
				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetCharacterWidth,
					null,
					5113924852591464,
					false
					,[
					[
						1,
						[
							20,
							175,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								0,
								1
							]
,[
								19,
								cr.system_object.prototype.exps.loopindex
								,[
[
									2,
									"y"
								]
								]
							]
							]
						]
					]
,					[
						0,
						[
							20,
							175,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								0,
								0
							]
,[
								19,
								cr.system_object.prototype.exps.loopindex
								,[
[
									2,
									"y"
								]
								]
							]
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4457425253766265,
			[
			[
				51,
				cr.plugins_.Spritefont2.prototype.cnds.OnCreated,
				null,
				1,
				false,
				false,
				false,
				8990923548169032,
				false
			]
			],
			[
			[
				175,
				cr.plugins_.Arr.prototype.acts.JSONLoad,
				null,
				9220643943265478,
				false
				,[
				[
					1,
					[
						2,
						"{\"c2array\":true,\"size\":[2,24,1],\"data\":[[[8],[10],[12],[13],[14],[15],[16],[17],[18],[19],[20],[21],[22],[23],[24],[25],[26],[27],[30],[31],[32],[34],[38],[40]],[[\"|\"],[\"'\"],[\".,;:\"],[\"(\"],[\"!)¡\"],[\"i[]\"],[\"Il1-`°ÎîÍí\"],[\"fj?\\\"=¿\"],[\"t\\\\/*\"],[\"Jr+<ï\"],[\"s>Ï\"],[\"FLZ~$öçèéêëôó\"],[\"EPSceoz3457_ÈÉÊË\"],[\"BCDGbgxy2£Ç\"],[\"OTYadnpquv08€äÖàâÔáñÓã\"],[\"AQRUVXhk69ÄÜüßÀÙùÛûÁÚúÃ\"],[\"HKNÑ\"],[\"MW\"],[\"æ\"],[\"w&%œ\"],[\"mÆŒ\"],[\"@\"],[\"₧\"],[\"#\"]]]}"
					]
				]
				]
			]
,			[
				51,
				cr.plugins_.Spritefont2.prototype.acts.SetCharacterWidth,
				null,
				1169108025083173,
				false
				,[
				[
					1,
					[
						2,
						" "
					]
				]
,				[
					0,
					[
						0,
						9
					]
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				2174988003961904,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					8141467920526442,
					false
					,[
					[
						1,
						[
							2,
							"y"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								175,
								cr.plugins_.Arr.prototype.exps.Height,
								false,
								null
							]
							,[
								0,
								1
							]
						]
					]
					]
				]
				],
				[
				[
					51,
					cr.plugins_.Spritefont2.prototype.acts.SetCharacterWidth,
					null,
					5056586838763512,
					false
					,[
					[
						1,
						[
							20,
							175,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								0,
								1
							]
,[
								19,
								cr.system_object.prototype.exps.loopindex
								,[
[
									2,
									"y"
								]
								]
							]
							]
						]
					]
,					[
						0,
						[
							20,
							175,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								0,
								0
							]
,[
								19,
								cr.system_object.prototype.exps.loopindex
								,[
[
									2,
									"y"
								]
								]
							]
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1550153506402887,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.onSocialServiceOpenAchievementsClosed,
				null,
				1,
				false,
				false,
				false,
				9335707588248608,
				false
			]
			],
			[
			]
		]
		]
	]
,	[
		"Audio",
		[
		[
			0,
			[true, "AUDIO"],
			false,
			null,
			444449296518414,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				444449296518414,
				false
				,[
				[
					1,
					[
						2,
						"AUDIO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				[true, "SOUNDS"],
				false,
				null,
				9721915889337058,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					9721915889337058,
					false
					,[
					[
						1,
						[
							2,
							"SOUNDS"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					498749798814526,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						1493437094350577,
						false
						,[
						[
							1,
							[
								2,
								"playJump"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						1688294056486243,
						false
						,[
						[
							2,
							["land",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"jump"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3723975177506706,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						9724638238852812,
						false
						,[
						[
							1,
							[
								2,
								"playDoubleJump"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						7845795080586755,
						false
						,[
						[
							2,
							["jump",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-8
							]
						]
,						[
							1,
							[
								2,
								"doublejump"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5075762371003461,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						2026453172355982,
						false
						,[
						[
							1,
							[
								2,
								"playLand"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						2102666466634637,
						false
						,[
						[
							2,
							["doublejump",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-10
							]
						]
,						[
							1,
							[
								2,
								"land"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9003618883498476,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3467085683586902,
						false
						,[
						[
							1,
							[
								2,
								"playHugh"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						9704148977762731,
						false
						,[
						[
							2,
							["catchplayer",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"catchplayer"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3641240551190829,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5940911492793677,
						false
						,[
						[
							1,
							[
								2,
								"playHit"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						34580645550033,
						false
						,[
						[
							2,
							["gethit",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"gethit"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5605553772006825,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3998055615004946,
						false
						,[
						[
							1,
							[
								2,
								"playBoost"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5456528345850579,
						false
						,[
						[
							2,
							["boost",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"boost"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					135533064210856,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						7481380030357434,
						false
						,[
						[
							1,
							[
								2,
								"playFirewater"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						2976572644286737,
						false
						,[
						[
							2,
							["collectfirewater3",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"firewater"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3454660490096126,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5199293715369104,
						false
						,[
						[
							1,
							[
								2,
								"countFirewater"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						1926174371725619,
						false
						,[
						[
							2,
							["collectfirewater2",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"firewater"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6634147453791368,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5740888562994285,
						false
						,[
						[
							1,
							[
								2,
								"playCoin"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						7969459873889725,
						false
						,[
						[
							2,
							["collectcoin",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"coin"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5599095136402728,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						2247797964004103,
						false
						,[
						[
							1,
							[
								2,
								"playCoin2"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						8780316057873481,
						false
						,[
						[
							2,
							["collectcoin2",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"coin2"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					655781666651519,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3416886706713315,
						false
						,[
						[
							1,
							[
								2,
								"playDanger"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						929989351037875,
						false
						,[
						[
							2,
							["collectfirewater",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"firewater"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6607351448216317,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						2535873501022911,
						false
						,[
						[
							1,
							[
								2,
								"playClick"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						1043340136775257,
						false
						,[
						[
							2,
							["click",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"click"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3444803930397222,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5798066654148703,
						false
						,[
						[
							1,
							[
								2,
								"playShoot"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5554852214616422,
						false
						,[
						[
							2,
							["shoot",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"shoot"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7499767285778608,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						1001212238744745,
						false
						,[
						[
							1,
							[
								2,
								"playCountUp"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5465351257197086,
						false
						,[
						[
							2,
							["countingup",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"countup"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7589591978101975,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						7711776468205405,
						false
						,[
						[
							1,
							[
								2,
								"stopCountUp"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Stop,
						null,
						4707955874126136,
						false
						,[
						[
							1,
							[
								2,
								"countup"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1446187949460356,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3899708200071803,
						false
						,[
						[
							1,
							[
								2,
								"playLevelUp"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						9836083704298346,
						false
						,[
						[
							2,
							["levelup",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"levelup"
							]
						]
						]
					]
					]
				]
,				[
					1,
					"randomDamage",
					0,
					0,
false,false,9718929168497705,false
				]
,				[
					0,
					null,
					false,
					null,
					4453411510510023,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						1019511345110429,
						false
						,[
						[
							1,
							[
								2,
								"playDamage"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3046373243871037,
						false
						,[
						[
							11,
							"randomDamage"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										2
									]
									]
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						6236832902194061,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2748956139172593,
							false
							,[
							[
								11,
								"randomDamage"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							189,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							863574545778959,
							false
							,[
							[
								2,
								["destroyobject1",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
,							[
								1,
								[
									2,
									"damage1"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8705849316933648,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9449364433610804,
							false
							,[
							[
								11,
								"randomDamage"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							189,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							4376584324875898,
							false
							,[
							[
								2,
								["destroyobject2",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
,							[
								1,
								[
									2,
									"damage2"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "MUSIC"],
				false,
				null,
				3155576100362517,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					3155576100362517,
					false
					,[
					[
						1,
						[
							2,
							"MUSIC"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					2605134168307588,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						5989832991867399,
						false
						,[
						[
							1,
							[
								2,
								"playAmbience"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.PlayByName,
						null,
						4461957433987895,
						false
						,[
						[
							3,
							1
						]
,						[
							1,
							[
								2,
								"menuAudio"
							]
						]
,						[
							3,
							1
						]
,						[
							0,
							[
								0,
								-3
							]
						]
,						[
							1,
							[
								2,
								"menu"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3827739311751682,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						4029649368114324,
						false
						,[
						[
							1,
							[
								2,
								"stopAmbience"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Stop,
						null,
						5147037274865819,
						false
						,[
						[
							1,
							[
								2,
								"menu"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3255785646706288,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						948749480210594,
						false
						,[
						[
							1,
							[
								2,
								"playMusic"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.PlayByName,
						null,
						6316240237782148,
						false
						,[
						[
							3,
							1
						]
,						[
							1,
							[
								2,
								"gameAudio"
							]
						]
,						[
							3,
							1
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"game"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7566751041357184,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						3851565767924419,
						false
						,[
						[
							1,
							[
								2,
								"pauseMusic"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.SetPaused,
						null,
						8726583338249725,
						false
						,[
						[
							1,
							[
								2,
								"game"
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9051924597091283,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						9900267415866493,
						false
						,[
						[
							1,
							[
								2,
								"resumeMusic"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.SetPaused,
						null,
						8246904092208674,
						false
						,[
						[
							1,
							[
								2,
								"game"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9243821338568651,
					[
					[
						185,
						cr.plugins_.Function.prototype.cnds.OnFunction,
						null,
						2,
						false,
						false,
						false,
						9540986154699073,
						false
						,[
						[
							1,
							[
								2,
								"stopMusic"
							]
						]
						]
					]
					],
					[
					[
						189,
						cr.plugins_.Audio.prototype.acts.Stop,
						null,
						1250035650992436,
						false
						,[
						[
							1,
							[
								2,
								"game"
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3681877117012909,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6883603014827796,
				false
				,[
				[
					1,
					[
						2,
						"enableMusic"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetGroupActive,
				null,
				9983890903936493,
				false
				,[
				[
					1,
					[
						2,
						"MUSIC"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				188,
				cr.plugins_.WebStorage.prototype.acts.StoreLocal,
				null,
				6404135312397472,
				false
				,[
				[
					1,
					[
						2,
						"music"
					]
				]
,				[
					7,
					[
						0,
						1
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				3523021957812436,
				false
				,[
				[
					11,
					"MusicOn"
				]
,				[
					7,
					[
						0,
						1
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				4698976082848176,
				false
				,[
				[
					1,
					[
						2,
						"checkMusicButtonStates"
					]
				]
,				[
					13,
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				3272613677833964,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2446462075247747,
					false
					,[
					[
						11,
						"paused"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					189,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					4560414210352279,
					false
					,[
					[
						1,
						[
							2,
							"menu"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					5331679259670045,
					false
					,[
					[
						0,
						[
							1,
							0.2
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2803716421190096,
					false
					,[
					[
						1,
						[
							2,
							"playAmbience"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2570816376248597,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2679541601872328,
					false
					,[
					[
						11,
						"paused"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9792316016038966,
					false
					,[
					[
						1,
						[
							2,
							"playMusic"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4497632270641334,
					false
					,[
					[
						1,
						[
							2,
							"pauseMusic"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5879595675235843,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				5636663823758718,
				false
				,[
				[
					1,
					[
						2,
						"disableMusic"
					]
				]
				]
			]
			],
			[
			[
				188,
				cr.plugins_.WebStorage.prototype.acts.StoreLocal,
				null,
				2733815847446752,
				false
				,[
				[
					1,
					[
						2,
						"music"
					]
				]
,				[
					7,
					[
						19,
						cr.system_object.prototype.exps["int"]
						,[
[
							0,
							0
						]
						]
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				7550449278480167,
				false
				,[
				[
					1,
					[
						2,
						"stopAmbience"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetGroupActive,
				null,
				6837003208649335,
				false
				,[
				[
					1,
					[
						2,
						"MUSIC"
					]
				]
,				[
					3,
					0
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				1264169249524056,
				false
				,[
				[
					11,
					"MusicOn"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				7848580791730517,
				false
				,[
				[
					1,
					[
						2,
						"checkMusicButtonStates"
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4174487960656024,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				8496936288029829,
				false
				,[
				[
					1,
					[
						2,
						"enableSfx"
					]
				]
				]
			]
			],
			[
			[
				188,
				cr.plugins_.WebStorage.prototype.acts.StoreLocal,
				null,
				8955308455702885,
				false
				,[
				[
					1,
					[
						2,
						"sfx"
					]
				]
,				[
					7,
					[
						0,
						1
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetGroupActive,
				null,
				2565439776893926,
				false
				,[
				[
					1,
					[
						2,
						"SOUNDS"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				932148371259819,
				false
				,[
				[
					11,
					"SfxOn"
				]
,				[
					7,
					[
						0,
						1
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				1197280840190189,
				false
				,[
				[
					1,
					[
						2,
						"checkSfxButtonStates"
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3952645508081788,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				5614251218622911,
				false
				,[
				[
					1,
					[
						2,
						"disableSfx"
					]
				]
				]
			]
			],
			[
			[
				188,
				cr.plugins_.WebStorage.prototype.acts.StoreLocal,
				null,
				3324499886562214,
				false
				,[
				[
					1,
					[
						2,
						"sfx"
					]
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetGroupActive,
				null,
				1217082661039816,
				false
				,[
				[
					1,
					[
						2,
						"SOUNDS"
					]
				]
,				[
					3,
					0
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				1076628868547327,
				false
				,[
				[
					11,
					"SfxOn"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				1644775288829724,
				false
				,[
				[
					1,
					[
						2,
						"checkSfxButtonStates"
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3543049322019249,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				8215646732743089,
				false
				,[
				[
					1,
					[
						2,
						"musicButtonPressed"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7120843347899601,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4405490998232012,
					false
					,[
					[
						11,
						"MusicOn"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3169869601883169,
					false
					,[
					[
						1,
						[
							2,
							"enableMusic"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3842617955241798,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					4009675358593464,
					false
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3865747572702193,
					false
					,[
					[
						1,
						[
							2,
							"disableMusic"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9781895137527191,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				5447010726121569,
				false
				,[
				[
					1,
					[
						2,
						"sfxButtonPressed"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1980866038286926,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7643243748502511,
					false
					,[
					[
						11,
						"SfxOn"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6856426350424351,
					false
					,[
					[
						1,
						[
							2,
							"enableSfx"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1130196267205669,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					984168458403766,
					false
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4736768658388242,
					false
					,[
					[
						1,
						[
							2,
							"disableSfx"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5529800721469555,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				4839243969216637,
				false
				,[
				[
					1,
					[
						2,
						"checkAudio"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9600141050067793,
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,
					null,
					0,
					false,
					false,
					false,
					7567998073593171,
					false
					,[
					[
						1,
						[
							2,
							"music"
						]
					]
,					[
						8,
						0
					]
,					[
						0,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					4545703512711666,
					false
					,[
					[
						1,
						[
							2,
							"MUSIC"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5502292624388787,
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,
					null,
					0,
					false,
					false,
					false,
					5094577588715832,
					false
					,[
					[
						1,
						[
							2,
							"music"
						]
					]
,					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					7799073336543849,
					false
					,[
					[
						1,
						[
							2,
							"MUSIC"
						]
					]
,					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4614960165319193,
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,
					null,
					0,
					false,
					false,
					false,
					614487376232822,
					false
					,[
					[
						1,
						[
							2,
							"sfx"
						]
					]
,					[
						8,
						0
					]
,					[
						0,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					2691681913602209,
					false
					,[
					[
						1,
						[
							2,
							"SOUNDS"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5561276741054167,
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,
					null,
					0,
					false,
					false,
					false,
					6831692914060352,
					false
					,[
					[
						1,
						[
							2,
							"sfx"
						]
					]
,					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetGroupActive,
					null,
					51592099875318,
					false
					,[
					[
						1,
						[
							2,
							"SOUNDS"
						]
					]
,					[
						3,
						0
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8026397313171769,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				3283316725300403,
				false
				,[
				[
					1,
					[
						2,
						"checkMusicButtonStates"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9681433033121098,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6610790516960955,
					false
					,[
					[
						11,
						"MusicOn"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9341318950604613,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						191275621951791,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"musicText"
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						1334995730156009,
						false
						,[
						[
							7,
							[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									173,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										2,
										"Str_OFF"
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3549865587715118,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					6727847007631531,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1916237497699297,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7492760926192419,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"musicText"
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						8983812785663486,
						false
						,[
						[
							7,
							[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									173,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										2,
										"Str_ON"
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			2531052504101834,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				3169905979725754,
				false
				,[
				[
					1,
					[
						2,
						"checkSfxButtonStates"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5727032923413595,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8503774041824406,
					false
					,[
					[
						11,
						"SfxOn"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					8484107607991116,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						8607421492384176,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"sfxText"
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						301416932754208,
						false
						,[
						[
							7,
							[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									173,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										2,
										"Str_OFF"
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6078710593330092,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					5097037911532717,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					8606705517828294,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						9544413529905894,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"sfxText"
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.SetText,
						null,
						7126374351047,
						false
						,[
						[
							7,
							[
								20,
								173,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									173,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										2,
										"Str_ON"
									]
									]
								]
,[
									23,
									"LanguageInt"
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"ShopEvents",
		[
		[
			2,
			"GlobalCheats",
			false
		]
,		[
			2,
			"Social",
			false
		]
,		[
			2,
			"Tutorial",
			false
		]
,		[
			2,
			"Character",
			false
		]
,		[
			2,
			"Customize",
			false
		]
,		[
			2,
			"Missions",
			false
		]
,		[
			2,
			"SaveAndLoad",
			false
		]
,		[
			2,
			"Audio",
			false
		]
,		[
			2,
			"ButtonsAndFields",
			false
		]
,		[
			2,
			"InitFonts",
			false
		]
,		[
			1,
			"lastProductID",
			1,
			"",
false,false,9275907394950853,false
		]
,		[
			1,
			"lastProductIndex",
			1,
			"",
false,false,3338395984871296,false
		]
,		[
			0,
			null,
			false,
			null,
			8887583533384552,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				3697596029300322,
				false
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				8737582990223131,
				false
				,[
				[
					1,
					[
						2,
						"LoadGame"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				7674095719526104,
				false
				,[
				[
					1,
					[
						2,
						"checkDaily"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				9315059833140731,
				false
				,[
				[
					11,
					"GameState"
				]
,				[
					7,
					[
						2,
						"Shop"
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				5730470155370356,
				false
				,[
				[
					1,
					[
						2,
						"CreateMissionBackground"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"NoSTRING"
							]
						]
,
						[
							7,
							[
								0,
								12
							]
						]
,
						[
							7,
							[
								5,
								[
									6,
									[
										4,
										[
											19,
											cr.system_object.prototype.exps.viewporttop
											,[
[
												0,
												0
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
									]
									,[
										1,
										0.5
									]
								]
								,[
									0,
									293
								]
							]
						]
,
						[
							7,
							[
								2,
								"Mission"
							]
						]
,
						[
							7,
							[
								2,
								"missions"
							]
						]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				6770149356379682,
				false
				,[
				[
					1,
					[
						2,
						"CreateCustomizeWindow"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"NoSTRING"
							]
						]
,
						[
							7,
							[
								5,
								[
									19,
									cr.system_object.prototype.exps.viewportright
									,[
[
										0,
										0
									]
									]
								]
								,[
									0,
									12
								]
							]
						]
,
						[
							7,
							[
								5,
								[
									6,
									[
										4,
										[
											19,
											cr.system_object.prototype.exps.viewporttop
											,[
[
												0,
												0
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
									]
									,[
										1,
										0.5
									]
								]
								,[
									0,
									293
								]
							]
						]
,
						[
							7,
							[
								2,
								"Customize"
							]
						]
				]
				]
			]
,			[
				52,
				cr.plugins_.Sprite.prototype.acts.SetY,
				null,
				7790345346291835,
				false
				,[
				[
					0,
					[
						19,
						cr.system_object.prototype.exps.viewporttop
						,[
[
							2,
							"Background"
						]
						]
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.Wait,
				null,
				8865045767899265,
				false
				,[
				[
					0,
					[
						1,
						0.1
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				4066914463093797,
				false
				,[
				[
					1,
					[
						2,
						"updateCharacterMaps"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				6321125412900311,
				false
				,[
				[
					1,
					[
						2,
						"assigneTempCharacterMaps"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.setAnim,
				null,
				6234493670923778,
				false
				,[
				[
					1,
					[
						2,
						"Idle"
					]
				]
,				[
					3,
					0
				]
,				[
					0,
					[
						0,
						0
					]
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				8339103945205376,
				[
				[
					192,
					cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,
					null,
					0,
					false,
					false,
					false,
					5467920939700409,
					false
				]
				],
				[
				[
					192,
					cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,
					null,
					7426908316792374,
					false
					,[
					[
						1,
						[
							2,
							"golden.boots.firewater,invisible.boots.firewater,silver.trousers.firewater,invisible.trousers.firewater,silver.jacket.firewater,invisible.jacket.firewater,silver.hat.firewater,sombrero.hat.firewater,coins1.firewater,coins2.firewater"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3711564239941712,
			[
			[
				50,
				cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
				null,
				0,
				false,
				false,
				false,
				9993139466864544,
				false
				,[
				[
					10,
					0
				]
,				[
					8,
					0
				]
,				[
					7,
					[
						2,
						"coinsField"
					]
				]
				]
			]
			],
			[
			[
				50,
				cr.plugins_.Spritefont2.prototype.acts.SetText,
				null,
				2692886578399228,
				false
				,[
				[
					7,
					[
						10,
						[
							23,
							"Coins"
						]
						,[
							2,
							" C"
						]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			2978906228982518,
			[
			[
				191,
				cr.plugins_.Spriter.prototype.cnds.readyForSetup,
				null,
				1,
				false,
				false,
				false,
				5233026415542348,
				false
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				6115298420138785,
				false
				,[
				[
					1,
					[
						2,
						"updateCharacterMaps"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				900484946512618,
				false
				,[
				[
					1,
					[
						2,
						"assigneTempCharacterMaps"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.setAnim,
				null,
				9241296460681925,
				false
				,[
				[
					1,
					[
						2,
						"Idle"
					]
				]
,				[
					3,
					0
				]
,				[
					0,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1486871950976961,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				4986846272646283,
				false
				,[
				[
					1,
					[
						2,
						"tryBuyItem"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				1,
				"coinPrice",
				0,
				0,
false,false,8179755961720157,false
			]
,			[
				1,
				"lclothAttribute1",
				1,
				"",
false,false,9364422557206232,false
			]
,			[
				1,
				"lclothAttribute2",
				1,
				"",
false,false,4156681797549987,false
			]
,			[
				1,
				"lclothAttribute1Value",
				0,
				0,
false,false,2126743689182734,false
			]
,			[
				1,
				"lclothAttribute2Value",
				0,
				0,
false,false,5010474889327155,false
			]
,			[
				0,
				null,
				false,
				null,
				5991142788090845,
				[
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9641176449064488,
					false
					,[
					[
						11,
						"coinPrice"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									7
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6847577432893562,
					false
					,[
					[
						11,
						"lclothAttribute1"
					]
,					[
						7,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									10,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndex"
										]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndex"
										]
										]
									]
								]
								]
							]
,[
								0,
								3
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5588315087058533,
					false
					,[
					[
						11,
						"lclothAttribute1Value"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									4
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6439319473686895,
					false
					,[
					[
						11,
						"lclothAttribute2"
					]
,					[
						7,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									10,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndex"
										]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndex"
										]
										]
									]
								]
								]
							]
,[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2681710774114726,
					false
					,[
					[
						11,
						"lclothAttribute2Value"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									6
								]
								]
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8839661377687315,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2285328065381415,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						8,
						5
					]
,					[
						7,
						[
							23,
							"coinPrice"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					3201712761963577,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						7,
						[
							23,
							"coinPrice"
						]
					]
					]
				]
,				[
					166,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					9600182223042905,
					false
					,[
					[
						1,
						[
							10,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									23,
									"CatergoryIndex"
								]
								]
							]
							,[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									23,
									"CardIndex"
								]
								]
							]
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2237538423919163,
					false
					,[
					[
						1,
						[
							2,
							"RemoveOldAttributeValues"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5036584591540514,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7261443294337887,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						9613281790908659,
						false
						,[
						[
							1,
							[
								2,
								"Boots"
							]
						]
,						[
							7,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndex"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5628832631563406,
						false
						,[
						[
							11,
							"CharMapBoots"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4939360861143014,
						false
						,[
						[
							11,
							"BoughtNewBoots"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4674842249998879,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7334749790717237,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							9471286470911051,
							false
							,[
							[
								1,
								[
									2,
									"Boots"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6799904655422999,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9052145217802916,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						4522214168597157,
						false
						,[
						[
							1,
							[
								2,
								"Trousers"
							]
						]
,						[
							7,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndex"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7187635803377102,
						false
						,[
						[
							11,
							"CharMapTrouser"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4990128629600637,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							3590921702413539,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							654608108231689,
							false
							,[
							[
								1,
								[
									2,
									"Trousers"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8686386715435072,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9304943479470301,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						3229174786704887,
						false
						,[
						[
							1,
							[
								2,
								"Jacket"
							]
						]
,						[
							7,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndex"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3026594727158871,
						false
						,[
						[
							11,
							"CharMapJacket"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7939693549452903,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							920805323088407,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							8265866315849344,
							false
							,[
							[
								1,
								[
									2,
									"Jacket"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3695873983598949,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6885629905845951,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						7447402720503435,
						false
						,[
						[
							1,
							[
								2,
								"Hat"
							]
						]
,						[
							7,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndex"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8155811169199116,
						false
						,[
						[
							11,
							"CharMapHat"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						3135228344112726,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							4222162163334722,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							707860608239091,
							false
							,[
							[
								1,
								[
									2,
									"Hat"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8135736083498202,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						9455501172896821,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SPEED"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						9585637085002592,
						false
						,[
						[
							11,
							"CharSpeed"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4630083254153065,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2216170227233258,
							false
							,[
							[
								11,
								"tutSpeed14"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							787898109219226,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											14
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8787878627356002,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						8347940991125092,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_TOPSPEED"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						192616844762657,
						false
						,[
						[
							11,
							"CharTopSpeed"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						67161127342191,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9522820945282631,
							false
							,[
							[
								11,
								"tutTopSpeed15"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3046726352724446,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											15
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3521838967270914,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						283989056654154,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_BOOST"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						8798918600823139,
						false
						,[
						[
							11,
							"CharBoost"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5034754269302113,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7471334047642941,
							false
							,[
							[
								11,
								"tutBoost16"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3528417628303134,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											16
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2574626338292045,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						31987860230174,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_LUCK"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						1329283975783805,
						false
						,[
						[
							11,
							"CharLuck"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7872136908263001,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6048107151265658,
							false
							,[
							[
								11,
								"tutLuck17"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6465186187801293,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											17
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4759697532158835,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						6299522889483955,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_LEAD"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						3307059463642498,
						false
						,[
						[
							11,
							"CharLead"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						1510777177540654,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2649002106598119,
							false
							,[
							[
								11,
								"tutLead18"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4242801887481784,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											18
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3186703737982364,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						8552924562834694,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SHIELD"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						541532914897589,
						false
						,[
						[
							11,
							"CharShield"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						8257866666194894,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8600119952846306,
							false
							,[
							[
								11,
								"tutShield19"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							1503176939117903,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											19
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9520149247518939,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						7168718222661134,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_XP"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						4373708787081691,
						false
						,[
						[
							11,
							"CharXP"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						8832223077994888,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							3619009543390833,
							false
							,[
							[
								11,
								"tutXP21"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							5516468262494846,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											21
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6661102629273914,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						5586115092688648,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SCORE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						6233485247186036,
						false
						,[
						[
							11,
							"CharScore"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						9429118370161863,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9181527789491168,
							false
							,[
							[
								11,
								"tutScore22"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							6880698849567119,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											22
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4716046949851205,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						3839870260097068,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_REVIVE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						8337122317311225,
						false
						,[
						[
							11,
							"CharRevive"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						1293685589766442,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6160141226648328,
							false
							,[
							[
								11,
								"tutRevive23"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							4520583270073602,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											23
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					141598738560645,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						7217825700201755,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_COINS"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						6263065246570687,
						false
						,[
						[
							11,
							"CharCoins"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4794092027595012,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							1573850649477042,
							false
							,[
							[
								11,
								"tutCoins20"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							7043933154608115,
							false
							,[
							[
								1,
								[
									2,
									"ShowTutorial"
								]
							]
,							[
								13,
																	[
										7,
										[
											0,
											20
										]
									]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3238283255712093,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						5323170531675733,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9380045587387475,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3989470768564583,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCard"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9209509081185627,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						193766387598759,
						false
						,[
						[
							4,
							79
						]
,						[
							5,
							[
								2,
								"MissionPopIn"
							]
						]
,						[
							0,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.viewportright
									,[
[
										2,
										"Mission"
									]
									]
								]
								,[
									1,
									0.5
								]
							]
						]
,						[
							0,
							[
								5,
								[
									19,
									cr.system_object.prototype.exps.viewportbottom
									,[
[
										2,
										"Mission"
									]
									]
								]
								,[
									0,
									200
								]
							]
						]
						]
					]
,					[
						79,
						cr.plugins_.Sprite.prototype.acts.SetScale,
						null,
						6823204556060628,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9807188318042096,
						false
						,[
						[
							1,
							[
								2,
								"playLevelUp"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1176998393996008,
						false
						,[
						[
							0,
							[
								1,
								1
							]
						]
						]
					]
,					[
						79,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						340769766341645,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9655926442419451,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					3950095881227926,
					false
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7421843930002754,
					false
					,[
					[
						1,
						[
							2,
							"genericPopIn"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_MORECOINS"
								]
							]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7922869823035617,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				4870113500503313,
				false
				,[
				[
					1,
					[
						2,
						"equipItem"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				1,
				"coinPrice",
				0,
				0,
false,false,4460414343809023,false
			]
,			[
				1,
				"lclothAttribute1",
				1,
				"",
false,false,7483163172453371,false
			]
,			[
				1,
				"lclothAttribute2",
				1,
				"",
false,false,4948743365254837,false
			]
,			[
				1,
				"lclothAttribute1Value",
				0,
				0,
false,false,5947575521124793,false
			]
,			[
				1,
				"lclothAttribute2Value",
				0,
				0,
false,false,5274553207253439,false
			]
,			[
				0,
				null,
				false,
				null,
				2152445570523703,
				[
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9551540544477746,
					false
					,[
					[
						11,
						"coinPrice"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									7
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5982914118407934,
					false
					,[
					[
						11,
						"lclothAttribute1"
					]
,					[
						7,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									10,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndex"
										]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndex"
										]
										]
									]
								]
								]
							]
,[
								0,
								3
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6550925725848163,
					false
					,[
					[
						11,
						"lclothAttribute1Value"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									4
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7136665614599485,
					false
					,[
					[
						11,
						"lclothAttribute2"
					]
,					[
						7,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									10,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndex"
										]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndex"
										]
										]
									]
								]
								]
							]
,[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5165752525133608,
					false
					,[
					[
						11,
						"lclothAttribute2Value"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									6
								]
								]
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1428798273649801,
				[
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8873933013679119,
					false
					,[
					[
						1,
						[
							2,
							"RemoveOldAttributeValues"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5066273586706218,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2501692106900727,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						9080648331283305,
						false
						,[
						[
							1,
							[
								2,
								"Boots"
							]
						]
,						[
							7,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndex"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						89767950849632,
						false
						,[
						[
							11,
							"CharMapBoots"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5636150763758473,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8836067183605666,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							3281161652645103,
							false
							,[
							[
								1,
								[
									2,
									"Boots"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8113548862672385,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4587763195428808,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						307087836467661,
						false
						,[
						[
							1,
							[
								2,
								"Trousers"
							]
						]
,						[
							7,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndex"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9056159951802541,
						false
						,[
						[
							11,
							"CharMapTrouser"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5525586240641745,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5742258112118411,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							1150121764309589,
							false
							,[
							[
								1,
								[
									2,
									"Trousers"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7575933012248741,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5134703116986184,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						7907860837175074,
						false
						,[
						[
							1,
							[
								2,
								"Jacket"
							]
						]
,						[
							7,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndex"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3589087653214658,
						false
						,[
						[
							11,
							"CharMapJacket"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						6775511087257231,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5943080914879336,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							3632245965247766,
							false
							,[
							[
								1,
								[
									2,
									"Jacket"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7896218042922833,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						435480415948269,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						516912246010555,
						false
						,[
						[
							1,
							[
								2,
								"Hat"
							]
						]
,						[
							7,
							[
								10,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CatergoryIndex"
									]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndex"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5368184243941114,
						false
						,[
						[
							11,
							"CharMapHat"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndex"
											]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndex"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						3780292167617336,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8378385116249795,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							2586962449630235,
							false
							,[
							[
								1,
								[
									2,
									"Hat"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndex"
												]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndex"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5603129368692983,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						7276040548786799,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SHIELD"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						1813546148047758,
						false
						,[
						[
							11,
							"CharShield"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					656098861930077,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						2499904036749777,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_XP"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						7580217031918878,
						false
						,[
						[
							11,
							"CharXP"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5461968995205674,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						5842239015563955,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SCORE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2672816574345879,
						false
						,[
						[
							11,
							"CharScore"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2529003546270356,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						8967007271520435,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_REVIVE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2236687670344348,
						false
						,[
						[
							11,
							"CharRevive"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7029620325074568,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						6110913858641873,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_COINS"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						3523872175419913,
						false
						,[
						[
							11,
							"CharCoins"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8032667926830605,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						9316673597594586,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SPEED"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						9756520696498756,
						false
						,[
						[
							11,
							"CharSpeed"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3809787760325551,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4560884794634999,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_TOPSPEED"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						4778021792332576,
						false
						,[
						[
							11,
							"CharTopSpeed"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8913999594848739,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						7298636794363003,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_BOOST"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						9678564693425301,
						false
						,[
						[
							11,
							"CharBoost"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					262176108240947,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						140380387932458,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_LUCK"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						5210563052583655,
						false
						,[
						[
							11,
							"CharLuck"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4638121158072088,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4230318151362066,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_LEAD"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						9778674065484316,
						false
						,[
						[
							11,
							"CharLead"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8495443412056266,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4041271273773791,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1179698860531854,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCard"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2440307498667955,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			6656516414288454,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				1584820485280719,
				false
				,[
				[
					1,
					[
						2,
						"tryBuyItemPremium"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				2556666104693465,
				false
				,[
				[
					11,
					"lastProductID"
				]
,				[
					7,
					[
						20,
						171,
						cr.plugins_.Arr.prototype.exps.At,
						false,
						null
						,[
[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.IndexOf,
							false,
							null
							,[
[
								10,
								[
									10,
									[
										2,
										"P"
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndexP"
										]
										]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndexP"
									]
									]
								]
							]
							]
						]
,[
							0,
							8
						]
						]
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				5647655991707763,
				false
				,[
				[
					11,
					"lastProductIndex"
				]
,				[
					7,
					[
						20,
						171,
						cr.plugins_.Arr.prototype.exps.At,
						false,
						null
						,[
[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.IndexOf,
							false,
							null
							,[
[
								10,
								[
									10,
									[
										2,
										"P"
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndexP"
										]
										]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndexP"
									]
									]
								]
							]
							]
						]
,[
							0,
							0
						]
						]
					]
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				8600438507925109,
				[
				[
					192,
					cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,
					null,
					0,
					false,
					false,
					false,
					9545918975199945,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9498431769720242,
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.cnds.IsProductPurchased,
						null,
						0,
						false,
						false,
						false,
						2103704664081161,
						false
						,[
						[
							1,
							[
								23,
								"lastProductID"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3055856105944894,
						false
						,[
						[
							11,
							"lastProductID"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"coins1.firewater"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9677796968440974,
						false
						,[
						[
							11,
							"lastProductID"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"coins2.firewater"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						887337961579967,
						false
						,[
						[
							1,
							[
								2,
								"debugPopIn"
							]
						]
,						[
							13,
															[
									7,
									[
										2,
										"PRODUCT WAS PURCHASED BEFORE"
									]
								]
,
								[
									7,
									[
										2,
										""
									]
								]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						1945564142853498,
						[
						[
							-1,
							cr.system_object.prototype.cnds.For,
							null,
							0,
							true,
							false,
							false,
							2437605919826062,
							false
							,[
							[
								1,
								[
									2,
									"Shopitems"
								]
							]
,							[
								0,
								[
									0,
									0
								]
							]
,							[
								0,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.Width,
									false,
									null
								]
							]
							]
						]
						],
						[
						]
						,[
						[
							0,
							null,
							false,
							null,
							2469419100119422,
							[
							[
								-1,
								cr.system_object.prototype.cnds.Compare,
								null,
								0,
								false,
								false,
								false,
								3378836741450707,
								false
								,[
								[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												19,
												cr.system_object.prototype.exps.loopindex
											]
,[
												0,
												8
											]
											]
										]
										]
									]
								]
,								[
									8,
									0
								]
,								[
									7,
									[
										23,
										"lastProductID"
									]
								]
								]
							]
							],
							[
							[
								185,
								cr.plugins_.Function.prototype.acts.CallFunction,
								null,
								2555297993124613,
								false
								,[
								[
									1,
									[
										2,
										"onPremiumBuyComplete"
									]
								]
,								[
									13,
																			[
											7,
											[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													20,
													171,
													cr.plugins_.Arr.prototype.exps.At,
													false,
													null
													,[
[
														19,
														cr.system_object.prototype.exps.loopindex
													]
,[
														0,
														0
													]
													]
												]
												]
											]
										]
								]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3405842396429329,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						9912389340517473,
						false
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.PurchasePreview,
						null,
						5412638313845411,
						false
						,[
						[
							1,
							[
								23,
								"lastProductID"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4868299118758818,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					7087133863055192,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1731448623409311,
					[
					[
						-1,
						cr.system_object.prototype.cnds.For,
						null,
						0,
						true,
						false,
						false,
						2755022022748772,
						false
						,[
						[
							1,
							[
								2,
								"Shopitems"
							]
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							0,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.Width,
								false,
								null
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						3631768423362146,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							6415406582342079,
							false
							,[
							[
								7,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.loopindex
										]
,[
											0,
											8
										]
										]
									]
									]
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									23,
									"lastProductID"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5450792387258697,
							false
							,[
							[
								11,
								"lastProductID"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"coins1.firewater"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7724416658422226,
							false
							,[
							[
								11,
								"lastProductID"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"coins2.firewater"
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							3429469917209241,
							false
							,[
							[
								1,
								[
									2,
									"onPremiumBuyComplete"
								]
							]
,							[
								13,
																	[
										7,
										[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												171,
												cr.plugins_.Arr.prototype.exps.At,
												false,
												null
												,[
[
													19,
													cr.system_object.prototype.exps.loopindex
												]
,[
													0,
													0
												]
												]
											]
											]
										]
									]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8230376409460936,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							3360463583232002,
							false
							,[
							[
								7,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.loopindex
										]
,[
											0,
											8
										]
										]
									]
									]
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									23,
									"lastProductID"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2746570934830732,
							false
							,[
							[
								11,
								"lastProductID"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"coins1.firewater"
								]
							]
							]
						]
						],
						[
						]
						,[
						[
							0,
							null,
							false,
							null,
							1732509155431433,
							[
							[
								-1,
								cr.system_object.prototype.cnds.TriggerOnce,
								null,
								0,
								false,
								false,
								false,
								3835344891267104,
								false
							]
							],
							[
							[
								-1,
								cr.system_object.prototype.acts.AddVar,
								null,
								337863175140084,
								false
								,[
								[
									11,
									"Coins"
								]
,								[
									7,
									[
										0,
										100000
									]
								]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						1900683969546651,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							2464590272028223,
							false
							,[
							[
								7,
								[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.At,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.loopindex
										]
,[
											0,
											8
										]
										]
									]
									]
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									23,
									"lastProductID"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5138065643649285,
							false
							,[
							[
								11,
								"lastProductID"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"coins2.firewater"
								]
							]
							]
						]
						],
						[
						]
						,[
						[
							0,
							null,
							false,
							null,
							689674151957243,
							[
							[
								-1,
								cr.system_object.prototype.cnds.TriggerOnce,
								null,
								0,
								false,
								false,
								false,
								8154243383171267,
								false
							]
							],
							[
							[
								-1,
								cr.system_object.prototype.acts.AddVar,
								null,
								8236968991714304,
								false
								,[
								[
									11,
									"Coins"
								]
,								[
									7,
									[
										0,
										400000
									]
								]
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3576835506666137,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				8587242462045051,
				false
				,[
				[
					1,
					[
						2,
						"onPremiumBuyComplete"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				1,
				"lclothAttribute1",
				1,
				"",
false,false,7909396496507165,false
			]
,			[
				1,
				"lclothAttribute2",
				1,
				"",
false,false,6886539501273009,false
			]
,			[
				1,
				"lclothAttribute1Value",
				0,
				0,
false,false,7870220771372483,false
			]
,			[
				1,
				"lclothAttribute2Value",
				0,
				0,
false,false,998358007751301,false
			]
,			[
				0,
				null,
				false,
				null,
				91968070601671,
				[
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9548980322821657,
					false
					,[
					[
						11,
						"lclothAttribute1"
					]
,					[
						7,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								0,
								3
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8029394771210742,
					false
					,[
					[
						11,
						"lclothAttribute1Value"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									]
								]
,[
									0,
									4
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4304931875147202,
					false
					,[
					[
						11,
						"lclothAttribute2"
					]
,					[
						7,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4408848097394955,
					false
					,[
					[
						11,
						"lclothAttribute2Value"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									]
								]
,[
									0,
									6
								]
								]
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7286636389327501,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					442296478466438,
					false
					,[
					[
						11,
						"lastProductID"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"coins1.firewater"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					792767572939718,
					false
					,[
					[
						11,
						"lastProductID"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"coins2.firewater"
						]
					]
					]
				]
				],
				[
				[
					166,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					6869948320827689,
					false
					,[
					[
						1,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								0
							]
							]
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5785869605540184,
					false
					,[
					[
						1,
						[
							2,
							"RemoveOldAttributeValues"
						]
					]
,					[
						13,
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2497512922115409,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7450871063701719,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						7003171482874661,
						false
						,[
						[
							1,
							[
								2,
								"Boots"
							]
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2200170177076675,
						false
						,[
						[
							11,
							"CharMapBoots"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1052278850723475,
						false
						,[
						[
							11,
							"BoughtNewBoots"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5439682785759593,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8849129011205371,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							7606397754854899,
							false
							,[
							[
								1,
								[
									2,
									"Boots"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8972391095157005,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3761801399316889,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						9863459490516107,
						false
						,[
						[
							1,
							[
								2,
								"Trousers"
							]
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1211457332862928,
						false
						,[
						[
							11,
							"CharMapTrouser"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						2900387628143706,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							2475615136532774,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							1245129386319691,
							false
							,[
							[
								1,
								[
									2,
									"Trousers"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					922751460671783,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7018727370312202,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						3835732840840791,
						false
						,[
						[
							1,
							[
								2,
								"Jacket"
							]
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2039722037560864,
						false
						,[
						[
							11,
							"CharMapJacket"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						6211728038399046,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5172929745715562,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							6293406994060423,
							false
							,[
							[
								1,
								[
									2,
									"Jacket"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5660602947502443,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5776377689913387,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						6930976640179828,
						false
						,[
						[
							1,
							[
								2,
								"Hat"
							]
						]
,						[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8316421901126244,
						false
						,[
						[
							11,
							"CharMapHat"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										20,
										185,
										cr.plugins_.Function.prototype.exps.Param,
										false,
										null
										,[
[
											0,
											0
										]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4636216315070342,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8380799910965073,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							3286294321838653,
							false
							,[
							[
								1,
								[
									2,
									"Hat"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											20,
											185,
											cr.plugins_.Function.prototype.exps.Param,
											false,
											null
											,[
[
												0,
												0
											]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3211606788255895,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						9866500757257325,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SHIELD"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						3381042600461618,
						false
						,[
						[
							11,
							"CharShield"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8651290598086273,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						9906890084711739,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_XP"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						1039100805269052,
						false
						,[
						[
							11,
							"CharXP"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4841002162685612,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4466202903199319,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SCORE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						903190145622077,
						false
						,[
						[
							11,
							"CharScore"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8852442738456993,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						128779462114555,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_REVIVE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						4265656816277531,
						false
						,[
						[
							11,
							"CharRevive"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					780365190317813,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						2150329857814343,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_COINS"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						4733191403953195,
						false
						,[
						[
							11,
							"CharCoins"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5862226898686471,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						8801421213728775,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SPEED"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						8890682560278831,
						false
						,[
						[
							11,
							"CharSpeed"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2351775010093495,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						368724018883014,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_TOPSPEED"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2278562574035126,
						false
						,[
						[
							11,
							"CharTopSpeed"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					449467978248928,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						9708862444504198,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_BOOST"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						9891783166140881,
						false
						,[
						[
							11,
							"CharBoost"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5590817722708177,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4586362164917454,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_LUCK"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						9643598328212306,
						false
						,[
						[
							11,
							"CharLuck"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6413277592058508,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						1072856049040944,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_LEAD"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						4535862950847702,
						false
						,[
						[
							11,
							"CharLead"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4693448286570832,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						746540414585635,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8492514900386373,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCardPremium"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6531028946314279,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						8480832393527204,
						false
						,[
						[
							4,
							79
						]
,						[
							5,
							[
								2,
								"MissionPopIn"
							]
						]
,						[
							0,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.viewportright
									,[
[
										2,
										"Mission"
									]
									]
								]
								,[
									1,
									0.5
								]
							]
						]
,						[
							0,
							[
								5,
								[
									19,
									cr.system_object.prototype.exps.viewportbottom
									,[
[
										2,
										"Mission"
									]
									]
								]
								,[
									0,
									200
								]
							]
						]
						]
					]
,					[
						79,
						cr.plugins_.Sprite.prototype.acts.SetScale,
						null,
						8065696769749398,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8285406371916255,
						false
						,[
						[
							1,
							[
								2,
								"playLevelUp"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						2887581577537831,
						false
						,[
						[
							0,
							[
								1,
								1
							]
						]
						]
					]
,					[
						79,
						cr.plugins_.Sprite.prototype.acts.Destroy,
						null,
						5783771105706287,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1564220274197359,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				1147065520236958,
				false
				,[
				[
					1,
					[
						2,
						"equipItemPremium"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				1,
				"lclothAttribute1",
				1,
				"",
false,false,6006138785931665,false
			]
,			[
				1,
				"lclothAttribute2",
				1,
				"",
false,false,5839157060543806,false
			]
,			[
				1,
				"lclothAttribute1Value",
				0,
				0,
false,false,7988270020175574,false
			]
,			[
				1,
				"lclothAttribute2Value",
				0,
				0,
false,false,9001132601092551,false
			]
,			[
				0,
				null,
				false,
				null,
				1662322911554523,
				[
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9918475849960963,
					false
					,[
					[
						11,
						"lclothAttribute1"
					]
,					[
						7,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									10,
									[
										10,
										[
											2,
											"P"
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndexP"
											]
											]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndexP"
										]
										]
									]
								]
								]
							]
,[
								0,
								3
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9533349812246193,
					false
					,[
					[
						11,
						"lclothAttribute1Value"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									4
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2903107161338914,
					false
					,[
					[
						11,
						"lclothAttribute2"
					]
,					[
						7,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									10,
									[
										10,
										[
											2,
											"P"
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CatergoryIndexP"
											]
											]
										]
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CardIndexP"
										]
										]
									]
								]
								]
							]
,[
								0,
								5
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					739690399097589,
					false
					,[
					[
						11,
						"lclothAttribute2Value"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									6
								]
								]
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4610347049839797,
				[
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2072346517271055,
					false
					,[
					[
						1,
						[
							2,
							"RemoveOldAttributeValues"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					166,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					4399767552465051,
					false
					,[
					[
						1,
						[
							10,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									23,
									"CatergoryIndex"
								]
								]
							]
							,[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									23,
									"CardIndex"
								]
								]
							]
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					7630585457285093,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5020444498159322,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						649539533251933,
						false
						,[
						[
							1,
							[
								2,
								"Boots"
							]
						]
,						[
							7,
							[
								10,
								[
									10,
									[
										2,
										"P"
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndexP"
										]
										]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndexP"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3758407041989005,
						false
						,[
						[
							11,
							"CharMapBoots"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						8680166462707649,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							4872291138537902,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							2711484895492394,
							false
							,[
							[
								1,
								[
									2,
									"Boots"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												10,
												[
													2,
													"P"
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CatergoryIndexP"
													]
													]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndexP"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6430909375215516,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1598440657411347,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						6858637751846167,
						false
						,[
						[
							1,
							[
								2,
								"Trousers"
							]
						]
,						[
							7,
							[
								10,
								[
									10,
									[
										2,
										"P"
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndexP"
										]
										]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndexP"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9861298473311843,
						false
						,[
						[
							11,
							"CharMapTrouser"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						899624710212258,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							385494062225602,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							9405962931101135,
							false
							,[
							[
								1,
								[
									2,
									"Trousers"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												10,
												[
													2,
													"P"
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CatergoryIndexP"
													]
													]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndexP"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8292071701335542,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						451474770337732,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						948253749641188,
						false
						,[
						[
							1,
							[
								2,
								"Jacket"
							]
						]
,						[
							7,
							[
								10,
								[
									10,
									[
										2,
										"P"
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndexP"
										]
										]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndexP"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6503881869381839,
						false
						,[
						[
							11,
							"CharMapJacket"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7040090825857414,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6344120962823565,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							3203576463068423,
							false
							,[
							[
								1,
								[
									2,
									"Jacket"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												10,
												[
													2,
													"P"
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CatergoryIndexP"
													]
													]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndexP"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4243393370987495,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7290061524635167,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						164,
						cr.plugins_.Dictionary.prototype.acts.AddKey,
						null,
						1367219236134234,
						false
						,[
						[
							1,
							[
								2,
								"Hat"
							]
						]
,						[
							7,
							[
								10,
								[
									10,
									[
										2,
										"P"
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											23,
											"CatergoryIndexP"
										]
										]
									]
								]
								,[
									19,
									cr.system_object.prototype.exps.str
									,[
[
										23,
										"CardIndexP"
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3401606041380824,
						false
						,[
						[
							11,
							"CharMapHat"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										10,
										[
											10,
											[
												2,
												"P"
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CatergoryIndexP"
												]
												]
											]
										]
										,[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												23,
												"CardIndexP"
											]
											]
										]
									]
									]
								]
,[
									0,
									9
								]
								]
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						2975543316799203,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9019230148217433,
							false
							,[
							[
								11,
								"lclothAttribute1"
							]
,							[
								8,
								1
							]
,							[
								7,
								[
									2,
									"NO"
								]
							]
							]
						]
						],
						[
						[
							168,
							cr.plugins_.Dictionary.prototype.acts.SetKey,
							null,
							5685387563690135,
							false
							,[
							[
								1,
								[
									2,
									"Hat"
								]
							]
,							[
								7,
								[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											10,
											[
												10,
												[
													2,
													"P"
												]
												,[
													19,
													cr.system_object.prototype.exps.str
													,[
[
														23,
														"CatergoryIndexP"
													]
													]
												]
											]
											,[
												19,
												cr.system_object.prototype.exps.str
												,[
[
													23,
													"CardIndexP"
												]
												]
											]
										]
										]
									]
,[
										0,
										3
									]
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9033158628293624,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						9436604069480542,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SHIELD"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						7285919555621971,
						false
						,[
						[
							11,
							"CharShield"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6298930470825877,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						3641097111866794,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_XP"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						3629973741991343,
						false
						,[
						[
							11,
							"CharXP"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					862404326592976,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						3621939453467959,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SCORE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						3888199555032988,
						false
						,[
						[
							11,
							"CharScore"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5615079398223509,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						3553278911417058,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_REVIVE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2989122542967998,
						false
						,[
						[
							11,
							"CharRevive"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6834865148177441,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						8068239955597882,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute1"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_COINS"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2724419285956852,
						false
						,[
						[
							11,
							"CharCoins"
						]
,						[
							7,
							[
								23,
								"lclothAttribute1Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6731232812442505,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4658936684553052,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_SPEED"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						8367668511838509,
						false
						,[
						[
							11,
							"CharSpeed"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4898260566981987,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4093590513298821,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_TOPSPEED"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						7232111174366439,
						false
						,[
						[
							11,
							"CharTopSpeed"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2702353872384637,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						3282052807980793,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_BOOST"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						6294721776393783,
						false
						,[
						[
							11,
							"CharBoost"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5861216731075877,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						6096858322953319,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_LUCK"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						1682698725704314,
						false
						,[
						[
							11,
							"CharLuck"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6067411107542496,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						6379116733018598,
						false
						,[
						[
							7,
							[
								23,
								"lclothAttribute2"
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Str_LEAD"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2900909314422779,
						false
						,[
						[
							11,
							"CharLead"
						]
,						[
							7,
							[
								23,
								"lclothAttribute2Value"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7256418852099649,
					[
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2561072330745945,
						false
						,[
						[
							1,
							[
								2,
								"DeleteShopCard"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3032129367741099,
						false
						,[
						[
							1,
							[
								2,
								"CreateShopCardPremium"
							]
						]
,						[
							13,
															[
									7,
									[
										23,
										"ShopcardX"
									]
								]
,
								[
									7,
									[
										23,
										"ShopcardY"
									]
								]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7706404289488305,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5207331148670352,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				149673860285563,
				false
				,[
				[
					1,
					[
						2,
						"RemoveOldAttributeValues"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				1,
				"lclothAttribute1",
				1,
				"",
false,false,4852904738336717,false
			]
,			[
				1,
				"lclothAttribute2",
				1,
				"",
false,false,9682344448445146,false
			]
,			[
				1,
				"lclothAttribute1Value",
				0,
				0,
false,false,2582982439424029,false
			]
,			[
				1,
				"lclothAttribute2Value",
				0,
				0,
false,false,7632318161522366,false
			]
,			[
				0,
				null,
				false,
				null,
				483901704526414,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					297936523101724,
					false
					,[
					[
						11,
						"ShopMissionMode"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"shop"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7019906007258046,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						503991653063982,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						164,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						false,
						false,
						3659927521648681,
						false
						,[
						[
							1,
							[
								2,
								"Boots"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8062169644360528,
						false
						,[
						[
							11,
							"CharMapBoots"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NONE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4016696107102976,
						false
						,[
						[
							11,
							"lclothAttribute1"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Boots"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8408772667472552,
						false
						,[
						[
							11,
							"lclothAttribute1Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Boots"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										4
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6885691323869823,
						false
						,[
						[
							11,
							"lclothAttribute2"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Boots"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									5
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5770246171013287,
						false
						,[
						[
							11,
							"lclothAttribute2Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Boots"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										6
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						168,
						cr.plugins_.Dictionary.prototype.acts.SetKey,
						null,
						1795398210096959,
						false
						,[
						[
							1,
							[
								2,
								"Boots"
							]
						]
,						[
							7,
							[
								2,
								"Str_NOTHING"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4655592033198364,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7835433587591449,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						164,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						false,
						false,
						6317671099611314,
						false
						,[
						[
							1,
							[
								2,
								"Trousers"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4177838042454681,
						false
						,[
						[
							11,
							"CharMapTrouser"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NONE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1682688478991191,
						false
						,[
						[
							11,
							"lclothAttribute1"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Trousers"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4947217553118996,
						false
						,[
						[
							11,
							"lclothAttribute1Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Trousers"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										4
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2182136958916211,
						false
						,[
						[
							11,
							"lclothAttribute2"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Trousers"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									5
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2765809784874496,
						false
						,[
						[
							11,
							"lclothAttribute2Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Trousers"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										6
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						168,
						cr.plugins_.Dictionary.prototype.acts.SetKey,
						null,
						3339119020717049,
						false
						,[
						[
							1,
							[
								2,
								"Trousers"
							]
						]
,						[
							7,
							[
								2,
								"Str_NOTHING"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5521283890948336,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2100538279733881,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
,					[
						164,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						false,
						false,
						9735327854020065,
						false
						,[
						[
							1,
							[
								2,
								"Jacket"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9626970059054918,
						false
						,[
						[
							11,
							"CharMapJacket"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NONE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5603716444556622,
						false
						,[
						[
							11,
							"lclothAttribute1"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Jacket"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4916862229471706,
						false
						,[
						[
							11,
							"lclothAttribute1Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Jacket"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										4
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2844154532313844,
						false
						,[
						[
							11,
							"lclothAttribute2"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Jacket"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									5
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4354960249928903,
						false
						,[
						[
							11,
							"lclothAttribute2Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Jacket"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										6
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						168,
						cr.plugins_.Dictionary.prototype.acts.SetKey,
						null,
						8526020588417645,
						false
						,[
						[
							1,
							[
								2,
								"Jacket"
							]
						]
,						[
							7,
							[
								2,
								"Str_NOTHING"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8048201284483466,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9436467273924782,
						false
						,[
						[
							11,
							"CatergoryIndex"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
,					[
						164,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						false,
						false,
						3564770988244525,
						false
						,[
						[
							1,
							[
								2,
								"Hat"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5240416482630295,
						false
						,[
						[
							11,
							"CharMapHat"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NONE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1637128929535797,
						false
						,[
						[
							11,
							"lclothAttribute1"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Hat"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8433768870989718,
						false
						,[
						[
							11,
							"lclothAttribute1Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Hat"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										4
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1119479227471871,
						false
						,[
						[
							11,
							"lclothAttribute2"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Hat"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									5
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9361491737385498,
						false
						,[
						[
							11,
							"lclothAttribute2Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Hat"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										6
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						168,
						cr.plugins_.Dictionary.prototype.acts.SetKey,
						null,
						902250534623246,
						false
						,[
						[
							1,
							[
								2,
								"Hat"
							]
						]
,						[
							7,
							[
								2,
								"Str_NOTHING"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3333007347697358,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					724416784021488,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					2951614195106713,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2167838884912028,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						164,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						false,
						false,
						9550924388760886,
						false
						,[
						[
							1,
							[
								2,
								"Boots"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7299004887679011,
						false
						,[
						[
							11,
							"CharMapBoots"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NONE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6070107191723818,
						false
						,[
						[
							11,
							"lclothAttribute1"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Boots"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1662195880804888,
						false
						,[
						[
							11,
							"lclothAttribute1Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Boots"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										4
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						789575655993832,
						false
						,[
						[
							11,
							"lclothAttribute2"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Boots"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									5
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4953785418594999,
						false
						,[
						[
							11,
							"lclothAttribute2Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Boots"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										6
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						168,
						cr.plugins_.Dictionary.prototype.acts.SetKey,
						null,
						8681448519451861,
						false
						,[
						[
							1,
							[
								2,
								"Boots"
							]
						]
,						[
							7,
							[
								2,
								"Str_NOTHING"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					778206233706163,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8809641868638966,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						164,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						false,
						false,
						5246559048979109,
						false
						,[
						[
							1,
							[
								2,
								"Trousers"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5312981388727752,
						false
						,[
						[
							11,
							"CharMapTrouser"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NONE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9018787004986187,
						false
						,[
						[
							11,
							"lclothAttribute1"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Trousers"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4496214434468777,
						false
						,[
						[
							11,
							"lclothAttribute1Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Trousers"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										4
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7566578749618865,
						false
						,[
						[
							11,
							"lclothAttribute2"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Trousers"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									5
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1397557332311744,
						false
						,[
						[
							11,
							"lclothAttribute2Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Trousers"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										6
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						168,
						cr.plugins_.Dictionary.prototype.acts.SetKey,
						null,
						9158464289467042,
						false
						,[
						[
							1,
							[
								2,
								"Trousers"
							]
						]
,						[
							7,
							[
								2,
								"Str_NOTHING"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1110175051445101,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4331565565324096,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
,					[
						164,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						false,
						false,
						425946939078637,
						false
						,[
						[
							1,
							[
								2,
								"Jacket"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						120857152672836,
						false
						,[
						[
							11,
							"CharMapJacket"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NONE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2598333137698814,
						false
						,[
						[
							11,
							"lclothAttribute1"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Jacket"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7343343004806591,
						false
						,[
						[
							11,
							"lclothAttribute1Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Jacket"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										4
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8828358127096581,
						false
						,[
						[
							11,
							"lclothAttribute2"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Jacket"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									5
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3765644028742166,
						false
						,[
						[
							11,
							"lclothAttribute2Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Jacket"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										6
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						168,
						cr.plugins_.Dictionary.prototype.acts.SetKey,
						null,
						4445367114366573,
						false
						,[
						[
							1,
							[
								2,
								"Jacket"
							]
						]
,						[
							7,
							[
								2,
								"Str_NOTHING"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1855838776565066,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9648816908141799,
						false
						,[
						[
							11,
							"CatergoryIndexP"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
,					[
						164,
						cr.plugins_.Dictionary.prototype.cnds.HasKey,
						null,
						0,
						false,
						false,
						false,
						2118660937347454,
						false
						,[
						[
							1,
							[
								2,
								"Hat"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2368910931547176,
						false
						,[
						[
							11,
							"CharMapHat"
						]
,						[
							8,
							1
						]
,						[
							7,
							[
								2,
								"NONE"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9004001390969945,
						false
						,[
						[
							11,
							"lclothAttribute1"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Hat"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									3
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3065755842808254,
						false
						,[
						[
							11,
							"lclothAttribute1Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Hat"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										4
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1256276254980785,
						false
						,[
						[
							11,
							"lclothAttribute2"
						]
,						[
							7,
							[
								20,
								171,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.IndexOf,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											164,
											cr.plugins_.Dictionary.prototype.exps.Get,
											false,
											null
											,[
[
												2,
												"Hat"
											]
											]
										]
										]
									]
									]
								]
,[
									0,
									5
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6119974848589132,
						false
						,[
						[
							11,
							"lclothAttribute2Value"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										20,
										171,
										cr.plugins_.Arr.prototype.exps.IndexOf,
										false,
										null
										,[
[
											19,
											cr.system_object.prototype.exps.str
											,[
[
												20,
												164,
												cr.plugins_.Dictionary.prototype.exps.Get,
												false,
												null
												,[
[
													2,
													"Hat"
												]
												]
											]
											]
										]
										]
									]
,[
										0,
										6
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						168,
						cr.plugins_.Dictionary.prototype.acts.SetKey,
						null,
						1610004847822933,
						false
						,[
						[
							1,
							[
								2,
								"Hat"
							]
						]
,						[
							7,
							[
								2,
								"Str_NOTHING"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3953730544309411,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					5293902926996217,
					false
					,[
					[
						7,
						[
							23,
							"lclothAttribute1"
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Str_SHIELD"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					3779011768367463,
					false
					,[
					[
						11,
						"CharShield"
					]
,					[
						7,
						[
							23,
							"lclothAttribute1Value"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				691031278154171,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					9078446837046104,
					false
					,[
					[
						7,
						[
							23,
							"lclothAttribute1"
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Str_XP"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					6877869283437427,
					false
					,[
					[
						11,
						"CharXP"
					]
,					[
						7,
						[
							23,
							"lclothAttribute1Value"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2568227468596757,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					337643357344703,
					false
					,[
					[
						7,
						[
							23,
							"lclothAttribute1"
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Str_SCORE"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					827722612614285,
					false
					,[
					[
						11,
						"CharScore"
					]
,					[
						7,
						[
							23,
							"lclothAttribute1Value"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9524580171481864,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					5424477400488813,
					false
					,[
					[
						7,
						[
							23,
							"lclothAttribute1"
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Str_REVIVE"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					7608414965530233,
					false
					,[
					[
						11,
						"CharRevive"
					]
,					[
						7,
						[
							23,
							"lclothAttribute1Value"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5558692724511762,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					2892243224183043,
					false
					,[
					[
						7,
						[
							23,
							"lclothAttribute1"
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Str_COINS"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					5427948789374996,
					false
					,[
					[
						11,
						"CharCoins"
					]
,					[
						7,
						[
							23,
							"lclothAttribute1Value"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5314440334080175,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					310228821714473,
					false
					,[
					[
						7,
						[
							23,
							"lclothAttribute2"
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Str_SPEED"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					6094486443992964,
					false
					,[
					[
						11,
						"CharSpeed"
					]
,					[
						7,
						[
							23,
							"lclothAttribute2Value"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7827495421117177,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					3522434353096886,
					false
					,[
					[
						7,
						[
							23,
							"lclothAttribute2"
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Str_TOPSPEED"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					1884168546486141,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							23,
							"lclothAttribute2Value"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6671248431071443,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					6286884993010047,
					false
					,[
					[
						7,
						[
							23,
							"lclothAttribute2"
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Str_BOOST"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					7860977004725937,
					false
					,[
					[
						11,
						"CharBoost"
					]
,					[
						7,
						[
							23,
							"lclothAttribute2Value"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8693510436320867,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					2326848223635361,
					false
					,[
					[
						7,
						[
							23,
							"lclothAttribute2"
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Str_LUCK"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					4588723933278048,
					false
					,[
					[
						11,
						"CharLuck"
					]
,					[
						7,
						[
							23,
							"lclothAttribute2Value"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8330427220341399,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					6546351890301179,
					false
					,[
					[
						7,
						[
							23,
							"lclothAttribute2"
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"Str_LEAD"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SubVar,
					null,
					6697125487698137,
					false
					,[
					[
						11,
						"CharLead"
					]
,					[
						7,
						[
							23,
							"lclothAttribute2Value"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5072273552346359,
			[
			[
				-1,
				cr.system_object.prototype.cnds.Every,
				null,
				0,
				false,
				false,
				false,
				4477376709815003,
				false
				,[
				[
					0,
					[
						1,
						0.3
					]
				]
				]
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				1678756981700531,
				false
				,[
				[
					1,
					[
						2,
						"UpdateCustomizeTextfields"
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3002234295611957,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,
				null,
				1,
				false,
				false,
				false,
				1465488333023786,
				false
				,[
				[
					1,
					[
						23,
						"lastProductID"
					]
				]
				]
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				4973954918365431,
				false
				,[
				[
					1,
					[
						2,
						"debugPopIn"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"PURCHASE FAILED"
							]
						]
,
						[
							7,
							[
								2,
								""
							]
						]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			961911571989809,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.onProductsFetchFailed,
				null,
				1,
				false,
				false,
				false,
				7071946836786189,
				false
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				4578002533632723,
				false
				,[
				[
					1,
					[
						2,
						"debugPopIn"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"COULD NOT CONNECT TO STORE"
							]
						]
,
						[
							7,
							[
								2,
								""
							]
						]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1502955743400246,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.onProductsFetchCompleted,
				null,
				1,
				false,
				false,
				false,
				8065281717075144,
				false
			]
			],
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.acts.UpdateProductsList,
				null,
				9550312538638425,
				false
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3293882205249678,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
				null,
				1,
				false,
				false,
				false,
				1526871775609862,
				false
				,[
				[
					1,
					[
						2,
						"golden.boots.firewater"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3159819486655823,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					3673047956071699,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					5144163030711818,
					false
					,[
					[
						1,
						[
							2,
							"IAPgoldenBoots"
						]
					]
					]
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					527605569587897,
					false
					,[
					[
						1,
						[
							2,
							"IAPcompleted"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3462502590633282,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					2615628374942044,
					false
					,[
					[
						1,
						[
							2,
							"Shopitems"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.Width,
							false,
							null
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3286050194641784,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						2656437233478952,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.loopindex
									]
,[
										0,
										8
									]
									]
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"lastProductID"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2045650840853617,
						false
						,[
						[
							1,
							[
								2,
								"onPremiumBuyComplete"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												19,
												cr.system_object.prototype.exps.loopindex
											]
,[
												0,
												0
											]
											]
										]
										]
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			288884860936782,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
				null,
				1,
				false,
				false,
				false,
				8054396269107692,
				false
				,[
				[
					1,
					[
						2,
						"invisible.boots.firewater"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7618461288808142,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					9001143911772388,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					6728550968909298,
					false
					,[
					[
						1,
						[
							2,
							"IAPInvisibleBoots"
						]
					]
					]
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					2049241174568475,
					false
					,[
					[
						1,
						[
							2,
							"IAPcompleted"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9938391365030597,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					5735247796265966,
					false
					,[
					[
						1,
						[
							2,
							"Shopitems"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.Width,
							false,
							null
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5554383660043562,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						876365099307339,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.loopindex
									]
,[
										0,
										8
									]
									]
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8331060504595381,
						false
						,[
						[
							11,
							"lastProductID"
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						195758507919669,
						false
						,[
						[
							1,
							[
								2,
								"onPremiumBuyComplete"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												19,
												cr.system_object.prototype.exps.loopindex
											]
,[
												0,
												0
											]
											]
										]
										]
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1625287089994122,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
				null,
				1,
				false,
				false,
				false,
				5573814674400283,
				false
				,[
				[
					1,
					[
						2,
						"silver.trousers.firewater"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1918599053111919,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					1650474043391276,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					6280337642991407,
					false
					,[
					[
						1,
						[
							2,
							"IAPSilverTrousers"
						]
					]
					]
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					6673675432931393,
					false
					,[
					[
						1,
						[
							2,
							"IAPcompleted"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				546071216489253,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					3471969353683961,
					false
					,[
					[
						1,
						[
							2,
							"Shopitems"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.Width,
							false,
							null
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6660801107579092,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						6189413055557712,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.loopindex
									]
,[
										0,
										8
									]
									]
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3184690600021646,
						false
						,[
						[
							11,
							"lastProductID"
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6777559562372447,
						false
						,[
						[
							1,
							[
								2,
								"onPremiumBuyComplete"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												19,
												cr.system_object.prototype.exps.loopindex
											]
,[
												0,
												0
											]
											]
										]
										]
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			6570190225855145,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
				null,
				1,
				false,
				false,
				false,
				1862815324185511,
				false
				,[
				[
					1,
					[
						2,
						"invisible.trousers.firewater"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3873767189812256,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					7711256848200652,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					9006772454520413,
					false
					,[
					[
						1,
						[
							2,
							"IAPInvisibleTrousers"
						]
					]
					]
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					9116253590819816,
					false
					,[
					[
						1,
						[
							2,
							"IAPcompleted"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5746865713644886,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					9014733781541658,
					false
					,[
					[
						1,
						[
							2,
							"Shopitems"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.Width,
							false,
							null
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1919387047028427,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4185661715547156,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.loopindex
									]
,[
										0,
										8
									]
									]
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5004433650555772,
						false
						,[
						[
							11,
							"lastProductID"
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9631168411783855,
						false
						,[
						[
							1,
							[
								2,
								"onPremiumBuyComplete"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												19,
												cr.system_object.prototype.exps.loopindex
											]
,[
												0,
												0
											]
											]
										]
										]
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1501777165101654,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
				null,
				1,
				false,
				false,
				false,
				3629792036598303,
				false
				,[
				[
					1,
					[
						2,
						"silver.jacket.firewater"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5818074010928745,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					2005172486966149,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					5020931562875653,
					false
					,[
					[
						1,
						[
							2,
							"IAPSilverJacketJacket"
						]
					]
					]
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					203874848055468,
					false
					,[
					[
						1,
						[
							2,
							"IAPcompleted"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1758947162903097,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					2928182460228563,
					false
					,[
					[
						1,
						[
							2,
							"Shopitems"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.Width,
							false,
							null
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					2032396773611227,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						2098471716334614,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.loopindex
									]
,[
										0,
										8
									]
									]
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3101593264647909,
						false
						,[
						[
							11,
							"lastProductID"
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6915585273110878,
						false
						,[
						[
							1,
							[
								2,
								"onPremiumBuyComplete"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												19,
												cr.system_object.prototype.exps.loopindex
											]
,[
												0,
												0
											]
											]
										]
										]
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			2051893786935063,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
				null,
				1,
				false,
				false,
				false,
				4062839955688581,
				false
				,[
				[
					1,
					[
						2,
						"invisible.jacket.firewater"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8172203867698528,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					4865692462694271,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					6314469965527062,
					false
					,[
					[
						1,
						[
							2,
							"IAPInvisibleJacket"
						]
					]
					]
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					2579974529753388,
					false
					,[
					[
						1,
						[
							2,
							"IAPcompleted"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5989630380806345,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					442421555885239,
					false
					,[
					[
						1,
						[
							2,
							"Shopitems"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.Width,
							false,
							null
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					906977087753942,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						931082992555211,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.loopindex
									]
,[
										0,
										8
									]
									]
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3081032658593595,
						false
						,[
						[
							11,
							"lastProductID"
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5339125436909186,
						false
						,[
						[
							1,
							[
								2,
								"onPremiumBuyComplete"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												19,
												cr.system_object.prototype.exps.loopindex
											]
,[
												0,
												0
											]
											]
										]
										]
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8582532326091507,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
				null,
				1,
				false,
				false,
				false,
				3860448281902816,
				false
				,[
				[
					1,
					[
						2,
						"silver.hat.firewater"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6901420034658178,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					5661644438004583,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					5138421352812746,
					false
					,[
					[
						1,
						[
							2,
							"IAPSilverHat"
						]
					]
					]
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					9921056393230941,
					false
					,[
					[
						1,
						[
							2,
							"IAPcompleted"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9951871444137981,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					2405940675478645,
					false
					,[
					[
						1,
						[
							2,
							"Shopitems"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.Width,
							false,
							null
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					2634446266716492,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4060708933513925,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.loopindex
									]
,[
										0,
										8
									]
									]
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9631891262702349,
						false
						,[
						[
							11,
							"lastProductID"
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7529561921237593,
						false
						,[
						[
							1,
							[
								2,
								"onPremiumBuyComplete"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												19,
												cr.system_object.prototype.exps.loopindex
											]
,[
												0,
												0
											]
											]
										]
										]
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7512212809579622,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
				null,
				1,
				false,
				false,
				false,
				3402600442697148,
				false
				,[
				[
					1,
					[
						2,
						"sombrero.hat.firewater"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2318987282223432,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					934016042628891,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					6400650173708131,
					false
					,[
					[
						1,
						[
							2,
							"IAPSombreroHat"
						]
					]
					]
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					2553504775772574,
					false
					,[
					[
						1,
						[
							2,
							"IAPcompleted"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3729965156032666,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					521765789679292,
					false
					,[
					[
						1,
						[
							2,
							"Shopitems"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							20,
							171,
							cr.plugins_.Arr.prototype.exps.Width,
							false,
							null
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7703725792075541,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4450798121170989,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									20,
									171,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.loopindex
									]
,[
										0,
										8
									]
									]
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2175345229880966,
						false
						,[
						[
							11,
							"lastProductID"
						]
,						[
							7,
							[
								20,
								192,
								cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
								true,
								null
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8343759964762657,
						false
						,[
						[
							1,
							[
								2,
								"onPremiumBuyComplete"
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											171,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												19,
												cr.system_object.prototype.exps.loopindex
											]
,[
												0,
												0
											]
											]
										]
										]
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4350879877189638,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
				null,
				1,
				false,
				false,
				false,
				4602602426434449,
				false
				,[
				[
					1,
					[
						2,
						"coins1.firewater"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.AddVar,
				null,
				7480160766932242,
				false
				,[
				[
					11,
					"Coins"
				]
,				[
					7,
					[
						0,
						100000
					]
				]
				]
			]
,			[
				192,
				cr.plugins_.CJSAds.prototype.acts.ConsumePurchase,
				null,
				7646639972900412,
				false
				,[
				[
					1,
					[
						20,
						192,
						cr.plugins_.CJSAds.prototype.exps.PurchaseTransactionId,
						true,
						null
					]
				]
,				[
					1,
					[
						20,
						192,
						cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
						true,
						null
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				2826570019521897,
				false
				,[
				[
					11,
					"lastProductID"
				]
,				[
					7,
					[
						20,
						192,
						cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
						true,
						null
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				7551946353415654,
				false
				,[
				[
					1,
					[
						2,
						"SaveGame"
					]
				]
,				[
					13,
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				1372426615218631,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					2164006957967147,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					1070122375303589,
					false
					,[
					[
						1,
						[
							2,
							"IAP100000CoinsBought"
						]
					]
					]
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					8106966609418727,
					false
					,[
					[
						1,
						[
							2,
							"IAPcompleted"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7336204261606267,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
				null,
				1,
				false,
				false,
				false,
				9853992240261884,
				false
				,[
				[
					1,
					[
						2,
						"coins2.firewater"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.AddVar,
				null,
				3911956115522665,
				false
				,[
				[
					11,
					"Coins"
				]
,				[
					7,
					[
						0,
						400000
					]
				]
				]
			]
,			[
				192,
				cr.plugins_.CJSAds.prototype.acts.ConsumePurchase,
				null,
				4822019762692467,
				false
				,[
				[
					1,
					[
						20,
						192,
						cr.plugins_.CJSAds.prototype.exps.PurchaseTransactionId,
						true,
						null
					]
				]
,				[
					1,
					[
						20,
						192,
						cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
						true,
						null
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				5657567658578528,
				false
				,[
				[
					11,
					"lastProductID"
				]
,				[
					7,
					[
						20,
						192,
						cr.plugins_.CJSAds.prototype.exps.PurchaseProductId,
						true,
						null
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				2245655162891478,
				false
				,[
				[
					1,
					[
						2,
						"SaveGame"
					]
				]
,				[
					13,
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				4200388353113756,
				[
				[
					194,
					cr.plugins_.Flurry.prototype.cnds.flurryReady,
					null,
					0,
					false,
					false,
					false,
					2258026356960169,
					false
				]
				],
				[
				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					7064272636548644,
					false
					,[
					[
						1,
						[
							2,
							"IAP400000Coins bought"
						]
					]
					]
				]
,				[
					194,
					cr.plugins_.Flurry.prototype.acts.logEvent,
					null,
					9591944375779531,
					false
					,[
					[
						1,
						[
							2,
							"IAPcompleted"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3207298841314804,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.OnFullscreenShown,
				null,
				1,
				false,
				false,
				false,
				1732813896940549,
				false
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				6593429454582676,
				false
				,[
				[
					1,
					[
						2,
						"stopAmbience"
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
		]
	]
,	[
		"SaveAndLoad",
		[
		[
			1,
			"TopSpeed",
			0,
			800,
false,false,9245662881844818,false
		]
,		[
			1,
			"MpDoubleJump",
			0,
			0,
false,false,3669224259984902,false
		]
,		[
			1,
			"MpCoins",
			0,
			0,
false,false,8342404911031677,false
		]
,		[
			1,
			"MpBoost",
			0,
			0,
false,false,9527359535269142,false
		]
,		[
			1,
			"MpObjectDestroyed",
			0,
			0,
false,false,2151080404160297,false
		]
,		[
			1,
			"tutBottle8",
			0,
			0,
false,false,4690626577699351,false
		]
,		[
			1,
			"tutLottery9",
			0,
			0,
false,false,3560272356513397,false
		]
,		[
			1,
			"tutLetter10",
			0,
			0,
false,false,7676136802231648,false
		]
,		[
			1,
			"tutLevelUp11",
			0,
			0,
false,false,9861060122314901,false
		]
,		[
			1,
			"tutOpenShop12",
			0,
			0,
false,false,4609209183313454,false
		]
,		[
			1,
			"tutShop13",
			0,
			0,
false,false,1022998569659431,false
		]
,		[
			1,
			"tutSpeed14",
			0,
			0,
false,false,6933772987274526,false
		]
,		[
			1,
			"tutTopSpeed15",
			0,
			0,
false,false,7153142623680346,false
		]
,		[
			1,
			"tutBoost16",
			0,
			0,
false,false,7287469271446634,false
		]
,		[
			1,
			"tutLuck17",
			0,
			0,
false,false,5623653180258251,false
		]
,		[
			1,
			"tutLead18",
			0,
			0,
false,false,7521050435102055,false
		]
,		[
			1,
			"tutShield19",
			0,
			0,
false,false,1614059956083624,false
		]
,		[
			1,
			"tutCoins20",
			0,
			0,
false,false,9912875749358313,false
		]
,		[
			1,
			"tutXP21",
			0,
			0,
false,false,5878422135869034,false
		]
,		[
			1,
			"tutScore22",
			0,
			0,
false,false,6137186111191616,false
		]
,		[
			1,
			"tutRevive23",
			0,
			0,
false,false,8751221715257076,false
		]
,		[
			1,
			"tutMissionSelect24",
			0,
			0,
false,false,8975554899836441,false
		]
,		[
			1,
			"tutNext25",
			0,
			0,
false,false,9466802189852396,false
		]
,		[
			1,
			"LastDatePlayed",
			0,
			0,
false,false,2329680564190021,false
		]
,		[
			1,
			"CharMapHat",
			1,
			"NONE",
false,false,9665052768095746,false
		]
,		[
			1,
			"CharMapHatIndex",
			1,
			"NONE",
false,false,5563211099231549,false
		]
,		[
			1,
			"CharMapJacket",
			1,
			"NONE",
false,false,3069573320936902,false
		]
,		[
			1,
			"CharMapJacketIndex",
			1,
			"NONE",
false,false,7690578109045078,false
		]
,		[
			1,
			"CharMapTrouser",
			1,
			"NONE",
false,false,3633376902862599,false
		]
,		[
			1,
			"CharMapTrouserIndex",
			1,
			"NONE",
false,false,1830060059836965,false
		]
,		[
			1,
			"CharMapBoots",
			1,
			"NONE",
false,false,7769659077828648,false
		]
,		[
			1,
			"CharMapBootsIndex",
			1,
			"NONE",
false,false,7546627009934875,false
		]
,		[
			1,
			"DaysSolved",
			0,
			0,
false,false,3608021048448705,false
		]
,		[
			1,
			"TodaySolved",
			0,
			0,
false,false,6731820485511118,false
		]
,		[
			1,
			"LettersCollected",
			0,
			0,
false,false,4326695700674551,false
		]
,		[
			1,
			"CharSpeed",
			0,
			0,
false,false,8696228453911047,false
		]
,		[
			1,
			"CharTopSpeed",
			0,
			0,
false,false,1406354599485527,false
		]
,		[
			1,
			"CharBoost",
			0,
			0,
false,false,2770389728557886,false
		]
,		[
			1,
			"CharLuck",
			0,
			0,
false,false,2674351944889396,false
		]
,		[
			1,
			"CharLead",
			0,
			0,
false,false,2961531399339548,false
		]
,		[
			1,
			"CharShield",
			0,
			0,
false,false,3023006607219942,false
		]
,		[
			1,
			"CharXP",
			0,
			1,
false,false,9746673943187266,false
		]
,		[
			1,
			"CharScore",
			0,
			1,
false,false,8346829473370717,false
		]
,		[
			1,
			"CharRevive",
			0,
			0,
false,false,3786439585048993,false
		]
,		[
			1,
			"CharCoins",
			0,
			1,
false,false,6276592745603314,false
		]
,		[
			1,
			"CurrentScene",
			0,
			1,
false,false,9192774112230815,false
		]
,		[
			1,
			"versionControl",
			0,
			0.99,
false,false,9055412574260424,false
		]
,		[
			1,
			"speedPrice",
			0,
			500,
false,false,3607543268388409,false
		]
,		[
			1,
			"leadPrice",
			0,
			400,
false,false,4367089690290122,false
		]
,		[
			1,
			"boostPrice",
			0,
			500,
false,false,8096483412325118,false
		]
,		[
			1,
			"nextLevelXP",
			0,
			120,
false,false,2836535770345125,false
		]
,		[
			1,
			"previousLevelXP",
			0,
			0,
false,false,1824363529953941,false
		]
,		[
			1,
			"shieldAmount",
			0,
			0,
false,false,3121266981677328,false
		]
,		[
			1,
			"doubleJumpAmount",
			0,
			0,
false,false,5841099803736712,false
		]
,		[
			1,
			"coinDoublerAmount",
			0,
			0,
false,false,9283718556821006,false
		]
,		[
			1,
			"secondChanceAmount",
			0,
			0,
false,false,3656670107898939,false
		]
,		[
			1,
			"startBoostAmount",
			0,
			0,
false,false,7196822624215299,false
		]
,		[
			1,
			"speedLevel",
			0,
			0,
false,false,1948643896934949,false
		]
,		[
			1,
			"boostLevel",
			0,
			0,
false,false,1304267114315028,false
		]
,		[
			1,
			"leadLevel",
			0,
			0,
false,false,9247647790664766,false
		]
,		[
			1,
			"TopScore",
			0,
			0,
false,false,2253007316334353,false
		]
,		[
			1,
			"TopScoreS1",
			0,
			0,
false,false,5590106406924166,false
		]
,		[
			1,
			"TopScoreS2",
			0,
			0,
false,false,8360493622987227,false
		]
,		[
			1,
			"TopScoreS3",
			0,
			0,
false,false,4061845310597527,false
		]
,		[
			1,
			"OverallScore",
			0,
			0,
false,false,2727973065354578,false
		]
,		[
			1,
			"XP",
			0,
			0,
false,false,4182352284307979,false
		]
,		[
			1,
			"RankInt",
			0,
			1,
false,false,4827488965323118,false
		]
,		[
			1,
			"gameversion",
			0,
			1,
false,false,4931551825910439,false
		]
,		[
			1,
			"StoryWatched",
			0,
			0,
false,false,5300523120853391,false
		]
,		[
			1,
			"TutorialWatched",
			0,
			0,
false,false,171651998441496,false
		]
,		[
			1,
			"SfxOn",
			0,
			1,
false,false,8945402264547769,false
		]
,		[
			1,
			"MusicOn",
			0,
			1,
false,false,7443797336685229,false
		]
,		[
			1,
			"Gameplays",
			0,
			0,
false,false,9389057769730695,false
		]
,		[
			0,
			[true, "LoadAndSave"],
			false,
			null,
			8541777769762327,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8541777769762327,
				false
				,[
				[
					1,
					[
						2,
						"LoadAndSave"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3945954021863971,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7285762228971956,
					false
					,[
					[
						1,
						[
							2,
							"SaveGame"
						]
					]
					]
				]
				],
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					7587389070939392,
					false
					,[
					[
						1,
						[
							2,
							"versionE097"
						]
					]
,					[
						7,
						[
							23,
							"versionControl"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					843472549829544,
					false
					,[
					[
						1,
						[
							2,
							"XP"
						]
					]
,					[
						7,
						[
							23,
							"XP"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					4796827129508116,
					false
					,[
					[
						1,
						[
							2,
							"RankInt"
						]
					]
,					[
						7,
						[
							23,
							"RankInt"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					4076354398773457,
					false
					,[
					[
						1,
						[
							2,
							"TopScore"
						]
					]
,					[
						7,
						[
							23,
							"TopScore"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					1257913411025439,
					false
					,[
					[
						1,
						[
							2,
							"leadLevel"
						]
					]
,					[
						7,
						[
							23,
							"leadLevel"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					5885947892086418,
					false
					,[
					[
						1,
						[
							2,
							"boostLevel"
						]
					]
,					[
						7,
						[
							23,
							"boostLevel"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					402845439645604,
					false
					,[
					[
						1,
						[
							2,
							"speedLevel"
						]
					]
,					[
						7,
						[
							23,
							"speedLevel"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					7867047515409104,
					false
					,[
					[
						1,
						[
							2,
							"secondChanceAmount"
						]
					]
,					[
						7,
						[
							23,
							"secondChanceAmount"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					1570103393811252,
					false
					,[
					[
						1,
						[
							2,
							"coinDoublerAmount"
						]
					]
,					[
						7,
						[
							23,
							"coinDoublerAmount"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					7300742501126783,
					false
					,[
					[
						1,
						[
							2,
							"startBoostAmount"
						]
					]
,					[
						7,
						[
							23,
							"startBoostAmount"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					3793488223394553,
					false
					,[
					[
						1,
						[
							2,
							"shieldAmount"
						]
					]
,					[
						7,
						[
							23,
							"shieldAmount"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					3703310669125802,
					false
					,[
					[
						1,
						[
							2,
							"gameversion"
						]
					]
,					[
						7,
						[
							23,
							"gameversion"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					2459450988828867,
					false
					,[
					[
						1,
						[
							2,
							"Coins"
						]
					]
,					[
						7,
						[
							23,
							"Coins"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					6015424183872707,
					false
					,[
					[
						1,
						[
							2,
							"StoryWatched"
						]
					]
,					[
						7,
						[
							23,
							"StoryWatched"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					4025153276540009,
					false
					,[
					[
						1,
						[
							2,
							"TutorialWatched"
						]
					]
,					[
						7,
						[
							23,
							"TutorialWatched"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					582083882174006,
					false
					,[
					[
						1,
						[
							2,
							"SfxOn"
						]
					]
,					[
						7,
						[
							23,
							"SfxOn"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					7950861705351556,
					false
					,[
					[
						1,
						[
							2,
							"MusicOn"
						]
					]
,					[
						7,
						[
							23,
							"MusicOn"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					8876061404806495,
					false
					,[
					[
						1,
						[
							2,
							"Gameplays"
						]
					]
,					[
						7,
						[
							23,
							"Gameplays"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					2362570594200401,
					false
					,[
					[
						1,
						[
							2,
							"nextLevelXP"
						]
					]
,					[
						7,
						[
							23,
							"nextLevelXP"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					1703968780730552,
					false
					,[
					[
						1,
						[
							2,
							"previousLevelXP"
						]
					]
,					[
						7,
						[
							23,
							"previousLevelXP"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					1206731525234134,
					false
					,[
					[
						1,
						[
							2,
							"speedPrice"
						]
					]
,					[
						7,
						[
							23,
							"speedPrice"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					9759951540340739,
					false
					,[
					[
						1,
						[
							2,
							"boostPrice"
						]
					]
,					[
						7,
						[
							23,
							"boostPrice"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					7586662238074077,
					false
					,[
					[
						1,
						[
							2,
							"leadPrice"
						]
					]
,					[
						7,
						[
							23,
							"leadPrice"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					5837612981562072,
					false
					,[
					[
						1,
						[
							2,
							"versionControl"
						]
					]
,					[
						7,
						[
							23,
							"versionControl"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					1614603613428705,
					false
					,[
					[
						1,
						[
							2,
							"CurrentScene"
						]
					]
,					[
						7,
						[
							23,
							"CurrentScene"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					4676739332832746,
					false
					,[
					[
						1,
						[
							2,
							"activeMissions"
						]
					]
,					[
						7,
						[
							20,
							163,
							cr.plugins_.Arr.prototype.exps.AsJSON,
							true,
							null
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					2439549951198948,
					false
					,[
					[
						1,
						[
							2,
							"solvedMissions"
						]
					]
,					[
						7,
						[
							20,
							172,
							cr.plugins_.Arr.prototype.exps.AsJSON,
							true,
							null
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					9125583235482606,
					false
					,[
					[
						1,
						[
							2,
							"CharSpeed"
						]
					]
,					[
						7,
						[
							23,
							"CharSpeed"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					2075708230380326,
					false
					,[
					[
						1,
						[
							2,
							"CharScore"
						]
					]
,					[
						7,
						[
							23,
							"CharScore"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					477741314869346,
					false
					,[
					[
						1,
						[
							2,
							"CharLuck"
						]
					]
,					[
						7,
						[
							23,
							"CharLuck"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					5548364730938367,
					false
					,[
					[
						1,
						[
							2,
							"CharRevive"
						]
					]
,					[
						7,
						[
							23,
							"CharRevive"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					116254837612085,
					false
					,[
					[
						1,
						[
							2,
							"CharLead"
						]
					]
,					[
						7,
						[
							23,
							"CharLead"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					8222138328993874,
					false
					,[
					[
						1,
						[
							2,
							"CharBoost"
						]
					]
,					[
						7,
						[
							23,
							"CharBoost"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					4913413673469539,
					false
					,[
					[
						1,
						[
							2,
							"CharCoins"
						]
					]
,					[
						7,
						[
							23,
							"CharCoins"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					8233901310597559,
					false
					,[
					[
						1,
						[
							2,
							"CharXP"
						]
					]
,					[
						7,
						[
							23,
							"CharXP"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					5811588896236138,
					false
					,[
					[
						1,
						[
							2,
							"CharTopSpeed"
						]
					]
,					[
						7,
						[
							23,
							"CharTopSpeed"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					9866245777727331,
					false
					,[
					[
						1,
						[
							2,
							"DaysSolved"
						]
					]
,					[
						7,
						[
							23,
							"DaysSolved"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					6100446775459183,
					false
					,[
					[
						1,
						[
							2,
							"LettersCollected"
						]
					]
,					[
						7,
						[
							23,
							"LettersCollected"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					3624926982913808,
					false
					,[
					[
						1,
						[
							2,
							"ClothAttributes"
						]
					]
,					[
						7,
						[
							20,
							168,
							cr.plugins_.Dictionary.prototype.exps.AsJSON,
							true,
							null
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					5747716464687955,
					false
					,[
					[
						1,
						[
							2,
							"BoughtItemsDic"
						]
					]
,					[
						7,
						[
							20,
							166,
							cr.plugins_.Dictionary.prototype.exps.AsJSON,
							true,
							null
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					4767771494306158,
					false
					,[
					[
						1,
						[
							2,
							"BoughtItemsActiveDic"
						]
					]
,					[
						7,
						[
							20,
							164,
							cr.plugins_.Dictionary.prototype.exps.AsJSON,
							true,
							null
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					5180060682644776,
					false
					,[
					[
						1,
						[
							2,
							"CharMapBoots"
						]
					]
,					[
						7,
						[
							23,
							"CharMapBoots"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					7289580324616536,
					false
					,[
					[
						1,
						[
							2,
							"CharMapTrouser"
						]
					]
,					[
						7,
						[
							23,
							"CharMapTrouser"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					4140117219515386,
					false
					,[
					[
						1,
						[
							2,
							"CharMapJacket"
						]
					]
,					[
						7,
						[
							23,
							"CharMapJacket"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					8995344301316956,
					false
					,[
					[
						1,
						[
							2,
							"CharMapHat"
						]
					]
,					[
						7,
						[
							23,
							"CharMapHat"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					6138906706104265,
					false
					,[
					[
						1,
						[
							2,
							"TopScoreS1"
						]
					]
,					[
						7,
						[
							23,
							"TopScoreS1"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					3482204874051858,
					false
					,[
					[
						1,
						[
							2,
							"TopScoreS2"
						]
					]
,					[
						7,
						[
							23,
							"TopScoreS2"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					5138541507899385,
					false
					,[
					[
						1,
						[
							2,
							"TopScoreS3"
						]
					]
,					[
						7,
						[
							23,
							"TopScoreS3"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					321795695709522,
					false
					,[
					[
						1,
						[
							2,
							"TodaySolved"
						]
					]
,					[
						7,
						[
							23,
							"TodaySolved"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					624445939882508,
					false
					,[
					[
						1,
						[
							2,
							"LastDatePlayed"
						]
					]
,					[
						7,
						[
							23,
							"LastDatePlayed"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					3899347298085795,
					false
					,[
					[
						1,
						[
							2,
							"tutBottle8"
						]
					]
,					[
						7,
						[
							23,
							"tutBottle8"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					1939739632335169,
					false
					,[
					[
						1,
						[
							2,
							"tutLottery9"
						]
					]
,					[
						7,
						[
							23,
							"tutLottery9"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					6240266235687605,
					false
					,[
					[
						1,
						[
							2,
							"tutLetter10"
						]
					]
,					[
						7,
						[
							23,
							"tutLetter10"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					4598801396188826,
					false
					,[
					[
						1,
						[
							2,
							"tutLevelUp11"
						]
					]
,					[
						7,
						[
							23,
							"tutLevelUp11"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					3702306801693051,
					false
					,[
					[
						1,
						[
							2,
							"tutOpenShop12"
						]
					]
,					[
						7,
						[
							23,
							"tutOpenShop12"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					3798126686820326,
					false
					,[
					[
						1,
						[
							2,
							"tutShop13"
						]
					]
,					[
						7,
						[
							23,
							"tutShop13"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					5420189669179837,
					false
					,[
					[
						1,
						[
							2,
							"tutSpeed14"
						]
					]
,					[
						7,
						[
							23,
							"tutSpeed14"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					9846277505328047,
					false
					,[
					[
						1,
						[
							2,
							"tutTopSpeed15"
						]
					]
,					[
						7,
						[
							23,
							"tutTopSpeed15"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					54131762336022,
					false
					,[
					[
						1,
						[
							2,
							"tutBoost16"
						]
					]
,					[
						7,
						[
							23,
							"tutBoost16"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					2730081528767587,
					false
					,[
					[
						1,
						[
							2,
							"tutLuck17"
						]
					]
,					[
						7,
						[
							23,
							"tutLuck17"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					3213021015074622,
					false
					,[
					[
						1,
						[
							2,
							"tutLead18"
						]
					]
,					[
						7,
						[
							23,
							"tutLead18"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					6289345198130403,
					false
					,[
					[
						1,
						[
							2,
							"tutShield19"
						]
					]
,					[
						7,
						[
							23,
							"tutShield19"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					1415097201569515,
					false
					,[
					[
						1,
						[
							2,
							"tutCoins20"
						]
					]
,					[
						7,
						[
							23,
							"tutCoins20"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					4916051061065956,
					false
					,[
					[
						1,
						[
							2,
							"tutXP21"
						]
					]
,					[
						7,
						[
							23,
							"tutXP21"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					9992879013119179,
					false
					,[
					[
						1,
						[
							2,
							"tutScore22"
						]
					]
,					[
						7,
						[
							23,
							"tutScore22"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					6814263569524226,
					false
					,[
					[
						1,
						[
							2,
							"tutRevive23"
						]
					]
,					[
						7,
						[
							23,
							"tutRevive23"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					2515673632535474,
					false
					,[
					[
						1,
						[
							2,
							"tutNext25"
						]
					]
,					[
						7,
						[
							23,
							"tutNext25"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					3646860019202868,
					false
					,[
					[
						1,
						[
							2,
							"tutMissionSelect24"
						]
					]
,					[
						7,
						[
							23,
							"tutMissionSelect24"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					384838902622911,
					false
					,[
					[
						1,
						[
							2,
							"OverallScore"
						]
					]
,					[
						7,
						[
							23,
							"OverallScore"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					6276013491445919,
					false
					,[
					[
						1,
						[
							2,
							"MpDoubleJump"
						]
					]
,					[
						7,
						[
							23,
							"MpDoubleJump"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					8046754204769636,
					false
					,[
					[
						1,
						[
							2,
							"MpCoins"
						]
					]
,					[
						7,
						[
							23,
							"MpCoins"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					5609334141715815,
					false
					,[
					[
						1,
						[
							2,
							"MpBoost"
						]
					]
,					[
						7,
						[
							23,
							"MpBoost"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					7105891535098336,
					false
					,[
					[
						1,
						[
							2,
							"MpObjectDestroyed"
						]
					]
,					[
						7,
						[
							23,
							"MpObjectDestroyed"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					3908540096555656,
					false
					,[
					[
						1,
						[
							2,
							"AbottlesShot"
						]
					]
,					[
						7,
						[
							23,
							"AbottlesShot"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.acts.StoreLocal,
					null,
					4770772191208056,
					false
					,[
					[
						1,
						[
							2,
							"AmissionsSolved"
						]
					]
,					[
						7,
						[
							23,
							"AmissionsSolved"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8797685215130527,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					645161652159183,
					false
					,[
					[
						1,
						[
							2,
							"LoadGame"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4115374819682028,
					false
					,[
					[
						11,
						"XP"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"XP"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7644070698863319,
					false
					,[
					[
						11,
						"RankInt"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"RankInt"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8688466540534194,
					false
					,[
					[
						11,
						"TopScore"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"TopScore"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1471292352613878,
					false
					,[
					[
						11,
						"leadLevel"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"leadLevel"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					975672546135067,
					false
					,[
					[
						11,
						"boostLevel"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"boostLevel"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1027147716551633,
					false
					,[
					[
						11,
						"speedLevel"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"speedLevel"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7837415636532757,
					false
					,[
					[
						11,
						"secondChanceAmount"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"secondChanceAmount"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5085793402479166,
					false
					,[
					[
						11,
						"coinDoublerAmount"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"coinDoublerAmount"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					513696933514068,
					false
					,[
					[
						11,
						"startBoostAmount"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"startBoostAmount"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2787108654604503,
					false
					,[
					[
						11,
						"shieldAmount"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"shieldAmount"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3911911736526299,
					false
					,[
					[
						11,
						"gameversion"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"gameversion"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9918825291705163,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"Coins"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1449956789996398,
					false
					,[
					[
						11,
						"StoryWatched"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"StoryWatched"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4185547545446867,
					false
					,[
					[
						11,
						"TutorialWatched"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"TutorialWatched"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7079610401959263,
					false
					,[
					[
						11,
						"SfxOn"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"SfxOn"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3666827006288328,
					false
					,[
					[
						11,
						"MusicOn"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"MusicOn"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7968336735071947,
					false
					,[
					[
						11,
						"Gameplays"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"Gameplays"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2952309015116645,
					false
					,[
					[
						11,
						"nextLevelXP"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"nextLevelXP"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1267459823074267,
					false
					,[
					[
						11,
						"previousLevelXP"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"previousLevelXP"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					624954797245149,
					false
					,[
					[
						11,
						"leadPrice"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"leadPrice"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4974956210500906,
					false
					,[
					[
						11,
						"speedPrice"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"speedPrice"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7976225509380356,
					false
					,[
					[
						11,
						"boostPrice"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"boostPrice"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4299424542190506,
					false
					,[
					[
						11,
						"versionControl"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"versionControl"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7624290724216618,
					false
					,[
					[
						11,
						"CurrentScene"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"CurrentScene"
							]
							]
						]
					]
					]
				]
,				[
					163,
					cr.plugins_.Arr.prototype.acts.JSONLoad,
					null,
					369992000689154,
					false
					,[
					[
						1,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"activeMissions"
							]
							]
						]
					]
					]
				]
,				[
					172,
					cr.plugins_.Arr.prototype.acts.JSONLoad,
					null,
					9520332081501029,
					false
					,[
					[
						1,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"solvedMissions"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7847042744243624,
					false
					,[
					[
						11,
						"CharSpeed"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"CharSpeed"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2418036343327088,
					false
					,[
					[
						11,
						"CharScore"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"CharScore"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8205365636484976,
					false
					,[
					[
						11,
						"CharLuck"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"CharLuck"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3943723846236403,
					false
					,[
					[
						11,
						"CharRevive"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"CharRevive"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8816734907823534,
					false
					,[
					[
						11,
						"CharLead"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"CharLead"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5482042470492524,
					false
					,[
					[
						11,
						"CharBoost"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"CharBoost"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5612007869848741,
					false
					,[
					[
						11,
						"CharCoins"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"CharCoins"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7709700413938957,
					false
					,[
					[
						11,
						"CharXP"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"CharXP"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5090016575439246,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"CharTopSpeed"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					851613391411131,
					false
					,[
					[
						11,
						"DaysSolved"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"DaysSolved"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9250203246868486,
					false
					,[
					[
						11,
						"LettersCollected"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"LettersCollected"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					168,
					cr.plugins_.Dictionary.prototype.acts.JSONLoad,
					null,
					8495196215349046,
					false
					,[
					[
						1,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"ClothAttributes"
							]
							]
						]
					]
					]
				]
,				[
					164,
					cr.plugins_.Dictionary.prototype.acts.JSONLoad,
					null,
					3211719045747329,
					false
					,[
					[
						1,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"BoughtItemsActiveDic"
							]
							]
						]
					]
					]
				]
,				[
					166,
					cr.plugins_.Dictionary.prototype.acts.JSONLoad,
					null,
					8480561334587179,
					false
					,[
					[
						1,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"BoughtItemsDic"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9788071283878234,
					false
					,[
					[
						11,
						"CharMapBoots"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"CharMapBoots"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8577751611489768,
					false
					,[
					[
						11,
						"CharMapTrouser"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"CharMapTrouser"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3938922913959243,
					false
					,[
					[
						11,
						"CharMapJacket"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"CharMapJacket"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1370265716431712,
					false
					,[
					[
						11,
						"CharMapHat"
					]
,					[
						7,
						[
							20,
							188,
							cr.plugins_.WebStorage.prototype.exps.LocalValue,
							true,
							null
							,[
[
								2,
								"CharMapHat"
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1767146008114154,
					false
					,[
					[
						11,
						"TopScoreS1"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"TopScoreS1"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					943385816576931,
					false
					,[
					[
						11,
						"TopScoreS2"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"TopScoreS2"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7627202797748004,
					false
					,[
					[
						11,
						"TopScoreS3"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"TopScoreS3"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3665266594908763,
					false
					,[
					[
						11,
						"TodaySolved"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"TodaySolved"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6436397671807748,
					false
					,[
					[
						11,
						"LastDatePlayed"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"LastDatePlayed"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5291773333874147,
					false
					,[
					[
						11,
						"tutBottle8"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutBottle8"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9593720475231469,
					false
					,[
					[
						11,
						"tutLottery9"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutLottery9"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8337685019996964,
					false
					,[
					[
						11,
						"tutLetter10"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutLetter10"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8811203811374551,
					false
					,[
					[
						11,
						"tutLevelUp11"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutLevelUp11"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7013103454764013,
					false
					,[
					[
						11,
						"tutOpenShop12"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutOpenShop12"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6793110989757602,
					false
					,[
					[
						11,
						"tutShop13"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutShop13"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					805174599805164,
					false
					,[
					[
						11,
						"tutSpeed14"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutSpeed14"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8390731050399228,
					false
					,[
					[
						11,
						"tutTopSpeed15"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutTopSpeed15"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5539427814050977,
					false
					,[
					[
						11,
						"tutBoost16"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutBoost16"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8694634312065617,
					false
					,[
					[
						11,
						"tutLuck17"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutLuck17"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8868402271649366,
					false
					,[
					[
						11,
						"tutLead18"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutLead18"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9193831930634256,
					false
					,[
					[
						11,
						"tutShield19"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutShield19"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4383582873254288,
					false
					,[
					[
						11,
						"tutCoins20"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutCoins20"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2791762306357309,
					false
					,[
					[
						11,
						"tutXP21"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutXP21"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4827109196239151,
					false
					,[
					[
						11,
						"tutScore22"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutScore22"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1733497837997351,
					false
					,[
					[
						11,
						"tutRevive23"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutRevive23"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3827364361885453,
					false
					,[
					[
						11,
						"tutMissionSelect24"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutMissionSelect24"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7923368784677899,
					false
					,[
					[
						11,
						"tutNext25"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"tutNext25"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					928235660986977,
					false
					,[
					[
						11,
						"OverallScore"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"OverallScore"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5573821002958863,
					false
					,[
					[
						11,
						"MpDoubleJump"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"MpDoubleJump"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2668518284611403,
					false
					,[
					[
						11,
						"MpCoins"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"MpCoins"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7103145074104759,
					false
					,[
					[
						11,
						"MpBoost"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"MpBoost"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7109132197819792,
					false
					,[
					[
						11,
						"MobjectDestroyed"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"MpObjectDestroyed"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3315036344667632,
					false
					,[
					[
						11,
						"AbottlesShot"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"AbottlesShot"
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1095971361570819,
					false
					,[
					[
						11,
						"AmissionsSolved"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								188,
								cr.plugins_.WebStorage.prototype.exps.LocalValue,
								true,
								null
								,[
[
									2,
									"AmissionsSolved"
								]
								]
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1865044549290268,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9293395233347624,
					false
					,[
					[
						1,
						[
							2,
							"DeleteSave"
						]
					]
					]
				]
				],
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.acts.ClearLocal,
					null,
					4458181018311153,
					false
				]
				]
			]
			]
		]
		]
	]
,	[
		"StoryEvents",
		[
		[
			1,
			"currentStoryImage",
			0,
			0,
false,false,243481540600035,false
		]
,		[
			2,
			"SaveAndLoad",
			false
		]
,		[
			2,
			"Audio",
			false
		]
,		[
			2,
			"ButtonsAndFields",
			false
		]
,		[
			2,
			"InitFonts",
			false
		]
,		[
			0,
			null,
			false,
			null,
			2861199991524669,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				1948041128195293,
				false
			]
			],
			[
			[
				77,
				cr.plugins_.Sprite.prototype.acts.SetPos,
				null,
				993500558730602,
				false
				,[
				[
					0,
					[
						5,
						[
							19,
							cr.system_object.prototype.exps.viewportright
							,[
[
								2,
								"UI"
							]
							]
						]
						,[
							0,
							63
						]
					]
				]
,				[
					0,
					[
						4,
						[
							19,
							cr.system_object.prototype.exps.viewporttop
							,[
[
								2,
								"UI"
							]
							]
						]
						,[
							0,
							49
						]
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				6982401906328565,
				false
				,[
				[
					1,
					[
						2,
						"createGenericButton"
					]
				]
,				[
					13,
											[
							7,
							[
								2,
								"Str_NEXT"
							]
						]
,
						[
							7,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.viewportright
									,[
[
										2,
										"UI"
									]
									]
								]
								,[
									1,
									0.5
								]
							]
						]
,
						[
							7,
							[
								5,
								[
									5,
									[
										19,
										cr.system_object.prototype.exps.viewportbottom
										,[
[
											2,
											"UI"
										]
										]
									]
									,[
										0,
										46
									]
								]
								,[
									0,
									13
								]
							]
						]
,
						[
							7,
							[
								2,
								"UI"
							]
						]
,
						[
							7,
							[
								2,
								"nextStory"
							]
						]
,
						[
							7,
							[
								0,
								1
							]
						]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				764799231209299,
				false
				,[
				[
					11,
					"currentStoryImage"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				1199928235650797,
				false
				,[
				[
					1,
					[
						2,
						"NextStory"
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			256285604732646,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				5357813832261104,
				false
				,[
				[
					1,
					[
						2,
						"SkipStory"
					]
				]
				]
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				1641979376208501,
				false
				,[
				[
					1,
					[
						2,
						"stopAmbience"
					]
				]
,				[
					13,
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				4282493304075781,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7911163713464827,
					false
					,[
					[
						11,
						"Gameplays"
					]
,					[
						8,
						2
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.GoToLayout,
					null,
					6413381589621573,
					false
					,[
					[
						6,
						"MainGame"
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				982591858780909,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					1866362024573979,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.GoToLayout,
					null,
					9363737448260951,
					false
					,[
					[
						6,
						"MainMenu"
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			814986352642611,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				8823507720260975,
				false
				,[
				[
					1,
					[
						2,
						"NextStory"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.AddVar,
				null,
				2453851291831551,
				false
				,[
				[
					11,
					"currentStoryImage"
				]
,				[
					7,
					[
						0,
						1
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				1894536609534027,
				false
				,[
				[
					1,
					[
						10,
						[
							2,
							"createImage0"
						]
						,[
							23,
							"currentStoryImage"
						]
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			813278503095345,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				7315531530597677,
				false
				,[
				[
					1,
					[
						2,
						"createImage01"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.CreateObject,
				null,
				8065207521220276,
				false
				,[
				[
					4,
					90
				]
,				[
					5,
					[
						2,
						"UI"
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportright
							,[
[
								2,
								"UI"
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								2,
								"UI"
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1593995878051578,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2034197824614812,
				false
				,[
				[
					1,
					[
						2,
						"createImage02"
					]
				]
				]
			]
			],
			[
			[
				90,
				cr.plugins_.Sprite.prototype.acts.Destroy,
				null,
				7042430073454072,
				false
			]
,			[
				-1,
				cr.system_object.prototype.acts.CreateObject,
				null,
				7318691954135541,
				false
				,[
				[
					4,
					91
				]
,				[
					5,
					[
						2,
						"UI"
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportright
							,[
[
								2,
								"UI"
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								2,
								"UI"
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			83041563232996,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				9676231616486036,
				false
				,[
				[
					1,
					[
						2,
						"createImage03"
					]
				]
				]
			]
			],
			[
			[
				91,
				cr.plugins_.Sprite.prototype.acts.Destroy,
				null,
				4081948858061654,
				false
			]
,			[
				-1,
				cr.system_object.prototype.acts.CreateObject,
				null,
				8576252591058565,
				false
				,[
				[
					4,
					92
				]
,				[
					5,
					[
						2,
						"UI"
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportright
							,[
[
								2,
								"UI"
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								2,
								"UI"
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9307119871163337,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				7300076801268067,
				false
				,[
				[
					1,
					[
						2,
						"createImage04"
					]
				]
				]
			]
			],
			[
			[
				92,
				cr.plugins_.Sprite.prototype.acts.Destroy,
				null,
				4021639160212583,
				false
			]
,			[
				-1,
				cr.system_object.prototype.acts.CreateObject,
				null,
				395991910735196,
				false
				,[
				[
					4,
					93
				]
,				[
					5,
					[
						2,
						"UI"
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportright
							,[
[
								2,
								"UI"
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								2,
								"UI"
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7127222117766674,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2864662126782627,
				false
				,[
				[
					1,
					[
						2,
						"createImage05"
					]
				]
				]
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				2531047451754326,
				false
				,[
				[
					1,
					[
						2,
						"SkipStory"
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
		]
	]
,	[
		"SplashEvents",
		[
		[
			0,
			null,
			false,
			null,
			7193616863739241,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				9713613936084929,
				false
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.CreateObject,
				null,
				5161586855544932,
				false
				,[
				[
					4,
					190
				]
,				[
					5,
					[
						0,
						0
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportright
							,[
[
								0,
								0
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
,				[
					0,
					[
						6,
						[
							19,
							cr.system_object.prototype.exps.viewportbottom
							,[
[
								0,
								0
							]
							]
						]
						,[
							1,
							0.5
						]
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.Wait,
				null,
				4448198989478022,
				false
				,[
				[
					0,
					[
						1,
						1.5
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.GoToLayout,
				null,
				4443685884730119,
				false
				,[
				[
					6,
					"MainMenu"
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			2756364472974233,
			[
			[
				184,
				cr.plugins_.Touch.prototype.cnds.OnTouchStart,
				null,
				1,
				false,
				false,
				false,
				4108439978625156,
				false
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.GoToLayout,
				null,
				6675857444759211,
				false
				,[
				[
					6,
					"MainMenu"
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8667727541217657,
			[
			[
				187,
				cr.plugins_.Mouse.prototype.cnds.IsButtonDown,
				null,
				0,
				false,
				false,
				false,
				3488987395046557,
				false
				,[
				[
					3,
					0
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.GoToLayout,
				null,
				1680940592320933,
				false
				,[
				[
					6,
					"MainMenu"
				]
				]
			]
			]
		]
		]
	]
,	[
		"Character",
		[
		[
			2,
			"Customize",
			false
		]
,		[
			0,
			null,
			false,
			null,
			5253167907309301,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				1624595415600966,
				false
			]
			],
			[
			[
				191,
				cr.plugins_.Spriter.prototype.acts.setObjectScaleRatio,
				null,
				6721518799394682,
				false
				,[
				[
					0,
					[
						1,
						0.83
					]
				]
,				[
					3,
					0
				]
,				[
					3,
					0
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9777619438874854,
			[
			[
				191,
				cr.plugins_.Spriter.prototype.cnds.readyForSetup,
				null,
				1,
				false,
				false,
				false,
				8090949580560642,
				false
			]
			],
			[
			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				1878282936066133,
				false
				,[
				[
					4,
					94
				]
,				[
					1,
					[
						2,
						"CowboyDefault_LeftTigh"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				6140780290203116,
				false
				,[
				[
					4,
					95
				]
,				[
					1,
					[
						2,
						"CowboyDefault_leftCalf"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				6638758139818054,
				false
				,[
				[
					4,
					96
				]
,				[
					1,
					[
						2,
						"CowboyDefault_LeftBoot"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				644497815602395,
				false
				,[
				[
					4,
					97
				]
,				[
					1,
					[
						2,
						"CowboyDefault_LeftHand"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				8555041650030588,
				false
				,[
				[
					4,
					98
				]
,				[
					1,
					[
						2,
						"CowboyDefault_LeftUpperArm"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				2538844748584559,
				false
				,[
				[
					4,
					99
				]
,				[
					1,
					[
						2,
						"CowboyDefault_LeftForearm"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				8867689225919478,
				false
				,[
				[
					4,
					100
				]
,				[
					1,
					[
						2,
						"CowboyDefault_Head"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				5999633187114077,
				false
				,[
				[
					4,
					101
				]
,				[
					1,
					[
						2,
						"CowboyDefault_Body"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				1135354193079408,
				false
				,[
				[
					4,
					102
				]
,				[
					1,
					[
						2,
						"CowboyDefault_Hip"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				7583159062252193,
				false
				,[
				[
					4,
					103
				]
,				[
					1,
					[
						2,
						"CowboyDefault_RightClaf"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				4348794678205095,
				false
				,[
				[
					4,
					104
				]
,				[
					1,
					[
						2,
						"CowboyDefault_RightTigh"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				9180176716050887,
				false
				,[
				[
					4,
					105
				]
,				[
					1,
					[
						2,
						"CowboyDefault_Holster"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				7188560155679309,
				false
				,[
				[
					4,
					106
				]
,				[
					1,
					[
						2,
						"CowboyDefault_Hat"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				8094262686775813,
				false
				,[
				[
					4,
					107
				]
,				[
					1,
					[
						2,
						"CowboyDefault_RightHand"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				7724131588266802,
				false
				,[
				[
					4,
					108
				]
,				[
					1,
					[
						2,
						"CowboyDefault_RightForearm"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				800494119603332,
				false
				,[
				[
					4,
					109
				]
,				[
					1,
					[
						2,
						"CowboyDefault_RightUpperArm"
					]
				]
				]
			]
,			[
				191,
				cr.plugins_.Spriter.prototype.acts.associateTypeWithName,
				null,
				1170360614570891,
				false
				,[
				[
					4,
					110
				]
,				[
					1,
					[
						2,
						"CowboyDefault_RightBoot"
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"Missions",
		[
		[
			1,
			"TotalMissions",
			0,
			30,
false,false,1877220798177346,false
		]
,		[
			0,
			null,
			false,
			null,
			6271068331256868,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				9715181486883158,
				false
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				357914342854909,
				false
				,[
				[
					1,
					[
						2,
						"callInitMissionMethods"
					]
				]
,				[
					13,
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				2833972758953152,
				[
				[
					163,
					cr.plugins_.Arr.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					9943996213020084,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2921623835847398,
					false
					,[
					[
						1,
						[
							2,
							"initMissions"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8075178230886552,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				4507160889983445,
				false
				,[
				[
					1,
					[
						2,
						"initMissions"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8015081404224506,
				[
				],
				[
				[
					163,
					cr.plugins_.Arr.prototype.acts.SetX,
					null,
					4467568716668347,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					163,
					cr.plugins_.Arr.prototype.acts.SetX,
					null,
					864649488330175,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
,				[
					163,
					cr.plugins_.Arr.prototype.acts.SetX,
					null,
					2126425287680557,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
,				[
					172,
					cr.plugins_.Arr.prototype.acts.SetX,
					null,
					5116482561487678,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
,					[
						7,
						[
							2,
							"unsolved"
						]
					]
					]
				]
,				[
					172,
					cr.plugins_.Arr.prototype.acts.SetX,
					null,
					6284098770565352,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
,					[
						7,
						[
							2,
							"unsolved"
						]
					]
					]
				]
,				[
					172,
					cr.plugins_.Arr.prototype.acts.SetX,
					null,
					4173513418279794,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
,					[
						7,
						[
							2,
							"unsolved"
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5416455418217111,
					false
					,[
					[
						1,
						[
							2,
							"callInitMissionMethods"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7715083917877811,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2581035305238809,
				false
				,[
				[
					1,
					[
						2,
						"checkActiveMissions"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4568938946212061,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					4613921318211234,
					false
					,[
					[
						1,
						[
							2,
							"activeMissions"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								163,
								cr.plugins_.Arr.prototype.exps.Width,
								false,
								null
							]
							,[
								0,
								1
							]
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1845849954284713,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						1868605604109391,
						false
						,[
						[
							7,
							[
								20,
								172,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.loopindex
								]
								]
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"unsolved"
							]
						]
						]
					]
					],
					[
					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5569589928444758,
						false
						,[
						[
							1,
							[
								10,
								[
									2,
									"checkMission"
								]
								,[
									20,
									163,
									cr.plugins_.Arr.prototype.exps.At,
									false,
									null
									,[
[
										19,
										cr.system_object.prototype.exps.loopindex
									]
									]
								]
							]
						]
,						[
							13,
															[
									7,
									[
										19,
										cr.system_object.prototype.exps.loopindex
									]
								]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8136308357574663,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6710207024993215,
				false
				,[
				[
					1,
					[
						2,
						"debugPopIn"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4575853404524066,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					443282128013924,
					false
					,[
					[
						11,
						"MissionPopInActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1367362494863921,
					false
					,[
					[
						4,
						111
					]
,					[
						5,
						[
							2,
							"MissionPopIn"
						]
					]
,					[
						0,
						[
							0,
							-1
						]
					]
,					[
						0,
						[
							5,
							[
								19,
								cr.system_object.prototype.exps.viewporttop
								,[
[
									2,
									"MissionPopIn"
								]
								]
							]
							,[
								0,
								1
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7993374684739466,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldMissionsDebug"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										111,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										70
									]
								]
							]
,
							[
								7,
								[
									2,
									"MissionPopIn"
								]
							]
,
							[
								7,
								[
									2,
									"solvedText"
								]
							]
,
							[
								7,
								[
									1,
									1.5
								]
							]
,
							[
								7,
								[
									2,
									""
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1400304031300126,
					false
					,[
					[
						11,
						"MissionPopInActive"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					9033053551154045,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					111,
					cr.plugins_.NinePatch.prototype.acts.Destroy,
					null,
					1131657287458829,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2576173620400212,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.IsOnLayer,
						null,
						0,
						false,
						false,
						false,
						7749748060885789,
						false
						,[
						[
							5,
							[
								2,
								"MissionPopIn"
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						9680029559103961,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4193675529663467,
						false
						,[
						[
							11,
							"MissionPopInActive"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8202870103434952,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				7144099138923127,
				false
				,[
				[
					1,
					[
						2,
						"genericPopIn"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1585926676831463,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6656400654456118,
					false
					,[
					[
						11,
						"MissionPopInActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2231659713782885,
					false
					,[
					[
						4,
						111
					]
,					[
						5,
						[
							2,
							"MissionPopIn"
						]
					]
,					[
						0,
						[
							0,
							-1
						]
					]
,					[
						0,
						[
							5,
							[
								19,
								cr.system_object.prototype.exps.viewporttop
								,[
[
									2,
									"MissionPopIn"
								]
								]
							]
							,[
								0,
								1
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2439837388381173,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldMissions"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										111,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										70
									]
								]
							]
,
							[
								7,
								[
									2,
									"MissionPopIn"
								]
							]
,
							[
								7,
								[
									2,
									"solvedText"
								]
							]
,
							[
								7,
								[
									1,
									1.5
								]
							]
,
							[
								7,
								[
									2,
									""
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6916650229389649,
					false
					,[
					[
						11,
						"MissionPopInActive"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					5918588297942842,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					111,
					cr.plugins_.NinePatch.prototype.acts.Destroy,
					null,
					4847678690540833,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					8340700184165967,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.IsOnLayer,
						null,
						0,
						false,
						false,
						false,
						6315455684805848,
						false
						,[
						[
							5,
							[
								2,
								"MissionPopIn"
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						570529911095831,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3382118643033336,
						false
						,[
						[
							11,
							"MissionPopInActive"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			1,
			"MissionPopInActive",
			0,
			0,
false,false,7919096906872676,false
		]
,		[
			0,
			null,
			false,
			null,
			5904795921693681,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				8913715935721486,
				false
				,[
				[
					1,
					[
						2,
						"solveMission"
					]
				]
				]
			]
			],
			[
			[
				172,
				cr.plugins_.Arr.prototype.acts.SetX,
				null,
				2640795059218079,
				false
				,[
				[
					0,
					[
						20,
						185,
						cr.plugins_.Function.prototype.exps.Param,
						false,
						null
						,[
[
							0,
							0
						]
						]
					]
				]
,				[
					7,
					[
						2,
						"solved"
					]
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				3329699592222604,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					647000499745677,
					false
					,[
					[
						11,
						"MissionPopInActive"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7165258858495715,
					false
					,[
					[
						11,
						"MissionPopInActive"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					488684315410244,
					false
					,[
					[
						4,
						111
					]
,					[
						5,
						[
							2,
							"MissionPopIn"
						]
					]
,					[
						0,
						[
							0,
							-1
						]
					]
,					[
						0,
						[
							5,
							[
								19,
								cr.system_object.prototype.exps.viewporttop
								,[
[
									2,
									"MissionPopIn"
								]
								]
							]
							,[
								0,
								1
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5853417964713431,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldMissions"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_SOLVED"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										111,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										43
									]
								]
							]
,
							[
								7,
								[
									2,
									"MissionPopIn"
								]
							]
,
							[
								7,
								[
									2,
									"solvedText"
								]
							]
,
							[
								7,
								[
									1,
									1.5
								]
							]
,
							[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										1
									]
									]
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1969085541974459,
					false
					,[
					[
						1,
						[
							2,
							"createTextFieldGoldMissions"
						]
					]
,					[
						13,
													[
								7,
								[
									10,
									[
										2,
										"Str_M"
									]
									,[
										19,
										cr.system_object.prototype.exps.str
										,[
[
											20,
											163,
											cr.plugins_.Arr.prototype.exps.At,
											false,
											null
											,[
[
												20,
												185,
												cr.plugins_.Function.prototype.exps.Param,
												false,
												null
												,[
[
													0,
													0
												]
												]
											]
											]
										]
										]
									]
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									4,
									[
										20,
										111,
										cr.plugins_.NinePatch.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										104
									]
								]
							]
,
							[
								7,
								[
									2,
									"MissionPopIn"
								]
							]
,
							[
								7,
								[
									2,
									"solvedMissionText"
								]
							]
,
							[
								7,
								[
									0,
									1
								]
							]
,
							[
								7,
								[
									2,
									""
								]
							]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8980297382203001,
					false
					,[
					[
						1,
						[
							2,
							"playLevelUp"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9902518158585919,
					false
					,[
					[
						1,
						[
							2,
							"SaveGame"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					5250952676106279,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					111,
					cr.plugins_.NinePatch.prototype.acts.Destroy,
					null,
					7282625876474661,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					3072768531140352,
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.cnds.IsOnLayer,
						null,
						0,
						false,
						false,
						false,
						2971169350697534,
						false
						,[
						[
							5,
							[
								2,
								"MissionPopIn"
							]
						]
						]
					]
					],
					[
					[
						51,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						2578770323146225,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2061865365950592,
						false
						,[
						[
							11,
							"MissionPopInActive"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1017266800180661,
			[
			[
				172,
				cr.plugins_.Arr.prototype.cnds.CompareX,
				null,
				0,
				false,
				false,
				false,
				2463664623410806,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
,				[
					8,
					0
				]
,				[
					7,
					[
						2,
						"solved"
					]
				]
				]
			]
,			[
				172,
				cr.plugins_.Arr.prototype.cnds.CompareX,
				null,
				0,
				false,
				false,
				false,
				2601890299788798,
				false
				,[
				[
					0,
					[
						0,
						1
					]
				]
,				[
					8,
					0
				]
,				[
					7,
					[
						2,
						"solved"
					]
				]
				]
			]
,			[
				172,
				cr.plugins_.Arr.prototype.cnds.CompareX,
				null,
				0,
				false,
				false,
				false,
				4298403583178597,
				false
				,[
				[
					0,
					[
						0,
						2
					]
				]
,				[
					8,
					0
				]
,				[
					7,
					[
						2,
						"solved"
					]
				]
				]
			]
,			[
				163,
				cr.plugins_.Arr.prototype.cnds.CompareX,
				null,
				0,
				false,
				false,
				false,
				8557054269313912,
				false
				,[
				[
					0,
					[
						0,
						2
					]
				]
,				[
					8,
					2
				]
,				[
					7,
					[
						23,
						"TotalMissions"
					]
				]
				]
			]
			],
			[
			[
				163,
				cr.plugins_.Arr.prototype.acts.SetX,
				null,
				5107489010624563,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
,				[
					7,
					[
						4,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								163,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
							]
						]
						,[
							0,
							3
						]
					]
				]
				]
			]
,			[
				163,
				cr.plugins_.Arr.prototype.acts.SetX,
				null,
				3610169611553701,
				false
				,[
				[
					0,
					[
						0,
						1
					]
				]
,				[
					7,
					[
						4,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								163,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
							]
						]
						,[
							0,
							3
						]
					]
				]
				]
			]
,			[
				163,
				cr.plugins_.Arr.prototype.acts.SetX,
				null,
				8878282715945364,
				false
				,[
				[
					0,
					[
						0,
						2
					]
				]
,				[
					7,
					[
						4,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								20,
								163,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									0,
									2
								]
								]
							]
							]
						]
						,[
							0,
							3
						]
					]
				]
				]
			]
,			[
				172,
				cr.plugins_.Arr.prototype.acts.SetX,
				null,
				2698790986324171,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
,				[
					7,
					[
						2,
						"unsolved"
					]
				]
				]
			]
,			[
				172,
				cr.plugins_.Arr.prototype.acts.SetX,
				null,
				4921199745590812,
				false
				,[
				[
					0,
					[
						0,
						1
					]
				]
,				[
					7,
					[
						2,
						"unsolved"
					]
				]
				]
			]
,			[
				172,
				cr.plugins_.Arr.prototype.acts.SetX,
				null,
				5903084923963189,
				false
				,[
				[
					0,
					[
						0,
						2
					]
				]
,				[
					7,
					[
						2,
						"unsolved"
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				4213917809670091,
				false
				,[
				[
					1,
					[
						2,
						"callInitMissionMethods"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				3272704869965749,
				false
				,[
				[
					11,
					"AmissionsSolved"
				]
,				[
					7,
					[
						19,
						cr.system_object.prototype.exps["int"]
						,[
[
							20,
							172,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
						]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8277253855525798,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				5282167196129747,
				false
				,[
				[
					1,
					[
						2,
						"callInitMissionMethods"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8592958469393869,
				[
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8091836652130228,
					false
					,[
					[
						1,
						[
							10,
							[
								2,
								"initMission"
							]
							,[
								20,
								163,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7477894580926834,
					false
					,[
					[
						1,
						[
							10,
							[
								2,
								"initMission"
							]
							,[
								20,
								163,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									0,
									1
								]
								]
							]
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8258813904100064,
					false
					,[
					[
						1,
						[
							10,
							[
								2,
								"initMission"
							]
							,[
								20,
								163,
								cr.plugins_.Arr.prototype.exps.At,
								false,
								null
								,[
[
									0,
									2
								]
								]
							]
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			462168243664702,
			[
			[
				-1,
				cr.system_object.prototype.cnds.Every,
				null,
				0,
				false,
				false,
				false,
				7840080098993576,
				false
				,[
				[
					0,
					[
						1,
						0.5
					]
				]
				]
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				7083372526617208,
				false
				,[
				[
					1,
					[
						2,
						"checkActiveMissions"
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
,		[
			1,
			"MCoins",
			0,
			0,
false,false,1823874445559412,false
		]
,		[
			0,
			null,
			false,
			null,
			2008926010905426,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				1613310043676362,
				false
				,[
				[
					1,
					[
						2,
						"checkMission1"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4253542194860318,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6107556307706033,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							499
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7808761373548611,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +100 COINS"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					7128076773892437,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						7,
						[
							0,
							100
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			1,
			"BoughtNewBoots",
			0,
			0,
false,false,2581151369119891,false
		]
,		[
			0,
			null,
			false,
			null,
			4334823139630713,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				1118347108913447,
				false
				,[
				[
					1,
					[
						2,
						"checkMission2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1058326949465381,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					527116085685676,
					false
					,[
					[
						11,
						"BoughtNewBoots"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5119191900044974,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +50 COINS"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					3595712010800526,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						7,
						[
							0,
							50
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			394142197862098,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				4516171540531537,
				false
				,[
				[
					1,
					[
						2,
						"checkMission3"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				53387391937047,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4863475106510149,
					false
					,[
					[
						11,
						"RankInt"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2924437826021426,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +100 COINS"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					8925383991496349,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						7,
						[
							0,
							100
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			1,
			"MBoosted",
			0,
			0,
false,false,9275654510089008,false
		]
,		[
			0,
			null,
			false,
			null,
			9395875436856276,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				3576282508351979,
				false
				,[
				[
					1,
					[
						2,
						"checkMission4"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7773971081257503,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7215698035341287,
					false
					,[
					[
						11,
						"MBoosted"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4543924969440948,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +200 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					3622019724663116,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							200
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			1,
			"MDoubleJump",
			0,
			0,
false,false,1400353016606599,false
		]
,		[
			0,
			null,
			false,
			null,
			6068088482176443,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2424758446358737,
				false
				,[
				[
					1,
					[
						2,
						"initMissions5"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				684906622481873,
				false
				,[
				[
					11,
					"MDoubleJump"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			2733000573516098,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6451313827435658,
				false
				,[
				[
					1,
					[
						2,
						"checkMission5"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9804792994892614,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4949149725857154,
					false
					,[
					[
						11,
						"MDoubleJump"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							9
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8392393674634653,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +200 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					3792787935937,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							200
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9313257438963564,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				1982340035505201,
				false
				,[
				[
					1,
					[
						2,
						"initMissions6"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				6930722668586438,
				false
				,[
				[
					11,
					"MCoins"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4432428464782404,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				7360558928397609,
				false
				,[
				[
					1,
					[
						2,
						"checkMission6"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7736770640452479,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8004805019498709,
					false
					,[
					[
						11,
						"MCoins"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							199
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1029571449397623,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +1 TOP SPEED"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					4692387482526774,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9821322305249448,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2969628653449893,
				false
				,[
				[
					1,
					[
						2,
						"checkMission7"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7407637781819217,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4758040711391797,
					false
					,[
					[
						11,
						"RankInt"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							5
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4684184772945283,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +300 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					3770045980729576,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							300
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			1,
			"MpremiumVisited",
			0,
			0,
false,false,871672997863976,false
		]
,		[
			0,
			null,
			false,
			null,
			6574877749878724,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2567639047645541,
				false
				,[
				[
					1,
					[
						2,
						"initMissions8"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				1149469202563745,
				false
				,[
				[
					11,
					"MpremiumVisited"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4287427257765045,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				8840430220817753,
				false
				,[
				[
					1,
					[
						2,
						"checkMission8"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3355783568641936,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6583349251162336,
					false
					,[
					[
						11,
						"MpremiumVisited"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5060250713033729,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +300 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					4115638299705854,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							300
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9552230682082176,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				4310064168207371,
				false
				,[
				[
					1,
					[
						2,
						"initMissions9"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				2003901424323665,
				false
				,[
				[
					11,
					"MpBoost"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7237652752721253,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				9037182038599855,
				false
				,[
				[
					1,
					[
						2,
						"checkMission9"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4582021324315844,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7323147858734508,
					false
					,[
					[
						11,
						"MpBoost"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							99
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2321912151576347,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +1 TOP SPEED"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					4050345816132957,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			6599018786884516,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				9399421574385712,
				false
				,[
				[
					1,
					[
						2,
						"initMissions10"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				8580044987386399,
				false
				,[
				[
					11,
					"MpDoubleJump"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4621840502241717,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6226847573376602,
				false
				,[
				[
					1,
					[
						2,
						"checkMission10"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2068781096479534,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3812091144393491,
					false
					,[
					[
						11,
						"MpDoubleJump"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							149
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5665004443800546,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +400 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					1127951972707844,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							400
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			2083155310573265,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				3469322827327344,
				false
				,[
				[
					1,
					[
						2,
						"checkMission11"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6963170631307092,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2274362482033283,
					false
					,[
					[
						11,
						"TodaySolved"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4825890211006054,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +400 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					4462060221913016,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							400
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1604608072285066,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2401012192121428,
				false
				,[
				[
					1,
					[
						2,
						"checkMission12"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6382464605897446,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9512658139450816,
					false
					,[
					[
						11,
						"BulletsCollected"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9486546373713772,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +1 TOP SPEED"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					7805523518070407,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			1,
			"MobjectDestroyed",
			0,
			0,
false,false,9240982868901273,false
		]
,		[
			0,
			null,
			false,
			null,
			2408839016910995,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				191014891274921,
				false
				,[
				[
					1,
					[
						2,
						"initMissions13"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				9215555737404838,
				false
				,[
				[
					11,
					"MobjectDestroyed"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3813843012976169,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				8328127110788447,
				false
				,[
				[
					1,
					[
						2,
						"checkMission13"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2102648628557018,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2914995373044667,
					false
					,[
					[
						11,
						"MobjectDestroyed"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							29
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1305154072100342,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +500 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					7851627995778728,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							500
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			6162177495535932,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				3684540491339244,
				false
				,[
				[
					1,
					[
						2,
						"checkMission14"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3022838055013157,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6781339923751966,
					false
					,[
					[
						11,
						"RankInt"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							9
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5540738861115469,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +500 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					5968610752763314,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							500
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8882406275005296,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				9451625397683106,
				false
				,[
				[
					1,
					[
						2,
						"initMissions15"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				5670327223593787,
				false
				,[
				[
					11,
					"MBoosted"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8257040649087177,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				867871939183073,
				false
				,[
				[
					1,
					[
						2,
						"checkMission15"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7993078449098289,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2687964694845342,
					false
					,[
					[
						11,
						"MBoosted"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							14
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4048085214328081,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +1 TOP SPEED"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					9568130926325715,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			714711857710444,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6370243791240121,
				false
				,[
				[
					1,
					[
						2,
						"checkMission16"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5702990719047751,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8186723438781308,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							4999
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					910501852268626,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +600 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					1183808708944171,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							600
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3913067871343327,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2880198665108506,
				false
				,[
				[
					1,
					[
						2,
						"initMissions17"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				4744533873803547,
				false
				,[
				[
					11,
					"MCoins"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			43767788042719,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				5694586627865389,
				false
				,[
				[
					1,
					[
						2,
						"checkMission17"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9598200505718379,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6573132376119239,
					false
					,[
					[
						11,
						"MCoins"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							699
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3996831139901204,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +600 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					8363148707164367,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							600
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			907489173896598,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				428088006106339,
				false
				,[
				[
					1,
					[
						2,
						"initMissions18"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				5590514269045627,
				false
				,[
				[
					11,
					"MpObjectDestroyed"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7184544204692339,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2884688951961098,
				false
				,[
				[
					1,
					[
						2,
						"checkMission18"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3685133858971978,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7312652885164858,
					false
					,[
					[
						11,
						"MpObjectDestroyed"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							499
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1489557601443897,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +1 TOP SPEED"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					901280270565353,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5134140838987797,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				7973106875297945,
				false
				,[
				[
					1,
					[
						2,
						"initMissions19"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				4895001883225388,
				false
				,[
				[
					11,
					"MpBoost"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7087719581810873,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2996375761550034,
				false
				,[
				[
					1,
					[
						2,
						"checkMission19"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9171922830237198,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9201886465506794,
					false
					,[
					[
						11,
						"MpBoost"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							199
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9089992619074767,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +700 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					5902657212003672,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							700
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			608901411894441,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				3583490205764644,
				false
				,[
				[
					1,
					[
						2,
						"checkMission20"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9960908609424933,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7093768516433206,
					false
					,[
					[
						11,
						"BulletsCollected"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8722850859454801,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +700 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					5124940541655639,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							700
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9535098167756987,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2972101953753813,
				false
				,[
				[
					1,
					[
						2,
						"checkMission21"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4238405903083115,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6120182473718966,
					false
					,[
					[
						11,
						"RankInt"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							11
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2221649849554177,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +1 TOP SPEED"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					9618669632722847,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9272332998728206,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				8207664482079425,
				false
				,[
				[
					1,
					[
						2,
						"initMissions22"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				9550269787031183,
				false
				,[
				[
					11,
					"MobjectDestroyed"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1979918416952103,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6743215878556348,
				false
				,[
				[
					1,
					[
						2,
						"checkMission22"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3743556691685481,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4954384914455526,
					false
					,[
					[
						11,
						"MobjectDestroyed"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							59
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3394522430615966,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +800 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					5274355696093363,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							800
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8343087666170622,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				8576796136748324,
				false
				,[
				[
					1,
					[
						2,
						"checkMission23"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4941434783089182,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4343692254655953,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							24999
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9537904147201074,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +800 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					6640366579009774,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							800
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5898540218784599,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				8875359811842355,
				false
				,[
				[
					1,
					[
						2,
						"checkMission24"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4053616487876566,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1819284476887368,
					false
					,[
					[
						11,
						"TodaySolved"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7523079520822096,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +1 TOP SPEED"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					1336679204674382,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9765117233396098,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6214523800626217,
				false
				,[
				[
					1,
					[
						2,
						"initMissions25"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				4589688392318575,
				false
				,[
				[
					11,
					"MCoins"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9697903432026958,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				7605995157929555,
				false
				,[
				[
					1,
					[
						2,
						"checkMission25"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5086974189536119,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5276270225252275,
					false
					,[
					[
						11,
						"MCoins"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							999
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6452902787455678,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +900 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					1404345176691179,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							900
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5905912855977958,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				4422268777802741,
				false
				,[
				[
					1,
					[
						2,
						"initMissions26"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				1851029825011819,
				false
				,[
				[
					11,
					"MpObjectDestroyed"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7692687421876767,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				4223768903639883,
				false
				,[
				[
					1,
					[
						2,
						"checkMission26"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1597616604019689,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3468033892807787,
					false
					,[
					[
						11,
						"MpObjectDestroyed"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							1499
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9324517202369522,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +900 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					6325618451461391,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							900
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			2965416139980781,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6879376060822281,
				false
				,[
				[
					1,
					[
						2,
						"checkMission27"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4045278068342479,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9771550038408659,
					false
					,[
					[
						11,
						"RankInt"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							14
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4433191571525964,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +1 TOP SPEED"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					172516180398135,
					false
					,[
					[
						11,
						"CharTopSpeed"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			6675538688523519,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				5595455814543362,
				false
				,[
				[
					1,
					[
						2,
						"checkMission28"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1286521170230454,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					430385391364381,
					false
					,[
					[
						11,
						"BulletsCollected"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							5
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8864962639664931,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +1000 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					8543441059073285,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							1000
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5390031234785537,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				9937348235757845,
				false
				,[
				[
					1,
					[
						2,
						"initMissions29"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				6495911491014436,
				false
				,[
				[
					11,
					"MpBoost"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8020650359804303,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6988260856991253,
				false
				,[
				[
					1,
					[
						2,
						"checkMission29"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5641407828915394,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					481224908090491,
					false
					,[
					[
						11,
						"MpBoost"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							999
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2749037737702076,
					false
					,[
					[
						1,
						[
							2,
							"solveMission"
						]
					]
,					[
						13,
													[
								7,
								[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
							]
,
							[
								7,
								[
									2,
									"    +700 XP"
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					3399247602349136,
					false
					,[
					[
						11,
						"XPCollected"
					]
,					[
						7,
						[
							0,
							1000
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3897052406063247,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				9317817174747028,
				false
				,[
				[
					1,
					[
						2,
						"checkMission30"
					]
				]
				]
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				7634392245654586,
				false
				,[
				[
					1,
					[
						2,
						"solveMission"
					]
				]
,				[
					13,
											[
							7,
							[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
						]
,
						[
							7,
							[
								2,
								"    +1 TOP SPEED"
							]
						]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.AddVar,
				null,
				3190420797057412,
				false
				,[
				[
					11,
					"CharTopSpeed"
				]
,				[
					7,
					[
						0,
						1
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"Customize",
		[
		[
			1,
			"CharMapHatTemp",
			1,
			"NONE",
false,false,6860309959056216,false
		]
,		[
			1,
			"CharMapBootsTemp",
			1,
			"NONE",
false,false,9667971242531633,false
		]
,		[
			1,
			"CharMapTrousersTemp",
			1,
			"NONE",
false,false,9098559800311187,false
		]
,		[
			1,
			"CharMapJacketTemp",
			1,
			"NONE",
false,false,8218482613102479,false
		]
,		[
			0,
			null,
			false,
			null,
			6825693103071459,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				535272554999735,
				false
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5893507778929901,
				[
				[
					166,
					cr.plugins_.Dictionary.prototype.cnds.HasKey,
					null,
					0,
					false,
					true,
					false,
					2643078031233555,
					false
					,[
					[
						1,
						[
							2,
							"init"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9817403247663564,
					false
					,[
					[
						1,
						[
							2,
							"initClothes"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1705547188386415,
				[
				[
					168,
					cr.plugins_.Dictionary.prototype.cnds.HasKey,
					null,
					0,
					false,
					true,
					false,
					5499222576314763,
					false
					,[
					[
						1,
						[
							2,
							"Boots"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4921181806998917,
					false
					,[
					[
						1,
						[
							2,
							"initClothAttributes"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7447959306840693,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				5038213847852573,
				false
				,[
				[
					1,
					[
						2,
						"initClothAttributes"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1108227726931213,
				[
				],
				[
				[
					168,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					1962123504247731,
					false
					,[
					[
						1,
						[
							2,
							"Hat"
						]
					]
,					[
						7,
						[
							2,
							"Str_NOTHING"
						]
					]
					]
				]
,				[
					168,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					2552774705419342,
					false
					,[
					[
						1,
						[
							2,
							"Jacket"
						]
					]
,					[
						7,
						[
							2,
							"Str_NOTHING"
						]
					]
					]
				]
,				[
					168,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					9408987290633309,
					false
					,[
					[
						1,
						[
							2,
							"Trousers"
						]
					]
,					[
						7,
						[
							2,
							"Str_NOTHING"
						]
					]
					]
				]
,				[
					168,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					3172212245487409,
					false
					,[
					[
						1,
						[
							2,
							"Boots"
						]
					]
,					[
						7,
						[
							2,
							"Str_NOTHING"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			2615322867553507,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				5458298812901187,
				false
				,[
				[
					1,
					[
						2,
						"initClothes"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7539371490145836,
				[
				],
				[
				[
					166,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					7364032224011789,
					false
					,[
					[
						1,
						[
							2,
							"init"
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					166,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					3632937696826848,
					false
					,[
					[
						1,
						[
							2,
							"01"
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					166,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					1955810730083346,
					false
					,[
					[
						1,
						[
							2,
							"11"
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					166,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					5132831180932992,
					false
					,[
					[
						1,
						[
							2,
							"21"
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					166,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					3951092303005197,
					false
					,[
					[
						1,
						[
							2,
							"31"
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					164,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					9624971102593136,
					false
					,[
					[
						1,
						[
							2,
							"01"
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					164,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					3435074718155679,
					false
					,[
					[
						1,
						[
							2,
							"11"
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					164,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					4780996037678716,
					false
					,[
					[
						1,
						[
							2,
							"21"
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					164,
					cr.plugins_.Dictionary.prototype.acts.AddKey,
					null,
					5542670139057836,
					false
					,[
					[
						1,
						[
							2,
							"31"
						]
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3727670381570889,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2878284554916691,
				false
				,[
				[
					1,
					[
						2,
						"updateCharacterMaps"
					]
				]
				]
			]
			],
			[
			[
				191,
				cr.plugins_.Spriter.prototype.acts.removeAllCharMaps,
				null,
				1368619136482952,
				false
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				1682372739408765,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2583063779872838,
					false
					,[
					[
						11,
						"CharMapBoots"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"NONE"
						]
					]
					]
				]
				],
				[
				[
					191,
					cr.plugins_.Spriter.prototype.acts.appendCharMap,
					null,
					4927787328327698,
					false
					,[
					[
						1,
						[
							23,
							"CharMapBoots"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1326696897762405,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					794619661362758,
					false
					,[
					[
						11,
						"CharMapTrouser"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"NONE"
						]
					]
					]
				]
				],
				[
				[
					191,
					cr.plugins_.Spriter.prototype.acts.appendCharMap,
					null,
					7143557726340368,
					false
					,[
					[
						1,
						[
							23,
							"CharMapTrouser"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4195026964597536,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9426900255206606,
					false
					,[
					[
						11,
						"CharMapJacket"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"NONE"
						]
					]
					]
				]
				],
				[
				[
					191,
					cr.plugins_.Spriter.prototype.acts.appendCharMap,
					null,
					9273302417972805,
					false
					,[
					[
						1,
						[
							23,
							"CharMapJacket"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8457161276357062,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4064283764656163,
					false
					,[
					[
						11,
						"CharMapHat"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"NONE"
						]
					]
					]
				]
				],
				[
				[
					191,
					cr.plugins_.Spriter.prototype.acts.appendCharMap,
					null,
					201253681990625,
					false
					,[
					[
						1,
						[
							23,
							"CharMapHat"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			6255264706037167,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				1355918345204043,
				false
				,[
				[
					1,
					[
						2,
						"assigneTempCharacterMaps"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5064853607011489,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7884585945825303,
					false
					,[
					[
						11,
						"CharMapBootsTemp"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"NONE"
						]
					]
					]
				]
				],
				[
				[
					191,
					cr.plugins_.Spriter.prototype.acts.appendCharMap,
					null,
					2302282294987245,
					false
					,[
					[
						1,
						[
							23,
							"CharMapBootsTemp"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6358602691085757,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9865638384108516,
					false
					,[
					[
						11,
						"CharMapTrousersTemp"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"NONE"
						]
					]
					]
				]
				],
				[
				[
					191,
					cr.plugins_.Spriter.prototype.acts.appendCharMap,
					null,
					5020695670913783,
					false
					,[
					[
						1,
						[
							23,
							"CharMapTrousersTemp"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3126091578526067,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9762013591866205,
					false
					,[
					[
						11,
						"CharMapJacketTemp"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"NONE"
						]
					]
					]
				]
				],
				[
				[
					191,
					cr.plugins_.Spriter.prototype.acts.appendCharMap,
					null,
					8770483296223575,
					false
					,[
					[
						1,
						[
							23,
							"CharMapJacketTemp"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6540205832037462,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8066115909237014,
					false
					,[
					[
						11,
						"CharMapHatTemp"
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"NONE"
						]
					]
					]
				]
				],
				[
				[
					191,
					cr.plugins_.Spriter.prototype.acts.appendCharMap,
					null,
					8263930778949531,
					false
					,[
					[
						1,
						[
							23,
							"CharMapHatTemp"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3368114380679806,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6350788074024523,
				false
				,[
				[
					1,
					[
						2,
						"resetTempCharacterMaps"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				7096936741671659,
				false
				,[
				[
					11,
					"CharMapBootsTemp"
				]
,				[
					7,
					[
						2,
						"NONE"
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				9330452840204807,
				false
				,[
				[
					11,
					"CharMapHatTemp"
				]
,				[
					7,
					[
						2,
						"NONE"
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				2814275785177813,
				false
				,[
				[
					11,
					"CharMapJacketTemp"
				]
,				[
					7,
					[
						2,
						"NONE"
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				7920908979311192,
				false
				,[
				[
					11,
					"CharMapTrousersTemp"
				]
,				[
					7,
					[
						2,
						"NONE"
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"LevelCreator",
		[
		[
			0,
			null,
			false,
			null,
			5806739115921988,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				403308541205313,
				false
			]
			],
			[
			[
				165,
				cr.plugins_.Arr.prototype.acts.SetSize,
				null,
				967343779890413,
				false
				,[
				[
					0,
					[
						20,
						84,
						cr.plugins_.Sprite.prototype.exps.Count,
						false,
						null
					]
				]
,				[
					0,
					[
						0,
						3
					]
				]
,				[
					0,
					[
						0,
						1
					]
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				7000106065323224,
				[
				[
					-1,
					cr.system_object.prototype.cnds.For,
					null,
					0,
					true,
					false,
					false,
					9604294087538174,
					false
					,[
					[
						1,
						[
							2,
							"Coins"
						]
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						0,
						[
							20,
							84,
							cr.plugins_.Sprite.prototype.exps.Count,
							false,
							null
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5351422388525327,
					[
					[
						-1,
						cr.system_object.prototype.cnds.PickNth,
						null,
						0,
						false,
						false,
						false,
						8448817084519753,
						false
						,[
						[
							4,
							84
						]
,						[
							0,
							[
								19,
								cr.system_object.prototype.exps.loopindex
							]
						]
						]
					]
					],
					[
					[
						165,
						cr.plugins_.Arr.prototype.acts.SetX,
						null,
						9857563876931306,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.loopindex
							]
						]
,						[
							7,
							[
								2,
								"coin"
							]
						]
						]
					]
,					[
						165,
						cr.plugins_.Arr.prototype.acts.SetXY,
						null,
						2142730501607411,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.loopindex
							]
						]
,						[
							0,
							[
								0,
								1
							]
						]
,						[
							7,
							[
								20,
								84,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						165,
						cr.plugins_.Arr.prototype.acts.SetXY,
						null,
						1532167567854442,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.loopindex
							]
						]
,						[
							0,
							[
								0,
								2
							]
						]
,						[
							7,
							[
								20,
								84,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				155717068128398,
				[
				],
				[
				[
					186,
					cr.plugins_.Browser.prototype.acts.Alert,
					null,
					5999904295791601,
					false
					,[
					[
						7,
						[
							20,
							165,
							cr.plugins_.Arr.prototype.exps.AsJSON,
							true,
							null
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"Tutorial",
		[
		[
			1,
			"tutShowing",
			0,
			0,
false,false,4175365415624737,false
		]
,		[
			1,
			"tutorialActive",
			0,
			0,
false,false,8744082646074872,false
		]
,		[
			1,
			"tutJumpReady",
			0,
			0,
false,false,417075119897228,false
		]
,		[
			1,
			"ActiveTutorial",
			0,
			0,
false,false,4850647342926981,false
		]
,		[
			0,
			[true, "BASIC TUTORIAL"],
			false,
			null,
			7782882158523524,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				7782882158523524,
				false
				,[
				[
					1,
					[
						2,
						"BASIC TUTORIAL"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3675136562598035,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5306637020284399,
					false
					,[
					[
						1,
						[
							2,
							"ShowTutorial"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetTimescale,
					null,
					5091188599856166,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6385565151501715,
					false
					,[
					[
						11,
						"tutShowing"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4879026292546535,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						7,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								0
							]
							]
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					4685416115197742,
					false
					,[
					[
						1,
						[
							10,
							[
								2,
								"Tut"
							]
							,[
								20,
								185,
								cr.plugins_.Function.prototype.exps.Param,
								false,
								null
								,[
[
									0,
									0
								]
								]
							]
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7901112126891833,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9345236085913273,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4218328639870722,
					false
					,[
					[
						4,
						89
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					89,
					cr.plugins_.NinePatch.prototype.acts.SetWidth,
					null,
					4296490246182671,
					false
					,[
					[
						0,
						[
							0,
							550
						]
					]
					]
				]
,				[
					89,
					cr.plugins_.NinePatch.prototype.acts.SetHeight,
					null,
					3974614322213489,
					false
					,[
					[
						0,
						[
							0,
							370
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7824505165187135,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					3641036391617178,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							2,
							"tuttext"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					5881123248689221,
					false
					,[
					[
						0,
						[
							0,
							450
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					2695962953827631,
					false
					,[
					[
						0,
						[
							0,
							370
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					5285915654020034,
					false
					,[
					[
						7,
						[
							20,
							179,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								179,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8294741663116224,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					166989678767279,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8980224252761939,
					false
					,[
					[
						4,
						89
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					89,
					cr.plugins_.NinePatch.prototype.acts.SetWidth,
					null,
					3913269503390686,
					false
					,[
					[
						0,
						[
							0,
							550
						]
					]
					]
				]
,				[
					89,
					cr.plugins_.NinePatch.prototype.acts.SetHeight,
					null,
					7871527356598092,
					false
					,[
					[
						0,
						[
							0,
							370
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					417962357882552,
					false
					,[
					[
						4,
						50
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								1
							]
							]
						]
					]
,					[
						0,
						[
							20,
							185,
							cr.plugins_.Function.prototype.exps.Param,
							false,
							null
							,[
[
								0,
								2
							]
							]
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetInstanceVar,
					null,
					6379080568096491,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							2,
							"tuttext"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetWidth,
					null,
					5654332617564074,
					false
					,[
					[
						0,
						[
							0,
							450
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetHeight,
					null,
					5119786672151568,
					false
					,[
					[
						0,
						[
							0,
							370
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Spritefont2.prototype.acts.SetText,
					null,
					8119984897507583,
					false
					,[
					[
						7,
						[
							20,
							180,
							cr.plugins_.Arr.prototype.exps.At,
							false,
							null
							,[
[
								20,
								180,
								cr.plugins_.Arr.prototype.exps.IndexOf,
								false,
								null
								,[
[
									20,
									185,
									cr.plugins_.Function.prototype.exps.Param,
									false,
									null
									,[
[
										0,
										0
									]
									]
								]
								]
							]
,[
								23,
								"LanguageInt"
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6716894076870319,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6879224880510345,
					false
					,[
					[
						1,
						[
							2,
							"removeTutBox"
						]
					]
					]
				]
				],
				[
				[
					89,
					cr.plugins_.NinePatch.prototype.acts.Destroy,
					null,
					5608263100839983,
					false
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					9221736878312094,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					4943037854752486,
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						9586574815419453,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"tuttext"
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Spritefont2.prototype.acts.Destroy,
						null,
						826121662558565,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9879002242545958,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1840360795771739,
					false
					,[
					[
						1,
						[
							2,
							"Tut1"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3511757426246874,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT1"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9904168189445936,
					false
					,[
					[
						4,
						87
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								56,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								7,
								[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Width,
									false,
									null
								]
								,[
									0,
									2
								]
							]
						]
					]
,					[
						0,
						[
							5,
							[
								5,
								[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
							]
							,[
								0,
								10
							]
						]
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					9135355293063761,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5990619329283994,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7224686455101342,
					false
					,[
					[
						1,
						[
							2,
							"Tut2"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1078166723614299,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT2"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9205265374627445,
					false
					,[
					[
						4,
						87
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								56,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								7,
								[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Width,
									false,
									null
								]
								,[
									0,
									2
								]
							]
						]
					]
,					[
						0,
						[
							5,
							[
								5,
								[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
							]
							,[
								0,
								10
							]
						]
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					5397257029876344,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7896570716279255,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					5159132369292729,
					false
					,[
					[
						1,
						[
							2,
							"Tut3"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3155854297826278,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT3"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3752254971966819,
					false
					,[
					[
						4,
						87
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								56,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								7,
								[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Width,
									false,
									null
								]
								,[
									0,
									2
								]
							]
						]
					]
,					[
						0,
						[
							5,
							[
								5,
								[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
							]
							,[
								0,
								10
							]
						]
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					2027449094720558,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4617875393692628,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					9617743293543766,
					false
					,[
					[
						1,
						[
							2,
							"Tut4"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5752296262706503,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT4"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1226090135906202,
					false
					,[
					[
						4,
						87
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								55,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								7,
								[
									20,
									55,
									cr.plugins_.Sprite.prototype.exps.Width,
									false,
									null
								]
								,[
									0,
									2
								]
							]
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								55,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								20,
								55,
								cr.plugins_.Sprite.prototype.exps.Height,
								false,
								null
							]
						]
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					5053120051642616,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5837981663403081,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4867562945658797,
					false
					,[
					[
						1,
						[
							2,
							"Tut5"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8264774914431947,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT5"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2237493143431893,
					false
					,[
					[
						4,
						87
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								53,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								70
							]
						]
					]
,					[
						0,
						[
							4,
							[
								5,
								[
									20,
									53,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									20,
									53,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
							]
							,[
								0,
								135
							]
						]
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetFlipped,
					null,
					6557533003046824,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					8109316870615546,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6660762729067197,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4076962439170062,
					false
					,[
					[
						1,
						[
							2,
							"Tut6"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6836473861474508,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT6"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8116621338366099,
					false
					,[
					[
						4,
						87
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							20,
							54,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								54,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								95
							]
						]
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					7948848143202859,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6271909770946981,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6653158656084295,
					false
					,[
					[
						1,
						[
							2,
							"Tut7"
						]
					]
					]
				]
				],
				[
				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3142576211239337,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT7"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8834929785459351,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4006914126324098,
					false
					,[
					[
						1,
						[
							2,
							"Tut8"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3048495362485832,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3891815950770938,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT8"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6732171060026898,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					268585633560788,
					false
					,[
					[
						1,
						[
							2,
							"Tut9"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3483484793021358,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3547201417959587,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT9"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8939892774589492,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					6705957158983181,
					false
					,[
					[
						1,
						[
							2,
							"Tut10"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8180925147251741,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7730430641449365,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT10"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4651723414207141,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					1947393899612285,
					false
					,[
					[
						1,
						[
							2,
							"Tut11"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7265288941841466,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7196188832669616,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT11"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5161695316339722,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4590653023663621,
					false
					,[
					[
						1,
						[
							2,
							"Tut12"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5391390350734084,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5457245931668182,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT12"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					9488257567442929,
					false
					,[
					[
						4,
						87
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							19,
							cr.system_object.prototype.exps["int"]
							,[
[
								19,
								cr.system_object.prototype.exps.tokenat
								,[
[
									23,
									"ButtonCustomizePos"
								]
,[
									0,
									0
								]
,[
									2,
									","
								]
								]
							]
							]
						]
					]
,					[
						0,
						[
							5,
							[
								19,
								cr.system_object.prototype.exps["int"]
								,[
[
									19,
									cr.system_object.prototype.exps.tokenat
									,[
[
										23,
										"ButtonCustomizePos"
									]
,[
										0,
										1
									]
,[
										2,
										","
									]
									]
								]
								]
							]
							,[
								0,
								50
							]
						]
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					7370925996177908,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8979107424532793,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2999717279037876,
					false
					,[
					[
						1,
						[
							2,
							"Tut13"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4620553115977644,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6142148420292713,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT13"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				302093690355097,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3480263582779844,
					false
					,[
					[
						1,
						[
							2,
							"Tut14"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7868782736100188,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7356016460318702,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT14"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2530591464445091,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8406913352244594,
					false
					,[
					[
						1,
						[
							2,
							"Tut15"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9924122507877444,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1263376646174598,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT15"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3962128644385864,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3332040456854471,
					false
					,[
					[
						1,
						[
							2,
							"Tut16"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6900952487944764,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3236989188973729,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT16"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3800298258812857,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					2276820429305683,
					false
					,[
					[
						1,
						[
							2,
							"Tut17"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5220936531252767,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3450255872505992,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT17"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9535792306936907,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					247189004992249,
					false
					,[
					[
						1,
						[
							2,
							"Tut18"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8728324565596728,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3290456258518815,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT18"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3596041315575642,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7991982087011742,
					false
					,[
					[
						1,
						[
							2,
							"Tut19"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					178079668313292,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					5792668910146045,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT19"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6443520136498232,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3358622752756366,
					false
					,[
					[
						1,
						[
							2,
							"Tut20"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7880232631821427,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2506591220720355,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox2"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT20"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2012762304435998,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8567862541515437,
					false
					,[
					[
						1,
						[
							2,
							"Tut21"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9784903689173836,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					2278938179403324,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox2"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT21"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5283793038831918,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4412956879409206,
					false
					,[
					[
						1,
						[
							2,
							"Tut22"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					753900186251074,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					167434105247263,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox2"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT22"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				853122344207946,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4477067699336114,
					false
					,[
					[
						1,
						[
							2,
							"Tut23"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					614513674699287,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					1378133228948658,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox2"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT23"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6213628945299563,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					4935735149346917,
					false
					,[
					[
						1,
						[
							2,
							"Tut24"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2138728292542378,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3894163131244803,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT24"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					5697076535711451,
					false
					,[
					[
						4,
						87
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								141,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								155
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								141,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								240
							]
						]
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					7306528392651709,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8882960233785837,
				[
				[
					185,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					3892168180289306,
					false
					,[
					[
						1,
						[
							2,
							"Tut25"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8025070139310549,
					false
					,[
					[
						11,
						"inputActive"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8639061587843487,
					false
					,[
					[
						1,
						[
							2,
							"createTutBox2"
						]
					]
,					[
						13,
													[
								7,
								[
									2,
									"Str_TUT25"
								]
							]
,
							[
								7,
								[
									6,
									[
										19,
										cr.system_object.prototype.exps.viewportright
										,[
[
											0,
											0
										]
										]
									]
									,[
										1,
										0.5
									]
								]
							]
,
							[
								7,
								[
									5,
									[
										6,
										[
											19,
											cr.system_object.prototype.exps.viewportbottom
											,[
[
												0,
												0
											]
											]
										]
										,[
											1,
											0.5
										]
									]
									,[
										0,
										50
									]
								]
							]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3829668240710873,
					false
					,[
					[
						4,
						87
					]
,					[
						5,
						[
							2,
							"Tutorial2"
						]
					]
,					[
						0,
						[
							4,
							[
								4,
								[
									20,
									141,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									655
								]
							]
							,[
								0,
								88
							]
						]
					]
,					[
						0,
						[
							5,
							[
								4,
								[
									20,
									141,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									0,
									585
								]
							]
							,[
								0,
								50
							]
						]
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					584175960169065,
					false
					,[
					[
						0,
						[
							1,
							1.5
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2798452112598769,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6750520853347607,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1166960094828547,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						4289353466341575,
						false
						,[
						[
							4,
							3
						]
						]
					]
					],
					[
					[
						0,
						cr.behaviors.Platform.prototype.acts.SetVectorY,
						"Platform",
						6125349684661638,
						false
						,[
						[
							0,
							[
								0,
								-800
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						2723401154667034,
						false
						,[
						[
							11,
							"jumpPressTime"
						]
,						[
							7,
							[
								6,
								[
									1,
									6.5
								]
								,[
									19,
									cr.system_object.prototype.exps.dt
								]
							]
						]
						]
					]
,					[
						58,
						cr.plugins_.Sprite.prototype.acts.SetVisible,
						null,
						3787036403371408,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						6584727252358899,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3375950380049745,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7925999410254206,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7421169143122428,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7249939602746159,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnKey,
						null,
						1,
						false,
						false,
						false,
						2714751648158595,
						false
						,[
						[
							9,
							38
						]
						]
					]
					],
					[
					[
						0,
						cr.behaviors.Platform.prototype.acts.SetVectorY,
						"Platform",
						6863079842026319,
						false
						,[
						[
							0,
							[
								0,
								-800
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						5610231234858798,
						false
						,[
						[
							11,
							"jumpPressTime"
						]
,						[
							7,
							[
								6,
								[
									1,
									6.5
								]
								,[
									19,
									cr.system_object.prototype.exps.dt
								]
							]
						]
						]
					]
,					[
						58,
						cr.plugins_.Sprite.prototype.acts.SetVisible,
						null,
						8131941120628108,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						2467365604101778,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4818246401536318,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5015966483043466,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5534805011326108,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6138082805095172,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6927111304274359,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5530886386071104,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						2359775786083638,
						false
						,[
						[
							4,
							3
						]
						]
					]
					],
					[
					[
						0,
						cr.behaviors.Platform.prototype.acts.SetVectorY,
						"Platform",
						2600578365516602,
						false
						,[
						[
							0,
							[
								0,
								-800
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						6588333498937234,
						false
						,[
						[
							11,
							"jumpPressTime"
						]
,						[
							7,
							[
								6,
								[
									1,
									6.5
								]
								,[
									19,
									cr.system_object.prototype.exps.dt
								]
							]
						]
						]
					]
,					[
						58,
						cr.plugins_.Sprite.prototype.acts.SetVisible,
						null,
						4907574208614727,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						8206453300821331,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						577230282825428,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9135359213491365,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9394421029748672,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8717586939139847,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnKey,
						null,
						1,
						false,
						false,
						false,
						8952311756111126,
						false
						,[
						[
							9,
							38
						]
						]
					]
					],
					[
					[
						0,
						cr.behaviors.Platform.prototype.acts.SetVectorY,
						"Platform",
						8416339050142016,
						false
						,[
						[
							0,
							[
								0,
								-800
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						1821684999646501,
						false
						,[
						[
							11,
							"jumpPressTime"
						]
,						[
							7,
							[
								6,
								[
									1,
									6.5
								]
								,[
									19,
									cr.system_object.prototype.exps.dt
								]
							]
						]
						]
					]
,					[
						58,
						cr.plugins_.Sprite.prototype.acts.SetVisible,
						null,
						1069978005703388,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						5869271303673062,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5299439291805468,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8561978162499345,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2808668847989753,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3386844064148195,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					241930801643655,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9173221552325684,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						2100626129691431,
						false
						,[
						[
							4,
							3
						]
						]
					]
					],
					[
					[
						0,
						cr.behaviors.Platform.prototype.acts.SetVectorY,
						"Platform",
						6378810130528333,
						false
						,[
						[
							0,
							[
								0,
								-800
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						7269227637390105,
						false
						,[
						[
							11,
							"jumpPressTime"
						]
,						[
							7,
							[
								6,
								[
									1,
									6.5
								]
								,[
									19,
									cr.system_object.prototype.exps.dt
								]
							]
						]
						]
					]
,					[
						58,
						cr.plugins_.Sprite.prototype.acts.SetVisible,
						null,
						4470900272599222,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						579598104254808,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5257189505253094,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						415705704635651,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5222678923661945,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					680461364976528,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnKey,
						null,
						1,
						false,
						false,
						false,
						8827128954117761,
						false
						,[
						[
							9,
							38
						]
						]
					]
					],
					[
					[
						0,
						cr.behaviors.Platform.prototype.acts.SetVectorY,
						"Platform",
						9921082091051291,
						false
						,[
						[
							0,
							[
								0,
								-800
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SubVar,
						null,
						5267879358601002,
						false
						,[
						[
							11,
							"jumpPressTime"
						]
,						[
							7,
							[
								6,
								[
									1,
									6.5
								]
								,[
									19,
									cr.system_object.prototype.exps.dt
								]
							]
						]
						]
					]
,					[
						58,
						cr.plugins_.Sprite.prototype.acts.SetVisible,
						null,
						8351848900320518,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						5444280824937962,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6650930691477085,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2171624833156433,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8603729897355668,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1919800888478746,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6119776374198323,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							4
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4772900298197762,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						8780209758680335,
						false
						,[
						[
							4,
							4
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						6028610921162211,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						725399684940664,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						646384114313714,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						783369744030358,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						0,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						6311194695687587,
						false
						,[
						[
							1,
							[
								2,
								"slide"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9335230000343268,
						false
						,[
						[
							11,
							"isSliding"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						63,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						7003647560731192,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						191,
						cr.plugins_.Spriter.prototype.acts.setAnim,
						null,
						1475356413975765,
						false
						,[
						[
							1,
							[
								2,
								"Slide"
							]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						670834828097223,
						false
						,[
						[
							1,
							[
								2,
								"playJump"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3881991886850188,
						false
						,[
						[
							11,
							"camSlideAnimReady"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						145630746654685,
						false
						,[
						[
							1,
							[
								2,
								"camSlideDown"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6585360780140778,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnKey,
						null,
						1,
						false,
						false,
						false,
						6849539459421563,
						false
						,[
						[
							9,
							40
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						553199883985741,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1799531165749276,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5353775226061825,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5429346167230496,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						0,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						9767979955376709,
						false
						,[
						[
							1,
							[
								2,
								"slide"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9734421358334463,
						false
						,[
						[
							11,
							"isSliding"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						63,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						8184012596690681,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						191,
						cr.plugins_.Spriter.prototype.acts.setAnim,
						null,
						3621376881873704,
						false
						,[
						[
							1,
							[
								2,
								"Slide"
							]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5638473304490724,
						false
						,[
						[
							1,
							[
								2,
								"playJump"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8214279148026105,
						false
						,[
						[
							11,
							"camSlideAnimReady"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2305384677007716,
						false
						,[
						[
							1,
							[
								2,
								"camSlideDown"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8957838936760681,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8279451570940596,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							5
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5016781917315018,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						5599730173189047,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						9301059547679739,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3910795901826172,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9155510652185635,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3031509655042657,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2163842125940656,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						2330095256770876,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						2279890357525878,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2268901803723016,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6912126150851799,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6116940911993318,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2667016360960303,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6202007755177512,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							6
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					true,
					null,
					3821121692397771,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnKey,
						null,
						1,
						false,
						false,
						false,
						7781218834881279,
						false
						,[
						[
							9,
							32
						]
						]
					]
,					[
						184,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						248959206389384,
						false
						,[
						[
							4,
							54
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						6604856048842021,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5468653454854874,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4723303917401948,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9539637041793115,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						3303963513805019,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7909655887838569,
							false
							,[
							[
								11,
								"isBoosting"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6631073257451291,
							false
							,[
							[
								11,
								"BoostBannerIn"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							185,
							cr.plugins_.Function.prototype.acts.CallFunction,
							null,
							385972449346343,
							false
							,[
							[
								1,
								[
									2,
									"boostPlayer"
								]
							]
,							[
								13,
							]
							]
						]
,						[
							54,
							cr.behaviors.Flash.prototype.acts.Flash,
							"Flash",
							6977370391631548,
							false
							,[
							[
								0,
								[
									1,
									0.1
								]
							]
,							[
								0,
								[
									1,
									0.1
								]
							]
,							[
								0,
								[
									1,
									1.5
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6643003819277992,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9741421292310662,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							7
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5036789598011605,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						9677106399429222,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						974929811516463,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7596575422014775,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5946416813490101,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2395176315889061,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4584407587900346,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6278508201691663,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						714991837457228,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						5143932626081323,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						149419739108669,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4107637829656678,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9032249973629823,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1332534298490979,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4205237315537954,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6283380731588469,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							8
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3262068348538309,
					false
					,[
					[
						11,
						"tutBottle8"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					4414628679079647,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						5674843822789016,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						610889251005039,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1478002402943489,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3688238046636038,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						420273760556159,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						481987156478772,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9689553856613801,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						2314730610042666,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						8255680242086853,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						621421656855175,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2935263252449515,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3246118786254094,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8003148609503271,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5117321153195546,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7905722616510249,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							9
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9125568058739944,
					false
					,[
					[
						11,
						"tutLottery9"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2679528140742269,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						4150754380541222,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						2849244393295695,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6058520839793964,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8126200070931322,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7389280193945728,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						897269907509944,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6562144240155974,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8275753107335261,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						1359935850500836,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						289051346554251,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3368951274045497,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6663836815945679,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2777415338082763,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1464981032700418,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5375290601087418,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5716074774208179,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						9296974150814143,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						3731827297577633,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9994871437258614,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7906674591919175,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5592411171152931,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						2961807001820724,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6692764420931818,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8546311449266039,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1238212678034779,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							10
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6529943309785977,
					false
					,[
					[
						11,
						"tutLetter10"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					1755205153270347,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						6054064557781007,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						9078875418021357,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5549491336960878,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6968057680772239,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						742931634024068,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2591625091148554,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7525107584837698,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						1553105709454277,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						4090968402219597,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5168311021197235,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2819563686896619,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1763384925110148,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						490617855120609,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1535019611585694,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						7406161386055194,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						4517247649103377,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5202701001868658,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4593978997170289,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7516615403041909,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						5977325060527913,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3288621626197838,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5435025397893364,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1605370003899657,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							11
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7426863046311533,
					false
					,[
					[
						11,
						"tutLevelUp11"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6040648636759276,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						3325715142039508,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						118827986636441,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2921969788423983,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4082140007277495,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5716486511375027,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3763624107477155,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						701347795391399,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					231930440302919,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						6192030225746198,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						9158357506877907,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3934878137050235,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4321575724062799,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3387724622284012,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						6213448765263084,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5299294578789839,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4109215850171734,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						1424833565508712,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						7988036880384947,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7735305925672716,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4971986797594992,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3668228628618238,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						6833999057471377,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5840098384468277,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7217832334981042,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8491043686435376,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							12
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8862287266552505,
					false
					,[
					[
						11,
						"tutOpenShop12"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5198536439285849,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						9983776346743693,
						false
						,[
						[
							4,
							64
						]
						]
					]
,					[
						64,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						8370115567441316,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"customize"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						8135297902963767,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2308567434665516,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6803585081797774,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9642625791238597,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7777876509783995,
						false
						,[
						[
							1,
							[
								2,
								"customizeButtonPressed"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3231525420069594,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7687787113367496,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8551646380613451,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnObjectClicked,
						null,
						1,
						false,
						false,
						false,
						3876969586483648,
						false
						,[
						[
							3,
							0
						]
,						[
							3,
							0
						]
,						[
							4,
							64
						]
						]
					]
,					[
						64,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						3241087275311954,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"customize"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						5321362532689222,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1234893273602013,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7289069251464247,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4171363737642125,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						712693099475616,
						false
						,[
						[
							1,
							[
								2,
								"customizeButtonPressed"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7709163432375115,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4469392616253599,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2839010778169431,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9606592064113455,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							13
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5799748953035819,
					false
					,[
					[
						11,
						"tutShop13"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6327241214925609,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						2426086588678073,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						8802623708945828,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3441940807227692,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2359582840156588,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7413606514079074,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1728055591551162,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1758511893807044,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2378990344226773,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					917279678950568,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						9150624847421891,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						3640220632161203,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3889467379204062,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2180112869543381,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						752728465604251,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3335376564213645,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						340722873464775,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2207581946979896,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5007640136877764,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						1131617078368838,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						9493829004348637,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6880955113300949,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5077491753953781,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						661776414151712,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1623536871812782,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						4689954714836393,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3743863656167087,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				442928099765427,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5314910046801091,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							14
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7938455153385721,
					false
					,[
					[
						11,
						"tutSpeed14"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					9907438386009053,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						7532429166402406,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						608044159626935,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4768457123647056,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						459249125669162,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2116478002058096,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1837468430719595,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						237383321213058,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9177531797020106,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3416917784822236,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						2190044395170931,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						2503888077877889,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						870872100364647,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						621548592424172,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3757694287319893,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						613310445416021,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3134105849705651,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						971550202678128,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6324672340621384,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						367918403306889,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						7335091685553875,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2401907053544833,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8847407527851747,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2167313389331961,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3332856869504751,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						5120271961294039,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						623399893527813,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8929660392486522,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3497196961138713,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							15
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					709019960493511,
					false
					,[
					[
						11,
						"tutTopSpeed15"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					9843049030295357,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						3017180827098577,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						386555160748009,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3752455278840363,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3163954712921205,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7998900162999192,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9686886382801632,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						4116079465667635,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3217370471573454,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5637347446802047,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						3149713590992885,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						9542772568341628,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2639720601026844,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3382523880196325,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2882121225197458,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1945184169852171,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						40910415627065,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4134984341078243,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1494213750855834,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						22919857547531,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						868666433743378,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9118158135109275,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4284987947116432,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1017610602324962,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2709304998786352,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7760259176965235,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4027955443700095,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3901575076374656,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1679369701451785,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							16
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7934924964126684,
					false
					,[
					[
						11,
						"tutBoost16"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					3252203321181205,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						4944623906347386,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						6404726135126793,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						279633169772125,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2787976029692508,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1235218276456714,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2313093617661655,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9969971016869039,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8740427059375054,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1959375496882626,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						5733879545683641,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						1942472362248954,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9619444651039821,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6129421724615136,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6425437994439919,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2425814906585712,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7636449921517844,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5295991318377453,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4793433069809039,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						7154490258154787,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						4627963754487576,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9032681900353056,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						595273136018806,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						265811403372359,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5174033818417146,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						8117285920326789,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1950620851199967,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1503693941659563,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9290738009793963,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							17
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1467343795842026,
					false
					,[
					[
						11,
						"tutLuck17"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					972687950618948,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						8142297158717942,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						2286113972390643,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3964526196259858,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						965782621604311,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7687328644214989,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2786614045091045,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1116760787099958,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5891436522816928,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3691993275787419,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						9414019989240962,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						9469993472867651,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9441449607645885,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2398519755808845,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3312169090832568,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2859893131970906,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9266375895456383,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						308662679442974,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1769139818110603,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						9449159039734868,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						1094126919101674,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6610599163793987,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						36365574824903,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5590245760533749,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1921191960948139,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						4169902290123915,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1506989423955881,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8869216404372601,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1417372998297881,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							18
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					496892715276532,
					false
					,[
					[
						11,
						"tutLead18"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					1252039483966428,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						747359002292589,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						6844417593228516,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2199568300243735,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8976422119439964,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4042533573894944,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						810186661992465,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1541431887621725,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4723609147345475,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4065194401786535,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						1513597346089131,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						6842302492471983,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5789954844760258,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4497983912850357,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						530356396512579,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1026779807821963,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						6584395474635617,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3685612464668954,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					780927567708424,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						9799299314858501,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						6704586385528408,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8951768225685109,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4425034600258107,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1500763347484306,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2250542197633878,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						2993434391857974,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8622037300718423,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5233183851145153,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2283972290072389,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							19
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9258598247315291,
					false
					,[
					[
						11,
						"tutShield19"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2250032515879833,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						9467420184224458,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						3683265188423795,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6820911864049852,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5099016246997914,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6525241010901459,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2682655437484262,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9592914954687503,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						965857285523332,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2700221579965518,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						2709894877929537,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						5781232160155144,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						520995778862529,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2178614324997557,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6361579892095727,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7006549021541667,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						6417629442178404,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						67276855064049,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1108016248888059,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						7087719681508729,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						8413637303952217,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7472577241325342,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1617165373429459,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						404320936544157,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1517192157955231,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						4208720602552674,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2667002616640756,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1158061636431715,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3361516997782518,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							20
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6705466949899686,
					false
					,[
					[
						11,
						"tutCoins20"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5818042793298631,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						1155461519967938,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						2374968763956006,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6560454842486183,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3090047061248751,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3805055265004619,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1938583380463453,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						244986482825198,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2579005633152934,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4219973608855618,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						8006460387362278,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						6901451178223447,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5220462317916408,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6864764054182631,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6599539120995209,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2986831454768003,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						2483050368418288,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5411723222843695,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4021233892658139,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						28347008972386,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						3783991359079222,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5060316481794386,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						694941595634037,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7474407140039715,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8560647267577149,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1434160238418649,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3129470571937706,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2521991329161456,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3917319970339093,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							21
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9619050935951261,
					false
					,[
					[
						11,
						"tutXP21"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6313092611452983,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						4151763700134554,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						557197125090623,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5736017546886013,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5348732870715583,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8271377605656755,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5075131798917143,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						5286886606364596,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9355196353266289,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9346950716902007,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						7676363795276127,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						3131186866590851,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4410787565042044,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5732380697708285,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9359848849813679,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7642487402582393,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						6177818054496841,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2192908383062202,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1673267496070431,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						4270642879568743,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						4094175433507315,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8956103426940629,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8847326479477444,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9449302202356964,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2516917147050433,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						6004247242586291,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2573999855986273,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6378383834410268,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3214871092869113,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							22
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4728218590637347,
					false
					,[
					[
						11,
						"tutScore22"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					8039462411630624,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						7249063041844148,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						1788542412538418,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1397021545907252,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7385352433256154,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6527264207644405,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						7471277999161102,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						5257697270003104,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						782588147575456,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2367114824750214,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						4531480813817552,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						9726711248843041,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7811507324378677,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9122477421467674,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5634049675703914,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1657018596554242,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9623526167737897,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						406168750097468,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5826670156264654,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						5003166812398245,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						6818388852738117,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5298462009270729,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3899464672709611,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1880481273495767,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5218722614126802,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						325803522781794,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2308388976376258,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7299001255982215,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					163106131486184,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							23
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2922052747796021,
					false
					,[
					[
						11,
						"tutRevive23"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5683832172197224,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchStart,
						null,
						1,
						false,
						false,
						false,
						5657843502062109,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						3862686325778116,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						381886252787073,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7823228966341578,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6184110668602823,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6257848791661783,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						2123176658718105,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6765087411877895,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					606868479693149,
					[
					[
						183,
						cr.plugins_.Keyboard.prototype.cnds.OnAnyKey,
						null,
						1,
						false,
						false,
						false,
						9026059815147869,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						3902243181906416,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4281004896546846,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4553675109239238,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9540150763732237,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						6921358065058219,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						2641586846584024,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						427166348350056,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6533370070830093,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnAnyClick,
						null,
						1,
						false,
						false,
						false,
						8136504852264224,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						1750692266167788,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4490265593965118,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4741026458481713,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						865499518176708,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4717240712060937,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						6575908265882775,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1350465611301146,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				976055801372772,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5439623488403463,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							24
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1213742060444777,
					false
					,[
					[
						11,
						"tutMissionSelect24"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					1087831990485334,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						5785701919916568,
						false
						,[
						[
							4,
							83
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						3934049207789385,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2646543237219831,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3509408120797943,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						4190850847440916,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1635687033925243,
						false
						,[
						[
							1,
							[
								2,
								"levelselect1ButtonPressed"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7382954024792348,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						525026381877393,
						[
						[
							194,
							cr.plugins_.Flurry.prototype.cnds.flurryReady,
							null,
							0,
							false,
							false,
							false,
							114898408603172,
							false
						]
						],
						[
						[
							194,
							cr.plugins_.Flurry.prototype.acts.logEvent,
							null,
							1901988081725773,
							false
							,[
							[
								1,
								[
									2,
									"TutorialCompleted"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9250062057330616,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnObjectClicked,
						null,
						1,
						false,
						false,
						false,
						553038272273701,
						false
						,[
						[
							3,
							0
						]
,						[
							3,
							0
						]
,						[
							4,
							83
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						7255487345414743,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5729568139520692,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3074676821625652,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						3763884800085532,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						741041145359531,
						false
						,[
						[
							1,
							[
								2,
								"levelselect1ButtonPressed"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6082798482985661,
						false
						,[
						[
							11,
							"inputActive"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6141217326695786,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					816071812669146,
					false
					,[
					[
						11,
						"ActiveTutorial"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							25
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4630437064228906,
					false
					,[
					[
						11,
						"tutNext25"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					9305102129996858,
					[
					[
						184,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						837367380848887,
						false
						,[
						[
							4,
							83
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						914297891731807,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						982725474503446,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3297764287967028,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9708973411170432,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						1366368170732924,
						false
						,[
						[
							1,
							[
								2,
								"missionplayButtonPressed"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						9127143709368767,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7520052615455954,
					[
					[
						187,
						cr.plugins_.Mouse.prototype.cnds.OnObjectClicked,
						null,
						1,
						false,
						false,
						false,
						9717829014266945,
						false
						,[
						[
							3,
							0
						]
,						[
							3,
							0
						]
,						[
							4,
							83
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetTimescale,
						null,
						5126595182088396,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3251988476266291,
						false
						,[
						[
							11,
							"tutShowing"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						654675738809736,
						false
						,[
						[
							11,
							"ActiveTutorial"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						5605178434598238,
						false
						,[
						[
							1,
							[
								2,
								"removeTutBox"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						8895703373110769,
						false
						,[
						[
							1,
							[
								2,
								"missionplayButtonPressed"
							]
						]
,						[
							13,
						]
						]
					]
,					[
						185,
						cr.plugins_.Function.prototype.acts.CallFunction,
						null,
						2366443127550965,
						false
						,[
						[
							1,
							[
								2,
								"SaveGame"
							]
						]
,						[
							13,
						]
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"Social",
		[
		[
			1,
			"AbottlesShot",
			0,
			0,
false,false,3547767748716891,false
		]
,		[
			1,
			"AmissionsSolved",
			0,
			0,
false,false,7790482464308031,false
		]
,		[
			1,
			"Acheckvar",
			0,
			0,
false,false,3738741915024963,false
		]
,		[
			1,
			"gPlayLoggedIn",
			0,
			0,
false,false,236834876023217,false
		]
,		[
			1,
			"gPlayWasLoggedIn",
			0,
			0,
false,false,253687562605038,false
		]
,		[
			1,
			"gPlayLogInAttempt",
			0,
			0,
false,false,7754831904619999,false
		]
,		[
			0,
			null,
			false,
			null,
			6855163948896983,
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.cnds.onSocialServiceLoginSuccess,
				null,
				1,
				false,
				false,
				false,
				3685165103410238,
				false
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				5764030058777245,
				false
				,[
				[
					11,
					"gPlayWasLoggedIn"
				]
,				[
					7,
					[
						0,
						1
					]
				]
				]
			]
,			[
				188,
				cr.plugins_.WebStorage.prototype.acts.StoreLocal,
				null,
				1367399732188764,
				false
				,[
				[
					1,
					[
						2,
						"gPlayWasLoggedIn"
					]
				]
,				[
					7,
					[
						19,
						cr.system_object.prototype.exps.str
						,[
[
							23,
							"gPlayWasLoggedIn"
						]
						]
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				4039855947032029,
				false
				,[
				[
					1,
					[
						2,
						"checkAchievements"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				2722333235452169,
				false
				,[
				[
					11,
					"gPlayLoggedIn"
				]
,				[
					7,
					[
						0,
						1
					]
				]
				]
			]
,			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				8226589253734547,
				false
				,[
				[
					1,
					[
						2,
						"submitHighscores"
					]
				]
,				[
					13,
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4023706095795672,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6518061128206045,
				false
				,[
				[
					1,
					[
						2,
						"checkAchievements"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8197795109217976,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					398618275651347,
					false
					,[
					[
						11,
						"Gameplays"
					]
,					[
						8,
						5
					]
,					[
						7,
						[
							0,
							100
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					8109278280875709,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5940346179299199,
						false
						,[
						[
							11,
							"PUBLISHER"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"DS"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						9405712131350456,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9893122873414053,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"Android"
								]
							]
							]
						]
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
							null,
							4309344381296981,
							false
							,[
							[
								1,
								[
									2,
									"CgkIkvHJwPMKEAIQBA"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5277173823209003,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						1578220254919716,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						1938189049685605,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7093045509020539,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"Android"
								]
							]
							]
						]
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
							null,
							9819099558447053,
							false
							,[
							[
								1,
								[
									2,
									"CgkIn4PC__QeEAIQAA"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3791013541663742,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3962656687503444,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"iOS"
							]
						]
						]
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
						null,
						3566241299235441,
						false
						,[
						[
							1,
							[
								2,
								"play.100"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7650842629892306,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6057818457923299,
					false
					,[
					[
						11,
						"AbottlesShot"
					]
,					[
						8,
						5
					]
,					[
						7,
						[
							0,
							100
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6649980232824537,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8101398156061787,
						false
						,[
						[
							11,
							"PUBLISHER"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"DS"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						1410828741888405,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							6224947148537443,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"Android"
								]
							]
							]
						]
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
							null,
							3577406234194485,
							false
							,[
							[
								1,
								[
									2,
									"CgkIkvHJwPMKEAIQBQ"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					564573477560288,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						5695201502458255,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						79045124881052,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							8066273176915871,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"Android"
								]
							]
							]
						]
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
							null,
							9831345271601839,
							false
							,[
							[
								1,
								[
									2,
									"CgkIn4PC__QeEAIQAQ"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					746894536770479,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4106229195102161,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"iOS"
							]
						]
						]
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
						null,
						9823589262205071,
						false
						,[
						[
							1,
							[
								2,
								"shoot.bottles.100"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4212483747368102,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3294985725488882,
					false
					,[
					[
						11,
						"OverallScore"
					]
,					[
						8,
						5
					]
,					[
						7,
						[
							0,
							3000
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6357455913976614,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2230988425285955,
						false
						,[
						[
							11,
							"PUBLISHER"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"DS"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						1688931956717694,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							9561180949192783,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"Android"
								]
							]
							]
						]
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
							null,
							3448888109759845,
							false
							,[
							[
								1,
								[
									2,
									"CgkIkvHJwPMKEAIQBg"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					163474271692022,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						7394311470123674,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						5808583383464664,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							822953776357201,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"Android"
								]
							]
							]
						]
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
							null,
							2227387344491075,
							false
							,[
							[
								1,
								[
									2,
									"CgkIn4PC__QeEAIQAg"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7279102025103189,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						973446135103736,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"iOS"
							]
						]
						]
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
						null,
						4427029163546639,
						false
						,[
						[
							1,
							[
								2,
								"score.3000"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				993746821872869,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4477459116414402,
					false
					,[
					[
						11,
						"Coins"
					]
,					[
						8,
						5
					]
,					[
						7,
						[
							0,
							100000
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					344494823663931,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4225660985399734,
						false
						,[
						[
							11,
							"PUBLISHER"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"DS"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						4426546072681724,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7021743592024555,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"Android"
								]
							]
							]
						]
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
							null,
							9486554506824144,
							false
							,[
							[
								1,
								[
									2,
									"CgkIkvHJwPMKEAIQBw"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9603394784445699,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						4439644955965177,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						4272443230669934,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							7460154621532794,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"Android"
								]
							]
							]
						]
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
							null,
							1333015011643374,
							false
							,[
							[
								1,
								[
									2,
									"CgkIn4PC__QeEAIQAw"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8919452726477073,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5237502403848014,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"iOS"
							]
						]
						]
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
						null,
						3252734654268582,
						false
						,[
						[
							1,
							[
								2,
								"own.100000"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3230167225865734,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6921505084770577,
					false
					,[
					[
						11,
						"AmissionsSolved"
					]
,					[
						8,
						5
					]
,					[
						7,
						[
							0,
							15
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					2530188837206525,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4725436812411968,
						false
						,[
						[
							11,
							"PUBLISHER"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"DS"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						7393251000837398,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							3658195132223245,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"Android"
								]
							]
							]
						]
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
							null,
							4826119512732107,
							false
							,[
							[
								1,
								[
									2,
									"CgkIkvHJwPMKEAIQCA"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7019204394586772,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						5932476991429692,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						3513147871433314,
						[
						[
							-1,
							cr.system_object.prototype.cnds.CompareVar,
							null,
							0,
							false,
							false,
							false,
							5049695530128663,
							false
							,[
							[
								11,
								"BUILDTARGET"
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"Android"
								]
							]
							]
						]
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
							null,
							9077450493354217,
							false
							,[
							[
								1,
								[
									2,
									"CgkIn4PC__QeEAIQBA"
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					184629311985821,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5321298516498926,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"iOS"
							]
						]
						]
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitAchievement,
						null,
						7624361913405265,
						false
						,[
						[
							1,
							[
								2,
								"complete.15"
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5235821817372683,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				2368931922253043,
				false
				,[
				[
					1,
					[
						2,
						"showLeaderboard"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6130517848833169,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7679332786232521,
					false
					,[
					[
						11,
						"PUBLISHER"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"DS"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					424931337749955,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						728414848216625,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Android"
							]
						]
						]
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceRequestLogin,
						null,
						7214514779283263,
						false
					]
,					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceOpenLeaderboard,
						null,
						6229520334782452,
						false
						,[
						[
							1,
							[
								2,
								"CgkIkvHJwPMKEAIQAA"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3715333444435574,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4325532146549207,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"iOS"
							]
						]
						]
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceRequestLogin,
						null,
						9997670956113731,
						false
					]
,					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceOpenLeaderboard,
						null,
						9752980182963797,
						false
						,[
						[
							1,
							[
								2,
								"overall.score.firewater"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8791464835186805,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					1479560805346503,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7244828443594451,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6148517927133015,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Android"
							]
						]
						]
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceRequestLogin,
						null,
						5932014708540004,
						false
					]
,					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceOpenLeaderboard,
						null,
						5514753817013557,
						false
						,[
						[
							1,
							[
								2,
								"CgkIn4PC__QeEAIQBQ"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2717972116354061,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3330327430906727,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"iOS"
							]
						]
						]
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceRequestLogin,
						null,
						4335969335140681,
						false
					]
,					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceOpenLeaderboard,
						null,
						5662222859650468,
						false
						,[
						[
							1,
							[
								2,
								"overall.score.firewater"
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4678978435857977,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6972012180584689,
				false
				,[
				[
					1,
					[
						2,
						"showAchievements"
					]
				]
				]
			]
			],
			[
			[
				192,
				cr.plugins_.CJSAds.prototype.acts.socialServiceOpenAchievements,
				null,
				8935642010848317,
				false
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			453355481526469,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				913937890409236,
				false
				,[
				[
					1,
					[
						2,
						"CheckgPlayLogin"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6477637795506459,
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,
					null,
					0,
					false,
					false,
					false,
					3098430374341204,
					false
					,[
					[
						1,
						[
							2,
							"gPlayWasLoggedIn"
						]
					]
,					[
						8,
						0
					]
,					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4494399327032478,
					false
					,[
					[
						11,
						"Gameplays"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					192,
					cr.plugins_.CJSAds.prototype.acts.socialServiceRequestLogin,
					null,
					1766436864781122,
					false
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					9045023116936149,
					false
					,[
					[
						1,
						[
							2,
							"checkAchievements"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					185,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					3607366321990188,
					false
					,[
					[
						1,
						[
							2,
							"submitHighscores"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			6091732113285099,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				3047034013161969,
				false
				,[
				[
					1,
					[
						2,
						"gPlayLogIn"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				true,
				null,
				80044349336981,
				[
				[
					188,
					cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,
					null,
					0,
					false,
					true,
					false,
					2395818365311715,
					false
					,[
					[
						1,
						[
							2,
							"gPlayLogInAttempt"
						]
					]
					]
				]
,				[
					188,
					cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,
					null,
					0,
					false,
					false,
					false,
					9473717039069909,
					false
					,[
					[
						1,
						[
							2,
							"gPlayWasLoggedIn"
						]
					]
,					[
						8,
						0
					]
,					[
						0,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3012227538345048,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4295130661107283,
						false
						,[
						[
							11,
							"Gameplays"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceRequestLogin,
						null,
						8020254719674272,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4269522657033849,
						false
						,[
						[
							11,
							"gPlayLogInAttempt"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						188,
						cr.plugins_.WebStorage.prototype.acts.StoreLocal,
						null,
						6087705121846421,
						false
						,[
						[
							1,
							[
								2,
								"gPlayLogInAttempt"
							]
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.str
								,[
[
									23,
									"gPlayLogInAttempt"
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			573168541097824,
			[
			[
				185,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				262557178875806,
				false
				,[
				[
					1,
					[
						2,
						"submitHighscores"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5326879149047396,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3889030621360551,
					false
					,[
					[
						11,
						"PUBLISHER"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"DS"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4027012954011174,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2264357440145085,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Android"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						8724357436828687,
						[
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
							null,
							4074803406115139,
							false
							,[
							[
								0,
								[
									23,
									"OverallScore"
								]
							]
,							[
								1,
								[
									2,
									"CgkIkvHJwPMKEAIQAA"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9333235781141717,
						[
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
							null,
							271810470059378,
							false
							,[
							[
								0,
								[
									23,
									"TopScoreS1"
								]
							]
,							[
								1,
								[
									2,
									"CgkIkvHJwPMKEAIQAQ"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4379665709826494,
						[
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
							null,
							1932685134205492,
							false
							,[
							[
								0,
								[
									23,
									"TopScoreS2"
								]
							]
,							[
								1,
								[
									2,
									"CgkIkvHJwPMKEAIQAg"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						532214528474817,
						[
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
							null,
							9854196297040983,
							false
							,[
							[
								0,
								[
									23,
									"TopScoreS3"
								]
							]
,							[
								1,
								[
									2,
									"CgkIkvHJwPMKEAIQAw"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2030815820262892,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					9144130506053661,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6580221094390633,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5250460357296056,
						false
						,[
						[
							11,
							"BUILDTARGET"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"Android"
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						6662630237088079,
						[
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
							null,
							4733986275765173,
							false
							,[
							[
								0,
								[
									23,
									"OverallScore"
								]
							]
,							[
								1,
								[
									2,
									"CgkIn4PC__QeEAIQBQ"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						1683780250227681,
						[
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
							null,
							5938248591270533,
							false
							,[
							[
								0,
								[
									23,
									"TopScoreS1"
								]
							]
,							[
								1,
								[
									2,
									"CgkIn4PC__QeEAIQBg"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8046517416933953,
						[
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
							null,
							6238702839735718,
							false
							,[
							[
								0,
								[
									23,
									"TopScoreS2"
								]
							]
,							[
								1,
								[
									2,
									"CgkIn4PC__QeEAIQBw"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						6764989611458115,
						[
						],
						[
						[
							192,
							cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
							null,
							1059564654090774,
							false
							,[
							[
								0,
								[
									23,
									"TopScoreS3"
								]
							]
,							[
								1,
								[
									2,
									"CgkIn4PC__QeEAIQCA"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				132667792606429,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5709368253456638,
					false
					,[
					[
						11,
						"BUILDTARGET"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"iOS"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1483983069549697,
					[
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
						null,
						7849463800835647,
						false
						,[
						[
							0,
							[
								23,
								"OverallScore"
							]
						]
,						[
							1,
							[
								2,
								"overall.score.firewater"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6921513556454759,
					[
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
						null,
						9134292091399433,
						false
						,[
						[
							0,
							[
								23,
								"TopScoreS1"
							]
						]
,						[
							1,
							[
								2,
								"desert.score.firewater"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1606684291388364,
					[
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
						null,
						7561068120888554,
						false
						,[
						[
							0,
							[
								23,
								"TopScoreS2"
							]
						]
,						[
							1,
							[
								2,
								"city.score.firewater"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1176533303847632,
					[
					],
					[
					[
						192,
						cr.plugins_.CJSAds.prototype.acts.socialServiceSubmitScore,
						null,
						1525659889756419,
						false
						,[
						[
							0,
							[
								23,
								"TopScoreS3"
							]
						]
,						[
							1,
							[
								2,
								"train.score.firewater"
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"GlobalCheats",
		[
		[
			0,
			null,
			false,
			null,
			4420559944427743,
			[
			[
				183,
				cr.plugins_.Keyboard.prototype.cnds.OnKey,
				null,
				1,
				false,
				false,
				false,
				9668630701727766,
				false
				,[
				[
					9,
					49
				]
				]
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				3728332141955585,
				false
				,[
				[
					1,
					[
						2,
						"solveMission"
					]
				]
,				[
					13,
											[
							7,
							[
								0,
								0
							]
						]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3864283422475582,
			[
			[
				183,
				cr.plugins_.Keyboard.prototype.cnds.OnKey,
				null,
				1,
				false,
				false,
				false,
				4318304346250267,
				false
				,[
				[
					9,
					50
				]
				]
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				9267173137664535,
				false
				,[
				[
					1,
					[
						2,
						"solveMission"
					]
				]
,				[
					13,
											[
							7,
							[
								0,
								1
							]
						]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3587028200876474,
			[
			[
				183,
				cr.plugins_.Keyboard.prototype.cnds.OnKey,
				null,
				1,
				false,
				false,
				false,
				3392345824114033,
				false
				,[
				[
					9,
					51
				]
				]
			]
			],
			[
			[
				185,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				9238768953636966,
				false
				,[
				[
					1,
					[
						2,
						"solveMission"
					]
				]
,				[
					13,
											[
							7,
							[
								0,
								2
							]
						]
				]
				]
			]
			]
		]
		]
	]
	],
	[
		["catchplayer.m4a", 9449],
		["catchplayer.ogg", 12446],
		["click.m4a", 3838],
		["click.ogg", 7725],
		["collectcoin2.m4a", 9338],
		["collectcoin2.ogg", 13912],
		["collectfirewater.m4a", 33623],
		["collectfirewater.ogg", 31501],
		["countingup.m4a", 41187],
		["countingup.ogg", 61530],
		["destroyobject1.m4a", 10726],
		["destroyobject1.ogg", 12682],
		["destroyobject2.m4a", 17911],
		["destroyobject2.ogg", 18984],
		["doublejump.m4a", 3093],
		["doublejump.ogg", 5793],
		["gethit.m4a", 6379],
		["gethit.ogg", 10602],
		["land.m4a", 2843],
		["land.ogg", 5869],
		["jump.m4a", 2339],
		["jump.ogg", 6054],
		["boost.m4a", 9514],
		["boost.ogg", 14733],
		["collectcoin.m4a", 5882],
		["collectcoin.ogg", 9462],
		["collectfirewater2.m4a", 7722],
		["collectfirewater2.ogg", 9345],
		["collectfirewater3.m4a", 2970],
		["collectfirewater3.ogg", 6334],
		["levelup.m4a", 18494],
		["levelup.ogg", 19486],
		["shoot.m4a", 12785],
		["shoot.ogg", 15143]
	],
	"",
	false,
	1280,
	720,
	4,
	true,
	true,
	false,
	"1.0",
	true,
	false,
	0,
	0,
	1323,
	false,
	true,
	1,
	true,
	"Firewater",
	[
		[98,103,97,104,105,106,95,94,99,100,107,96,101,102,108,109,110,191]
	]
];};

createCocoonJSRuntime();

})();
